%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:35:29 EDT 2019

% Result     : Theorem 4.70s
% Output     : CNFRefutation 4.97s
% Verified   : 
% Statistics : Number of formulae       :   29 (  29 expanded)
%              Number of leaves         :   18 (  18 expanded)
%              Depth                    :    3
%              Number of atoms          :   94 (  94 expanded)
%              Number of equality atoms :   18 (  18 expanded)
%              Maximal formula depth    :    8 (   4 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $o > $o )).

thf(4,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(13,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(10,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(45,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(7,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(22,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(3,axiom,
    ( c_2Ebool_2ET
    = ( ( ^ [A: $o] : A )
      = ( ^ [A: $o] : A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ET__DEF)).

thf(12,plain,(
    c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(5,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(16,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(8,axiom,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(31,plain,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(1,conjecture,(
    c_2Ebool_2ET ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(2,negated_conjecture,(
    ~ c_2Ebool_2ET ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(11,plain,(
    ~ c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(9,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(36,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(6,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(19,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(54,plain,(
    $false ),
    inference(iprover,[status(thm)],[13,45,22,12,16,31,11,36,19])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.11/0.13  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.11/0.14  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.11/0.14  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.11/0.14  % CPULimit   : 300
% 0.11/0.14  % DateTime   : Tue Jul 30 13:37:43 EDT 2019
% 0.11/0.14  % CPUTime    : 
% 1.99/1.12  % [INFO] 	 Running in sequential loop mode. 
% 2.95/1.31  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 2.95/1.37  % [INFO] 	 iprover registered as external prover. 
% 2.95/1.37  % [INFO] 	 e registered as external prover. 
% 2.95/1.37  % [INFO] 	 cvc4 registered as external prover. 
% 2.95/1.38  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.25/1.41  % [INFO] 	 Found a conjecture and 8 axioms. Running axiom selection ... 
% 3.44/1.44  % [INFO] 	 Axiom selection finished. Selected 8 axioms (removed 0 axioms). 
% 3.44/1.47  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 4.70/1.91  % [INFO] 	 Killing All external provers ... 
% 4.70/1.92  % Time passed: 1638ms
% 4.70/1.92  % Effective reasoning time: 791ms
% 4.70/1.92  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 4.70/1.92  % Axioms used in derivation (8): logicdef_2E_3D, logicdef_2E_5C_2F, quantdef_2E_21, logicdef_2E_3D_3D_3E, thm_2Ebool_2ET__DEF, logicdef_2E_2F_5C, logicdef_2E_7E, quantdef_2E_3F
% 4.70/1.92  % No. of inferences in proof: 20
% 4.70/1.92  % No. of processed clauses: 1
% 4.70/1.92  % No. of generated clauses: 0
% 4.70/1.92  % No. of forward subsumed clauses: 0
% 4.70/1.92  % No. of backward subsumed clauses: 0
% 4.70/1.92  % No. of ground rewrite rules in store: 1
% 4.70/1.92  % No. of non-ground rewrite rules in store: 0
% 4.70/1.92  % No. of positive (non-rewrite) units in store: 0
% 4.70/1.92  % No. of negative (non-rewrite) units in store: 0
% 4.70/1.92  % No. of choice functions detected: 0
% 4.70/1.92  % No. of choice instantiations: 0
% 4.70/1.92  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 1638 ms resp. 791 ms w/o parsing
% 4.97/1.99  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 4.97/1.99  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 4.97/1.99  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 4.97/1.99  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 4.97/1.99  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 4.97/1.99  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 4.97/1.99  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 4.97/1.99  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 4.97/1.99  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 4.97/1.99  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 4.97/1.99  thf(4,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 4.97/1.99  thf(13,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 4.97/1.99  thf(10,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 4.97/1.99  thf(45,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 4.97/1.99  thf(7,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 4.97/1.99  thf(22,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 4.97/1.99  thf(3,axiom,((c_2Ebool_2ET = ((^ [A:$o]: (A)) = (^ [A:$o]: (A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ET__DEF)).
% 4.97/1.99  thf(12,plain,(c_2Ebool_2ET),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 4.97/1.99  thf(5,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).
% 4.97/1.99  thf(16,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 4.97/1.99  thf(8,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 4.97/1.99  thf(31,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 4.97/1.99  thf(1,conjecture,(c_2Ebool_2ET),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).
% 4.97/1.99  thf(2,negated_conjecture,(~ (c_2Ebool_2ET)),inference(neg_conjecture,[status(cth)],[1])).
% 4.97/1.99  thf(11,plain,(~ (c_2Ebool_2ET)),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 4.97/1.99  thf(9,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 4.97/1.99  thf(36,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 4.97/1.99  thf(6,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 4.97/1.99  thf(19,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 4.97/1.99  thf(54,plain,($false),inference(iprover,[status(thm)],[13,45,22,12,16,31,11,36,19])).
% 4.97/1.99  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 4.97/1.99  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
