%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:35:36 EDT 2019

% Result     : Theorem 8.54s
% Output     : CNFRefutation 8.54s
% Verified   : 
% Statistics : Number of formulae       :   51 ( 130 expanded)
%              Number of leaves         :   10 (  25 expanded)
%              Depth                    :   18
%              Number of atoms          :  348 (1168 expanded)
%              Number of equality atoms :   43 ( 167 expanded)
%              Maximal formula depth    :   12 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Ebool_2ECOND_type,type,(
    c_2Ebool_2ECOND: 
      !>[TA: $tType] :
        ( $o > TA > TA > TA ) )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $o )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(sk1_type,type,(
    sk1: $o )).

thf(sk2_type,type,(
    sk2: $o )).

thf(sk3_type,type,(
    sk3: $o )).

thf(1,conjecture,(
    ! [A: $o,B: $o,C: $o] :
      ( ( c_2Ebool_2ECOND @ $o @ A @ B @ C )
      = ( ( A
          & B )
        | ( ~ A
          & C ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ECOND__EXPAND__OR)).

thf(2,negated_conjecture,(
    ~ ! [A: $o,B: $o,C: $o] :
        ( ( c_2Ebool_2ECOND @ $o @ A @ B @ C )
        = ( ( A
            & B )
          | ( ~ A
            & C ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(15,plain,(
    ~ ! [A: $o,B: $o,C: $o] :
        ( ( c_2Ebool_2ECOND @ $o @ A @ B @ C )
        = ( ( A
            & B )
          | ( ~ A
            & C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(16,plain,(
    ( c_2Ebool_2ECOND @ $o @ sk1 @ sk2 @ sk3 )
 != ( ( sk1
      & sk2 )
    | ( ~ sk1
      & sk3 ) ) ),
    inference(cnf,[status(esa)],[15])).

thf(17,plain,(
    ( ( sk1
      & sk2 )
    | ( ~ sk1
      & sk3 ) )
 != ( c_2Ebool_2ECOND @ $o @ sk1 @ sk2 @ sk3 ) ),
    inference(lifteq,[status(thm)],[16])).

thf(93,plain,
    ( ( sk1
      & sk2 )
    | ( ~ sk1
      & sk3 )
    | ( c_2Ebool_2ECOND @ $o @ sk1 @ sk2 @ sk3 ) ),
    inference(bool_ext,[status(thm)],[17])).

thf(97,plain,
    ( ( c_2Ebool_2ECOND @ $o @ sk1 @ sk2 @ sk3 )
    | sk1
    | sk3 ),
    inference(cnf,[status(esa)],[93])).

thf(3,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B )
        = A )
      & ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B )
        = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ECOND__CLAUSES)).

thf(18,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B )
        = A )
      & ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(19,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B )
      = B ) ),
    inference(cnf,[status(esa)],[18])).

thf(21,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B )
      = B ) ),
    inference(lifteq,[status(thm)],[19])).

thf(5,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
          | A )
        = c_2Ebool_2ET )
      & ( ( A
          | c_2Ebool_2ET )
        = c_2Ebool_2ET )
      & ( ( c_2Ebool_2EF
          | A )
        = A )
      & ( ( A
          | c_2Ebool_2EF )
        = A )
      & ( ( A
          | A )
        = A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EOR__CLAUSES)).

thf(28,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
          | A )
        = c_2Ebool_2ET )
      & ( ( A
          | c_2Ebool_2ET )
        = c_2Ebool_2ET )
      & ( ( c_2Ebool_2EF
          | A )
        = A )
      & ( ( A
          | c_2Ebool_2EF )
        = A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(31,plain,
    ( ( ( c_2Ebool_2ET
        | $false )
      = c_2Ebool_2ET )
    & ( ( $false
        | c_2Ebool_2ET )
      = c_2Ebool_2ET )
    & ( ( c_2Ebool_2EF
        | $false )
      = $false )
    & ( ( $false
        | c_2Ebool_2EF )
      = $false ) ),
    inference(instance,[status(thm)],[28])).

thf(32,plain,(
    ~ c_2Ebool_2EF ),
    inference(simp,[status(thm)],[31])).

thf(100,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Ebool_2ECOND @ TA @ $false @ A @ B )
      = B ) ),
    inference(rewrite,[status(thm)],[21,32])).

thf(150,plain,(
    ! [B: $o,A: $o] :
      ( sk1
      | sk3
      | B
      | ( ( c_2Ebool_2ECOND @ $o @ sk1 @ sk2 @ sk3 )
       != ( c_2Ebool_2ECOND @ $o @ $false @ A @ B ) ) ) ),
    inference(paramod_ordered,[status(thm)],[97,100])).

thf(154,plain,(
    ! [B: $o,A: $o] :
      ( sk1
      | sk3
      | B
      | sk1
      | ( sk2 != A )
      | ( sk3 != B ) ) ),
    inference(simp,[status(thm)],[150])).

thf(158,plain,
    ( sk1
    | sk3
    | sk3 ),
    inference(simp,[status(thm)],[154])).

thf(159,plain,
    ( sk1
    | sk3 ),
    inference(simp,[status(thm)],[158])).

thf(92,plain,
    ( ~ ( ( sk1
          & sk2 )
        | ( ~ sk1
          & sk3 ) )
    | ~ ( c_2Ebool_2ECOND @ $o @ sk1 @ sk2 @ sk3 ) ),
    inference(bool_ext,[status(thm)],[17])).

thf(94,plain,
    ( ~ ( c_2Ebool_2ECOND @ $o @ sk1 @ sk2 @ sk3 )
    | sk1
    | ~ sk3 ),
    inference(cnf,[status(esa)],[92])).

thf(101,plain,(
    ! [B: $o,A: $o] :
      ( ~ B
      | sk1
      | ~ sk3
      | ( ( c_2Ebool_2ECOND @ $o @ $false @ A @ B )
       != ( c_2Ebool_2ECOND @ $o @ sk1 @ sk2 @ sk3 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[100,94])).

thf(103,plain,(
    ! [A: $o] :
      ( sk1
      | ~ sk3
      | sk1
      | ( A != sk2 )
      | ~ sk3 ) ),
    inference(simp,[status(thm)],[101])).

thf(104,plain,
    ( sk1
    | ~ sk3 ),
    inference(simp,[status(thm)],[103])).

thf(164,plain,
    ( sk1
    | ( sk3 != sk3 ) ),
    inference(paramod_ordered,[status(thm)],[159,104])).

thf(165,plain,(
    sk1 ),
    inference(pattern_uni,[status(thm)],[164:[]])).

thf(174,plain,(
    ( ( $true
      & sk2 )
    | ( ~ $true
      & sk3 ) )
 != ( c_2Ebool_2ECOND @ $o @ $true @ sk2 @ sk3 ) ),
    inference(rewrite,[status(thm)],[17,165])).

thf(175,plain,(
    ( c_2Ebool_2ECOND @ $o @ $true @ sk2 @ sk3 )
 != sk2 ),
    inference(simp,[status(thm)],[174])).

thf(20,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B )
      = A ) ),
    inference(cnf,[status(esa)],[18])).

thf(22,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B )
      = A ) ),
    inference(lifteq,[status(thm)],[20])).

thf(29,plain,
    ( ( ( c_2Ebool_2ET
        | $true )
      = c_2Ebool_2ET )
    & ( ( $true
        | c_2Ebool_2ET )
      = c_2Ebool_2ET )
    & ( ( c_2Ebool_2EF
        | $true )
      = $true )
    & ( ( $true
        | c_2Ebool_2EF )
      = $true ) ),
    inference(instance,[status(thm)],[28])).

thf(30,plain,(
    c_2Ebool_2ET ),
    inference(simp,[status(thm)],[29])).

thf(121,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Ebool_2ECOND @ TA @ $true @ A @ B )
      = A ) ),
    inference(rewrite,[status(thm)],[22,30])).

thf(95,plain,
    ( ~ ( c_2Ebool_2ECOND @ $o @ sk1 @ sk2 @ sk3 )
    | ~ sk1
    | ~ sk2 ),
    inference(cnf,[status(esa)],[92])).

thf(122,plain,(
    ! [B: $o,A: $o] :
      ( ~ A
      | ~ sk1
      | ~ sk2
      | ( ( c_2Ebool_2ECOND @ $o @ $true @ A @ B )
       != ( c_2Ebool_2ECOND @ $o @ sk1 @ sk2 @ sk3 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[121,95])).

thf(126,plain,(
    ! [A: $o] :
      ( ~ sk1
      | ~ sk2
      | ~ sk1
      | ~ sk2
      | ( A != sk3 ) ) ),
    inference(simp,[status(thm)],[122])).

thf(130,plain,
    ( ~ sk1
    | ~ sk2 ),
    inference(simp,[status(thm)],[126])).

thf(176,plain,
    ( ~ $true
    | ~ sk2 ),
    inference(rewrite,[status(thm)],[130,165])).

thf(177,plain,(
    ~ sk2 ),
    inference(simp,[status(thm)],[176])).

thf(184,plain,(
    c_2Ebool_2ECOND @ $o @ $true @ $false @ sk3 ),
    inference(rewrite,[status(thm)],[175,177])).

thf(185,plain,(
    ! [B: $o,A: $o] :
      ( A
      | ( ( c_2Ebool_2ECOND @ $o @ $true @ $false @ sk3 )
       != ( c_2Ebool_2ECOND @ $o @ $true @ A @ B ) ) ) ),
    inference(paramod_ordered,[status(thm)],[184,121])).

thf(186,plain,(
    $false ),
    inference(pattern_uni,[status(thm)],[185:[bind(A,$thf($false)),bind(B,$thf(sk3))]])).

thf(193,plain,(
    $false ),
    inference(simp,[status(thm)],[186])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.11/0.13  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.11/0.14  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.11/0.16  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.11/0.16  % CPULimit   : 300
% 0.11/0.16  % DateTime   : Tue Jul 30 13:50:10 EDT 2019
% 0.11/0.16  % CPUTime    : 
% 2.90/1.37  % [INFO] 	 Running in sequential loop mode. 
% 3.77/1.56  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.77/1.63  % [INFO] 	 iprover registered as external prover. 
% 3.77/1.63  % [INFO] 	 e registered as external prover. 
% 4.17/1.63  % [INFO] 	 cvc4 registered as external prover. 
% 4.17/1.63  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.17/1.68  % [INFO] 	 Found a conjecture and 12 axioms. Running axiom selection ... 
% 4.53/1.72  % [INFO] 	 Axiom selection finished. Selected 12 axioms (removed 0 axioms). 
% 4.53/1.75  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 8.54/2.72  % [INFO] 	 Killing All external provers ... 
% 8.54/2.72  % Time passed: 2425ms
% 8.54/2.72  % Effective reasoning time: 1344ms
% 8.54/2.72  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 8.54/2.72  % Axioms used in derivation (2): thm_2Ebool_2ECOND__CLAUSES, thm_2Ebool_2EOR__CLAUSES
% 8.54/2.72  % No. of inferences in proof: 44
% 8.54/2.72  % No. of processed clauses: 22
% 8.54/2.72  % No. of generated clauses: 20
% 8.54/2.72  % No. of forward subsumed clauses: 6
% 8.54/2.72  % No. of backward subsumed clauses: 5
% 8.54/2.72  % No. of ground rewrite rules in store: 19
% 8.54/2.72  % No. of non-ground rewrite rules in store: 3
% 8.54/2.72  % No. of positive (non-rewrite) units in store: 0
% 8.54/2.72  % No. of negative (non-rewrite) units in store: 0
% 8.54/2.72  % No. of choice functions detected: 0
% 8.54/2.72  % No. of choice instantiations: 0
% 8.54/2.73  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2425 ms resp. 1344 ms w/o parsing
% 8.54/2.76  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 8.54/2.76  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 8.54/2.76  thf(c_2Ebool_2ECOND_type, type, c_2Ebool_2ECOND: !>[TA: $tType]: ($o > (TA > (TA > TA)))).
% 8.54/2.76  thf(c_2Ebool_2EF_type, type, c_2Ebool_2EF: $o).
% 8.54/2.76  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 8.54/2.76  thf(sk1_type, type, sk1: $o).
% 8.54/2.76  thf(sk2_type, type, sk2: $o).
% 8.54/2.76  thf(sk3_type, type, sk3: $o).
% 8.54/2.76  thf(1,conjecture,((! [A:$o,B:$o,C:$o]: ((c_2Ebool_2ECOND @ $o @ A @ B @ C) = (((A) & (B)) | (~ (A) & (C)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ECOND__EXPAND__OR)).
% 8.54/2.76  thf(2,negated_conjecture,((~ (! [A:$o,B:$o,C:$o]: ((c_2Ebool_2ECOND @ $o @ A @ B @ C) = (((A) & (B)) | (~ (A) & (C))))))),inference(neg_conjecture,[status(cth)],[1])).
% 8.54/2.76  thf(15,plain,((~ (! [A:$o,B:$o,C:$o]: ((c_2Ebool_2ECOND @ $o @ A @ B @ C) = (((A) & (B)) | (~ (A) & (C))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 8.54/2.76  thf(16,plain,((~ ((c_2Ebool_2ECOND @ $o @ sk1 @ sk2 @ sk3) = (((sk1) & (sk2)) | (~ (sk1) & (sk3)))))),inference(cnf,[status(esa)],[15])).
% 8.54/2.76  thf(17,plain,(((((sk1) & (sk2)) | (~ (sk1) & (sk3))) != (c_2Ebool_2ECOND @ $o @ sk1 @ sk2 @ sk3))),inference(lifteq,[status(thm)],[16])).
% 8.54/2.76  thf(93,plain,((((sk1) & (sk2)) | (~ (sk1) & (sk3))) | (c_2Ebool_2ECOND @ $o @ sk1 @ sk2 @ sk3)),inference(bool_ext,[status(thm)],[17])).
% 8.54/2.76  thf(97,plain,((c_2Ebool_2ECOND @ $o @ sk1 @ sk2 @ sk3) | sk1 | sk3),inference(cnf,[status(esa)],[93])).
% 8.54/2.76  thf(3,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: (((c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B) = A) & ((c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B) = B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ECOND__CLAUSES)).
% 8.54/2.76  thf(18,plain,((! [TA: $tType]: (! [A:TA,B:TA]: (((c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B) = A) & ((c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B) = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 8.54/2.76  thf(19,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B) = B))),inference(cnf,[status(esa)],[18])).
% 8.54/2.76  thf(21,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B) = B))),inference(lifteq,[status(thm)],[19])).
% 8.54/2.76  thf(5,axiom,((! [A:$o]: ((((c_2Ebool_2ET) | (A)) = c_2Ebool_2ET) & (((A) | (c_2Ebool_2ET)) = c_2Ebool_2ET) & (((c_2Ebool_2EF) | (A)) = A) & (((A) | (c_2Ebool_2EF)) = A) & (((A) | (A)) = A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EOR__CLAUSES)).
% 8.54/2.76  thf(28,plain,((! [A:$o]: ((((c_2Ebool_2ET) | (A)) = c_2Ebool_2ET) & (((A) | (c_2Ebool_2ET)) = c_2Ebool_2ET) & (((c_2Ebool_2EF) | (A)) = A) & (((A) | (c_2Ebool_2EF)) = A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 8.54/2.76  thf(31,plain,(((((c_2Ebool_2ET) | ($false)) = c_2Ebool_2ET) & ((($false) | (c_2Ebool_2ET)) = c_2Ebool_2ET) & (((c_2Ebool_2EF) | ($false)) = $false) & ((($false) | (c_2Ebool_2EF)) = $false))),inference(instance,[status(thm)],[28])).
% 8.54/2.76  thf(32,plain,(~ (c_2Ebool_2EF)),inference(simp,[status(thm)],[31])).
% 8.54/2.76  thf(100,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Ebool_2ECOND @ TA @ $false @ A @ B) = B))),inference(rewrite,[status(thm)],[21,32])).
% 8.54/2.76  thf(150,plain,(! [B:$o,A:$o] : (sk1 | sk3 | B | ((c_2Ebool_2ECOND @ $o @ sk1 @ sk2 @ sk3) != (c_2Ebool_2ECOND @ $o @ $false @ A @ B)))),inference(paramod_ordered,[status(thm)],[97,100])).
% 8.54/2.76  thf(154,plain,(! [B:$o,A:$o] : (sk1 | sk3 | B | sk1 | (sk2 != A) | (sk3 != B))),inference(simp,[status(thm)],[150])).
% 8.54/2.76  thf(158,plain,(sk1 | sk3 | sk3),inference(simp,[status(thm)],[154])).
% 8.54/2.76  thf(159,plain,(sk1 | sk3),inference(simp,[status(thm)],[158])).
% 8.54/2.76  thf(92,plain,((~ (((sk1) & (sk2)) | (~ (sk1) & (sk3)))) | (~ (c_2Ebool_2ECOND @ $o @ sk1 @ sk2 @ sk3))),inference(bool_ext,[status(thm)],[17])).
% 8.54/2.76  thf(94,plain,((~ (c_2Ebool_2ECOND @ $o @ sk1 @ sk2 @ sk3)) | sk1 | ~ (sk3)),inference(cnf,[status(esa)],[92])).
% 8.54/2.76  thf(101,plain,(! [B:$o,A:$o] : (~ (B) | sk1 | ~ (sk3) | ((c_2Ebool_2ECOND @ $o @ $false @ A @ B) != (c_2Ebool_2ECOND @ $o @ sk1 @ sk2 @ sk3)))),inference(paramod_ordered,[status(thm)],[100,94])).
% 8.54/2.76  thf(103,plain,(! [A:$o] : (sk1 | ~ (sk3) | sk1 | (A != sk2) | ~ (sk3))),inference(simp,[status(thm)],[101])).
% 8.54/2.76  thf(104,plain,(sk1 | ~ (sk3)),inference(simp,[status(thm)],[103])).
% 8.54/2.76  thf(164,plain,(sk1 | (sk3 != sk3)),inference(paramod_ordered,[status(thm)],[159,104])).
% 8.54/2.76  thf(165,plain,(sk1),inference(pattern_uni,[status(thm)],[164:[]])).
% 8.54/2.76  thf(174,plain,((((($true) & (sk2)) | (~ ($true) & (sk3))) != (c_2Ebool_2ECOND @ $o @ $true @ sk2 @ sk3))),inference(rewrite,[status(thm)],[17,165])).
% 8.54/2.76  thf(175,plain,(((c_2Ebool_2ECOND @ $o @ $true @ sk2 @ sk3) != sk2)),inference(simp,[status(thm)],[174])).
% 8.54/2.76  thf(20,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B) = A))),inference(cnf,[status(esa)],[18])).
% 8.54/2.76  thf(22,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B) = A))),inference(lifteq,[status(thm)],[20])).
% 8.54/2.76  thf(29,plain,(((((c_2Ebool_2ET) | ($true)) = c_2Ebool_2ET) & ((($true) | (c_2Ebool_2ET)) = c_2Ebool_2ET) & (((c_2Ebool_2EF) | ($true)) = $true) & ((($true) | (c_2Ebool_2EF)) = $true))),inference(instance,[status(thm)],[28])).
% 8.54/2.76  thf(30,plain,(c_2Ebool_2ET),inference(simp,[status(thm)],[29])).
% 8.54/2.76  thf(121,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Ebool_2ECOND @ TA @ $true @ A @ B) = A))),inference(rewrite,[status(thm)],[22,30])).
% 8.54/2.76  thf(95,plain,((~ (c_2Ebool_2ECOND @ $o @ sk1 @ sk2 @ sk3)) | ~ (sk1) | ~ (sk2)),inference(cnf,[status(esa)],[92])).
% 8.54/2.76  thf(122,plain,(! [B:$o,A:$o] : (~ (A) | ~ (sk1) | ~ (sk2) | ((c_2Ebool_2ECOND @ $o @ $true @ A @ B) != (c_2Ebool_2ECOND @ $o @ sk1 @ sk2 @ sk3)))),inference(paramod_ordered,[status(thm)],[121,95])).
% 8.54/2.76  thf(126,plain,(! [A:$o] : (~ (sk1) | ~ (sk2) | ~ (sk1) | ~ (sk2) | (A != sk3))),inference(simp,[status(thm)],[122])).
% 8.54/2.76  thf(130,plain,(~ (sk1) | ~ (sk2)),inference(simp,[status(thm)],[126])).
% 8.54/2.76  thf(176,plain,(~ ($true) | ~ (sk2)),inference(rewrite,[status(thm)],[130,165])).
% 8.54/2.76  thf(177,plain,(~ (sk2)),inference(simp,[status(thm)],[176])).
% 8.54/2.76  thf(184,plain,((c_2Ebool_2ECOND @ $o @ $true @ $false @ sk3)),inference(rewrite,[status(thm)],[175,177])).
% 8.54/2.76  thf(185,plain,(! [B:$o,A:$o] : (A | ((c_2Ebool_2ECOND @ $o @ $true @ $false @ sk3) != (c_2Ebool_2ECOND @ $o @ $true @ A @ B)))),inference(paramod_ordered,[status(thm)],[184,121])).
% 8.54/2.76  thf(186,plain,($false),inference(pattern_uni,[status(thm)],[185:[bind(A, $thf($false)),bind(B, $thf(sk3))]])).
% 8.54/2.76  thf(193,plain,($false),inference(simp,[status(thm)],[186])).
% 8.54/2.76  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 8.54/2.76  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
