%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:35:40 EDT 2019

% Result     : Theorem 6.73s
% Output     : CNFRefutation 6.95s
% Verified   : 
% Statistics : Number of formulae       :   26 (  26 expanded)
%              Number of leaves         :   10 (  10 expanded)
%              Depth                    :    9
%              Number of atoms          :  157 ( 157 expanded)
%              Number of equality atoms :   23 (  23 expanded)
%              Maximal formula depth    :   11 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $o )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Ebool_2ERES__FORALL_type,type,(
    c_2Ebool_2ERES__FORALL: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > $o ) > $o ) )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: skt1 > $o )).

thf(3,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( c_2Ebool_2ERES__FORALL @ TA @ A @ B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
           => ( B @ C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ERES__FORALL__THM)).

thf(16,plain,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( c_2Ebool_2ERES__FORALL @ TA @ A @ B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
           => ( B @ C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(17,plain,(
    ! [TA: $tType,B: TA > $o,A: TA > $o] :
      ( ( c_2Ebool_2ERES__FORALL @ TA @ A @ B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
           => ( B @ C ) ) ) ) ),
    inference(cnf,[status(esa)],[16])).

thf(18,plain,(
    ! [TA: $tType,B: TA > $o,A: TA > $o] :
      ( ( c_2Ebool_2ERES__FORALL @ TA @ A @ B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
           => ( B @ C ) ) ) ) ),
    inference(lifteq,[status(thm)],[17])).

thf(1,conjecture,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2ERES__FORALL @ TA @ A
        @ ^ [B: TA] : c_2Ebool_2ET )
      = c_2Ebool_2ET ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ERES__FORALL__TRUE)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: TA > $o] :
        ( ( c_2Ebool_2ERES__FORALL @ TA @ A
          @ ^ [B: TA] : c_2Ebool_2ET )
        = c_2Ebool_2ET ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(13,plain,(
    ~ ! [TA: $tType,A: TA > $o] :
        ( ( c_2Ebool_2ERES__FORALL @ TA @ A
          @ ^ [B: TA] : c_2Ebool_2ET )
        = c_2Ebool_2ET ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(14,plain,(
    ( c_2Ebool_2ERES__FORALL @ skt1 @ sk1
    @ ^ [A: skt1] : c_2Ebool_2ET )
 != c_2Ebool_2ET ),
    inference(cnf,[status(esa)],[13])).

thf(15,plain,(
    ( c_2Ebool_2ERES__FORALL @ skt1 @ sk1
    @ ^ [A: skt1] : c_2Ebool_2ET )
 != c_2Ebool_2ET ),
    inference(lifteq,[status(thm)],[14])).

thf(4,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
         => A )
        = A )
      & ( ( A
         => c_2Ebool_2ET )
        = c_2Ebool_2ET )
      & ( ( c_2Ebool_2EF
         => A )
        = c_2Ebool_2ET )
      & ( ( A
         => A )
        = c_2Ebool_2ET )
      & ( ( A
         => c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__CLAUSES)).

thf(19,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
         => A )
        = A )
      & ( ( A
         => c_2Ebool_2ET )
        = c_2Ebool_2ET )
      & ( ( c_2Ebool_2EF
         => A )
        = c_2Ebool_2ET )
      & c_2Ebool_2ET
      & ( ( A
         => c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(20,plain,
    ( ( ( c_2Ebool_2ET
       => $true )
      = $true )
    & ( ( $true
       => c_2Ebool_2ET )
      = c_2Ebool_2ET )
    & ( ( c_2Ebool_2EF
       => $true )
      = c_2Ebool_2ET )
    & c_2Ebool_2ET
    & ( ( $true
       => c_2Ebool_2EF )
      = ( ~ $true ) ) ),
    inference(instance,[status(thm)],[19])).

thf(21,plain,
    ( c_2Ebool_2ET
    & ~ c_2Ebool_2EF ),
    inference(simp,[status(thm)],[20])).

thf(25,plain,(
    c_2Ebool_2ET ),
    inference(cnf,[status(esa)],[21])).

thf(75,plain,(
    ~ ( c_2Ebool_2ERES__FORALL @ skt1 @ sk1
      @ ^ [A: skt1] : $true ) ),
    inference(rewrite,[status(thm)],[15,25])).

thf(80,plain,(
    ! [TA: $tType,B: TA > $o,A: TA > $o] :
      ( ~ ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
           => ( B @ C ) )
      | ( ( c_2Ebool_2ERES__FORALL @ TA @ A @ B )
       != ( c_2Ebool_2ERES__FORALL @ skt1 @ sk1
          @ ^ [C: skt1] : $true ) ) ) ),
    inference(paramod_ordered,[status(thm)],[18,75])).

thf(81,plain,(
    ~ ! [A: skt1] :
        ( ( c_2Ebool_2EIN @ skt1 @ A @ sk1 )
       => $true ) ),
    inference(pattern_uni,[status(thm)],[80:[bind(A,$thf(sk1)),bind(B,$thf(^ [C: skt1] : $true))]])).

thf(85,plain,(
    ~ $true ),
    inference(cnf,[status(esa)],[81])).

thf(87,plain,(
    $false ),
    inference(simp,[status(thm)],[85])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.12/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.12/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.12/0.13  % CPULimit   : 300
% 0.12/0.13  % DateTime   : Tue Jul 30 13:49:15 EDT 2019
% 0.12/0.13  % CPUTime    : 
% 2.61/1.26  % [INFO] 	 Running in sequential loop mode. 
% 3.33/1.46  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.64/1.52  % [INFO] 	 iprover registered as external prover. 
% 3.64/1.52  % [INFO] 	 e registered as external prover. 
% 3.64/1.53  % [INFO] 	 cvc4 registered as external prover. 
% 3.64/1.53  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.10/1.58  % [INFO] 	 Found a conjecture and 10 axioms. Running axiom selection ... 
% 4.23/1.61  % [INFO] 	 Axiom selection finished. Selected 10 axioms (removed 0 axioms). 
% 4.36/1.65  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.73/2.41  % [INFO] 	 Killing All external provers ... 
% 6.73/2.41  % Time passed: 2145ms
% 6.73/2.42  % Effective reasoning time: 1145ms
% 6.73/2.42  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.73/2.42  % Axioms used in derivation (2): thm_2Ebool_2ERES__FORALL__THM, thm_2Ebool_2EIMP__CLAUSES
% 6.73/2.42  % No. of inferences in proof: 19
% 6.73/2.42  % No. of processed clauses: 8
% 6.73/2.42  % No. of generated clauses: 5
% 6.73/2.42  % No. of forward subsumed clauses: 2
% 6.73/2.42  % No. of backward subsumed clauses: 0
% 6.73/2.42  % No. of ground rewrite rules in store: 7
% 6.73/2.42  % No. of non-ground rewrite rules in store: 0
% 6.73/2.42  % No. of positive (non-rewrite) units in store: 1
% 6.73/2.42  % No. of negative (non-rewrite) units in store: 0
% 6.73/2.42  % No. of choice functions detected: 0
% 6.73/2.42  % No. of choice instantiations: 0
% 6.73/2.42  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2145 ms resp. 1145 ms w/o parsing
% 6.95/2.45  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.95/2.45  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.95/2.45  thf(c_2Ebool_2EF_type, type, c_2Ebool_2EF: $o).
% 6.95/2.45  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 6.95/2.45  thf(c_2Ebool_2ERES__FORALL_type, type, c_2Ebool_2ERES__FORALL: !>[TA: $tType]: ((TA > $o) > ((TA > $o) > $o))).
% 6.95/2.45  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 6.95/2.45  thf(skt1_type, type, skt1: $tType).
% 6.95/2.45  thf(sk1_type, type, sk1: (skt1 > $o)).
% 6.95/2.45  thf(3,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((c_2Ebool_2ERES__FORALL @ TA @ A @ B) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ A) => (B @ C))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ERES__FORALL__THM)).
% 6.95/2.45  thf(16,plain,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((c_2Ebool_2ERES__FORALL @ TA @ (A) @ (B)) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (A)) => (B @ C))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.95/2.45  thf(17,plain,(! [TA:$tType,B:(TA > $o),A:(TA > $o)] : (((c_2Ebool_2ERES__FORALL @ TA @ (A) @ (B)) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (A)) => (B @ C)))))),inference(cnf,[status(esa)],[16])).
% 6.95/2.45  thf(18,plain,(! [TA:$tType,B:(TA > $o),A:(TA > $o)] : (((c_2Ebool_2ERES__FORALL @ TA @ (A) @ (B)) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (A)) => (B @ C)))))),inference(lifteq,[status(thm)],[17])).
% 6.95/2.45  thf(1,conjecture,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2ERES__FORALL @ TA @ A @ (^ [B:TA]: (c_2Ebool_2ET))) = c_2Ebool_2ET)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ERES__FORALL__TRUE)).
% 6.95/2.45  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2ERES__FORALL @ TA @ A @ (^ [B:TA]: (c_2Ebool_2ET))) = c_2Ebool_2ET))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.95/2.45  thf(13,plain,((~ (! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2ERES__FORALL @ TA @ (A) @ (^ [B:TA]: (c_2Ebool_2ET))) = c_2Ebool_2ET))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.95/2.45  thf(14,plain,((~ ((c_2Ebool_2ERES__FORALL @ skt1 @ (sk1) @ (^ [A:skt1]: (c_2Ebool_2ET))) = c_2Ebool_2ET))),inference(cnf,[status(esa)],[13])).
% 6.95/2.45  thf(15,plain,(((c_2Ebool_2ERES__FORALL @ skt1 @ (sk1) @ (^ [A:skt1]: (c_2Ebool_2ET))) != c_2Ebool_2ET)),inference(lifteq,[status(thm)],[14])).
% 6.95/2.45  thf(4,axiom,((! [A:$o]: ((((c_2Ebool_2ET) => (A)) = A) & (((A) => (c_2Ebool_2ET)) = c_2Ebool_2ET) & (((c_2Ebool_2EF) => (A)) = c_2Ebool_2ET) & (((A) => (A)) = c_2Ebool_2ET) & (((A) => (c_2Ebool_2EF)) = (~ (A)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__CLAUSES)).
% 6.95/2.45  thf(19,plain,((! [A:$o]: ((((c_2Ebool_2ET) => (A)) = A) & (((A) => (c_2Ebool_2ET)) = c_2Ebool_2ET) & (((c_2Ebool_2EF) => (A)) = c_2Ebool_2ET) & (c_2Ebool_2ET) & (((A) => (c_2Ebool_2EF)) = (~ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 6.95/2.45  thf(20,plain,(((((c_2Ebool_2ET) => ($true)) = $true) & ((($true) => (c_2Ebool_2ET)) = c_2Ebool_2ET) & (((c_2Ebool_2EF) => ($true)) = c_2Ebool_2ET) & (c_2Ebool_2ET) & ((($true) => (c_2Ebool_2EF)) = (~ ($true))))),inference(instance,[status(thm)],[19])).
% 6.95/2.45  thf(21,plain,(((c_2Ebool_2ET) & ~ (c_2Ebool_2EF))),inference(simp,[status(thm)],[20])).
% 6.95/2.45  thf(25,plain,(c_2Ebool_2ET),inference(cnf,[status(esa)],[21])).
% 6.95/2.45  thf(75,plain,((~ (c_2Ebool_2ERES__FORALL @ skt1 @ (sk1) @ (^ [A:skt1]: ($true))))),inference(rewrite,[status(thm)],[15,25])).
% 6.95/2.45  thf(80,plain,(! [TA:$tType,B:(TA > $o),A:(TA > $o)] : ((~ (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (A)) => (B @ C)))) | ((c_2Ebool_2ERES__FORALL @ TA @ (A) @ (B)) != (c_2Ebool_2ERES__FORALL @ skt1 @ (sk1) @ (^ [C:skt1]: ($true)))))),inference(paramod_ordered,[status(thm)],[18,75])).
% 6.95/2.45  thf(81,plain,((~ (! [A:skt1]: ((c_2Ebool_2EIN @ skt1 @ A @ (sk1)) => ($true))))),inference(pattern_uni,[status(thm)],[80:[bind(A, $thf(sk1)),bind(B, $thf(^ [C:skt1]: ($true)))]])).
% 6.95/2.45  thf(85,plain,(~ ($true)),inference(cnf,[status(esa)],[81])).
% 6.95/2.45  thf(87,plain,($false),inference(simp,[status(thm)],[85])).
% 6.95/2.45  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.95/2.45  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
