%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:35:40 EDT 2019

% Result     : Theorem 6.60s
% Output     : CNFRefutation 6.60s
% Verified   : 
% Statistics : Number of formulae       :   36 (  36 expanded)
%              Number of leaves         :   22 (  22 expanded)
%              Depth                    :    3
%              Number of atoms          :  178 ( 178 expanded)
%              Number of equality atoms :   33 (  33 expanded)
%              Maximal formula depth    :    9 (   5 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $o )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $o > $o )).

thf(1,conjecture,(
    ! [A: ( $o > $o ) > $o] :
      ( ( ( A
          @ ^ [B: $o] : c_2Ebool_2ET )
        & ( A
          @ ^ [B: $o] : c_2Ebool_2EF )
        & ( A
          @ ^ [B: $o] : B )
        & ( A @ c_2Ebool_2E_7E ) )
     => ! [B: $o > $o] :
          ( A @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EBOOL__FUN__INDUCT)).

thf(2,negated_conjecture,(
    ~ ! [A: ( $o > $o ) > $o] :
        ( ( ( A
            @ ^ [B: $o] : c_2Ebool_2ET )
          & ( A
            @ ^ [B: $o] : c_2Ebool_2EF )
          & ( A
            @ ^ [B: $o] : B )
          & ( A @ c_2Ebool_2E_7E ) )
       => ! [B: $o > $o] :
            ( A @ B ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(14,plain,(
    ~ ! [A: ( $o > $o ) > $o] :
        ( ( ( A
            @ ^ [B: $o] : c_2Ebool_2ET )
          & ( A
            @ ^ [B: $o] : c_2Ebool_2EF )
          & ( A
            @ ^ [B: $o] : B )
          & ( A @ c_2Ebool_2E_7E ) )
       => ! [B: $o > $o] :
            ( A @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    ! [A: $o > $o] :
      ( ( A
        = ( ^ [B: $o] : c_2Ebool_2ET ) )
      | ( A
        = ( ^ [B: $o] : c_2Ebool_2EF ) )
      | ( A
        = ( ^ [B: $o] : B ) )
      | ( A = c_2Ebool_2E_7E ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EBOOL__FUN__CASES__THM)).

thf(20,plain,(
    ! [A: $o > $o] :
      ( ( A
        = ( ^ [B: $o] : c_2Ebool_2ET ) )
      | ( A
        = ( ^ [B: $o] : c_2Ebool_2EF ) )
      | ( A
        = ( ^ [B: $o] : B ) )
      | ( A = c_2Ebool_2E_7E ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(9,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(70,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(4,axiom,(
    ! [A: $o,B: $o,C: $o] :
      ( ( A
       => ( B
         => C ) )
      = ( ( A
          & B )
       => C ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EAND__IMP__INTRO)).

thf(33,plain,(
    ! [A: $o,B: $o,C: $o] :
      ( ( A
       => ( B
         => C ) )
      = ( ( A
          & B )
       => C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(13,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(96,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(10,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(73,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(7,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(64,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(6,axiom,
    ( ! [A: $o] : ( ( ~ ~ A ) = A )
    & ( ( ~ c_2Ebool_2ET ) = c_2Ebool_2EF )
    & ( ( ~ c_2Ebool_2EF ) = c_2Ebool_2ET ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ENOT__CLAUSES)).

thf(59,plain,
    ( ( ( ~ c_2Ebool_2ET ) = c_2Ebool_2EF )
    & ( ( ~ c_2Ebool_2EF ) = c_2Ebool_2ET ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(5,axiom,(
    ! [A: $o,B: $o] :
      ( ( A
       => B )
      = ( ~ A
        | B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__DISJ__THM)).

thf(50,plain,(
    ! [A: $o,B: $o] :
      ( ( A
       => B )
      = ( ~ A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(8,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(67,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(12,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(87,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(11,axiom,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(82,plain,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(105,plain,(
    $false ),
    inference(iprover,[status(thm)],[14,20,70,33,96,73,64,59,50,67,87,82])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.02/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.02/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.02/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.02/0.13  % CPULimit   : 300
% 0.02/0.13  % DateTime   : Tue Jul 30 13:55:24 EDT 2019
% 0.02/0.13  % CPUTime    : 
% 2.84/1.28  % [INFO] 	 Running in sequential loop mode. 
% 3.78/1.49  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.11/1.57  % [INFO] 	 iprover registered as external prover. 
% 4.11/1.57  % [INFO] 	 e registered as external prover. 
% 4.11/1.57  % [INFO] 	 cvc4 registered as external prover. 
% 4.11/1.57  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.46/1.62  % [INFO] 	 Found a conjecture and 11 axioms. Running axiom selection ... 
% 4.46/1.65  % [INFO] 	 Axiom selection finished. Selected 11 axioms (removed 0 axioms). 
% 4.75/1.70  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.60/2.33  % [INFO] 	 Killing All external provers ... 
% 6.60/2.34  % Time passed: 2074ms
% 6.60/2.34  % Effective reasoning time: 1047ms
% 6.60/2.34  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.60/2.34  % Axioms used in derivation (11): thm_2Ebool_2ENOT__CLAUSES, logicdef_2E_3D, thm_2Ebool_2EBOOL__FUN__CASES__THM, logicdef_2E_5C_2F, thm_2Ebool_2EAND__IMP__INTRO, quantdef_2E_21, logicdef_2E_3D_3D_3E, thm_2Ebool_2EIMP__DISJ__THM, logicdef_2E_2F_5C, logicdef_2E_7E, quantdef_2E_3F
% 6.60/2.34  % No. of inferences in proof: 26
% 6.60/2.34  % No. of processed clauses: 1
% 6.60/2.34  % No. of generated clauses: 0
% 6.60/2.34  % No. of forward subsumed clauses: 0
% 6.60/2.34  % No. of backward subsumed clauses: 0
% 6.60/2.34  % No. of ground rewrite rules in store: 1
% 6.60/2.34  % No. of non-ground rewrite rules in store: 0
% 6.60/2.34  % No. of positive (non-rewrite) units in store: 0
% 6.60/2.34  % No. of negative (non-rewrite) units in store: 0
% 6.60/2.34  % No. of choice functions detected: 0
% 6.60/2.34  % No. of choice instantiations: 0
% 6.60/2.34  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2074 ms resp. 1047 ms w/o parsing
% 6.60/2.37  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.60/2.37  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.60/2.37  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 6.60/2.37  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 6.60/2.37  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 6.60/2.37  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 6.60/2.37  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 6.60/2.37  thf(c_2Ebool_2EF_type, type, c_2Ebool_2EF: $o).
% 6.60/2.37  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 6.60/2.37  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 6.60/2.37  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 6.60/2.37  thf(1,conjecture,((! [A:(($o > $o) > $o)]: (((A @ (^ [B:$o]: (c_2Ebool_2ET))) & (A @ (^ [B:$o]: (c_2Ebool_2EF))) & (A @ (^ [B:$o]: (B))) & (A @ (c_2Ebool_2E_7E))) => (! [B:($o > $o)]: (A @ B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EBOOL__FUN__INDUCT)).
% 6.60/2.37  thf(2,negated_conjecture,((~ (! [A:(($o > $o) > $o)]: (((A @ (^ [B:$o]: (c_2Ebool_2ET))) & (A @ (^ [B:$o]: (c_2Ebool_2EF))) & (A @ (^ [B:$o]: (B))) & (A @ (c_2Ebool_2E_7E))) => (! [B:($o > $o)]: (A @ B)))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.60/2.37  thf(14,plain,((~ (! [A:(($o > $o) > $o)]: (((A @ (^ [B:$o]: (c_2Ebool_2ET))) & (A @ (^ [B:$o]: (c_2Ebool_2EF))) & (A @ (^ [B:$o]: (B))) & (A @ (c_2Ebool_2E_7E))) => (! [B:($o > $o)]: (A @ (B))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.60/2.37  thf(3,axiom,((! [A:($o > $o)]: ((A = (^ [B:$o]: (c_2Ebool_2ET))) | (A = (^ [B:$o]: (c_2Ebool_2EF))) | (A = (^ [B:$o]: (B))) | (A = (c_2Ebool_2E_7E))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EBOOL__FUN__CASES__THM)).
% 6.60/2.37  thf(20,plain,((! [A:($o > $o)]: (((A) = (^ [B:$o]: (c_2Ebool_2ET))) | ((A) = (^ [B:$o]: (c_2Ebool_2EF))) | ((A) = (^ [B:$o]: (B))) | ((A) = (c_2Ebool_2E_7E))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.60/2.37  thf(9,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 6.60/2.37  thf(70,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 6.60/2.37  thf(4,axiom,((! [A:$o,B:$o,C:$o]: (((A) => ((B) => (C))) = (((A) & (B)) => (C))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EAND__IMP__INTRO)).
% 6.60/2.37  thf(33,plain,((! [A:$o,B:$o,C:$o]: (((A) => ((B) => (C))) = (((A) & (B)) => (C))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 6.60/2.37  thf(13,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 6.60/2.37  thf(96,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 6.60/2.37  thf(10,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 6.60/2.37  thf(73,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 6.60/2.37  thf(7,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 6.60/2.37  thf(64,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 6.60/2.37  thf(6,axiom,((! [A:$o]: ((~ (~ (A))) = A) & ((~ (c_2Ebool_2ET)) = c_2Ebool_2EF) & ((~ (c_2Ebool_2EF)) = c_2Ebool_2ET))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ENOT__CLAUSES)).
% 6.60/2.37  thf(59,plain,((((~ (c_2Ebool_2ET)) = c_2Ebool_2EF) & ((~ (c_2Ebool_2EF)) = c_2Ebool_2ET))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 6.60/2.37  thf(5,axiom,((! [A:$o,B:$o]: (((A) => (B)) = (~ (A) | (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__DISJ__THM)).
% 6.60/2.37  thf(50,plain,((! [A:$o,B:$o]: (((A) => (B)) = (~ (A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 6.60/2.37  thf(8,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).
% 6.60/2.37  thf(67,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 6.60/2.37  thf(12,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 6.60/2.37  thf(87,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 6.60/2.37  thf(11,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 6.60/2.37  thf(82,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 6.60/2.37  thf(105,plain,($false),inference(iprover,[status(thm)],[14,20,70,33,96,73,64,59,50,67,87,82])).
% 6.60/2.37  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.60/2.37  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
