%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:35:47 EDT 2019

% Result     : Theorem 7.02s
% Output     : CNFRefutation 7.02s
% Verified   : 
% Statistics : Number of formulae       :   57 (  80 expanded)
%              Number of leaves         :   24 (  35 expanded)
%              Depth                    :    5
%              Number of atoms          :  259 ( 413 expanded)
%              Number of equality atoms :   35 (  58 expanded)
%              Maximal formula depth    :   15 (   5 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ecombin_2ES_type,type,(
    c_2Ecombin_2ES: 
      !>[TA: $tType,TB: $tType,TC: $tType] :
        ( ( TA > TB > TC ) > ( TA > TB ) > TA > TC ) )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $o > $o )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(skt2_type,type,(
    skt2: $tType )).

thf(skt3_type,type,(
    skt3: $tType )).

thf(sk1_type,type,(
    sk1: skt1 > skt2 > skt3 )).

thf(sk2_type,type,(
    sk2: skt1 > skt2 )).

thf(sk3_type,type,(
    sk3: skt1 )).

thf(9,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(40,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(41,plain,
    ( ( c_2Ebool_2E_5C_2F @ $true @ $true )
    = ( $true
      | $true ) ),
    inference(instance,[status(thm)],[40])).

thf(42,plain,(
    c_2Ebool_2E_5C_2F @ $true @ $true ),
    inference(simp,[status(thm)],[41])).

thf(8,axiom,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(35,plain,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(36,plain,
    ( ( c_2Ebool_2E_7E @ $true )
    = ( ~ $true ) ),
    inference(instance,[status(thm)],[35])).

thf(37,plain,(
    ~ ( c_2Ebool_2E_7E @ $true ) ),
    inference(simp,[status(thm)],[36])).

thf(3,axiom,(
    ! [TA: $tType,TB: $tType,TC: $tType] :
      ( ( c_2Ecombin_2ES @ TA @ TB @ TC )
      = ( ^ [A: TA > TB > TC,B: TA > TB,C: TA] :
            ( A @ C @ ( B @ C ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecombin_2ES__DEF)).

thf(14,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType] :
      ( ( c_2Ecombin_2ES @ TA @ TB @ TC )
      = ( ^ [A: TA > TB > TC,B: TA > TB,C: TA] :
            ( A @ C @ ( B @ C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(5,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(20,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(7,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(26,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(27,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $true @ $true )
    = ( $true
     => $true ) ),
    inference(instance,[status(thm)],[26])).

thf(28,plain,(
    c_2Emin_2E_3D_3D_3E @ $true @ $true ),
    inference(simp,[status(thm)],[27])).

thf(1,conjecture,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: TA > TB > TC,B: TA > TB,C: TA] :
      ( ( c_2Ecombin_2ES @ TA @ TB @ TC @ A @ B @ C )
      = ( A @ C @ ( B @ C ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecombin_2ES__THM)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,TB: $tType,TC: $tType,A: TA > TB > TC,B: TA > TB,C: TA] :
        ( ( c_2Ecombin_2ES @ TA @ TB @ TC @ A @ B @ C )
        = ( A @ C @ ( B @ C ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(11,plain,(
    ~ ! [TA: $tType,TB: $tType,TC: $tType,A: TA > TB > TC,B: TA > TB,C: TA] :
        ( ( c_2Ecombin_2ES @ TA @ TB @ TC @ A @ B @ C )
        = ( A @ C @ ( B @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(12,plain,(
    ( c_2Ecombin_2ES @ skt1 @ skt2 @ skt3 @ sk1 @ sk2 @ sk3 )
 != ( sk1 @ sk3 @ ( sk2 @ sk3 ) ) ),
    inference(cnf,[status(esa)],[11])).

thf(13,plain,(
    ( c_2Ecombin_2ES @ skt1 @ skt2 @ skt3 @ sk1 @ sk2 @ sk3 )
 != ( sk1 @ sk3 @ ( sk2 @ sk3 ) ) ),
    inference(lifteq,[status(thm)],[12])).

thf(31,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $false @ $true )
    = ( $false
     => $true ) ),
    inference(instance,[status(thm)],[26])).

thf(32,plain,(
    c_2Emin_2E_3D_3D_3E @ $false @ $true ),
    inference(simp,[status(thm)],[31])).

thf(33,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $false @ $false )
    = ( $false
     => $false ) ),
    inference(instance,[status(thm)],[26])).

thf(34,plain,(
    c_2Emin_2E_3D_3D_3E @ $false @ $false ),
    inference(simp,[status(thm)],[33])).

thf(4,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(17,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(10,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(49,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(38,plain,
    ( ( c_2Ebool_2E_7E @ $false )
    = ( ~ $false ) ),
    inference(instance,[status(thm)],[35])).

thf(39,plain,(
    c_2Ebool_2E_7E @ $false ),
    inference(simp,[status(thm)],[38])).

thf(47,plain,
    ( ( c_2Ebool_2E_5C_2F @ $false @ $false )
    = ( $false
      | $false ) ),
    inference(instance,[status(thm)],[40])).

thf(48,plain,(
    ~ ( c_2Ebool_2E_5C_2F @ $false @ $false ) ),
    inference(simp,[status(thm)],[47])).

thf(15,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType] :
      ( ( c_2Ecombin_2ES @ TC @ TB @ TA )
      = ( ^ [A: TC > TB > TA,B: TC > TB,C: TC] :
            ( A @ C @ ( B @ C ) ) ) ) ),
    inference(cnf,[status(esa)],[14])).

thf(16,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType] :
      ( ( c_2Ecombin_2ES @ TC @ TB @ TA )
      = ( ^ [A: TC > TB > TA,B: TC > TB,C: TC] :
            ( A @ C @ ( B @ C ) ) ) ) ),
    inference(lifteq,[status(thm)],[15])).

thf(6,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(23,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(29,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $true @ $false )
    = ( $true
     => $false ) ),
    inference(instance,[status(thm)],[26])).

thf(30,plain,(
    ~ ( c_2Emin_2E_3D_3D_3E @ $true @ $false ) ),
    inference(simp,[status(thm)],[29])).

thf(18,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(cnf,[status(esa)],[17])).

thf(19,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(lifteq,[status(thm)],[18])).

thf(89,plain,(
    $false ),
    inference(iprover,[status(thm)],[42,37,14,20,28,13,32,34,17,49,39,35,48,16,11,40,26,23,30,19])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.07/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.07/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.07/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.07/0.13  % CPULimit   : 300
% 0.07/0.13  % DateTime   : Tue Jul 30 14:14:33 EDT 2019
% 0.07/0.13  % CPUTime    : 
% 2.30/1.10  % [INFO] 	 Running in sequential loop mode. 
% 3.08/1.28  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.31/1.35  % [INFO] 	 iprover registered as external prover. 
% 3.31/1.35  % [INFO] 	 e registered as external prover. 
% 3.31/1.35  % [INFO] 	 cvc4 registered as external prover. 
% 3.31/1.35  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.47/1.41  % [INFO] 	 Found a conjecture and 8 axioms. Running axiom selection ... 
% 3.76/1.44  % [INFO] 	 Axiom selection finished. Selected 8 axioms (removed 0 axioms). 
% 3.88/1.47  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.02/2.36  % [INFO] 	 Killing All external provers ... 
% 7.02/2.36  % Time passed: 2098ms
% 7.02/2.36  % Effective reasoning time: 1257ms
% 7.02/2.36  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.02/2.36  % Axioms used in derivation (8): logicdef_2E_3D, logicdef_2E_5C_2F, quantdef_2E_21, logicdef_2E_3D_3D_3E, thm_2Ecombin_2ES__DEF, logicdef_2E_2F_5C, logicdef_2E_7E, quantdef_2E_3F
% 7.02/2.36  % No. of inferences in proof: 42
% 7.02/2.36  % No. of processed clauses: 13
% 7.02/2.36  % No. of generated clauses: 5
% 7.02/2.36  % No. of forward subsumed clauses: 0
% 7.02/2.36  % No. of backward subsumed clauses: 0
% 7.02/2.36  % No. of ground rewrite rules in store: 10
% 7.02/2.36  % No. of non-ground rewrite rules in store: 1
% 7.02/2.36  % No. of positive (non-rewrite) units in store: 1
% 7.02/2.36  % No. of negative (non-rewrite) units in store: 1
% 7.02/2.36  % No. of choice functions detected: 0
% 7.02/2.36  % No. of choice instantiations: 0
% 7.02/2.36  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2098 ms resp. 1257 ms w/o parsing
% 7.02/2.39  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.02/2.39  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.02/2.39  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 7.02/2.39  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 7.02/2.39  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 7.02/2.39  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 7.02/2.39  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 7.02/2.39  thf(c_2Ecombin_2ES_type, type, c_2Ecombin_2ES: !>[TA: $tType,TB: $tType,TC: $tType]: ((TA > (TB > TC)) > ((TA > TB) > (TA > TC)))).
% 7.02/2.39  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 7.02/2.39  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 7.02/2.39  thf(skt1_type, type, skt1: $tType).
% 7.02/2.39  thf(skt2_type, type, skt2: $tType).
% 7.02/2.39  thf(skt3_type, type, skt3: $tType).
% 7.02/2.39  thf(sk1_type, type, sk1: (skt1 > (skt2 > skt3))).
% 7.02/2.39  thf(sk2_type, type, sk2: (skt1 > skt2)).
% 7.02/2.39  thf(sk3_type, type, sk3: skt1).
% 7.02/2.39  thf(9,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 7.02/2.39  thf(40,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 7.02/2.39  thf(41,plain,(((c_2Ebool_2E_5C_2F @ $true @ $true) = (($true) | ($true)))),inference(instance,[status(thm)],[40])).
% 7.02/2.39  thf(42,plain,((c_2Ebool_2E_5C_2F @ $true @ $true)),inference(simp,[status(thm)],[41])).
% 7.02/2.39  thf(8,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 7.02/2.39  thf(35,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 7.02/2.39  thf(36,plain,(((c_2Ebool_2E_7E @ $true) = (~ ($true)))),inference(instance,[status(thm)],[35])).
% 7.02/2.39  thf(37,plain,((~ (c_2Ebool_2E_7E @ $true))),inference(simp,[status(thm)],[36])).
% 7.02/2.39  thf(3,axiom,((! [TA: $tType,TB: $tType,TC: $tType]: ((c_2Ecombin_2ES @ TA @ TB @ TC) = (^ [A:(TA > (TB > TC)),B:(TA > TB),C:TA]: (A @ C @ (B @ C)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecombin_2ES__DEF)).
% 7.02/2.39  thf(14,plain,((! [TA: $tType,TB: $tType,TC: $tType]: ((c_2Ecombin_2ES @ TA @ TB @ TC) = (^ [A:(TA > (TB > TC)),B:(TA > TB),C:TA]: (A @ C @ (B @ C)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.02/2.39  thf(5,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).
% 7.02/2.39  thf(20,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 7.02/2.39  thf(7,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 7.02/2.39  thf(26,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 7.02/2.39  thf(27,plain,(((c_2Emin_2E_3D_3D_3E @ $true @ $true) = (($true) => ($true)))),inference(instance,[status(thm)],[26])).
% 7.02/2.39  thf(28,plain,((c_2Emin_2E_3D_3D_3E @ $true @ $true)),inference(simp,[status(thm)],[27])).
% 7.02/2.39  thf(1,conjecture,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TA > (TB > TC)),B:(TA > TB),C:TA]: ((c_2Ecombin_2ES @ TA @ TB @ TC @ A @ B @ C) = (A @ C @ (B @ C)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecombin_2ES__THM)).
% 7.02/2.39  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TA > (TB > TC)),B:(TA > TB),C:TA]: ((c_2Ecombin_2ES @ TA @ TB @ TC @ A @ B @ C) = (A @ C @ (B @ C))))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.02/2.39  thf(11,plain,((~ (! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TA > (TB > TC)),B:(TA > TB),C:TA]: ((c_2Ecombin_2ES @ TA @ TB @ TC @ (A) @ (B) @ C) = (A @ C @ (B @ C))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.02/2.39  thf(12,plain,((~ ((c_2Ecombin_2ES @ skt1 @ skt2 @ skt3 @ (sk1) @ (sk2) @ sk3) = (sk1 @ sk3 @ (sk2 @ sk3))))),inference(cnf,[status(esa)],[11])).
% 7.02/2.39  thf(13,plain,(((c_2Ecombin_2ES @ skt1 @ skt2 @ skt3 @ (sk1) @ (sk2) @ sk3) != (sk1 @ sk3 @ (sk2 @ sk3)))),inference(lifteq,[status(thm)],[12])).
% 7.02/2.39  thf(31,plain,(((c_2Emin_2E_3D_3D_3E @ $false @ $true) = (($false) => ($true)))),inference(instance,[status(thm)],[26])).
% 7.02/2.39  thf(32,plain,((c_2Emin_2E_3D_3D_3E @ $false @ $true)),inference(simp,[status(thm)],[31])).
% 7.02/2.39  thf(33,plain,(((c_2Emin_2E_3D_3D_3E @ $false @ $false) = (($false) => ($false)))),inference(instance,[status(thm)],[26])).
% 7.02/2.39  thf(34,plain,((c_2Emin_2E_3D_3D_3E @ $false @ $false)),inference(simp,[status(thm)],[33])).
% 7.02/2.39  thf(4,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 7.02/2.39  thf(17,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 7.02/2.39  thf(10,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 7.02/2.39  thf(49,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 7.02/2.39  thf(38,plain,(((c_2Ebool_2E_7E @ $false) = (~ ($false)))),inference(instance,[status(thm)],[35])).
% 7.02/2.39  thf(39,plain,((c_2Ebool_2E_7E @ $false)),inference(simp,[status(thm)],[38])).
% 7.02/2.39  thf(47,plain,(((c_2Ebool_2E_5C_2F @ $false @ $false) = (($false) | ($false)))),inference(instance,[status(thm)],[40])).
% 7.02/2.39  thf(48,plain,((~ (c_2Ebool_2E_5C_2F @ $false @ $false))),inference(simp,[status(thm)],[47])).
% 7.02/2.39  thf(15,plain,(! [TA:$tType,TB:$tType,TC:$tType] : (((c_2Ecombin_2ES @ TC @ TB @ TA) = (^ [A:(TC > (TB > TA)),B:(TC > TB),C:TC]: (A @ C @ (B @ C)))))),inference(cnf,[status(esa)],[14])).
% 7.02/2.39  thf(16,plain,(! [TA:$tType,TB:$tType,TC:$tType] : (((c_2Ecombin_2ES @ TC @ TB @ TA) = (^ [A:(TC > (TB > TA)),B:(TC > TB),C:TC]: (A @ C @ (B @ C)))))),inference(lifteq,[status(thm)],[15])).
% 7.02/2.39  thf(6,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 7.02/2.39  thf(23,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 7.02/2.39  thf(29,plain,(((c_2Emin_2E_3D_3D_3E @ $true @ $false) = (($true) => ($false)))),inference(instance,[status(thm)],[26])).
% 7.02/2.39  thf(30,plain,((~ (c_2Emin_2E_3D_3D_3E @ $true @ $false))),inference(simp,[status(thm)],[29])).
% 7.02/2.39  thf(18,plain,(! [TA:$tType,A:(TA > $o)] : (((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B))))),inference(cnf,[status(esa)],[17])).
% 7.02/2.39  thf(19,plain,(! [TA:$tType,A:(TA > $o)] : (((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B))))),inference(lifteq,[status(thm)],[18])).
% 7.02/2.39  thf(89,plain,($false),inference(iprover,[status(thm)],[42,37,14,20,28,13,32,34,17,49,39,35,48,16,11,40,26,23,30,19])).
% 7.02/2.39  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.02/2.39  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
