%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:35:50 EDT 2019

% Result     : Theorem 12.97s
% Output     : CNFRefutation 12.97s
% Verified   : 
% Statistics : Number of formulae       :   37 (  44 expanded)
%              Number of leaves         :   11 (  13 expanded)
%              Depth                    :   19
%              Number of atoms          :  250 ( 349 expanded)
%              Number of equality atoms :   57 (  77 expanded)
%              Maximal formula depth    :   12 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Eone_2Eone_type,type,(
    tyop_2Eone_2Eone: $tType )).

thf(c_2Ebool_2ETYPE__DEFINITION_type,type,(
    c_2Ebool_2ETYPE__DEFINITION: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > $o ) > ( TB > TA ) > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: skt1 > tyop_2Eone_2Eone )).

thf(sk2_type,type,(
    sk2: skt1 > tyop_2Eone_2Eone )).

thf(sk3_type,type,(
    sk3: tyop_2Eone_2Eone > $o )).

thf(sk4_type,type,(
    sk4: skt1 )).

thf(1,conjecture,(
    ! [TA: $tType,A: TA > tyop_2Eone_2Eone,B: TA > tyop_2Eone_2Eone] : ( A = B ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eone_2Eone__axiom)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: TA > tyop_2Eone_2Eone,B: TA > tyop_2Eone_2Eone] : ( A = B ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(14,plain,(
    ~ ! [TA: $tType,A: TA > tyop_2Eone_2Eone,B: TA > tyop_2Eone_2Eone] : ( A = B ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(15,plain,(
    sk1 != sk2 ),
    inference(cnf,[status(esa)],[14])).

thf(16,plain,(
    sk2 != sk1 ),
    inference(lifteq,[status(thm)],[15])).

thf(74,plain,(
    ( sk2 @ sk4 )
 != ( sk1 @ sk4 ) ),
    inference(func_ext,[status(esa)],[16])).

thf(3,axiom,(
    ? [A: tyop_2Eone_2Eone > $o] :
      ( c_2Ebool_2ETYPE__DEFINITION @ $o @ tyop_2Eone_2Eone
      @ ^ [B: $o] : B
      @ A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eone_2Eone__TY__DEF)).

thf(17,plain,(
    ? [A: tyop_2Eone_2Eone > $o] :
      ( c_2Ebool_2ETYPE__DEFINITION @ $o @ tyop_2Eone_2Eone
      @ ^ [B: $o] : B
      @ A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(18,plain,
    ( c_2Ebool_2ETYPE__DEFINITION @ $o @ tyop_2Eone_2Eone
    @ ^ [A: $o] : A
    @ sk3 ),
    inference(cnf,[status(esa)],[17])).

thf(4,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > $o,B: TB > TA] :
      ( ( c_2Ebool_2ETYPE__DEFINITION @ TA @ TB @ A @ B )
      = ( ! [C: TB,D: TB] :
            ( ( ( B @ C )
              = ( B @ D ) )
           => ( C = D ) )
        & ! [C: TA] :
            ( ( A @ C )
            = ( ? [D: TB] :
                  ( C
                  = ( B @ D ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETYPE__DEFINITION__THM)).

thf(19,plain,(
    ! [TA: $tType,TB: $tType,A: TA > $o,B: TB > TA] :
      ( ( c_2Ebool_2ETYPE__DEFINITION @ TA @ TB @ A @ B )
      = ( ! [C: TB,D: TB] :
            ( ( ( B @ C )
              = ( B @ D ) )
           => ( C = D ) )
        & ! [C: TA] :
            ( ( A @ C )
            = ( ? [D: TB] :
                  ( C
                  = ( B @ D ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(20,plain,(
    ! [TA: $tType,TB: $tType,B: TA > TB,A: TB > $o] :
      ( ( c_2Ebool_2ETYPE__DEFINITION @ TB @ TA @ A @ B )
      = ( ! [C: TA,D: TA] :
            ( ( ( B @ C )
              = ( B @ D ) )
           => ( C = D ) )
        & ! [C: TB] :
            ( ( A @ C )
            = ( ? [D: TA] :
                  ( C
                  = ( B @ D ) ) ) ) ) ) ),
    inference(cnf,[status(esa)],[19])).

thf(21,plain,(
    ! [TA: $tType,TB: $tType,B: TA > TB,A: TB > $o] :
      ( ( c_2Ebool_2ETYPE__DEFINITION @ TB @ TA @ A @ B )
      = ( ! [C: TA,D: TA] :
            ( ( ( B @ C )
              = ( B @ D ) )
           => ( C = D ) )
        & ! [C: TB] :
            ( ( A @ C )
            = ( ? [D: TA] :
                  ( C
                  = ( B @ D ) ) ) ) ) ) ),
    inference(lifteq,[status(thm)],[20])).

thf(86,plain,(
    ! [TA: $tType,TB: $tType,B: TA > TB,A: TB > $o] :
      ( ( ! [C: TA,D: TA] :
            ( ( ( B @ C )
              = ( B @ D ) )
           => ( C = D ) )
        & ! [C: TB] :
            ( ( A @ C )
            = ( ? [D: TA] :
                  ( C
                  = ( B @ D ) ) ) ) )
      | ( ( c_2Ebool_2ETYPE__DEFINITION @ $o @ tyop_2Eone_2Eone
          @ ^ [C: $o] : C
          @ sk3 )
       != ( c_2Ebool_2ETYPE__DEFINITION @ TB @ TA @ A @ B ) ) ) ),
    inference(paramod_ordered,[status(thm)],[18,21])).

thf(87,plain,
    ( ! [A: tyop_2Eone_2Eone,B: tyop_2Eone_2Eone] :
        ( ( ( sk3 @ A )
          = ( sk3 @ B ) )
       => ( A = B ) )
    & ! [A: $o] :
        ( A
        = ( ? [B: tyop_2Eone_2Eone] :
              ( A
              = ( sk3 @ B ) ) ) ) ),
    inference(pattern_uni,[status(thm)],[86:[bind(A,$thf(^ [C: $o] : C)),bind(B,$thf(sk3))]])).

thf(92,plain,(
    ! [A: $o] :
      ( A
      = ( ? [B: tyop_2Eone_2Eone] :
            ( A
            = ( sk3 @ B ) ) ) ) ),
    inference(cnf,[status(esa)],[87])).

thf(98,plain,(
    ! [A: $o] :
      ( A
      = ( ? [B: tyop_2Eone_2Eone] :
            ( A
            = ( sk3 @ B ) ) ) ) ),
    inference(lifteq,[status(thm)],[92])).

thf(99,plain,(
    ! [A: $o] :
      ( A
      = ( ? [B: tyop_2Eone_2Eone] :
            ( A
            = ( sk3 @ B ) ) ) ) ),
    inference(simp,[status(thm)],[98])).

thf(140,plain,(
    ! [A: $o] :
      ( A
      | ~ ? [B: tyop_2Eone_2Eone] :
            ( A
            = ( sk3 @ B ) ) ) ),
    inference(bool_ext,[status(thm)],[99])).

thf(194,plain,(
    ! [B: tyop_2Eone_2Eone,A: $o] :
      ( ( A
       != ( sk3 @ B ) )
      | A ) ),
    inference(cnf,[status(esa)],[140])).

thf(200,plain,(
    ! [B: tyop_2Eone_2Eone,A: $o] :
      ( ( A
       != ( sk3 @ B ) )
      | A ) ),
    inference(lifteq,[status(thm)],[194])).

thf(201,plain,(
    ! [A: tyop_2Eone_2Eone] :
      ( sk3 @ A ) ),
    inference(simp,[status(thm)],[200])).

thf(207,plain,
    ( c_2Ebool_2ETYPE__DEFINITION @ $o @ tyop_2Eone_2Eone
    @ ^ [A: $o] : A
    @ ^ [A: tyop_2Eone_2Eone] : $true ),
    inference(rewrite,[status(thm)],[18,201])).

thf(210,plain,(
    ! [TA: $tType,TB: $tType,B: TA > TB,A: TB > $o] :
      ( ( ! [C: TA,D: TA] :
            ( ( ( B @ C )
              = ( B @ D ) )
           => ( C = D ) )
        & ! [C: TB] :
            ( ( A @ C )
            = ( ? [D: TA] :
                  ( C
                  = ( B @ D ) ) ) ) )
      | ( ( c_2Ebool_2ETYPE__DEFINITION @ $o @ tyop_2Eone_2Eone
          @ ^ [C: $o] : C
          @ ^ [C: tyop_2Eone_2Eone] : $true )
       != ( c_2Ebool_2ETYPE__DEFINITION @ TB @ TA @ A @ B ) ) ) ),
    inference(paramod_ordered,[status(thm)],[207,21])).

thf(211,plain,
    ( ! [A: tyop_2Eone_2Eone,B: tyop_2Eone_2Eone] :
        ( ( $true = $true )
       => ( A = B ) )
    & ! [A: $o] :
        ( A
        = ( ? [B: tyop_2Eone_2Eone] : ( A = $true ) ) ) ),
    inference(pattern_uni,[status(thm)],[210:[bind(A,$thf(^ [C: $o] : C)),bind(B,$thf(^ [C: tyop_2Eone_2Eone] : $true))]])).

thf(214,plain,(
    ! [B: tyop_2Eone_2Eone,A: tyop_2Eone_2Eone] :
      ( ( $true != $true )
      | ( A = B ) ) ),
    inference(cnf,[status(esa)],[211])).

thf(217,plain,(
    ! [B: tyop_2Eone_2Eone,A: tyop_2Eone_2Eone] :
      ( ~ $true
      | ( A = B ) ) ),
    inference(lifteq,[status(thm)],[214])).

thf(218,plain,(
    ! [B: tyop_2Eone_2Eone,A: tyop_2Eone_2Eone] : ( A = B ) ),
    inference(simp,[status(thm)],[217])).

thf(219,plain,(
    $false ),
    inference(simplifyReflect,[status(thm)],[74,218])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.07/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.07/0.14  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.07/0.14  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.07/0.14  % CPULimit   : 300
% 0.07/0.14  % DateTime   : Tue Jul 30 14:15:29 EDT 2019
% 0.07/0.14  % CPUTime    : 
% 2.53/1.15  % [INFO] 	 Running in sequential loop mode. 
% 3.46/1.35  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.73/1.42  % [INFO] 	 iprover registered as external prover. 
% 3.73/1.42  % [INFO] 	 e registered as external prover. 
% 3.73/1.42  % [INFO] 	 cvc4 registered as external prover. 
% 3.73/1.42  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.13/1.47  % [INFO] 	 Found a conjecture and 11 axioms. Running axiom selection ... 
% 4.19/1.50  % [INFO] 	 Axiom selection finished. Selected 11 axioms (removed 0 axioms). 
% 4.30/1.54  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 12.97/3.34  % [INFO] 	 Killing All external provers ... 
% 12.97/3.35  % Time passed: 3121ms
% 12.97/3.35  % Effective reasoning time: 2187ms
% 12.97/3.35  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 12.97/3.35  % Axioms used in derivation (2): thm_2Eone_2Eone__TY__DEF, thm_2Ebool_2ETYPE__DEFINITION__THM
% 12.97/3.35  % No. of inferences in proof: 29
% 12.97/3.35  % No. of processed clauses: 21
% 12.97/3.35  % No. of generated clauses: 22
% 12.97/3.35  % No. of forward subsumed clauses: 0
% 12.97/3.35  % No. of backward subsumed clauses: 0
% 12.97/3.35  % No. of ground rewrite rules in store: 15
% 12.97/3.35  % No. of non-ground rewrite rules in store: 3
% 12.97/3.35  % No. of positive (non-rewrite) units in store: 2
% 12.97/3.35  % No. of negative (non-rewrite) units in store: 1
% 12.97/3.35  % No. of choice functions detected: 0
% 12.97/3.35  % No. of choice instantiations: 0
% 12.97/3.35  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 3121 ms resp. 2187 ms w/o parsing
% 12.97/3.38  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 12.97/3.38  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 12.97/3.38  thf(tyop_2Eone_2Eone_type, type, tyop_2Eone_2Eone: $tType).
% 12.97/3.38  thf(c_2Ebool_2ETYPE__DEFINITION_type, type, c_2Ebool_2ETYPE__DEFINITION: !>[TA: $tType,TB: $tType]: ((TA > $o) > ((TB > TA) > $o))).
% 12.97/3.38  thf(skt1_type, type, skt1: $tType).
% 12.97/3.38  thf(sk1_type, type, sk1: (skt1 > tyop_2Eone_2Eone)).
% 12.97/3.38  thf(sk2_type, type, sk2: (skt1 > tyop_2Eone_2Eone)).
% 12.97/3.38  thf(sk3_type, type, sk3: (tyop_2Eone_2Eone > $o)).
% 12.97/3.38  thf(sk4_type, type, sk4: skt1).
% 12.97/3.38  thf(1,conjecture,((! [TA: $tType]: (! [A:(TA > tyop_2Eone_2Eone),B:(TA > tyop_2Eone_2Eone)]: (A = B)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eone_2Eone__axiom)).
% 12.97/3.38  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:(TA > tyop_2Eone_2Eone),B:(TA > tyop_2Eone_2Eone)]: (A = B))))),inference(neg_conjecture,[status(cth)],[1])).
% 12.97/3.38  thf(14,plain,((~ (! [TA: $tType]: (! [A:(TA > tyop_2Eone_2Eone),B:(TA > tyop_2Eone_2Eone)]: ((A) = (B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 12.97/3.38  thf(15,plain,((~ ((sk1) = (sk2)))),inference(cnf,[status(esa)],[14])).
% 12.97/3.38  thf(16,plain,(((sk2) != (sk1))),inference(lifteq,[status(thm)],[15])).
% 12.97/3.38  thf(74,plain,(((sk2 @ sk4) != (sk1 @ sk4))),inference(func_ext,[status(esa)],[16])).
% 12.97/3.38  thf(3,axiom,((? [A:(tyop_2Eone_2Eone > $o)]: (c_2Ebool_2ETYPE__DEFINITION @ $o @ tyop_2Eone_2Eone @ (^ [B:$o]: (B)) @ A))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eone_2Eone__TY__DEF)).
% 12.97/3.38  thf(17,plain,((? [A:(tyop_2Eone_2Eone > $o)]: (c_2Ebool_2ETYPE__DEFINITION @ $o @ tyop_2Eone_2Eone @ (^ [B:$o]: (B)) @ (A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 12.97/3.38  thf(18,plain,((c_2Ebool_2ETYPE__DEFINITION @ $o @ tyop_2Eone_2Eone @ (^ [A:$o]: (A)) @ (sk3))),inference(cnf,[status(esa)],[17])).
% 12.97/3.38  thf(4,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > $o),B:(TB > TA)]: ((c_2Ebool_2ETYPE__DEFINITION @ TA @ TB @ A @ B) = (! [C:TB,D:TB]: (((B @ C) = (B @ D)) => (C = D)) & ! [C:TA]: ((A @ C) = (? [D:TB]: (C = (B @ D))))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETYPE__DEFINITION__THM)).
% 12.97/3.38  thf(19,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > $o),B:(TB > TA)]: ((c_2Ebool_2ETYPE__DEFINITION @ TA @ TB @ (A) @ (B)) = (! [C:TB,D:TB]: (((B @ C) = (B @ D)) => (C = D)) & ! [C:TA]: ((A @ C) = (? [D:TB]: (C = (B @ D))))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 12.97/3.38  thf(20,plain,(! [TA:$tType,TB:$tType,B:(TA > TB),A:(TB > $o)] : (((c_2Ebool_2ETYPE__DEFINITION @ TB @ TA @ (A) @ (B)) = (! [C:TA,D:TA]: (((B @ C) = (B @ D)) => (C = D)) & ! [C:TB]: ((A @ C) = (? [D:TA]: (C = (B @ D)))))))),inference(cnf,[status(esa)],[19])).
% 12.97/3.38  thf(21,plain,(! [TA:$tType,TB:$tType,B:(TA > TB),A:(TB > $o)] : (((c_2Ebool_2ETYPE__DEFINITION @ TB @ TA @ (A) @ (B)) = (! [C:TA,D:TA]: (((B @ C) = (B @ D)) => (C = D)) & ! [C:TB]: ((A @ C) = (? [D:TA]: (C = (B @ D)))))))),inference(lifteq,[status(thm)],[20])).
% 12.97/3.38  thf(86,plain,(! [TA:$tType,TB:$tType,B:(TA > TB),A:(TB > $o)] : ((! [C:TA,D:TA]: (((B @ C) = (B @ D)) => (C = D)) & ! [C:TB]: ((A @ C) = (? [D:TA]: (C = (B @ D))))) | ((c_2Ebool_2ETYPE__DEFINITION @ $o @ tyop_2Eone_2Eone @ (^ [C:$o]: (C)) @ (sk3)) != (c_2Ebool_2ETYPE__DEFINITION @ TB @ TA @ (A) @ (B))))),inference(paramod_ordered,[status(thm)],[18,21])).
% 12.97/3.38  thf(87,plain,((! [A:tyop_2Eone_2Eone,B:tyop_2Eone_2Eone]: (((sk3 @ A) = (sk3 @ B)) => (A = B)) & ! [A:$o]: (A = (? [B:tyop_2Eone_2Eone]: (A = (sk3 @ B)))))),inference(pattern_uni,[status(thm)],[86:[bind(A, $thf(^ [C:$o]: (C))),bind(B, $thf(sk3))]])).
% 12.97/3.38  thf(92,plain,(! [A:$o] : ((A = (? [B:tyop_2Eone_2Eone]: (A = (sk3 @ B)))))),inference(cnf,[status(esa)],[87])).
% 12.97/3.38  thf(98,plain,(! [A:$o] : ((A = (? [B:tyop_2Eone_2Eone]: (A = (sk3 @ B)))))),inference(lifteq,[status(thm)],[92])).
% 12.97/3.38  thf(99,plain,(! [A:$o] : ((A = (? [B:tyop_2Eone_2Eone]: (A = (sk3 @ B)))))),inference(simp,[status(thm)],[98])).
% 12.97/3.38  thf(140,plain,(! [A:$o] : (A | (~ (? [B:tyop_2Eone_2Eone]: (A = (sk3 @ B)))))),inference(bool_ext,[status(thm)],[99])).
% 12.97/3.38  thf(194,plain,(! [B:tyop_2Eone_2Eone,A:$o] : ((~ (A = (sk3 @ B))) | A)),inference(cnf,[status(esa)],[140])).
% 12.97/3.38  thf(200,plain,(! [B:tyop_2Eone_2Eone,A:$o] : ((A != (sk3 @ B)) | A)),inference(lifteq,[status(thm)],[194])).
% 12.97/3.38  thf(201,plain,(! [A:tyop_2Eone_2Eone] : ((sk3 @ A))),inference(simp,[status(thm)],[200])).
% 12.97/3.38  thf(207,plain,((c_2Ebool_2ETYPE__DEFINITION @ $o @ tyop_2Eone_2Eone @ (^ [A:$o]: (A)) @ (^ [A:tyop_2Eone_2Eone]: ($true)))),inference(rewrite,[status(thm)],[18,201])).
% 12.97/3.38  thf(210,plain,(! [TA:$tType,TB:$tType,B:(TA > TB),A:(TB > $o)] : ((! [C:TA,D:TA]: (((B @ C) = (B @ D)) => (C = D)) & ! [C:TB]: ((A @ C) = (? [D:TA]: (C = (B @ D))))) | ((c_2Ebool_2ETYPE__DEFINITION @ $o @ tyop_2Eone_2Eone @ (^ [C:$o]: (C)) @ (^ [C:tyop_2Eone_2Eone]: ($true))) != (c_2Ebool_2ETYPE__DEFINITION @ TB @ TA @ (A) @ (B))))),inference(paramod_ordered,[status(thm)],[207,21])).
% 12.97/3.38  thf(211,plain,((! [A:tyop_2Eone_2Eone,B:tyop_2Eone_2Eone]: (($true = $true) => (A = B)) & ! [A:$o]: (A = (? [B:tyop_2Eone_2Eone]: (A = $true))))),inference(pattern_uni,[status(thm)],[210:[bind(A, $thf(^ [C:$o]: (C))),bind(B, $thf(^ [C:tyop_2Eone_2Eone]: ($true)))]])).
% 12.97/3.38  thf(214,plain,(! [B:tyop_2Eone_2Eone,A:tyop_2Eone_2Eone] : ((~ ($true = $true)) | (A = B))),inference(cnf,[status(esa)],[211])).
% 12.97/3.38  thf(217,plain,(! [B:tyop_2Eone_2Eone,A:tyop_2Eone_2Eone] : (~ ($true) | (A = B))),inference(lifteq,[status(thm)],[214])).
% 12.97/3.38  thf(218,plain,(! [B:tyop_2Eone_2Eone,A:tyop_2Eone_2Eone] : ((A = B))),inference(simp,[status(thm)],[217])).
% 12.97/3.38  thf(219,plain,($false),inference(simplifyReflect,[status(thm)],[74,218])).
% 12.97/3.38  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 12.97/3.38  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
