%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:35:51 EDT 2019

% Result     : Theorem 5.89s
% Output     : CNFRefutation 5.89s
% Verified   : 
% Statistics : Number of formulae       :   20 (  23 expanded)
%              Number of leaves         :   12 (  13 expanded)
%              Depth                    :    5
%              Number of atoms          :  126 ( 153 expanded)
%              Number of equality atoms :    9 (  12 expanded)
%              Maximal formula depth    :   10 (   7 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Esum_2EINL_type,type,(
    c_2Esum_2EINL: 
      !>[TA: $tType,TB: $tType] :
        ( TA > ( tyop_2Esum_2Esum @ TA @ TB ) ) )).

thf(c_2Esum_2EINR_type,type,(
    c_2Esum_2EINR: 
      !>[TA: $tType,TB: $tType] :
        ( TB > ( tyop_2Esum_2Esum @ TA @ TB ) ) )).

thf(c_2Esum_2EISL_type,type,(
    c_2Esum_2EISL: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Esum_2Esum @ TA @ TB ) > $o ) )).

thf(c_2Esum_2EISR_type,type,(
    c_2Esum_2EISR: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Esum_2Esum @ TA @ TB ) > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(skt2_type,type,(
    skt2: $tType )).

thf(sk1_type,type,(
    sk1: ( tyop_2Esum_2Esum @ skt1 @ skt2 ) )).

thf(1,conjecture,(
    ! [TA: $tType,TB: $tType,A: tyop_2Esum_2Esum @ TA @ TB] :
      ( ( ~ ( c_2Esum_2EISL @ TA @ TB @ A ) )
      = ( c_2Esum_2EISR @ TA @ TB @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esum_2ENOT__ISL__ISR)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,TB: $tType,A: tyop_2Esum_2Esum @ TA @ TB] :
        ( ( ~ ( c_2Esum_2EISL @ TA @ TB @ A ) )
        = ( c_2Esum_2EISR @ TA @ TB @ A ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(6,plain,(
    ~ ! [TA: $tType,TB: $tType,A: tyop_2Esum_2Esum @ TA @ TB] :
        ( ( ~ ( c_2Esum_2EISL @ TA @ TB @ A ) )
        = ( c_2Esum_2EISR @ TA @ TB @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    ! [TA: $tType,TB: $tType,A: tyop_2Esum_2Esum @ TA @ TB] :
      ( ? [B: TA] :
          ( A
          = ( c_2Esum_2EINL @ TA @ TB @ B ) )
      | ? [B: TB] :
          ( A
          = ( c_2Esum_2EINR @ TA @ TB @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esum_2Esum__CASES)).

thf(9,plain,(
    ! [TA: $tType,TB: $tType,A: tyop_2Esum_2Esum @ TA @ TB] :
      ( ? [B: TA] :
          ( A
          = ( c_2Esum_2EINL @ TA @ TB @ B ) )
      | ? [B: TB] :
          ( A
          = ( c_2Esum_2EINR @ TA @ TB @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(4,axiom,(
    ! [TA: $tType,TB: $tType] :
      ( ! [A: TB] :
          ( c_2Esum_2EISR @ TA @ TB @ ( c_2Esum_2EINR @ TA @ TB @ A ) )
      & ! [A: TA] :
          ~ ( c_2Esum_2EISR @ TA @ TB @ ( c_2Esum_2EINL @ TA @ TB @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esum_2EISR)).

thf(12,plain,(
    ! [TA: $tType,TB: $tType] :
      ( ! [A: TB] :
          ( c_2Esum_2EISR @ TA @ TB @ ( c_2Esum_2EINR @ TA @ TB @ A ) )
      & ! [A: TA] :
          ~ ( c_2Esum_2EISR @ TA @ TB @ ( c_2Esum_2EINL @ TA @ TB @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(5,axiom,(
    ! [TA: $tType,TB: $tType] :
      ( ! [A: TA] :
          ( c_2Esum_2EISL @ TA @ TB @ ( c_2Esum_2EINL @ TA @ TB @ A ) )
      & ! [A: TB] :
          ~ ( c_2Esum_2EISL @ TA @ TB @ ( c_2Esum_2EINR @ TA @ TB @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esum_2EISL)).

thf(16,plain,(
    ! [TA: $tType,TB: $tType] :
      ( ! [A: TA] :
          ( c_2Esum_2EISL @ TA @ TB @ ( c_2Esum_2EINL @ TA @ TB @ A ) )
      & ! [A: TB] :
          ~ ( c_2Esum_2EISL @ TA @ TB @ ( c_2Esum_2EINR @ TA @ TB @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(7,plain,(
    ( ~ ( c_2Esum_2EISL @ skt1 @ skt2 @ sk1 ) )
 != ( c_2Esum_2EISR @ skt1 @ skt2 @ sk1 ) ),
    inference(cnf,[status(esa)],[6])).

thf(8,plain,(
    ( ~ ( c_2Esum_2EISL @ skt1 @ skt2 @ sk1 ) )
 != ( c_2Esum_2EISR @ skt1 @ skt2 @ sk1 ) ),
    inference(lifteq,[status(thm)],[7])).

thf(24,plain,(
    $false ),
    inference(e,[status(thm)],[6,9,12,16,8])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.05/0.09  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.05/0.09  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.05/0.10  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.05/0.10  % CPULimit   : 300
% 0.05/0.10  % DateTime   : Tue Jul 30 14:22:53 EDT 2019
% 0.05/0.10  % CPUTime    : 
% 2.88/1.24  % [INFO] 	 Running in sequential loop mode. 
% 3.53/1.42  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.87/1.48  % [INFO] 	 iprover registered as external prover. 
% 3.87/1.48  % [INFO] 	 e registered as external prover. 
% 3.87/1.48  % [INFO] 	 cvc4 registered as external prover. 
% 3.87/1.49  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.16/1.54  % [INFO] 	 Found a conjecture and 15 axioms. Running axiom selection ... 
% 4.30/1.58  % [INFO] 	 Axiom selection finished. Selected 3 axioms (removed 12 axioms). 
% 4.30/1.60  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 5.89/2.11  % [INFO] 	 Killing All external provers ... 
% 5.89/2.12  % Time passed: 1931ms
% 5.89/2.12  % Effective reasoning time: 876ms
% 5.89/2.12  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 5.89/2.12  % Axioms used in derivation (3): thm_2Esum_2Esum__CASES, thm_2Esum_2EISR, thm_2Esum_2EISL
% 5.89/2.12  % No. of inferences in proof: 12
% 5.89/2.12  % No. of processed clauses: 2
% 5.89/2.12  % No. of generated clauses: 2
% 5.89/2.12  % No. of forward subsumed clauses: 0
% 5.89/2.12  % No. of backward subsumed clauses: 0
% 5.89/2.12  % No. of ground rewrite rules in store: 0
% 5.89/2.12  % No. of non-ground rewrite rules in store: 1
% 5.89/2.12  % No. of positive (non-rewrite) units in store: 0
% 5.89/2.12  % No. of negative (non-rewrite) units in store: 1
% 5.89/2.12  % No. of choice functions detected: 0
% 5.89/2.12  % No. of choice instantiations: 0
% 5.89/2.12  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 1931 ms resp. 876 ms w/o parsing
% 5.89/2.15  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 5.89/2.15  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 5.89/2.15  thf(c_2Esum_2EINL_type, type, c_2Esum_2EINL: !>[TA: $tType,TB: $tType]: (TA > (tyop_2Esum_2Esum @ TA @ TB))).
% 5.89/2.15  thf(c_2Esum_2EINR_type, type, c_2Esum_2EINR: !>[TA: $tType,TB: $tType]: (TB > (tyop_2Esum_2Esum @ TA @ TB))).
% 5.89/2.15  thf(c_2Esum_2EISL_type, type, c_2Esum_2EISL: !>[TA: $tType,TB: $tType]: ((tyop_2Esum_2Esum @ TA @ TB) > $o)).
% 5.89/2.15  thf(c_2Esum_2EISR_type, type, c_2Esum_2EISR: !>[TA: $tType,TB: $tType]: ((tyop_2Esum_2Esum @ TA @ TB) > $o)).
% 5.89/2.15  thf(skt1_type, type, skt1: $tType).
% 5.89/2.15  thf(skt2_type, type, skt2: $tType).
% 5.89/2.15  thf(sk1_type, type, sk1: (tyop_2Esum_2Esum @ skt1 @ skt2)).
% 5.89/2.15  thf(1,conjecture,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Esum_2Esum @ TA @ TB)]: ((~ (c_2Esum_2EISL @ TA @ TB @ A)) = (c_2Esum_2EISR @ TA @ TB @ A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esum_2ENOT__ISL__ISR)).
% 5.89/2.15  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType]: (! [A:(tyop_2Esum_2Esum @ TA @ TB)]: ((~ (c_2Esum_2EISL @ TA @ TB @ A)) = (c_2Esum_2EISR @ TA @ TB @ A)))))),inference(neg_conjecture,[status(cth)],[1])).
% 5.89/2.15  thf(6,plain,((~ (! [TA: $tType,TB: $tType]: (! [A:(tyop_2Esum_2Esum @ TA @ TB)]: ((~ (c_2Esum_2EISL @ TA @ TB @ A)) = (c_2Esum_2EISR @ TA @ TB @ A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 5.89/2.15  thf(3,axiom,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Esum_2Esum @ TA @ TB)]: (? [B:TA]: (A = (c_2Esum_2EINL @ TA @ TB @ B)) | ? [B:TB]: (A = (c_2Esum_2EINR @ TA @ TB @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esum_2Esum__CASES)).
% 5.89/2.15  thf(9,plain,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Esum_2Esum @ TA @ TB)]: (? [B:TA]: (A = (c_2Esum_2EINL @ TA @ TB @ B)) | ? [B:TB]: (A = (c_2Esum_2EINR @ TA @ TB @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 5.89/2.15  thf(4,axiom,((! [TA: $tType,TB: $tType]: (! [A:TB]: (c_2Esum_2EISR @ TA @ TB @ (c_2Esum_2EINR @ TA @ TB @ A)) & ! [A:TA]: ~ (c_2Esum_2EISR @ TA @ TB @ (c_2Esum_2EINL @ TA @ TB @ A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esum_2EISR)).
% 5.89/2.15  thf(12,plain,((! [TA: $tType,TB: $tType]: (! [A:TB]: (c_2Esum_2EISR @ TA @ TB @ (c_2Esum_2EINR @ TA @ TB @ A)) & ! [A:TA]: ~ (c_2Esum_2EISR @ TA @ TB @ (c_2Esum_2EINL @ TA @ TB @ A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 5.89/2.15  thf(5,axiom,((! [TA: $tType,TB: $tType]: (! [A:TA]: (c_2Esum_2EISL @ TA @ TB @ (c_2Esum_2EINL @ TA @ TB @ A)) & ! [A:TB]: ~ (c_2Esum_2EISL @ TA @ TB @ (c_2Esum_2EINR @ TA @ TB @ A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esum_2EISL)).
% 5.89/2.15  thf(16,plain,((! [TA: $tType,TB: $tType]: (! [A:TA]: (c_2Esum_2EISL @ TA @ TB @ (c_2Esum_2EINL @ TA @ TB @ A)) & ! [A:TB]: ~ (c_2Esum_2EISL @ TA @ TB @ (c_2Esum_2EINR @ TA @ TB @ A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 5.89/2.15  thf(7,plain,((~ ((~ (c_2Esum_2EISL @ skt1 @ skt2 @ sk1)) = (c_2Esum_2EISR @ skt1 @ skt2 @ sk1)))),inference(cnf,[status(esa)],[6])).
% 5.89/2.15  thf(8,plain,(((~ (c_2Esum_2EISL @ skt1 @ skt2 @ sk1)) != (c_2Esum_2EISR @ skt1 @ skt2 @ sk1))),inference(lifteq,[status(thm)],[7])).
% 5.89/2.15  thf(24,plain,($false),inference(e,[status(thm)],[6,9,12,16,8])).
% 5.89/2.15  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 5.89/2.15  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
