%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:35:53 EDT 2019

% Result     : Theorem 7.39s
% Output     : CNFRefutation 7.78s
% Verified   : 
% Statistics : Number of formulae       :   15 (  18 expanded)
%              Number of leaves         :    8 (   9 expanded)
%              Depth                    :    5
%              Number of atoms          :   92 ( 119 expanded)
%              Number of equality atoms :   13 (  16 expanded)
%              Maximal formula depth    :   10 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Erelation_2ERC_type,type,(
    c_2Erelation_2ERC: 
      !>[TA: $tType] :
        ( ( TA > TA > $o ) > TA > TA > $o ) )).

thf(c_2Erelation_2Esymmetric_type,type,(
    c_2Erelation_2Esymmetric: 
      !>[TA: $tType] :
        ( ( TA > TA > $o ) > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: skt1 > skt1 > $o )).

thf(1,conjecture,(
    ! [TA: $tType,A: TA > TA > $o] :
      ( ( c_2Erelation_2Esymmetric @ TA @ ( c_2Erelation_2ERC @ TA @ A ) )
      = ( c_2Erelation_2Esymmetric @ TA @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erelation_2Esymmetric__RC)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: TA > TA > $o] :
        ( ( c_2Erelation_2Esymmetric @ TA @ ( c_2Erelation_2ERC @ TA @ A ) )
        = ( c_2Erelation_2Esymmetric @ TA @ A ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(5,plain,(
    ~ ! [TA: $tType,A: TA > TA > $o] :
        ( ( c_2Erelation_2Esymmetric @ TA @ ( c_2Erelation_2ERC @ TA @ A ) )
        = ( c_2Erelation_2Esymmetric @ TA @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    ! [TA: $tType,A: TA > TA > $o,B: TA,C: TA] :
      ( ( c_2Erelation_2ERC @ TA @ A @ B @ C )
      = ( ( B = C )
        | ( A @ B @ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erelation_2ERC__DEF)).

thf(8,plain,(
    ! [TA: $tType,A: TA > TA > $o,B: TA,C: TA] :
      ( ( c_2Erelation_2ERC @ TA @ A @ B @ C )
      = ( ( B = C )
        | ( A @ B @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(4,axiom,(
    ! [TA: $tType,A: TA > TA > $o] :
      ( ( c_2Erelation_2Esymmetric @ TA @ A )
      = ( ! [B: TA,C: TA] :
            ( ( A @ B @ C )
            = ( A @ C @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erelation_2Esymmetric__def)).

thf(11,plain,(
    ! [TA: $tType,A: TA > TA > $o] :
      ( ( c_2Erelation_2Esymmetric @ TA @ A )
      = ( ! [B: TA,C: TA] :
            ( ( A @ B @ C )
            = ( A @ C @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(6,plain,(
    ( c_2Erelation_2Esymmetric @ skt1 @ ( c_2Erelation_2ERC @ skt1 @ sk1 ) )
 != ( c_2Erelation_2Esymmetric @ skt1 @ sk1 ) ),
    inference(cnf,[status(esa)],[5])).

thf(7,plain,(
    ( c_2Erelation_2Esymmetric @ skt1 @ ( c_2Erelation_2ERC @ skt1 @ sk1 ) )
 != ( c_2Erelation_2Esymmetric @ skt1 @ sk1 ) ),
    inference(lifteq,[status(thm)],[6])).

thf(20,plain,(
    $false ),
    inference(e,[status(thm)],[5,8,11,7])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.06/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.06/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.06/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.06/0.13  % CPULimit   : 300
% 0.06/0.13  % DateTime   : Tue Jul 30 14:26:48 EDT 2019
% 0.06/0.13  % CPUTime    : 
% 4.16/1.53  % [INFO] 	 Running in sequential loop mode. 
% 4.77/1.74  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 5.15/1.80  % [INFO] 	 iprover registered as external prover. 
% 5.15/1.80  % [INFO] 	 e registered as external prover. 
% 5.15/1.81  % [INFO] 	 cvc4 registered as external prover. 
% 5.27/1.81  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.33/1.86  % [INFO] 	 Found a conjecture and 42 axioms. Running axiom selection ... 
% 5.33/1.90  % [INFO] 	 Axiom selection finished. Selected 2 axioms (removed 40 axioms). 
% 5.55/1.92  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.39/2.58  % [INFO] 	 Killing All external provers ... 
% 7.39/2.59  % Time passed: 2320ms
% 7.39/2.59  % Effective reasoning time: 1046ms
% 7.39/2.59  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.39/2.59  % Axioms used in derivation (2): thm_2Erelation_2ERC__DEF, thm_2Erelation_2Esymmetric__def
% 7.39/2.59  % No. of inferences in proof: 10
% 7.39/2.59  % No. of processed clauses: 3
% 7.39/2.59  % No. of generated clauses: 6
% 7.39/2.59  % No. of forward subsumed clauses: 0
% 7.39/2.59  % No. of backward subsumed clauses: 0
% 7.39/2.59  % No. of ground rewrite rules in store: 0
% 7.39/2.59  % No. of non-ground rewrite rules in store: 0
% 7.39/2.59  % No. of positive (non-rewrite) units in store: 0
% 7.39/2.59  % No. of negative (non-rewrite) units in store: 3
% 7.39/2.59  % No. of choice functions detected: 0
% 7.39/2.59  % No. of choice instantiations: 0
% 7.39/2.59  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2320 ms resp. 1046 ms w/o parsing
% 7.78/2.61  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.78/2.61  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.78/2.61  thf(c_2Erelation_2ERC_type, type, c_2Erelation_2ERC: !>[TA: $tType]: ((TA > (TA > $o)) > (TA > (TA > $o)))).
% 7.78/2.61  thf(c_2Erelation_2Esymmetric_type, type, c_2Erelation_2Esymmetric: !>[TA: $tType]: ((TA > (TA > $o)) > $o)).
% 7.78/2.61  thf(skt1_type, type, skt1: $tType).
% 7.78/2.61  thf(sk1_type, type, sk1: (skt1 > (skt1 > $o))).
% 7.78/2.61  thf(1,conjecture,((! [TA: $tType]: (! [A:(TA > (TA > $o))]: ((c_2Erelation_2Esymmetric @ TA @ (c_2Erelation_2ERC @ TA @ A)) = (c_2Erelation_2Esymmetric @ TA @ A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erelation_2Esymmetric__RC)).
% 7.78/2.61  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:(TA > (TA > $o))]: ((c_2Erelation_2Esymmetric @ TA @ (c_2Erelation_2ERC @ TA @ A)) = (c_2Erelation_2Esymmetric @ TA @ A)))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.78/2.61  thf(5,plain,((~ (! [TA: $tType]: (! [A:(TA > (TA > $o))]: ((c_2Erelation_2Esymmetric @ TA @ (c_2Erelation_2ERC @ TA @ A)) = (c_2Erelation_2Esymmetric @ TA @ (A))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.78/2.61  thf(3,axiom,((! [TA: $tType]: (! [A:(TA > (TA > $o)),B:TA,C:TA]: ((c_2Erelation_2ERC @ TA @ A @ B @ C) = ((B = C) | (A @ B @ C)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erelation_2ERC__DEF)).
% 7.78/2.61  thf(8,plain,((! [TA: $tType]: (! [A:(TA > (TA > $o)),B:TA,C:TA]: ((c_2Erelation_2ERC @ TA @ (A) @ B @ C) = ((B = C) | (A @ B @ C)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.78/2.61  thf(4,axiom,((! [TA: $tType]: (! [A:(TA > (TA > $o))]: ((c_2Erelation_2Esymmetric @ TA @ A) = (! [B:TA,C:TA]: ((A @ B @ C) = (A @ C @ B))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erelation_2Esymmetric__def)).
% 7.78/2.61  thf(11,plain,((! [TA: $tType]: (! [A:(TA > (TA > $o))]: ((c_2Erelation_2Esymmetric @ TA @ (A)) = (! [B:TA,C:TA]: ((A @ B @ C) = (A @ C @ B))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 7.78/2.61  thf(6,plain,((~ ((c_2Erelation_2Esymmetric @ skt1 @ (c_2Erelation_2ERC @ skt1 @ sk1)) = (c_2Erelation_2Esymmetric @ skt1 @ (sk1))))),inference(cnf,[status(esa)],[5])).
% 7.78/2.61  thf(7,plain,(((c_2Erelation_2Esymmetric @ skt1 @ (c_2Erelation_2ERC @ skt1 @ sk1)) != (c_2Erelation_2Esymmetric @ skt1 @ (sk1)))),inference(lifteq,[status(thm)],[6])).
% 7.78/2.61  thf(20,plain,($false),inference(e,[status(thm)],[5,8,11,7])).
% 7.78/2.61  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.78/2.61  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
