%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:35:54 EDT 2019

% Result     : Theorem 7.41s
% Output     : CNFRefutation 7.41s
% Verified   : 
% Statistics : Number of formulae       :   68 ( 106 expanded)
%              Number of leaves         :   29 (  43 expanded)
%              Depth                    :    7
%              Number of atoms          :  377 ( 910 expanded)
%              Number of equality atoms :   60 ( 112 expanded)
%              Maximal formula depth    :   14 (   5 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $o )).

thf(c_2Erelation_2ERTC_type,type,(
    c_2Erelation_2ERTC: 
      !>[TA: $tType] :
        ( ( TA > TA > $o ) > TA > TA > $o ) )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $o > $o )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: skt1 > skt1 > $o )).

thf(sk2_type,type,(
    sk2: skt1 > skt1 > $o )).

thf(sk3_type,type,(
    sk3: skt1 )).

thf(sk4_type,type,(
    sk4: skt1 )).

thf(12,axiom,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(69,plain,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(1,conjecture,(
    ! [TA: $tType,A: TA > TA > $o,B: TA > TA > $o] :
      ( ( ! [C: TA] :
            ( B @ C @ C )
        & ! [C: TA,D: TA,E: TA] :
            ( ( ( B @ C @ D )
              & ( A @ D @ E ) )
           => ( B @ C @ E ) ) )
     => ! [C: TA,D: TA] :
          ( ( c_2Erelation_2ERTC @ TA @ A @ C @ D )
         => ( B @ C @ D ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erelation_2ERTC__INDUCT__RIGHT1)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: TA > TA > $o,B: TA > TA > $o] :
        ( ( ! [C: TA] :
              ( B @ C @ C )
          & ! [C: TA,D: TA,E: TA] :
              ( ( ( B @ C @ D )
                & ( A @ D @ E ) )
             => ( B @ C @ E ) ) )
       => ! [C: TA,D: TA] :
            ( ( c_2Erelation_2ERTC @ TA @ A @ C @ D )
           => ( B @ C @ D ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(15,plain,(
    ~ ! [TA: $tType,A: TA > TA > $o,B: TA > TA > $o] :
        ( ( ! [C: TA] :
              ( B @ C @ C )
          & ! [C: TA,D: TA,E: TA] :
              ( ( ( B @ C @ D )
                & ( A @ D @ E ) )
             => ( B @ C @ E ) ) )
       => ! [C: TA,D: TA] :
            ( ( c_2Erelation_2ERTC @ TA @ A @ C @ D )
           => ( B @ C @ D ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(18,plain,(
    ! [C: skt1,B: skt1,A: skt1] :
      ( ~ ( sk2 @ A @ B )
      | ~ ( sk1 @ B @ C )
      | ( sk2 @ A @ C ) ) ),
    inference(cnf,[status(esa)],[15])).

thf(20,plain,(
    ! [C: skt1,B: skt1,A: skt1] :
      ( ~ ( sk2 @ A @ B )
      | ~ ( sk1 @ B @ C )
      | ( sk2 @ A @ C ) ) ),
    inference(simp,[status(thm)],[18])).

thf(10,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(57,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(13,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(74,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(11,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(60,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(3,axiom,(
    ! [TA: $tType,A: TA > TA > $o,B: TA > $o,C: TA] :
      ( ( ( B @ C )
        & ! [D: TA,E: TA] :
            ( ( ( B @ D )
              & ( A @ D @ E ) )
           => ( B @ E ) ) )
     => ! [D: TA] :
          ( ( c_2Erelation_2ERTC @ TA @ A @ C @ D )
         => ( B @ D ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erelation_2ERTC__ALT__RIGHT__INDUCT)).

thf(21,plain,(
    ! [TA: $tType,A: TA > TA > $o,B: TA > $o,C: TA] :
      ( ( ( B @ C )
        & ! [D: TA,E: TA] :
            ( ( ( B @ D )
              & ( A @ D @ E ) )
           => ( B @ E ) ) )
     => ! [D: TA] :
          ( ( c_2Erelation_2ERTC @ TA @ A @ C @ D )
         => ( B @ D ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(72,plain,
    ( ( c_2Ebool_2E_7E @ $false )
    = ( ~ $false ) ),
    inference(instance,[status(thm)],[69])).

thf(73,plain,(
    c_2Ebool_2E_7E @ $false ),
    inference(simp,[status(thm)],[72])).

thf(4,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).

thf(34,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(63,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $true @ $false )
    = ( $true
     => $false ) ),
    inference(instance,[status(thm)],[60])).

thf(64,plain,(
    ~ ( c_2Emin_2E_3D_3D_3E @ $true @ $false ) ),
    inference(simp,[status(thm)],[63])).

thf(17,plain,(
    c_2Erelation_2ERTC @ skt1 @ sk1 @ sk3 @ sk4 ),
    inference(cnf,[status(esa)],[15])).

thf(70,plain,
    ( ( c_2Ebool_2E_7E @ $true )
    = ( ~ $true ) ),
    inference(instance,[status(thm)],[69])).

thf(71,plain,(
    ~ ( c_2Ebool_2E_7E @ $true ) ),
    inference(simp,[status(thm)],[70])).

thf(9,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(54,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(35,plain,
    ( ( ( c_2Ebool_2ET = $true )
      = $true )
    & ( ( $true = c_2Ebool_2ET )
      = $true )
    & ( ( c_2Ebool_2EF = $true )
      = ( ~ $true ) )
    & ( ( $true = c_2Ebool_2EF )
      = ( ~ $true ) ) ),
    inference(instance,[status(thm)],[34])).

thf(36,plain,
    ( c_2Ebool_2ET
    & ~ c_2Ebool_2EF
    & ~ c_2Ebool_2EF ),
    inference(simp,[status(thm)],[35])).

thf(39,plain,(
    ~ c_2Ebool_2EF ),
    inference(cnf,[status(esa)],[36])).

thf(19,plain,(
    ! [A: skt1] :
      ( sk2 @ A @ A ) ),
    inference(cnf,[status(esa)],[15])).

thf(16,plain,(
    ~ ( sk2 @ sk3 @ sk4 ) ),
    inference(cnf,[status(esa)],[15])).

thf(96,plain,(
    ! [A: skt1] :
      ( ( sk2 @ A @ A )
     != ( sk2 @ sk3 @ sk4 ) ) ),
    inference(paramod_ordered,[status(thm)],[19,16])).

thf(97,plain,(
    ! [A: skt1] :
      ( ( A != sk3 )
      | ( A != sk4 ) ) ),
    inference(simp,[status(thm)],[96])).

thf(98,plain,(
    sk4 != sk3 ),
    inference(simp,[status(thm)],[97])).

thf(65,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $false @ $true )
    = ( $false
     => $true ) ),
    inference(instance,[status(thm)],[60])).

thf(66,plain,(
    c_2Emin_2E_3D_3D_3E @ $false @ $true ),
    inference(simp,[status(thm)],[65])).

thf(6,axiom,(
    ! [TA: $tType,A: $o] :
      ( ( ! [B: TA] : A )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EFORALL__SIMP)).

thf(48,plain,(
    ! [TA: $tType] : $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(7,axiom,(
    c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(50,plain,(
    c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(5,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
          & A )
        = A )
      & ( ( A
          & c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF
          & A )
        = c_2Ebool_2EF )
      & ( ( A
          & c_2Ebool_2EF )
        = c_2Ebool_2EF )
      & ( ( A
          & A )
        = A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EAND__CLAUSES)).

thf(43,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
          & A )
        = A )
      & ( ( A
          & c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF
          & A )
        = c_2Ebool_2EF )
      & ( ( A
          & c_2Ebool_2EF )
        = c_2Ebool_2EF ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(40,plain,(
    c_2Ebool_2ET ),
    inference(cnf,[status(esa)],[36])).

thf(81,plain,
    ( ( c_2Ebool_2E_5C_2F @ $false @ $false )
    = ( $false
      | $false ) ),
    inference(instance,[status(thm)],[74])).

thf(82,plain,(
    ~ ( c_2Ebool_2E_5C_2F @ $false @ $false ) ),
    inference(simp,[status(thm)],[81])).

thf(8,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(51,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(61,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $true @ $true )
    = ( $true
     => $true ) ),
    inference(instance,[status(thm)],[60])).

thf(62,plain,(
    c_2Emin_2E_3D_3D_3E @ $true @ $true ),
    inference(simp,[status(thm)],[61])).

thf(14,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(83,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(122,plain,(
    $false ),
    inference(iprover,[status(thm)],[69,20,57,74,60,21,73,34,64,17,71,54,39,98,66,48,50,16,43,40,82,51,19,15,62,83])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.10/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.10/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.10/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.10/0.13  % CPULimit   : 300
% 0.10/0.13  % DateTime   : Tue Jul 30 14:31:46 EDT 2019
% 0.10/0.13  % CPUTime    : 
% 2.75/1.20  % [INFO] 	 Running in sequential loop mode. 
% 3.39/1.38  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.61/1.45  % [INFO] 	 iprover registered as external prover. 
% 3.61/1.45  % [INFO] 	 e registered as external prover. 
% 3.61/1.45  % [INFO] 	 cvc4 registered as external prover. 
% 3.89/1.46  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.19/1.55  % [INFO] 	 Found a conjecture and 12 axioms. Running axiom selection ... 
% 4.19/1.60  % [INFO] 	 Axiom selection finished. Selected 12 axioms (removed 0 axioms). 
% 4.36/1.64  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.92/2.52  % [INFO] 	 Killing All external provers ... 
% 7.41/2.52  % Time passed: 2257ms
% 7.41/2.52  % Effective reasoning time: 1312ms
% 7.41/2.52  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.41/2.52  % Axioms used in derivation (12): logicdef_2E_3D, thm_2Ebool_2EEQ__CLAUSES, logicdef_2E_5C_2F, quantdef_2E_21, thm_2Ebool_2ETRUTH, logicdef_2E_3D_3D_3E, thm_2Erelation_2ERTC__ALT__RIGHT__INDUCT, thm_2Ebool_2EFORALL__SIMP, thm_2Ebool_2EAND__CLAUSES, logicdef_2E_2F_5C, logicdef_2E_7E, quantdef_2E_3F
% 7.41/2.52  % No. of inferences in proof: 52
% 7.41/2.52  % No. of processed clauses: 14
% 7.41/2.52  % No. of generated clauses: 6
% 7.41/2.52  % No. of forward subsumed clauses: 5
% 7.41/2.52  % No. of backward subsumed clauses: 0
% 7.41/2.52  % No. of ground rewrite rules in store: 10
% 7.41/2.52  % No. of non-ground rewrite rules in store: 1
% 7.41/2.52  % No. of positive (non-rewrite) units in store: 0
% 7.41/2.52  % No. of negative (non-rewrite) units in store: 1
% 7.41/2.52  % No. of choice functions detected: 0
% 7.41/2.53  % No. of choice instantiations: 0
% 7.41/2.53  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2257 ms resp. 1312 ms w/o parsing
% 7.41/2.56  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.41/2.56  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.41/2.56  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 7.41/2.56  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 7.41/2.56  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 7.41/2.56  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 7.41/2.56  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 7.41/2.56  thf(c_2Ebool_2EF_type, type, c_2Ebool_2EF: $o).
% 7.41/2.56  thf(c_2Erelation_2ERTC_type, type, c_2Erelation_2ERTC: !>[TA: $tType]: ((TA > (TA > $o)) > (TA > (TA > $o)))).
% 7.41/2.56  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 7.41/2.56  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 7.41/2.56  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 7.41/2.56  thf(skt1_type, type, skt1: $tType).
% 7.41/2.56  thf(sk1_type, type, sk1: (skt1 > (skt1 > $o))).
% 7.41/2.56  thf(sk2_type, type, sk2: (skt1 > (skt1 > $o))).
% 7.41/2.56  thf(sk3_type, type, sk3: skt1).
% 7.41/2.56  thf(sk4_type, type, sk4: skt1).
% 7.41/2.56  thf(12,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 7.41/2.56  thf(69,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 7.41/2.56  thf(1,conjecture,((! [TA: $tType]: (! [A:(TA > (TA > $o)),B:(TA > (TA > $o))]: ((! [C:TA]: (B @ C @ C) & ! [C:TA,D:TA,E:TA]: (((B @ C @ D) & (A @ D @ E)) => (B @ C @ E))) => (! [C:TA,D:TA]: ((c_2Erelation_2ERTC @ TA @ A @ C @ D) => (B @ C @ D))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erelation_2ERTC__INDUCT__RIGHT1)).
% 7.41/2.56  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:(TA > (TA > $o)),B:(TA > (TA > $o))]: ((! [C:TA]: (B @ C @ C) & ! [C:TA,D:TA,E:TA]: (((B @ C @ D) & (A @ D @ E)) => (B @ C @ E))) => (! [C:TA,D:TA]: ((c_2Erelation_2ERTC @ TA @ A @ C @ D) => (B @ C @ D)))))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.41/2.56  thf(15,plain,((~ (! [TA: $tType]: (! [A:(TA > (TA > $o)),B:(TA > (TA > $o))]: ((! [C:TA]: (B @ C @ C) & ! [C:TA,D:TA,E:TA]: (((B @ C @ D) & (A @ D @ E)) => (B @ C @ E))) => (! [C:TA,D:TA]: ((c_2Erelation_2ERTC @ TA @ (A) @ C @ D) => (B @ C @ D)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.41/2.56  thf(18,plain,(! [C:skt1,B:skt1,A:skt1] : ((~ (sk2 @ A @ B)) | (~ (sk1 @ B @ C)) | (sk2 @ A @ C))),inference(cnf,[status(esa)],[15])).
% 7.41/2.56  thf(20,plain,(! [C:skt1,B:skt1,A:skt1] : ((~ (sk2 @ A @ B)) | (~ (sk1 @ B @ C)) | (sk2 @ A @ C))),inference(simp,[status(thm)],[18])).
% 7.41/2.56  thf(10,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 7.41/2.56  thf(57,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 7.41/2.56  thf(13,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 7.41/2.56  thf(74,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 7.41/2.56  thf(11,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 7.41/2.56  thf(60,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 7.41/2.56  thf(3,axiom,((! [TA: $tType]: (! [A:(TA > (TA > $o)),B:(TA > $o),C:TA]: (((B @ C) & ! [D:TA,E:TA]: (((B @ D) & (A @ D @ E)) => (B @ E))) => (! [D:TA]: ((c_2Erelation_2ERTC @ TA @ A @ C @ D) => (B @ D))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erelation_2ERTC__ALT__RIGHT__INDUCT)).
% 7.41/2.56  thf(21,plain,((! [TA: $tType]: (! [A:(TA > (TA > $o)),B:(TA > $o),C:TA]: (((B @ C) & ! [D:TA,E:TA]: (((B @ D) & (A @ D @ E)) => (B @ E))) => (! [D:TA]: ((c_2Erelation_2ERTC @ TA @ (A) @ C @ D) => (B @ D))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.41/2.56  thf(72,plain,(((c_2Ebool_2E_7E @ $false) = (~ ($false)))),inference(instance,[status(thm)],[69])).
% 7.41/2.56  thf(73,plain,((c_2Ebool_2E_7E @ $false)),inference(simp,[status(thm)],[72])).
% 7.41/2.56  thf(4,axiom,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).
% 7.41/2.56  thf(34,plain,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 7.41/2.56  thf(63,plain,(((c_2Emin_2E_3D_3D_3E @ $true @ $false) = (($true) => ($false)))),inference(instance,[status(thm)],[60])).
% 7.41/2.56  thf(64,plain,((~ (c_2Emin_2E_3D_3D_3E @ $true @ $false))),inference(simp,[status(thm)],[63])).
% 7.41/2.56  thf(17,plain,((c_2Erelation_2ERTC @ skt1 @ (sk1) @ sk3 @ sk4)),inference(cnf,[status(esa)],[15])).
% 7.41/2.56  thf(70,plain,(((c_2Ebool_2E_7E @ $true) = (~ ($true)))),inference(instance,[status(thm)],[69])).
% 7.41/2.56  thf(71,plain,((~ (c_2Ebool_2E_7E @ $true))),inference(simp,[status(thm)],[70])).
% 7.41/2.56  thf(9,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).
% 7.41/2.56  thf(54,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 7.41/2.56  thf(35,plain,((((c_2Ebool_2ET = $true) = $true) & (($true = c_2Ebool_2ET) = $true) & ((c_2Ebool_2EF = $true) = (~ ($true))) & (($true = c_2Ebool_2EF) = (~ ($true))))),inference(instance,[status(thm)],[34])).
% 7.41/2.56  thf(36,plain,(((c_2Ebool_2ET) & ~ (c_2Ebool_2EF) & ~ (c_2Ebool_2EF))),inference(simp,[status(thm)],[35])).
% 7.41/2.56  thf(39,plain,(~ (c_2Ebool_2EF)),inference(cnf,[status(esa)],[36])).
% 7.41/2.56  thf(19,plain,(! [A:skt1] : ((sk2 @ A @ A))),inference(cnf,[status(esa)],[15])).
% 7.41/2.56  thf(16,plain,((~ (sk2 @ sk3 @ sk4))),inference(cnf,[status(esa)],[15])).
% 7.41/2.56  thf(96,plain,(! [A:skt1] : (((sk2 @ A @ A) != (sk2 @ sk3 @ sk4)))),inference(paramod_ordered,[status(thm)],[19,16])).
% 7.41/2.56  thf(97,plain,(! [A:skt1] : ((A != sk3) | (A != sk4))),inference(simp,[status(thm)],[96])).
% 7.41/2.56  thf(98,plain,((sk4 != sk3)),inference(simp,[status(thm)],[97])).
% 7.41/2.56  thf(65,plain,(((c_2Emin_2E_3D_3D_3E @ $false @ $true) = (($false) => ($true)))),inference(instance,[status(thm)],[60])).
% 7.41/2.56  thf(66,plain,((c_2Emin_2E_3D_3D_3E @ $false @ $true)),inference(simp,[status(thm)],[65])).
% 7.41/2.56  thf(6,axiom,((! [TA: $tType]: (! [A:$o]: ((! [B:TA]: (A)) = A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EFORALL__SIMP)).
% 7.41/2.56  thf(48,plain,((! [TA: $tType]: ($true))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 7.41/2.56  thf(7,axiom,(c_2Ebool_2ET),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).
% 7.41/2.56  thf(50,plain,(c_2Ebool_2ET),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 7.41/2.56  thf(5,axiom,((! [A:$o]: ((((c_2Ebool_2ET) & (A)) = A) & (((A) & (c_2Ebool_2ET)) = A) & (((c_2Ebool_2EF) & (A)) = c_2Ebool_2EF) & (((A) & (c_2Ebool_2EF)) = c_2Ebool_2EF) & (((A) & (A)) = A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EAND__CLAUSES)).
% 7.41/2.56  thf(43,plain,((! [A:$o]: ((((c_2Ebool_2ET) & (A)) = A) & (((A) & (c_2Ebool_2ET)) = A) & (((c_2Ebool_2EF) & (A)) = c_2Ebool_2EF) & (((A) & (c_2Ebool_2EF)) = c_2Ebool_2EF)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 7.41/2.56  thf(40,plain,(c_2Ebool_2ET),inference(cnf,[status(esa)],[36])).
% 7.41/2.56  thf(81,plain,(((c_2Ebool_2E_5C_2F @ $false @ $false) = (($false) | ($false)))),inference(instance,[status(thm)],[74])).
% 7.41/2.56  thf(82,plain,((~ (c_2Ebool_2E_5C_2F @ $false @ $false))),inference(simp,[status(thm)],[81])).
% 7.41/2.56  thf(8,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 7.41/2.56  thf(51,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 7.41/2.56  thf(61,plain,(((c_2Emin_2E_3D_3D_3E @ $true @ $true) = (($true) => ($true)))),inference(instance,[status(thm)],[60])).
% 7.41/2.56  thf(62,plain,((c_2Emin_2E_3D_3D_3E @ $true @ $true)),inference(simp,[status(thm)],[61])).
% 7.41/2.56  thf(14,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 7.41/2.56  thf(83,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).
% 7.41/2.56  thf(122,plain,($false),inference(iprover,[status(thm)],[69,20,57,74,60,21,73,34,64,17,71,54,39,98,66,48,50,16,43,40,82,51,19,15,62,83])).
% 7.41/2.56  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.41/2.56  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
