%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:35:54 EDT 2019

% Result     : Theorem 13.41s
% Output     : CNFRefutation 13.41s
% Verified   : 
% Statistics : Number of formulae       :   43 (  86 expanded)
%              Number of leaves         :   10 (  17 expanded)
%              Depth                    :   19
%              Number of atoms          :  262 ( 651 expanded)
%              Number of equality atoms :   33 (  84 expanded)
%              Maximal formula depth    :   13 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Erelation_2ERC_type,type,(
    c_2Erelation_2ERC: 
      !>[TA: $tType] :
        ( ( TA > TA > $o ) > TA > TA > $o ) )).

thf(c_2Erelation_2Ereflexive_type,type,(
    c_2Erelation_2Ereflexive: 
      !>[TA: $tType] :
        ( ( TA > TA > $o ) > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: skt1 > skt1 > $o )).

thf(sk2_type,type,(
    sk2: skt1 )).

thf(sk3_type,type,(
    sk3: skt1 )).

thf(1,conjecture,(
    ! [TA: $tType,A: TA > TA > $o] :
      ( ( c_2Erelation_2Ereflexive @ TA @ A )
     => ( ( c_2Erelation_2ERC @ TA @ A )
        = A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erelation_2Ereflexive__RC__identity)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: TA > TA > $o] :
        ( ( c_2Erelation_2Ereflexive @ TA @ A )
       => ( ( c_2Erelation_2ERC @ TA @ A )
          = A ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(5,plain,(
    ~ ! [TA: $tType,A: TA > TA > $o] :
        ( ( c_2Erelation_2Ereflexive @ TA @ A )
       => ( ( c_2Erelation_2ERC @ TA @ A )
          = A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(6,plain,(
    ( c_2Erelation_2ERC @ skt1 @ sk1 )
 != sk1 ),
    inference(cnf,[status(esa)],[5])).

thf(8,plain,(
    ( c_2Erelation_2ERC @ skt1 @ sk1 )
 != sk1 ),
    inference(lifteq,[status(thm)],[6])).

thf(15,plain,(
    ( c_2Erelation_2ERC @ skt1 @ sk1 @ sk2 @ sk3 )
 != ( sk1 @ sk2 @ sk3 ) ),
    inference(func_ext,[status(esa)],[8])).

thf(17,plain,
    ( ( c_2Erelation_2ERC @ skt1 @ sk1 @ sk2 @ sk3 )
    | ( sk1 @ sk2 @ sk3 ) ),
    inference(bool_ext,[status(thm)],[15])).

thf(3,axiom,(
    ! [TA: $tType,A: TA > TA > $o,B: TA,C: TA] :
      ( ( c_2Erelation_2ERC @ TA @ A @ B @ C )
      = ( ( B = C )
        | ( A @ B @ C ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erelation_2ERC__DEF)).

thf(9,plain,(
    ! [TA: $tType,A: TA > TA > $o,B: TA,C: TA] :
      ( ( c_2Erelation_2ERC @ TA @ A @ B @ C )
      = ( ( B = C )
        | ( A @ B @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(10,plain,(
    ! [TA: $tType,C: TA,B: TA,A: TA > TA > $o] :
      ( ( c_2Erelation_2ERC @ TA @ A @ B @ C )
      = ( ( B = C )
        | ( A @ B @ C ) ) ) ),
    inference(cnf,[status(esa)],[9])).

thf(11,plain,(
    ! [TA: $tType,C: TA,B: TA,A: TA > TA > $o] :
      ( ( c_2Erelation_2ERC @ TA @ A @ B @ C )
      = ( ( B = C )
        | ( A @ B @ C ) ) ) ),
    inference(lifteq,[status(thm)],[10])).

thf(16,plain,
    ( ~ ( c_2Erelation_2ERC @ skt1 @ sk1 @ sk2 @ sk3 )
    | ~ ( sk1 @ sk2 @ sk3 ) ),
    inference(bool_ext,[status(thm)],[15])).

thf(114,plain,(
    ! [TA: $tType,C: TA,B: TA,A: TA > TA > $o] :
      ( ~ ( ( B = C )
          | ( A @ B @ C ) )
      | ~ ( sk1 @ sk2 @ sk3 )
      | ( ( c_2Erelation_2ERC @ TA @ A @ B @ C )
       != ( c_2Erelation_2ERC @ skt1 @ sk1 @ sk2 @ sk3 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[11,16])).

thf(115,plain,
    ( ~ ( ( sk2 = sk3 )
        | ( sk1 @ sk2 @ sk3 ) )
    | ~ ( sk1 @ sk2 @ sk3 ) ),
    inference(pattern_uni,[status(thm)],[114:[bind(A,$thf(sk1)),bind(B,$thf(sk2)),bind(C,$thf(sk3))]])).

thf(141,plain,
    ( ~ ( sk1 @ sk2 @ sk3 )
    | ~ ( sk1 @ sk2 @ sk3 ) ),
    inference(cnf,[status(esa)],[115])).

thf(155,plain,(
    ~ ( sk1 @ sk2 @ sk3 ) ),
    inference(simp,[status(thm)],[141])).

thf(185,plain,
    ( ( c_2Erelation_2ERC @ skt1 @ sk1 @ sk2 @ sk3 )
    | $false ),
    inference(rewrite,[status(thm)],[17,155])).

thf(186,plain,(
    c_2Erelation_2ERC @ skt1 @ sk1 @ sk2 @ sk3 ),
    inference(simp,[status(thm)],[185])).

thf(242,plain,(
    ! [TA: $tType,C: TA,B: TA,A: TA > TA > $o] :
      ( ( B = C )
      | ( A @ B @ C )
      | ( ( c_2Erelation_2ERC @ skt1 @ sk1 @ sk2 @ sk3 )
       != ( c_2Erelation_2ERC @ TA @ A @ B @ C ) ) ) ),
    inference(paramod_ordered,[status(thm)],[186,11])).

thf(243,plain,
    ( ( sk2 = sk3 )
    | ( sk1 @ sk2 @ sk3 ) ),
    inference(pattern_uni,[status(thm)],[242:[bind(A,$thf(sk1)),bind(B,$thf(sk2)),bind(C,$thf(sk3))]])).

thf(248,plain,
    ( ( sk2 = sk3 )
    | ( sk1 @ sk2 @ sk3 ) ),
    inference(cnf,[status(esa)],[243])).

thf(250,plain,
    ( ( sk3 = sk2 )
    | ( sk1 @ sk2 @ sk3 ) ),
    inference(lifteq,[status(thm)],[248])).

thf(251,plain,
    ( ( sk3 = sk2 )
    | $false ),
    inference(rewrite,[status(thm)],[250,155])).

thf(252,plain,(
    sk3 = sk2 ),
    inference(simp,[status(thm)],[251])).

thf(4,axiom,(
    ! [TA: $tType,A: TA > TA > $o] :
      ( ( c_2Erelation_2Ereflexive @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erelation_2Ereflexive__def)).

thf(12,plain,(
    ! [TA: $tType,A: TA > TA > $o] :
      ( ( c_2Erelation_2Ereflexive @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(13,plain,(
    ! [TA: $tType,A: TA > TA > $o] :
      ( ( c_2Erelation_2Ereflexive @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B @ B ) ) ) ),
    inference(cnf,[status(esa)],[12])).

thf(14,plain,(
    ! [TA: $tType,A: TA > TA > $o] :
      ( ( c_2Erelation_2Ereflexive @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B @ B ) ) ) ),
    inference(lifteq,[status(thm)],[13])).

thf(7,plain,(
    c_2Erelation_2Ereflexive @ skt1 @ sk1 ),
    inference(cnf,[status(esa)],[5])).

thf(20,plain,(
    ! [TA: $tType,A: TA > TA > $o] :
      ( ! [B: TA] :
          ( A @ B @ B )
      | ( ( c_2Erelation_2Ereflexive @ TA @ A )
       != ( c_2Erelation_2Ereflexive @ skt1 @ sk1 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[14,7])).

thf(21,plain,(
    ! [A: skt1] :
      ( sk1 @ A @ A ) ),
    inference(pattern_uni,[status(thm)],[20:[bind(A,$thf(sk1))]])).

thf(26,plain,(
    ! [A: skt1] :
      ( sk1 @ A @ A ) ),
    inference(cnf,[status(esa)],[21])).

thf(189,plain,(
    ! [A: skt1] :
      ( ( sk1 @ A @ A )
     != ( sk1 @ sk2 @ sk3 ) ) ),
    inference(paramod_ordered,[status(thm)],[26,155])).

thf(191,plain,(
    ! [A: skt1] :
      ( ( A != sk2 )
      | ( A != sk3 ) ) ),
    inference(simp,[status(thm)],[189])).

thf(193,plain,(
    sk3 != sk2 ),
    inference(simp,[status(thm)],[191])).

thf(258,plain,(
    $false ),
    inference(simplifyReflect,[status(thm)],[252,193])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.11/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.11/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.11/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.11/0.12  % CPULimit   : 300
% 0.11/0.12  % DateTime   : Tue Jul 30 14:29:06 EDT 2019
% 0.11/0.12  % CPUTime    : 
% 4.14/1.62  % [INFO] 	 Running in sequential loop mode. 
% 4.93/1.81  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 5.00/1.87  % [INFO] 	 iprover registered as external prover. 
% 5.00/1.87  % [INFO] 	 e registered as external prover. 
% 5.00/1.87  % [INFO] 	 cvc4 registered as external prover. 
% 5.00/1.88  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.33/1.92  % [INFO] 	 Found a conjecture and 46 axioms. Running axiom selection ... 
% 5.33/1.97  % [INFO] 	 Axiom selection finished. Selected 2 axioms (removed 44 axioms). 
% 5.33/1.98  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 13.41/4.06  % [INFO] 	 Killing All external provers ... 
% 13.41/4.06  % Time passed: 3806ms
% 13.41/4.06  % Effective reasoning time: 2433ms
% 13.41/4.06  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 13.41/4.06  % Axioms used in derivation (2): thm_2Erelation_2ERC__DEF, thm_2Erelation_2Ereflexive__def
% 13.41/4.06  % No. of inferences in proof: 36
% 13.41/4.06  % No. of processed clauses: 12
% 13.41/4.06  % No. of generated clauses: 64
% 13.41/4.06  % No. of forward subsumed clauses: 2
% 13.41/4.06  % No. of backward subsumed clauses: 1
% 13.41/4.06  % No. of ground rewrite rules in store: 6
% 13.41/4.06  % No. of non-ground rewrite rules in store: 1
% 13.41/4.06  % No. of positive (non-rewrite) units in store: 2
% 13.41/4.06  % No. of negative (non-rewrite) units in store: 2
% 13.41/4.07  % No. of choice functions detected: 0
% 13.41/4.07  % No. of choice instantiations: 0
% 13.41/4.07  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 3806 ms resp. 2433 ms w/o parsing
% 13.41/4.09  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 13.41/4.09  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 13.41/4.09  thf(c_2Erelation_2ERC_type, type, c_2Erelation_2ERC: !>[TA: $tType]: ((TA > (TA > $o)) > (TA > (TA > $o)))).
% 13.41/4.09  thf(c_2Erelation_2Ereflexive_type, type, c_2Erelation_2Ereflexive: !>[TA: $tType]: ((TA > (TA > $o)) > $o)).
% 13.41/4.09  thf(skt1_type, type, skt1: $tType).
% 13.41/4.09  thf(sk1_type, type, sk1: (skt1 > (skt1 > $o))).
% 13.41/4.09  thf(sk2_type, type, sk2: skt1).
% 13.41/4.09  thf(sk3_type, type, sk3: skt1).
% 13.41/4.09  thf(1,conjecture,((! [TA: $tType]: (! [A:(TA > (TA > $o))]: ((c_2Erelation_2Ereflexive @ TA @ A) => ((c_2Erelation_2ERC @ TA @ A) = A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erelation_2Ereflexive__RC__identity)).
% 13.41/4.09  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:(TA > (TA > $o))]: ((c_2Erelation_2Ereflexive @ TA @ A) => ((c_2Erelation_2ERC @ TA @ A) = A)))))),inference(neg_conjecture,[status(cth)],[1])).
% 13.41/4.09  thf(5,plain,((~ (! [TA: $tType]: (! [A:(TA > (TA > $o))]: ((c_2Erelation_2Ereflexive @ TA @ (A)) => ((c_2Erelation_2ERC @ TA @ A) = (A))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 13.41/4.09  thf(6,plain,((~ ((c_2Erelation_2ERC @ skt1 @ sk1) = (sk1)))),inference(cnf,[status(esa)],[5])).
% 13.41/4.09  thf(8,plain,(((c_2Erelation_2ERC @ skt1 @ sk1) != (sk1))),inference(lifteq,[status(thm)],[6])).
% 13.41/4.09  thf(15,plain,(((c_2Erelation_2ERC @ skt1 @ (sk1) @ sk2 @ sk3) != (sk1 @ sk2 @ sk3))),inference(func_ext,[status(esa)],[8])).
% 13.41/4.09  thf(17,plain,((c_2Erelation_2ERC @ skt1 @ (sk1) @ sk2 @ sk3) | (sk1 @ sk2 @ sk3)),inference(bool_ext,[status(thm)],[15])).
% 13.41/4.09  thf(3,axiom,((! [TA: $tType]: (! [A:(TA > (TA > $o)),B:TA,C:TA]: ((c_2Erelation_2ERC @ TA @ A @ B @ C) = ((B = C) | (A @ B @ C)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erelation_2ERC__DEF)).
% 13.41/4.09  thf(9,plain,((! [TA: $tType]: (! [A:(TA > (TA > $o)),B:TA,C:TA]: ((c_2Erelation_2ERC @ TA @ (A) @ B @ C) = ((B = C) | (A @ B @ C)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 13.41/4.09  thf(10,plain,(! [TA:$tType,C:TA,B:TA,A:(TA > (TA > $o))] : (((c_2Erelation_2ERC @ TA @ (A) @ B @ C) = ((B = C) | (A @ B @ C))))),inference(cnf,[status(esa)],[9])).
% 13.41/4.09  thf(11,plain,(! [TA:$tType,C:TA,B:TA,A:(TA > (TA > $o))] : (((c_2Erelation_2ERC @ TA @ (A) @ B @ C) = ((B = C) | (A @ B @ C))))),inference(lifteq,[status(thm)],[10])).
% 13.41/4.09  thf(16,plain,((~ (c_2Erelation_2ERC @ skt1 @ (sk1) @ sk2 @ sk3)) | (~ (sk1 @ sk2 @ sk3))),inference(bool_ext,[status(thm)],[15])).
% 13.41/4.09  thf(114,plain,(! [TA:$tType,C:TA,B:TA,A:(TA > (TA > $o))] : ((~ ((B = C) | (A @ B @ C))) | (~ (sk1 @ sk2 @ sk3)) | ((c_2Erelation_2ERC @ TA @ (A) @ B @ C) != (c_2Erelation_2ERC @ skt1 @ (sk1) @ sk2 @ sk3)))),inference(paramod_ordered,[status(thm)],[11,16])).
% 13.41/4.09  thf(115,plain,((~ ((sk2 = sk3) | (sk1 @ sk2 @ sk3))) | (~ (sk1 @ sk2 @ sk3))),inference(pattern_uni,[status(thm)],[114:[bind(A, $thf(sk1)),bind(B, $thf(sk2)),bind(C, $thf(sk3))]])).
% 13.41/4.09  thf(141,plain,((~ (sk1 @ sk2 @ sk3)) | (~ (sk1 @ sk2 @ sk3))),inference(cnf,[status(esa)],[115])).
% 13.41/4.09  thf(155,plain,((~ (sk1 @ sk2 @ sk3))),inference(simp,[status(thm)],[141])).
% 13.41/4.09  thf(185,plain,((c_2Erelation_2ERC @ skt1 @ (sk1) @ sk2 @ sk3) | $false),inference(rewrite,[status(thm)],[17,155])).
% 13.41/4.09  thf(186,plain,((c_2Erelation_2ERC @ skt1 @ (sk1) @ sk2 @ sk3)),inference(simp,[status(thm)],[185])).
% 13.41/4.09  thf(242,plain,(! [TA:$tType,C:TA,B:TA,A:(TA > (TA > $o))] : (((B = C) | (A @ B @ C)) | ((c_2Erelation_2ERC @ skt1 @ (sk1) @ sk2 @ sk3) != (c_2Erelation_2ERC @ TA @ (A) @ B @ C)))),inference(paramod_ordered,[status(thm)],[186,11])).
% 13.41/4.09  thf(243,plain,(((sk2 = sk3) | (sk1 @ sk2 @ sk3))),inference(pattern_uni,[status(thm)],[242:[bind(A, $thf(sk1)),bind(B, $thf(sk2)),bind(C, $thf(sk3))]])).
% 13.41/4.09  thf(248,plain,((sk2 = sk3) | (sk1 @ sk2 @ sk3)),inference(cnf,[status(esa)],[243])).
% 13.41/4.09  thf(250,plain,((sk3 = sk2) | (sk1 @ sk2 @ sk3)),inference(lifteq,[status(thm)],[248])).
% 13.41/4.09  thf(251,plain,((sk3 = sk2) | $false),inference(rewrite,[status(thm)],[250,155])).
% 13.41/4.09  thf(252,plain,((sk3 = sk2)),inference(simp,[status(thm)],[251])).
% 13.41/4.09  thf(4,axiom,((! [TA: $tType]: (! [A:(TA > (TA > $o))]: ((c_2Erelation_2Ereflexive @ TA @ A) = (! [B:TA]: (A @ B @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erelation_2Ereflexive__def)).
% 13.41/4.09  thf(12,plain,((! [TA: $tType]: (! [A:(TA > (TA > $o))]: ((c_2Erelation_2Ereflexive @ TA @ (A)) = (! [B:TA]: (A @ B @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 13.41/4.09  thf(13,plain,(! [TA:$tType,A:(TA > (TA > $o))] : (((c_2Erelation_2Ereflexive @ TA @ (A)) = (! [B:TA]: (A @ B @ B))))),inference(cnf,[status(esa)],[12])).
% 13.41/4.09  thf(14,plain,(! [TA:$tType,A:(TA > (TA > $o))] : (((c_2Erelation_2Ereflexive @ TA @ (A)) = (! [B:TA]: (A @ B @ B))))),inference(lifteq,[status(thm)],[13])).
% 13.41/4.09  thf(7,plain,((c_2Erelation_2Ereflexive @ skt1 @ (sk1))),inference(cnf,[status(esa)],[5])).
% 13.41/4.09  thf(20,plain,(! [TA:$tType,A:(TA > (TA > $o))] : ((! [B:TA]: (A @ B @ B)) | ((c_2Erelation_2Ereflexive @ TA @ (A)) != (c_2Erelation_2Ereflexive @ skt1 @ (sk1))))),inference(paramod_ordered,[status(thm)],[14,7])).
% 13.41/4.09  thf(21,plain,((! [A:skt1]: (sk1 @ A @ A))),inference(pattern_uni,[status(thm)],[20:[bind(A, $thf(sk1))]])).
% 13.41/4.09  thf(26,plain,(! [A:skt1] : ((sk1 @ A @ A))),inference(cnf,[status(esa)],[21])).
% 13.41/4.09  thf(189,plain,(! [A:skt1] : (((sk1 @ A @ A) != (sk1 @ sk2 @ sk3)))),inference(paramod_ordered,[status(thm)],[26,155])).
% 13.41/4.09  thf(191,plain,(! [A:skt1] : ((A != sk2) | (A != sk3))),inference(simp,[status(thm)],[189])).
% 13.41/4.09  thf(193,plain,((sk3 != sk2)),inference(simp,[status(thm)],[191])).
% 13.41/4.09  thf(258,plain,($false),inference(simplifyReflect,[status(thm)],[252,193])).
% 13.41/4.09  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 13.41/4.09  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
