%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:35:55 EDT 2019

% Result     : Theorem 7.94s
% Output     : CNFRefutation 7.94s
% Verified   : 
% Statistics : Number of formulae       :   19 (  29 expanded)
%              Number of leaves         :    9 (  12 expanded)
%              Depth                    :    7
%              Number of atoms          :  196 ( 378 expanded)
%              Number of equality atoms :    5 (  13 expanded)
%              Maximal formula depth    :   14 (   8 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Erelation_2ETC_type,type,(
    c_2Erelation_2ETC: 
      !>[TA: $tType] :
        ( ( TA > TA > $o ) > TA > TA > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: skt1 )).

thf(sk2_type,type,(
    sk2: skt1 )).

thf(sk3_type,type,(
    sk3: skt1 > skt1 > $o )).

thf(1,conjecture,(
    ! [TA: $tType,A: TA,B: TA,C: TA > TA > $o] :
      ( ( c_2Erelation_2ETC @ TA @ C @ B @ A )
      = ( ( C @ B @ A )
        | ? [D: TA] :
            ( ( C @ B @ D )
            & ( c_2Erelation_2ETC @ TA @ C @ D @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erelation_2ETC__CASES1)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: TA,B: TA,C: TA > TA > $o] :
        ( ( c_2Erelation_2ETC @ TA @ C @ B @ A )
        = ( ( C @ B @ A )
          | ? [D: TA] :
              ( ( C @ B @ D )
              & ( c_2Erelation_2ETC @ TA @ C @ D @ A ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(5,plain,(
    ~ ! [TA: $tType,A: TA,B: TA,C: TA > TA > $o] :
        ( ( c_2Erelation_2ETC @ TA @ C @ B @ A )
        = ( ( C @ B @ A )
          | ? [D: TA] :
              ( ( C @ B @ D )
              & ( c_2Erelation_2ETC @ TA @ C @ D @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    ! [TA: $tType,A: TA > TA > $o] :
      ( ! [B: TA,C: TA] :
          ( ( A @ B @ C )
         => ( c_2Erelation_2ETC @ TA @ A @ B @ C ) )
      & ! [B: TA,C: TA,D: TA] :
          ( ( ( c_2Erelation_2ETC @ TA @ A @ B @ C )
            & ( c_2Erelation_2ETC @ TA @ A @ C @ D ) )
         => ( c_2Erelation_2ETC @ TA @ A @ B @ D ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erelation_2ETC__RULES)).

thf(8,plain,(
    ! [TA: $tType,A: TA > TA > $o] :
      ( ! [B: TA,C: TA] :
          ( ( A @ B @ C )
         => ( c_2Erelation_2ETC @ TA @ A @ B @ C ) )
      & ! [B: TA,C: TA,D: TA] :
          ( ( ( c_2Erelation_2ETC @ TA @ A @ B @ C )
            & ( c_2Erelation_2ETC @ TA @ A @ C @ D ) )
         => ( c_2Erelation_2ETC @ TA @ A @ B @ D ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(10,plain,(
    ! [TA: $tType,C: TA,B: TA,A: TA > TA > $o] :
      ( ~ ( A @ B @ C )
      | ( c_2Erelation_2ETC @ TA @ A @ B @ C ) ) ),
    inference(cnf,[status(esa)],[8])).

thf(4,axiom,(
    ! [TA: $tType,A: TA > TA > $o,B: TA,C: TA] :
      ( ( c_2Erelation_2ETC @ TA @ A @ B @ C )
     => ( ( A @ B @ C )
        | ? [D: TA] :
            ( ( A @ B @ D )
            & ( c_2Erelation_2ETC @ TA @ A @ D @ C ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erelation_2ETC__CASES1__E)).

thf(12,plain,(
    ! [TA: $tType,A: TA > TA > $o,B: TA,C: TA] :
      ( ( c_2Erelation_2ETC @ TA @ A @ B @ C )
     => ( ( A @ B @ C )
        | ? [D: TA] :
            ( ( A @ B @ D )
            & ( c_2Erelation_2ETC @ TA @ A @ D @ C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(6,plain,(
    ( c_2Erelation_2ETC @ skt1 @ sk3 @ sk2 @ sk1 )
 != ( ( sk3 @ sk2 @ sk1 )
    | ? [A: skt1] :
        ( ( sk3 @ sk2 @ A )
        & ( c_2Erelation_2ETC @ skt1 @ sk3 @ A @ sk1 ) ) ) ),
    inference(cnf,[status(esa)],[5])).

thf(7,plain,(
    ( ( sk3 @ sk2 @ sk1 )
    | ? [A: skt1] :
        ( ( sk3 @ sk2 @ A )
        & ( c_2Erelation_2ETC @ skt1 @ sk3 @ A @ sk1 ) ) )
 != ( c_2Erelation_2ETC @ skt1 @ sk3 @ sk2 @ sk1 ) ),
    inference(lifteq,[status(thm)],[6])).

thf(15,plain,
    ( ~ ( ( sk3 @ sk2 @ sk1 )
        | ? [A: skt1] :
            ( ( sk3 @ sk2 @ A )
            & ( c_2Erelation_2ETC @ skt1 @ sk3 @ A @ sk1 ) ) )
    | ~ ( c_2Erelation_2ETC @ skt1 @ sk3 @ sk2 @ sk1 ) ),
    inference(bool_ext,[status(thm)],[7])).

thf(18,plain,
    ( ~ ( c_2Erelation_2ETC @ skt1 @ sk3 @ sk2 @ sk1 )
    | ~ ( sk3 @ sk2 @ sk1 ) ),
    inference(cnf,[status(esa)],[15])).

thf(54,plain,(
    $false ),
    inference(iprover,[status(thm)],[5,10,12,7,18,8])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.06/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.06/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.06/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.06/0.13  % CPULimit   : 300
% 0.06/0.13  % DateTime   : Tue Jul 30 14:36:08 EDT 2019
% 0.06/0.13  % CPUTime    : 
% 4.00/1.60  % [INFO] 	 Running in sequential loop mode. 
% 4.72/1.76  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.89/1.83  % [INFO] 	 iprover registered as external prover. 
% 4.89/1.83  % [INFO] 	 e registered as external prover. 
% 4.89/1.83  % [INFO] 	 cvc4 registered as external prover. 
% 4.89/1.83  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.97/1.88  % [INFO] 	 Found a conjecture and 38 axioms. Running axiom selection ... 
% 5.25/1.93  % [INFO] 	 Axiom selection finished. Selected 2 axioms (removed 36 axioms). 
% 5.25/1.95  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.94/2.73  % [INFO] 	 Killing All external provers ... 
% 7.94/2.74  % Time passed: 2474ms
% 7.94/2.74  % Effective reasoning time: 1134ms
% 7.94/2.74  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.94/2.74  % Axioms used in derivation (2): thm_2Erelation_2ETC__RULES, thm_2Erelation_2ETC__CASES1__E
% 7.94/2.74  % No. of inferences in proof: 13
% 7.94/2.74  % No. of processed clauses: 2
% 7.94/2.74  % No. of generated clauses: 18
% 7.94/2.74  % No. of forward subsumed clauses: 0
% 7.94/2.74  % No. of backward subsumed clauses: 1
% 7.94/2.74  % No. of ground rewrite rules in store: 1
% 7.94/2.74  % No. of non-ground rewrite rules in store: 0
% 7.94/2.74  % No. of positive (non-rewrite) units in store: 0
% 7.94/2.74  % No. of negative (non-rewrite) units in store: 0
% 7.94/2.74  % No. of choice functions detected: 0
% 7.94/2.74  % No. of choice instantiations: 0
% 7.94/2.74  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2474 ms resp. 1134 ms w/o parsing
% 7.94/2.76  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.94/2.76  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.94/2.76  thf(c_2Erelation_2ETC_type, type, c_2Erelation_2ETC: !>[TA: $tType]: ((TA > (TA > $o)) > (TA > (TA > $o)))).
% 7.94/2.76  thf(skt1_type, type, skt1: $tType).
% 7.94/2.76  thf(sk1_type, type, sk1: skt1).
% 7.94/2.76  thf(sk2_type, type, sk2: skt1).
% 7.94/2.76  thf(sk3_type, type, sk3: (skt1 > (skt1 > $o))).
% 7.94/2.76  thf(1,conjecture,((! [TA: $tType]: (! [A:TA,B:TA,C:(TA > (TA > $o))]: ((c_2Erelation_2ETC @ TA @ C @ B @ A) = ((C @ B @ A) | ? [D:TA]: ((C @ B @ D) & (c_2Erelation_2ETC @ TA @ C @ D @ A))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erelation_2ETC__CASES1)).
% 7.94/2.76  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:TA,B:TA,C:(TA > (TA > $o))]: ((c_2Erelation_2ETC @ TA @ C @ B @ A) = ((C @ B @ A) | ? [D:TA]: ((C @ B @ D) & (c_2Erelation_2ETC @ TA @ C @ D @ A)))))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.94/2.76  thf(5,plain,((~ (! [TA: $tType]: (! [A:TA,B:TA,C:(TA > (TA > $o))]: ((c_2Erelation_2ETC @ TA @ (C) @ B @ A) = ((C @ B @ A) | ? [D:TA]: ((C @ B @ D) & (c_2Erelation_2ETC @ TA @ (C) @ D @ A)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.94/2.76  thf(3,axiom,((! [TA: $tType]: (! [A:(TA > (TA > $o))]: (! [B:TA,C:TA]: ((A @ B @ C) => (c_2Erelation_2ETC @ TA @ A @ B @ C)) & ! [B:TA,C:TA,D:TA]: (((c_2Erelation_2ETC @ TA @ A @ B @ C) & (c_2Erelation_2ETC @ TA @ A @ C @ D)) => (c_2Erelation_2ETC @ TA @ A @ B @ D)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erelation_2ETC__RULES)).
% 7.94/2.76  thf(8,plain,((! [TA: $tType]: (! [A:(TA > (TA > $o))]: (! [B:TA,C:TA]: ((A @ B @ C) => (c_2Erelation_2ETC @ TA @ (A) @ B @ C)) & ! [B:TA,C:TA,D:TA]: (((c_2Erelation_2ETC @ TA @ (A) @ B @ C) & (c_2Erelation_2ETC @ TA @ (A) @ C @ D)) => (c_2Erelation_2ETC @ TA @ (A) @ B @ D)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.94/2.76  thf(10,plain,(! [TA:$tType,C:TA,B:TA,A:(TA > (TA > $o))] : ((~ (A @ B @ C)) | (c_2Erelation_2ETC @ TA @ (A) @ B @ C))),inference(cnf,[status(esa)],[8])).
% 7.94/2.76  thf(4,axiom,((! [TA: $tType]: (! [A:(TA > (TA > $o)),B:TA,C:TA]: ((c_2Erelation_2ETC @ TA @ A @ B @ C) => ((A @ B @ C) | ? [D:TA]: ((A @ B @ D) & (c_2Erelation_2ETC @ TA @ A @ D @ C))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erelation_2ETC__CASES1__E)).
% 7.94/2.76  thf(12,plain,((! [TA: $tType]: (! [A:(TA > (TA > $o)),B:TA,C:TA]: ((c_2Erelation_2ETC @ TA @ (A) @ B @ C) => ((A @ B @ C) | ? [D:TA]: ((A @ B @ D) & (c_2Erelation_2ETC @ TA @ (A) @ D @ C))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 7.94/2.76  thf(6,plain,((~ ((c_2Erelation_2ETC @ skt1 @ (sk3) @ sk2 @ sk1) = ((sk3 @ sk2 @ sk1) | ? [A:skt1]: ((sk3 @ sk2 @ A) & (c_2Erelation_2ETC @ skt1 @ (sk3) @ A @ sk1)))))),inference(cnf,[status(esa)],[5])).
% 7.94/2.76  thf(7,plain,((((sk3 @ sk2 @ sk1) | ? [A:skt1]: ((sk3 @ sk2 @ A) & (c_2Erelation_2ETC @ skt1 @ (sk3) @ A @ sk1))) != (c_2Erelation_2ETC @ skt1 @ (sk3) @ sk2 @ sk1))),inference(lifteq,[status(thm)],[6])).
% 7.94/2.76  thf(15,plain,((~ ((sk3 @ sk2 @ sk1) | ? [A:skt1]: ((sk3 @ sk2 @ A) & (c_2Erelation_2ETC @ skt1 @ (sk3) @ A @ sk1)))) | (~ (c_2Erelation_2ETC @ skt1 @ (sk3) @ sk2 @ sk1))),inference(bool_ext,[status(thm)],[7])).
% 7.94/2.76  thf(18,plain,((~ (c_2Erelation_2ETC @ skt1 @ (sk3) @ sk2 @ sk1)) | (~ (sk3 @ sk2 @ sk1))),inference(cnf,[status(esa)],[15])).
% 7.94/2.76  thf(54,plain,($false),inference(iprover,[status(thm)],[5,10,12,7,18,8])).
% 7.94/2.76  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.94/2.76  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
