%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:35:58 EDT 2019

% Result     : Theorem 7.85s
% Output     : CNFRefutation 7.85s
% Verified   : 
% Statistics : Number of formulae       :   15 (  18 expanded)
%              Number of leaves         :    8 (   9 expanded)
%              Depth                    :    5
%              Number of atoms          :   97 ( 127 expanded)
%              Number of equality atoms :    9 (  12 expanded)
%              Maximal formula depth    :   12 (   7 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Erelation_2Einv_type,type,(
    c_2Erelation_2Einv: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > TB > $o ) > TB > TA > $o ) )).

thf(c_2Erelation_2Etransitive_type,type,(
    c_2Erelation_2Etransitive: 
      !>[TA: $tType] :
        ( ( TA > TA > $o ) > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: skt1 > skt1 > $o )).

thf(1,conjecture,(
    ! [TA: $tType,A: TA > TA > $o] :
      ( ( c_2Erelation_2Etransitive @ TA @ ( c_2Erelation_2Einv @ TA @ TA @ A ) )
      = ( c_2Erelation_2Etransitive @ TA @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erelation_2Etransitive__inv)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: TA > TA > $o] :
        ( ( c_2Erelation_2Etransitive @ TA @ ( c_2Erelation_2Einv @ TA @ TA @ A ) )
        = ( c_2Erelation_2Etransitive @ TA @ A ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(5,plain,(
    ~ ! [TA: $tType,A: TA > TA > $o] :
        ( ( c_2Erelation_2Etransitive @ TA @ ( c_2Erelation_2Einv @ TA @ TA @ A ) )
        = ( c_2Erelation_2Etransitive @ TA @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > TB > $o,B: TB,C: TA] :
      ( ( c_2Erelation_2Einv @ TA @ TB @ A @ B @ C )
      = ( A @ C @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erelation_2Einv__DEF)).

thf(8,plain,(
    ! [TA: $tType,TB: $tType,A: TA > TB > $o,B: TB,C: TA] :
      ( ( c_2Erelation_2Einv @ TA @ TB @ A @ B @ C )
      = ( A @ C @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(4,axiom,(
    ! [TA: $tType,A: TA > TA > $o] :
      ( ( c_2Erelation_2Etransitive @ TA @ A )
      = ( ! [B: TA,C: TA,D: TA] :
            ( ( ( A @ B @ C )
              & ( A @ C @ D ) )
           => ( A @ B @ D ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erelation_2Etransitive__def)).

thf(11,plain,(
    ! [TA: $tType,A: TA > TA > $o] :
      ( ( c_2Erelation_2Etransitive @ TA @ A )
      = ( ! [B: TA,C: TA,D: TA] :
            ( ( ( A @ B @ C )
              & ( A @ C @ D ) )
           => ( A @ B @ D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(6,plain,(
    ( c_2Erelation_2Etransitive @ skt1 @ ( c_2Erelation_2Einv @ skt1 @ skt1 @ sk1 ) )
 != ( c_2Erelation_2Etransitive @ skt1 @ sk1 ) ),
    inference(cnf,[status(esa)],[5])).

thf(7,plain,(
    ( c_2Erelation_2Etransitive @ skt1 @ ( c_2Erelation_2Einv @ skt1 @ skt1 @ sk1 ) )
 != ( c_2Erelation_2Etransitive @ skt1 @ sk1 ) ),
    inference(lifteq,[status(thm)],[6])).

thf(20,plain,(
    $false ),
    inference(e,[status(thm)],[5,8,11,7])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.03/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.03/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.03/0.13  % CPULimit   : 300
% 0.03/0.13  % DateTime   : Tue Jul 30 14:41:43 EDT 2019
% 0.03/0.13  % CPUTime    : 
% 4.36/1.75  % [INFO] 	 Running in sequential loop mode. 
% 5.33/1.93  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 5.61/2.00  % [INFO] 	 iprover registered as external prover. 
% 5.61/2.00  % [INFO] 	 e registered as external prover. 
% 5.61/2.00  % [INFO] 	 cvc4 registered as external prover. 
% 5.61/2.00  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.61/2.05  % [INFO] 	 Found a conjecture and 35 axioms. Running axiom selection ... 
% 5.97/2.10  % [INFO] 	 Axiom selection finished. Selected 2 axioms (removed 33 axioms). 
% 6.06/2.11  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.85/2.70  % [INFO] 	 Killing All external provers ... 
% 7.85/2.71  % Time passed: 2440ms
% 7.85/2.71  % Effective reasoning time: 951ms
% 7.85/2.71  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.85/2.71  % Axioms used in derivation (2): thm_2Erelation_2Einv__DEF, thm_2Erelation_2Etransitive__def
% 7.85/2.71  % No. of inferences in proof: 10
% 7.85/2.71  % No. of processed clauses: 3
% 7.85/2.71  % No. of generated clauses: 6
% 7.85/2.71  % No. of forward subsumed clauses: 0
% 7.85/2.71  % No. of backward subsumed clauses: 0
% 7.85/2.71  % No. of ground rewrite rules in store: 0
% 7.85/2.71  % No. of non-ground rewrite rules in store: 0
% 7.85/2.71  % No. of positive (non-rewrite) units in store: 0
% 7.85/2.71  % No. of negative (non-rewrite) units in store: 3
% 7.85/2.71  % No. of choice functions detected: 0
% 7.85/2.71  % No. of choice instantiations: 0
% 7.85/2.71  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2440 ms resp. 951 ms w/o parsing
% 7.85/2.73  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.85/2.73  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.85/2.73  thf(c_2Erelation_2Einv_type, type, c_2Erelation_2Einv: !>[TA: $tType,TB: $tType]: ((TA > (TB > $o)) > (TB > (TA > $o)))).
% 7.85/2.73  thf(c_2Erelation_2Etransitive_type, type, c_2Erelation_2Etransitive: !>[TA: $tType]: ((TA > (TA > $o)) > $o)).
% 7.85/2.73  thf(skt1_type, type, skt1: $tType).
% 7.85/2.73  thf(sk1_type, type, sk1: (skt1 > (skt1 > $o))).
% 7.85/2.73  thf(1,conjecture,((! [TA: $tType]: (! [A:(TA > (TA > $o))]: ((c_2Erelation_2Etransitive @ TA @ (c_2Erelation_2Einv @ TA @ TA @ A)) = (c_2Erelation_2Etransitive @ TA @ A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erelation_2Etransitive__inv)).
% 7.85/2.73  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:(TA > (TA > $o))]: ((c_2Erelation_2Etransitive @ TA @ (c_2Erelation_2Einv @ TA @ TA @ A)) = (c_2Erelation_2Etransitive @ TA @ A)))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.85/2.73  thf(5,plain,((~ (! [TA: $tType]: (! [A:(TA > (TA > $o))]: ((c_2Erelation_2Etransitive @ TA @ (c_2Erelation_2Einv @ TA @ TA @ A)) = (c_2Erelation_2Etransitive @ TA @ (A))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.85/2.73  thf(3,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TB > $o)),B:TB,C:TA]: ((c_2Erelation_2Einv @ TA @ TB @ A @ B @ C) = (A @ C @ B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erelation_2Einv__DEF)).
% 7.85/2.73  thf(8,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TB > $o)),B:TB,C:TA]: ((c_2Erelation_2Einv @ TA @ TB @ (A) @ B @ C) = (A @ C @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.85/2.73  thf(4,axiom,((! [TA: $tType]: (! [A:(TA > (TA > $o))]: ((c_2Erelation_2Etransitive @ TA @ A) = (! [B:TA,C:TA,D:TA]: (((A @ B @ C) & (A @ C @ D)) => (A @ B @ D))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erelation_2Etransitive__def)).
% 7.85/2.73  thf(11,plain,((! [TA: $tType]: (! [A:(TA > (TA > $o))]: ((c_2Erelation_2Etransitive @ TA @ (A)) = (! [B:TA,C:TA,D:TA]: (((A @ B @ C) & (A @ C @ D)) => (A @ B @ D))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 7.85/2.73  thf(6,plain,((~ ((c_2Erelation_2Etransitive @ skt1 @ (c_2Erelation_2Einv @ skt1 @ skt1 @ sk1)) = (c_2Erelation_2Etransitive @ skt1 @ (sk1))))),inference(cnf,[status(esa)],[5])).
% 7.85/2.73  thf(7,plain,(((c_2Erelation_2Etransitive @ skt1 @ (c_2Erelation_2Einv @ skt1 @ skt1 @ sk1)) != (c_2Erelation_2Etransitive @ skt1 @ (sk1)))),inference(lifteq,[status(thm)],[6])).
% 7.85/2.73  thf(20,plain,($false),inference(e,[status(thm)],[5,8,11,7])).
% 7.85/2.73  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.85/2.73  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
