%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:36:00 EDT 2019

% Result     : Theorem 5.34s
% Output     : CNFRefutation 5.34s
% Verified   : 
% Statistics : Number of formulae       :   18 (  21 expanded)
%              Number of leaves         :   10 (  11 expanded)
%              Depth                    :    5
%              Number of atoms          :  105 ( 135 expanded)
%              Number of equality atoms :   13 (  16 expanded)
%              Maximal formula depth    :   11 (   7 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Erelation_2ERSUBSET_type,type,(
    c_2Erelation_2ERSUBSET: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > TB > $o ) > ( TA > TB > $o ) > $o ) )).

thf(c_2Erelation_2Ereflexive_type,type,(
    c_2Erelation_2Ereflexive: 
      !>[TA: $tType] :
        ( ( TA > TA > $o ) > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: skt1 > skt1 > $o )).

thf(1,conjecture,(
    ! [TA: $tType,A: TA > TA > $o] :
      ( ( c_2Erelation_2Ereflexive @ TA @ A )
      = ( c_2Erelation_2ERSUBSET @ TA @ TA @ ( c_2Emin_2E_3D @ TA ) @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erelation_2Ereflexive__Id__RSUBSET)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: TA > TA > $o] :
        ( ( c_2Erelation_2Ereflexive @ TA @ A )
        = ( c_2Erelation_2ERSUBSET @ TA @ TA @ ( c_2Emin_2E_3D @ TA ) @ A ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(6,plain,(
    ~ ! [TA: $tType,A: TA > TA > $o] :
        ( ( c_2Erelation_2Ereflexive @ TA @ A )
        = ( c_2Erelation_2ERSUBSET @ TA @ TA @ ( c_2Emin_2E_3D @ TA ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(9,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(4,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > TB > $o,B: TA > TB > $o] :
      ( ( c_2Erelation_2ERSUBSET @ TA @ TB @ A @ B )
      = ( ! [C: TA,D: TB] :
            ( ( A @ C @ D )
           => ( B @ C @ D ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erelation_2ERSUBSET)).

thf(12,plain,(
    ! [TA: $tType,TB: $tType,A: TA > TB > $o,B: TA > TB > $o] :
      ( ( c_2Erelation_2ERSUBSET @ TA @ TB @ A @ B )
      = ( ! [C: TA,D: TB] :
            ( ( A @ C @ D )
           => ( B @ C @ D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(7,plain,(
    ( c_2Erelation_2Ereflexive @ skt1 @ sk1 )
 != ( c_2Erelation_2ERSUBSET @ skt1 @ skt1 @ ( c_2Emin_2E_3D @ skt1 ) @ sk1 ) ),
    inference(cnf,[status(esa)],[6])).

thf(8,plain,(
    ( c_2Erelation_2Ereflexive @ skt1 @ sk1 )
 != ( c_2Erelation_2ERSUBSET @ skt1 @ skt1 @ ( c_2Emin_2E_3D @ skt1 ) @ sk1 ) ),
    inference(lifteq,[status(thm)],[7])).

thf(5,axiom,(
    ! [TA: $tType,A: TA > TA > $o] :
      ( ( c_2Erelation_2Ereflexive @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erelation_2Ereflexive__def)).

thf(15,plain,(
    ! [TA: $tType,A: TA > TA > $o] :
      ( ( c_2Erelation_2Ereflexive @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(26,plain,(
    $false ),
    inference(iprover,[status(thm)],[6,9,12,8,15])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.02/0.07  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.02/0.08  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.02/0.08  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.02/0.08  % CPULimit   : 300
% 0.02/0.08  % DateTime   : Tue Jul 30 14:46:08 EDT 2019
% 0.02/0.08  % CPUTime    : 
% 2.12/0.99  % [INFO] 	 Running in sequential loop mode. 
% 2.72/1.16  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.25/1.22  % [INFO] 	 iprover registered as external prover. 
% 3.25/1.22  % [INFO] 	 e registered as external prover. 
% 3.25/1.22  % [INFO] 	 cvc4 registered as external prover. 
% 3.25/1.23  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.29/1.27  % [INFO] 	 Found a conjecture and 15 axioms. Running axiom selection ... 
% 3.50/1.31  % [INFO] 	 Axiom selection finished. Selected 3 axioms (removed 12 axioms). 
% 3.50/1.33  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 5.34/1.92  % [INFO] 	 Killing All external provers ... 
% 5.34/1.92  % Time passed: 1755ms
% 5.34/1.92  % Effective reasoning time: 927ms
% 5.34/1.92  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 5.34/1.92  % Axioms used in derivation (3): logicdef_2E_3D, thm_2Erelation_2ERSUBSET, thm_2Erelation_2Ereflexive__def
% 5.34/1.92  % No. of inferences in proof: 12
% 5.34/1.92  % No. of processed clauses: 2
% 5.34/1.92  % No. of generated clauses: 5
% 5.34/1.92  % No. of forward subsumed clauses: 0
% 5.34/1.92  % No. of backward subsumed clauses: 0
% 5.34/1.92  % No. of ground rewrite rules in store: 0
% 5.34/1.92  % No. of non-ground rewrite rules in store: 0
% 5.34/1.92  % No. of positive (non-rewrite) units in store: 1
% 5.34/1.92  % No. of negative (non-rewrite) units in store: 1
% 5.34/1.92  % No. of choice functions detected: 0
% 5.34/1.92  % No. of choice instantiations: 0
% 5.34/1.92  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 1755 ms resp. 927 ms w/o parsing
% 5.34/1.94  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 5.34/1.94  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 5.34/1.94  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 5.34/1.94  thf(c_2Erelation_2ERSUBSET_type, type, c_2Erelation_2ERSUBSET: !>[TA: $tType,TB: $tType]: ((TA > (TB > $o)) > ((TA > (TB > $o)) > $o))).
% 5.34/1.94  thf(c_2Erelation_2Ereflexive_type, type, c_2Erelation_2Ereflexive: !>[TA: $tType]: ((TA > (TA > $o)) > $o)).
% 5.34/1.94  thf(skt1_type, type, skt1: $tType).
% 5.34/1.94  thf(sk1_type, type, sk1: (skt1 > (skt1 > $o))).
% 5.34/1.94  thf(1,conjecture,((! [TA: $tType]: (! [A:(TA > (TA > $o))]: ((c_2Erelation_2Ereflexive @ TA @ A) = (c_2Erelation_2ERSUBSET @ TA @ TA @ (c_2Emin_2E_3D @ TA) @ A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erelation_2Ereflexive__Id__RSUBSET)).
% 5.34/1.94  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:(TA > (TA > $o))]: ((c_2Erelation_2Ereflexive @ TA @ A) = (c_2Erelation_2ERSUBSET @ TA @ TA @ (c_2Emin_2E_3D @ TA) @ A)))))),inference(neg_conjecture,[status(cth)],[1])).
% 5.34/1.94  thf(6,plain,((~ (! [TA: $tType]: (! [A:(TA > (TA > $o))]: ((c_2Erelation_2Ereflexive @ TA @ (A)) = (c_2Erelation_2ERSUBSET @ TA @ TA @ (c_2Emin_2E_3D @ TA) @ (A))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 5.34/1.94  thf(3,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 5.34/1.94  thf(9,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 5.34/1.94  thf(4,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TB > $o)),B:(TA > (TB > $o))]: ((c_2Erelation_2ERSUBSET @ TA @ TB @ A @ B) = (! [C:TA,D:TB]: ((A @ C @ D) => (B @ C @ D))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erelation_2ERSUBSET)).
% 5.34/1.94  thf(12,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TB > $o)),B:(TA > (TB > $o))]: ((c_2Erelation_2ERSUBSET @ TA @ TB @ (A) @ (B)) = (! [C:TA,D:TB]: ((A @ C @ D) => (B @ C @ D))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 5.34/1.94  thf(7,plain,((~ ((c_2Erelation_2Ereflexive @ skt1 @ (sk1)) = (c_2Erelation_2ERSUBSET @ skt1 @ skt1 @ (c_2Emin_2E_3D @ skt1) @ (sk1))))),inference(cnf,[status(esa)],[6])).
% 5.34/1.94  thf(8,plain,(((c_2Erelation_2Ereflexive @ skt1 @ (sk1)) != (c_2Erelation_2ERSUBSET @ skt1 @ skt1 @ (c_2Emin_2E_3D @ skt1) @ (sk1)))),inference(lifteq,[status(thm)],[7])).
% 5.34/1.94  thf(5,axiom,((! [TA: $tType]: (! [A:(TA > (TA > $o))]: ((c_2Erelation_2Ereflexive @ TA @ A) = (! [B:TA]: (A @ B @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erelation_2Ereflexive__def)).
% 5.34/1.94  thf(15,plain,((! [TA: $tType]: (! [A:(TA > (TA > $o))]: ((c_2Erelation_2Ereflexive @ TA @ (A)) = (! [B:TA]: (A @ B @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 5.34/1.94  thf(26,plain,($false),inference(iprover,[status(thm)],[6,9,12,8,15])).
% 5.34/1.94  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 5.34/1.94  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
