%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:36:02 EDT 2019

% Result     : Theorem 7.67s
% Output     : CNFRefutation 8.14s
% Verified   : 
% Statistics : Number of formulae       :   65 (  89 expanded)
%              Number of leaves         :   30 (  40 expanded)
%              Depth                    :    6
%              Number of atoms          :  312 ( 484 expanded)
%              Number of equality atoms :   47 (  71 expanded)
%              Maximal formula depth    :   16 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Erelation_2EO_type,type,(
    c_2Erelation_2EO: 
      !>[TA: $tType,TB: $tType,TC: $tType] :
        ( ( TB > TC > $o ) > ( TA > TB > $o ) > TA > TC > $o ) )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $o > $o )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(skt2_type,type,(
    skt2: $tType )).

thf(sk1_type,type,(
    sk1: skt1 > skt2 > $o )).

thf(sk2_type,type,(
    sk2: skt1 )).

thf(sk3_type,type,(
    sk3: skt2 )).

thf(13,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(52,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(55,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $true @ $false )
    = ( $true
     => $false ) ),
    inference(instance,[status(thm)],[52])).

thf(56,plain,(
    ~ ( c_2Emin_2E_3D_3D_3E @ $true @ $false ) ),
    inference(simp,[status(thm)],[55])).

thf(9,axiom,(
    c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(42,plain,(
    c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(3,axiom,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: TB > TC > $o,B: TA > TB > $o,C: TA,D: TC] :
      ( ( c_2Erelation_2EO @ TA @ TB @ TC @ A @ B @ C @ D )
      = ( ? [E: TB] :
            ( ( B @ C @ E )
            & ( A @ E @ D ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erelation_2EO__DEF)).

thf(20,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: TB > TC > $o,B: TA > TB > $o,C: TA,D: TC] :
      ( ( c_2Erelation_2EO @ TA @ TB @ TC @ A @ B @ C @ D )
      = ( ? [E: TB] :
            ( ( B @ C @ E )
            & ( A @ E @ D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(11,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(46,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(6,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( A = A )
      = c_2Ebool_2ET ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).

thf(29,plain,(
    ! [TA: $tType] : c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(14,axiom,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(61,plain,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(15,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(66,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(73,plain,
    ( ( c_2Ebool_2E_5C_2F @ $false @ $false )
    = ( $false
      | $false ) ),
    inference(instance,[status(thm)],[66])).

thf(74,plain,(
    ~ ( c_2Ebool_2E_5C_2F @ $false @ $false ) ),
    inference(simp,[status(thm)],[73])).

thf(8,axiom,(
    ! [A: $o,B: $o] :
      ( ( A
       => B )
     => ( ( B
         => A )
       => ( A = B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__ANTISYM__AX)).

thf(33,plain,(
    ! [A: $o,B: $o] :
      ( ( A
       => B )
     => ( ( B
         => A )
       => ( A = B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(64,plain,
    ( ( c_2Ebool_2E_7E @ $false )
    = ( ~ $false ) ),
    inference(instance,[status(thm)],[61])).

thf(65,plain,(
    c_2Ebool_2E_7E @ $false ),
    inference(simp,[status(thm)],[64])).

thf(1,conjecture,(
    ! [TA: $tType,TB: $tType,A: TA > TB > $o] :
      ( ( c_2Erelation_2EO @ TA @ TB @ TB @ ( c_2Emin_2E_3D @ TB ) @ A )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erelation_2EId__O)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,TB: $tType,A: TA > TB > $o] :
        ( ( c_2Erelation_2EO @ TA @ TB @ TB @ ( c_2Emin_2E_3D @ TB ) @ A )
        = A ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(17,plain,(
    ~ ! [TA: $tType,TB: $tType,A: TA > TB > $o] :
        ( ( c_2Erelation_2EO @ TA @ TB @ TB @ ( c_2Emin_2E_3D @ TB ) @ A )
        = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(21,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType,D: TA,C: TC,B: TC > TB > $o,A: TB > TA > $o] :
      ( ( c_2Erelation_2EO @ TC @ TB @ TA @ A @ B @ C @ D )
      = ( ? [E: TB] :
            ( ( B @ C @ E )
            & ( A @ E @ D ) ) ) ) ),
    inference(cnf,[status(esa)],[20])).

thf(22,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType,D: TA,C: TC,B: TC > TB > $o,A: TB > TA > $o] :
      ( ( c_2Erelation_2EO @ TC @ TB @ TA @ A @ B @ C @ D )
      = ( ? [E: TB] :
            ( ( B @ C @ E )
            & ( A @ E @ D ) ) ) ) ),
    inference(lifteq,[status(thm)],[21])).

thf(53,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $true @ $true )
    = ( $true
     => $true ) ),
    inference(instance,[status(thm)],[52])).

thf(54,plain,(
    c_2Emin_2E_3D_3D_3E @ $true @ $true ),
    inference(simp,[status(thm)],[53])).

thf(12,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(49,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(62,plain,
    ( ( c_2Ebool_2E_7E @ $true )
    = ( ~ $true ) ),
    inference(instance,[status(thm)],[61])).

thf(63,plain,(
    ~ ( c_2Ebool_2E_7E @ $true ) ),
    inference(simp,[status(thm)],[62])).

thf(7,axiom,(
    ! [TA: $tType,A: $o] :
      ( ( ! [B: TA] : A )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EFORALL__SIMP)).

thf(31,plain,(
    ! [TA: $tType] : $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(10,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(43,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(5,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > TB,B: TA > TB] :
      ( ( A = B )
      = ( ! [C: TA] :
            ( ( A @ C )
            = ( B @ C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EFUN__EQ__THM)).

thf(26,plain,(
    ! [TA: $tType,TB: $tType,A: TA > TB,B: TA > TB] :
      ( ( A = B )
      = ( ! [C: TA] :
            ( ( A @ C )
            = ( B @ C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(4,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA] :
      ( ( ? [C: TA] :
            ( ( C = B )
            & ( A @ C ) ) )
      = ( A @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EUNWIND__THM2)).

thf(23,plain,(
    ! [TA: $tType,A: TA > $o,B: TA] :
      ( ( ? [C: TA] :
            ( ( C = B )
            & ( A @ C ) ) )
      = ( A @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(16,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(75,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(57,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $false @ $true )
    = ( $false
     => $true ) ),
    inference(instance,[status(thm)],[52])).

thf(58,plain,(
    c_2Emin_2E_3D_3D_3E @ $false @ $true ),
    inference(simp,[status(thm)],[57])).

thf(30,plain,(
    c_2Ebool_2ET ),
    inference(cnf,[status(esa)],[29])).

thf(18,plain,(
    ( c_2Erelation_2EO @ skt1 @ skt2 @ skt2 @ ( c_2Emin_2E_3D @ skt2 ) @ sk1 )
 != sk1 ),
    inference(cnf,[status(esa)],[17])).

thf(19,plain,(
    ( c_2Erelation_2EO @ skt1 @ skt2 @ skt2 @ ( c_2Emin_2E_3D @ skt2 ) @ sk1 )
 != sk1 ),
    inference(lifteq,[status(thm)],[18])).

thf(90,plain,(
    ( c_2Erelation_2EO @ skt1 @ skt2 @ skt2 @ ( c_2Emin_2E_3D @ skt2 ) @ sk1 @ sk2 @ sk3 )
 != ( sk1 @ sk2 @ sk3 ) ),
    inference(func_ext,[status(esa)],[19])).

thf(109,plain,(
    $false ),
    inference(e,[status(thm)],[56,42,52,20,46,29,61,74,33,65,17,22,54,49,66,63,31,43,26,23,75,58,30,19,90])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.00/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.11/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.11/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.11/0.13  % CPULimit   : 300
% 0.11/0.13  % DateTime   : Tue Jul 30 14:49:24 EDT 2019
% 0.11/0.13  % CPUTime    : 
% 2.35/1.17  % [INFO] 	 Running in sequential loop mode. 
% 3.24/1.37  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.56/1.44  % [INFO] 	 iprover registered as external prover. 
% 3.56/1.44  % [INFO] 	 e registered as external prover. 
% 3.56/1.44  % [INFO] 	 cvc4 registered as external prover. 
% 3.56/1.44  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.03/1.50  % [INFO] 	 Found a conjecture and 14 axioms. Running axiom selection ... 
% 4.21/1.54  % [INFO] 	 Axiom selection finished. Selected 14 axioms (removed 0 axioms). 
% 4.21/1.59  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.67/2.56  % [INFO] 	 Killing All external provers ... 
% 7.67/2.57  % Time passed: 2302ms
% 7.67/2.57  % Effective reasoning time: 1397ms
% 7.67/2.57  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.67/2.57  % Axioms used in derivation (14): thm_2Ebool_2EFUN__EQ__THM, logicdef_2E_3D, thm_2Ebool_2EREFL__CLAUSE, thm_2Ebool_2EIMP__ANTISYM__AX, logicdef_2E_5C_2F, thm_2Ebool_2EUNWIND__THM2, quantdef_2E_21, thm_2Ebool_2ETRUTH, logicdef_2E_3D_3D_3E, thm_2Erelation_2EO__DEF, thm_2Ebool_2EFORALL__SIMP, logicdef_2E_2F_5C, logicdef_2E_7E, quantdef_2E_3F
% 7.67/2.57  % No. of inferences in proof: 50
% 7.67/2.57  % No. of processed clauses: 12
% 7.67/2.57  % No. of generated clauses: 7
% 7.67/2.57  % No. of forward subsumed clauses: 1
% 7.67/2.57  % No. of backward subsumed clauses: 0
% 7.67/2.57  % No. of ground rewrite rules in store: 9
% 7.67/2.57  % No. of non-ground rewrite rules in store: 0
% 7.67/2.57  % No. of positive (non-rewrite) units in store: 1
% 7.67/2.57  % No. of negative (non-rewrite) units in store: 2
% 7.67/2.57  % No. of choice functions detected: 0
% 7.67/2.57  % No. of choice instantiations: 0
% 7.67/2.57  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2302 ms resp. 1397 ms w/o parsing
% 8.14/2.60  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 8.14/2.60  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 8.14/2.60  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 8.14/2.60  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 8.14/2.60  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 8.14/2.60  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 8.14/2.60  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 8.14/2.60  thf(c_2Erelation_2EO_type, type, c_2Erelation_2EO: !>[TA: $tType,TB: $tType,TC: $tType]: ((TB > (TC > $o)) > ((TA > (TB > $o)) > (TA > (TC > $o))))).
% 8.14/2.60  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 8.14/2.60  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 8.14/2.60  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 8.14/2.60  thf(skt1_type, type, skt1: $tType).
% 8.14/2.60  thf(skt2_type, type, skt2: $tType).
% 8.14/2.60  thf(sk1_type, type, sk1: (skt1 > (skt2 > $o))).
% 8.14/2.60  thf(sk2_type, type, sk2: skt1).
% 8.14/2.60  thf(sk3_type, type, sk3: skt2).
% 8.14/2.60  thf(13,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 8.14/2.60  thf(52,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 8.14/2.60  thf(55,plain,(((c_2Emin_2E_3D_3D_3E @ $true @ $false) = (($true) => ($false)))),inference(instance,[status(thm)],[52])).
% 8.14/2.60  thf(56,plain,((~ (c_2Emin_2E_3D_3D_3E @ $true @ $false))),inference(simp,[status(thm)],[55])).
% 8.14/2.60  thf(9,axiom,(c_2Ebool_2ET),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).
% 8.14/2.60  thf(42,plain,(c_2Ebool_2ET),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 8.14/2.60  thf(3,axiom,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TB > (TC > $o)),B:(TA > (TB > $o)),C:TA,D:TC]: ((c_2Erelation_2EO @ TA @ TB @ TC @ A @ B @ C @ D) = (? [E:TB]: ((B @ C @ E) & (A @ E @ D))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erelation_2EO__DEF)).
% 8.14/2.60  thf(20,plain,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TB > (TC > $o)),B:(TA > (TB > $o)),C:TA,D:TC]: ((c_2Erelation_2EO @ TA @ TB @ TC @ (A) @ (B) @ C @ D) = (? [E:TB]: ((B @ C @ E) & (A @ E @ D))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 8.14/2.60  thf(11,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).
% 8.14/2.60  thf(46,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 8.14/2.60  thf(6,axiom,((! [TA: $tType]: (! [A:TA]: ((A = A) = c_2Ebool_2ET)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).
% 8.14/2.60  thf(29,plain,((! [TA: $tType]: (c_2Ebool_2ET))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 8.14/2.60  thf(14,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 8.14/2.60  thf(61,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).
% 8.14/2.60  thf(15,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 8.14/2.60  thf(66,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).
% 8.14/2.60  thf(73,plain,(((c_2Ebool_2E_5C_2F @ $false @ $false) = (($false) | ($false)))),inference(instance,[status(thm)],[66])).
% 8.14/2.60  thf(74,plain,((~ (c_2Ebool_2E_5C_2F @ $false @ $false))),inference(simp,[status(thm)],[73])).
% 8.14/2.60  thf(8,axiom,((! [A:$o,B:$o]: (((A) => (B)) => (((B) => (A)) => (A = B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__ANTISYM__AX)).
% 8.14/2.60  thf(33,plain,((! [A:$o,B:$o]: (((A) => (B)) => (((B) => (A)) => (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 8.14/2.60  thf(64,plain,(((c_2Ebool_2E_7E @ $false) = (~ ($false)))),inference(instance,[status(thm)],[61])).
% 8.14/2.60  thf(65,plain,((c_2Ebool_2E_7E @ $false)),inference(simp,[status(thm)],[64])).
% 8.14/2.60  thf(1,conjecture,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TB > $o))]: ((c_2Erelation_2EO @ TA @ TB @ TB @ (c_2Emin_2E_3D @ TB) @ A) = A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erelation_2EId__O)).
% 8.14/2.60  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType]: (! [A:(TA > (TB > $o))]: ((c_2Erelation_2EO @ TA @ TB @ TB @ (c_2Emin_2E_3D @ TB) @ A) = A))))),inference(neg_conjecture,[status(cth)],[1])).
% 8.14/2.60  thf(17,plain,((~ (! [TA: $tType,TB: $tType]: (! [A:(TA > (TB > $o))]: ((c_2Erelation_2EO @ TA @ TB @ TB @ (c_2Emin_2E_3D @ TB) @ A) = (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 8.14/2.60  thf(21,plain,(! [TA:$tType,TB:$tType,TC:$tType,D:TA,C:TC,B:(TC > (TB > $o)),A:(TB > (TA > $o))] : (((c_2Erelation_2EO @ TC @ TB @ TA @ (A) @ (B) @ C @ D) = (? [E:TB]: ((B @ C @ E) & (A @ E @ D)))))),inference(cnf,[status(esa)],[20])).
% 8.14/2.60  thf(22,plain,(! [TA:$tType,TB:$tType,TC:$tType,D:TA,C:TC,B:(TC > (TB > $o)),A:(TB > (TA > $o))] : (((c_2Erelation_2EO @ TC @ TB @ TA @ (A) @ (B) @ C @ D) = (? [E:TB]: ((B @ C @ E) & (A @ E @ D)))))),inference(lifteq,[status(thm)],[21])).
% 8.14/2.60  thf(53,plain,(((c_2Emin_2E_3D_3D_3E @ $true @ $true) = (($true) => ($true)))),inference(instance,[status(thm)],[52])).
% 8.14/2.60  thf(54,plain,((c_2Emin_2E_3D_3D_3E @ $true @ $true)),inference(simp,[status(thm)],[53])).
% 8.14/2.60  thf(12,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 8.14/2.60  thf(49,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 8.14/2.60  thf(62,plain,(((c_2Ebool_2E_7E @ $true) = (~ ($true)))),inference(instance,[status(thm)],[61])).
% 8.14/2.60  thf(63,plain,((~ (c_2Ebool_2E_7E @ $true))),inference(simp,[status(thm)],[62])).
% 8.14/2.60  thf(7,axiom,((! [TA: $tType]: (! [A:$o]: ((! [B:TA]: (A)) = A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EFORALL__SIMP)).
% 8.14/2.60  thf(31,plain,((! [TA: $tType]: ($true))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 8.14/2.60  thf(10,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 8.14/2.60  thf(43,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 8.14/2.60  thf(5,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:(TA > TB)]: ((A = B) = (! [C:TA]: ((A @ C) = (B @ C))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EFUN__EQ__THM)).
% 8.14/2.60  thf(26,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:(TA > TB)]: (((A) = (B)) = (! [C:TA]: ((A @ C) = (B @ C))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 8.14/2.60  thf(4,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:TA]: ((? [C:TA]: ((C = B) & (A @ C))) = (A @ B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EUNWIND__THM2)).
% 8.14/2.60  thf(23,plain,((! [TA: $tType]: (! [A:(TA > $o),B:TA]: ((? [C:TA]: ((C = B) & (A @ C))) = (A @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 8.14/2.60  thf(16,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 8.14/2.60  thf(75,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).
% 8.14/2.60  thf(57,plain,(((c_2Emin_2E_3D_3D_3E @ $false @ $true) = (($false) => ($true)))),inference(instance,[status(thm)],[52])).
% 8.14/2.60  thf(58,plain,((c_2Emin_2E_3D_3D_3E @ $false @ $true)),inference(simp,[status(thm)],[57])).
% 8.14/2.60  thf(30,plain,(c_2Ebool_2ET),inference(cnf,[status(esa)],[29])).
% 8.14/2.60  thf(18,plain,((~ ((c_2Erelation_2EO @ skt1 @ skt2 @ skt2 @ (c_2Emin_2E_3D @ skt2) @ sk1) = (sk1)))),inference(cnf,[status(esa)],[17])).
% 8.14/2.60  thf(19,plain,(((c_2Erelation_2EO @ skt1 @ skt2 @ skt2 @ (c_2Emin_2E_3D @ skt2) @ sk1) != (sk1))),inference(lifteq,[status(thm)],[18])).
% 8.14/2.60  thf(90,plain,(((c_2Erelation_2EO @ skt1 @ skt2 @ skt2 @ (c_2Emin_2E_3D @ skt2) @ (sk1) @ sk2 @ sk3) != (sk1 @ sk2 @ sk3))),inference(func_ext,[status(esa)],[19])).
% 8.14/2.60  thf(109,plain,($false),inference(e,[status(thm)],[56,42,52,20,46,29,61,74,33,65,17,22,54,49,66,63,31,43,26,23,75,58,30,19,90])).
% 8.14/2.60  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 8.14/2.60  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
