%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:36:02 EDT 2019

% Result     : Theorem 7.81s
% Output     : CNFRefutation 7.81s
% Verified   : 
% Statistics : Number of formulae       :   42 ( 118 expanded)
%              Number of leaves         :   12 (  24 expanded)
%              Depth                    :   21
%              Number of atoms          :  318 (1153 expanded)
%              Number of equality atoms :   32 ( 122 expanded)
%              Maximal formula depth    :   19 (   8 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Erelation_2EO_type,type,(
    c_2Erelation_2EO: 
      !>[TA: $tType,TB: $tType,TC: $tType] :
        ( ( TB > TC > $o ) > ( TA > TB > $o ) > TA > TC > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(skt2_type,type,(
    skt2: $tType )).

thf(sk1_type,type,(
    sk1: skt1 > skt2 > $o )).

thf(sk2_type,type,(
    sk2: skt1 )).

thf(sk3_type,type,(
    sk3: skt2 )).

thf(sk9_type,type,(
    sk9: skt1 )).

thf(4,axiom,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: TB > TC > $o,B: TA > TB > $o,C: TA,D: TC] :
      ( ( c_2Erelation_2EO @ TA @ TB @ TC @ A @ B @ C @ D )
      = ( ? [E: TB] :
            ( ( B @ C @ E )
            & ( A @ E @ D ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erelation_2EO__DEF)).

thf(11,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: TB > TC > $o,B: TA > TB > $o,C: TA,D: TC] :
      ( ( c_2Erelation_2EO @ TA @ TB @ TC @ A @ B @ C @ D )
      = ( ? [E: TB] :
            ( ( B @ C @ E )
            & ( A @ E @ D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(12,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType,D: TA,C: TC,B: TC > TB > $o,A: TB > TA > $o] :
      ( ( c_2Erelation_2EO @ TC @ TB @ TA @ A @ B @ C @ D )
      = ( ? [E: TB] :
            ( ( B @ C @ E )
            & ( A @ E @ D ) ) ) ) ),
    inference(cnf,[status(esa)],[11])).

thf(13,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType,D: TA,C: TC,B: TC > TB > $o,A: TB > TA > $o] :
      ( ( c_2Erelation_2EO @ TC @ TB @ TA @ A @ B @ C @ D )
      = ( ? [E: TB] :
            ( ( B @ C @ E )
            & ( A @ E @ D ) ) ) ) ),
    inference(lifteq,[status(thm)],[12])).

thf(1,conjecture,(
    ! [TA: $tType,TB: $tType,A: TA > TB > $o] :
      ( ( c_2Erelation_2EO @ TA @ TA @ TB @ A @ ( c_2Emin_2E_3D @ TA ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erelation_2EO__Id)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,TB: $tType,A: TA > TB > $o] :
        ( ( c_2Erelation_2EO @ TA @ TA @ TB @ A @ ( c_2Emin_2E_3D @ TA ) )
        = A ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(5,plain,(
    ~ ! [TA: $tType,TB: $tType,A: TA > TB > $o] :
        ( ( c_2Erelation_2EO @ TA @ TA @ TB @ A @ ( c_2Emin_2E_3D @ TA ) )
        = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(6,plain,(
    ( c_2Erelation_2EO @ skt1 @ skt1 @ skt2 @ sk1 @ ( c_2Emin_2E_3D @ skt1 ) )
 != sk1 ),
    inference(cnf,[status(esa)],[5])).

thf(7,plain,(
    ( c_2Erelation_2EO @ skt1 @ skt1 @ skt2 @ sk1 @ ( c_2Emin_2E_3D @ skt1 ) )
 != sk1 ),
    inference(lifteq,[status(thm)],[6])).

thf(14,plain,(
    ( c_2Erelation_2EO @ skt1 @ skt1 @ skt2 @ sk1 @ ( c_2Emin_2E_3D @ skt1 ) @ sk2 @ sk3 )
 != ( sk1 @ sk2 @ sk3 ) ),
    inference(func_ext,[status(esa)],[7])).

thf(15,plain,
    ( ~ ( c_2Erelation_2EO @ skt1 @ skt1 @ skt2 @ sk1 @ ( c_2Emin_2E_3D @ skt1 ) @ sk2 @ sk3 )
    | ~ ( sk1 @ sk2 @ sk3 ) ),
    inference(bool_ext,[status(thm)],[14])).

thf(3,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(8,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(9,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(cnf,[status(esa)],[8])).

thf(10,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(lifteq,[status(thm)],[9])).

thf(30,plain,
    ( ~ ( c_2Erelation_2EO @ skt1 @ skt1 @ skt2 @ sk1 @ ( (=) @ skt1 ) @ sk2 @ sk3 )
    | ~ ( sk1 @ sk2 @ sk3 ) ),
    inference(rewrite,[status(thm)],[15,10])).

thf(59,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType,D: TA,C: TC,B: TC > TB > $o,A: TB > TA > $o] :
      ( ~ ? [E: TB] :
            ( ( B @ C @ E )
            & ( A @ E @ D ) )
      | ~ ( sk1 @ sk2 @ sk3 )
      | ( ( c_2Erelation_2EO @ TC @ TB @ TA @ A @ B @ C @ D )
       != ( c_2Erelation_2EO @ skt1 @ skt1 @ skt2 @ sk1 @ ( (=) @ skt1 ) @ sk2 @ sk3 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[13,30])).

thf(60,plain,
    ( ~ ? [A: skt1] :
          ( ( sk2 = A )
          & ( sk1 @ A @ sk3 ) )
    | ~ ( sk1 @ sk2 @ sk3 ) ),
    inference(pattern_uni,[status(thm)],[59:[bind(A,$thf(sk1)),bind(B,$thf((=) @ skt1)),bind(C,$thf(sk2)),bind(D,$thf(sk3))]])).

thf(63,plain,(
    ! [A: skt1] :
      ( ~ ( sk1 @ sk2 @ sk3 )
      | ( sk2 != A )
      | ~ ( sk1 @ A @ sk3 ) ) ),
    inference(cnf,[status(esa)],[60])).

thf(70,plain,(
    ! [A: skt1] :
      ( ( sk2 != A )
      | ~ ( sk1 @ sk2 @ sk3 )
      | ~ ( sk1 @ A @ sk3 ) ) ),
    inference(lifteq,[status(thm)],[63])).

thf(71,plain,(
    ~ ( sk1 @ sk2 @ sk3 ) ),
    inference(simp,[status(thm)],[70])).

thf(16,plain,
    ( ( c_2Erelation_2EO @ skt1 @ skt1 @ skt2 @ sk1 @ ( c_2Emin_2E_3D @ skt1 ) @ sk2 @ sk3 )
    | ( sk1 @ sk2 @ sk3 ) ),
    inference(bool_ext,[status(thm)],[14])).

thf(33,plain,
    ( ( c_2Erelation_2EO @ skt1 @ skt1 @ skt2 @ sk1 @ ( (=) @ skt1 ) @ sk2 @ sk3 )
    | ( sk1 @ sk2 @ sk3 ) ),
    inference(rewrite,[status(thm)],[16,10])).

thf(73,plain,
    ( ( c_2Erelation_2EO @ skt1 @ skt1 @ skt2 @ sk1 @ ( (=) @ skt1 ) @ sk2 @ sk3 )
    | $false ),
    inference(rewrite,[status(thm)],[33,71])).

thf(74,plain,(
    c_2Erelation_2EO @ skt1 @ skt1 @ skt2 @ sk1 @ ( (=) @ skt1 ) @ sk2 @ sk3 ),
    inference(simp,[status(thm)],[73])).

thf(77,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType,D: TA,C: TC,B: TC > TB > $o,A: TB > TA > $o] :
      ( ? [E: TB] :
          ( ( B @ C @ E )
          & ( A @ E @ D ) )
      | ( ( c_2Erelation_2EO @ skt1 @ skt1 @ skt2 @ sk1 @ ( (=) @ skt1 ) @ sk2 @ sk3 )
       != ( c_2Erelation_2EO @ TC @ TB @ TA @ A @ B @ C @ D ) ) ) ),
    inference(paramod_ordered,[status(thm)],[74,13])).

thf(78,plain,(
    ? [A: skt1] :
      ( ( sk2 = A )
      & ( sk1 @ A @ sk3 ) ) ),
    inference(pattern_uni,[status(thm)],[77:[bind(A,$thf(sk1)),bind(B,$thf((=) @ skt1)),bind(C,$thf(sk2)),bind(D,$thf(sk3))]])).

thf(82,plain,(
    sk1 @ sk9 @ sk3 ),
    inference(cnf,[status(esa)],[78])).

thf(83,plain,(
    sk2 = sk9 ),
    inference(cnf,[status(esa)],[78])).

thf(88,plain,(
    sk9 = sk2 ),
    inference(lifteq,[status(thm)],[83])).

thf(97,plain,(
    sk1 @ sk2 @ sk3 ),
    inference(rewrite,[status(thm)],[82,88])).

thf(98,plain,(
    ~ $true ),
    inference(rewrite,[status(thm)],[71,97])).

thf(99,plain,(
    $false ),
    inference(simp,[status(thm)],[98])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.06/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.06/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.06/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.06/0.13  % CPULimit   : 300
% 0.06/0.13  % DateTime   : Tue Jul 30 14:46:26 EDT 2019
% 0.06/0.13  % CPUTime    : 
% 2.75/1.25  % [INFO] 	 Running in sequential loop mode. 
% 3.32/1.43  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.65/1.49  % [INFO] 	 iprover registered as external prover. 
% 3.65/1.49  % [INFO] 	 e registered as external prover. 
% 3.65/1.49  % [INFO] 	 cvc4 registered as external prover. 
% 3.65/1.50  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.87/1.55  % [INFO] 	 Found a conjecture and 15 axioms. Running axiom selection ... 
% 4.04/1.59  % [INFO] 	 Axiom selection finished. Selected 2 axioms (removed 13 axioms). 
% 4.04/1.61  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.81/2.59  % [INFO] 	 Killing All external provers ... 
% 7.81/2.59  % Time passed: 2338ms
% 7.81/2.59  % Effective reasoning time: 1339ms
% 7.81/2.59  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.81/2.59  % Axioms used in derivation (2): thm_2Erelation_2EO__DEF, logicdef_2E_3D
% 7.81/2.59  % No. of inferences in proof: 33
% 7.81/2.59  % No. of processed clauses: 10
% 7.81/2.59  % No. of generated clauses: 35
% 7.81/2.59  % No. of forward subsumed clauses: 1
% 7.81/2.59  % No. of backward subsumed clauses: 1
% 7.81/2.59  % No. of ground rewrite rules in store: 4
% 7.81/2.59  % No. of non-ground rewrite rules in store: 1
% 7.81/2.59  % No. of positive (non-rewrite) units in store: 1
% 7.81/2.59  % No. of negative (non-rewrite) units in store: 2
% 7.81/2.59  % No. of choice functions detected: 0
% 7.81/2.59  % No. of choice instantiations: 0
% 7.81/2.60  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2338 ms resp. 1339 ms w/o parsing
% 7.81/2.62  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.81/2.62  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.81/2.62  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 7.81/2.62  thf(c_2Erelation_2EO_type, type, c_2Erelation_2EO: !>[TA: $tType,TB: $tType,TC: $tType]: ((TB > (TC > $o)) > ((TA > (TB > $o)) > (TA > (TC > $o))))).
% 7.81/2.62  thf(skt1_type, type, skt1: $tType).
% 7.81/2.62  thf(skt2_type, type, skt2: $tType).
% 7.81/2.62  thf(sk1_type, type, sk1: (skt1 > (skt2 > $o))).
% 7.81/2.62  thf(sk2_type, type, sk2: skt1).
% 7.81/2.62  thf(sk3_type, type, sk3: skt2).
% 7.81/2.62  thf(sk9_type, type, sk9: skt1).
% 7.81/2.62  thf(4,axiom,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TB > (TC > $o)),B:(TA > (TB > $o)),C:TA,D:TC]: ((c_2Erelation_2EO @ TA @ TB @ TC @ A @ B @ C @ D) = (? [E:TB]: ((B @ C @ E) & (A @ E @ D))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erelation_2EO__DEF)).
% 7.81/2.62  thf(11,plain,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TB > (TC > $o)),B:(TA > (TB > $o)),C:TA,D:TC]: ((c_2Erelation_2EO @ TA @ TB @ TC @ (A) @ (B) @ C @ D) = (? [E:TB]: ((B @ C @ E) & (A @ E @ D))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 7.81/2.62  thf(12,plain,(! [TA:$tType,TB:$tType,TC:$tType,D:TA,C:TC,B:(TC > (TB > $o)),A:(TB > (TA > $o))] : (((c_2Erelation_2EO @ TC @ TB @ TA @ (A) @ (B) @ C @ D) = (? [E:TB]: ((B @ C @ E) & (A @ E @ D)))))),inference(cnf,[status(esa)],[11])).
% 7.81/2.62  thf(13,plain,(! [TA:$tType,TB:$tType,TC:$tType,D:TA,C:TC,B:(TC > (TB > $o)),A:(TB > (TA > $o))] : (((c_2Erelation_2EO @ TC @ TB @ TA @ (A) @ (B) @ C @ D) = (? [E:TB]: ((B @ C @ E) & (A @ E @ D)))))),inference(lifteq,[status(thm)],[12])).
% 7.81/2.62  thf(1,conjecture,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TB > $o))]: ((c_2Erelation_2EO @ TA @ TA @ TB @ A @ (c_2Emin_2E_3D @ TA)) = A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erelation_2EO__Id)).
% 7.81/2.62  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType]: (! [A:(TA > (TB > $o))]: ((c_2Erelation_2EO @ TA @ TA @ TB @ A @ (c_2Emin_2E_3D @ TA)) = A))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.81/2.62  thf(5,plain,((~ (! [TA: $tType,TB: $tType]: (! [A:(TA > (TB > $o))]: ((c_2Erelation_2EO @ TA @ TA @ TB @ A @ (c_2Emin_2E_3D @ TA)) = (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.81/2.62  thf(6,plain,((~ ((c_2Erelation_2EO @ skt1 @ skt1 @ skt2 @ sk1 @ (c_2Emin_2E_3D @ skt1)) = (sk1)))),inference(cnf,[status(esa)],[5])).
% 7.81/2.62  thf(7,plain,(((c_2Erelation_2EO @ skt1 @ skt1 @ skt2 @ sk1 @ (c_2Emin_2E_3D @ skt1)) != (sk1))),inference(lifteq,[status(thm)],[6])).
% 7.81/2.62  thf(14,plain,(((c_2Erelation_2EO @ skt1 @ skt1 @ skt2 @ (sk1) @ (c_2Emin_2E_3D @ skt1) @ sk2 @ sk3) != (sk1 @ sk2 @ sk3))),inference(func_ext,[status(esa)],[7])).
% 7.81/2.62  thf(15,plain,((~ (c_2Erelation_2EO @ skt1 @ skt1 @ skt2 @ (sk1) @ (c_2Emin_2E_3D @ skt1) @ sk2 @ sk3)) | (~ (sk1 @ sk2 @ sk3))),inference(bool_ext,[status(thm)],[14])).
% 7.81/2.62  thf(3,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 7.81/2.62  thf(8,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.81/2.62  thf(9,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Emin_2E_3D @ TA @ A @ B) = (A = B)))),inference(cnf,[status(esa)],[8])).
% 7.81/2.62  thf(10,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Emin_2E_3D @ TA @ A @ B) = (A = B)))),inference(lifteq,[status(thm)],[9])).
% 7.81/2.62  thf(30,plain,((~ (c_2Erelation_2EO @ skt1 @ skt1 @ skt2 @ (sk1) @ (= @ skt1) @ sk2 @ sk3)) | (~ (sk1 @ sk2 @ sk3))),inference(rewrite,[status(thm)],[15,10])).
% 7.81/2.62  thf(59,plain,(! [TA:$tType,TB:$tType,TC:$tType,D:TA,C:TC,B:(TC > (TB > $o)),A:(TB > (TA > $o))] : ((~ (? [E:TB]: ((B @ C @ E) & (A @ E @ D)))) | (~ (sk1 @ sk2 @ sk3)) | ((c_2Erelation_2EO @ TC @ TB @ TA @ (A) @ (B) @ C @ D) != (c_2Erelation_2EO @ skt1 @ skt1 @ skt2 @ (sk1) @ (= @ skt1) @ sk2 @ sk3)))),inference(paramod_ordered,[status(thm)],[13,30])).
% 7.81/2.62  thf(60,plain,((~ (? [A:skt1]: ((sk2 = A) & (sk1 @ A @ sk3)))) | (~ (sk1 @ sk2 @ sk3))),inference(pattern_uni,[status(thm)],[59:[bind(A, $thf(sk1)),bind(B, $thf(= @ skt1)),bind(C, $thf(sk2)),bind(D, $thf(sk3))]])).
% 7.81/2.62  thf(63,plain,(! [A:skt1] : ((~ (sk1 @ sk2 @ sk3)) | (~ (sk2 = A)) | (~ (sk1 @ A @ sk3)))),inference(cnf,[status(esa)],[60])).
% 7.81/2.62  thf(70,plain,(! [A:skt1] : ((sk2 != A) | (~ (sk1 @ sk2 @ sk3)) | (~ (sk1 @ A @ sk3)))),inference(lifteq,[status(thm)],[63])).
% 7.81/2.62  thf(71,plain,((~ (sk1 @ sk2 @ sk3))),inference(simp,[status(thm)],[70])).
% 7.81/2.62  thf(16,plain,((c_2Erelation_2EO @ skt1 @ skt1 @ skt2 @ (sk1) @ (c_2Emin_2E_3D @ skt1) @ sk2 @ sk3) | (sk1 @ sk2 @ sk3)),inference(bool_ext,[status(thm)],[14])).
% 7.81/2.62  thf(33,plain,((c_2Erelation_2EO @ skt1 @ skt1 @ skt2 @ (sk1) @ (= @ skt1) @ sk2 @ sk3) | (sk1 @ sk2 @ sk3)),inference(rewrite,[status(thm)],[16,10])).
% 7.81/2.62  thf(73,plain,((c_2Erelation_2EO @ skt1 @ skt1 @ skt2 @ (sk1) @ (= @ skt1) @ sk2 @ sk3) | $false),inference(rewrite,[status(thm)],[33,71])).
% 7.81/2.62  thf(74,plain,((c_2Erelation_2EO @ skt1 @ skt1 @ skt2 @ (sk1) @ (= @ skt1) @ sk2 @ sk3)),inference(simp,[status(thm)],[73])).
% 7.81/2.62  thf(77,plain,(! [TA:$tType,TB:$tType,TC:$tType,D:TA,C:TC,B:(TC > (TB > $o)),A:(TB > (TA > $o))] : ((? [E:TB]: ((B @ C @ E) & (A @ E @ D))) | ((c_2Erelation_2EO @ skt1 @ skt1 @ skt2 @ (sk1) @ (= @ skt1) @ sk2 @ sk3) != (c_2Erelation_2EO @ TC @ TB @ TA @ (A) @ (B) @ C @ D)))),inference(paramod_ordered,[status(thm)],[74,13])).
% 7.81/2.62  thf(78,plain,((? [A:skt1]: ((sk2 = A) & (sk1 @ A @ sk3)))),inference(pattern_uni,[status(thm)],[77:[bind(A, $thf(sk1)),bind(B, $thf(= @ skt1)),bind(C, $thf(sk2)),bind(D, $thf(sk3))]])).
% 7.81/2.62  thf(82,plain,((sk1 @ sk9 @ sk3)),inference(cnf,[status(esa)],[78])).
% 7.81/2.62  thf(83,plain,((sk2 = sk9)),inference(cnf,[status(esa)],[78])).
% 7.81/2.62  thf(88,plain,((sk9 = sk2)),inference(lifteq,[status(thm)],[83])).
% 7.81/2.62  thf(97,plain,((sk1 @ sk2 @ sk3)),inference(rewrite,[status(thm)],[82,88])).
% 7.81/2.62  thf(98,plain,(~ ($true)),inference(rewrite,[status(thm)],[71,97])).
% 7.81/2.62  thf(99,plain,($false),inference(simp,[status(thm)],[98])).
% 7.81/2.62  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.81/2.62  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
