%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:36:03 EDT 2019

% Result     : Theorem 6.90s
% Output     : CNFRefutation 6.90s
% Verified   : 
% Statistics : Number of formulae       :   40 (  59 expanded)
%              Number of leaves         :   19 (  23 expanded)
%              Depth                    :   10
%              Number of atoms          :  282 ( 491 expanded)
%              Number of equality atoms :   62 ( 117 expanded)
%              Maximal formula depth    :   11 (   5 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Eone_2Eone_type,type,(
    tyop_2Eone_2Eone: $tType )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $o )).

thf(c_2Esum_2EINL_type,type,(
    c_2Esum_2EINL: 
      !>[TA: $tType,TB: $tType] :
        ( TA > ( tyop_2Esum_2Esum @ TA @ TB ) ) )).

thf(c_2Esum_2EINR_type,type,(
    c_2Esum_2EINR: 
      !>[TA: $tType,TB: $tType] :
        ( TB > ( tyop_2Esum_2Esum @ TA @ TB ) ) )).

thf(c_2Eoption_2ESOME_type,type,(
    c_2Eoption_2ESOME: 
      !>[TA: $tType] :
        ( TA > ( tyop_2Eoption_2Eoption @ TA ) ) )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(c_2Eoption_2Eoption__ABS_type,type,(
    c_2Eoption_2Eoption__ABS: 
      !>[TA: $tType] :
        ( ( tyop_2Esum_2Esum @ TA @ tyop_2Eone_2Eone ) > ( tyop_2Eoption_2Eoption @ TA ) ) )).

thf(c_2Eoption_2Eoption__REP_type,type,(
    c_2Eoption_2Eoption__REP: 
      !>[TA: $tType] :
        ( ( tyop_2Eoption_2Eoption @ TA ) > ( tyop_2Esum_2Esum @ TA @ tyop_2Eone_2Eone ) ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: skt1 )).

thf(sk2_type,type,(
    sk2: skt1 )).

thf(8,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( c_2Eoption_2ESOME @ TA @ A )
      = ( c_2Eoption_2Eoption__ABS @ TA @ ( c_2Esum_2EINL @ TA @ tyop_2Eone_2Eone @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eoption_2ESOME__DEF)).

thf(37,plain,(
    ! [TA: $tType,A: TA] :
      ( ( c_2Eoption_2ESOME @ TA @ A )
      = ( c_2Eoption_2Eoption__ABS @ TA @ ( c_2Esum_2EINL @ TA @ tyop_2Eone_2Eone @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(6,axiom,(
    ! [TA: $tType,TB: $tType] :
      ( ! [A: TA,B: TA] :
          ( ( ( c_2Esum_2EINL @ TA @ TB @ B )
            = ( c_2Esum_2EINL @ TA @ TB @ A ) )
          = ( B = A ) )
      & ! [A: TB,B: TB] :
          ( ( ( c_2Esum_2EINR @ TA @ TB @ B )
            = ( c_2Esum_2EINR @ TA @ TB @ A ) )
          = ( B = A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esum_2EINR__INL__11)).

thf(25,plain,(
    ! [TA: $tType,TB: $tType] :
      ( ! [A: TA,B: TA] :
          ( ( ( c_2Esum_2EINL @ TA @ TB @ B )
            = ( c_2Esum_2EINL @ TA @ TB @ A ) )
          = ( B = A ) )
      & ! [A: TB,B: TB] :
          ( ( ( c_2Esum_2EINR @ TA @ TB @ B )
            = ( c_2Esum_2EINR @ TA @ TB @ A ) )
          = ( B = A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(1,conjecture,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( ( c_2Eoption_2ESOME @ TA @ A )
        = ( c_2Eoption_2ESOME @ TA @ B ) )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eoption_2ESOME__11)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: TA,B: TA] :
        ( ( ( c_2Eoption_2ESOME @ TA @ A )
          = ( c_2Eoption_2ESOME @ TA @ B ) )
        = ( A = B ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(9,plain,(
    ~ ! [TA: $tType,A: TA,B: TA] :
        ( ( ( c_2Eoption_2ESOME @ TA @ A )
          = ( c_2Eoption_2ESOME @ TA @ B ) )
        = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(4,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
         => A )
        = A )
      & ( ( A
         => c_2Ebool_2ET )
        = c_2Ebool_2ET )
      & ( ( c_2Ebool_2EF
         => A )
        = c_2Ebool_2ET )
      & ( ( A
         => A )
        = c_2Ebool_2ET )
      & ( ( A
         => c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__CLAUSES)).

thf(13,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
         => A )
        = A )
      & ( ( A
         => c_2Ebool_2ET )
        = c_2Ebool_2ET )
      & ( ( c_2Ebool_2EF
         => A )
        = c_2Ebool_2ET )
      & c_2Ebool_2ET
      & ( ( A
         => c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(3,axiom,(
    c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(12,plain,(
    c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(10,plain,(
    ( ( c_2Eoption_2ESOME @ skt1 @ sk1 )
    = ( c_2Eoption_2ESOME @ skt1 @ sk2 ) )
 != ( sk1 = sk2 ) ),
    inference(cnf,[status(esa)],[9])).

thf(11,plain,(
    ( ( c_2Eoption_2ESOME @ skt1 @ sk1 )
    = ( c_2Eoption_2ESOME @ skt1 @ sk2 ) )
 != ( sk1 = sk2 ) ),
    inference(lifteq,[status(thm)],[10])).

thf(43,plain,
    ( ( ( c_2Eoption_2ESOME @ skt1 @ sk1 )
      = ( c_2Eoption_2ESOME @ skt1 @ sk2 ) )
    | ( sk1 = sk2 ) ),
    inference(bool_ext,[status(thm)],[11])).

thf(45,plain,
    ( ( ( c_2Eoption_2ESOME @ skt1 @ sk2 )
      = ( c_2Eoption_2ESOME @ skt1 @ sk1 ) )
    | ( sk2 = sk1 ) ),
    inference(lifteq,[status(thm)],[43])).

thf(42,plain,
    ( ( ( c_2Eoption_2ESOME @ skt1 @ sk1 )
     != ( c_2Eoption_2ESOME @ skt1 @ sk2 ) )
    | ( sk1 != sk2 ) ),
    inference(bool_ext,[status(thm)],[11])).

thf(44,plain,
    ( ( ( c_2Eoption_2ESOME @ skt1 @ sk2 )
     != ( c_2Eoption_2ESOME @ skt1 @ sk1 ) )
    | ( sk2 != sk1 ) ),
    inference(lifteq,[status(thm)],[42])).

thf(46,plain,
    ( ( sk2 != sk1 )
    | ( sk2 != sk1 ) ),
    inference(simp,[status(thm)],[44])).

thf(47,plain,(
    sk2 != sk1 ),
    inference(simp,[status(thm)],[46])).

thf(49,plain,
    ( ( c_2Eoption_2ESOME @ skt1 @ sk2 )
    = ( c_2Eoption_2ESOME @ skt1 @ sk1 ) ),
    inference(simplifyReflect,[status(thm)],[45,47])).

thf(14,plain,
    ( ( ( c_2Ebool_2ET
       => $true )
      = $true )
    & ( ( $true
       => c_2Ebool_2ET )
      = c_2Ebool_2ET )
    & ( ( c_2Ebool_2EF
       => $true )
      = c_2Ebool_2ET )
    & c_2Ebool_2ET
    & ( ( $true
       => c_2Ebool_2EF )
      = ( ~ $true ) ) ),
    inference(instance,[status(thm)],[13])).

thf(15,plain,
    ( c_2Ebool_2ET
    & ~ c_2Ebool_2EF ),
    inference(simp,[status(thm)],[14])).

thf(18,plain,(
    ~ c_2Ebool_2EF ),
    inference(cnf,[status(esa)],[15])).

thf(7,axiom,(
    ! [TA: $tType] :
      ( ! [A: tyop_2Eoption_2Eoption @ TA] :
          ( ( c_2Eoption_2Eoption__ABS @ TA @ ( c_2Eoption_2Eoption__REP @ TA @ A ) )
          = A )
      & ! [A: tyop_2Esum_2Esum @ TA @ tyop_2Eone_2Eone] :
          ( ( ^ [B: tyop_2Esum_2Esum @ TA @ tyop_2Eone_2Eone] : c_2Ebool_2ET
            @ A )
          = ( ( c_2Eoption_2Eoption__REP @ TA @ ( c_2Eoption_2Eoption__ABS @ TA @ A ) )
            = A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eoption_2Eoption__REP__ABS__DEF)).

thf(31,plain,(
    ! [TA: $tType] :
      ( ! [A: tyop_2Eoption_2Eoption @ TA] :
          ( ( c_2Eoption_2Eoption__ABS @ TA @ ( c_2Eoption_2Eoption__REP @ TA @ A ) )
          = A )
      & ! [A: tyop_2Esum_2Esum @ TA @ tyop_2Eone_2Eone] :
          ( c_2Ebool_2ET
          = ( ( c_2Eoption_2Eoption__REP @ TA @ ( c_2Eoption_2Eoption__ABS @ TA @ A ) )
            = A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(5,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( A = A )
      = c_2Ebool_2ET ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).

thf(23,plain,(
    ! [TA: $tType] : c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(61,plain,(
    $false ),
    inference(e,[status(thm)],[37,25,9,13,12,49,18,31,23,47])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.00/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.11/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.11/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.11/0.12  % CPULimit   : 300
% 0.11/0.12  % DateTime   : Tue Jul 30 14:51:33 EDT 2019
% 0.11/0.13  % CPUTime    : 
% 3.28/1.35  % [INFO] 	 Running in sequential loop mode. 
% 4.14/1.56  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.50/1.62  % [INFO] 	 iprover registered as external prover. 
% 4.50/1.62  % [INFO] 	 e registered as external prover. 
% 4.50/1.62  % [INFO] 	 cvc4 registered as external prover. 
% 4.50/1.63  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.50/1.67  % [INFO] 	 Found a conjecture and 15 axioms. Running axiom selection ... 
% 4.73/1.71  % [INFO] 	 Axiom selection finished. Selected 6 axioms (removed 9 axioms). 
% 4.73/1.75  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.90/2.41  % [INFO] 	 Killing All external provers ... 
% 6.90/2.41  % Time passed: 2156ms
% 6.90/2.41  % Effective reasoning time: 1057ms
% 6.90/2.41  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.90/2.41  % Axioms used in derivation (6): thm_2Ebool_2EREFL__CLAUSE, thm_2Eoption_2ESOME__DEF, thm_2Ebool_2EIMP__CLAUSES, thm_2Ebool_2ETRUTH, thm_2Eoption_2Eoption__REP__ABS__DEF, thm_2Esum_2EINR__INL__11
% 6.90/2.41  % No. of inferences in proof: 28
% 6.90/2.41  % No. of processed clauses: 6
% 6.90/2.41  % No. of generated clauses: 6
% 6.90/2.41  % No. of forward subsumed clauses: 4
% 6.90/2.41  % No. of backward subsumed clauses: 1
% 6.90/2.41  % No. of ground rewrite rules in store: 3
% 6.90/2.41  % No. of non-ground rewrite rules in store: 2
% 6.90/2.41  % No. of positive (non-rewrite) units in store: 0
% 6.90/2.41  % No. of negative (non-rewrite) units in store: 1
% 6.90/2.41  % No. of choice functions detected: 0
% 6.90/2.41  % No. of choice instantiations: 0
% 6.90/2.41  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2156 ms resp. 1057 ms w/o parsing
% 6.90/2.44  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.90/2.44  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.90/2.44  thf(tyop_2Eone_2Eone_type, type, tyop_2Eone_2Eone: $tType).
% 6.90/2.44  thf(c_2Ebool_2EF_type, type, c_2Ebool_2EF: $o).
% 6.90/2.44  thf(c_2Esum_2EINL_type, type, c_2Esum_2EINL: !>[TA: $tType,TB: $tType]: (TA > (tyop_2Esum_2Esum @ TA @ TB))).
% 6.90/2.44  thf(c_2Esum_2EINR_type, type, c_2Esum_2EINR: !>[TA: $tType,TB: $tType]: (TB > (tyop_2Esum_2Esum @ TA @ TB))).
% 6.90/2.44  thf(c_2Eoption_2ESOME_type, type, c_2Eoption_2ESOME: !>[TA: $tType]: (TA > (tyop_2Eoption_2Eoption @ TA))).
% 6.90/2.44  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 6.90/2.44  thf(c_2Eoption_2Eoption__ABS_type, type, c_2Eoption_2Eoption__ABS: !>[TA: $tType]: ((tyop_2Esum_2Esum @ TA @ tyop_2Eone_2Eone) > (tyop_2Eoption_2Eoption @ TA))).
% 6.90/2.44  thf(c_2Eoption_2Eoption__REP_type, type, c_2Eoption_2Eoption__REP: !>[TA: $tType]: ((tyop_2Eoption_2Eoption @ TA) > (tyop_2Esum_2Esum @ TA @ tyop_2Eone_2Eone))).
% 6.90/2.44  thf(skt1_type, type, skt1: $tType).
% 6.90/2.44  thf(sk1_type, type, sk1: skt1).
% 6.90/2.44  thf(sk2_type, type, sk2: skt1).
% 6.90/2.44  thf(8,axiom,((! [TA: $tType]: (! [A:TA]: ((c_2Eoption_2ESOME @ TA @ A) = (c_2Eoption_2Eoption__ABS @ TA @ (c_2Esum_2EINL @ TA @ tyop_2Eone_2Eone @ A)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eoption_2ESOME__DEF)).
% 6.90/2.44  thf(37,plain,((! [TA: $tType]: (! [A:TA]: ((c_2Eoption_2ESOME @ TA @ A) = (c_2Eoption_2Eoption__ABS @ TA @ (c_2Esum_2EINL @ TA @ tyop_2Eone_2Eone @ A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 6.90/2.44  thf(6,axiom,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TA]: (((c_2Esum_2EINL @ TA @ TB @ B) = (c_2Esum_2EINL @ TA @ TB @ A)) = (B = A)) & ! [A:TB,B:TB]: (((c_2Esum_2EINR @ TA @ TB @ B) = (c_2Esum_2EINR @ TA @ TB @ A)) = (B = A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esum_2EINR__INL__11)).
% 6.90/2.44  thf(25,plain,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TA]: (((c_2Esum_2EINL @ TA @ TB @ B) = (c_2Esum_2EINL @ TA @ TB @ A)) = (B = A)) & ! [A:TB,B:TB]: (((c_2Esum_2EINR @ TA @ TB @ B) = (c_2Esum_2EINR @ TA @ TB @ A)) = (B = A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 6.90/2.44  thf(1,conjecture,((! [TA: $tType]: (! [A:TA,B:TA]: (((c_2Eoption_2ESOME @ TA @ A) = (c_2Eoption_2ESOME @ TA @ B)) = (A = B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eoption_2ESOME__11)).
% 6.90/2.44  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:TA,B:TA]: (((c_2Eoption_2ESOME @ TA @ A) = (c_2Eoption_2ESOME @ TA @ B)) = (A = B)))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.90/2.44  thf(9,plain,((~ (! [TA: $tType]: (! [A:TA,B:TA]: (((c_2Eoption_2ESOME @ TA @ A) = (c_2Eoption_2ESOME @ TA @ B)) = (A = B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.90/2.44  thf(4,axiom,((! [A:$o]: ((((c_2Ebool_2ET) => (A)) = A) & (((A) => (c_2Ebool_2ET)) = c_2Ebool_2ET) & (((c_2Ebool_2EF) => (A)) = c_2Ebool_2ET) & (((A) => (A)) = c_2Ebool_2ET) & (((A) => (c_2Ebool_2EF)) = (~ (A)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__CLAUSES)).
% 6.90/2.44  thf(13,plain,((! [A:$o]: ((((c_2Ebool_2ET) => (A)) = A) & (((A) => (c_2Ebool_2ET)) = c_2Ebool_2ET) & (((c_2Ebool_2EF) => (A)) = c_2Ebool_2ET) & (c_2Ebool_2ET) & (((A) => (c_2Ebool_2EF)) = (~ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 6.90/2.44  thf(3,axiom,(c_2Ebool_2ET),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).
% 6.90/2.44  thf(12,plain,(c_2Ebool_2ET),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.90/2.44  thf(10,plain,((~ (((c_2Eoption_2ESOME @ skt1 @ sk1) = (c_2Eoption_2ESOME @ skt1 @ sk2)) = (sk1 = sk2)))),inference(cnf,[status(esa)],[9])).
% 6.90/2.44  thf(11,plain,((((c_2Eoption_2ESOME @ skt1 @ sk1) = (c_2Eoption_2ESOME @ skt1 @ sk2)) != (sk1 = sk2))),inference(lifteq,[status(thm)],[10])).
% 6.90/2.44  thf(43,plain,(((c_2Eoption_2ESOME @ skt1 @ sk1) = (c_2Eoption_2ESOME @ skt1 @ sk2)) | (sk1 = sk2)),inference(bool_ext,[status(thm)],[11])).
% 6.90/2.44  thf(45,plain,(((c_2Eoption_2ESOME @ skt1 @ sk2) = (c_2Eoption_2ESOME @ skt1 @ sk1)) | (sk2 = sk1)),inference(lifteq,[status(thm)],[43])).
% 6.90/2.44  thf(42,plain,((~ ((c_2Eoption_2ESOME @ skt1 @ sk1) = (c_2Eoption_2ESOME @ skt1 @ sk2))) | (~ (sk1 = sk2))),inference(bool_ext,[status(thm)],[11])).
% 6.90/2.44  thf(44,plain,(((c_2Eoption_2ESOME @ skt1 @ sk2) != (c_2Eoption_2ESOME @ skt1 @ sk1)) | (sk2 != sk1)),inference(lifteq,[status(thm)],[42])).
% 6.90/2.44  thf(46,plain,((sk2 != sk1) | (sk2 != sk1)),inference(simp,[status(thm)],[44])).
% 6.90/2.44  thf(47,plain,((sk2 != sk1)),inference(simp,[status(thm)],[46])).
% 6.90/2.44  thf(49,plain,(((c_2Eoption_2ESOME @ skt1 @ sk2) = (c_2Eoption_2ESOME @ skt1 @ sk1))),inference(simplifyReflect,[status(thm)],[45,47])).
% 6.90/2.44  thf(14,plain,(((((c_2Ebool_2ET) => ($true)) = $true) & ((($true) => (c_2Ebool_2ET)) = c_2Ebool_2ET) & (((c_2Ebool_2EF) => ($true)) = c_2Ebool_2ET) & (c_2Ebool_2ET) & ((($true) => (c_2Ebool_2EF)) = (~ ($true))))),inference(instance,[status(thm)],[13])).
% 6.90/2.44  thf(15,plain,(((c_2Ebool_2ET) & ~ (c_2Ebool_2EF))),inference(simp,[status(thm)],[14])).
% 6.90/2.44  thf(18,plain,(~ (c_2Ebool_2EF)),inference(cnf,[status(esa)],[15])).
% 6.90/2.44  thf(7,axiom,((! [TA: $tType]: (! [A:(tyop_2Eoption_2Eoption @ TA)]: ((c_2Eoption_2Eoption__ABS @ TA @ (c_2Eoption_2Eoption__REP @ TA @ A)) = A) & ! [A:(tyop_2Esum_2Esum @ TA @ tyop_2Eone_2Eone)]: ((^ [B:(tyop_2Esum_2Esum @ TA @ tyop_2Eone_2Eone)]: (c_2Ebool_2ET) @ A) = ((c_2Eoption_2Eoption__REP @ TA @ (c_2Eoption_2Eoption__ABS @ TA @ A)) = A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eoption_2Eoption__REP__ABS__DEF)).
% 6.90/2.44  thf(31,plain,((! [TA: $tType]: (! [A:(tyop_2Eoption_2Eoption @ TA)]: ((c_2Eoption_2Eoption__ABS @ TA @ (c_2Eoption_2Eoption__REP @ TA @ A)) = A) & ! [A:(tyop_2Esum_2Esum @ TA @ tyop_2Eone_2Eone)]: (c_2Ebool_2ET = ((c_2Eoption_2Eoption__REP @ TA @ (c_2Eoption_2Eoption__ABS @ TA @ A)) = A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 6.90/2.44  thf(5,axiom,((! [TA: $tType]: (! [A:TA]: ((A = A) = c_2Ebool_2ET)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).
% 6.90/2.44  thf(23,plain,((! [TA: $tType]: (c_2Ebool_2ET))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 6.90/2.44  thf(61,plain,($false),inference(e,[status(thm)],[37,25,9,13,12,49,18,31,23,47])).
% 6.90/2.44  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.90/2.44  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
