%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:36:05 EDT 2019

% Result     : Theorem 5.79s
% Output     : CNFRefutation 5.79s
% Verified   : 
% Statistics : Number of formulae       :   48 (  64 expanded)
%              Number of leaves         :   15 (  20 expanded)
%              Depth                    :   14
%              Number of atoms          :  317 ( 441 expanded)
%              Number of equality atoms :   39 (  54 expanded)
%              Maximal formula depth    :   12 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Eone_2Eone_type,type,(
    tyop_2Eone_2Eone: $tType )).

thf(c_2Ebool_2ECOND_type,type,(
    c_2Ebool_2ECOND: 
      !>[TA: $tType] :
        ( $o > TA > TA > TA ) )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $o )).

thf(c_2Eoption_2ENONE_type,type,(
    c_2Eoption_2ENONE: 
      !>[TA: $tType] :
        ( tyop_2Eoption_2Eoption @ TA ) )).

thf(c_2Eoption_2EOPTION__GUARD_type,type,(
    c_2Eoption_2EOPTION__GUARD: $o > ( tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone ) )).

thf(c_2Eoption_2ESOME_type,type,(
    c_2Eoption_2ESOME: 
      !>[TA: $tType] :
        ( TA > ( tyop_2Eoption_2Eoption @ TA ) ) )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(c_2Eone_2Eone_type,type,(
    c_2Eone_2Eone: tyop_2Eone_2Eone )).

thf(sk1_type,type,(
    sk1: $o )).

thf(7,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B )
        = A )
      & ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B )
        = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ECOND__CLAUSES)).

thf(29,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B )
        = A )
      & ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(31,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B )
      = A ) ),
    inference(cnf,[status(esa)],[29])).

thf(33,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B )
      = A ) ),
    inference(lifteq,[status(thm)],[31])).

thf(3,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( A = A )
      = c_2Ebool_2ET ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).

thf(12,plain,(
    ! [TA: $tType] : c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(13,plain,(
    c_2Ebool_2ET ),
    inference(cnf,[status(esa)],[12])).

thf(55,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Ebool_2ECOND @ TA @ $true @ A @ B )
      = A ) ),
    inference(rewrite,[status(thm)],[33,13])).

thf(1,conjecture,(
    ! [A: $o] :
      ( ( c_2Eoption_2EOPTION__GUARD @ A )
      = ( c_2Ebool_2ECOND @ ( tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone ) @ A @ ( c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone ) @ ( c_2Eoption_2ENONE @ tyop_2Eone_2Eone ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eoption_2EOPTION__GUARD__COND)).

thf(2,negated_conjecture,(
    ~ ! [A: $o] :
        ( ( c_2Eoption_2EOPTION__GUARD @ A )
        = ( c_2Ebool_2ECOND @ ( tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone ) @ A @ ( c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone ) @ ( c_2Eoption_2ENONE @ tyop_2Eone_2Eone ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(9,plain,(
    ~ ! [A: $o] :
        ( ( c_2Eoption_2EOPTION__GUARD @ A )
        = ( c_2Ebool_2ECOND @ ( tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone ) @ A @ ( c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone ) @ ( c_2Eoption_2ENONE @ tyop_2Eone_2Eone ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(10,plain,(
    ( c_2Eoption_2EOPTION__GUARD @ sk1 )
 != ( c_2Ebool_2ECOND @ ( tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone ) @ sk1 @ ( c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone ) @ ( c_2Eoption_2ENONE @ tyop_2Eone_2Eone ) ) ),
    inference(cnf,[status(esa)],[9])).

thf(11,plain,(
    ( c_2Eoption_2EOPTION__GUARD @ sk1 )
 != ( c_2Ebool_2ECOND @ ( tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone ) @ sk1 @ ( c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone ) @ ( c_2Eoption_2ENONE @ tyop_2Eone_2Eone ) ) ),
    inference(lifteq,[status(thm)],[10])).

thf(30,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B )
      = B ) ),
    inference(cnf,[status(esa)],[29])).

thf(32,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B )
      = B ) ),
    inference(lifteq,[status(thm)],[30])).

thf(5,axiom,(
    ! [A: $o] :
      ( c_2Ebool_2EF
     => A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EFALSITY)).

thf(15,plain,(
    ! [A: $o] :
      ( c_2Ebool_2EF
     => A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(18,plain,
    ( c_2Ebool_2EF
   => $false ),
    inference(instance,[status(thm)],[15])).

thf(19,plain,(
    ~ c_2Ebool_2EF ),
    inference(simp,[status(thm)],[18])).

thf(47,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Ebool_2ECOND @ TA @ $false @ A @ B )
      = B ) ),
    inference(rewrite,[status(thm)],[32,19])).

thf(8,axiom,
    ( ( ( c_2Eoption_2EOPTION__GUARD @ c_2Ebool_2ET )
      = ( c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone ) )
    & ( ( c_2Eoption_2EOPTION__GUARD @ c_2Ebool_2EF )
      = ( c_2Eoption_2ENONE @ tyop_2Eone_2Eone ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eoption_2EOPTION__GUARD__def)).

thf(34,plain,
    ( ( ( c_2Eoption_2EOPTION__GUARD @ c_2Ebool_2ET )
      = ( c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone ) )
    & ( ( c_2Eoption_2EOPTION__GUARD @ c_2Ebool_2EF )
      = ( c_2Eoption_2ENONE @ tyop_2Eone_2Eone ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(35,plain,
    ( ( c_2Eoption_2EOPTION__GUARD @ c_2Ebool_2EF )
    = ( c_2Eoption_2ENONE @ tyop_2Eone_2Eone ) ),
    inference(cnf,[status(esa)],[34])).

thf(37,plain,
    ( ( c_2Eoption_2EOPTION__GUARD @ c_2Ebool_2EF )
    = ( c_2Eoption_2ENONE @ tyop_2Eone_2Eone ) ),
    inference(lifteq,[status(thm)],[35])).

thf(44,plain,
    ( ( c_2Eoption_2EOPTION__GUARD @ $false )
    = ( c_2Eoption_2ENONE @ tyop_2Eone_2Eone ) ),
    inference(rewrite,[status(thm)],[37,19])).

thf(45,plain,
    ( ( ( c_2Ebool_2ECOND @ ( tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone ) @ sk1 @ ( c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone ) @ ( c_2Eoption_2ENONE @ tyop_2Eone_2Eone ) )
     != ( c_2Eoption_2ENONE @ tyop_2Eone_2Eone ) )
    | ( ( c_2Eoption_2EOPTION__GUARD @ sk1 )
     != ( c_2Eoption_2EOPTION__GUARD @ $false ) ) ),
    inference(paramod_ordered,[status(thm)],[44,11])).

thf(46,plain,
    ( ( ( c_2Ebool_2ECOND @ ( tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone ) @ sk1 @ ( c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone ) @ ( c_2Eoption_2ENONE @ tyop_2Eone_2Eone ) )
     != ( c_2Eoption_2ENONE @ tyop_2Eone_2Eone ) )
    | sk1 ),
    inference(simp,[status(thm)],[45])).

thf(67,plain,(
    ! [B: tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone,A: tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone] :
      ( ( B
       != ( c_2Eoption_2ENONE @ tyop_2Eone_2Eone ) )
      | sk1
      | ( ( c_2Ebool_2ECOND @ ( tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone ) @ $false @ A @ B )
       != ( c_2Ebool_2ECOND @ ( tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone ) @ sk1 @ ( c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone ) @ ( c_2Eoption_2ENONE @ tyop_2Eone_2Eone ) ) ) ) ),
    inference(paramod_ordered,[status(thm)],[47,46])).

thf(71,plain,(
    ! [A: tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone] :
      ( sk1
      | sk1
      | ( A
       != ( c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone ) )
      | ( ( c_2Eoption_2ENONE @ tyop_2Eone_2Eone )
       != ( c_2Eoption_2ENONE @ tyop_2Eone_2Eone ) ) ) ),
    inference(simp,[status(thm)],[67])).

thf(74,plain,(
    sk1 ),
    inference(simp,[status(thm)],[71])).

thf(76,plain,(
    ( c_2Eoption_2EOPTION__GUARD @ $true )
 != ( c_2Ebool_2ECOND @ ( tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone ) @ $true @ ( c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone ) @ ( c_2Eoption_2ENONE @ tyop_2Eone_2Eone ) ) ),
    inference(rewrite,[status(thm)],[11,74])).

thf(36,plain,
    ( ( c_2Eoption_2EOPTION__GUARD @ c_2Ebool_2ET )
    = ( c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone ) ),
    inference(cnf,[status(esa)],[34])).

thf(38,plain,
    ( ( c_2Eoption_2EOPTION__GUARD @ c_2Ebool_2ET )
    = ( c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone ) ),
    inference(lifteq,[status(thm)],[36])).

thf(48,plain,
    ( ( c_2Eoption_2EOPTION__GUARD @ $true )
    = ( c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone ) ),
    inference(rewrite,[status(thm)],[38,13])).

thf(77,plain,(
    ( c_2Ebool_2ECOND @ ( tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone ) @ $true @ ( c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone ) @ ( c_2Eoption_2ENONE @ tyop_2Eone_2Eone ) )
 != ( c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone ) ),
    inference(rewrite,[status(thm)],[76,48])).

thf(78,plain,(
    ! [B: tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone,A: tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone] :
      ( ( A
       != ( c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone ) )
      | ( ( c_2Ebool_2ECOND @ ( tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone ) @ $true @ A @ B )
       != ( c_2Ebool_2ECOND @ ( tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone ) @ $true @ ( c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone ) @ ( c_2Eoption_2ENONE @ tyop_2Eone_2Eone ) ) ) ) ),
    inference(paramod_ordered,[status(thm)],[55,77])).

thf(79,plain,(
    ( c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone )
 != ( c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone ) ),
    inference(pattern_uni,[status(thm)],[78:[bind(A,$thf(c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone)),bind(B,$thf(c_2Eoption_2ENONE @ tyop_2Eone_2Eone))]])).

thf(83,plain,(
    $false ),
    inference(simp,[status(thm)],[79])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.00/0.07  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.00/0.08  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.00/0.08  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.00/0.08  % CPULimit   : 300
% 0.00/0.08  % DateTime   : Tue Jul 30 14:55:38 EDT 2019
% 0.08/0.08  % CPUTime    : 
% 2.33/1.00  % [INFO] 	 Running in sequential loop mode. 
% 3.07/1.18  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.39/1.25  % [INFO] 	 iprover registered as external prover. 
% 3.39/1.25  % [INFO] 	 e registered as external prover. 
% 3.39/1.25  % [INFO] 	 cvc4 registered as external prover. 
% 3.39/1.25  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.55/1.30  % [INFO] 	 Found a conjecture and 15 axioms. Running axiom selection ... 
% 3.82/1.34  % [INFO] 	 Axiom selection finished. Selected 6 axioms (removed 9 axioms). 
% 3.92/1.36  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 5.79/2.00  % [INFO] 	 Killing All external provers ... 
% 5.79/2.00  % Time passed: 1833ms
% 5.79/2.00  % Effective reasoning time: 994ms
% 5.79/2.00  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 5.79/2.00  % Axioms used in derivation (4): thm_2Ebool_2ECOND__CLAUSES, thm_2Ebool_2EREFL__CLAUSE, thm_2Ebool_2EFALSITY, thm_2Eoption_2EOPTION__GUARD__def
% 5.79/2.00  % No. of inferences in proof: 38
% 5.79/2.00  % No. of processed clauses: 8
% 5.79/2.00  % No. of generated clauses: 10
% 5.79/2.00  % No. of forward subsumed clauses: 5
% 5.79/2.00  % No. of backward subsumed clauses: 1
% 5.79/2.00  % No. of ground rewrite rules in store: 5
% 5.79/2.00  % No. of non-ground rewrite rules in store: 2
% 5.79/2.00  % No. of positive (non-rewrite) units in store: 0
% 5.79/2.00  % No. of negative (non-rewrite) units in store: 1
% 5.79/2.00  % No. of choice functions detected: 0
% 5.79/2.01  % No. of choice instantiations: 0
% 5.79/2.01  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 1833 ms resp. 994 ms w/o parsing
% 5.79/2.03  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 5.79/2.03  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 5.79/2.03  thf(tyop_2Eone_2Eone_type, type, tyop_2Eone_2Eone: $tType).
% 5.79/2.03  thf(c_2Ebool_2ECOND_type, type, c_2Ebool_2ECOND: !>[TA: $tType]: ($o > (TA > (TA > TA)))).
% 5.79/2.03  thf(c_2Ebool_2EF_type, type, c_2Ebool_2EF: $o).
% 5.79/2.03  thf(c_2Eoption_2ENONE_type, type, c_2Eoption_2ENONE: !>[TA: $tType]: (tyop_2Eoption_2Eoption @ TA)).
% 5.79/2.03  thf(c_2Eoption_2EOPTION__GUARD_type, type, c_2Eoption_2EOPTION__GUARD: ($o > (tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone))).
% 5.79/2.03  thf(c_2Eoption_2ESOME_type, type, c_2Eoption_2ESOME: !>[TA: $tType]: (TA > (tyop_2Eoption_2Eoption @ TA))).
% 5.79/2.03  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 5.79/2.03  thf(c_2Eone_2Eone_type, type, c_2Eone_2Eone: tyop_2Eone_2Eone).
% 5.79/2.03  thf(sk1_type, type, sk1: $o).
% 5.79/2.03  thf(7,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: (((c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B) = A) & ((c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B) = B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ECOND__CLAUSES)).
% 5.79/2.03  thf(29,plain,((! [TA: $tType]: (! [A:TA,B:TA]: (((c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B) = A) & ((c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B) = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 5.79/2.03  thf(31,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B) = A))),inference(cnf,[status(esa)],[29])).
% 5.79/2.03  thf(33,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B) = A))),inference(lifteq,[status(thm)],[31])).
% 5.79/2.03  thf(3,axiom,((! [TA: $tType]: (! [A:TA]: ((A = A) = c_2Ebool_2ET)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).
% 5.79/2.03  thf(12,plain,((! [TA: $tType]: (c_2Ebool_2ET))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 5.79/2.03  thf(13,plain,(c_2Ebool_2ET),inference(cnf,[status(esa)],[12])).
% 5.79/2.03  thf(55,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Ebool_2ECOND @ TA @ $true @ A @ B) = A))),inference(rewrite,[status(thm)],[33,13])).
% 5.79/2.03  thf(1,conjecture,((! [A:$o]: ((c_2Eoption_2EOPTION__GUARD @ A) = (c_2Ebool_2ECOND @ (tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone) @ A @ (c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone) @ (c_2Eoption_2ENONE @ tyop_2Eone_2Eone))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eoption_2EOPTION__GUARD__COND)).
% 5.79/2.03  thf(2,negated_conjecture,((~ (! [A:$o]: ((c_2Eoption_2EOPTION__GUARD @ A) = (c_2Ebool_2ECOND @ (tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone) @ A @ (c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone) @ (c_2Eoption_2ENONE @ tyop_2Eone_2Eone)))))),inference(neg_conjecture,[status(cth)],[1])).
% 5.79/2.03  thf(9,plain,((~ (! [A:$o]: ((c_2Eoption_2EOPTION__GUARD @ A) = (c_2Ebool_2ECOND @ (tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone) @ A @ (c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone) @ (c_2Eoption_2ENONE @ tyop_2Eone_2Eone)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 5.79/2.03  thf(10,plain,((~ ((c_2Eoption_2EOPTION__GUARD @ sk1) = (c_2Ebool_2ECOND @ (tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone) @ sk1 @ (c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone) @ (c_2Eoption_2ENONE @ tyop_2Eone_2Eone))))),inference(cnf,[status(esa)],[9])).
% 5.79/2.03  thf(11,plain,(((c_2Eoption_2EOPTION__GUARD @ sk1) != (c_2Ebool_2ECOND @ (tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone) @ sk1 @ (c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone) @ (c_2Eoption_2ENONE @ tyop_2Eone_2Eone)))),inference(lifteq,[status(thm)],[10])).
% 5.79/2.03  thf(30,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B) = B))),inference(cnf,[status(esa)],[29])).
% 5.79/2.03  thf(32,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B) = B))),inference(lifteq,[status(thm)],[30])).
% 5.79/2.03  thf(5,axiom,((! [A:$o]: ((c_2Ebool_2EF) => (A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EFALSITY)).
% 5.79/2.03  thf(15,plain,((! [A:$o]: ((c_2Ebool_2EF) => (A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 5.79/2.03  thf(18,plain,(((c_2Ebool_2EF) => ($false))),inference(instance,[status(thm)],[15])).
% 5.79/2.03  thf(19,plain,(~ (c_2Ebool_2EF)),inference(simp,[status(thm)],[18])).
% 5.79/2.03  thf(47,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Ebool_2ECOND @ TA @ $false @ A @ B) = B))),inference(rewrite,[status(thm)],[32,19])).
% 5.79/2.03  thf(8,axiom,((((c_2Eoption_2EOPTION__GUARD @ c_2Ebool_2ET) = (c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone)) & ((c_2Eoption_2EOPTION__GUARD @ c_2Ebool_2EF) = (c_2Eoption_2ENONE @ tyop_2Eone_2Eone)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eoption_2EOPTION__GUARD__def)).
% 5.79/2.03  thf(34,plain,((((c_2Eoption_2EOPTION__GUARD @ c_2Ebool_2ET) = (c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone)) & ((c_2Eoption_2EOPTION__GUARD @ c_2Ebool_2EF) = (c_2Eoption_2ENONE @ tyop_2Eone_2Eone)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 5.79/2.03  thf(35,plain,(((c_2Eoption_2EOPTION__GUARD @ c_2Ebool_2EF) = (c_2Eoption_2ENONE @ tyop_2Eone_2Eone))),inference(cnf,[status(esa)],[34])).
% 5.79/2.03  thf(37,plain,(((c_2Eoption_2EOPTION__GUARD @ c_2Ebool_2EF) = (c_2Eoption_2ENONE @ tyop_2Eone_2Eone))),inference(lifteq,[status(thm)],[35])).
% 5.79/2.03  thf(44,plain,(((c_2Eoption_2EOPTION__GUARD @ $false) = (c_2Eoption_2ENONE @ tyop_2Eone_2Eone))),inference(rewrite,[status(thm)],[37,19])).
% 5.79/2.03  thf(45,plain,(((c_2Ebool_2ECOND @ (tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone) @ sk1 @ (c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone) @ (c_2Eoption_2ENONE @ tyop_2Eone_2Eone)) != (c_2Eoption_2ENONE @ tyop_2Eone_2Eone)) | ((c_2Eoption_2EOPTION__GUARD @ sk1) != (c_2Eoption_2EOPTION__GUARD @ $false))),inference(paramod_ordered,[status(thm)],[44,11])).
% 5.79/2.03  thf(46,plain,(((c_2Ebool_2ECOND @ (tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone) @ sk1 @ (c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone) @ (c_2Eoption_2ENONE @ tyop_2Eone_2Eone)) != (c_2Eoption_2ENONE @ tyop_2Eone_2Eone)) | sk1),inference(simp,[status(thm)],[45])).
% 5.79/2.03  thf(67,plain,(! [B:(tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone),A:(tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone)] : ((B != (c_2Eoption_2ENONE @ tyop_2Eone_2Eone)) | sk1 | ((c_2Ebool_2ECOND @ (tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone) @ $false @ A @ B) != (c_2Ebool_2ECOND @ (tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone) @ sk1 @ (c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone) @ (c_2Eoption_2ENONE @ tyop_2Eone_2Eone))))),inference(paramod_ordered,[status(thm)],[47,46])).
% 5.79/2.03  thf(71,plain,(! [A:(tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone)] : (sk1 | sk1 | (A != (c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone)) | ((c_2Eoption_2ENONE @ tyop_2Eone_2Eone) != (c_2Eoption_2ENONE @ tyop_2Eone_2Eone)))),inference(simp,[status(thm)],[67])).
% 5.79/2.03  thf(74,plain,(sk1),inference(simp,[status(thm)],[71])).
% 5.79/2.03  thf(76,plain,(((c_2Eoption_2EOPTION__GUARD @ $true) != (c_2Ebool_2ECOND @ (tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone) @ $true @ (c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone) @ (c_2Eoption_2ENONE @ tyop_2Eone_2Eone)))),inference(rewrite,[status(thm)],[11,74])).
% 5.79/2.03  thf(36,plain,(((c_2Eoption_2EOPTION__GUARD @ c_2Ebool_2ET) = (c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone))),inference(cnf,[status(esa)],[34])).
% 5.79/2.03  thf(38,plain,(((c_2Eoption_2EOPTION__GUARD @ c_2Ebool_2ET) = (c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone))),inference(lifteq,[status(thm)],[36])).
% 5.79/2.03  thf(48,plain,(((c_2Eoption_2EOPTION__GUARD @ $true) = (c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone))),inference(rewrite,[status(thm)],[38,13])).
% 5.79/2.03  thf(77,plain,(((c_2Ebool_2ECOND @ (tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone) @ $true @ (c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone) @ (c_2Eoption_2ENONE @ tyop_2Eone_2Eone)) != (c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone))),inference(rewrite,[status(thm)],[76,48])).
% 5.79/2.03  thf(78,plain,(! [B:(tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone),A:(tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone)] : ((A != (c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone)) | ((c_2Ebool_2ECOND @ (tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone) @ $true @ A @ B) != (c_2Ebool_2ECOND @ (tyop_2Eoption_2Eoption @ tyop_2Eone_2Eone) @ $true @ (c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone) @ (c_2Eoption_2ENONE @ tyop_2Eone_2Eone))))),inference(paramod_ordered,[status(thm)],[55,77])).
% 5.79/2.03  thf(79,plain,(((c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone) != (c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone))),inference(pattern_uni,[status(thm)],[78:[bind(A, $thf(c_2Eoption_2ESOME @ tyop_2Eone_2Eone @ c_2Eone_2Eone)),bind(B, $thf(c_2Eoption_2ENONE @ tyop_2Eone_2Eone))]])).
% 5.79/2.03  thf(83,plain,($false),inference(simp,[status(thm)],[79])).
% 5.79/2.03  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 5.79/2.03  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
