%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:36:09 EDT 2019

% Result     : Theorem 7.01s
% Output     : CNFRefutation 7.01s
% Verified   : 
% Statistics : Number of formulae       :   65 ( 107 expanded)
%              Number of leaves         :   22 (  40 expanded)
%              Depth                    :    6
%              Number of atoms          :  280 ( 550 expanded)
%              Number of equality atoms :   35 (  63 expanded)
%              Maximal formula depth    :   13 (   5 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: 
      !>[TA: $tType,TB: $tType] :
        ( TA > TB > ( tyop_2Epair_2Eprod @ TA @ TB ) ) )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $o > $o )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(skt2_type,type,(
    skt2: $tType )).

thf(sk1_type,type,(
    sk1: ( tyop_2Epair_2Eprod @ skt1 @ skt2 ) > $o )).

thf(sk2_type,type,(
    sk2: ( tyop_2Epair_2Eprod @ skt1 @ skt2 ) )).

thf(9,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(40,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(41,plain,
    ( ( c_2Ebool_2E_5C_2F @ $true @ $true )
    = ( $true
      | $true ) ),
    inference(instance,[status(thm)],[40])).

thf(42,plain,(
    c_2Ebool_2E_5C_2F @ $true @ $true ),
    inference(simp,[status(thm)],[41])).

thf(8,axiom,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(35,plain,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(36,plain,
    ( ( c_2Ebool_2E_7E @ $true )
    = ( ~ $true ) ),
    inference(instance,[status(thm)],[35])).

thf(37,plain,(
    ~ ( c_2Ebool_2E_7E @ $true ) ),
    inference(simp,[status(thm)],[36])).

thf(3,axiom,(
    ! [TA: $tType,TB: $tType,A: ( tyop_2Epair_2Eprod @ TA @ TB ) > $o] :
      ( ( ! [B: tyop_2Epair_2Eprod @ TA @ TB] :
            ( A @ B ) )
      = ( ! [B: TA,C: TB] :
            ( A @ ( c_2Epair_2E_2C @ TA @ TB @ B @ C ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2EFORALL__PROD)).

thf(14,plain,(
    ! [TA: $tType,TB: $tType,A: ( tyop_2Epair_2Eprod @ TA @ TB ) > $o] :
      ( ( ! [B: tyop_2Epair_2Eprod @ TA @ TB] :
            ( A @ B ) )
      = ( ! [B: TA,C: TB] :
            ( A @ ( c_2Epair_2E_2C @ TA @ TB @ B @ C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(5,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(20,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(45,plain,
    ( ( c_2Ebool_2E_5C_2F @ $false @ $true )
    = ( $false
      | $true ) ),
    inference(instance,[status(thm)],[40])).

thf(46,plain,(
    c_2Ebool_2E_5C_2F @ $false @ $true ),
    inference(simp,[status(thm)],[45])).

thf(7,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(26,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(27,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $true @ $true )
    = ( $true
     => $true ) ),
    inference(instance,[status(thm)],[26])).

thf(28,plain,(
    c_2Emin_2E_3D_3D_3E @ $true @ $true ),
    inference(simp,[status(thm)],[27])).

thf(10,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(49,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(52,plain,
    ( ( c_2Ebool_2E_2F_5C @ $true @ $false )
    = ( $true
      & $false ) ),
    inference(instance,[status(thm)],[49])).

thf(53,plain,(
    ~ ( c_2Ebool_2E_2F_5C @ $true @ $false ) ),
    inference(simp,[status(thm)],[52])).

thf(1,conjecture,(
    ! [TA: $tType,TB: $tType,A: ( tyop_2Epair_2Eprod @ TA @ TB ) > $o] :
      ( ! [B: TA,C: TB] :
          ( A @ ( c_2Epair_2E_2C @ TA @ TB @ B @ C ) )
     => ! [B: tyop_2Epair_2Eprod @ TA @ TB] :
          ( A @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2Epair__induction)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,TB: $tType,A: ( tyop_2Epair_2Eprod @ TA @ TB ) > $o] :
        ( ! [B: TA,C: TB] :
            ( A @ ( c_2Epair_2E_2C @ TA @ TB @ B @ C ) )
       => ! [B: tyop_2Epair_2Eprod @ TA @ TB] :
            ( A @ B ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(11,plain,(
    ~ ! [TA: $tType,TB: $tType,A: ( tyop_2Epair_2Eprod @ TA @ TB ) > $o] :
        ( ! [B: TA,C: TB] :
            ( A @ ( c_2Epair_2E_2C @ TA @ TB @ B @ C ) )
       => ! [B: tyop_2Epair_2Eprod @ TA @ TB] :
            ( A @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(13,plain,(
    ! [B: skt2,A: skt1] :
      ( sk1 @ ( c_2Epair_2E_2C @ skt1 @ skt2 @ A @ B ) ) ),
    inference(cnf,[status(esa)],[11])).

thf(31,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $false @ $true )
    = ( $false
     => $true ) ),
    inference(instance,[status(thm)],[26])).

thf(32,plain,(
    c_2Emin_2E_3D_3D_3E @ $false @ $true ),
    inference(simp,[status(thm)],[31])).

thf(33,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $false @ $false )
    = ( $false
     => $false ) ),
    inference(instance,[status(thm)],[26])).

thf(34,plain,(
    c_2Emin_2E_3D_3D_3E @ $false @ $false ),
    inference(simp,[status(thm)],[33])).

thf(4,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(17,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(43,plain,
    ( ( c_2Ebool_2E_5C_2F @ $true @ $false )
    = ( $true
      | $false ) ),
    inference(instance,[status(thm)],[40])).

thf(44,plain,(
    c_2Ebool_2E_5C_2F @ $true @ $false ),
    inference(simp,[status(thm)],[43])).

thf(12,plain,(
    ~ ( sk1 @ sk2 ) ),
    inference(cnf,[status(esa)],[11])).

thf(38,plain,
    ( ( c_2Ebool_2E_7E @ $false )
    = ( ~ $false ) ),
    inference(instance,[status(thm)],[35])).

thf(39,plain,(
    c_2Ebool_2E_7E @ $false ),
    inference(simp,[status(thm)],[38])).

thf(47,plain,
    ( ( c_2Ebool_2E_5C_2F @ $false @ $false )
    = ( $false
      | $false ) ),
    inference(instance,[status(thm)],[40])).

thf(48,plain,(
    ~ ( c_2Ebool_2E_5C_2F @ $false @ $false ) ),
    inference(simp,[status(thm)],[47])).

thf(66,plain,(
    ! [B: skt2,A: skt1] :
      ( ( sk1 @ ( c_2Epair_2E_2C @ skt1 @ skt2 @ A @ B ) )
     != ( sk1 @ sk2 ) ) ),
    inference(paramod_ordered,[status(thm)],[13,12])).

thf(67,plain,(
    ! [B: skt2,A: skt1] :
      ( ( c_2Epair_2E_2C @ skt1 @ skt2 @ A @ B )
     != sk2 ) ),
    inference(simp,[status(thm)],[66])).

thf(15,plain,(
    ! [TA: $tType,TB: $tType,A: ( tyop_2Epair_2Eprod @ TB @ TA ) > $o] :
      ( ( ! [B: tyop_2Epair_2Eprod @ TB @ TA] :
            ( A @ B ) )
      = ( ! [B: TB,C: TA] :
            ( A @ ( c_2Epair_2E_2C @ TB @ TA @ B @ C ) ) ) ) ),
    inference(cnf,[status(esa)],[14])).

thf(16,plain,(
    ! [TA: $tType,TB: $tType,A: ( tyop_2Epair_2Eprod @ TB @ TA ) > $o] :
      ( ( ! [B: tyop_2Epair_2Eprod @ TB @ TA] :
            ( A @ B ) )
      = ( ! [B: TB,C: TA] :
            ( A @ ( c_2Epair_2E_2C @ TB @ TA @ B @ C ) ) ) ) ),
    inference(lifteq,[status(thm)],[15])).

thf(54,plain,
    ( ( c_2Ebool_2E_2F_5C @ $false @ $true )
    = ( $false
      & $true ) ),
    inference(instance,[status(thm)],[49])).

thf(55,plain,(
    ~ ( c_2Ebool_2E_2F_5C @ $false @ $true ) ),
    inference(simp,[status(thm)],[54])).

thf(6,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(23,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(29,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $true @ $false )
    = ( $true
     => $false ) ),
    inference(instance,[status(thm)],[26])).

thf(30,plain,(
    ~ ( c_2Emin_2E_3D_3D_3E @ $true @ $false ) ),
    inference(simp,[status(thm)],[29])).

thf(50,plain,
    ( ( c_2Ebool_2E_2F_5C @ $true @ $true )
    = ( $true
      & $true ) ),
    inference(instance,[status(thm)],[49])).

thf(51,plain,(
    c_2Ebool_2E_2F_5C @ $true @ $true ),
    inference(simp,[status(thm)],[50])).

thf(101,plain,(
    $false ),
    inference(iprover,[status(thm)],[42,37,14,20,46,28,53,13,32,34,17,44,12,49,39,35,48,67,16,11,40,26,55,23,30,51])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.00/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.11/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.11/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.11/0.13  % CPULimit   : 300
% 0.11/0.13  % DateTime   : Tue Jul 30 14:57:48 EDT 2019
% 0.11/0.13  % CPUTime    : 
% 2.38/1.10  % [INFO] 	 Running in sequential loop mode. 
% 3.01/1.29  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.26/1.35  % [INFO] 	 iprover registered as external prover. 
% 3.26/1.35  % [INFO] 	 e registered as external prover. 
% 3.26/1.35  % [INFO] 	 cvc4 registered as external prover. 
% 3.26/1.35  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.55/1.40  % [INFO] 	 Found a conjecture and 8 axioms. Running axiom selection ... 
% 3.55/1.43  % [INFO] 	 Axiom selection finished. Selected 8 axioms (removed 0 axioms). 
% 3.55/1.46  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.01/2.30  % [INFO] 	 Killing All external provers ... 
% 7.01/2.31  % Time passed: 2047ms
% 7.01/2.31  % Effective reasoning time: 1196ms
% 7.01/2.31  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.01/2.31  % Axioms used in derivation (8): logicdef_2E_3D, logicdef_2E_5C_2F, thm_2Epair_2EFORALL__PROD, quantdef_2E_21, logicdef_2E_3D_3D_3E, logicdef_2E_2F_5C, logicdef_2E_7E, quantdef_2E_3F
% 7.01/2.31  % No. of inferences in proof: 52
% 7.01/2.31  % No. of processed clauses: 19
% 7.01/2.31  % No. of generated clauses: 5
% 7.01/2.31  % No. of forward subsumed clauses: 0
% 7.01/2.31  % No. of backward subsumed clauses: 0
% 7.01/2.31  % No. of ground rewrite rules in store: 15
% 7.01/2.31  % No. of non-ground rewrite rules in store: 2
% 7.01/2.31  % No. of positive (non-rewrite) units in store: 1
% 7.01/2.31  % No. of negative (non-rewrite) units in store: 1
% 7.01/2.31  % No. of choice functions detected: 0
% 7.01/2.31  % No. of choice instantiations: 0
% 7.01/2.31  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2047 ms resp. 1196 ms w/o parsing
% 7.01/2.34  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.01/2.34  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.01/2.34  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 7.01/2.34  thf(c_2Epair_2E_2C_type, type, c_2Epair_2E_2C: !>[TA: $tType,TB: $tType]: (TA > (TB > (tyop_2Epair_2Eprod @ TA @ TB)))).
% 7.01/2.34  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 7.01/2.34  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 7.01/2.34  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 7.01/2.34  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 7.01/2.34  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 7.01/2.34  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 7.01/2.34  thf(skt1_type, type, skt1: $tType).
% 7.01/2.34  thf(skt2_type, type, skt2: $tType).
% 7.01/2.34  thf(sk1_type, type, sk1: ((tyop_2Epair_2Eprod @ skt1 @ skt2) > $o)).
% 7.01/2.34  thf(sk2_type, type, sk2: (tyop_2Epair_2Eprod @ skt1 @ skt2)).
% 7.01/2.34  thf(9,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 7.01/2.34  thf(40,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 7.01/2.34  thf(41,plain,(((c_2Ebool_2E_5C_2F @ $true @ $true) = (($true) | ($true)))),inference(instance,[status(thm)],[40])).
% 7.01/2.34  thf(42,plain,((c_2Ebool_2E_5C_2F @ $true @ $true)),inference(simp,[status(thm)],[41])).
% 7.01/2.34  thf(8,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 7.01/2.34  thf(35,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 7.01/2.34  thf(36,plain,(((c_2Ebool_2E_7E @ $true) = (~ ($true)))),inference(instance,[status(thm)],[35])).
% 7.01/2.34  thf(37,plain,((~ (c_2Ebool_2E_7E @ $true))),inference(simp,[status(thm)],[36])).
% 7.01/2.34  thf(3,axiom,((! [TA: $tType,TB: $tType]: (! [A:((tyop_2Epair_2Eprod @ TA @ TB) > $o)]: ((! [B:(tyop_2Epair_2Eprod @ TA @ TB)]: (A @ B)) = (! [B:TA,C:TB]: (A @ (c_2Epair_2E_2C @ TA @ TB @ B @ C))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2EFORALL__PROD)).
% 7.01/2.34  thf(14,plain,((! [TA: $tType,TB: $tType]: (! [A:((tyop_2Epair_2Eprod @ TA @ TB) > $o)]: ((! [B:(tyop_2Epair_2Eprod @ TA @ TB)]: (A @ B)) = (! [B:TA,C:TB]: (A @ (c_2Epair_2E_2C @ TA @ TB @ B @ C))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.01/2.34  thf(5,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).
% 7.01/2.34  thf(20,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 7.01/2.34  thf(45,plain,(((c_2Ebool_2E_5C_2F @ $false @ $true) = (($false) | ($true)))),inference(instance,[status(thm)],[40])).
% 7.01/2.34  thf(46,plain,((c_2Ebool_2E_5C_2F @ $false @ $true)),inference(simp,[status(thm)],[45])).
% 7.01/2.34  thf(7,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 7.01/2.34  thf(26,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 7.01/2.34  thf(27,plain,(((c_2Emin_2E_3D_3D_3E @ $true @ $true) = (($true) => ($true)))),inference(instance,[status(thm)],[26])).
% 7.01/2.34  thf(28,plain,((c_2Emin_2E_3D_3D_3E @ $true @ $true)),inference(simp,[status(thm)],[27])).
% 7.01/2.34  thf(10,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 7.01/2.34  thf(49,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 7.01/2.34  thf(52,plain,(((c_2Ebool_2E_2F_5C @ $true @ $false) = (($true) & ($false)))),inference(instance,[status(thm)],[49])).
% 7.01/2.34  thf(53,plain,((~ (c_2Ebool_2E_2F_5C @ $true @ $false))),inference(simp,[status(thm)],[52])).
% 7.01/2.34  thf(1,conjecture,((! [TA: $tType,TB: $tType]: (! [A:((tyop_2Epair_2Eprod @ TA @ TB) > $o)]: ((! [B:TA,C:TB]: (A @ (c_2Epair_2E_2C @ TA @ TB @ B @ C))) => (! [B:(tyop_2Epair_2Eprod @ TA @ TB)]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2Epair__induction)).
% 7.01/2.34  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType]: (! [A:((tyop_2Epair_2Eprod @ TA @ TB) > $o)]: ((! [B:TA,C:TB]: (A @ (c_2Epair_2E_2C @ TA @ TB @ B @ C))) => (! [B:(tyop_2Epair_2Eprod @ TA @ TB)]: (A @ B))))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.01/2.34  thf(11,plain,((~ (! [TA: $tType,TB: $tType]: (! [A:((tyop_2Epair_2Eprod @ TA @ TB) > $o)]: ((! [B:TA,C:TB]: (A @ (c_2Epair_2E_2C @ TA @ TB @ B @ C))) => (! [B:(tyop_2Epair_2Eprod @ TA @ TB)]: (A @ B))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.01/2.34  thf(13,plain,(! [B:skt2,A:skt1] : ((sk1 @ (c_2Epair_2E_2C @ skt1 @ skt2 @ A @ B)))),inference(cnf,[status(esa)],[11])).
% 7.01/2.34  thf(31,plain,(((c_2Emin_2E_3D_3D_3E @ $false @ $true) = (($false) => ($true)))),inference(instance,[status(thm)],[26])).
% 7.01/2.34  thf(32,plain,((c_2Emin_2E_3D_3D_3E @ $false @ $true)),inference(simp,[status(thm)],[31])).
% 7.01/2.34  thf(33,plain,(((c_2Emin_2E_3D_3D_3E @ $false @ $false) = (($false) => ($false)))),inference(instance,[status(thm)],[26])).
% 7.01/2.34  thf(34,plain,((c_2Emin_2E_3D_3D_3E @ $false @ $false)),inference(simp,[status(thm)],[33])).
% 7.01/2.34  thf(4,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 7.01/2.34  thf(17,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 7.01/2.34  thf(43,plain,(((c_2Ebool_2E_5C_2F @ $true @ $false) = (($true) | ($false)))),inference(instance,[status(thm)],[40])).
% 7.01/2.34  thf(44,plain,((c_2Ebool_2E_5C_2F @ $true @ $false)),inference(simp,[status(thm)],[43])).
% 7.01/2.34  thf(12,plain,((~ (sk1 @ sk2))),inference(cnf,[status(esa)],[11])).
% 7.01/2.34  thf(38,plain,(((c_2Ebool_2E_7E @ $false) = (~ ($false)))),inference(instance,[status(thm)],[35])).
% 7.01/2.34  thf(39,plain,((c_2Ebool_2E_7E @ $false)),inference(simp,[status(thm)],[38])).
% 7.01/2.34  thf(47,plain,(((c_2Ebool_2E_5C_2F @ $false @ $false) = (($false) | ($false)))),inference(instance,[status(thm)],[40])).
% 7.01/2.34  thf(48,plain,((~ (c_2Ebool_2E_5C_2F @ $false @ $false))),inference(simp,[status(thm)],[47])).
% 7.01/2.34  thf(66,plain,(! [B:skt2,A:skt1] : (((sk1 @ (c_2Epair_2E_2C @ skt1 @ skt2 @ A @ B)) != (sk1 @ sk2)))),inference(paramod_ordered,[status(thm)],[13,12])).
% 7.01/2.34  thf(67,plain,(! [B:skt2,A:skt1] : (((c_2Epair_2E_2C @ skt1 @ skt2 @ A @ B) != sk2))),inference(simp,[status(thm)],[66])).
% 7.01/2.34  thf(15,plain,(! [TA:$tType,TB:$tType,A:((tyop_2Epair_2Eprod @ TB @ TA) > $o)] : (((! [B:(tyop_2Epair_2Eprod @ TB @ TA)]: (A @ B)) = (! [B:TB,C:TA]: (A @ (c_2Epair_2E_2C @ TB @ TA @ B @ C)))))),inference(cnf,[status(esa)],[14])).
% 7.01/2.34  thf(16,plain,(! [TA:$tType,TB:$tType,A:((tyop_2Epair_2Eprod @ TB @ TA) > $o)] : (((! [B:(tyop_2Epair_2Eprod @ TB @ TA)]: (A @ B)) = (! [B:TB,C:TA]: (A @ (c_2Epair_2E_2C @ TB @ TA @ B @ C)))))),inference(lifteq,[status(thm)],[15])).
% 7.01/2.34  thf(54,plain,(((c_2Ebool_2E_2F_5C @ $false @ $true) = (($false) & ($true)))),inference(instance,[status(thm)],[49])).
% 7.01/2.34  thf(55,plain,((~ (c_2Ebool_2E_2F_5C @ $false @ $true))),inference(simp,[status(thm)],[54])).
% 7.01/2.34  thf(6,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 7.01/2.34  thf(23,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 7.01/2.34  thf(29,plain,(((c_2Emin_2E_3D_3D_3E @ $true @ $false) = (($true) => ($false)))),inference(instance,[status(thm)],[26])).
% 7.01/2.34  thf(30,plain,((~ (c_2Emin_2E_3D_3D_3E @ $true @ $false))),inference(simp,[status(thm)],[29])).
% 7.01/2.34  thf(50,plain,(((c_2Ebool_2E_2F_5C @ $true @ $true) = (($true) & ($true)))),inference(instance,[status(thm)],[49])).
% 7.01/2.34  thf(51,plain,((c_2Ebool_2E_2F_5C @ $true @ $true)),inference(simp,[status(thm)],[50])).
% 7.01/2.34  thf(101,plain,($false),inference(iprover,[status(thm)],[42,37,14,20,46,28,53,13,32,34,17,44,12,49,39,35,48,67,16,11,40,26,55,23,30,51])).
% 7.01/2.34  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.01/2.34  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
