%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:36:09 EDT 2019

% Result     : Theorem 6.95s
% Output     : CNFRefutation 6.95s
% Verified   : 
% Statistics : Number of formulae       :   58 (  83 expanded)
%              Number of leaves         :   27 (  38 expanded)
%              Depth                    :    4
%              Number of atoms          :  271 ( 539 expanded)
%              Number of equality atoms :   28 (  44 expanded)
%              Maximal formula depth    :   16 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: 
      !>[TA: $tType,TB: $tType] :
        ( TA > TB > ( tyop_2Epair_2Eprod @ TA @ TB ) ) )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Epair_2EPROD__ALL_type,type,(
    c_2Epair_2EPROD__ALL: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > $o ) > ( TB > $o ) > ( tyop_2Epair_2Eprod @ TA @ TB ) > $o ) )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $o > $o )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(skt2_type,type,(
    skt2: $tType )).

thf(sk1_type,type,(
    sk1: ( tyop_2Epair_2Eprod @ skt1 @ skt2 ) )).

thf(sk2_type,type,(
    sk2: skt2 > $o )).

thf(sk3_type,type,(
    sk3: skt2 > $o )).

thf(sk4_type,type,(
    sk4: skt1 > $o )).

thf(sk5_type,type,(
    sk5: skt1 > $o )).

thf(11,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(56,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(9,axiom,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(42,plain,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(5,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(24,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(8,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(33,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(36,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $true @ $false )
    = ( $true
     => $false ) ),
    inference(instance,[status(thm)],[33])).

thf(37,plain,(
    ~ ( c_2Emin_2E_3D_3D_3E @ $true @ $false ) ),
    inference(simp,[status(thm)],[36])).

thf(1,conjecture,(
    ! [TA: $tType,TB: $tType,A: tyop_2Epair_2Eprod @ TA @ TB,B: TB > $o,C: TB > $o,D: TA > $o,E: TA > $o] :
      ( ( ! [F: TA] :
            ( ( E @ F )
           => ( D @ F ) )
        & ! [F: TB] :
            ( ( C @ F )
           => ( B @ F ) ) )
     => ( ( c_2Epair_2EPROD__ALL @ TA @ TB @ E @ C @ A )
       => ( c_2Epair_2EPROD__ALL @ TA @ TB @ D @ B @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2EPROD__ALL__MONO)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,TB: $tType,A: tyop_2Epair_2Eprod @ TA @ TB,B: TB > $o,C: TB > $o,D: TA > $o,E: TA > $o] :
        ( ( ! [F: TA] :
              ( ( E @ F )
             => ( D @ F ) )
          & ! [F: TB] :
              ( ( C @ F )
             => ( B @ F ) ) )
       => ( ( c_2Epair_2EPROD__ALL @ TA @ TB @ E @ C @ A )
         => ( c_2Epair_2EPROD__ALL @ TA @ TB @ D @ B @ A ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(12,plain,(
    ~ ! [TA: $tType,TB: $tType,A: tyop_2Epair_2Eprod @ TA @ TB,B: TB > $o,C: TB > $o,D: TA > $o,E: TA > $o] :
        ( ( ! [F: TA] :
              ( ( E @ F )
             => ( D @ F ) )
          & ! [F: TB] :
              ( ( C @ F )
             => ( B @ F ) ) )
       => ( ( c_2Epair_2EPROD__ALL @ TA @ TB @ E @ C @ A )
         => ( c_2Epair_2EPROD__ALL @ TA @ TB @ D @ B @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(14,plain,(
    c_2Epair_2EPROD__ALL @ skt1 @ skt2 @ sk5 @ sk3 @ sk1 ),
    inference(cnf,[status(esa)],[12])).

thf(45,plain,
    ( ( c_2Ebool_2E_7E @ $false )
    = ( ~ $false ) ),
    inference(instance,[status(thm)],[42])).

thf(46,plain,(
    c_2Ebool_2E_7E @ $false ),
    inference(simp,[status(thm)],[45])).

thf(59,plain,
    ( ( c_2Ebool_2E_2F_5C @ $true @ $false )
    = ( $true
      & $false ) ),
    inference(instance,[status(thm)],[56])).

thf(60,plain,(
    ~ ( c_2Ebool_2E_2F_5C @ $true @ $false ) ),
    inference(simp,[status(thm)],[59])).

thf(4,axiom,(
    ! [TA: $tType,TB: $tType,A: tyop_2Epair_2Eprod @ TA @ TB] :
    ? [B: TA,C: TB] :
      ( A
      = ( c_2Epair_2E_2C @ TA @ TB @ B @ C ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2EABS__PAIR__THM)).

thf(21,plain,(
    ! [TA: $tType,TB: $tType,A: tyop_2Epair_2Eprod @ TA @ TB] :
    ? [B: TA,C: TB] :
      ( A
      = ( c_2Epair_2E_2C @ TA @ TB @ B @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(13,plain,(
    ~ ( c_2Epair_2EPROD__ALL @ skt1 @ skt2 @ sk4 @ sk2 @ sk1 ) ),
    inference(cnf,[status(esa)],[12])).

thf(40,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $false @ $false )
    = ( $false
     => $false ) ),
    inference(instance,[status(thm)],[33])).

thf(41,plain,(
    c_2Emin_2E_3D_3D_3E @ $false @ $false ),
    inference(simp,[status(thm)],[40])).

thf(43,plain,
    ( ( c_2Ebool_2E_7E @ $true )
    = ( ~ $true ) ),
    inference(instance,[status(thm)],[42])).

thf(44,plain,(
    ~ ( c_2Ebool_2E_7E @ $true ) ),
    inference(simp,[status(thm)],[43])).

thf(6,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(27,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(38,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $false @ $true )
    = ( $false
     => $true ) ),
    inference(instance,[status(thm)],[33])).

thf(39,plain,(
    c_2Emin_2E_3D_3D_3E @ $false @ $true ),
    inference(simp,[status(thm)],[38])).

thf(34,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $true @ $true )
    = ( $true
     => $true ) ),
    inference(instance,[status(thm)],[33])).

thf(35,plain,(
    c_2Emin_2E_3D_3D_3E @ $true @ $true ),
    inference(simp,[status(thm)],[34])).

thf(3,axiom,(
    ! [TA: $tType,TB: $tType,A: TB,B: TA,C: TB > $o,D: TA > $o] :
      ( ( c_2Epair_2EPROD__ALL @ TA @ TB @ D @ C @ ( c_2Epair_2E_2C @ TA @ TB @ B @ A ) )
      = ( ( D @ B )
        & ( C @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2EPROD__ALL__THM)).

thf(18,plain,(
    ! [TA: $tType,TB: $tType,A: TB,B: TA,C: TB > $o,D: TA > $o] :
      ( ( c_2Epair_2EPROD__ALL @ TA @ TB @ D @ C @ ( c_2Epair_2E_2C @ TA @ TB @ B @ A ) )
      = ( ( D @ B )
        & ( C @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(16,plain,(
    ! [A: skt1] :
      ( ~ ( sk5 @ A )
      | ( sk4 @ A ) ) ),
    inference(cnf,[status(esa)],[12])).

thf(10,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(47,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(54,plain,
    ( ( c_2Ebool_2E_5C_2F @ $false @ $false )
    = ( $false
      | $false ) ),
    inference(instance,[status(thm)],[47])).

thf(55,plain,(
    ~ ( c_2Ebool_2E_5C_2F @ $false @ $false ) ),
    inference(simp,[status(thm)],[54])).

thf(7,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(30,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(82,plain,(
    $false ),
    inference(iprover,[status(thm)],[56,42,24,37,14,46,60,21,33,13,41,44,27,12,39,35,18,16,55,30,47])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.06/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.06/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.06/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.06/0.13  % CPULimit   : 300
% 0.06/0.13  % DateTime   : Tue Jul 30 14:58:03 EDT 2019
% 0.06/0.13  % CPUTime    : 
% 2.85/1.28  % [INFO] 	 Running in sequential loop mode. 
% 3.70/1.47  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.93/1.54  % [INFO] 	 iprover registered as external prover. 
% 3.93/1.54  % [INFO] 	 e registered as external prover. 
% 3.93/1.54  % [INFO] 	 cvc4 registered as external prover. 
% 3.93/1.55  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.13/1.61  % [INFO] 	 Found a conjecture and 9 axioms. Running axiom selection ... 
% 4.52/1.65  % [INFO] 	 Axiom selection finished. Selected 9 axioms (removed 0 axioms). 
% 4.52/1.68  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.95/2.46  % [INFO] 	 Killing All external provers ... 
% 6.95/2.47  % Time passed: 2197ms
% 6.95/2.47  % Effective reasoning time: 1185ms
% 6.95/2.47  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.95/2.47  % Axioms used in derivation (9): thm_2Epair_2EPROD__ALL__THM, logicdef_2E_3D, logicdef_2E_5C_2F, quantdef_2E_21, logicdef_2E_3D_3D_3E, logicdef_2E_2F_5C, logicdef_2E_7E, thm_2Epair_2EABS__PAIR__THM, quantdef_2E_3F
% 6.95/2.47  % No. of inferences in proof: 41
% 6.95/2.47  % No. of processed clauses: 12
% 6.95/2.47  % No. of generated clauses: 1
% 6.95/2.47  % No. of forward subsumed clauses: 0
% 6.95/2.47  % No. of backward subsumed clauses: 0
% 6.95/2.47  % No. of ground rewrite rules in store: 11
% 6.95/2.47  % No. of non-ground rewrite rules in store: 0
% 6.95/2.47  % No. of positive (non-rewrite) units in store: 0
% 6.95/2.47  % No. of negative (non-rewrite) units in store: 0
% 6.95/2.47  % No. of choice functions detected: 0
% 6.95/2.47  % No. of choice instantiations: 0
% 6.95/2.47  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2197 ms resp. 1185 ms w/o parsing
% 6.95/2.50  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.95/2.50  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.95/2.50  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 6.95/2.50  thf(c_2Epair_2E_2C_type, type, c_2Epair_2E_2C: !>[TA: $tType,TB: $tType]: (TA > (TB > (tyop_2Epair_2Eprod @ TA @ TB)))).
% 6.95/2.50  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 6.95/2.50  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 6.95/2.50  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 6.95/2.50  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 6.95/2.50  thf(c_2Epair_2EPROD__ALL_type, type, c_2Epair_2EPROD__ALL: !>[TA: $tType,TB: $tType]: ((TA > $o) > ((TB > $o) > ((tyop_2Epair_2Eprod @ TA @ TB) > $o)))).
% 6.95/2.50  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 6.95/2.50  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 6.95/2.50  thf(skt1_type, type, skt1: $tType).
% 6.95/2.50  thf(skt2_type, type, skt2: $tType).
% 6.95/2.50  thf(sk1_type, type, sk1: (tyop_2Epair_2Eprod @ skt1 @ skt2)).
% 6.95/2.50  thf(sk2_type, type, sk2: (skt2 > $o)).
% 6.95/2.50  thf(sk3_type, type, sk3: (skt2 > $o)).
% 6.95/2.50  thf(sk4_type, type, sk4: (skt1 > $o)).
% 6.95/2.50  thf(sk5_type, type, sk5: (skt1 > $o)).
% 6.95/2.50  thf(11,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 6.95/2.50  thf(56,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 6.95/2.50  thf(9,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 6.95/2.50  thf(42,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 6.95/2.50  thf(5,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 6.95/2.50  thf(24,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 6.95/2.50  thf(8,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 6.95/2.50  thf(33,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 6.95/2.50  thf(36,plain,(((c_2Emin_2E_3D_3D_3E @ $true @ $false) = (($true) => ($false)))),inference(instance,[status(thm)],[33])).
% 6.95/2.50  thf(37,plain,((~ (c_2Emin_2E_3D_3D_3E @ $true @ $false))),inference(simp,[status(thm)],[36])).
% 6.95/2.50  thf(1,conjecture,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Epair_2Eprod @ TA @ TB),B:(TB > $o),C:(TB > $o),D:(TA > $o),E:(TA > $o)]: ((! [F:TA]: ((E @ F) => (D @ F)) & ! [F:TB]: ((C @ F) => (B @ F))) => ((c_2Epair_2EPROD__ALL @ TA @ TB @ E @ C @ A) => (c_2Epair_2EPROD__ALL @ TA @ TB @ D @ B @ A)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2EPROD__ALL__MONO)).
% 6.95/2.50  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType]: (! [A:(tyop_2Epair_2Eprod @ TA @ TB),B:(TB > $o),C:(TB > $o),D:(TA > $o),E:(TA > $o)]: ((! [F:TA]: ((E @ F) => (D @ F)) & ! [F:TB]: ((C @ F) => (B @ F))) => ((c_2Epair_2EPROD__ALL @ TA @ TB @ E @ C @ A) => (c_2Epair_2EPROD__ALL @ TA @ TB @ D @ B @ A))))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.95/2.50  thf(12,plain,((~ (! [TA: $tType,TB: $tType]: (! [A:(tyop_2Epair_2Eprod @ TA @ TB),B:(TB > $o),C:(TB > $o),D:(TA > $o),E:(TA > $o)]: ((! [F:TA]: ((E @ F) => (D @ F)) & ! [F:TB]: ((C @ F) => (B @ F))) => ((c_2Epair_2EPROD__ALL @ TA @ TB @ (E) @ (C) @ A) => (c_2Epair_2EPROD__ALL @ TA @ TB @ (D) @ (B) @ A))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.95/2.50  thf(14,plain,((c_2Epair_2EPROD__ALL @ skt1 @ skt2 @ (sk5) @ (sk3) @ sk1)),inference(cnf,[status(esa)],[12])).
% 6.95/2.50  thf(45,plain,(((c_2Ebool_2E_7E @ $false) = (~ ($false)))),inference(instance,[status(thm)],[42])).
% 6.95/2.50  thf(46,plain,((c_2Ebool_2E_7E @ $false)),inference(simp,[status(thm)],[45])).
% 6.95/2.50  thf(59,plain,(((c_2Ebool_2E_2F_5C @ $true @ $false) = (($true) & ($false)))),inference(instance,[status(thm)],[56])).
% 6.95/2.50  thf(60,plain,((~ (c_2Ebool_2E_2F_5C @ $true @ $false))),inference(simp,[status(thm)],[59])).
% 6.95/2.50  thf(4,axiom,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Epair_2Eprod @ TA @ TB)]: ? [B:TA,C:TB]: (A = (c_2Epair_2E_2C @ TA @ TB @ B @ C))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2EABS__PAIR__THM)).
% 6.95/2.50  thf(21,plain,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Epair_2Eprod @ TA @ TB)]: ? [B:TA,C:TB]: (A = (c_2Epair_2E_2C @ TA @ TB @ B @ C))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 6.95/2.50  thf(13,plain,((~ (c_2Epair_2EPROD__ALL @ skt1 @ skt2 @ (sk4) @ (sk2) @ sk1))),inference(cnf,[status(esa)],[12])).
% 6.95/2.50  thf(40,plain,(((c_2Emin_2E_3D_3D_3E @ $false @ $false) = (($false) => ($false)))),inference(instance,[status(thm)],[33])).
% 6.95/2.50  thf(41,plain,((c_2Emin_2E_3D_3D_3E @ $false @ $false)),inference(simp,[status(thm)],[40])).
% 6.95/2.50  thf(43,plain,(((c_2Ebool_2E_7E @ $true) = (~ ($true)))),inference(instance,[status(thm)],[42])).
% 6.95/2.50  thf(44,plain,((~ (c_2Ebool_2E_7E @ $true))),inference(simp,[status(thm)],[43])).
% 6.95/2.50  thf(6,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).
% 6.95/2.50  thf(27,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 6.95/2.50  thf(38,plain,(((c_2Emin_2E_3D_3D_3E @ $false @ $true) = (($false) => ($true)))),inference(instance,[status(thm)],[33])).
% 6.95/2.50  thf(39,plain,((c_2Emin_2E_3D_3D_3E @ $false @ $true)),inference(simp,[status(thm)],[38])).
% 6.95/2.50  thf(34,plain,(((c_2Emin_2E_3D_3D_3E @ $true @ $true) = (($true) => ($true)))),inference(instance,[status(thm)],[33])).
% 6.95/2.50  thf(35,plain,((c_2Emin_2E_3D_3D_3E @ $true @ $true)),inference(simp,[status(thm)],[34])).
% 6.95/2.50  thf(3,axiom,((! [TA: $tType,TB: $tType]: (! [A:TB,B:TA,C:(TB > $o),D:(TA > $o)]: ((c_2Epair_2EPROD__ALL @ TA @ TB @ D @ C @ (c_2Epair_2E_2C @ TA @ TB @ B @ A)) = ((D @ B) & (C @ A)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2EPROD__ALL__THM)).
% 6.95/2.50  thf(18,plain,((! [TA: $tType,TB: $tType]: (! [A:TB,B:TA,C:(TB > $o),D:(TA > $o)]: ((c_2Epair_2EPROD__ALL @ TA @ TB @ (D) @ (C) @ (c_2Epair_2E_2C @ TA @ TB @ B @ A)) = ((D @ B) & (C @ A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.95/2.50  thf(16,plain,(! [A:skt1] : ((~ (sk5 @ A)) | (sk4 @ A))),inference(cnf,[status(esa)],[12])).
% 6.95/2.50  thf(10,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 6.95/2.50  thf(47,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 6.95/2.50  thf(54,plain,(((c_2Ebool_2E_5C_2F @ $false @ $false) = (($false) | ($false)))),inference(instance,[status(thm)],[47])).
% 6.95/2.50  thf(55,plain,((~ (c_2Ebool_2E_5C_2F @ $false @ $false))),inference(simp,[status(thm)],[54])).
% 6.95/2.50  thf(7,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 6.95/2.50  thf(30,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 6.95/2.50  thf(82,plain,($false),inference(iprover,[status(thm)],[56,42,24,37,14,46,60,21,33,13,41,44,27,12,39,35,18,16,55,30,47])).
% 6.95/2.50  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.95/2.50  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
