%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:36:10 EDT 2019

% Result     : Theorem 13.38s
% Output     : CNFRefutation 13.38s
% Verified   : 
% Statistics : Number of formulae       :   63 (  82 expanded)
%              Number of leaves         :   31 (  40 expanded)
%              Depth                    :    5
%              Number of atoms          :  366 ( 553 expanded)
%              Number of equality atoms :   37 (  56 expanded)
%              Maximal formula depth    :   18 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2ELET_type,type,(
    c_2Ebool_2ELET: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > TB ) > TA > TB ) )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(c_2Epair_2EUNCURRY_type,type,(
    c_2Epair_2EUNCURRY: 
      !>[TA: $tType,TB: $tType,TC: $tType] :
        ( ( TA > TB > TC ) > ( tyop_2Epair_2Eprod @ TA @ TB ) > TC ) )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $o > $o )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(skt2_type,type,(
    skt2: $tType )).

thf(skt3_type,type,(
    skt3: $tType )).

thf(skt4_type,type,(
    skt4: $tType )).

thf(sk1_type,type,(
    sk1: ( tyop_2Epair_2Eprod @ skt1 @ skt2 ) )).

thf(sk2_type,type,(
    sk2: skt1 > skt2 > skt3 > skt4 )).

thf(sk3_type,type,(
    sk3: skt3 )).

thf(11,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(38,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(41,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $true @ $false )
    = ( $true
     => $false ) ),
    inference(instance,[status(thm)],[38])).

thf(42,plain,(
    ~ ( c_2Emin_2E_3D_3D_3E @ $true @ $false ) ),
    inference(simp,[status(thm)],[41])).

thf(6,axiom,(
    c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(25,plain,(
    c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(13,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(52,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(3,axiom,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: TA > TB > TC,B: tyop_2Epair_2Eprod @ TA @ TB] :
      ( ( c_2Epair_2EUNCURRY @ TA @ TB @ TC @ A @ B )
      = ( A @ ( c_2Epair_2EFST @ TA @ TB @ B ) @ ( c_2Epair_2ESND @ TA @ TB @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2EUNCURRY__VAR)).

thf(18,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: TA > TB > TC,B: tyop_2Epair_2Eprod @ TA @ TB] :
      ( ( c_2Epair_2EUNCURRY @ TA @ TB @ TC @ A @ B )
      = ( A @ ( c_2Epair_2EFST @ TA @ TB @ B ) @ ( c_2Epair_2ESND @ TA @ TB @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(19,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType,B: tyop_2Epair_2Eprod @ TC @ TB,A: TC > TB > TA] :
      ( ( c_2Epair_2EUNCURRY @ TC @ TB @ TA @ A @ B )
      = ( A @ ( c_2Epair_2EFST @ TC @ TB @ B ) @ ( c_2Epair_2ESND @ TC @ TB @ B ) ) ) ),
    inference(cnf,[status(esa)],[18])).

thf(20,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType,B: tyop_2Epair_2Eprod @ TC @ TB,A: TC > TB > TA] :
      ( ( c_2Epair_2EUNCURRY @ TC @ TB @ TA @ A @ B )
      = ( A @ ( c_2Epair_2EFST @ TC @ TB @ B ) @ ( c_2Epair_2ESND @ TC @ TB @ B ) ) ) ),
    inference(lifteq,[status(thm)],[19])).

thf(8,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(29,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(14,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(61,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(59,plain,
    ( ( c_2Ebool_2E_5C_2F @ $false @ $false )
    = ( $false
      | $false ) ),
    inference(instance,[status(thm)],[52])).

thf(60,plain,(
    ~ ( c_2Ebool_2E_5C_2F @ $false @ $false ) ),
    inference(simp,[status(thm)],[59])).

thf(7,axiom,(
    ! [TA: $tType,TB: $tType] :
      ( ( c_2Ebool_2ELET @ TA @ TB )
      = ( ^ [A: TA > TB] : A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ELET__DEF)).

thf(26,plain,(
    ! [TA: $tType,TB: $tType] :
      ( ( c_2Ebool_2ELET @ TA @ TB )
      = ( ^ [A: TA > TB] : A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(27,plain,(
    ! [TA: $tType,TB: $tType] :
      ( ( c_2Ebool_2ELET @ TB @ TA )
      = ( ^ [A: TB > TA] : A ) ) ),
    inference(cnf,[status(esa)],[26])).

thf(28,plain,(
    ! [TA: $tType,TB: $tType] :
      ( ( c_2Ebool_2ELET @ TB @ TA )
      = ( ^ [A: TB > TA] : A ) ) ),
    inference(lifteq,[status(thm)],[27])).

thf(4,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( A = A )
      = c_2Ebool_2ET ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).

thf(21,plain,(
    ! [TA: $tType] : c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(9,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(32,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(1,conjecture,(
    ! [TA: $tType,TB: $tType,TC: $tType,TD: $tType,A: tyop_2Epair_2Eprod @ TA @ TB,B: TA > TB > TC > TD,C: TC] :
      ( ( c_2Ebool_2ELET @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ ( TC > TD ) @ ( c_2Epair_2EUNCURRY @ TA @ TB @ ( TC > TD ) @ B ) @ A @ C )
      = ( c_2Ebool_2ELET @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ TD
        @ ( c_2Epair_2EUNCURRY @ TA @ TB @ TD
          @ ^ [D: TA,E: TB] :
              ( B @ D @ E @ C ) )
        @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2ELET2__RATOR)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,TB: $tType,TC: $tType,TD: $tType,A: tyop_2Epair_2Eprod @ TA @ TB,B: TA > TB > TC > TD,C: TC] :
        ( ( c_2Ebool_2ELET @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ ( TC > TD ) @ ( c_2Epair_2EUNCURRY @ TA @ TB @ ( TC > TD ) @ B ) @ A @ C )
        = ( c_2Ebool_2ELET @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ TD
          @ ( c_2Epair_2EUNCURRY @ TA @ TB @ TD
            @ ^ [D: TA,E: TB] :
                ( B @ D @ E @ C ) )
          @ A ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(15,plain,(
    ~ ! [TA: $tType,TB: $tType,TC: $tType,TD: $tType,A: tyop_2Epair_2Eprod @ TA @ TB,B: TA > TB > TC > TD,C: TC] :
        ( ( c_2Ebool_2ELET @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ ( TC > TD ) @ ( c_2Epair_2EUNCURRY @ TA @ TB @ ( TC > TD ) @ B ) @ A @ C )
        = ( c_2Ebool_2ELET @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ TD
          @ ( c_2Epair_2EUNCURRY @ TA @ TB @ TD
            @ ^ [D: TA,E: TB] :
                ( B @ D @ E @ C ) )
          @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(16,plain,(
    ( c_2Ebool_2ELET @ ( tyop_2Epair_2Eprod @ skt1 @ skt2 ) @ ( skt3 > skt4 ) @ ( c_2Epair_2EUNCURRY @ skt1 @ skt2 @ ( skt3 > skt4 ) @ sk2 ) @ sk1 @ sk3 )
 != ( c_2Ebool_2ELET @ ( tyop_2Epair_2Eprod @ skt1 @ skt2 ) @ skt4
    @ ( c_2Epair_2EUNCURRY @ skt1 @ skt2 @ skt4
      @ ^ [A: skt1,B: skt2] :
          ( sk2 @ A @ B @ sk3 ) )
    @ sk1 ) ),
    inference(cnf,[status(esa)],[15])).

thf(17,plain,(
    ( c_2Ebool_2ELET @ ( tyop_2Epair_2Eprod @ skt1 @ skt2 ) @ ( skt3 > skt4 ) @ ( c_2Epair_2EUNCURRY @ skt1 @ skt2 @ ( skt3 > skt4 ) @ sk2 ) @ sk1 @ sk3 )
 != ( c_2Ebool_2ELET @ ( tyop_2Epair_2Eprod @ skt1 @ skt2 ) @ skt4
    @ ( c_2Epair_2EUNCURRY @ skt1 @ skt2 @ skt4
      @ ^ [A: skt1,B: skt2] :
          ( sk2 @ A @ B @ sk3 ) )
    @ sk1 ) ),
    inference(lifteq,[status(thm)],[16])).

thf(22,plain,(
    c_2Ebool_2ET ),
    inference(cnf,[status(esa)],[21])).

thf(12,axiom,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(47,plain,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(48,plain,
    ( ( c_2Ebool_2E_7E @ $true )
    = ( ~ $true ) ),
    inference(instance,[status(thm)],[47])).

thf(49,plain,(
    ~ ( c_2Ebool_2E_7E @ $true ) ),
    inference(simp,[status(thm)],[48])).

thf(10,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(35,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(39,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $true @ $true )
    = ( $true
     => $true ) ),
    inference(instance,[status(thm)],[38])).

thf(40,plain,(
    c_2Emin_2E_3D_3D_3E @ $true @ $true ),
    inference(simp,[status(thm)],[39])).

thf(5,axiom,(
    ! [TA: $tType,A: $o] :
      ( ( ! [B: TA] : A )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EFORALL__SIMP)).

thf(23,plain,(
    ! [TA: $tType] : $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(50,plain,
    ( ( c_2Ebool_2E_7E @ $false )
    = ( ~ $false ) ),
    inference(instance,[status(thm)],[47])).

thf(51,plain,(
    c_2Ebool_2E_7E @ $false ),
    inference(simp,[status(thm)],[50])).

thf(201,plain,(
    $false ),
    inference(e,[status(thm)],[42,25,52,20,29,61,60,28,38,21,32,17,22,49,35,18,40,26,23,51,47,15])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.07/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.07/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.07/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.07/0.12  % CPULimit   : 300
% 0.07/0.12  % DateTime   : Tue Jul 30 14:58:26 EDT 2019
% 0.07/0.12  % CPUTime    : 
% 2.54/1.15  % [INFO] 	 Running in sequential loop mode. 
% 3.12/1.33  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.57/1.39  % [INFO] 	 iprover registered as external prover. 
% 3.57/1.39  % [INFO] 	 e registered as external prover. 
% 3.57/1.39  % [INFO] 	 cvc4 registered as external prover. 
% 3.57/1.40  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.85/1.45  % [INFO] 	 Found a conjecture and 12 axioms. Running axiom selection ... 
% 3.99/1.49  % [INFO] 	 Axiom selection finished. Selected 12 axioms (removed 0 axioms). 
% 3.99/1.52  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 13.38/4.56  % [INFO] 	 Killing All external provers ... 
% 13.38/4.57  % Time passed: 4308ms
% 13.38/4.57  % Effective reasoning time: 3414ms
% 13.38/4.57  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 13.38/4.57  % Axioms used in derivation (12): logicdef_2E_3D, thm_2Ebool_2EREFL__CLAUSE, thm_2Epair_2EUNCURRY__VAR, thm_2Ebool_2ELET__DEF, logicdef_2E_5C_2F, quantdef_2E_21, thm_2Ebool_2ETRUTH, logicdef_2E_3D_3D_3E, thm_2Ebool_2EFORALL__SIMP, logicdef_2E_2F_5C, logicdef_2E_7E, quantdef_2E_3F
% 13.38/4.57  % No. of inferences in proof: 45
% 13.38/4.57  % No. of processed clauses: 10
% 13.38/4.57  % No. of generated clauses: 37
% 13.38/4.57  % No. of forward subsumed clauses: 1
% 13.38/4.57  % No. of backward subsumed clauses: 0
% 13.38/4.57  % No. of ground rewrite rules in store: 7
% 13.38/4.57  % No. of non-ground rewrite rules in store: 0
% 13.38/4.57  % No. of positive (non-rewrite) units in store: 2
% 13.38/4.57  % No. of negative (non-rewrite) units in store: 1
% 13.38/4.57  % No. of choice functions detected: 0
% 13.38/4.57  % No. of choice instantiations: 0
% 13.38/4.58  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 4308 ms resp. 3414 ms w/o parsing
% 13.38/4.62  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 13.38/4.62  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 13.38/4.62  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 13.38/4.62  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 13.38/4.62  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 13.38/4.62  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 13.38/4.62  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 13.38/4.62  thf(c_2Ebool_2ELET_type, type, c_2Ebool_2ELET: !>[TA: $tType,TB: $tType]: ((TA > TB) > (TA > TB))).
% 13.38/4.62  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 13.38/4.62  thf(c_2Epair_2EUNCURRY_type, type, c_2Epair_2EUNCURRY: !>[TA: $tType,TB: $tType,TC: $tType]: ((TA > (TB > TC)) > ((tyop_2Epair_2Eprod @ TA @ TB) > TC))).
% 13.38/4.62  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 13.38/4.62  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 13.38/4.62  thf(skt1_type, type, skt1: $tType).
% 13.38/4.62  thf(skt2_type, type, skt2: $tType).
% 13.38/4.62  thf(skt3_type, type, skt3: $tType).
% 13.38/4.62  thf(skt4_type, type, skt4: $tType).
% 13.38/4.62  thf(sk1_type, type, sk1: (tyop_2Epair_2Eprod @ skt1 @ skt2)).
% 13.38/4.62  thf(sk2_type, type, sk2: (skt1 > (skt2 > (skt3 > skt4)))).
% 13.38/4.62  thf(sk3_type, type, sk3: skt3).
% 13.38/4.62  thf(11,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 13.38/4.62  thf(38,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 13.38/4.62  thf(41,plain,(((c_2Emin_2E_3D_3D_3E @ $true @ $false) = (($true) => ($false)))),inference(instance,[status(thm)],[38])).
% 13.38/4.62  thf(42,plain,((~ (c_2Emin_2E_3D_3D_3E @ $true @ $false))),inference(simp,[status(thm)],[41])).
% 13.38/4.62  thf(6,axiom,(c_2Ebool_2ET),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).
% 13.38/4.62  thf(25,plain,(c_2Ebool_2ET),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 13.38/4.62  thf(13,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 13.38/4.62  thf(52,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 13.38/4.62  thf(3,axiom,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TA > (TB > TC)),B:(tyop_2Epair_2Eprod @ TA @ TB)]: ((c_2Epair_2EUNCURRY @ TA @ TB @ TC @ A @ B) = (A @ (c_2Epair_2EFST @ TA @ TB @ B) @ (c_2Epair_2ESND @ TA @ TB @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2EUNCURRY__VAR)).
% 13.38/4.62  thf(18,plain,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TA > (TB > TC)),B:(tyop_2Epair_2Eprod @ TA @ TB)]: ((c_2Epair_2EUNCURRY @ TA @ TB @ TC @ (A) @ B) = (A @ (c_2Epair_2EFST @ TA @ TB @ B) @ (c_2Epair_2ESND @ TA @ TB @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 13.38/4.62  thf(19,plain,(! [TA:$tType,TB:$tType,TC:$tType,B:(tyop_2Epair_2Eprod @ TC @ TB),A:(TC > (TB > TA))] : (((c_2Epair_2EUNCURRY @ TC @ TB @ TA @ (A) @ B) = (A @ (c_2Epair_2EFST @ TC @ TB @ B) @ (c_2Epair_2ESND @ TC @ TB @ B))))),inference(cnf,[status(esa)],[18])).
% 13.38/4.62  thf(20,plain,(! [TA:$tType,TB:$tType,TC:$tType,B:(tyop_2Epair_2Eprod @ TC @ TB),A:(TC > (TB > TA))] : (((c_2Epair_2EUNCURRY @ TC @ TB @ TA @ (A) @ B) = (A @ (c_2Epair_2EFST @ TC @ TB @ B) @ (c_2Epair_2ESND @ TC @ TB @ B))))),inference(lifteq,[status(thm)],[19])).
% 13.38/4.62  thf(8,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 13.38/4.62  thf(29,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 13.38/4.62  thf(14,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 13.38/4.62  thf(61,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).
% 13.38/4.62  thf(59,plain,(((c_2Ebool_2E_5C_2F @ $false @ $false) = (($false) | ($false)))),inference(instance,[status(thm)],[52])).
% 13.38/4.62  thf(60,plain,((~ (c_2Ebool_2E_5C_2F @ $false @ $false))),inference(simp,[status(thm)],[59])).
% 13.38/4.62  thf(7,axiom,((! [TA: $tType,TB: $tType]: ((c_2Ebool_2ELET @ TA @ TB) = (^ [A:(TA > TB)]: (A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ELET__DEF)).
% 13.38/4.62  thf(26,plain,((! [TA: $tType,TB: $tType]: ((c_2Ebool_2ELET @ TA @ TB) = (^ [A:(TA > TB)]: (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 13.38/4.62  thf(27,plain,(! [TA:$tType,TB:$tType] : (((c_2Ebool_2ELET @ TB @ TA) = (^ [A:(TB > TA)]: (A))))),inference(cnf,[status(esa)],[26])).
% 13.38/4.62  thf(28,plain,(! [TA:$tType,TB:$tType] : (((c_2Ebool_2ELET @ TB @ TA) = (^ [A:(TB > TA)]: (A))))),inference(lifteq,[status(thm)],[27])).
% 13.38/4.62  thf(4,axiom,((! [TA: $tType]: (! [A:TA]: ((A = A) = c_2Ebool_2ET)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).
% 13.38/4.62  thf(21,plain,((! [TA: $tType]: (c_2Ebool_2ET))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 13.38/4.62  thf(9,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).
% 13.38/4.62  thf(32,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 13.38/4.62  thf(1,conjecture,((! [TA: $tType,TB: $tType,TC: $tType,TD: $tType]: (! [A:(tyop_2Epair_2Eprod @ TA @ TB),B:(TA > (TB > (TC > TD))),C:TC]: ((c_2Ebool_2ELET @ (tyop_2Epair_2Eprod @ TA @ TB) @ (TC > TD) @ (c_2Epair_2EUNCURRY @ TA @ TB @ (TC > TD) @ (B)) @ A @ C) = (c_2Ebool_2ELET @ (tyop_2Epair_2Eprod @ TA @ TB) @ TD @ (c_2Epair_2EUNCURRY @ TA @ TB @ TD @ (^ [D:TA,E:TB]: (B @ D @ E @ C))) @ A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2ELET2__RATOR)).
% 13.38/4.62  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType,TC: $tType,TD: $tType]: (! [A:(tyop_2Epair_2Eprod @ TA @ TB),B:(TA > (TB > (TC > TD))),C:TC]: ((c_2Ebool_2ELET @ (tyop_2Epair_2Eprod @ TA @ TB) @ (TC > TD) @ (c_2Epair_2EUNCURRY @ TA @ TB @ (TC > TD) @ (B)) @ A @ C) = (c_2Ebool_2ELET @ (tyop_2Epair_2Eprod @ TA @ TB) @ TD @ (c_2Epair_2EUNCURRY @ TA @ TB @ TD @ (^ [D:TA,E:TB]: (B @ D @ E @ C))) @ A)))))),inference(neg_conjecture,[status(cth)],[1])).
% 13.38/4.62  thf(15,plain,((~ (! [TA: $tType,TB: $tType,TC: $tType,TD: $tType]: (! [A:(tyop_2Epair_2Eprod @ TA @ TB),B:(TA > (TB > (TC > TD))),C:TC]: ((c_2Ebool_2ELET @ (tyop_2Epair_2Eprod @ TA @ TB) @ (TC > TD) @ (c_2Epair_2EUNCURRY @ TA @ TB @ (TC > TD) @ B) @ A @ C) = (c_2Ebool_2ELET @ (tyop_2Epair_2Eprod @ TA @ TB) @ TD @ (c_2Epair_2EUNCURRY @ TA @ TB @ TD @ (^ [D:TA,E:TB]: (B @ D @ E @ C))) @ A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 13.38/4.62  thf(16,plain,((~ ((c_2Ebool_2ELET @ (tyop_2Epair_2Eprod @ skt1 @ skt2) @ (skt3 > skt4) @ (c_2Epair_2EUNCURRY @ skt1 @ skt2 @ (skt3 > skt4) @ sk2) @ sk1 @ sk3) = (c_2Ebool_2ELET @ (tyop_2Epair_2Eprod @ skt1 @ skt2) @ skt4 @ (c_2Epair_2EUNCURRY @ skt1 @ skt2 @ skt4 @ (^ [A:skt1,B:skt2]: (sk2 @ A @ B @ sk3))) @ sk1)))),inference(cnf,[status(esa)],[15])).
% 13.38/4.62  thf(17,plain,(((c_2Ebool_2ELET @ (tyop_2Epair_2Eprod @ skt1 @ skt2) @ (skt3 > skt4) @ (c_2Epair_2EUNCURRY @ skt1 @ skt2 @ (skt3 > skt4) @ sk2) @ sk1 @ sk3) != (c_2Ebool_2ELET @ (tyop_2Epair_2Eprod @ skt1 @ skt2) @ skt4 @ (c_2Epair_2EUNCURRY @ skt1 @ skt2 @ skt4 @ (^ [A:skt1,B:skt2]: (sk2 @ A @ B @ sk3))) @ sk1))),inference(lifteq,[status(thm)],[16])).
% 13.38/4.62  thf(22,plain,(c_2Ebool_2ET),inference(cnf,[status(esa)],[21])).
% 13.38/4.62  thf(12,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 13.38/4.62  thf(47,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 13.38/4.62  thf(48,plain,(((c_2Ebool_2E_7E @ $true) = (~ ($true)))),inference(instance,[status(thm)],[47])).
% 13.38/4.62  thf(49,plain,((~ (c_2Ebool_2E_7E @ $true))),inference(simp,[status(thm)],[48])).
% 13.38/4.62  thf(10,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 13.38/4.62  thf(35,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 13.38/4.62  thf(39,plain,(((c_2Emin_2E_3D_3D_3E @ $true @ $true) = (($true) => ($true)))),inference(instance,[status(thm)],[38])).
% 13.38/4.62  thf(40,plain,((c_2Emin_2E_3D_3D_3E @ $true @ $true)),inference(simp,[status(thm)],[39])).
% 13.38/4.62  thf(5,axiom,((! [TA: $tType]: (! [A:$o]: ((! [B:TA]: (A)) = A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EFORALL__SIMP)).
% 13.38/4.62  thf(23,plain,((! [TA: $tType]: ($true))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 13.38/4.62  thf(50,plain,(((c_2Ebool_2E_7E @ $false) = (~ ($false)))),inference(instance,[status(thm)],[47])).
% 13.38/4.62  thf(51,plain,((c_2Ebool_2E_7E @ $false)),inference(simp,[status(thm)],[50])).
% 13.38/4.62  thf(201,plain,($false),inference(e,[status(thm)],[42,25,52,20,29,61,60,28,38,21,32,17,22,49,35,18,40,26,23,51,47,15])).
% 13.38/4.62  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 13.38/4.62  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
