%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:36:10 EDT 2019

% Result     : Theorem 103.16s
% Output     : CNFRefutation 103.16s
% Verified   : 
% Statistics : Number of formulae       :   33 (  45 expanded)
%              Number of leaves         :   19 (  23 expanded)
%              Depth                    :    6
%              Number of atoms          :  507 (1021 expanded)
%              Number of equality atoms :   18 (  30 expanded)
%              Maximal formula depth    :   19 (   9 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: 
      !>[TA: $tType,TB: $tType] :
        ( TA > TB > ( tyop_2Epair_2Eprod @ TA @ TB ) ) )).

thf(c_2Epair_2EFST_type,type,(
    c_2Epair_2EFST: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Epair_2Eprod @ TA @ TB ) > TA ) )).

thf(c_2Ecombin_2ES_type,type,(
    c_2Ecombin_2ES: 
      !>[TA: $tType,TB: $tType,TC: $tType] :
        ( ( TA > TB > TC ) > ( TA > TB ) > TA > TC ) )).

thf(c_2Epair_2ESND_type,type,(
    c_2Epair_2ESND: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Epair_2Eprod @ TA @ TB ) > TB ) )).

thf(c_2Epair_2EUNCURRY_type,type,(
    c_2Epair_2EUNCURRY: 
      !>[TA: $tType,TB: $tType,TC: $tType] :
        ( ( TA > TB > TC ) > ( tyop_2Epair_2Eprod @ TA @ TB ) > TC ) )).

thf(c_2Ecombin_2Eo_type,type,(
    c_2Ecombin_2Eo: 
      !>[TA: $tType,TB: $tType,TC: $tType] :
        ( ( TC > TB ) > ( TA > TC ) > TA > TB ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(skt2_type,type,(
    skt2: $tType )).

thf(skt3_type,type,(
    skt3: $tType )).

thf(skt4_type,type,(
    skt4: $tType )).

thf(sk1_type,type,(
    sk1: skt1 > skt2 > skt4 )).

thf(sk2_type,type,(
    sk2: ( tyop_2Epair_2Eprod @ skt1 @ skt2 ) > skt4 > skt3 )).

thf(sk3_type,type,(
    sk3: ( tyop_2Epair_2Eprod @ skt1 @ skt2 ) )).

thf(3,axiom,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: TA > TB,B: TC > TA,C: TC] :
      ( ( c_2Ecombin_2Eo @ TC @ TB @ TA @ A @ B @ C )
      = ( A @ ( B @ C ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecombin_2Eo__THM)).

thf(10,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: TA > TB,B: TC > TA,C: TC] :
      ( ( c_2Ecombin_2Eo @ TC @ TB @ TA @ A @ B @ C )
      = ( A @ ( B @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(6,axiom,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: TA > TB > TC,B: tyop_2Epair_2Eprod @ TA @ TB] :
      ( ( c_2Epair_2EUNCURRY @ TA @ TB @ TC @ A @ B )
      = ( A @ ( c_2Epair_2EFST @ TA @ TB @ B ) @ ( c_2Epair_2ESND @ TA @ TB @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2EUNCURRY)).

thf(19,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: TA > TB > TC,B: tyop_2Epair_2Eprod @ TA @ TB] :
      ( ( c_2Epair_2EUNCURRY @ TA @ TB @ TC @ A @ B )
      = ( A @ ( c_2Epair_2EFST @ TA @ TB @ B ) @ ( c_2Epair_2ESND @ TA @ TB @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(20,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType,B: tyop_2Epair_2Eprod @ TC @ TB,A: TC > TB > TA] :
      ( ( c_2Epair_2EUNCURRY @ TC @ TB @ TA @ A @ B )
      = ( A @ ( c_2Epair_2EFST @ TC @ TB @ B ) @ ( c_2Epair_2ESND @ TC @ TB @ B ) ) ) ),
    inference(cnf,[status(esa)],[19])).

thf(21,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType,B: tyop_2Epair_2Eprod @ TC @ TB,A: TC > TB > TA] :
      ( ( c_2Epair_2EUNCURRY @ TC @ TB @ TA @ A @ B )
      = ( A @ ( c_2Epair_2EFST @ TC @ TB @ B ) @ ( c_2Epair_2ESND @ TC @ TB @ B ) ) ) ),
    inference(lifteq,[status(thm)],[20])).

thf(1,conjecture,(
    ! [TA: $tType,TB: $tType,TC: $tType,TD: $tType,A: TA > TB > TD,B: ( tyop_2Epair_2Eprod @ TA @ TB ) > TD > TC] :
      ( ( c_2Ecombin_2ES @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ TD @ TC @ B @ ( c_2Epair_2EUNCURRY @ TA @ TB @ TD @ A ) )
      = ( c_2Epair_2EUNCURRY @ TA @ TB @ TC @ ( c_2Ecombin_2ES @ TA @ ( TB > TD ) @ ( TB > TC ) @ ( c_2Ecombin_2Eo @ TA @ ( ( TB > TD ) > TB > TC ) @ ( TB > TD > TC ) @ ( c_2Ecombin_2ES @ TB @ TD @ TC ) @ ( c_2Ecombin_2Eo @ TA @ ( TB > TD > TC ) @ ( TB > ( tyop_2Epair_2Eprod @ TA @ TB ) ) @ ( c_2Ecombin_2Eo @ TB @ ( TD > TC ) @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ B ) @ ( c_2Epair_2E_2C @ TA @ TB ) ) ) @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2ES__UNCURRY__R)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,TB: $tType,TC: $tType,TD: $tType,A: TA > TB > TD,B: ( tyop_2Epair_2Eprod @ TA @ TB ) > TD > TC] :
        ( ( c_2Ecombin_2ES @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ TD @ TC @ B @ ( c_2Epair_2EUNCURRY @ TA @ TB @ TD @ A ) )
        = ( c_2Epair_2EUNCURRY @ TA @ TB @ TC @ ( c_2Ecombin_2ES @ TA @ ( TB > TD ) @ ( TB > TC ) @ ( c_2Ecombin_2Eo @ TA @ ( ( TB > TD ) > TB > TC ) @ ( TB > TD > TC ) @ ( c_2Ecombin_2ES @ TB @ TD @ TC ) @ ( c_2Ecombin_2Eo @ TA @ ( TB > TD > TC ) @ ( TB > ( tyop_2Epair_2Eprod @ TA @ TB ) ) @ ( c_2Ecombin_2Eo @ TB @ ( TD > TC ) @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ B ) @ ( c_2Epair_2E_2C @ TA @ TB ) ) ) @ A ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(7,plain,(
    ~ ! [TA: $tType,TB: $tType,TC: $tType,TD: $tType,A: TA > TB > TD,B: ( tyop_2Epair_2Eprod @ TA @ TB ) > TD > TC] :
        ( ( c_2Ecombin_2ES @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ TD @ TC @ B @ ( c_2Epair_2EUNCURRY @ TA @ TB @ TD @ A ) )
        = ( c_2Epair_2EUNCURRY @ TA @ TB @ TC @ ( c_2Ecombin_2ES @ TA @ ( TB > TD ) @ ( TB > TC ) @ ( c_2Ecombin_2Eo @ TA @ ( ( TB > TD ) > TB > TC ) @ ( TB > TD > TC ) @ ( c_2Ecombin_2ES @ TB @ TD @ TC ) @ ( c_2Ecombin_2Eo @ TA @ ( TB > TD > TC ) @ ( TB > ( tyop_2Epair_2Eprod @ TA @ TB ) ) @ ( c_2Ecombin_2Eo @ TB @ ( TD > TC ) @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ B ) @ ( c_2Epair_2E_2C @ TA @ TB ) ) ) @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(8,plain,(
    ( c_2Ecombin_2ES @ ( tyop_2Epair_2Eprod @ skt1 @ skt2 ) @ skt4 @ skt3 @ sk2 @ ( c_2Epair_2EUNCURRY @ skt1 @ skt2 @ skt4 @ sk1 ) )
 != ( c_2Epair_2EUNCURRY @ skt1 @ skt2 @ skt3 @ ( c_2Ecombin_2ES @ skt1 @ ( skt2 > skt4 ) @ ( skt2 > skt3 ) @ ( c_2Ecombin_2Eo @ skt1 @ ( ( skt2 > skt4 ) > skt2 > skt3 ) @ ( skt2 > skt4 > skt3 ) @ ( c_2Ecombin_2ES @ skt2 @ skt4 @ skt3 ) @ ( c_2Ecombin_2Eo @ skt1 @ ( skt2 > skt4 > skt3 ) @ ( skt2 > ( tyop_2Epair_2Eprod @ skt1 @ skt2 ) ) @ ( c_2Ecombin_2Eo @ skt2 @ ( skt4 > skt3 ) @ ( tyop_2Epair_2Eprod @ skt1 @ skt2 ) @ sk2 ) @ ( c_2Epair_2E_2C @ skt1 @ skt2 ) ) ) @ sk1 ) ) ),
    inference(cnf,[status(esa)],[7])).

thf(9,plain,(
    ( c_2Ecombin_2ES @ ( tyop_2Epair_2Eprod @ skt1 @ skt2 ) @ skt4 @ skt3 @ sk2 @ ( c_2Epair_2EUNCURRY @ skt1 @ skt2 @ skt4 @ sk1 ) )
 != ( c_2Epair_2EUNCURRY @ skt1 @ skt2 @ skt3 @ ( c_2Ecombin_2ES @ skt1 @ ( skt2 > skt4 ) @ ( skt2 > skt3 ) @ ( c_2Ecombin_2Eo @ skt1 @ ( ( skt2 > skt4 ) > skt2 > skt3 ) @ ( skt2 > skt4 > skt3 ) @ ( c_2Ecombin_2ES @ skt2 @ skt4 @ skt3 ) @ ( c_2Ecombin_2Eo @ skt1 @ ( skt2 > skt4 > skt3 ) @ ( skt2 > ( tyop_2Epair_2Eprod @ skt1 @ skt2 ) ) @ ( c_2Ecombin_2Eo @ skt2 @ ( skt4 > skt3 ) @ ( tyop_2Epair_2Eprod @ skt1 @ skt2 ) @ sk2 ) @ ( c_2Epair_2E_2C @ skt1 @ skt2 ) ) ) @ sk1 ) ) ),
    inference(lifteq,[status(thm)],[8])).

thf(4,axiom,(
    ! [TA: $tType,TB: $tType,A: tyop_2Epair_2Eprod @ TA @ TB] :
      ( ( c_2Epair_2E_2C @ TA @ TB @ ( c_2Epair_2EFST @ TA @ TB @ A ) @ ( c_2Epair_2ESND @ TA @ TB @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2EPAIR)).

thf(13,plain,(
    ! [TA: $tType,TB: $tType,A: tyop_2Epair_2Eprod @ TA @ TB] :
      ( ( c_2Epair_2E_2C @ TA @ TB @ ( c_2Epair_2EFST @ TA @ TB @ A ) @ ( c_2Epair_2ESND @ TA @ TB @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(22,plain,(
    ( c_2Ecombin_2ES @ ( tyop_2Epair_2Eprod @ skt1 @ skt2 ) @ skt4 @ skt3 @ sk2 @ ( c_2Epair_2EUNCURRY @ skt1 @ skt2 @ skt4 @ sk1 ) @ sk3 )
 != ( c_2Epair_2EUNCURRY @ skt1 @ skt2 @ skt3 @ ( c_2Ecombin_2ES @ skt1 @ ( skt2 > skt4 ) @ ( skt2 > skt3 ) @ ( c_2Ecombin_2Eo @ skt1 @ ( ( skt2 > skt4 ) > skt2 > skt3 ) @ ( skt2 > skt4 > skt3 ) @ ( c_2Ecombin_2ES @ skt2 @ skt4 @ skt3 ) @ ( c_2Ecombin_2Eo @ skt1 @ ( skt2 > skt4 > skt3 ) @ ( skt2 > ( tyop_2Epair_2Eprod @ skt1 @ skt2 ) ) @ ( c_2Ecombin_2Eo @ skt2 @ ( skt4 > skt3 ) @ ( tyop_2Epair_2Eprod @ skt1 @ skt2 ) @ sk2 ) @ ( c_2Epair_2E_2C @ skt1 @ skt2 ) ) ) @ sk1 ) @ sk3 ) ),
    inference(func_ext,[status(esa)],[9])).

thf(5,axiom,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: TA > TB > TC,B: TA > TB,C: TA] :
      ( ( c_2Ecombin_2ES @ TA @ TB @ TC @ A @ B @ C )
      = ( A @ C @ ( B @ C ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecombin_2ES__THM)).

thf(16,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: TA > TB > TC,B: TA > TB,C: TA] :
      ( ( c_2Ecombin_2ES @ TA @ TB @ TC @ A @ B @ C )
      = ( A @ C @ ( B @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(14,plain,(
    ! [TA: $tType,TB: $tType,A: tyop_2Epair_2Eprod @ TB @ TA] :
      ( ( c_2Epair_2E_2C @ TB @ TA @ ( c_2Epair_2EFST @ TB @ TA @ A ) @ ( c_2Epair_2ESND @ TB @ TA @ A ) )
      = A ) ),
    inference(cnf,[status(esa)],[13])).

thf(15,plain,(
    ! [TA: $tType,TB: $tType,A: tyop_2Epair_2Eprod @ TB @ TA] :
      ( ( c_2Epair_2E_2C @ TB @ TA @ ( c_2Epair_2EFST @ TB @ TA @ A ) @ ( c_2Epair_2ESND @ TB @ TA @ A ) )
      = A ) ),
    inference(lifteq,[status(thm)],[14])).

thf(480,plain,(
    $false ),
    inference(e,[status(thm)],[10,21,9,13,22,7,16,19,15])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.10/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.10/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.10/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.10/0.12  % CPULimit   : 300
% 0.10/0.12  % DateTime   : Tue Jul 30 14:59:57 EDT 2019
% 0.10/0.12  % CPUTime    : 
% 2.68/1.28  % [INFO] 	 Running in sequential loop mode. 
% 3.32/1.46  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.99/1.52  % [INFO] 	 iprover registered as external prover. 
% 3.99/1.53  % [INFO] 	 e registered as external prover. 
% 3.99/1.53  % [INFO] 	 cvc4 registered as external prover. 
% 3.99/1.53  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.35/1.61  % [INFO] 	 Found a conjecture and 15 axioms. Running axiom selection ... 
% 4.35/1.65  % [INFO] 	 Axiom selection finished. Selected 4 axioms (removed 11 axioms). 
% 4.35/1.68  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 103.16/29.43  % [INFO] 	 Killing All external provers ... 
% 103.16/29.43  % Time passed: 29170ms
% 103.16/29.43  % Effective reasoning time: 28146ms
% 103.16/29.43  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 103.16/29.43  % Axioms used in derivation (4): thm_2Ecombin_2Eo__THM, thm_2Epair_2EUNCURRY, thm_2Epair_2EPAIR, thm_2Ecombin_2ES__THM
% 103.16/29.43  % No. of inferences in proof: 19
% 103.16/29.43  % No. of processed clauses: 8
% 103.16/29.43  % No. of generated clauses: 125
% 103.16/29.43  % No. of forward subsumed clauses: 0
% 103.16/29.43  % No. of backward subsumed clauses: 0
% 103.16/29.43  % No. of ground rewrite rules in store: 0
% 103.16/29.43  % No. of non-ground rewrite rules in store: 1
% 103.16/29.43  % No. of positive (non-rewrite) units in store: 2
% 103.16/29.43  % No. of negative (non-rewrite) units in store: 5
% 103.16/29.43  % No. of choice functions detected: 0
% 103.16/29.43  % No. of choice instantiations: 0
% 103.16/29.43  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 29170 ms resp. 28146 ms w/o parsing
% 103.16/29.46  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 103.16/29.46  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 103.16/29.46  thf(c_2Epair_2E_2C_type, type, c_2Epair_2E_2C: !>[TA: $tType,TB: $tType]: (TA > (TB > (tyop_2Epair_2Eprod @ TA @ TB)))).
% 103.16/29.46  thf(c_2Epair_2EFST_type, type, c_2Epair_2EFST: !>[TA: $tType,TB: $tType]: ((tyop_2Epair_2Eprod @ TA @ TB) > TA)).
% 103.16/29.46  thf(c_2Ecombin_2ES_type, type, c_2Ecombin_2ES: !>[TA: $tType,TB: $tType,TC: $tType]: ((TA > (TB > TC)) > ((TA > TB) > (TA > TC)))).
% 103.16/29.46  thf(c_2Epair_2ESND_type, type, c_2Epair_2ESND: !>[TA: $tType,TB: $tType]: ((tyop_2Epair_2Eprod @ TA @ TB) > TB)).
% 103.16/29.46  thf(c_2Epair_2EUNCURRY_type, type, c_2Epair_2EUNCURRY: !>[TA: $tType,TB: $tType,TC: $tType]: ((TA > (TB > TC)) > ((tyop_2Epair_2Eprod @ TA @ TB) > TC))).
% 103.16/29.46  thf(c_2Ecombin_2Eo_type, type, c_2Ecombin_2Eo: !>[TA: $tType,TB: $tType,TC: $tType]: ((TC > TB) > ((TA > TC) > (TA > TB)))).
% 103.16/29.46  thf(skt1_type, type, skt1: $tType).
% 103.16/29.46  thf(skt2_type, type, skt2: $tType).
% 103.16/29.46  thf(skt3_type, type, skt3: $tType).
% 103.16/29.46  thf(skt4_type, type, skt4: $tType).
% 103.16/29.46  thf(sk1_type, type, sk1: (skt1 > (skt2 > skt4))).
% 103.16/29.46  thf(sk2_type, type, sk2: ((tyop_2Epair_2Eprod @ skt1 @ skt2) > (skt4 > skt3))).
% 103.16/29.46  thf(sk3_type, type, sk3: (tyop_2Epair_2Eprod @ skt1 @ skt2)).
% 103.16/29.46  thf(3,axiom,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TA > TB),B:(TC > TA),C:TC]: ((c_2Ecombin_2Eo @ TC @ TB @ TA @ A @ B @ C) = (A @ (B @ C)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecombin_2Eo__THM)).
% 103.16/29.46  thf(10,plain,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TA > TB),B:(TC > TA),C:TC]: ((c_2Ecombin_2Eo @ TC @ TB @ TA @ (A) @ (B) @ C) = (A @ (B @ C)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 103.16/29.46  thf(6,axiom,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TA > (TB > TC)),B:(tyop_2Epair_2Eprod @ TA @ TB)]: ((c_2Epair_2EUNCURRY @ TA @ TB @ TC @ A @ B) = (A @ (c_2Epair_2EFST @ TA @ TB @ B) @ (c_2Epair_2ESND @ TA @ TB @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2EUNCURRY)).
% 103.16/29.46  thf(19,plain,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TA > (TB > TC)),B:(tyop_2Epair_2Eprod @ TA @ TB)]: ((c_2Epair_2EUNCURRY @ TA @ TB @ TC @ (A) @ B) = (A @ (c_2Epair_2EFST @ TA @ TB @ B) @ (c_2Epair_2ESND @ TA @ TB @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 103.16/29.46  thf(20,plain,(! [TA:$tType,TB:$tType,TC:$tType,B:(tyop_2Epair_2Eprod @ TC @ TB),A:(TC > (TB > TA))] : (((c_2Epair_2EUNCURRY @ TC @ TB @ TA @ (A) @ B) = (A @ (c_2Epair_2EFST @ TC @ TB @ B) @ (c_2Epair_2ESND @ TC @ TB @ B))))),inference(cnf,[status(esa)],[19])).
% 103.16/29.46  thf(21,plain,(! [TA:$tType,TB:$tType,TC:$tType,B:(tyop_2Epair_2Eprod @ TC @ TB),A:(TC > (TB > TA))] : (((c_2Epair_2EUNCURRY @ TC @ TB @ TA @ (A) @ B) = (A @ (c_2Epair_2EFST @ TC @ TB @ B) @ (c_2Epair_2ESND @ TC @ TB @ B))))),inference(lifteq,[status(thm)],[20])).
% 103.16/29.46  thf(1,conjecture,((! [TA: $tType,TB: $tType,TC: $tType,TD: $tType]: (! [A:(TA > (TB > TD)),B:((tyop_2Epair_2Eprod @ TA @ TB) > (TD > TC))]: ((c_2Ecombin_2ES @ (tyop_2Epair_2Eprod @ TA @ TB) @ TD @ TC @ B @ (c_2Epair_2EUNCURRY @ TA @ TB @ TD @ A)) = (c_2Epair_2EUNCURRY @ TA @ TB @ TC @ (c_2Ecombin_2ES @ TA @ (TB > TD) @ (TB > TC) @ (c_2Ecombin_2Eo @ TA @ ((TB > TD) > (TB > TC)) @ (TB > (TD > TC)) @ (c_2Ecombin_2ES @ TB @ TD @ TC) @ (c_2Ecombin_2Eo @ TA @ (TB > (TD > TC)) @ (TB > (tyop_2Epair_2Eprod @ TA @ TB)) @ (c_2Ecombin_2Eo @ TB @ (TD > TC) @ (tyop_2Epair_2Eprod @ TA @ TB) @ B) @ (c_2Epair_2E_2C @ TA @ TB))) @ A)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2ES__UNCURRY__R)).
% 103.16/29.46  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType,TC: $tType,TD: $tType]: (! [A:(TA > (TB > TD)),B:((tyop_2Epair_2Eprod @ TA @ TB) > (TD > TC))]: ((c_2Ecombin_2ES @ (tyop_2Epair_2Eprod @ TA @ TB) @ TD @ TC @ B @ (c_2Epair_2EUNCURRY @ TA @ TB @ TD @ A)) = (c_2Epair_2EUNCURRY @ TA @ TB @ TC @ (c_2Ecombin_2ES @ TA @ (TB > TD) @ (TB > TC) @ (c_2Ecombin_2Eo @ TA @ ((TB > TD) > (TB > TC)) @ (TB > (TD > TC)) @ (c_2Ecombin_2ES @ TB @ TD @ TC) @ (c_2Ecombin_2Eo @ TA @ (TB > (TD > TC)) @ (TB > (tyop_2Epair_2Eprod @ TA @ TB)) @ (c_2Ecombin_2Eo @ TB @ (TD > TC) @ (tyop_2Epair_2Eprod @ TA @ TB) @ B) @ (c_2Epair_2E_2C @ TA @ TB))) @ A))))))),inference(neg_conjecture,[status(cth)],[1])).
% 103.16/29.46  thf(7,plain,((~ (! [TA: $tType,TB: $tType,TC: $tType,TD: $tType]: (! [A:(TA > (TB > TD)),B:((tyop_2Epair_2Eprod @ TA @ TB) > (TD > TC))]: ((c_2Ecombin_2ES @ (tyop_2Epair_2Eprod @ TA @ TB) @ TD @ TC @ B @ (c_2Epair_2EUNCURRY @ TA @ TB @ TD @ A)) = (c_2Epair_2EUNCURRY @ TA @ TB @ TC @ (c_2Ecombin_2ES @ TA @ (TB > TD) @ (TB > TC) @ (c_2Ecombin_2Eo @ TA @ ((TB > TD) > (TB > TC)) @ (TB > (TD > TC)) @ (c_2Ecombin_2ES @ TB @ TD @ TC) @ (c_2Ecombin_2Eo @ TA @ (TB > (TD > TC)) @ (TB > (tyop_2Epair_2Eprod @ TA @ TB)) @ (c_2Ecombin_2Eo @ TB @ (TD > TC) @ (tyop_2Epair_2Eprod @ TA @ TB) @ B) @ (c_2Epair_2E_2C @ TA @ TB))) @ A))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 103.16/29.46  thf(8,plain,((~ ((c_2Ecombin_2ES @ (tyop_2Epair_2Eprod @ skt1 @ skt2) @ skt4 @ skt3 @ sk2 @ (c_2Epair_2EUNCURRY @ skt1 @ skt2 @ skt4 @ sk1)) = (c_2Epair_2EUNCURRY @ skt1 @ skt2 @ skt3 @ (c_2Ecombin_2ES @ skt1 @ (skt2 > skt4) @ (skt2 > skt3) @ (c_2Ecombin_2Eo @ skt1 @ ((skt2 > skt4) > (skt2 > skt3)) @ (skt2 > (skt4 > skt3)) @ (c_2Ecombin_2ES @ skt2 @ skt4 @ skt3) @ (c_2Ecombin_2Eo @ skt1 @ (skt2 > (skt4 > skt3)) @ (skt2 > (tyop_2Epair_2Eprod @ skt1 @ skt2)) @ (c_2Ecombin_2Eo @ skt2 @ (skt4 > skt3) @ (tyop_2Epair_2Eprod @ skt1 @ skt2) @ sk2) @ (c_2Epair_2E_2C @ skt1 @ skt2))) @ sk1))))),inference(cnf,[status(esa)],[7])).
% 103.16/29.46  thf(9,plain,(((c_2Ecombin_2ES @ (tyop_2Epair_2Eprod @ skt1 @ skt2) @ skt4 @ skt3 @ sk2 @ (c_2Epair_2EUNCURRY @ skt1 @ skt2 @ skt4 @ sk1)) != (c_2Epair_2EUNCURRY @ skt1 @ skt2 @ skt3 @ (c_2Ecombin_2ES @ skt1 @ (skt2 > skt4) @ (skt2 > skt3) @ (c_2Ecombin_2Eo @ skt1 @ ((skt2 > skt4) > (skt2 > skt3)) @ (skt2 > (skt4 > skt3)) @ (c_2Ecombin_2ES @ skt2 @ skt4 @ skt3) @ (c_2Ecombin_2Eo @ skt1 @ (skt2 > (skt4 > skt3)) @ (skt2 > (tyop_2Epair_2Eprod @ skt1 @ skt2)) @ (c_2Ecombin_2Eo @ skt2 @ (skt4 > skt3) @ (tyop_2Epair_2Eprod @ skt1 @ skt2) @ sk2) @ (c_2Epair_2E_2C @ skt1 @ skt2))) @ sk1)))),inference(lifteq,[status(thm)],[8])).
% 103.16/29.46  thf(4,axiom,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Epair_2Eprod @ TA @ TB)]: ((c_2Epair_2E_2C @ TA @ TB @ (c_2Epair_2EFST @ TA @ TB @ A) @ (c_2Epair_2ESND @ TA @ TB @ A)) = A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2EPAIR)).
% 103.16/29.46  thf(13,plain,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Epair_2Eprod @ TA @ TB)]: ((c_2Epair_2E_2C @ TA @ TB @ (c_2Epair_2EFST @ TA @ TB @ A) @ (c_2Epair_2ESND @ TA @ TB @ A)) = A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 103.16/29.46  thf(22,plain,(((c_2Ecombin_2ES @ (tyop_2Epair_2Eprod @ skt1 @ skt2) @ skt4 @ skt3 @ (sk2) @ (c_2Epair_2EUNCURRY @ skt1 @ skt2 @ skt4 @ sk1) @ sk3) != (c_2Epair_2EUNCURRY @ skt1 @ skt2 @ skt3 @ (c_2Ecombin_2ES @ skt1 @ (skt2 > skt4) @ (skt2 > skt3) @ (c_2Ecombin_2Eo @ skt1 @ ((skt2 > skt4) > (skt2 > skt3)) @ (skt2 > (skt4 > skt3)) @ (c_2Ecombin_2ES @ skt2 @ skt4 @ skt3) @ (c_2Ecombin_2Eo @ skt1 @ (skt2 > (skt4 > skt3)) @ (skt2 > (tyop_2Epair_2Eprod @ skt1 @ skt2)) @ (c_2Ecombin_2Eo @ skt2 @ (skt4 > skt3) @ (tyop_2Epair_2Eprod @ skt1 @ skt2) @ sk2) @ (c_2Epair_2E_2C @ skt1 @ skt2))) @ sk1) @ sk3))),inference(func_ext,[status(esa)],[9])).
% 103.16/29.46  thf(5,axiom,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TA > (TB > TC)),B:(TA > TB),C:TA]: ((c_2Ecombin_2ES @ TA @ TB @ TC @ A @ B @ C) = (A @ C @ (B @ C)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecombin_2ES__THM)).
% 103.16/29.46  thf(16,plain,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TA > (TB > TC)),B:(TA > TB),C:TA]: ((c_2Ecombin_2ES @ TA @ TB @ TC @ (A) @ (B) @ C) = (A @ C @ (B @ C)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 103.16/29.46  thf(14,plain,(! [TA:$tType,TB:$tType,A:(tyop_2Epair_2Eprod @ TB @ TA)] : (((c_2Epair_2E_2C @ TB @ TA @ (c_2Epair_2EFST @ TB @ TA @ A) @ (c_2Epair_2ESND @ TB @ TA @ A)) = A))),inference(cnf,[status(esa)],[13])).
% 103.16/29.46  thf(15,plain,(! [TA:$tType,TB:$tType,A:(tyop_2Epair_2Eprod @ TB @ TA)] : (((c_2Epair_2E_2C @ TB @ TA @ (c_2Epair_2EFST @ TB @ TA @ A) @ (c_2Epair_2ESND @ TB @ TA @ A)) = A))),inference(lifteq,[status(thm)],[14])).
% 103.16/29.46  thf(480,plain,($false),inference(e,[status(thm)],[10,21,9,13,22,7,16,19,15])).
% 103.16/29.46  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 103.16/29.46  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
