%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:36:14 EDT 2019

% Result     : Theorem 6.92s
% Output     : CNFRefutation 7.23s
% Verified   : 
% Statistics : Number of formulae       :   13 (  16 expanded)
%              Number of leaves         :    8 (   9 expanded)
%              Depth                    :    4
%              Number of atoms          :   56 (  80 expanded)
%              Number of equality atoms :    2 (   2 expanded)
%              Maximal formula depth    :   11 (   7 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Eposet_2Ecomplete_type,type,(
    c_2Eposet_2Ecomplete: 
      !>[TA: $tType] :
        ( ( tyop_2Epair_2Eprod @ ( TA > $o ) @ ( TA > TA > $o ) ) > $o ) )).

thf(c_2Eposet_2Eglb_type,type,(
    c_2Eposet_2Eglb: 
      !>[TA: $tType] :
        ( ( tyop_2Epair_2Eprod @ ( TA > $o ) @ ( TA > TA > $o ) ) > ( TA > $o ) > TA > $o ) )).

thf(c_2Eposet_2Elub_type,type,(
    c_2Eposet_2Elub: 
      !>[TA: $tType] :
        ( ( tyop_2Epair_2Eprod @ ( TA > $o ) @ ( TA > TA > $o ) ) > ( TA > $o ) > TA > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: ( tyop_2Epair_2Eprod @ ( skt1 > $o ) @ ( skt1 > skt1 > $o ) ) )).

thf(1,conjecture,(
    ! [TA: $tType,A: tyop_2Epair_2Eprod @ ( TA > $o ) @ ( TA > TA > $o ),B: TA > $o] :
      ( ( c_2Eposet_2Ecomplete @ TA @ A )
     => ? [C: TA] :
          ( c_2Eposet_2Elub @ TA @ A @ B @ C ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eposet_2Ecomplete__up)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: tyop_2Epair_2Eprod @ ( TA > $o ) @ ( TA > TA > $o ),B: TA > $o] :
        ( ( c_2Eposet_2Ecomplete @ TA @ A )
       => ? [C: TA] :
            ( c_2Eposet_2Elub @ TA @ A @ B @ C ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(4,plain,(
    ~ ! [TA: $tType,A: tyop_2Epair_2Eprod @ ( TA > $o ) @ ( TA > TA > $o ),B: TA > $o] :
        ( ( c_2Eposet_2Ecomplete @ TA @ A )
       => ? [C: TA] :
            ( c_2Eposet_2Elub @ TA @ A @ B @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    ! [TA: $tType,A: tyop_2Epair_2Eprod @ ( TA > $o ) @ ( TA > TA > $o )] :
      ( ( c_2Eposet_2Ecomplete @ TA @ A )
      = ( ! [B: TA > $o] :
            ( ? [C: TA] :
                ( c_2Eposet_2Elub @ TA @ A @ B @ C )
            & ? [C: TA] :
                ( c_2Eposet_2Eglb @ TA @ A @ B @ C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eposet_2Ecomplete__def)).

thf(7,plain,(
    ! [TA: $tType,A: tyop_2Epair_2Eprod @ ( TA > $o ) @ ( TA > TA > $o )] :
      ( ( c_2Eposet_2Ecomplete @ TA @ A )
      = ( ! [B: TA > $o] :
            ( ? [C: TA] :
                ( c_2Eposet_2Elub @ TA @ A @ B @ C )
            & ? [C: TA] :
                ( c_2Eposet_2Eglb @ TA @ A @ B @ C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(6,plain,(
    c_2Eposet_2Ecomplete @ skt1 @ sk1 ),
    inference(cnf,[status(esa)],[4])).

thf(10,plain,(
    $false ),
    inference(iprover,[status(thm)],[4,7,6])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.06/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.06/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.06/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.06/0.12  % CPULimit   : 300
% 0.06/0.12  % DateTime   : Tue Jul 30 15:06:24 EDT 2019
% 0.06/0.12  % CPUTime    : 
% 4.07/1.57  % [INFO] 	 Running in sequential loop mode. 
% 4.84/1.75  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 5.11/1.81  % [INFO] 	 iprover registered as external prover. 
% 5.11/1.81  % [INFO] 	 e registered as external prover. 
% 5.11/1.82  % [INFO] 	 cvc4 registered as external prover. 
% 5.11/1.82  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.30/1.87  % [INFO] 	 Found a conjecture and 39 axioms. Running axiom selection ... 
% 5.30/1.92  % [INFO] 	 Axiom selection finished. Selected 1 axioms (removed 38 axioms). 
% 5.30/1.93  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.92/2.42  % [INFO] 	 Killing All external provers ... 
% 6.92/2.42  % Time passed: 2170ms
% 6.92/2.42  % Effective reasoning time: 848ms
% 6.92/2.42  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.92/2.43  % Axioms used in derivation (1): thm_2Eposet_2Ecomplete__def
% 6.92/2.43  % No. of inferences in proof: 7
% 6.92/2.43  % No. of processed clauses: 2
% 6.92/2.43  % No. of generated clauses: 0
% 6.92/2.43  % No. of forward subsumed clauses: 0
% 6.92/2.43  % No. of backward subsumed clauses: 0
% 6.92/2.43  % No. of ground rewrite rules in store: 1
% 6.92/2.43  % No. of non-ground rewrite rules in store: 1
% 6.92/2.43  % No. of positive (non-rewrite) units in store: 0
% 6.92/2.43  % No. of negative (non-rewrite) units in store: 0
% 6.92/2.43  % No. of choice functions detected: 0
% 6.92/2.43  % No. of choice instantiations: 0
% 6.92/2.43  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2170 ms resp. 848 ms w/o parsing
% 7.23/2.45  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.23/2.45  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.23/2.45  thf(c_2Eposet_2Ecomplete_type, type, c_2Eposet_2Ecomplete: !>[TA: $tType]: ((tyop_2Epair_2Eprod @ (TA > $o) @ (TA > (TA > $o))) > $o)).
% 7.23/2.45  thf(c_2Eposet_2Eglb_type, type, c_2Eposet_2Eglb: !>[TA: $tType]: ((tyop_2Epair_2Eprod @ (TA > $o) @ (TA > (TA > $o))) > ((TA > $o) > (TA > $o)))).
% 7.23/2.45  thf(c_2Eposet_2Elub_type, type, c_2Eposet_2Elub: !>[TA: $tType]: ((tyop_2Epair_2Eprod @ (TA > $o) @ (TA > (TA > $o))) > ((TA > $o) > (TA > $o)))).
% 7.23/2.45  thf(skt1_type, type, skt1: $tType).
% 7.23/2.45  thf(sk1_type, type, sk1: (tyop_2Epair_2Eprod @ (skt1 > $o) @ (skt1 > (skt1 > $o)))).
% 7.23/2.45  thf(1,conjecture,((! [TA: $tType]: (! [A:(tyop_2Epair_2Eprod @ (TA > $o) @ (TA > (TA > $o))),B:(TA > $o)]: ((c_2Eposet_2Ecomplete @ TA @ A) => (? [C:TA]: (c_2Eposet_2Elub @ TA @ A @ B @ C)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eposet_2Ecomplete__up)).
% 7.23/2.45  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:(tyop_2Epair_2Eprod @ (TA > $o) @ (TA > (TA > $o))),B:(TA > $o)]: ((c_2Eposet_2Ecomplete @ TA @ A) => (? [C:TA]: (c_2Eposet_2Elub @ TA @ A @ B @ C))))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.23/2.45  thf(4,plain,((~ (! [TA: $tType]: (! [A:(tyop_2Epair_2Eprod @ (TA > $o) @ (TA > (TA > $o))),B:(TA > $o)]: ((c_2Eposet_2Ecomplete @ TA @ A) => (? [C:TA]: (c_2Eposet_2Elub @ TA @ A @ (B) @ C))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.23/2.45  thf(3,axiom,((! [TA: $tType]: (! [A:(tyop_2Epair_2Eprod @ (TA > $o) @ (TA > (TA > $o)))]: ((c_2Eposet_2Ecomplete @ TA @ A) = (! [B:(TA > $o)]: (? [C:TA]: (c_2Eposet_2Elub @ TA @ A @ B @ C) & ? [C:TA]: (c_2Eposet_2Eglb @ TA @ A @ B @ C))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eposet_2Ecomplete__def)).
% 7.23/2.45  thf(7,plain,((! [TA: $tType]: (! [A:(tyop_2Epair_2Eprod @ (TA > $o) @ (TA > (TA > $o)))]: ((c_2Eposet_2Ecomplete @ TA @ A) = (! [B:(TA > $o)]: (? [C:TA]: (c_2Eposet_2Elub @ TA @ A @ (B) @ C) & ? [C:TA]: (c_2Eposet_2Eglb @ TA @ A @ (B) @ C))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.23/2.45  thf(6,plain,((c_2Eposet_2Ecomplete @ skt1 @ sk1)),inference(cnf,[status(esa)],[4])).
% 7.23/2.45  thf(10,plain,($false),inference(iprover,[status(thm)],[4,7,6])).
% 7.23/2.45  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.23/2.45  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
