%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:36:31 EDT 2019

% Result     : Theorem 7.26s
% Output     : CNFRefutation 7.26s
% Verified   : 
% Statistics : Number of formulae       :   32 (  32 expanded)
%              Number of leaves         :   13 (  13 expanded)
%              Depth                    :   10
%              Number of atoms          :  273 ( 273 expanded)
%              Number of equality atoms :   26 (  26 expanded)
%              Maximal formula depth    :    9 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(c_2Earithmetic_2E_2D_type,type,(
    c_2Earithmetic_2E_2D: tyop_2Enum_2Enum > tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Eprim__rec_2E_3C_type,type,(
    c_2Eprim__rec_2E_3C: tyop_2Enum_2Enum > tyop_2Enum_2Enum > $o )).

thf(c_2Earithmetic_2EABS__DIFF_type,type,(
    c_2Earithmetic_2EABS__DIFF: tyop_2Enum_2Enum > tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Ebool_2ECOND_type,type,(
    c_2Ebool_2ECOND: 
      !>[TA: $tType] :
        ( $o > TA > TA > TA ) )).

thf(c_2Enum_2ESUC_type,type,(
    c_2Enum_2ESUC: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(sk1_type,type,(
    sk1: tyop_2Enum_2Enum )).

thf(sk2_type,type,(
    sk2: tyop_2Enum_2Enum )).

thf(1,conjecture,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2EABS__DIFF @ ( c_2Enum_2ESUC @ A ) @ ( c_2Enum_2ESUC @ B ) )
      = ( c_2Earithmetic_2EABS__DIFF @ A @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Earithmetic_2EABS__DIFF__SUC)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2EABS__DIFF @ ( c_2Enum_2ESUC @ A ) @ ( c_2Enum_2ESUC @ B ) )
        = ( c_2Earithmetic_2EABS__DIFF @ A @ B ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(16,plain,(
    ~ ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2EABS__DIFF @ ( c_2Enum_2ESUC @ A ) @ ( c_2Enum_2ESUC @ B ) )
        = ( c_2Earithmetic_2EABS__DIFF @ A @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(17,plain,(
    ( c_2Earithmetic_2EABS__DIFF @ ( c_2Enum_2ESUC @ sk1 ) @ ( c_2Enum_2ESUC @ sk2 ) )
 != ( c_2Earithmetic_2EABS__DIFF @ sk1 @ sk2 ) ),
    inference(cnf,[status(esa)],[16])).

thf(18,plain,(
    ( c_2Earithmetic_2EABS__DIFF @ ( c_2Enum_2ESUC @ sk1 ) @ ( c_2Enum_2ESUC @ sk2 ) )
 != ( c_2Earithmetic_2EABS__DIFF @ sk1 @ sk2 ) ),
    inference(lifteq,[status(thm)],[17])).

thf(6,axiom,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2EABS__DIFF @ A @ B )
      = ( c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ ( c_2Eprim__rec_2E_3C @ A @ B ) @ ( c_2Earithmetic_2E_2D @ B @ A ) @ ( c_2Earithmetic_2E_2D @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Earithmetic_2EABS__DIFF__def)).

thf(24,plain,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2EABS__DIFF @ A @ B )
      = ( c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ ( c_2Eprim__rec_2E_3C @ A @ B ) @ ( c_2Earithmetic_2E_2D @ B @ A ) @ ( c_2Earithmetic_2E_2D @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(25,plain,(
    ! [B: tyop_2Enum_2Enum,A: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2EABS__DIFF @ A @ B )
      = ( c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ ( c_2Eprim__rec_2E_3C @ A @ B ) @ ( c_2Earithmetic_2E_2D @ B @ A ) @ ( c_2Earithmetic_2E_2D @ A @ B ) ) ) ),
    inference(cnf,[status(esa)],[24])).

thf(26,plain,(
    ! [B: tyop_2Enum_2Enum,A: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2EABS__DIFF @ A @ B )
      = ( c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ ( c_2Eprim__rec_2E_3C @ A @ B ) @ ( c_2Earithmetic_2E_2D @ B @ A ) @ ( c_2Earithmetic_2E_2D @ A @ B ) ) ) ),
    inference(lifteq,[status(thm)],[25])).

thf(81,plain,(
    ( c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ ( c_2Eprim__rec_2E_3C @ ( c_2Enum_2ESUC @ sk1 ) @ ( c_2Enum_2ESUC @ sk2 ) ) @ ( c_2Earithmetic_2E_2D @ ( c_2Enum_2ESUC @ sk2 ) @ ( c_2Enum_2ESUC @ sk1 ) ) @ ( c_2Earithmetic_2E_2D @ ( c_2Enum_2ESUC @ sk1 ) @ ( c_2Enum_2ESUC @ sk2 ) ) )
 != ( c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ ( c_2Eprim__rec_2E_3C @ sk1 @ sk2 ) @ ( c_2Earithmetic_2E_2D @ sk2 @ sk1 ) @ ( c_2Earithmetic_2E_2D @ sk1 @ sk2 ) ) ),
    inference(rewrite,[status(thm)],[18,26])).

thf(97,plain,
    ( ( ( c_2Eprim__rec_2E_3C @ ( c_2Enum_2ESUC @ sk1 ) @ ( c_2Enum_2ESUC @ sk2 ) )
     != ( c_2Eprim__rec_2E_3C @ sk1 @ sk2 ) )
    | ( ( c_2Earithmetic_2E_2D @ ( c_2Enum_2ESUC @ sk2 ) @ ( c_2Enum_2ESUC @ sk1 ) )
     != ( c_2Earithmetic_2E_2D @ sk2 @ sk1 ) )
    | ( ( c_2Earithmetic_2E_2D @ ( c_2Enum_2ESUC @ sk1 ) @ ( c_2Enum_2ESUC @ sk2 ) )
     != ( c_2Earithmetic_2E_2D @ sk1 @ sk2 ) ) ),
    inference(simp,[status(thm)],[81])).

thf(7,axiom,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2E_2D @ ( c_2Enum_2ESUC @ A ) @ ( c_2Enum_2ESUC @ B ) )
      = ( c_2Earithmetic_2E_2D @ A @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Earithmetic_2ESUB__MONO__EQ)).

thf(27,plain,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2E_2D @ ( c_2Enum_2ESUC @ A ) @ ( c_2Enum_2ESUC @ B ) )
      = ( c_2Earithmetic_2E_2D @ A @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(28,plain,(
    ! [B: tyop_2Enum_2Enum,A: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2E_2D @ ( c_2Enum_2ESUC @ A ) @ ( c_2Enum_2ESUC @ B ) )
      = ( c_2Earithmetic_2E_2D @ A @ B ) ) ),
    inference(cnf,[status(esa)],[27])).

thf(29,plain,(
    ! [B: tyop_2Enum_2Enum,A: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2E_2D @ ( c_2Enum_2ESUC @ A ) @ ( c_2Enum_2ESUC @ B ) )
      = ( c_2Earithmetic_2E_2D @ A @ B ) ) ),
    inference(lifteq,[status(thm)],[28])).

thf(163,plain,
    ( ( ( c_2Eprim__rec_2E_3C @ ( c_2Enum_2ESUC @ sk1 ) @ ( c_2Enum_2ESUC @ sk2 ) )
     != ( c_2Eprim__rec_2E_3C @ sk1 @ sk2 ) )
    | ( ( c_2Earithmetic_2E_2D @ sk2 @ sk1 )
     != ( c_2Earithmetic_2E_2D @ sk2 @ sk1 ) )
    | ( ( c_2Earithmetic_2E_2D @ sk1 @ sk2 )
     != ( c_2Earithmetic_2E_2D @ sk1 @ sk2 ) ) ),
    inference(rewrite,[status(thm)],[97,29])).

thf(164,plain,(
    ( c_2Eprim__rec_2E_3C @ ( c_2Enum_2ESUC @ sk1 ) @ ( c_2Enum_2ESUC @ sk2 ) )
 != ( c_2Eprim__rec_2E_3C @ sk1 @ sk2 ) ),
    inference(simp,[status(thm)],[163])).

thf(8,axiom,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( c_2Eprim__rec_2E_3C @ ( c_2Enum_2ESUC @ A ) @ ( c_2Enum_2ESUC @ B ) )
      = ( c_2Eprim__rec_2E_3C @ A @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Earithmetic_2ELESS__MONO__EQ)).

thf(30,plain,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( c_2Eprim__rec_2E_3C @ ( c_2Enum_2ESUC @ A ) @ ( c_2Enum_2ESUC @ B ) )
      = ( c_2Eprim__rec_2E_3C @ A @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(31,plain,(
    ! [B: tyop_2Enum_2Enum,A: tyop_2Enum_2Enum] :
      ( ( c_2Eprim__rec_2E_3C @ ( c_2Enum_2ESUC @ A ) @ ( c_2Enum_2ESUC @ B ) )
      = ( c_2Eprim__rec_2E_3C @ A @ B ) ) ),
    inference(cnf,[status(esa)],[30])).

thf(32,plain,(
    ! [B: tyop_2Enum_2Enum,A: tyop_2Enum_2Enum] :
      ( ( c_2Eprim__rec_2E_3C @ ( c_2Enum_2ESUC @ A ) @ ( c_2Enum_2ESUC @ B ) )
      = ( c_2Eprim__rec_2E_3C @ A @ B ) ) ),
    inference(lifteq,[status(thm)],[31])).

thf(198,plain,(
    ( c_2Eprim__rec_2E_3C @ sk1 @ sk2 )
 != ( c_2Eprim__rec_2E_3C @ sk1 @ sk2 ) ),
    inference(rewrite,[status(thm)],[164,32])).

thf(199,plain,(
    $false ),
    inference(simp,[status(thm)],[198])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.00/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.11/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.11/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.11/0.13  % CPULimit   : 300
% 0.11/0.13  % DateTime   : Tue Jul 30 15:43:15 EDT 2019
% 0.11/0.13  % CPUTime    : 
% 2.54/1.20  % [INFO] 	 Running in sequential loop mode. 
% 2.93/1.38  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.14/1.44  % [INFO] 	 iprover registered as external prover. 
% 3.14/1.44  % [INFO] 	 e registered as external prover. 
% 3.14/1.44  % [INFO] 	 cvc4 registered as external prover. 
% 3.14/1.45  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.42/1.49  % [INFO] 	 Found a conjecture and 13 axioms. Running axiom selection ... 
% 3.56/1.53  % [INFO] 	 Axiom selection finished. Selected 13 axioms (removed 0 axioms). 
% 3.56/1.56  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.26/2.56  % [INFO] 	 Killing All external provers ... 
% 7.26/2.56  % Time passed: 2288ms
% 7.26/2.56  % Effective reasoning time: 1349ms
% 7.26/2.56  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.26/2.56  % Axioms used in derivation (3): thm_2Earithmetic_2EABS__DIFF__def, thm_2Earithmetic_2ESUB__MONO__EQ, thm_2Earithmetic_2ELESS__MONO__EQ
% 7.26/2.56  % No. of inferences in proof: 23
% 7.26/2.56  % No. of processed clauses: 20
% 7.26/2.56  % No. of generated clauses: 57
% 7.26/2.56  % No. of forward subsumed clauses: 4
% 7.26/2.56  % No. of backward subsumed clauses: 0
% 7.26/2.56  % No. of ground rewrite rules in store: 15
% 7.26/2.56  % No. of non-ground rewrite rules in store: 4
% 7.26/2.56  % No. of positive (non-rewrite) units in store: 0
% 7.26/2.56  % No. of negative (non-rewrite) units in store: 0
% 7.26/2.56  % No. of choice functions detected: 0
% 7.26/2.56  % No. of choice instantiations: 0
% 7.26/2.56  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2288 ms resp. 1349 ms w/o parsing
% 7.26/2.58  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.26/2.58  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.26/2.58  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 7.26/2.58  thf(c_2Earithmetic_2E_2D_type, type, c_2Earithmetic_2E_2D: (tyop_2Enum_2Enum > (tyop_2Enum_2Enum > tyop_2Enum_2Enum))).
% 7.26/2.58  thf(c_2Eprim__rec_2E_3C_type, type, c_2Eprim__rec_2E_3C: (tyop_2Enum_2Enum > (tyop_2Enum_2Enum > $o))).
% 7.26/2.58  thf(c_2Earithmetic_2EABS__DIFF_type, type, c_2Earithmetic_2EABS__DIFF: (tyop_2Enum_2Enum > (tyop_2Enum_2Enum > tyop_2Enum_2Enum))).
% 7.26/2.58  thf(c_2Ebool_2ECOND_type, type, c_2Ebool_2ECOND: !>[TA: $tType]: ($o > (TA > (TA > TA)))).
% 7.26/2.58  thf(c_2Enum_2ESUC_type, type, c_2Enum_2ESUC: (tyop_2Enum_2Enum > tyop_2Enum_2Enum)).
% 7.26/2.58  thf(sk1_type, type, sk1: tyop_2Enum_2Enum).
% 7.26/2.58  thf(sk2_type, type, sk2: tyop_2Enum_2Enum).
% 7.26/2.58  thf(1,conjecture,((! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((c_2Earithmetic_2EABS__DIFF @ (c_2Enum_2ESUC @ A) @ (c_2Enum_2ESUC @ B)) = (c_2Earithmetic_2EABS__DIFF @ A @ B)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Earithmetic_2EABS__DIFF__SUC)).
% 7.26/2.58  thf(2,negated_conjecture,((~ (! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((c_2Earithmetic_2EABS__DIFF @ (c_2Enum_2ESUC @ A) @ (c_2Enum_2ESUC @ B)) = (c_2Earithmetic_2EABS__DIFF @ A @ B))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.26/2.58  thf(16,plain,((~ (! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((c_2Earithmetic_2EABS__DIFF @ (c_2Enum_2ESUC @ A) @ (c_2Enum_2ESUC @ B)) = (c_2Earithmetic_2EABS__DIFF @ A @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.26/2.58  thf(17,plain,((~ ((c_2Earithmetic_2EABS__DIFF @ (c_2Enum_2ESUC @ sk1) @ (c_2Enum_2ESUC @ sk2)) = (c_2Earithmetic_2EABS__DIFF @ sk1 @ sk2)))),inference(cnf,[status(esa)],[16])).
% 7.26/2.58  thf(18,plain,(((c_2Earithmetic_2EABS__DIFF @ (c_2Enum_2ESUC @ sk1) @ (c_2Enum_2ESUC @ sk2)) != (c_2Earithmetic_2EABS__DIFF @ sk1 @ sk2))),inference(lifteq,[status(thm)],[17])).
% 7.26/2.58  thf(6,axiom,((! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((c_2Earithmetic_2EABS__DIFF @ A @ B) = (c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ (c_2Eprim__rec_2E_3C @ A @ B) @ (c_2Earithmetic_2E_2D @ B @ A) @ (c_2Earithmetic_2E_2D @ A @ B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Earithmetic_2EABS__DIFF__def)).
% 7.26/2.58  thf(24,plain,((! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((c_2Earithmetic_2EABS__DIFF @ A @ B) = (c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ (c_2Eprim__rec_2E_3C @ A @ B) @ (c_2Earithmetic_2E_2D @ B @ A) @ (c_2Earithmetic_2E_2D @ A @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 7.26/2.58  thf(25,plain,(! [B:tyop_2Enum_2Enum,A:tyop_2Enum_2Enum] : (((c_2Earithmetic_2EABS__DIFF @ A @ B) = (c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ (c_2Eprim__rec_2E_3C @ A @ B) @ (c_2Earithmetic_2E_2D @ B @ A) @ (c_2Earithmetic_2E_2D @ A @ B))))),inference(cnf,[status(esa)],[24])).
% 7.26/2.58  thf(26,plain,(! [B:tyop_2Enum_2Enum,A:tyop_2Enum_2Enum] : (((c_2Earithmetic_2EABS__DIFF @ A @ B) = (c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ (c_2Eprim__rec_2E_3C @ A @ B) @ (c_2Earithmetic_2E_2D @ B @ A) @ (c_2Earithmetic_2E_2D @ A @ B))))),inference(lifteq,[status(thm)],[25])).
% 7.26/2.58  thf(81,plain,(((c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ (c_2Eprim__rec_2E_3C @ (c_2Enum_2ESUC @ sk1) @ (c_2Enum_2ESUC @ sk2)) @ (c_2Earithmetic_2E_2D @ (c_2Enum_2ESUC @ sk2) @ (c_2Enum_2ESUC @ sk1)) @ (c_2Earithmetic_2E_2D @ (c_2Enum_2ESUC @ sk1) @ (c_2Enum_2ESUC @ sk2))) != (c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ (c_2Eprim__rec_2E_3C @ sk1 @ sk2) @ (c_2Earithmetic_2E_2D @ sk2 @ sk1) @ (c_2Earithmetic_2E_2D @ sk1 @ sk2)))),inference(rewrite,[status(thm)],[18,26])).
% 7.26/2.58  thf(97,plain,(((c_2Eprim__rec_2E_3C @ (c_2Enum_2ESUC @ sk1) @ (c_2Enum_2ESUC @ sk2)) != (c_2Eprim__rec_2E_3C @ sk1 @ sk2)) | ((c_2Earithmetic_2E_2D @ (c_2Enum_2ESUC @ sk2) @ (c_2Enum_2ESUC @ sk1)) != (c_2Earithmetic_2E_2D @ sk2 @ sk1)) | ((c_2Earithmetic_2E_2D @ (c_2Enum_2ESUC @ sk1) @ (c_2Enum_2ESUC @ sk2)) != (c_2Earithmetic_2E_2D @ sk1 @ sk2))),inference(simp,[status(thm)],[81])).
% 7.26/2.58  thf(7,axiom,((! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_2D @ (c_2Enum_2ESUC @ A) @ (c_2Enum_2ESUC @ B)) = (c_2Earithmetic_2E_2D @ A @ B)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Earithmetic_2ESUB__MONO__EQ)).
% 7.26/2.58  thf(27,plain,((! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_2D @ (c_2Enum_2ESUC @ A) @ (c_2Enum_2ESUC @ B)) = (c_2Earithmetic_2E_2D @ A @ B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 7.26/2.58  thf(28,plain,(! [B:tyop_2Enum_2Enum,A:tyop_2Enum_2Enum] : (((c_2Earithmetic_2E_2D @ (c_2Enum_2ESUC @ A) @ (c_2Enum_2ESUC @ B)) = (c_2Earithmetic_2E_2D @ A @ B)))),inference(cnf,[status(esa)],[27])).
% 7.26/2.58  thf(29,plain,(! [B:tyop_2Enum_2Enum,A:tyop_2Enum_2Enum] : (((c_2Earithmetic_2E_2D @ (c_2Enum_2ESUC @ A) @ (c_2Enum_2ESUC @ B)) = (c_2Earithmetic_2E_2D @ A @ B)))),inference(lifteq,[status(thm)],[28])).
% 7.26/2.58  thf(163,plain,(((c_2Eprim__rec_2E_3C @ (c_2Enum_2ESUC @ sk1) @ (c_2Enum_2ESUC @ sk2)) != (c_2Eprim__rec_2E_3C @ sk1 @ sk2)) | ((c_2Earithmetic_2E_2D @ sk2 @ sk1) != (c_2Earithmetic_2E_2D @ sk2 @ sk1)) | ((c_2Earithmetic_2E_2D @ sk1 @ sk2) != (c_2Earithmetic_2E_2D @ sk1 @ sk2))),inference(rewrite,[status(thm)],[97,29])).
% 7.26/2.58  thf(164,plain,(((c_2Eprim__rec_2E_3C @ (c_2Enum_2ESUC @ sk1) @ (c_2Enum_2ESUC @ sk2)) != (c_2Eprim__rec_2E_3C @ sk1 @ sk2))),inference(simp,[status(thm)],[163])).
% 7.26/2.58  thf(8,axiom,((! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((c_2Eprim__rec_2E_3C @ (c_2Enum_2ESUC @ A) @ (c_2Enum_2ESUC @ B)) = (c_2Eprim__rec_2E_3C @ A @ B)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Earithmetic_2ELESS__MONO__EQ)).
% 7.26/2.58  thf(30,plain,((! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((c_2Eprim__rec_2E_3C @ (c_2Enum_2ESUC @ A) @ (c_2Enum_2ESUC @ B)) = (c_2Eprim__rec_2E_3C @ A @ B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 7.26/2.58  thf(31,plain,(! [B:tyop_2Enum_2Enum,A:tyop_2Enum_2Enum] : (((c_2Eprim__rec_2E_3C @ (c_2Enum_2ESUC @ A) @ (c_2Enum_2ESUC @ B)) = (c_2Eprim__rec_2E_3C @ A @ B)))),inference(cnf,[status(esa)],[30])).
% 7.26/2.58  thf(32,plain,(! [B:tyop_2Enum_2Enum,A:tyop_2Enum_2Enum] : (((c_2Eprim__rec_2E_3C @ (c_2Enum_2ESUC @ A) @ (c_2Enum_2ESUC @ B)) = (c_2Eprim__rec_2E_3C @ A @ B)))),inference(lifteq,[status(thm)],[31])).
% 7.26/2.58  thf(198,plain,(((c_2Eprim__rec_2E_3C @ sk1 @ sk2) != (c_2Eprim__rec_2E_3C @ sk1 @ sk2))),inference(rewrite,[status(thm)],[164,32])).
% 7.26/2.58  thf(199,plain,($false),inference(simp,[status(thm)],[198])).
% 7.26/2.58  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.26/2.58  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
