%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:37:00 EDT 2019

% Result     : Theorem 6.24s
% Output     : CNFRefutation 6.24s
% Verified   : 
% Statistics : Number of formulae       :   20 (  25 expanded)
%              Number of leaves         :   11 (  13 expanded)
%              Depth                    :    5
%              Number of atoms          :  107 ( 138 expanded)
%              Number of equality atoms :   15 (  18 expanded)
%              Maximal formula depth    :   10 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Epred__set_2EEMPTY_type,type,(
    c_2Epred__set_2EEMPTY: 
      !>[TA: $tType] :
        ( TA > $o ) )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Epred__set_2EINSERT_type,type,(
    c_2Epred__set_2EINSERT: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > TA > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: skt1 )).

thf(sk2_type,type,(
    sk2: skt1 > $o )).

thf(5,axiom,(
    ! [TA: $tType,A: TA,B: TA,C: TA > $o] :
      ( ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EINSERT @ TA @ B @ C ) )
      = ( ( A = B )
        | ( c_2Ebool_2EIN @ TA @ A @ C ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__INSERT)).

thf(14,plain,(
    ! [TA: $tType,A: TA,B: TA,C: TA > $o] :
      ( ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EINSERT @ TA @ B @ C ) )
      = ( ( A = B )
        | ( c_2Ebool_2EIN @ TA @ A @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(1,conjecture,(
    ! [TA: $tType,A: TA,B: TA > $o] :
      ( ( c_2Epred__set_2EINSERT @ TA @ A @ B )
     != ( c_2Epred__set_2EEMPTY @ TA ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2ENOT__INSERT__EMPTY)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: TA,B: TA > $o] :
        ( ( c_2Epred__set_2EINSERT @ TA @ A @ B )
       != ( c_2Epred__set_2EEMPTY @ TA ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(6,plain,(
    ~ ! [TA: $tType,A: TA,B: TA > $o] :
        ( ( c_2Epred__set_2EINSERT @ TA @ A @ B )
       != ( c_2Epred__set_2EEMPTY @ TA ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( A = B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
            = ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EEXTENSION)).

thf(9,plain,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( A = B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
            = ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(4,axiom,(
    ! [TA: $tType,A: TA] :
      ~ ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EEMPTY @ TA ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2ENOT__IN__EMPTY)).

thf(12,plain,(
    ! [TA: $tType,A: TA] :
      ~ ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EEMPTY @ TA ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(13,plain,(
    ! [TA: $tType,A: TA] :
      ~ ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EEMPTY @ TA ) ) ),
    inference(cnf,[status(esa)],[12])).

thf(7,plain,
    ( ( c_2Epred__set_2EINSERT @ skt1 @ sk1 @ sk2 )
    = ( c_2Epred__set_2EEMPTY @ skt1 ) ),
    inference(cnf,[status(esa)],[6])).

thf(8,plain,
    ( ( c_2Epred__set_2EINSERT @ skt1 @ sk1 @ sk2 )
    = ( c_2Epred__set_2EEMPTY @ skt1 ) ),
    inference(lifteq,[status(thm)],[7])).

thf(24,plain,(
    $false ),
    inference(iprover,[status(thm)],[14,6,9,13,12,8])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.03/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.03/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.03/0.13  % CPULimit   : 300
% 0.03/0.13  % DateTime   : Tue Jul 30 16:17:58 EDT 2019
% 0.03/0.13  % CPUTime    : 
% 2.97/1.26  % [INFO] 	 Running in sequential loop mode. 
% 3.44/1.44  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.95/1.50  % [INFO] 	 iprover registered as external prover. 
% 3.95/1.50  % [INFO] 	 e registered as external prover. 
% 3.95/1.50  % [INFO] 	 cvc4 registered as external prover. 
% 3.95/1.51  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.28/1.55  % [INFO] 	 Found a conjecture and 17 axioms. Running axiom selection ... 
% 4.28/1.60  % [INFO] 	 Axiom selection finished. Selected 3 axioms (removed 14 axioms). 
% 4.28/1.62  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.24/2.20  % [INFO] 	 Killing All external provers ... 
% 6.24/2.21  % Time passed: 1940ms
% 6.24/2.21  % Effective reasoning time: 941ms
% 6.24/2.21  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.24/2.21  % Axioms used in derivation (3): thm_2Epred__set_2EIN__INSERT, thm_2Epred__set_2EEXTENSION, thm_2Epred__set_2ENOT__IN__EMPTY
% 6.24/2.21  % No. of inferences in proof: 13
% 6.24/2.21  % No. of processed clauses: 2
% 6.24/2.21  % No. of generated clauses: 1
% 6.24/2.21  % No. of forward subsumed clauses: 0
% 6.24/2.21  % No. of backward subsumed clauses: 0
% 6.24/2.21  % No. of ground rewrite rules in store: 0
% 6.24/2.21  % No. of non-ground rewrite rules in store: 2
% 6.24/2.21  % No. of positive (non-rewrite) units in store: 0
% 6.24/2.21  % No. of negative (non-rewrite) units in store: 0
% 6.24/2.21  % No. of choice functions detected: 0
% 6.24/2.21  % No. of choice instantiations: 0
% 6.24/2.21  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 1940 ms resp. 941 ms w/o parsing
% 6.24/2.23  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.24/2.23  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.24/2.23  thf(c_2Epred__set_2EEMPTY_type, type, c_2Epred__set_2EEMPTY: !>[TA: $tType]: (TA > $o)).
% 6.24/2.23  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 6.24/2.23  thf(c_2Epred__set_2EINSERT_type, type, c_2Epred__set_2EINSERT: !>[TA: $tType]: (TA > ((TA > $o) > (TA > $o)))).
% 6.24/2.23  thf(skt1_type, type, skt1: $tType).
% 6.24/2.23  thf(sk1_type, type, sk1: skt1).
% 6.24/2.23  thf(sk2_type, type, sk2: (skt1 > $o)).
% 6.24/2.23  thf(5,axiom,((! [TA: $tType]: (! [A:TA,B:TA,C:(TA > $o)]: ((c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EINSERT @ TA @ B @ C)) = ((A = B) | (c_2Ebool_2EIN @ TA @ A @ C)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__INSERT)).
% 6.24/2.23  thf(14,plain,((! [TA: $tType]: (! [A:TA,B:TA,C:(TA > $o)]: ((c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EINSERT @ TA @ B @ C)) = ((A = B) | (c_2Ebool_2EIN @ TA @ A @ (C))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 6.24/2.23  thf(1,conjecture,((! [TA: $tType]: (! [A:TA,B:(TA > $o)]: ~ ((c_2Epred__set_2EINSERT @ TA @ A @ B) = (c_2Epred__set_2EEMPTY @ TA))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2ENOT__INSERT__EMPTY)).
% 6.24/2.23  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:TA,B:(TA > $o)]: ~ ((c_2Epred__set_2EINSERT @ TA @ A @ B) = (c_2Epred__set_2EEMPTY @ TA)))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.24/2.23  thf(6,plain,((~ (! [TA: $tType]: (! [A:TA,B:(TA > $o)]: ~ ((c_2Epred__set_2EINSERT @ TA @ A @ B) = (c_2Epred__set_2EEMPTY @ TA)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.24/2.23  thf(3,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((A = B) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ A) = (c_2Ebool_2EIN @ TA @ C @ B))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EEXTENSION)).
% 6.24/2.23  thf(9,plain,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: (((A) = (B)) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (A)) = (c_2Ebool_2EIN @ TA @ C @ (B)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.24/2.23  thf(4,axiom,((! [TA: $tType]: (! [A:TA]: ~ (c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EEMPTY @ TA))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2ENOT__IN__EMPTY)).
% 6.24/2.23  thf(12,plain,((! [TA: $tType]: (! [A:TA]: ~ (c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EEMPTY @ TA))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 6.24/2.23  thf(13,plain,(! [TA:$tType,A:TA] : ((~ (c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EEMPTY @ TA))))),inference(cnf,[status(esa)],[12])).
% 6.24/2.23  thf(7,plain,(((c_2Epred__set_2EINSERT @ skt1 @ sk1 @ sk2) = (c_2Epred__set_2EEMPTY @ skt1))),inference(cnf,[status(esa)],[6])).
% 6.24/2.23  thf(8,plain,(((c_2Epred__set_2EINSERT @ skt1 @ sk1 @ sk2) = (c_2Epred__set_2EEMPTY @ skt1))),inference(lifteq,[status(thm)],[7])).
% 6.24/2.23  thf(24,plain,($false),inference(iprover,[status(thm)],[14,6,9,13,12,8])).
% 6.24/2.23  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.24/2.23  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
