%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:37:04 EDT 2019

% Result     : Theorem 7.14s
% Output     : CNFRefutation 7.14s
% Verified   : 
% Statistics : Number of formulae       :   21 (  24 expanded)
%              Number of leaves         :   13 (  14 expanded)
%              Depth                    :    5
%              Number of atoms          :  181 ( 235 expanded)
%              Number of equality atoms :   19 (  22 expanded)
%              Maximal formula depth    :   13 (   7 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Epred__set_2EIMAGE_type,type,(
    c_2Epred__set_2EIMAGE: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > TB ) > ( TA > $o ) > TB > $o ) )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Epred__set_2EINSERT_type,type,(
    c_2Epred__set_2EINSERT: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > TA > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(skt2_type,type,(
    skt2: $tType )).

thf(sk1_type,type,(
    sk1: skt1 > skt2 )).

thf(sk2_type,type,(
    sk2: skt1 )).

thf(sk3_type,type,(
    sk3: skt1 > $o )).

thf(1,conjecture,(
    ! [TA: $tType,TB: $tType,A: TA > TB,B: TA,C: TA > $o] :
      ( ( c_2Epred__set_2EIMAGE @ TA @ TB @ A @ ( c_2Epred__set_2EINSERT @ TA @ B @ C ) )
      = ( c_2Epred__set_2EINSERT @ TB @ ( A @ B ) @ ( c_2Epred__set_2EIMAGE @ TA @ TB @ A @ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EIMAGE__INSERT)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,TB: $tType,A: TA > TB,B: TA,C: TA > $o] :
        ( ( c_2Epred__set_2EIMAGE @ TA @ TB @ A @ ( c_2Epred__set_2EINSERT @ TA @ B @ C ) )
        = ( c_2Epred__set_2EINSERT @ TB @ ( A @ B ) @ ( c_2Epred__set_2EIMAGE @ TA @ TB @ A @ C ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(6,plain,(
    ~ ! [TA: $tType,TB: $tType,A: TA > TB,B: TA,C: TA > $o] :
        ( ( c_2Epred__set_2EIMAGE @ TA @ TB @ A @ ( c_2Epred__set_2EINSERT @ TA @ B @ C ) )
        = ( c_2Epred__set_2EINSERT @ TB @ ( A @ B ) @ ( c_2Epred__set_2EIMAGE @ TA @ TB @ A @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( A = B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
            = ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EEXTENSION)).

thf(9,plain,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( A = B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
            = ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(4,axiom,(
    ! [TA: $tType,A: TA,B: TA,C: TA > $o] :
      ( ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EINSERT @ TA @ B @ C ) )
      = ( ( A = B )
        | ( c_2Ebool_2EIN @ TA @ A @ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__INSERT)).

thf(12,plain,(
    ! [TA: $tType,A: TA,B: TA,C: TA > $o] :
      ( ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EINSERT @ TA @ B @ C ) )
      = ( ( A = B )
        | ( c_2Ebool_2EIN @ TA @ A @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(7,plain,(
    ( c_2Epred__set_2EIMAGE @ skt1 @ skt2 @ sk1 @ ( c_2Epred__set_2EINSERT @ skt1 @ sk2 @ sk3 ) )
 != ( c_2Epred__set_2EINSERT @ skt2 @ ( sk1 @ sk2 ) @ ( c_2Epred__set_2EIMAGE @ skt1 @ skt2 @ sk1 @ sk3 ) ) ),
    inference(cnf,[status(esa)],[6])).

thf(8,plain,(
    ( c_2Epred__set_2EINSERT @ skt2 @ ( sk1 @ sk2 ) @ ( c_2Epred__set_2EIMAGE @ skt1 @ skt2 @ sk1 @ sk3 ) )
 != ( c_2Epred__set_2EIMAGE @ skt1 @ skt2 @ sk1 @ ( c_2Epred__set_2EINSERT @ skt1 @ sk2 @ sk3 ) ) ),
    inference(lifteq,[status(thm)],[7])).

thf(5,axiom,(
    ! [TA: $tType,TB: $tType,A: TB,B: TA > $o,C: TA > TB] :
      ( ( c_2Ebool_2EIN @ TB @ A @ ( c_2Epred__set_2EIMAGE @ TA @ TB @ C @ B ) )
      = ( ? [D: TA] :
            ( ( A
              = ( C @ D ) )
            & ( c_2Ebool_2EIN @ TA @ D @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__IMAGE)).

thf(15,plain,(
    ! [TA: $tType,TB: $tType,A: TB,B: TA > $o,C: TA > TB] :
      ( ( c_2Ebool_2EIN @ TB @ A @ ( c_2Epred__set_2EIMAGE @ TA @ TB @ C @ B ) )
      = ( ? [D: TA] :
            ( ( A
              = ( C @ D ) )
            & ( c_2Ebool_2EIN @ TA @ D @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(39,plain,(
    $false ),
    inference(cvc4,[status(thm)],[6,9,12,8,15])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.07/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.07/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.07/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.07/0.14  % CPULimit   : 300
% 0.07/0.14  % DateTime   : Tue Jul 30 16:23:26 EDT 2019
% 0.07/0.14  % CPUTime    : 
% 2.86/1.23  % [INFO] 	 Running in sequential loop mode. 
% 3.40/1.42  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.80/1.49  % [INFO] 	 iprover registered as external prover. 
% 3.80/1.49  % [INFO] 	 e registered as external prover. 
% 3.80/1.49  % [INFO] 	 cvc4 registered as external prover. 
% 3.95/1.49  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.14/1.55  % [INFO] 	 Found a conjecture and 16 axioms. Running axiom selection ... 
% 4.14/1.59  % [INFO] 	 Axiom selection finished. Selected 3 axioms (removed 13 axioms). 
% 4.42/1.61  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.64/2.38  % [INFO] 	 Killing All external provers ... 
% 7.14/2.38  % Time passed: 2107ms
% 7.14/2.38  % Effective reasoning time: 1143ms
% 7.14/2.38  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.14/2.38  % Axioms used in derivation (3): thm_2Epred__set_2EEXTENSION, thm_2Epred__set_2EIN__INSERT, thm_2Epred__set_2EIN__IMAGE
% 7.14/2.38  % No. of inferences in proof: 12
% 7.14/2.38  % No. of processed clauses: 5
% 7.14/2.38  % No. of generated clauses: 7
% 7.14/2.38  % No. of forward subsumed clauses: 0
% 7.14/2.38  % No. of backward subsumed clauses: 0
% 7.14/2.38  % No. of ground rewrite rules in store: 0
% 7.14/2.38  % No. of non-ground rewrite rules in store: 0
% 7.14/2.38  % No. of positive (non-rewrite) units in store: 2
% 7.14/2.38  % No. of negative (non-rewrite) units in store: 2
% 7.14/2.38  % No. of choice functions detected: 0
% 7.14/2.38  % No. of choice instantiations: 0
% 7.14/2.38  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2107 ms resp. 1143 ms w/o parsing
% 7.14/2.41  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.14/2.41  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.14/2.41  thf(c_2Epred__set_2EIMAGE_type, type, c_2Epred__set_2EIMAGE: !>[TA: $tType,TB: $tType]: ((TA > TB) > ((TA > $o) > (TB > $o)))).
% 7.14/2.41  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 7.14/2.41  thf(c_2Epred__set_2EINSERT_type, type, c_2Epred__set_2EINSERT: !>[TA: $tType]: (TA > ((TA > $o) > (TA > $o)))).
% 7.14/2.41  thf(skt1_type, type, skt1: $tType).
% 7.14/2.41  thf(skt2_type, type, skt2: $tType).
% 7.14/2.41  thf(sk1_type, type, sk1: (skt1 > skt2)).
% 7.14/2.41  thf(sk2_type, type, sk2: skt1).
% 7.14/2.41  thf(sk3_type, type, sk3: (skt1 > $o)).
% 7.14/2.41  thf(1,conjecture,((! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:TA,C:(TA > $o)]: ((c_2Epred__set_2EIMAGE @ TA @ TB @ A @ (c_2Epred__set_2EINSERT @ TA @ B @ C)) = (c_2Epred__set_2EINSERT @ TB @ (A @ B) @ (c_2Epred__set_2EIMAGE @ TA @ TB @ A @ C)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EIMAGE__INSERT)).
% 7.14/2.41  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:TA,C:(TA > $o)]: ((c_2Epred__set_2EIMAGE @ TA @ TB @ A @ (c_2Epred__set_2EINSERT @ TA @ B @ C)) = (c_2Epred__set_2EINSERT @ TB @ (A @ B) @ (c_2Epred__set_2EIMAGE @ TA @ TB @ A @ C))))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.14/2.41  thf(6,plain,((~ (! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:TA,C:(TA > $o)]: ((c_2Epred__set_2EIMAGE @ TA @ TB @ A @ (c_2Epred__set_2EINSERT @ TA @ B @ C)) = (c_2Epred__set_2EINSERT @ TB @ (A @ B) @ (c_2Epred__set_2EIMAGE @ TA @ TB @ A @ C))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.14/2.41  thf(3,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((A = B) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ A) = (c_2Ebool_2EIN @ TA @ C @ B))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EEXTENSION)).
% 7.14/2.41  thf(9,plain,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: (((A) = (B)) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (A)) = (c_2Ebool_2EIN @ TA @ C @ (B)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.14/2.41  thf(4,axiom,((! [TA: $tType]: (! [A:TA,B:TA,C:(TA > $o)]: ((c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EINSERT @ TA @ B @ C)) = ((A = B) | (c_2Ebool_2EIN @ TA @ A @ C)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__INSERT)).
% 7.14/2.41  thf(12,plain,((! [TA: $tType]: (! [A:TA,B:TA,C:(TA > $o)]: ((c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EINSERT @ TA @ B @ C)) = ((A = B) | (c_2Ebool_2EIN @ TA @ A @ (C))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 7.14/2.41  thf(7,plain,((~ ((c_2Epred__set_2EIMAGE @ skt1 @ skt2 @ sk1 @ (c_2Epred__set_2EINSERT @ skt1 @ sk2 @ sk3)) = (c_2Epred__set_2EINSERT @ skt2 @ (sk1 @ sk2) @ (c_2Epred__set_2EIMAGE @ skt1 @ skt2 @ sk1 @ sk3))))),inference(cnf,[status(esa)],[6])).
% 7.14/2.41  thf(8,plain,(((c_2Epred__set_2EINSERT @ skt2 @ (sk1 @ sk2) @ (c_2Epred__set_2EIMAGE @ skt1 @ skt2 @ sk1 @ sk3)) != (c_2Epred__set_2EIMAGE @ skt1 @ skt2 @ sk1 @ (c_2Epred__set_2EINSERT @ skt1 @ sk2 @ sk3)))),inference(lifteq,[status(thm)],[7])).
% 7.14/2.41  thf(5,axiom,((! [TA: $tType,TB: $tType]: (! [A:TB,B:(TA > $o),C:(TA > TB)]: ((c_2Ebool_2EIN @ TB @ A @ (c_2Epred__set_2EIMAGE @ TA @ TB @ C @ B)) = (? [D:TA]: ((A = (C @ D)) & (c_2Ebool_2EIN @ TA @ D @ B))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__IMAGE)).
% 7.14/2.41  thf(15,plain,((! [TA: $tType,TB: $tType]: (! [A:TB,B:(TA > $o),C:(TA > TB)]: ((c_2Ebool_2EIN @ TB @ A @ (c_2Epred__set_2EIMAGE @ TA @ TB @ C @ B)) = (? [D:TA]: ((A = (C @ D)) & (c_2Ebool_2EIN @ TA @ D @ (B)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 7.14/2.41  thf(39,plain,($false),inference(cvc4,[status(thm)],[6,9,12,8,15])).
% 7.14/2.41  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.14/2.41  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
