%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:37:05 EDT 2019

% Result     : Theorem 9.03s
% Output     : CNFRefutation 9.03s
% Verified   : 
% Statistics : Number of formulae       :   16 (  19 expanded)
%              Number of leaves         :   10 (  11 expanded)
%              Depth                    :    5
%              Number of atoms          :  230 ( 329 expanded)
%              Number of equality atoms :   26 (  38 expanded)
%              Maximal formula depth    :   16 (   8 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Epred__set_2EINJ_type,type,(
    c_2Epred__set_2EINJ: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > TB ) > ( TA > $o ) > ( TB > $o ) > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(skt2_type,type,(
    skt2: $tType )).

thf(sk1_type,type,(
    sk1: skt2 > $o )).

thf(sk2_type,type,(
    sk2: skt1 > $o )).

thf(sk3_type,type,(
    sk3: skt1 > skt2 )).

thf(1,conjecture,(
    ! [TA: $tType,TB: $tType,A: TB > $o,B: TA > $o,C: TA > TB] :
      ( ( c_2Epred__set_2EINJ @ TA @ TB @ C @ B @ A )
      = ( ! [D: TA] :
            ( ( c_2Ebool_2EIN @ TA @ D @ B )
           => ( c_2Ebool_2EIN @ TB @ ( C @ D ) @ A ) )
        & ! [D: TA,E: TA] :
            ( ( ( c_2Ebool_2EIN @ TA @ D @ B )
              & ( c_2Ebool_2EIN @ TA @ E @ B ) )
           => ( ( ( C @ D )
                = ( C @ E ) )
              = ( D = E ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EINJ__IFF)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,TB: $tType,A: TB > $o,B: TA > $o,C: TA > TB] :
        ( ( c_2Epred__set_2EINJ @ TA @ TB @ C @ B @ A )
        = ( ! [D: TA] :
              ( ( c_2Ebool_2EIN @ TA @ D @ B )
             => ( c_2Ebool_2EIN @ TB @ ( C @ D ) @ A ) )
          & ! [D: TA,E: TA] :
              ( ( ( c_2Ebool_2EIN @ TA @ D @ B )
                & ( c_2Ebool_2EIN @ TA @ E @ B ) )
             => ( ( ( C @ D )
                  = ( C @ E ) )
                = ( D = E ) ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(4,plain,(
    ~ ! [TA: $tType,TB: $tType,A: TB > $o,B: TA > $o,C: TA > TB] :
        ( ( c_2Epred__set_2EINJ @ TA @ TB @ C @ B @ A )
        = ( ! [D: TA] :
              ( ( c_2Ebool_2EIN @ TA @ D @ B )
             => ( c_2Ebool_2EIN @ TB @ ( C @ D ) @ A ) )
          & ! [D: TA,E: TA] :
              ( ( ( c_2Ebool_2EIN @ TA @ D @ B )
                & ( c_2Ebool_2EIN @ TA @ E @ B ) )
             => ( ( ( C @ D )
                  = ( C @ E ) )
                = ( D = E ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > TB,B: TA > $o,C: TB > $o] :
      ( ( c_2Epred__set_2EINJ @ TA @ TB @ A @ B @ C )
      = ( ! [D: TA] :
            ( ( c_2Ebool_2EIN @ TA @ D @ B )
           => ( c_2Ebool_2EIN @ TB @ ( A @ D ) @ C ) )
        & ! [D: TA,E: TA] :
            ( ( ( c_2Ebool_2EIN @ TA @ D @ B )
              & ( c_2Ebool_2EIN @ TA @ E @ B ) )
           => ( ( ( A @ D )
                = ( A @ E ) )
             => ( D = E ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EINJ__DEF)).

thf(7,plain,(
    ! [TA: $tType,TB: $tType,A: TA > TB,B: TA > $o,C: TB > $o] :
      ( ( c_2Epred__set_2EINJ @ TA @ TB @ A @ B @ C )
      = ( ! [D: TA] :
            ( ( c_2Ebool_2EIN @ TA @ D @ B )
           => ( c_2Ebool_2EIN @ TB @ ( A @ D ) @ C ) )
        & ! [D: TA,E: TA] :
            ( ( ( c_2Ebool_2EIN @ TA @ D @ B )
              & ( c_2Ebool_2EIN @ TA @ E @ B ) )
           => ( ( ( A @ D )
                = ( A @ E ) )
             => ( D = E ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(5,plain,(
    ( c_2Epred__set_2EINJ @ skt1 @ skt2 @ sk3 @ sk2 @ sk1 )
 != ( ! [A: skt1] :
        ( ( c_2Ebool_2EIN @ skt1 @ A @ sk2 )
       => ( c_2Ebool_2EIN @ skt2 @ ( sk3 @ A ) @ sk1 ) )
    & ! [A: skt1,B: skt1] :
        ( ( ( c_2Ebool_2EIN @ skt1 @ A @ sk2 )
          & ( c_2Ebool_2EIN @ skt1 @ B @ sk2 ) )
       => ( ( ( sk3 @ A )
            = ( sk3 @ B ) )
          = ( A = B ) ) ) ) ),
    inference(cnf,[status(esa)],[4])).

thf(6,plain,(
    ( ! [A: skt1] :
        ( ( c_2Ebool_2EIN @ skt1 @ A @ sk2 )
       => ( c_2Ebool_2EIN @ skt2 @ ( sk3 @ A ) @ sk1 ) )
    & ! [A: skt1,B: skt1] :
        ( ( ( c_2Ebool_2EIN @ skt1 @ A @ sk2 )
          & ( c_2Ebool_2EIN @ skt1 @ B @ sk2 ) )
       => ( ( ( sk3 @ A )
            = ( sk3 @ B ) )
          = ( A = B ) ) ) )
 != ( c_2Epred__set_2EINJ @ skt1 @ skt2 @ sk3 @ sk2 @ sk1 ) ),
    inference(lifteq,[status(thm)],[5])).

thf(44,plain,(
    $false ),
    inference(e,[status(thm)],[4,7,6])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.00/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.12/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.12/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.12/0.13  % CPULimit   : 300
% 0.12/0.13  % DateTime   : Tue Jul 30 16:23:44 EDT 2019
% 0.12/0.13  % CPUTime    : 
% 4.20/1.59  % [INFO] 	 Running in sequential loop mode. 
% 4.83/1.76  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 5.20/1.83  % [INFO] 	 iprover registered as external prover. 
% 5.20/1.83  % [INFO] 	 e registered as external prover. 
% 5.20/1.83  % [INFO] 	 cvc4 registered as external prover. 
% 5.20/1.83  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.20/1.89  % [INFO] 	 Found a conjecture and 37 axioms. Running axiom selection ... 
% 5.54/1.94  % [INFO] 	 Axiom selection finished. Selected 1 axioms (removed 36 axioms). 
% 5.54/1.95  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 9.03/2.80  % [INFO] 	 Killing All external provers ... 
% 9.03/2.81  % Time passed: 2543ms
% 9.03/2.81  % Effective reasoning time: 1211ms
% 9.03/2.81  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 9.03/2.81  % Axioms used in derivation (1): thm_2Epred__set_2EINJ__DEF
% 9.03/2.81  % No. of inferences in proof: 8
% 9.03/2.81  % No. of processed clauses: 2
% 9.03/2.81  % No. of generated clauses: 19
% 9.03/2.81  % No. of forward subsumed clauses: 0
% 9.03/2.81  % No. of backward subsumed clauses: 0
% 9.03/2.81  % No. of ground rewrite rules in store: 0
% 9.03/2.81  % No. of non-ground rewrite rules in store: 0
% 9.03/2.81  % No. of positive (non-rewrite) units in store: 1
% 9.03/2.81  % No. of negative (non-rewrite) units in store: 1
% 9.03/2.81  % No. of choice functions detected: 0
% 9.03/2.81  % No. of choice instantiations: 0
% 9.03/2.81  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2543 ms resp. 1211 ms w/o parsing
% 9.03/2.83  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 9.03/2.83  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 9.03/2.83  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 9.03/2.83  thf(c_2Epred__set_2EINJ_type, type, c_2Epred__set_2EINJ: !>[TA: $tType,TB: $tType]: ((TA > TB) > ((TA > $o) > ((TB > $o) > $o)))).
% 9.03/2.83  thf(skt1_type, type, skt1: $tType).
% 9.03/2.83  thf(skt2_type, type, skt2: $tType).
% 9.03/2.83  thf(sk1_type, type, sk1: (skt2 > $o)).
% 9.03/2.83  thf(sk2_type, type, sk2: (skt1 > $o)).
% 9.03/2.83  thf(sk3_type, type, sk3: (skt1 > skt2)).
% 9.03/2.83  thf(1,conjecture,((! [TA: $tType,TB: $tType]: (! [A:(TB > $o),B:(TA > $o),C:(TA > TB)]: ((c_2Epred__set_2EINJ @ TA @ TB @ C @ B @ A) = (! [D:TA]: ((c_2Ebool_2EIN @ TA @ D @ B) => (c_2Ebool_2EIN @ TB @ (C @ D) @ A)) & ! [D:TA,E:TA]: (((c_2Ebool_2EIN @ TA @ D @ B) & (c_2Ebool_2EIN @ TA @ E @ B)) => (((C @ D) = (C @ E)) = (D = E)))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EINJ__IFF)).
% 9.03/2.83  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType]: (! [A:(TB > $o),B:(TA > $o),C:(TA > TB)]: ((c_2Epred__set_2EINJ @ TA @ TB @ C @ B @ A) = (! [D:TA]: ((c_2Ebool_2EIN @ TA @ D @ B) => (c_2Ebool_2EIN @ TB @ (C @ D) @ A)) & ! [D:TA,E:TA]: (((c_2Ebool_2EIN @ TA @ D @ B) & (c_2Ebool_2EIN @ TA @ E @ B)) => (((C @ D) = (C @ E)) = (D = E))))))))),inference(neg_conjecture,[status(cth)],[1])).
% 9.03/2.83  thf(4,plain,((~ (! [TA: $tType,TB: $tType]: (! [A:(TB > $o),B:(TA > $o),C:(TA > TB)]: ((c_2Epred__set_2EINJ @ TA @ TB @ (C) @ (B) @ (A)) = (! [D:TA]: ((c_2Ebool_2EIN @ TA @ D @ (B)) => (c_2Ebool_2EIN @ TB @ (C @ D) @ (A))) & ! [D:TA,E:TA]: (((c_2Ebool_2EIN @ TA @ D @ (B)) & (c_2Ebool_2EIN @ TA @ E @ (B))) => (((C @ D) = (C @ E)) = (D = E))))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 9.03/2.83  thf(3,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:(TA > $o),C:(TB > $o)]: ((c_2Epred__set_2EINJ @ TA @ TB @ A @ B @ C) = (! [D:TA]: ((c_2Ebool_2EIN @ TA @ D @ B) => (c_2Ebool_2EIN @ TB @ (A @ D) @ C)) & ! [D:TA,E:TA]: (((c_2Ebool_2EIN @ TA @ D @ B) & (c_2Ebool_2EIN @ TA @ E @ B)) => (((A @ D) = (A @ E)) => (D = E)))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EINJ__DEF)).
% 9.03/2.83  thf(7,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:(TA > $o),C:(TB > $o)]: ((c_2Epred__set_2EINJ @ TA @ TB @ (A) @ (B) @ (C)) = (! [D:TA]: ((c_2Ebool_2EIN @ TA @ D @ (B)) => (c_2Ebool_2EIN @ TB @ (A @ D) @ (C))) & ! [D:TA,E:TA]: (((c_2Ebool_2EIN @ TA @ D @ (B)) & (c_2Ebool_2EIN @ TA @ E @ (B))) => (((A @ D) = (A @ E)) => (D = E)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 9.03/2.83  thf(5,plain,((~ ((c_2Epred__set_2EINJ @ skt1 @ skt2 @ (sk3) @ (sk2) @ (sk1)) = (! [A:skt1]: ((c_2Ebool_2EIN @ skt1 @ A @ (sk2)) => (c_2Ebool_2EIN @ skt2 @ (sk3 @ A) @ (sk1))) & ! [A:skt1,B:skt1]: (((c_2Ebool_2EIN @ skt1 @ A @ (sk2)) & (c_2Ebool_2EIN @ skt1 @ B @ (sk2))) => (((sk3 @ A) = (sk3 @ B)) = (A = B))))))),inference(cnf,[status(esa)],[4])).
% 9.03/2.83  thf(6,plain,(((! [A:skt1]: ((c_2Ebool_2EIN @ skt1 @ A @ (sk2)) => (c_2Ebool_2EIN @ skt2 @ (sk3 @ A) @ (sk1))) & ! [A:skt1,B:skt1]: (((c_2Ebool_2EIN @ skt1 @ A @ (sk2)) & (c_2Ebool_2EIN @ skt1 @ B @ (sk2))) => (((sk3 @ A) = (sk3 @ B)) = (A = B)))) != (c_2Epred__set_2EINJ @ skt1 @ skt2 @ (sk3) @ (sk2) @ (sk1)))),inference(lifteq,[status(thm)],[5])).
% 9.03/2.83  thf(44,plain,($false),inference(e,[status(thm)],[4,7,6])).
% 9.03/2.83  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 9.03/2.83  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
