%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:37:08 EDT 2019

% Result     : Theorem 7.82s
% Output     : CNFRefutation 7.82s
% Verified   : 
% Statistics : Number of formulae       :   24 (  27 expanded)
%              Number of leaves         :   16 (  17 expanded)
%              Depth                    :    4
%              Number of atoms          :  183 ( 225 expanded)
%              Number of equality atoms :   10 (  10 expanded)
%              Maximal formula depth    :   14 (   8 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(c_2Earithmetic_2EFUNPOW_type,type,(
    c_2Earithmetic_2EFUNPOW: 
      !>[TA: $tType] :
        ( ( TA > TA ) > tyop_2Enum_2Enum > TA > TA ) )).

thf(c_2Epred__set_2EIMAGE_type,type,(
    c_2Epred__set_2EIMAGE: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > TB ) > ( TA > $o ) > TB > $o ) )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Epred__set_2ESUBSET_type,type,(
    c_2Epred__set_2ESUBSET: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > $o ) > $o ) )).

thf(c_2Enum_2ESUC_type,type,(
    c_2Enum_2ESUC: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Epred__set_2Eschroeder__close_type,type,(
    c_2Epred__set_2Eschroeder__close: 
      !>[TA: $tType] :
        ( ( TA > TA ) > ( TA > $o ) > TA > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: skt1 > skt1 )).

thf(sk2_type,type,(
    sk2: skt1 > $o )).

thf(3,axiom,(
    ! [TA: $tType,A: TA > TA,B: tyop_2Enum_2Enum,C: TA] :
      ( ( c_2Earithmetic_2EFUNPOW @ TA @ A @ ( c_2Enum_2ESUC @ B ) @ C )
      = ( A @ ( c_2Earithmetic_2EFUNPOW @ TA @ A @ B @ C ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Earithmetic_2EFUNPOW__SUC)).

thf(9,plain,(
    ! [TA: $tType,A: TA > TA,B: tyop_2Enum_2Enum,C: TA] :
      ( ( c_2Earithmetic_2EFUNPOW @ TA @ A @ ( c_2Enum_2ESUC @ B ) @ C )
      = ( A @ ( c_2Earithmetic_2EFUNPOW @ TA @ A @ B @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(4,axiom,(
    ! [TA: $tType,TB: $tType,A: TB,B: TA > $o,C: TA > TB] :
      ( ( c_2Ebool_2EIN @ TB @ A @ ( c_2Epred__set_2EIMAGE @ TA @ TB @ C @ B ) )
      = ( ? [D: TA] :
            ( ( A
              = ( C @ D ) )
            & ( c_2Ebool_2EIN @ TA @ D @ B ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__IMAGE)).

thf(12,plain,(
    ! [TA: $tType,TB: $tType,A: TB,B: TA > $o,C: TA > TB] :
      ( ( c_2Ebool_2EIN @ TB @ A @ ( c_2Epred__set_2EIMAGE @ TA @ TB @ C @ B ) )
      = ( ? [D: TA] :
            ( ( A
              = ( C @ D ) )
            & ( c_2Ebool_2EIN @ TA @ D @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(1,conjecture,(
    ! [TA: $tType,A: TA > TA,B: TA > $o] :
      ( c_2Epred__set_2ESUBSET @ TA @ ( c_2Epred__set_2EIMAGE @ TA @ TA @ A @ ( c_2Epred__set_2Eschroeder__close @ TA @ A @ B ) ) @ ( c_2Epred__set_2Eschroeder__close @ TA @ A @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2ESCHROEDER__CLOSED)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: TA > TA,B: TA > $o] :
        ( c_2Epred__set_2ESUBSET @ TA @ ( c_2Epred__set_2EIMAGE @ TA @ TA @ A @ ( c_2Epred__set_2Eschroeder__close @ TA @ A @ B ) ) @ ( c_2Epred__set_2Eschroeder__close @ TA @ A @ B ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(7,plain,(
    ~ ! [TA: $tType,A: TA > TA,B: TA > $o] :
        ( c_2Epred__set_2ESUBSET @ TA @ ( c_2Epred__set_2EIMAGE @ TA @ TA @ A @ ( c_2Epred__set_2Eschroeder__close @ TA @ A @ B ) ) @ ( c_2Epred__set_2Eschroeder__close @ TA @ A @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(6,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( c_2Epred__set_2ESUBSET @ TA @ A @ B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
           => ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2ESUBSET__DEF)).

thf(18,plain,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( c_2Epred__set_2ESUBSET @ TA @ A @ B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
           => ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(8,plain,(
    ~ ( c_2Epred__set_2ESUBSET @ skt1 @ ( c_2Epred__set_2EIMAGE @ skt1 @ skt1 @ sk1 @ ( c_2Epred__set_2Eschroeder__close @ skt1 @ sk1 @ sk2 ) ) @ ( c_2Epred__set_2Eschroeder__close @ skt1 @ sk1 @ sk2 ) ) ),
    inference(cnf,[status(esa)],[7])).

thf(5,axiom,(
    ! [TA: $tType,A: TA,B: TA > TA,C: TA > $o] :
      ( ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2Eschroeder__close @ TA @ B @ C ) )
      = ( ? [D: tyop_2Enum_2Enum] :
            ( c_2Ebool_2EIN @ TA @ A @ ( c_2Earithmetic_2EFUNPOW @ ( TA > $o ) @ ( c_2Epred__set_2EIMAGE @ TA @ TA @ B ) @ D @ C ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2ESCHROEDER__CLOSE)).

thf(15,plain,(
    ! [TA: $tType,A: TA,B: TA > TA,C: TA > $o] :
      ( ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2Eschroeder__close @ TA @ B @ C ) )
      = ( ? [D: tyop_2Enum_2Enum] :
            ( c_2Ebool_2EIN @ TA @ A @ ( c_2Earithmetic_2EFUNPOW @ ( TA > $o ) @ ( c_2Epred__set_2EIMAGE @ TA @ TA @ B ) @ D @ C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(30,plain,(
    $false ),
    inference(cvc4,[status(thm)],[9,12,7,18,8,15])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.00/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.12/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.12/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.12/0.13  % CPULimit   : 300
% 0.12/0.13  % DateTime   : Tue Jul 30 16:29:27 EDT 2019
% 0.12/0.13  % CPUTime    : 
% 4.42/1.64  % [INFO] 	 Running in sequential loop mode. 
% 5.20/1.82  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 5.20/1.88  % [INFO] 	 iprover registered as external prover. 
% 5.20/1.88  % [INFO] 	 e registered as external prover. 
% 5.20/1.89  % [INFO] 	 cvc4 registered as external prover. 
% 5.20/1.89  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.46/1.95  % [INFO] 	 Found a conjecture and 42 axioms. Running axiom selection ... 
% 5.64/1.99  % [INFO] 	 Axiom selection finished. Selected 4 axioms (removed 38 axioms). 
% 5.64/2.02  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.82/2.74  % [INFO] 	 Killing All external provers ... 
% 7.82/2.74  % Time passed: 2480ms
% 7.82/2.74  % Effective reasoning time: 1095ms
% 7.82/2.74  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.82/2.74  % Axioms used in derivation (4): thm_2Earithmetic_2EFUNPOW__SUC, thm_2Epred__set_2EIN__IMAGE, thm_2Epred__set_2ESUBSET__DEF, thm_2Epred__set_2ESCHROEDER__CLOSE
% 7.82/2.74  % No. of inferences in proof: 13
% 7.82/2.74  % No. of processed clauses: 2
% 7.82/2.74  % No. of generated clauses: 5
% 7.82/2.74  % No. of forward subsumed clauses: 0
% 7.82/2.74  % No. of backward subsumed clauses: 0
% 7.82/2.74  % No. of ground rewrite rules in store: 1
% 7.82/2.74  % No. of non-ground rewrite rules in store: 0
% 7.82/2.74  % No. of positive (non-rewrite) units in store: 1
% 7.82/2.74  % No. of negative (non-rewrite) units in store: 0
% 7.82/2.74  % No. of choice functions detected: 0
% 7.82/2.74  % No. of choice instantiations: 0
% 7.82/2.75  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2480 ms resp. 1095 ms w/o parsing
% 7.82/2.77  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.82/2.77  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.82/2.77  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 7.82/2.77  thf(c_2Earithmetic_2EFUNPOW_type, type, c_2Earithmetic_2EFUNPOW: !>[TA: $tType]: ((TA > TA) > (tyop_2Enum_2Enum > (TA > TA)))).
% 7.82/2.77  thf(c_2Epred__set_2EIMAGE_type, type, c_2Epred__set_2EIMAGE: !>[TA: $tType,TB: $tType]: ((TA > TB) > ((TA > $o) > (TB > $o)))).
% 7.82/2.77  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 7.82/2.77  thf(c_2Epred__set_2ESUBSET_type, type, c_2Epred__set_2ESUBSET: !>[TA: $tType]: ((TA > $o) > ((TA > $o) > $o))).
% 7.82/2.77  thf(c_2Enum_2ESUC_type, type, c_2Enum_2ESUC: (tyop_2Enum_2Enum > tyop_2Enum_2Enum)).
% 7.82/2.77  thf(c_2Epred__set_2Eschroeder__close_type, type, c_2Epred__set_2Eschroeder__close: !>[TA: $tType]: ((TA > TA) > ((TA > $o) > (TA > $o)))).
% 7.82/2.77  thf(skt1_type, type, skt1: $tType).
% 7.82/2.77  thf(sk1_type, type, sk1: (skt1 > skt1)).
% 7.82/2.77  thf(sk2_type, type, sk2: (skt1 > $o)).
% 7.82/2.77  thf(3,axiom,((! [TA: $tType]: (! [A:(TA > TA),B:tyop_2Enum_2Enum,C:TA]: ((c_2Earithmetic_2EFUNPOW @ TA @ A @ (c_2Enum_2ESUC @ B) @ C) = (A @ (c_2Earithmetic_2EFUNPOW @ TA @ A @ B @ C)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Earithmetic_2EFUNPOW__SUC)).
% 7.82/2.77  thf(9,plain,((! [TA: $tType]: (! [A:(TA > TA),B:tyop_2Enum_2Enum,C:TA]: ((c_2Earithmetic_2EFUNPOW @ TA @ (A) @ (c_2Enum_2ESUC @ B) @ C) = (A @ (c_2Earithmetic_2EFUNPOW @ TA @ (A) @ B @ C)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.82/2.77  thf(4,axiom,((! [TA: $tType,TB: $tType]: (! [A:TB,B:(TA > $o),C:(TA > TB)]: ((c_2Ebool_2EIN @ TB @ A @ (c_2Epred__set_2EIMAGE @ TA @ TB @ C @ B)) = (? [D:TA]: ((A = (C @ D)) & (c_2Ebool_2EIN @ TA @ D @ B))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__IMAGE)).
% 7.82/2.77  thf(12,plain,((! [TA: $tType,TB: $tType]: (! [A:TB,B:(TA > $o),C:(TA > TB)]: ((c_2Ebool_2EIN @ TB @ A @ (c_2Epred__set_2EIMAGE @ TA @ TB @ C @ B)) = (? [D:TA]: ((A = (C @ D)) & (c_2Ebool_2EIN @ TA @ D @ (B)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 7.82/2.77  thf(1,conjecture,((! [TA: $tType]: (! [A:(TA > TA),B:(TA > $o)]: (c_2Epred__set_2ESUBSET @ TA @ (c_2Epred__set_2EIMAGE @ TA @ TA @ A @ (c_2Epred__set_2Eschroeder__close @ TA @ A @ B)) @ (c_2Epred__set_2Eschroeder__close @ TA @ A @ B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2ESCHROEDER__CLOSED)).
% 7.82/2.77  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:(TA > TA),B:(TA > $o)]: (c_2Epred__set_2ESUBSET @ TA @ (c_2Epred__set_2EIMAGE @ TA @ TA @ A @ (c_2Epred__set_2Eschroeder__close @ TA @ A @ B)) @ (c_2Epred__set_2Eschroeder__close @ TA @ A @ B)))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.82/2.77  thf(7,plain,((~ (! [TA: $tType]: (! [A:(TA > TA),B:(TA > $o)]: (c_2Epred__set_2ESUBSET @ TA @ (c_2Epred__set_2EIMAGE @ TA @ TA @ A @ (c_2Epred__set_2Eschroeder__close @ TA @ A @ B)) @ (c_2Epred__set_2Eschroeder__close @ TA @ A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.82/2.77  thf(6,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((c_2Epred__set_2ESUBSET @ TA @ A @ B) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ A) => (c_2Ebool_2EIN @ TA @ C @ B))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2ESUBSET__DEF)).
% 7.82/2.77  thf(18,plain,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((c_2Epred__set_2ESUBSET @ TA @ (A) @ (B)) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (A)) => (c_2Ebool_2EIN @ TA @ C @ (B)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 7.82/2.77  thf(8,plain,((~ (c_2Epred__set_2ESUBSET @ skt1 @ (c_2Epred__set_2EIMAGE @ skt1 @ skt1 @ sk1 @ (c_2Epred__set_2Eschroeder__close @ skt1 @ sk1 @ sk2)) @ (c_2Epred__set_2Eschroeder__close @ skt1 @ sk1 @ sk2)))),inference(cnf,[status(esa)],[7])).
% 7.82/2.77  thf(5,axiom,((! [TA: $tType]: (! [A:TA,B:(TA > TA),C:(TA > $o)]: ((c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2Eschroeder__close @ TA @ B @ C)) = (? [D:tyop_2Enum_2Enum]: (c_2Ebool_2EIN @ TA @ A @ (c_2Earithmetic_2EFUNPOW @ (TA > $o) @ (c_2Epred__set_2EIMAGE @ TA @ TA @ B) @ D @ C))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2ESCHROEDER__CLOSE)).
% 7.82/2.77  thf(15,plain,((! [TA: $tType]: (! [A:TA,B:(TA > TA),C:(TA > $o)]: ((c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2Eschroeder__close @ TA @ B @ C)) = (? [D:tyop_2Enum_2Enum]: (c_2Ebool_2EIN @ TA @ A @ (c_2Earithmetic_2EFUNPOW @ (TA > $o) @ (c_2Epred__set_2EIMAGE @ TA @ TA @ B) @ D @ C))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 7.82/2.77  thf(30,plain,($false),inference(cvc4,[status(thm)],[9,12,7,18,8,15])).
% 7.82/2.77  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.82/2.77  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
