%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:37:10 EDT 2019

% Result     : Theorem 6.98s
% Output     : CNFRefutation 7.39s
% Verified   : 
% Statistics : Number of formulae       :   18 (  24 expanded)
%              Number of leaves         :   12 (  14 expanded)
%              Depth                    :    4
%              Number of atoms          :   96 ( 192 expanded)
%              Number of equality atoms :    5 (  11 expanded)
%              Maximal formula depth    :   14 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(c_2Epred__set_2EBIJ_type,type,(
    c_2Epred__set_2EBIJ: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > TB ) > ( TA > $o ) > ( TB > $o ) > $o ) )).

thf(c_2Epred__set_2ECARD_type,type,(
    c_2Epred__set_2ECARD: 
      !>[TA: $tType] :
        ( ( TA > $o ) > tyop_2Enum_2Enum ) )).

thf(c_2Epred__set_2EFINITE_type,type,(
    c_2Epred__set_2EFINITE: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(skt2_type,type,(
    skt2: $tType )).

thf(sk1_type,type,(
    sk1: skt1 > skt2 )).

thf(sk2_type,type,(
    sk2: skt1 > $o )).

thf(sk3_type,type,(
    sk3: skt2 > $o )).

thf(1,conjecture,(
    ! [TA: $tType,TB: $tType,A: TA > TB,B: TA > $o,C: TB > $o] :
      ( ( ( c_2Epred__set_2EFINITE @ TA @ B )
        & ( c_2Epred__set_2EBIJ @ TA @ TB @ A @ B @ C ) )
     => ( ( c_2Epred__set_2ECARD @ TA @ B )
        = ( c_2Epred__set_2ECARD @ TB @ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EFINITE__BIJ__CARD)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,TB: $tType,A: TA > TB,B: TA > $o,C: TB > $o] :
        ( ( ( c_2Epred__set_2EFINITE @ TA @ B )
          & ( c_2Epred__set_2EBIJ @ TA @ TB @ A @ B @ C ) )
       => ( ( c_2Epred__set_2ECARD @ TA @ B )
          = ( c_2Epred__set_2ECARD @ TB @ C ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(4,plain,(
    ~ ! [TA: $tType,TB: $tType,A: TA > TB,B: TA > $o,C: TB > $o] :
        ( ( ( c_2Epred__set_2EFINITE @ TA @ B )
          & ( c_2Epred__set_2EBIJ @ TA @ TB @ A @ B @ C ) )
       => ( ( c_2Epred__set_2ECARD @ TA @ B )
          = ( c_2Epred__set_2ECARD @ TB @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > TB,B: TA > $o,C: TB > $o] :
      ( ( ( c_2Epred__set_2EFINITE @ TA @ B )
        & ( c_2Epred__set_2EBIJ @ TA @ TB @ A @ B @ C ) )
     => ( ( c_2Epred__set_2EFINITE @ TB @ C )
        & ( ( c_2Epred__set_2ECARD @ TA @ B )
          = ( c_2Epred__set_2ECARD @ TB @ C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EFINITE__BIJ)).

thf(9,plain,(
    ! [TA: $tType,TB: $tType,A: TA > TB,B: TA > $o,C: TB > $o] :
      ( ( ( c_2Epred__set_2EFINITE @ TA @ B )
        & ( c_2Epred__set_2EBIJ @ TA @ TB @ A @ B @ C ) )
     => ( ( c_2Epred__set_2EFINITE @ TB @ C )
        & ( ( c_2Epred__set_2ECARD @ TA @ B )
          = ( c_2Epred__set_2ECARD @ TB @ C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(6,plain,(
    c_2Epred__set_2EBIJ @ skt1 @ skt2 @ sk1 @ sk2 @ sk3 ),
    inference(cnf,[status(esa)],[4])).

thf(7,plain,(
    c_2Epred__set_2EFINITE @ skt1 @ sk2 ),
    inference(cnf,[status(esa)],[4])).

thf(13,plain,(
    $false ),
    inference(iprover,[status(thm)],[4,9,6,7])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.11/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.11/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.11/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.11/0.13  % CPULimit   : 300
% 0.11/0.13  % DateTime   : Tue Jul 30 16:34:21 EDT 2019
% 0.11/0.13  % CPUTime    : 
% 3.82/1.57  % [INFO] 	 Running in sequential loop mode. 
% 4.54/1.75  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.96/1.81  % [INFO] 	 iprover registered as external prover. 
% 4.96/1.81  % [INFO] 	 e registered as external prover. 
% 4.96/1.81  % [INFO] 	 cvc4 registered as external prover. 
% 5.09/1.82  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.13/1.87  % [INFO] 	 Found a conjecture and 30 axioms. Running axiom selection ... 
% 5.42/1.91  % [INFO] 	 Axiom selection finished. Selected 1 axioms (removed 29 axioms). 
% 5.42/1.93  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.98/2.49  % [INFO] 	 Killing All external provers ... 
% 6.98/2.50  % Time passed: 2235ms
% 6.98/2.50  % Effective reasoning time: 922ms
% 6.98/2.50  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.98/2.50  % Axioms used in derivation (1): thm_2Epred__set_2EFINITE__BIJ
% 6.98/2.50  % No. of inferences in proof: 8
% 6.98/2.50  % No. of processed clauses: 3
% 6.98/2.50  % No. of generated clauses: 0
% 6.98/2.50  % No. of forward subsumed clauses: 0
% 6.98/2.50  % No. of backward subsumed clauses: 0
% 6.98/2.50  % No. of ground rewrite rules in store: 2
% 6.98/2.50  % No. of non-ground rewrite rules in store: 0
% 6.98/2.50  % No. of positive (non-rewrite) units in store: 0
% 6.98/2.50  % No. of negative (non-rewrite) units in store: 1
% 6.98/2.50  % No. of choice functions detected: 0
% 6.98/2.50  % No. of choice instantiations: 0
% 6.98/2.50  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2235 ms resp. 922 ms w/o parsing
% 7.39/2.52  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.39/2.52  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.39/2.52  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 7.39/2.52  thf(c_2Epred__set_2EBIJ_type, type, c_2Epred__set_2EBIJ: !>[TA: $tType,TB: $tType]: ((TA > TB) > ((TA > $o) > ((TB > $o) > $o)))).
% 7.39/2.52  thf(c_2Epred__set_2ECARD_type, type, c_2Epred__set_2ECARD: !>[TA: $tType]: ((TA > $o) > tyop_2Enum_2Enum)).
% 7.39/2.52  thf(c_2Epred__set_2EFINITE_type, type, c_2Epred__set_2EFINITE: !>[TA: $tType]: ((TA > $o) > $o)).
% 7.39/2.52  thf(skt1_type, type, skt1: $tType).
% 7.39/2.52  thf(skt2_type, type, skt2: $tType).
% 7.39/2.52  thf(sk1_type, type, sk1: (skt1 > skt2)).
% 7.39/2.52  thf(sk2_type, type, sk2: (skt1 > $o)).
% 7.39/2.52  thf(sk3_type, type, sk3: (skt2 > $o)).
% 7.39/2.52  thf(1,conjecture,((! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:(TA > $o),C:(TB > $o)]: (((c_2Epred__set_2EFINITE @ TA @ B) & (c_2Epred__set_2EBIJ @ TA @ TB @ A @ B @ C)) => ((c_2Epred__set_2ECARD @ TA @ B) = (c_2Epred__set_2ECARD @ TB @ C)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EFINITE__BIJ__CARD)).
% 7.39/2.52  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:(TA > $o),C:(TB > $o)]: (((c_2Epred__set_2EFINITE @ TA @ B) & (c_2Epred__set_2EBIJ @ TA @ TB @ A @ B @ C)) => ((c_2Epred__set_2ECARD @ TA @ B) = (c_2Epred__set_2ECARD @ TB @ C))))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.39/2.52  thf(4,plain,((~ (! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:(TA > $o),C:(TB > $o)]: (((c_2Epred__set_2EFINITE @ TA @ (B)) & (c_2Epred__set_2EBIJ @ TA @ TB @ (A) @ (B) @ (C))) => ((c_2Epred__set_2ECARD @ TA @ (B)) = (c_2Epred__set_2ECARD @ TB @ (C)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.39/2.52  thf(3,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:(TA > $o),C:(TB > $o)]: (((c_2Epred__set_2EFINITE @ TA @ B) & (c_2Epred__set_2EBIJ @ TA @ TB @ A @ B @ C)) => ((c_2Epred__set_2EFINITE @ TB @ C) & ((c_2Epred__set_2ECARD @ TA @ B) = (c_2Epred__set_2ECARD @ TB @ C))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EFINITE__BIJ)).
% 7.39/2.52  thf(9,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:(TA > $o),C:(TB > $o)]: (((c_2Epred__set_2EFINITE @ TA @ (B)) & (c_2Epred__set_2EBIJ @ TA @ TB @ (A) @ (B) @ (C))) => ((c_2Epred__set_2EFINITE @ TB @ (C)) & ((c_2Epred__set_2ECARD @ TA @ (B)) = (c_2Epred__set_2ECARD @ TB @ (C)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.39/2.52  thf(6,plain,((c_2Epred__set_2EBIJ @ skt1 @ skt2 @ (sk1) @ (sk2) @ (sk3))),inference(cnf,[status(esa)],[4])).
% 7.39/2.52  thf(7,plain,((c_2Epred__set_2EFINITE @ skt1 @ (sk2))),inference(cnf,[status(esa)],[4])).
% 7.39/2.52  thf(13,plain,($false),inference(iprover,[status(thm)],[4,9,6,7])).
% 7.39/2.52  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.39/2.52  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
