%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:37:13 EDT 2019

% Result     : Theorem 14.28s
% Output     : CNFRefutation 14.28s
% Verified   : 
% Statistics : Number of formulae       :   35 (  42 expanded)
%              Number of leaves         :   20 (  23 expanded)
%              Depth                    :    5
%              Number of atoms          :  343 ( 454 expanded)
%              Number of equality atoms :   25 (  30 expanded)
%              Maximal formula depth    :   13 (   8 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: 
      !>[TA: $tType,TB: $tType] :
        ( TA > TB > ( tyop_2Epair_2Eprod @ TA @ TB ) ) )).

thf(c_2Epred__set_2ECROSS_type,type,(
    c_2Epred__set_2ECROSS: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > $o ) > ( TB > $o ) > ( tyop_2Epair_2Eprod @ TA @ TB ) > $o ) )).

thf(c_2Epred__set_2EEMPTY_type,type,(
    c_2Epred__set_2EEMPTY: 
      !>[TA: $tType] :
        ( TA > $o ) )).

thf(c_2Epair_2EFST_type,type,(
    c_2Epair_2EFST: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Epair_2Eprod @ TA @ TB ) > TA ) )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Epred__set_2EINSERT_type,type,(
    c_2Epred__set_2EINSERT: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > TA > $o ) )).

thf(c_2Epair_2ESND_type,type,(
    c_2Epair_2ESND: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Epair_2Eprod @ TA @ TB ) > TB ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(skt2_type,type,(
    skt2: $tType )).

thf(sk1_type,type,(
    sk1: skt1 )).

thf(sk2_type,type,(
    sk2: skt2 )).

thf(1,conjecture,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( c_2Epred__set_2ECROSS @ TA @ TB @ ( c_2Epred__set_2EINSERT @ TA @ A @ ( c_2Epred__set_2EEMPTY @ TA ) ) @ ( c_2Epred__set_2EINSERT @ TB @ B @ ( c_2Epred__set_2EEMPTY @ TB ) ) )
      = ( c_2Epred__set_2EINSERT @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ ( c_2Epair_2E_2C @ TA @ TB @ A @ B ) @ ( c_2Epred__set_2EEMPTY @ ( tyop_2Epair_2Eprod @ TA @ TB ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ECROSS__SINGS)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,TB: $tType,A: TA,B: TB] :
        ( ( c_2Epred__set_2ECROSS @ TA @ TB @ ( c_2Epred__set_2EINSERT @ TA @ A @ ( c_2Epred__set_2EEMPTY @ TA ) ) @ ( c_2Epred__set_2EINSERT @ TB @ B @ ( c_2Epred__set_2EEMPTY @ TB ) ) )
        = ( c_2Epred__set_2EINSERT @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ ( c_2Epair_2E_2C @ TA @ TB @ A @ B ) @ ( c_2Epred__set_2EEMPTY @ ( tyop_2Epair_2Eprod @ TA @ TB ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(10,plain,(
    ~ ! [TA: $tType,TB: $tType,A: TA,B: TB] :
        ( ( c_2Epred__set_2ECROSS @ TA @ TB @ ( c_2Epred__set_2EINSERT @ TA @ A @ ( c_2Epred__set_2EEMPTY @ TA ) ) @ ( c_2Epred__set_2EINSERT @ TB @ B @ ( c_2Epred__set_2EEMPTY @ TB ) ) )
        = ( c_2Epred__set_2EINSERT @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ ( c_2Epair_2E_2C @ TA @ TB @ A @ B ) @ ( c_2Epred__set_2EEMPTY @ ( tyop_2Epair_2Eprod @ TA @ TB ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(7,axiom,(
    ! [TA: $tType,TB: $tType,A: tyop_2Epair_2Eprod @ TA @ TB] :
      ( ( c_2Epair_2E_2C @ TA @ TB @ ( c_2Epair_2EFST @ TA @ TB @ A ) @ ( c_2Epair_2ESND @ TA @ TB @ A ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2EPAIR)).

thf(24,plain,(
    ! [TA: $tType,TB: $tType,A: tyop_2Epair_2Eprod @ TA @ TB] :
      ( ( c_2Epair_2E_2C @ TA @ TB @ ( c_2Epair_2EFST @ TA @ TB @ A ) @ ( c_2Epair_2ESND @ TA @ TB @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(5,axiom,(
    ! [TA: $tType,A: TA] :
      ~ ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EEMPTY @ TA ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ENOT__IN__EMPTY)).

thf(19,plain,(
    ! [TA: $tType,A: TA] :
      ~ ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EEMPTY @ TA ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(20,plain,(
    ! [TA: $tType,A: TA] :
      ~ ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EEMPTY @ TA ) ) ),
    inference(cnf,[status(esa)],[19])).

thf(6,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > $o,B: TB > $o,C: tyop_2Epair_2Eprod @ TA @ TB] :
      ( ( c_2Ebool_2EIN @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ C @ ( c_2Epred__set_2ECROSS @ TA @ TB @ A @ B ) )
      = ( ( c_2Ebool_2EIN @ TA @ ( c_2Epair_2EFST @ TA @ TB @ C ) @ A )
        & ( c_2Ebool_2EIN @ TB @ ( c_2Epair_2ESND @ TA @ TB @ C ) @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__CROSS)).

thf(21,plain,(
    ! [TA: $tType,TB: $tType,A: TA > $o,B: TB > $o,C: tyop_2Epair_2Eprod @ TA @ TB] :
      ( ( c_2Ebool_2EIN @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ C @ ( c_2Epred__set_2ECROSS @ TA @ TB @ A @ B ) )
      = ( ( c_2Ebool_2EIN @ TA @ ( c_2Epair_2EFST @ TA @ TB @ C ) @ A )
        & ( c_2Ebool_2EIN @ TB @ ( c_2Epair_2ESND @ TA @ TB @ C ) @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(3,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( A = B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
            = ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EEXTENSION)).

thf(13,plain,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( A = B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
            = ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(8,axiom,(
    ! [TA: $tType,A: TA,B: TA,C: TA > $o] :
      ( ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EINSERT @ TA @ B @ C ) )
      = ( ( A = B )
        | ( c_2Ebool_2EIN @ TA @ A @ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__INSERT)).

thf(27,plain,(
    ! [TA: $tType,A: TA,B: TA,C: TA > $o] :
      ( ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EINSERT @ TA @ B @ C ) )
      = ( ( A = B )
        | ( c_2Ebool_2EIN @ TA @ A @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(11,plain,(
    ( c_2Epred__set_2ECROSS @ skt1 @ skt2 @ ( c_2Epred__set_2EINSERT @ skt1 @ sk1 @ ( c_2Epred__set_2EEMPTY @ skt1 ) ) @ ( c_2Epred__set_2EINSERT @ skt2 @ sk2 @ ( c_2Epred__set_2EEMPTY @ skt2 ) ) )
 != ( c_2Epred__set_2EINSERT @ ( tyop_2Epair_2Eprod @ skt1 @ skt2 ) @ ( c_2Epair_2E_2C @ skt1 @ skt2 @ sk1 @ sk2 ) @ ( c_2Epred__set_2EEMPTY @ ( tyop_2Epair_2Eprod @ skt1 @ skt2 ) ) ) ),
    inference(cnf,[status(esa)],[10])).

thf(12,plain,(
    ( c_2Epred__set_2ECROSS @ skt1 @ skt2 @ ( c_2Epred__set_2EINSERT @ skt1 @ sk1 @ ( c_2Epred__set_2EEMPTY @ skt1 ) ) @ ( c_2Epred__set_2EINSERT @ skt2 @ sk2 @ ( c_2Epred__set_2EEMPTY @ skt2 ) ) )
 != ( c_2Epred__set_2EINSERT @ ( tyop_2Epair_2Eprod @ skt1 @ skt2 ) @ ( c_2Epair_2E_2C @ skt1 @ skt2 @ sk1 @ sk2 ) @ ( c_2Epred__set_2EEMPTY @ ( tyop_2Epair_2Eprod @ skt1 @ skt2 ) ) ) ),
    inference(lifteq,[status(thm)],[11])).

thf(4,axiom,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( c_2Epair_2EFST @ TA @ TB @ ( c_2Epair_2E_2C @ TA @ TB @ A @ B ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2EFST)).

thf(16,plain,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( c_2Epair_2EFST @ TA @ TB @ ( c_2Epair_2E_2C @ TA @ TB @ A @ B ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(17,plain,(
    ! [TA: $tType,TB: $tType,B: TA,A: TB] :
      ( ( c_2Epair_2EFST @ TB @ TA @ ( c_2Epair_2E_2C @ TB @ TA @ A @ B ) )
      = A ) ),
    inference(cnf,[status(esa)],[16])).

thf(18,plain,(
    ! [TA: $tType,TB: $tType,B: TA,A: TB] :
      ( ( c_2Epair_2EFST @ TB @ TA @ ( c_2Epair_2E_2C @ TB @ TA @ A @ B ) )
      = A ) ),
    inference(lifteq,[status(thm)],[17])).

thf(9,axiom,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( c_2Epair_2ESND @ TA @ TB @ ( c_2Epair_2E_2C @ TA @ TB @ A @ B ) )
      = B ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2ESND)).

thf(30,plain,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( c_2Epair_2ESND @ TA @ TB @ ( c_2Epair_2E_2C @ TA @ TB @ A @ B ) )
      = B ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(62,plain,(
    $false ),
    inference(cvc4,[status(thm)],[10,24,20,21,13,27,12,18,16,30,19])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.10/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.10/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.10/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.10/0.12  % CPULimit   : 300
% 0.10/0.12  % DateTime   : Tue Jul 30 16:50:31 EDT 2019
% 0.10/0.13  % CPUTime    : 
% 3.97/1.51  % [INFO] 	 Running in sequential loop mode. 
% 4.75/1.69  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.75/1.75  % [INFO] 	 iprover registered as external prover. 
% 4.75/1.75  % [INFO] 	 e registered as external prover. 
% 4.75/1.75  % [INFO] 	 cvc4 registered as external prover. 
% 4.75/1.76  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.18/1.82  % [INFO] 	 Found a conjecture and 41 axioms. Running axiom selection ... 
% 5.24/1.87  % [INFO] 	 Axiom selection finished. Selected 7 axioms (removed 34 axioms). 
% 5.24/1.90  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 14.28/4.50  % [INFO] 	 Killing All external provers ... 
% 14.28/4.51  % Time passed: 4243ms
% 14.28/4.51  % Effective reasoning time: 2987ms
% 14.28/4.51  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 14.28/4.51  % Axioms used in derivation (7): thm_2Epair_2ESND, thm_2Epair_2EPAIR, thm_2Epair_2EFST, thm_2Epred__set_2EIN__INSERT, thm_2Epred__set_2EIN__CROSS, thm_2Epred__set_2ENOT__IN__EMPTY, thm_2Epred__set_2EEXTENSION
% 14.28/4.51  % No. of inferences in proof: 23
% 14.28/4.51  % No. of processed clauses: 8
% 14.28/4.51  % No. of generated clauses: 9
% 14.28/4.51  % No. of forward subsumed clauses: 0
% 14.28/4.51  % No. of backward subsumed clauses: 0
% 14.28/4.51  % No. of ground rewrite rules in store: 0
% 14.28/4.51  % No. of non-ground rewrite rules in store: 4
% 14.28/4.51  % No. of positive (non-rewrite) units in store: 0
% 14.28/4.51  % No. of negative (non-rewrite) units in store: 2
% 14.28/4.51  % No. of choice functions detected: 0
% 14.28/4.51  % No. of choice instantiations: 0
% 14.28/4.51  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 4243 ms resp. 2987 ms w/o parsing
% 14.28/4.54  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 14.28/4.54  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 14.28/4.54  thf(c_2Epair_2E_2C_type, type, c_2Epair_2E_2C: !>[TA: $tType,TB: $tType]: (TA > (TB > (tyop_2Epair_2Eprod @ TA @ TB)))).
% 14.28/4.54  thf(c_2Epred__set_2ECROSS_type, type, c_2Epred__set_2ECROSS: !>[TA: $tType,TB: $tType]: ((TA > $o) > ((TB > $o) > ((tyop_2Epair_2Eprod @ TA @ TB) > $o)))).
% 14.28/4.54  thf(c_2Epred__set_2EEMPTY_type, type, c_2Epred__set_2EEMPTY: !>[TA: $tType]: (TA > $o)).
% 14.28/4.54  thf(c_2Epair_2EFST_type, type, c_2Epair_2EFST: !>[TA: $tType,TB: $tType]: ((tyop_2Epair_2Eprod @ TA @ TB) > TA)).
% 14.28/4.54  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 14.28/4.54  thf(c_2Epred__set_2EINSERT_type, type, c_2Epred__set_2EINSERT: !>[TA: $tType]: (TA > ((TA > $o) > (TA > $o)))).
% 14.28/4.54  thf(c_2Epair_2ESND_type, type, c_2Epair_2ESND: !>[TA: $tType,TB: $tType]: ((tyop_2Epair_2Eprod @ TA @ TB) > TB)).
% 14.28/4.54  thf(skt1_type, type, skt1: $tType).
% 14.28/4.54  thf(skt2_type, type, skt2: $tType).
% 14.28/4.54  thf(sk1_type, type, sk1: skt1).
% 14.28/4.54  thf(sk2_type, type, sk2: skt2).
% 14.28/4.54  thf(1,conjecture,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB]: ((c_2Epred__set_2ECROSS @ TA @ TB @ (c_2Epred__set_2EINSERT @ TA @ A @ (c_2Epred__set_2EEMPTY @ TA)) @ (c_2Epred__set_2EINSERT @ TB @ B @ (c_2Epred__set_2EEMPTY @ TB))) = (c_2Epred__set_2EINSERT @ (tyop_2Epair_2Eprod @ TA @ TB) @ (c_2Epair_2E_2C @ TA @ TB @ A @ B) @ (c_2Epred__set_2EEMPTY @ (tyop_2Epair_2Eprod @ TA @ TB))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ECROSS__SINGS)).
% 14.28/4.54  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType]: (! [A:TA,B:TB]: ((c_2Epred__set_2ECROSS @ TA @ TB @ (c_2Epred__set_2EINSERT @ TA @ A @ (c_2Epred__set_2EEMPTY @ TA)) @ (c_2Epred__set_2EINSERT @ TB @ B @ (c_2Epred__set_2EEMPTY @ TB))) = (c_2Epred__set_2EINSERT @ (tyop_2Epair_2Eprod @ TA @ TB) @ (c_2Epair_2E_2C @ TA @ TB @ A @ B) @ (c_2Epred__set_2EEMPTY @ (tyop_2Epair_2Eprod @ TA @ TB)))))))),inference(neg_conjecture,[status(cth)],[1])).
% 14.28/4.54  thf(10,plain,((~ (! [TA: $tType,TB: $tType]: (! [A:TA,B:TB]: ((c_2Epred__set_2ECROSS @ TA @ TB @ (c_2Epred__set_2EINSERT @ TA @ A @ (c_2Epred__set_2EEMPTY @ TA)) @ (c_2Epred__set_2EINSERT @ TB @ B @ (c_2Epred__set_2EEMPTY @ TB))) = (c_2Epred__set_2EINSERT @ (tyop_2Epair_2Eprod @ TA @ TB) @ (c_2Epair_2E_2C @ TA @ TB @ A @ B) @ (c_2Epred__set_2EEMPTY @ (tyop_2Epair_2Eprod @ TA @ TB)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 14.28/4.54  thf(7,axiom,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Epair_2Eprod @ TA @ TB)]: ((c_2Epair_2E_2C @ TA @ TB @ (c_2Epair_2EFST @ TA @ TB @ A) @ (c_2Epair_2ESND @ TA @ TB @ A)) = A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2EPAIR)).
% 14.28/4.54  thf(24,plain,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Epair_2Eprod @ TA @ TB)]: ((c_2Epair_2E_2C @ TA @ TB @ (c_2Epair_2EFST @ TA @ TB @ A) @ (c_2Epair_2ESND @ TA @ TB @ A)) = A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 14.28/4.54  thf(5,axiom,((! [TA: $tType]: (! [A:TA]: ~ (c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EEMPTY @ TA))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ENOT__IN__EMPTY)).
% 14.28/4.54  thf(19,plain,((! [TA: $tType]: (! [A:TA]: ~ (c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EEMPTY @ TA))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 14.28/4.54  thf(20,plain,(! [TA:$tType,A:TA] : ((~ (c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EEMPTY @ TA))))),inference(cnf,[status(esa)],[19])).
% 14.28/4.54  thf(6,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > $o),B:(TB > $o),C:(tyop_2Epair_2Eprod @ TA @ TB)]: ((c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ TA @ TB) @ C @ (c_2Epred__set_2ECROSS @ TA @ TB @ A @ B)) = ((c_2Ebool_2EIN @ TA @ (c_2Epair_2EFST @ TA @ TB @ C) @ A) & (c_2Ebool_2EIN @ TB @ (c_2Epair_2ESND @ TA @ TB @ C) @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__CROSS)).
% 14.28/4.54  thf(21,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > $o),B:(TB > $o),C:(tyop_2Epair_2Eprod @ TA @ TB)]: ((c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ TA @ TB) @ C @ (c_2Epred__set_2ECROSS @ TA @ TB @ A @ B)) = ((c_2Ebool_2EIN @ TA @ (c_2Epair_2EFST @ TA @ TB @ C) @ (A)) & (c_2Ebool_2EIN @ TB @ (c_2Epair_2ESND @ TA @ TB @ C) @ (B))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 14.28/4.54  thf(3,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((A = B) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ A) = (c_2Ebool_2EIN @ TA @ C @ B))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EEXTENSION)).
% 14.28/4.54  thf(13,plain,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: (((A) = (B)) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (A)) = (c_2Ebool_2EIN @ TA @ C @ (B)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 14.28/4.54  thf(8,axiom,((! [TA: $tType]: (! [A:TA,B:TA,C:(TA > $o)]: ((c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EINSERT @ TA @ B @ C)) = ((A = B) | (c_2Ebool_2EIN @ TA @ A @ C)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__INSERT)).
% 14.28/4.54  thf(27,plain,((! [TA: $tType]: (! [A:TA,B:TA,C:(TA > $o)]: ((c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EINSERT @ TA @ B @ C)) = ((A = B) | (c_2Ebool_2EIN @ TA @ A @ (C))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 14.28/4.54  thf(11,plain,((~ ((c_2Epred__set_2ECROSS @ skt1 @ skt2 @ (c_2Epred__set_2EINSERT @ skt1 @ sk1 @ (c_2Epred__set_2EEMPTY @ skt1)) @ (c_2Epred__set_2EINSERT @ skt2 @ sk2 @ (c_2Epred__set_2EEMPTY @ skt2))) = (c_2Epred__set_2EINSERT @ (tyop_2Epair_2Eprod @ skt1 @ skt2) @ (c_2Epair_2E_2C @ skt1 @ skt2 @ sk1 @ sk2) @ (c_2Epred__set_2EEMPTY @ (tyop_2Epair_2Eprod @ skt1 @ skt2)))))),inference(cnf,[status(esa)],[10])).
% 14.28/4.54  thf(12,plain,(((c_2Epred__set_2ECROSS @ skt1 @ skt2 @ (c_2Epred__set_2EINSERT @ skt1 @ sk1 @ (c_2Epred__set_2EEMPTY @ skt1)) @ (c_2Epred__set_2EINSERT @ skt2 @ sk2 @ (c_2Epred__set_2EEMPTY @ skt2))) != (c_2Epred__set_2EINSERT @ (tyop_2Epair_2Eprod @ skt1 @ skt2) @ (c_2Epair_2E_2C @ skt1 @ skt2 @ sk1 @ sk2) @ (c_2Epred__set_2EEMPTY @ (tyop_2Epair_2Eprod @ skt1 @ skt2))))),inference(lifteq,[status(thm)],[11])).
% 14.28/4.54  thf(4,axiom,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB]: ((c_2Epair_2EFST @ TA @ TB @ (c_2Epair_2E_2C @ TA @ TB @ A @ B)) = A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2EFST)).
% 14.28/4.54  thf(16,plain,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB]: ((c_2Epair_2EFST @ TA @ TB @ (c_2Epair_2E_2C @ TA @ TB @ A @ B)) = A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 14.28/4.54  thf(17,plain,(! [TA:$tType,TB:$tType,B:TA,A:TB] : (((c_2Epair_2EFST @ TB @ TA @ (c_2Epair_2E_2C @ TB @ TA @ A @ B)) = A))),inference(cnf,[status(esa)],[16])).
% 14.28/4.54  thf(18,plain,(! [TA:$tType,TB:$tType,B:TA,A:TB] : (((c_2Epair_2EFST @ TB @ TA @ (c_2Epair_2E_2C @ TB @ TA @ A @ B)) = A))),inference(lifteq,[status(thm)],[17])).
% 14.28/4.54  thf(9,axiom,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB]: ((c_2Epair_2ESND @ TA @ TB @ (c_2Epair_2E_2C @ TA @ TB @ A @ B)) = B)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2ESND)).
% 14.28/4.54  thf(30,plain,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB]: ((c_2Epair_2ESND @ TA @ TB @ (c_2Epair_2E_2C @ TA @ TB @ A @ B)) = B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 14.28/4.54  thf(62,plain,($false),inference(cvc4,[status(thm)],[10,24,20,21,13,27,12,18,16,30,19])).
% 14.28/4.54  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 14.28/4.54  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
