%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:37:14 EDT 2019

% Result     : Theorem 5.94s
% Output     : CNFRefutation 6.35s
% Verified   : 
% Statistics : Number of formulae       :   22 (  30 expanded)
%              Number of leaves         :   12 (  14 expanded)
%              Depth                    :    6
%              Number of atoms          :  113 ( 169 expanded)
%              Number of equality atoms :   14 (  22 expanded)
%              Maximal formula depth    :   10 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Epred__set_2ECOMPL_type,type,(
    c_2Epred__set_2ECOMPL: 
      !>[TA: $tType] :
        ( ( TA > $o ) > TA > $o ) )).

thf(c_2Epred__set_2EEMPTY_type,type,(
    c_2Epred__set_2EEMPTY: 
      !>[TA: $tType] :
        ( TA > $o ) )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Epred__set_2EUNIV_type,type,(
    c_2Epred__set_2EUNIV: 
      !>[TA: $tType] :
        ( TA > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: skt1 )).

thf(3,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( A = B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
            = ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EEXTENSION)).

thf(10,plain,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( A = B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
            = ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(1,conjecture,(
    ! [TA: $tType] :
      ( ( c_2Epred__set_2ECOMPL @ TA @ ( c_2Epred__set_2EEMPTY @ TA ) )
      = ( c_2Epred__set_2EUNIV @ TA ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2ECOMPL__EMPTY)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType] :
        ( ( c_2Epred__set_2ECOMPL @ TA @ ( c_2Epred__set_2EEMPTY @ TA ) )
        = ( c_2Epred__set_2EUNIV @ TA ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(7,plain,(
    ~ ! [TA: $tType] :
        ( ( c_2Epred__set_2ECOMPL @ TA @ ( c_2Epred__set_2EEMPTY @ TA ) )
        = ( c_2Epred__set_2EUNIV @ TA ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(8,plain,(
    ( c_2Epred__set_2ECOMPL @ skt1 @ ( c_2Epred__set_2EEMPTY @ skt1 ) )
 != ( c_2Epred__set_2EUNIV @ skt1 ) ),
    inference(cnf,[status(esa)],[7])).

thf(9,plain,(
    ( c_2Epred__set_2EUNIV @ skt1 )
 != ( c_2Epred__set_2ECOMPL @ skt1 @ ( c_2Epred__set_2EEMPTY @ skt1 ) ) ),
    inference(lifteq,[status(thm)],[8])).

thf(20,plain,(
    ( c_2Epred__set_2EUNIV @ skt1 @ sk1 )
 != ( c_2Epred__set_2ECOMPL @ skt1 @ ( c_2Epred__set_2EEMPTY @ skt1 ) @ sk1 ) ),
    inference(func_ext,[status(esa)],[9])).

thf(4,axiom,(
    ! [TA: $tType,A: TA] :
      ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EUNIV @ TA ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__UNIV)).

thf(13,plain,(
    ! [TA: $tType,A: TA] :
      ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EUNIV @ TA ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(6,axiom,(
    ! [TA: $tType,A: TA,B: TA > $o] :
      ( ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2ECOMPL @ TA @ B ) )
      = ( ~ ( c_2Ebool_2EIN @ TA @ A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__COMPL)).

thf(17,plain,(
    ! [TA: $tType,A: TA,B: TA > $o] :
      ( ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2ECOMPL @ TA @ B ) )
      = ( ~ ( c_2Ebool_2EIN @ TA @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(5,axiom,(
    ! [TA: $tType,A: TA] :
      ~ ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EEMPTY @ TA ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2ENOT__IN__EMPTY)).

thf(15,plain,(
    ! [TA: $tType,A: TA] :
      ~ ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EEMPTY @ TA ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(23,plain,(
    $false ),
    inference(iprover,[status(thm)],[10,20,9,13,17,7,15])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.03/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.03/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.03/0.13  % CPULimit   : 300
% 0.03/0.13  % DateTime   : Tue Jul 30 16:53:28 EDT 2019
% 0.03/0.13  % CPUTime    : 
% 2.94/1.25  % [INFO] 	 Running in sequential loop mode. 
% 3.42/1.43  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.89/1.50  % [INFO] 	 iprover registered as external prover. 
% 3.89/1.50  % [INFO] 	 e registered as external prover. 
% 3.89/1.50  % [INFO] 	 cvc4 registered as external prover. 
% 3.89/1.51  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.21/1.55  % [INFO] 	 Found a conjecture and 17 axioms. Running axiom selection ... 
% 4.21/1.59  % [INFO] 	 Axiom selection finished. Selected 4 axioms (removed 13 axioms). 
% 4.21/1.61  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 5.94/2.22  % [INFO] 	 Killing All external provers ... 
% 5.94/2.23  % Time passed: 1961ms
% 5.94/2.23  % Effective reasoning time: 968ms
% 5.94/2.23  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 5.94/2.23  % Axioms used in derivation (4): thm_2Epred__set_2EEXTENSION, thm_2Epred__set_2EIN__UNIV, thm_2Epred__set_2EIN__COMPL, thm_2Epred__set_2ENOT__IN__EMPTY
% 5.94/2.23  % No. of inferences in proof: 15
% 5.94/2.23  % No. of processed clauses: 3
% 5.94/2.23  % No. of generated clauses: 3
% 5.94/2.23  % No. of forward subsumed clauses: 0
% 5.94/2.23  % No. of backward subsumed clauses: 0
% 5.94/2.23  % No. of ground rewrite rules in store: 0
% 5.94/2.23  % No. of non-ground rewrite rules in store: 1
% 5.94/2.23  % No. of positive (non-rewrite) units in store: 0
% 5.94/2.23  % No. of negative (non-rewrite) units in store: 2
% 5.94/2.23  % No. of choice functions detected: 0
% 5.94/2.23  % No. of choice instantiations: 0
% 5.94/2.23  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 1961 ms resp. 968 ms w/o parsing
% 6.35/2.26  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.35/2.26  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.35/2.26  thf(c_2Epred__set_2ECOMPL_type, type, c_2Epred__set_2ECOMPL: !>[TA: $tType]: ((TA > $o) > (TA > $o))).
% 6.35/2.26  thf(c_2Epred__set_2EEMPTY_type, type, c_2Epred__set_2EEMPTY: !>[TA: $tType]: (TA > $o)).
% 6.35/2.26  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 6.35/2.26  thf(c_2Epred__set_2EUNIV_type, type, c_2Epred__set_2EUNIV: !>[TA: $tType]: (TA > $o)).
% 6.35/2.26  thf(skt1_type, type, skt1: $tType).
% 6.35/2.26  thf(sk1_type, type, sk1: skt1).
% 6.35/2.26  thf(3,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((A = B) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ A) = (c_2Ebool_2EIN @ TA @ C @ B))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EEXTENSION)).
% 6.35/2.26  thf(10,plain,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: (((A) = (B)) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (A)) = (c_2Ebool_2EIN @ TA @ C @ (B)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.35/2.26  thf(1,conjecture,((! [TA: $tType]: ((c_2Epred__set_2ECOMPL @ TA @ (c_2Epred__set_2EEMPTY @ TA)) = (c_2Epred__set_2EUNIV @ TA)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2ECOMPL__EMPTY)).
% 6.35/2.26  thf(2,negated_conjecture,((~ (! [TA: $tType]: ((c_2Epred__set_2ECOMPL @ TA @ (c_2Epred__set_2EEMPTY @ TA)) = (c_2Epred__set_2EUNIV @ TA))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.35/2.26  thf(7,plain,((~ (! [TA: $tType]: ((c_2Epred__set_2ECOMPL @ TA @ (c_2Epred__set_2EEMPTY @ TA)) = (c_2Epred__set_2EUNIV @ TA))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.35/2.26  thf(8,plain,((~ ((c_2Epred__set_2ECOMPL @ skt1 @ (c_2Epred__set_2EEMPTY @ skt1)) = (c_2Epred__set_2EUNIV @ skt1)))),inference(cnf,[status(esa)],[7])).
% 6.35/2.26  thf(9,plain,(((c_2Epred__set_2EUNIV @ skt1) != (c_2Epred__set_2ECOMPL @ skt1 @ (c_2Epred__set_2EEMPTY @ skt1)))),inference(lifteq,[status(thm)],[8])).
% 6.35/2.26  thf(20,plain,(((c_2Epred__set_2EUNIV @ skt1 @ sk1) != (c_2Epred__set_2ECOMPL @ skt1 @ (c_2Epred__set_2EEMPTY @ skt1) @ sk1))),inference(func_ext,[status(esa)],[9])).
% 6.35/2.26  thf(4,axiom,((! [TA: $tType]: (! [A:TA]: (c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EUNIV @ TA))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__UNIV)).
% 6.35/2.26  thf(13,plain,((! [TA: $tType]: (! [A:TA]: (c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EUNIV @ TA))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 6.35/2.26  thf(6,axiom,((! [TA: $tType]: (! [A:TA,B:(TA > $o)]: ((c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2ECOMPL @ TA @ B)) = (~ (c_2Ebool_2EIN @ TA @ A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__COMPL)).
% 6.35/2.26  thf(17,plain,((! [TA: $tType]: (! [A:TA,B:(TA > $o)]: ((c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2ECOMPL @ TA @ B)) = (~ (c_2Ebool_2EIN @ TA @ A @ (B))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 6.35/2.26  thf(5,axiom,((! [TA: $tType]: (! [A:TA]: ~ (c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EEMPTY @ TA))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2ENOT__IN__EMPTY)).
% 6.35/2.26  thf(15,plain,((! [TA: $tType]: (! [A:TA]: ~ (c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EEMPTY @ TA))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 6.35/2.26  thf(23,plain,($false),inference(iprover,[status(thm)],[10,20,9,13,17,7,15])).
% 6.35/2.26  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.35/2.26  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
