%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:37:15 EDT 2019

% Result     : Theorem 6.85s
% Output     : CNFRefutation 6.85s
% Verified   : 
% Statistics : Number of formulae       :   18 (  18 expanded)
%              Number of leaves         :   12 (  12 expanded)
%              Depth                    :    3
%              Number of atoms          :   84 (  84 expanded)
%              Number of equality atoms :    4 (   4 expanded)
%              Maximal formula depth    :   10 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(c_2Earithmetic_2E_3C_3D_type,type,(
    c_2Earithmetic_2E_3C_3D: tyop_2Enum_2Enum > tyop_2Enum_2Enum > $o )).

thf(c_2Epred__set_2EFINITE_type,type,(
    c_2Epred__set_2EFINITE: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ecombin_2EI_type,type,(
    c_2Ecombin_2EI: 
      !>[TA: $tType] :
        ( TA > TA ) )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Epred__set_2ESUM__IMAGE_type,type,(
    c_2Epred__set_2ESUM__IMAGE: 
      !>[TA: $tType] :
        ( ( TA > tyop_2Enum_2Enum ) > ( TA > $o ) > tyop_2Enum_2Enum ) )).

thf(c_2Epred__set_2ESUM__SET_type,type,(
    c_2Epred__set_2ESUM__SET: ( tyop_2Enum_2Enum > $o ) > tyop_2Enum_2Enum )).

thf(1,conjecture,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum > $o] :
      ( ( ( c_2Epred__set_2EFINITE @ tyop_2Enum_2Enum @ B )
        & ( c_2Ebool_2EIN @ tyop_2Enum_2Enum @ A @ B ) )
     => ( c_2Earithmetic_2E_3C_3D @ A @ ( c_2Epred__set_2ESUM__SET @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ESUM__SET__IN__LE)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum > $o] :
        ( ( ( c_2Epred__set_2EFINITE @ tyop_2Enum_2Enum @ B )
          & ( c_2Ebool_2EIN @ tyop_2Enum_2Enum @ A @ B ) )
       => ( c_2Earithmetic_2E_3C_3D @ A @ ( c_2Epred__set_2ESUM__SET @ B ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(6,plain,(
    ~ ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum > $o] :
        ( ( ( c_2Epred__set_2EFINITE @ tyop_2Enum_2Enum @ B )
          & ( c_2Ebool_2EIN @ tyop_2Enum_2Enum @ A @ B ) )
       => ( c_2Earithmetic_2E_3C_3D @ A @ ( c_2Epred__set_2ESUM__SET @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( c_2Ecombin_2EI @ TA @ A )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecombin_2EI__THM)).

thf(10,plain,(
    ! [TA: $tType,A: TA] :
      ( ( c_2Ecombin_2EI @ TA @ A )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(4,axiom,
    ( c_2Epred__set_2ESUM__SET
    = ( c_2Epred__set_2ESUM__IMAGE @ tyop_2Enum_2Enum @ ( c_2Ecombin_2EI @ tyop_2Enum_2Enum ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ESUM__SET__DEF)).

thf(13,plain,
    ( c_2Epred__set_2ESUM__SET
    = ( c_2Epred__set_2ESUM__IMAGE @ tyop_2Enum_2Enum @ ( c_2Ecombin_2EI @ tyop_2Enum_2Enum ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(5,axiom,(
    ! [TA: $tType,A: TA > tyop_2Enum_2Enum,B: TA > $o,C: TA] :
      ( ( ( c_2Epred__set_2EFINITE @ TA @ B )
        & ( c_2Ebool_2EIN @ TA @ C @ B ) )
     => ( c_2Earithmetic_2E_3C_3D @ ( A @ C ) @ ( c_2Epred__set_2ESUM__IMAGE @ TA @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ESUM__IMAGE__IN__LE)).

thf(15,plain,(
    ! [TA: $tType,A: TA > tyop_2Enum_2Enum,B: TA > $o,C: TA] :
      ( ( ( c_2Epred__set_2EFINITE @ TA @ B )
        & ( c_2Ebool_2EIN @ TA @ C @ B ) )
     => ( c_2Earithmetic_2E_3C_3D @ ( A @ C ) @ ( c_2Epred__set_2ESUM__IMAGE @ TA @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(17,plain,(
    $false ),
    inference(e,[status(thm)],[6,10,13,15])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.06/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.06/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.06/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.06/0.13  % CPULimit   : 300
% 0.06/0.13  % DateTime   : Tue Jul 30 16:55:45 EDT 2019
% 0.06/0.13  % CPUTime    : 
% 3.92/1.47  % [INFO] 	 Running in sequential loop mode. 
% 4.63/1.65  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.81/1.71  % [INFO] 	 iprover registered as external prover. 
% 4.81/1.71  % [INFO] 	 e registered as external prover. 
% 4.81/1.72  % [INFO] 	 cvc4 registered as external prover. 
% 4.81/1.72  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.14/1.77  % [INFO] 	 Found a conjecture and 45 axioms. Running axiom selection ... 
% 5.14/1.81  % [INFO] 	 Axiom selection finished. Selected 3 axioms (removed 42 axioms). 
% 5.30/1.83  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.85/2.32  % [INFO] 	 Killing All external provers ... 
% 6.85/2.32  % Time passed: 2051ms
% 6.85/2.32  % Effective reasoning time: 843ms
% 6.85/2.32  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.85/2.32  % Axioms used in derivation (3): thm_2Ecombin_2EI__THM, thm_2Epred__set_2ESUM__SET__DEF, thm_2Epred__set_2ESUM__IMAGE__IN__LE
% 6.85/2.32  % No. of inferences in proof: 10
% 6.85/2.32  % No. of processed clauses: 1
% 6.85/2.32  % No. of generated clauses: 0
% 6.85/2.32  % No. of forward subsumed clauses: 0
% 6.85/2.32  % No. of backward subsumed clauses: 0
% 6.85/2.32  % No. of ground rewrite rules in store: 1
% 6.85/2.32  % No. of non-ground rewrite rules in store: 0
% 6.85/2.32  % No. of positive (non-rewrite) units in store: 0
% 6.85/2.32  % No. of negative (non-rewrite) units in store: 0
% 6.85/2.32  % No. of choice functions detected: 0
% 6.85/2.32  % No. of choice instantiations: 0
% 6.85/2.32  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2051 ms resp. 843 ms w/o parsing
% 6.85/2.35  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.85/2.35  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.85/2.35  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 6.85/2.35  thf(c_2Earithmetic_2E_3C_3D_type, type, c_2Earithmetic_2E_3C_3D: (tyop_2Enum_2Enum > (tyop_2Enum_2Enum > $o))).
% 6.85/2.35  thf(c_2Epred__set_2EFINITE_type, type, c_2Epred__set_2EFINITE: !>[TA: $tType]: ((TA > $o) > $o)).
% 6.85/2.35  thf(c_2Ecombin_2EI_type, type, c_2Ecombin_2EI: !>[TA: $tType]: (TA > TA)).
% 6.85/2.35  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 6.85/2.35  thf(c_2Epred__set_2ESUM__IMAGE_type, type, c_2Epred__set_2ESUM__IMAGE: !>[TA: $tType]: ((TA > tyop_2Enum_2Enum) > ((TA > $o) > tyop_2Enum_2Enum))).
% 6.85/2.35  thf(c_2Epred__set_2ESUM__SET_type, type, c_2Epred__set_2ESUM__SET: ((tyop_2Enum_2Enum > $o) > tyop_2Enum_2Enum)).
% 6.85/2.35  thf(1,conjecture,((! [A:tyop_2Enum_2Enum,B:(tyop_2Enum_2Enum > $o)]: (((c_2Epred__set_2EFINITE @ tyop_2Enum_2Enum @ B) & (c_2Ebool_2EIN @ tyop_2Enum_2Enum @ A @ B)) => (c_2Earithmetic_2E_3C_3D @ A @ (c_2Epred__set_2ESUM__SET @ B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ESUM__SET__IN__LE)).
% 6.85/2.35  thf(2,negated_conjecture,((~ (! [A:tyop_2Enum_2Enum,B:(tyop_2Enum_2Enum > $o)]: (((c_2Epred__set_2EFINITE @ tyop_2Enum_2Enum @ B) & (c_2Ebool_2EIN @ tyop_2Enum_2Enum @ A @ B)) => (c_2Earithmetic_2E_3C_3D @ A @ (c_2Epred__set_2ESUM__SET @ B)))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.85/2.35  thf(6,plain,((~ (! [A:tyop_2Enum_2Enum,B:(tyop_2Enum_2Enum > $o)]: (((c_2Epred__set_2EFINITE @ tyop_2Enum_2Enum @ (B)) & (c_2Ebool_2EIN @ tyop_2Enum_2Enum @ A @ (B))) => (c_2Earithmetic_2E_3C_3D @ A @ (c_2Epred__set_2ESUM__SET @ (B))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.85/2.35  thf(3,axiom,((! [TA: $tType]: (! [A:TA]: ((c_2Ecombin_2EI @ TA @ A) = A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecombin_2EI__THM)).
% 6.85/2.35  thf(10,plain,((! [TA: $tType]: (! [A:TA]: ((c_2Ecombin_2EI @ TA @ A) = A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.85/2.35  thf(4,axiom,((c_2Epred__set_2ESUM__SET = (c_2Epred__set_2ESUM__IMAGE @ tyop_2Enum_2Enum @ (c_2Ecombin_2EI @ tyop_2Enum_2Enum)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ESUM__SET__DEF)).
% 6.85/2.35  thf(13,plain,(((c_2Epred__set_2ESUM__SET) = (c_2Epred__set_2ESUM__IMAGE @ tyop_2Enum_2Enum @ (c_2Ecombin_2EI @ tyop_2Enum_2Enum)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 6.85/2.35  thf(5,axiom,((! [TA: $tType]: (! [A:(TA > tyop_2Enum_2Enum),B:(TA > $o),C:TA]: (((c_2Epred__set_2EFINITE @ TA @ B) & (c_2Ebool_2EIN @ TA @ C @ B)) => (c_2Earithmetic_2E_3C_3D @ (A @ C) @ (c_2Epred__set_2ESUM__IMAGE @ TA @ A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ESUM__IMAGE__IN__LE)).
% 6.85/2.35  thf(15,plain,((! [TA: $tType]: (! [A:(TA > tyop_2Enum_2Enum),B:(TA > $o),C:TA]: (((c_2Epred__set_2EFINITE @ TA @ (B)) & (c_2Ebool_2EIN @ TA @ C @ (B))) => (c_2Earithmetic_2E_3C_3D @ (A @ C) @ (c_2Epred__set_2ESUM__IMAGE @ TA @ (A) @ (B))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 6.85/2.35  thf(17,plain,($false),inference(e,[status(thm)],[6,10,13,15])).
% 6.85/2.35  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.85/2.35  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
