%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:37:17 EDT 2019

% Result     : Theorem 7.76s
% Output     : CNFRefutation 7.84s
% Verified   : 
% Statistics : Number of formulae       :   50 (  65 expanded)
%              Number of leaves         :   27 (  32 expanded)
%              Depth                    :    6
%              Number of atoms          :  366 ( 506 expanded)
%              Number of equality atoms :   69 (  82 expanded)
%              Maximal formula depth    :   13 (   7 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: 
      !>[TA: $tType,TB: $tType] :
        ( TA > TB > ( tyop_2Epair_2Eprod @ TA @ TB ) ) )).

thf(c_2Epred__set_2EEMPTY_type,type,(
    c_2Epred__set_2EEMPTY: 
      !>[TA: $tType] :
        ( TA > $o ) )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $o )).

thf(c_2Epred__set_2EGSPEC_type,type,(
    c_2Epred__set_2EGSPEC: 
      !>[TA: $tType,TB: $tType] :
        ( ( TB > ( tyop_2Epair_2Eprod @ TA @ $o ) ) > TA > $o ) )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Epair_2ESND_type,type,(
    c_2Epair_2ESND: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Epair_2Eprod @ TA @ TB ) > TB ) )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(skt2_type,type,(
    skt2: $tType )).

thf(sk1_type,type,(
    sk1: skt1 > ( tyop_2Epair_2Eprod @ skt2 @ $o ) )).

thf(sk2_type,type,(
    sk2: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Epair_2Eprod @ TB @ TA ) > TB ) )).

thf(sk3_type,type,(
    sk3: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Epair_2Eprod @ TB @ TA ) > TA ) )).

thf(sk4_type,type,(
    sk4: skt2 )).

thf(4,axiom,(
    c_2Ebool_2ET ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(24,plain,(
    c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(5,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
          & A )
        = A )
      & ( ( A
          & c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF
          & A )
        = c_2Ebool_2EF )
      & ( ( A
          & c_2Ebool_2EF )
        = c_2Ebool_2EF )
      & ( ( A
          & A )
        = A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EAND__CLAUSES)).

thf(25,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
          & A )
        = A )
      & ( ( A
          & c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF
          & A )
        = c_2Ebool_2EF )
      & ( ( A
          & c_2Ebool_2EF )
        = c_2Ebool_2EF ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(7,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( A = B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
            = ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EEXTENSION)).

thf(33,plain,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( A = B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
            = ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(13,axiom,(
    ! [TA: $tType,TB: $tType,A: TB > ( tyop_2Epair_2Eprod @ TA @ $o ),B: TA] :
      ( ( c_2Ebool_2EIN @ TA @ B @ ( c_2Epred__set_2EGSPEC @ TA @ TB @ A ) )
      = ( ? [C: TB] :
            ( ( c_2Epair_2E_2C @ TA @ $o @ B @ c_2Ebool_2ET )
            = ( A @ C ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EGSPECIFICATION)).

thf(65,plain,(
    ! [TA: $tType,TB: $tType,A: TB > ( tyop_2Epair_2Eprod @ TA @ $o ),B: TA] :
      ( ( c_2Ebool_2EIN @ TA @ B @ ( c_2Epred__set_2EGSPEC @ TA @ TB @ A ) )
      = ( ? [C: TB] :
            ( ( c_2Epair_2E_2C @ TA @ $o @ B @ c_2Ebool_2ET )
            = ( A @ C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(11,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
         => A )
        = A )
      & ( ( A
         => c_2Ebool_2ET )
        = c_2Ebool_2ET )
      & ( ( c_2Ebool_2EF
         => A )
        = c_2Ebool_2ET )
      & ( ( A
         => A )
        = c_2Ebool_2ET )
      & ( ( A
         => c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__CLAUSES)).

thf(53,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
         => A )
        = A )
      & ( ( A
         => c_2Ebool_2ET )
        = c_2Ebool_2ET )
      & ( ( c_2Ebool_2EF
         => A )
        = c_2Ebool_2ET )
      & c_2Ebool_2ET
      & ( ( A
         => c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(6,axiom,(
    ! [TA: $tType,TB: $tType,A: tyop_2Epair_2Eprod @ TA @ TB] :
    ? [B: TA,C: TB] :
      ( A
      = ( c_2Epair_2E_2C @ TA @ TB @ B @ C ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2EABS__PAIR__THM)).

thf(30,plain,(
    ! [TA: $tType,TB: $tType,A: tyop_2Epair_2Eprod @ TA @ TB] :
    ? [B: TA,C: TB] :
      ( A
      = ( c_2Epair_2E_2C @ TA @ TB @ B @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(31,plain,(
    ! [TA: $tType,TB: $tType,A: tyop_2Epair_2Eprod @ TB @ TA] :
      ( A
      = ( c_2Epair_2E_2C @ TB @ TA @ ( sk2 @ TA @ TB @ A ) @ ( sk3 @ TA @ TB @ A ) ) ) ),
    inference(cnf,[status(esa)],[30])).

thf(32,plain,(
    ! [TA: $tType,TB: $tType,A: tyop_2Epair_2Eprod @ TB @ TA] :
      ( ( c_2Epair_2E_2C @ TB @ TA @ ( sk2 @ TA @ TB @ A ) @ ( sk3 @ TA @ TB @ A ) )
      = A ) ),
    inference(lifteq,[status(thm)],[31])).

thf(1,conjecture,(
    ! [TA: $tType,TB: $tType,A: TA > ( tyop_2Epair_2Eprod @ TB @ $o )] :
      ( ! [B: TA] :
          ~ ( c_2Epair_2ESND @ TB @ $o @ ( A @ B ) )
     => ( ( c_2Epred__set_2EGSPEC @ TB @ TA @ A )
        = ( c_2Epred__set_2EEMPTY @ TB ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EGSPEC__F__COND)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,TB: $tType,A: TA > ( tyop_2Epair_2Eprod @ TB @ $o )] :
        ( ! [B: TA] :
            ~ ( c_2Epair_2ESND @ TB @ $o @ ( A @ B ) )
       => ( ( c_2Epred__set_2EGSPEC @ TB @ TA @ A )
          = ( c_2Epred__set_2EEMPTY @ TB ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(15,plain,(
    ~ ! [TA: $tType,TB: $tType,A: TA > ( tyop_2Epair_2Eprod @ TB @ $o )] :
        ( ! [B: TA] :
            ~ ( c_2Epair_2ESND @ TB @ $o @ ( A @ B ) )
       => ( ( c_2Epred__set_2EGSPEC @ TB @ TA @ A )
          = ( c_2Epred__set_2EEMPTY @ TB ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(17,plain,(
    ! [A: skt1] :
      ~ ( c_2Epair_2ESND @ skt2 @ $o @ ( sk1 @ A ) ) ),
    inference(cnf,[status(esa)],[15])).

thf(10,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).

thf(44,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(16,plain,(
    ( c_2Epred__set_2EGSPEC @ skt2 @ skt1 @ sk1 )
 != ( c_2Epred__set_2EEMPTY @ skt2 ) ),
    inference(cnf,[status(esa)],[15])).

thf(18,plain,(
    ( c_2Epred__set_2EGSPEC @ skt2 @ skt1 @ sk1 )
 != ( c_2Epred__set_2EEMPTY @ skt2 ) ),
    inference(lifteq,[status(thm)],[16])).

thf(76,plain,(
    ( c_2Epred__set_2EGSPEC @ skt2 @ skt1 @ sk1 @ sk4 )
 != ( c_2Epred__set_2EEMPTY @ skt2 @ sk4 ) ),
    inference(func_ext,[status(esa)],[18])).

thf(9,axiom,
    ( ! [A: $o] : ( ( ~ ~ A ) = A )
    & ( ( ~ c_2Ebool_2ET ) = c_2Ebool_2EF )
    & ( ( ~ c_2Ebool_2EF ) = c_2Ebool_2ET ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ENOT__CLAUSES)).

thf(39,plain,
    ( ( ( ~ c_2Ebool_2ET ) = c_2Ebool_2EF )
    & ( ( ~ c_2Ebool_2EF ) = c_2Ebool_2ET ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(12,axiom,(
    ! [TA: $tType,A: TA] :
      ~ ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EEMPTY @ TA ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2ENOT__IN__EMPTY)).

thf(63,plain,(
    ! [TA: $tType,A: TA] :
      ~ ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EEMPTY @ TA ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(3,axiom,(
    ! [A: $o] :
      ( c_2Ebool_2EF
     => A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EFALSITY)).

thf(19,plain,(
    ! [A: $o] :
      ( c_2Ebool_2EF
     => A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(22,plain,
    ( c_2Ebool_2EF
   => $false ),
    inference(instance,[status(thm)],[19])).

thf(23,plain,(
    ~ c_2Ebool_2EF ),
    inference(simp,[status(thm)],[22])).

thf(8,axiom,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB,C: TA,D: TB] :
      ( ( ( c_2Epair_2E_2C @ TA @ TB @ A @ B )
        = ( c_2Epair_2E_2C @ TA @ TB @ C @ D ) )
      = ( ( A = C )
        & ( B = D ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2ECLOSED__PAIR__EQ)).

thf(36,plain,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB,C: TA,D: TB] :
      ( ( ( c_2Epair_2E_2C @ TA @ TB @ A @ B )
        = ( c_2Epair_2E_2C @ TA @ TB @ C @ D ) )
      = ( ( A = C )
        & ( B = D ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(14,axiom,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( c_2Epair_2ESND @ TA @ TB @ ( c_2Epair_2E_2C @ TA @ TB @ A @ B ) )
      = B ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2ESND)).

thf(68,plain,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( c_2Epair_2ESND @ TA @ TB @ ( c_2Epair_2E_2C @ TA @ TB @ A @ B ) )
      = B ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(85,plain,(
    $false ),
    inference(e,[status(thm)],[24,25,33,65,53,32,17,44,76,39,63,18,23,36,30,19,15,68])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.11/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.11/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.11/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.11/0.12  % CPULimit   : 300
% 0.11/0.12  % DateTime   : Tue Jul 30 17:09:05 EDT 2019
% 0.11/0.13  % CPUTime    : 
% 3.31/1.42  % [INFO] 	 Running in sequential loop mode. 
% 3.89/1.61  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.30/1.67  % [INFO] 	 iprover registered as external prover. 
% 4.30/1.67  % [INFO] 	 e registered as external prover. 
% 4.30/1.68  % [INFO] 	 cvc4 registered as external prover. 
% 4.30/1.68  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.61/1.73  % [INFO] 	 Found a conjecture and 24 axioms. Running axiom selection ... 
% 4.61/1.78  % [INFO] 	 Axiom selection finished. Selected 12 axioms (removed 12 axioms). 
% 4.99/1.83  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.76/2.68  % [INFO] 	 Killing All external provers ... 
% 7.76/2.68  % Time passed: 2413ms
% 7.76/2.68  % Effective reasoning time: 1249ms
% 7.76/2.68  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.76/2.68  % Axioms used in derivation (12): thm_2Ebool_2ENOT__CLAUSES, thm_2Epair_2ESND, thm_2Ebool_2EEQ__CLAUSES, thm_2Epred__set_2EGSPECIFICATION, thm_2Ebool_2EFALSITY, thm_2Ebool_2EIMP__CLAUSES, thm_2Ebool_2ETRUTH, thm_2Epred__set_2ENOT__IN__EMPTY, thm_2Epred__set_2EEXTENSION, thm_2Epair_2ECLOSED__PAIR__EQ, thm_2Ebool_2EAND__CLAUSES, thm_2Epair_2EABS__PAIR__THM
% 7.76/2.68  % No. of inferences in proof: 36
% 7.76/2.68  % No. of processed clauses: 7
% 7.76/2.68  % No. of generated clauses: 3
% 7.76/2.68  % No. of forward subsumed clauses: 10
% 7.76/2.68  % No. of backward subsumed clauses: 0
% 7.76/2.68  % No. of ground rewrite rules in store: 2
% 7.76/2.68  % No. of non-ground rewrite rules in store: 2
% 7.76/2.68  % No. of positive (non-rewrite) units in store: 0
% 7.76/2.68  % No. of negative (non-rewrite) units in store: 2
% 7.76/2.68  % No. of choice functions detected: 0
% 7.76/2.68  % No. of choice instantiations: 0
% 7.76/2.68  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2413 ms resp. 1249 ms w/o parsing
% 7.84/2.71  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.84/2.71  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.84/2.71  thf(c_2Epair_2E_2C_type, type, c_2Epair_2E_2C: !>[TA: $tType,TB: $tType]: (TA > (TB > (tyop_2Epair_2Eprod @ TA @ TB)))).
% 7.84/2.71  thf(c_2Epred__set_2EEMPTY_type, type, c_2Epred__set_2EEMPTY: !>[TA: $tType]: (TA > $o)).
% 7.84/2.71  thf(c_2Ebool_2EF_type, type, c_2Ebool_2EF: $o).
% 7.84/2.71  thf(c_2Epred__set_2EGSPEC_type, type, c_2Epred__set_2EGSPEC: !>[TA: $tType,TB: $tType]: ((TB > (tyop_2Epair_2Eprod @ TA @ $o)) > (TA > $o))).
% 7.84/2.71  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 7.84/2.71  thf(c_2Epair_2ESND_type, type, c_2Epair_2ESND: !>[TA: $tType,TB: $tType]: ((tyop_2Epair_2Eprod @ TA @ TB) > TB)).
% 7.84/2.71  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 7.84/2.71  thf(skt1_type, type, skt1: $tType).
% 7.84/2.71  thf(skt2_type, type, skt2: $tType).
% 7.84/2.71  thf(sk1_type, type, sk1: (skt1 > (tyop_2Epair_2Eprod @ skt2 @ $o))).
% 7.84/2.71  thf(sk2_type, type, sk2: !>[TA: $tType,TB: $tType]: ((tyop_2Epair_2Eprod @ TB @ TA) > TB)).
% 7.84/2.71  thf(sk3_type, type, sk3: !>[TA: $tType,TB: $tType]: ((tyop_2Epair_2Eprod @ TB @ TA) > TA)).
% 7.84/2.71  thf(sk4_type, type, sk4: skt2).
% 7.84/2.71  thf(4,axiom,(c_2Ebool_2ET),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).
% 7.84/2.71  thf(24,plain,(c_2Ebool_2ET),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 7.84/2.71  thf(5,axiom,((! [A:$o]: ((((c_2Ebool_2ET) & (A)) = A) & (((A) & (c_2Ebool_2ET)) = A) & (((c_2Ebool_2EF) & (A)) = c_2Ebool_2EF) & (((A) & (c_2Ebool_2EF)) = c_2Ebool_2EF) & (((A) & (A)) = A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EAND__CLAUSES)).
% 7.84/2.71  thf(25,plain,((! [A:$o]: ((((c_2Ebool_2ET) & (A)) = A) & (((A) & (c_2Ebool_2ET)) = A) & (((c_2Ebool_2EF) & (A)) = c_2Ebool_2EF) & (((A) & (c_2Ebool_2EF)) = c_2Ebool_2EF)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 7.84/2.71  thf(7,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((A = B) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ A) = (c_2Ebool_2EIN @ TA @ C @ B))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EEXTENSION)).
% 7.84/2.71  thf(33,plain,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: (((A) = (B)) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (A)) = (c_2Ebool_2EIN @ TA @ C @ (B)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 7.84/2.71  thf(13,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TB > (tyop_2Epair_2Eprod @ TA @ $o)),B:TA]: ((c_2Ebool_2EIN @ TA @ B @ (c_2Epred__set_2EGSPEC @ TA @ TB @ A)) = (? [C:TB]: ((c_2Epair_2E_2C @ TA @ $o @ B @ c_2Ebool_2ET) = (A @ C))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EGSPECIFICATION)).
% 7.84/2.71  thf(65,plain,((! [TA: $tType,TB: $tType]: (! [A:(TB > (tyop_2Epair_2Eprod @ TA @ $o)),B:TA]: ((c_2Ebool_2EIN @ TA @ B @ (c_2Epred__set_2EGSPEC @ TA @ TB @ A)) = (? [C:TB]: ((c_2Epair_2E_2C @ TA @ $o @ B @ c_2Ebool_2ET) = (A @ C))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 7.84/2.71  thf(11,axiom,((! [A:$o]: ((((c_2Ebool_2ET) => (A)) = A) & (((A) => (c_2Ebool_2ET)) = c_2Ebool_2ET) & (((c_2Ebool_2EF) => (A)) = c_2Ebool_2ET) & (((A) => (A)) = c_2Ebool_2ET) & (((A) => (c_2Ebool_2EF)) = (~ (A)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__CLAUSES)).
% 7.84/2.71  thf(53,plain,((! [A:$o]: ((((c_2Ebool_2ET) => (A)) = A) & (((A) => (c_2Ebool_2ET)) = c_2Ebool_2ET) & (((c_2Ebool_2EF) => (A)) = c_2Ebool_2ET) & (c_2Ebool_2ET) & (((A) => (c_2Ebool_2EF)) = (~ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 7.84/2.71  thf(6,axiom,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Epair_2Eprod @ TA @ TB)]: ? [B:TA,C:TB]: (A = (c_2Epair_2E_2C @ TA @ TB @ B @ C))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2EABS__PAIR__THM)).
% 7.84/2.71  thf(30,plain,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Epair_2Eprod @ TA @ TB)]: ? [B:TA,C:TB]: (A = (c_2Epair_2E_2C @ TA @ TB @ B @ C))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 7.84/2.71  thf(31,plain,(! [TA:$tType,TB:$tType,A:(tyop_2Epair_2Eprod @ TB @ TA)] : ((A = (c_2Epair_2E_2C @ TB @ TA @ (sk2 @ TA @ TB @ A) @ (sk3 @ TA @ TB @ A))))),inference(cnf,[status(esa)],[30])).
% 7.84/2.71  thf(32,plain,(! [TA:$tType,TB:$tType,A:(tyop_2Epair_2Eprod @ TB @ TA)] : (((c_2Epair_2E_2C @ TB @ TA @ (sk2 @ TA @ TB @ A) @ (sk3 @ TA @ TB @ A)) = A))),inference(lifteq,[status(thm)],[31])).
% 7.84/2.71  thf(1,conjecture,((! [TA: $tType,TB: $tType]: (! [A:(TA > (tyop_2Epair_2Eprod @ TB @ $o))]: ((! [B:TA]: ~ (c_2Epair_2ESND @ TB @ $o @ (A @ B))) => ((c_2Epred__set_2EGSPEC @ TB @ TA @ A) = (c_2Epred__set_2EEMPTY @ TB)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EGSPEC__F__COND)).
% 7.84/2.71  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType]: (! [A:(TA > (tyop_2Epair_2Eprod @ TB @ $o))]: ((! [B:TA]: ~ (c_2Epair_2ESND @ TB @ $o @ (A @ B))) => ((c_2Epred__set_2EGSPEC @ TB @ TA @ A) = (c_2Epred__set_2EEMPTY @ TB))))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.84/2.71  thf(15,plain,((~ (! [TA: $tType,TB: $tType]: (! [A:(TA > (tyop_2Epair_2Eprod @ TB @ $o))]: ((! [B:TA]: ~ (c_2Epair_2ESND @ TB @ $o @ (A @ B))) => ((c_2Epred__set_2EGSPEC @ TB @ TA @ A) = (c_2Epred__set_2EEMPTY @ TB))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.84/2.71  thf(17,plain,(! [A:skt1] : ((~ (c_2Epair_2ESND @ skt2 @ $o @ (sk1 @ A))))),inference(cnf,[status(esa)],[15])).
% 7.84/2.71  thf(10,axiom,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).
% 7.84/2.71  thf(44,plain,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 7.84/2.71  thf(16,plain,((~ ((c_2Epred__set_2EGSPEC @ skt2 @ skt1 @ sk1) = (c_2Epred__set_2EEMPTY @ skt2)))),inference(cnf,[status(esa)],[15])).
% 7.84/2.71  thf(18,plain,(((c_2Epred__set_2EGSPEC @ skt2 @ skt1 @ sk1) != (c_2Epred__set_2EEMPTY @ skt2))),inference(lifteq,[status(thm)],[16])).
% 7.84/2.71  thf(76,plain,(((c_2Epred__set_2EGSPEC @ skt2 @ skt1 @ (sk1) @ sk4) != (c_2Epred__set_2EEMPTY @ skt2 @ sk4))),inference(func_ext,[status(esa)],[18])).
% 7.84/2.71  thf(9,axiom,((! [A:$o]: ((~ (~ (A))) = A) & ((~ (c_2Ebool_2ET)) = c_2Ebool_2EF) & ((~ (c_2Ebool_2EF)) = c_2Ebool_2ET))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ENOT__CLAUSES)).
% 7.84/2.71  thf(39,plain,((((~ (c_2Ebool_2ET)) = c_2Ebool_2EF) & ((~ (c_2Ebool_2EF)) = c_2Ebool_2ET))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 7.84/2.71  thf(12,axiom,((! [TA: $tType]: (! [A:TA]: ~ (c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EEMPTY @ TA))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2ENOT__IN__EMPTY)).
% 7.84/2.71  thf(63,plain,((! [TA: $tType]: (! [A:TA]: ~ (c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EEMPTY @ TA))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 7.84/2.71  thf(3,axiom,((! [A:$o]: ((c_2Ebool_2EF) => (A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EFALSITY)).
% 7.84/2.71  thf(19,plain,((! [A:$o]: ((c_2Ebool_2EF) => (A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.84/2.71  thf(22,plain,(((c_2Ebool_2EF) => ($false))),inference(instance,[status(thm)],[19])).
% 7.84/2.71  thf(23,plain,(~ (c_2Ebool_2EF)),inference(simp,[status(thm)],[22])).
% 7.84/2.71  thf(8,axiom,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB,C:TA,D:TB]: (((c_2Epair_2E_2C @ TA @ TB @ A @ B) = (c_2Epair_2E_2C @ TA @ TB @ C @ D)) = ((A = C) & (B = D)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2ECLOSED__PAIR__EQ)).
% 7.84/2.71  thf(36,plain,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB,C:TA,D:TB]: (((c_2Epair_2E_2C @ TA @ TB @ A @ B) = (c_2Epair_2E_2C @ TA @ TB @ C @ D)) = ((A = C) & (B = D)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 7.84/2.71  thf(14,axiom,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB]: ((c_2Epair_2ESND @ TA @ TB @ (c_2Epair_2E_2C @ TA @ TB @ A @ B)) = B)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2ESND)).
% 7.84/2.71  thf(68,plain,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB]: ((c_2Epair_2ESND @ TA @ TB @ (c_2Epair_2E_2C @ TA @ TB @ A @ B)) = B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).
% 7.84/2.71  thf(85,plain,($false),inference(e,[status(thm)],[24,25,33,65,53,32,17,44,76,39,63,18,23,36,30,19,15,68])).
% 7.84/2.71  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.84/2.71  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
