%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:37:20 EDT 2019

% Result     : Theorem 9.11s
% Output     : CNFRefutation 9.31s
% Verified   : 
% Statistics : Number of formulae       :   25 (  32 expanded)
%              Number of leaves         :   13 (  16 expanded)
%              Depth                    :    5
%              Number of atoms          :  186 ( 258 expanded)
%              Number of equality atoms :   26 (  38 expanded)
%              Maximal formula depth    :   11 (   7 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Epred__set_2EDIFF_type,type,(
    c_2Epred__set_2EDIFF: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > $o ) > TA > $o ) )).

thf(c_2Epred__set_2EEMPTY_type,type,(
    c_2Epred__set_2EEMPTY: 
      !>[TA: $tType] :
        ( TA > $o ) )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Epred__set_2ESUBSET_type,type,(
    c_2Epred__set_2ESUBSET: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > $o ) > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: skt1 > $o )).

thf(sk2_type,type,(
    sk2: skt1 > $o )).

thf(3,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( A = B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
            = ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EEXTENSION)).

thf(10,plain,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( A = B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
            = ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(1,conjecture,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( ( c_2Epred__set_2EDIFF @ TA @ A @ B )
        = ( c_2Epred__set_2EEMPTY @ TA ) )
      = ( c_2Epred__set_2ESUBSET @ TA @ A @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ESUBSET__DIFF__EMPTY)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: TA > $o,B: TA > $o] :
        ( ( ( c_2Epred__set_2EDIFF @ TA @ A @ B )
          = ( c_2Epred__set_2EEMPTY @ TA ) )
        = ( c_2Epred__set_2ESUBSET @ TA @ A @ B ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(7,plain,(
    ~ ! [TA: $tType,A: TA > $o,B: TA > $o] :
        ( ( ( c_2Epred__set_2EDIFF @ TA @ A @ B )
          = ( c_2Epred__set_2EEMPTY @ TA ) )
        = ( c_2Epred__set_2ESUBSET @ TA @ A @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(8,plain,(
    ( ( c_2Epred__set_2EDIFF @ skt1 @ sk1 @ sk2 )
    = ( c_2Epred__set_2EEMPTY @ skt1 ) )
 != ( c_2Epred__set_2ESUBSET @ skt1 @ sk1 @ sk2 ) ),
    inference(cnf,[status(esa)],[7])).

thf(9,plain,(
    ( c_2Epred__set_2ESUBSET @ skt1 @ sk1 @ sk2 )
 != ( ( c_2Epred__set_2EDIFF @ skt1 @ sk1 @ sk2 )
    = ( c_2Epred__set_2EEMPTY @ skt1 ) ) ),
    inference(lifteq,[status(thm)],[8])).

thf(4,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( c_2Epred__set_2ESUBSET @ TA @ A @ B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
           => ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ESUBSET__DEF)).

thf(13,plain,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( c_2Epred__set_2ESUBSET @ TA @ A @ B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
           => ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(5,axiom,(
    ! [TA: $tType,A: TA] :
      ~ ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EEMPTY @ TA ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ENOT__IN__EMPTY)).

thf(16,plain,(
    ! [TA: $tType,A: TA] :
      ~ ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EEMPTY @ TA ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(17,plain,(
    ! [TA: $tType,A: TA] :
      ~ ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EEMPTY @ TA ) ) ),
    inference(cnf,[status(esa)],[16])).

thf(11,plain,(
    ! [TA: $tType,B: TA > $o,A: TA > $o] :
      ( ( A = B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
            = ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ) ),
    inference(cnf,[status(esa)],[10])).

thf(12,plain,(
    ! [TA: $tType,B: TA > $o,A: TA > $o] :
      ( ( A = B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
            = ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ) ),
    inference(lifteq,[status(thm)],[11])).

thf(6,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA > $o,C: TA] :
      ( ( c_2Ebool_2EIN @ TA @ C @ ( c_2Epred__set_2EDIFF @ TA @ A @ B ) )
      = ( ( c_2Ebool_2EIN @ TA @ C @ A )
        & ~ ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__DIFF)).

thf(18,plain,(
    ! [TA: $tType,A: TA > $o,B: TA > $o,C: TA] :
      ( ( c_2Ebool_2EIN @ TA @ C @ ( c_2Epred__set_2EDIFF @ TA @ A @ B ) )
      = ( ( c_2Ebool_2EIN @ TA @ C @ A )
        & ~ ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(44,plain,(
    $false ),
    inference(e,[status(thm)],[10,9,13,17,12,7,18,16])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.06/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.06/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.06/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.06/0.13  % CPULimit   : 300
% 0.06/0.13  % DateTime   : Tue Jul 30 17:21:09 EDT 2019
% 0.06/0.13  % CPUTime    : 
% 3.99/1.63  % [INFO] 	 Running in sequential loop mode. 
% 4.91/1.81  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 5.21/1.87  % [INFO] 	 iprover registered as external prover. 
% 5.21/1.87  % [INFO] 	 e registered as external prover. 
% 5.21/1.87  % [INFO] 	 cvc4 registered as external prover. 
% 5.21/1.88  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.21/1.92  % [INFO] 	 Found a conjecture and 36 axioms. Running axiom selection ... 
% 5.63/1.97  % [INFO] 	 Axiom selection finished. Selected 4 axioms (removed 32 axioms). 
% 5.92/1.99  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 9.11/2.83  % [INFO] 	 Killing All external provers ... 
% 9.11/2.83  % Time passed: 2567ms
% 9.11/2.83  % Effective reasoning time: 1201ms
% 9.11/2.83  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 9.11/2.84  % Axioms used in derivation (4): thm_2Epred__set_2EEXTENSION, thm_2Epred__set_2ESUBSET__DEF, thm_2Epred__set_2ENOT__IN__EMPTY, thm_2Epred__set_2EIN__DIFF
% 9.11/2.84  % No. of inferences in proof: 17
% 9.11/2.84  % No. of processed clauses: 4
% 9.11/2.84  % No. of generated clauses: 7
% 9.11/2.84  % No. of forward subsumed clauses: 0
% 9.11/2.84  % No. of backward subsumed clauses: 0
% 9.11/2.84  % No. of ground rewrite rules in store: 0
% 9.11/2.84  % No. of non-ground rewrite rules in store: 1
% 9.11/2.84  % No. of positive (non-rewrite) units in store: 2
% 9.11/2.84  % No. of negative (non-rewrite) units in store: 1
% 9.11/2.84  % No. of choice functions detected: 0
% 9.11/2.84  % No. of choice instantiations: 0
% 9.11/2.84  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2567 ms resp. 1201 ms w/o parsing
% 9.31/2.86  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 9.31/2.86  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 9.31/2.86  thf(c_2Epred__set_2EDIFF_type, type, c_2Epred__set_2EDIFF: !>[TA: $tType]: ((TA > $o) > ((TA > $o) > (TA > $o)))).
% 9.31/2.86  thf(c_2Epred__set_2EEMPTY_type, type, c_2Epred__set_2EEMPTY: !>[TA: $tType]: (TA > $o)).
% 9.31/2.86  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 9.31/2.86  thf(c_2Epred__set_2ESUBSET_type, type, c_2Epred__set_2ESUBSET: !>[TA: $tType]: ((TA > $o) > ((TA > $o) > $o))).
% 9.31/2.86  thf(skt1_type, type, skt1: $tType).
% 9.31/2.86  thf(sk1_type, type, sk1: (skt1 > $o)).
% 9.31/2.86  thf(sk2_type, type, sk2: (skt1 > $o)).
% 9.31/2.86  thf(3,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((A = B) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ A) = (c_2Ebool_2EIN @ TA @ C @ B))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EEXTENSION)).
% 9.31/2.86  thf(10,plain,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: (((A) = (B)) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (A)) = (c_2Ebool_2EIN @ TA @ C @ (B)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 9.31/2.86  thf(1,conjecture,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: (((c_2Epred__set_2EDIFF @ TA @ A @ B) = (c_2Epred__set_2EEMPTY @ TA)) = (c_2Epred__set_2ESUBSET @ TA @ A @ B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ESUBSET__DIFF__EMPTY)).
% 9.31/2.86  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: (((c_2Epred__set_2EDIFF @ TA @ A @ B) = (c_2Epred__set_2EEMPTY @ TA)) = (c_2Epred__set_2ESUBSET @ TA @ A @ B)))))),inference(neg_conjecture,[status(cth)],[1])).
% 9.31/2.86  thf(7,plain,((~ (! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: (((c_2Epred__set_2EDIFF @ TA @ A @ B) = (c_2Epred__set_2EEMPTY @ TA)) = (c_2Epred__set_2ESUBSET @ TA @ (A) @ (B))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 9.31/2.86  thf(8,plain,((~ (((c_2Epred__set_2EDIFF @ skt1 @ sk1 @ sk2) = (c_2Epred__set_2EEMPTY @ skt1)) = (c_2Epred__set_2ESUBSET @ skt1 @ (sk1) @ (sk2))))),inference(cnf,[status(esa)],[7])).
% 9.31/2.86  thf(9,plain,(((c_2Epred__set_2ESUBSET @ skt1 @ (sk1) @ (sk2)) != ((c_2Epred__set_2EDIFF @ skt1 @ sk1 @ sk2) = (c_2Epred__set_2EEMPTY @ skt1)))),inference(lifteq,[status(thm)],[8])).
% 9.31/2.86  thf(4,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((c_2Epred__set_2ESUBSET @ TA @ A @ B) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ A) => (c_2Ebool_2EIN @ TA @ C @ B))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ESUBSET__DEF)).
% 9.31/2.86  thf(13,plain,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((c_2Epred__set_2ESUBSET @ TA @ (A) @ (B)) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (A)) => (c_2Ebool_2EIN @ TA @ C @ (B)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 9.31/2.86  thf(5,axiom,((! [TA: $tType]: (! [A:TA]: ~ (c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EEMPTY @ TA))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ENOT__IN__EMPTY)).
% 9.31/2.86  thf(16,plain,((! [TA: $tType]: (! [A:TA]: ~ (c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EEMPTY @ TA))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 9.31/2.86  thf(17,plain,(! [TA:$tType,A:TA] : ((~ (c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EEMPTY @ TA))))),inference(cnf,[status(esa)],[16])).
% 9.31/2.86  thf(11,plain,(! [TA:$tType,B:(TA > $o),A:(TA > $o)] : ((((A) = (B)) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (A)) = (c_2Ebool_2EIN @ TA @ C @ (B))))))),inference(cnf,[status(esa)],[10])).
% 9.31/2.86  thf(12,plain,(! [TA:$tType,B:(TA > $o),A:(TA > $o)] : ((((A) = (B)) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (A)) = (c_2Ebool_2EIN @ TA @ C @ (B))))))),inference(lifteq,[status(thm)],[11])).
% 9.31/2.86  thf(6,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o),C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (c_2Epred__set_2EDIFF @ TA @ A @ B)) = ((c_2Ebool_2EIN @ TA @ C @ A) & ~ (c_2Ebool_2EIN @ TA @ C @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__DIFF)).
% 9.31/2.86  thf(18,plain,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o),C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (c_2Epred__set_2EDIFF @ TA @ A @ B)) = ((c_2Ebool_2EIN @ TA @ C @ (A)) & ~ (c_2Ebool_2EIN @ TA @ C @ (B))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 9.31/2.86  thf(44,plain,($false),inference(e,[status(thm)],[10,9,13,17,12,7,18,16])).
% 9.31/2.86  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 9.31/2.86  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
