%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:37:26 EDT 2019

% Result     : Theorem 7.50s
% Output     : CNFRefutation 7.50s
% Verified   : 
% Statistics : Number of formulae       :   60 (  78 expanded)
%              Number of leaves         :   31 (  38 expanded)
%              Depth                    :    6
%              Number of atoms          :  282 ( 392 expanded)
%              Number of equality atoms :   41 (  59 expanded)
%              Maximal formula depth    :   12 (   5 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(c_2Epair_2EUNCURRY_type,type,(
    c_2Epair_2EUNCURRY: 
      !>[TA: $tType,TB: $tType,TC: $tType] :
        ( ( TA > TB > TC ) > ( tyop_2Epair_2Eprod @ TA @ TB ) > TC ) )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Eset__relation_2Erel__to__reln_type,type,(
    c_2Eset__relation_2Erel__to__reln: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > TB > $o ) > ( tyop_2Epair_2Eprod @ TA @ TB ) > $o ) )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $o > $o )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(skt2_type,type,(
    skt2: $tType )).

thf(sk1_type,type,(
    sk1: skt1 > skt2 > $o )).

thf(sk2_type,type,(
    sk2: ( tyop_2Epair_2Eprod @ skt1 @ skt2 ) )).

thf(16,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(69,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(10,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(37,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(3,axiom,(
    ! [TA: $tType,TB: $tType,A: tyop_2Epair_2Eprod @ TA @ TB,B: TA > TB > $o] :
      ( ( c_2Ebool_2EIN @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ A @ ( c_2Eset__relation_2Erel__to__reln @ TA @ TB @ B ) )
      = ( B @ ( c_2Epair_2EFST @ TA @ TB @ A ) @ ( c_2Epair_2ESND @ TA @ TB @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eset__relation_2Ein__rel__to__reln)).

thf(20,plain,(
    ! [TA: $tType,TB: $tType,A: tyop_2Epair_2Eprod @ TA @ TB,B: TA > TB > $o] :
      ( ( c_2Ebool_2EIN @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ A @ ( c_2Eset__relation_2Erel__to__reln @ TA @ TB @ B ) )
      = ( B @ ( c_2Epair_2EFST @ TA @ TB @ A ) @ ( c_2Epair_2ESND @ TA @ TB @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(13,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(46,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(14,axiom,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(55,plain,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(56,plain,
    ( ( c_2Ebool_2E_7E @ $true )
    = ( ~ $true ) ),
    inference(instance,[status(thm)],[55])).

thf(57,plain,(
    ~ ( c_2Ebool_2E_7E @ $true ) ),
    inference(simp,[status(thm)],[56])).

thf(6,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > TB,B: TA > TB] :
      ( ( A = B )
      = ( ! [C: TA] :
            ( ( A @ C )
            = ( B @ C ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EFUN__EQ__THM)).

thf(29,plain,(
    ! [TA: $tType,TB: $tType,A: TA > TB,B: TA > TB] :
      ( ( A = B )
      = ( ! [C: TA] :
            ( ( A @ C )
            = ( B @ C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(15,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(60,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(7,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( A = A )
      = c_2Ebool_2ET ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).

thf(32,plain,(
    ! [TA: $tType] : c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(33,plain,(
    c_2Ebool_2ET ),
    inference(cnf,[status(esa)],[32])).

thf(8,axiom,(
    ! [TA: $tType,A: $o] :
      ( ( ! [B: TA] : A )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EFORALL__SIMP)).

thf(34,plain,(
    ! [TA: $tType] : $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(1,conjecture,(
    ! [TA: $tType,TB: $tType] :
      ( ( c_2Eset__relation_2Erel__to__reln @ TA @ TB )
      = ( c_2Epair_2EUNCURRY @ TA @ TB @ $o ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eset__relation_2Erel__to__reln__IS__UNCURRY)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,TB: $tType] :
        ( ( c_2Eset__relation_2Erel__to__reln @ TA @ TB )
        = ( c_2Epair_2EUNCURRY @ TA @ TB @ $o ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(17,plain,(
    ~ ! [TA: $tType,TB: $tType] :
        ( ( c_2Eset__relation_2Erel__to__reln @ TA @ TB )
        = ( c_2Epair_2EUNCURRY @ TA @ TB @ $o ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(58,plain,
    ( ( c_2Ebool_2E_7E @ $false )
    = ( ~ $false ) ),
    inference(instance,[status(thm)],[55])).

thf(59,plain,(
    c_2Ebool_2E_7E @ $false ),
    inference(simp,[status(thm)],[58])).

thf(49,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $true @ $false )
    = ( $true
     => $false ) ),
    inference(instance,[status(thm)],[46])).

thf(50,plain,(
    ~ ( c_2Emin_2E_3D_3D_3E @ $true @ $false ) ),
    inference(simp,[status(thm)],[49])).

thf(12,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(43,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(11,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(40,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(5,axiom,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: TA > TB > TC,B: tyop_2Epair_2Eprod @ TA @ TB] :
      ( ( c_2Epair_2EUNCURRY @ TA @ TB @ TC @ A @ B )
      = ( A @ ( c_2Epair_2EFST @ TA @ TB @ B ) @ ( c_2Epair_2ESND @ TA @ TB @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2EUNCURRY__VAR)).

thf(26,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: TA > TB > TC,B: tyop_2Epair_2Eprod @ TA @ TB] :
      ( ( c_2Epair_2EUNCURRY @ TA @ TB @ TC @ A @ B )
      = ( A @ ( c_2Epair_2EFST @ TA @ TB @ B ) @ ( c_2Epair_2ESND @ TA @ TB @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(4,axiom,(
    ! [TA: $tType,A: TA,B: TA > $o] :
      ( ( c_2Ebool_2EIN @ TA @ A @ B )
      = ( B @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__APP)).

thf(23,plain,(
    ! [TA: $tType,A: TA,B: TA > $o] :
      ( ( c_2Ebool_2EIN @ TA @ A @ B )
      = ( B @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(9,axiom,(
    c_2Ebool_2ET ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(36,plain,(
    c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(18,plain,(
    ( c_2Eset__relation_2Erel__to__reln @ skt1 @ skt2 )
 != ( c_2Epair_2EUNCURRY @ skt1 @ skt2 @ $o ) ),
    inference(cnf,[status(esa)],[17])).

thf(19,plain,(
    ( c_2Eset__relation_2Erel__to__reln @ skt1 @ skt2 )
 != ( c_2Epair_2EUNCURRY @ skt1 @ skt2 @ $o ) ),
    inference(lifteq,[status(thm)],[18])).

thf(79,plain,(
    ( c_2Eset__relation_2Erel__to__reln @ skt1 @ skt2 @ sk1 @ sk2 )
 != ( c_2Epair_2EUNCURRY @ skt1 @ skt2 @ $o @ sk1 @ sk2 ) ),
    inference(func_ext,[status(esa)],[19])).

thf(67,plain,
    ( ( c_2Ebool_2E_5C_2F @ $false @ $false )
    = ( $false
      | $false ) ),
    inference(instance,[status(thm)],[60])).

thf(68,plain,(
    ~ ( c_2Ebool_2E_5C_2F @ $false @ $false ) ),
    inference(simp,[status(thm)],[67])).

thf(131,plain,(
    $false ),
    inference(iprover,[status(thm)],[69,37,20,46,57,29,60,33,32,34,17,59,50,43,40,26,55,23,36,19,79,68])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.13/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.13/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.13/0.13  % CPULimit   : 300
% 0.13/0.13  % DateTime   : Tue Jul 30 17:42:44 EDT 2019
% 0.13/0.13  % CPUTime    : 
% 2.62/1.19  % [INFO] 	 Running in sequential loop mode. 
% 3.40/1.40  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.77/1.46  % [INFO] 	 iprover registered as external prover. 
% 3.77/1.46  % [INFO] 	 e registered as external prover. 
% 3.77/1.46  % [INFO] 	 cvc4 registered as external prover. 
% 3.77/1.47  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.89/1.52  % [INFO] 	 Found a conjecture and 14 axioms. Running axiom selection ... 
% 4.09/1.55  % [INFO] 	 Axiom selection finished. Selected 14 axioms (removed 0 axioms). 
% 4.09/1.60  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.50/2.53  % [INFO] 	 Killing All external provers ... 
% 7.50/2.53  % Time passed: 2256ms
% 7.50/2.53  % Effective reasoning time: 1329ms
% 7.50/2.53  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.50/2.53  % Axioms used in derivation (14): thm_2Ebool_2EFUN__EQ__THM, logicdef_2E_3D, thm_2Ebool_2EREFL__CLAUSE, thm_2Epair_2EUNCURRY__VAR, thm_2Eset__relation_2Ein__rel__to__reln, logicdef_2E_5C_2F, quantdef_2E_21, thm_2Ebool_2ETRUTH, logicdef_2E_3D_3D_3E, thm_2Epred__set_2EIN__APP, thm_2Ebool_2EFORALL__SIMP, logicdef_2E_2F_5C, logicdef_2E_7E, quantdef_2E_3F
% 7.50/2.53  % No. of inferences in proof: 44
% 7.50/2.53  % No. of processed clauses: 9
% 7.50/2.53  % No. of generated clauses: 23
% 7.50/2.53  % No. of forward subsumed clauses: 1
% 7.50/2.53  % No. of backward subsumed clauses: 0
% 7.50/2.53  % No. of ground rewrite rules in store: 5
% 7.50/2.53  % No. of non-ground rewrite rules in store: 0
% 7.50/2.53  % No. of positive (non-rewrite) units in store: 1
% 7.50/2.53  % No. of negative (non-rewrite) units in store: 2
% 7.50/2.53  % No. of choice functions detected: 0
% 7.50/2.53  % No. of choice instantiations: 0
% 7.50/2.53  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2256 ms resp. 1329 ms w/o parsing
% 7.50/2.56  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.50/2.56  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.50/2.56  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 7.50/2.56  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 7.50/2.56  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 7.50/2.56  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 7.50/2.56  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 7.50/2.56  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 7.50/2.56  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 7.50/2.56  thf(c_2Epair_2EUNCURRY_type, type, c_2Epair_2EUNCURRY: !>[TA: $tType,TB: $tType,TC: $tType]: ((TA > (TB > TC)) > ((tyop_2Epair_2Eprod @ TA @ TB) > TC))).
% 7.50/2.56  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 7.50/2.56  thf(c_2Eset__relation_2Erel__to__reln_type, type, c_2Eset__relation_2Erel__to__reln: !>[TA: $tType,TB: $tType]: ((TA > (TB > $o)) > ((tyop_2Epair_2Eprod @ TA @ TB) > $o))).
% 7.50/2.56  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 7.50/2.56  thf(skt1_type, type, skt1: $tType).
% 7.50/2.56  thf(skt2_type, type, skt2: $tType).
% 7.50/2.56  thf(sk1_type, type, sk1: (skt1 > (skt2 > $o))).
% 7.50/2.56  thf(sk2_type, type, sk2: (tyop_2Epair_2Eprod @ skt1 @ skt2)).
% 7.50/2.56  thf(16,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 7.50/2.56  thf(69,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).
% 7.50/2.56  thf(10,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 7.50/2.56  thf(37,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 7.50/2.56  thf(3,axiom,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Epair_2Eprod @ TA @ TB),B:(TA > (TB > $o))]: ((c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ TA @ TB) @ A @ (c_2Eset__relation_2Erel__to__reln @ TA @ TB @ B)) = (B @ (c_2Epair_2EFST @ TA @ TB @ A) @ (c_2Epair_2ESND @ TA @ TB @ A)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eset__relation_2Ein__rel__to__reln)).
% 7.50/2.56  thf(20,plain,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Epair_2Eprod @ TA @ TB),B:(TA > (TB > $o))]: ((c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ TA @ TB) @ A @ (c_2Eset__relation_2Erel__to__reln @ TA @ TB @ B)) = (B @ (c_2Epair_2EFST @ TA @ TB @ A) @ (c_2Epair_2ESND @ TA @ TB @ A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.50/2.56  thf(13,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 7.50/2.56  thf(46,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 7.50/2.56  thf(14,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 7.50/2.56  thf(55,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).
% 7.50/2.56  thf(56,plain,(((c_2Ebool_2E_7E @ $true) = (~ ($true)))),inference(instance,[status(thm)],[55])).
% 7.50/2.56  thf(57,plain,((~ (c_2Ebool_2E_7E @ $true))),inference(simp,[status(thm)],[56])).
% 7.50/2.56  thf(6,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:(TA > TB)]: ((A = B) = (! [C:TA]: ((A @ C) = (B @ C))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EFUN__EQ__THM)).
% 7.50/2.56  thf(29,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:(TA > TB)]: (((A) = (B)) = (! [C:TA]: ((A @ C) = (B @ C))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 7.50/2.56  thf(15,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 7.50/2.56  thf(60,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).
% 7.50/2.56  thf(7,axiom,((! [TA: $tType]: (! [A:TA]: ((A = A) = c_2Ebool_2ET)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).
% 7.50/2.56  thf(32,plain,((! [TA: $tType]: (c_2Ebool_2ET))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 7.50/2.56  thf(33,plain,(c_2Ebool_2ET),inference(cnf,[status(esa)],[32])).
% 7.50/2.56  thf(8,axiom,((! [TA: $tType]: (! [A:$o]: ((! [B:TA]: (A)) = A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EFORALL__SIMP)).
% 7.50/2.56  thf(34,plain,((! [TA: $tType]: ($true))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 7.50/2.56  thf(1,conjecture,((! [TA: $tType,TB: $tType]: ((c_2Eset__relation_2Erel__to__reln @ TA @ TB) = (c_2Epair_2EUNCURRY @ TA @ TB @ $o)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eset__relation_2Erel__to__reln__IS__UNCURRY)).
% 7.50/2.56  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType]: ((c_2Eset__relation_2Erel__to__reln @ TA @ TB) = (c_2Epair_2EUNCURRY @ TA @ TB @ $o))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.50/2.56  thf(17,plain,((~ (! [TA: $tType,TB: $tType]: ((c_2Eset__relation_2Erel__to__reln @ TA @ TB) = (c_2Epair_2EUNCURRY @ TA @ TB @ $o))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.50/2.56  thf(58,plain,(((c_2Ebool_2E_7E @ $false) = (~ ($false)))),inference(instance,[status(thm)],[55])).
% 7.50/2.56  thf(59,plain,((c_2Ebool_2E_7E @ $false)),inference(simp,[status(thm)],[58])).
% 7.50/2.56  thf(49,plain,(((c_2Emin_2E_3D_3D_3E @ $true @ $false) = (($true) => ($false)))),inference(instance,[status(thm)],[46])).
% 7.50/2.56  thf(50,plain,((~ (c_2Emin_2E_3D_3D_3E @ $true @ $false))),inference(simp,[status(thm)],[49])).
% 7.50/2.56  thf(12,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 7.50/2.56  thf(43,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 7.50/2.56  thf(11,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).
% 7.50/2.56  thf(40,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 7.50/2.56  thf(5,axiom,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TA > (TB > TC)),B:(tyop_2Epair_2Eprod @ TA @ TB)]: ((c_2Epair_2EUNCURRY @ TA @ TB @ TC @ A @ B) = (A @ (c_2Epair_2EFST @ TA @ TB @ B) @ (c_2Epair_2ESND @ TA @ TB @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2EUNCURRY__VAR)).
% 7.50/2.56  thf(26,plain,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TA > (TB > TC)),B:(tyop_2Epair_2Eprod @ TA @ TB)]: ((c_2Epair_2EUNCURRY @ TA @ TB @ TC @ (A) @ B) = (A @ (c_2Epair_2EFST @ TA @ TB @ B) @ (c_2Epair_2ESND @ TA @ TB @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 7.50/2.56  thf(4,axiom,((! [TA: $tType]: (! [A:TA,B:(TA > $o)]: ((c_2Ebool_2EIN @ TA @ A @ B) = (B @ A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__APP)).
% 7.50/2.56  thf(23,plain,((! [TA: $tType]: (! [A:TA,B:(TA > $o)]: ((c_2Ebool_2EIN @ TA @ A @ (B)) = (B @ A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 7.50/2.56  thf(9,axiom,(c_2Ebool_2ET),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).
% 7.50/2.56  thf(36,plain,(c_2Ebool_2ET),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 7.50/2.56  thf(18,plain,((~ ((c_2Eset__relation_2Erel__to__reln @ skt1 @ skt2) = (c_2Epair_2EUNCURRY @ skt1 @ skt2 @ $o)))),inference(cnf,[status(esa)],[17])).
% 7.50/2.56  thf(19,plain,(((c_2Eset__relation_2Erel__to__reln @ skt1 @ skt2) != (c_2Epair_2EUNCURRY @ skt1 @ skt2 @ $o))),inference(lifteq,[status(thm)],[18])).
% 7.50/2.56  thf(79,plain,(((c_2Eset__relation_2Erel__to__reln @ skt1 @ skt2 @ (sk1) @ sk2) != (c_2Epair_2EUNCURRY @ skt1 @ skt2 @ $o @ (sk1) @ sk2))),inference(func_ext,[status(esa)],[19])).
% 7.50/2.56  thf(67,plain,(((c_2Ebool_2E_5C_2F @ $false @ $false) = (($false) | ($false)))),inference(instance,[status(thm)],[60])).
% 7.50/2.56  thf(68,plain,((~ (c_2Ebool_2E_5C_2F @ $false @ $false))),inference(simp,[status(thm)],[67])).
% 7.50/2.56  thf(131,plain,($false),inference(iprover,[status(thm)],[69,37,20,46,57,29,60,33,32,34,17,59,50,43,40,26,55,23,36,19,79,68])).
% 7.50/2.56  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.50/2.56  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
