%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:37:27 EDT 2019

% Result     : Theorem 10.85s
% Output     : CNFRefutation 10.85s
% Verified   : 
% Statistics : Number of formulae       :   37 (  42 expanded)
%              Number of leaves         :   21 (  23 expanded)
%              Depth                    :    5
%              Number of atoms          :  337 ( 397 expanded)
%              Number of equality atoms :   33 (  38 expanded)
%              Maximal formula depth    :   14 (   9 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: 
      !>[TA: $tType,TB: $tType] :
        ( TA > TB > ( tyop_2Epair_2Eprod @ TA @ TB ) ) )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Epred__set_2EREL__RESTRICT_type,type,(
    c_2Epred__set_2EREL__RESTRICT: 
      !>[TA: $tType] :
        ( ( TA > TA > $o ) > ( TA > $o ) > TA > TA > $o ) )).

thf(c_2Erelation_2Eirreflexive_type,type,(
    c_2Erelation_2Eirreflexive: 
      !>[TA: $tType] :
        ( ( TA > TA > $o ) > $o ) )).

thf(c_2Eset__relation_2Eirreflexive_type,type,(
    c_2Eset__relation_2Eirreflexive: 
      !>[TA: $tType] :
        ( ( ( tyop_2Epair_2Eprod @ TA @ TA ) > $o ) > ( TA > $o ) > $o ) )).

thf(c_2Eset__relation_2Erel__to__reln_type,type,(
    c_2Eset__relation_2Erel__to__reln: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > TB > $o ) > ( tyop_2Epair_2Eprod @ TA @ TB ) > $o ) )).

thf(c_2Eset__relation_2Ereln__to__rel_type,type,(
    c_2Eset__relation_2Ereln__to__rel: 
      !>[TA: $tType,TB: $tType] :
        ( ( ( tyop_2Epair_2Eprod @ TA @ TB ) > $o ) > TA > TB > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: skt1 > $o )).

thf(sk2_type,type,(
    sk2: ( tyop_2Epair_2Eprod @ skt1 @ skt1 ) > $o )).

thf(6,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > TB > $o] :
      ( ( c_2Eset__relation_2Ereln__to__rel @ TA @ TB @ ( c_2Eset__relation_2Erel__to__reln @ TA @ TB @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eset__relation_2Erel__to__reln__inv)).

thf(24,plain,(
    ! [TA: $tType,TB: $tType,A: TA > TB > $o] :
      ( ( c_2Eset__relation_2Ereln__to__rel @ TA @ TB @ ( c_2Eset__relation_2Erel__to__reln @ TA @ TB @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(1,conjecture,(
    ! [TA: $tType,A: TA > $o,B: ( tyop_2Epair_2Eprod @ TA @ TA ) > $o] :
      ( ( c_2Eset__relation_2Eirreflexive @ TA @ B @ A )
      = ( c_2Erelation_2Eirreflexive @ TA @ ( c_2Epred__set_2EREL__RESTRICT @ TA @ ( c_2Eset__relation_2Ereln__to__rel @ TA @ TA @ B ) @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eset__relation_2Eirreflexive__reln__to__rel__conv)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: TA > $o,B: ( tyop_2Epair_2Eprod @ TA @ TA ) > $o] :
        ( ( c_2Eset__relation_2Eirreflexive @ TA @ B @ A )
        = ( c_2Erelation_2Eirreflexive @ TA @ ( c_2Epred__set_2EREL__RESTRICT @ TA @ ( c_2Eset__relation_2Ereln__to__rel @ TA @ TA @ B ) @ A ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(12,plain,(
    ~ ! [TA: $tType,A: TA > $o,B: ( tyop_2Epair_2Eprod @ TA @ TA ) > $o] :
        ( ( c_2Eset__relation_2Eirreflexive @ TA @ B @ A )
        = ( c_2Erelation_2Eirreflexive @ TA @ ( c_2Epred__set_2EREL__RESTRICT @ TA @ ( c_2Eset__relation_2Ereln__to__rel @ TA @ TA @ B ) @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(13,plain,(
    ( c_2Eset__relation_2Eirreflexive @ skt1 @ sk2 @ sk1 )
 != ( c_2Erelation_2Eirreflexive @ skt1 @ ( c_2Epred__set_2EREL__RESTRICT @ skt1 @ ( c_2Eset__relation_2Ereln__to__rel @ skt1 @ skt1 @ sk2 ) @ sk1 ) ) ),
    inference(cnf,[status(esa)],[12])).

thf(14,plain,(
    ( c_2Eset__relation_2Eirreflexive @ skt1 @ sk2 @ sk1 )
 != ( c_2Erelation_2Eirreflexive @ skt1 @ ( c_2Epred__set_2EREL__RESTRICT @ skt1 @ ( c_2Eset__relation_2Ereln__to__rel @ skt1 @ skt1 @ sk2 ) @ sk1 ) ) ),
    inference(lifteq,[status(thm)],[13])).

thf(5,axiom,(
    ! [TA: $tType,A: ( tyop_2Epair_2Eprod @ TA @ TA ) > $o,B: TA > $o] :
      ( ( c_2Eset__relation_2Eirreflexive @ TA @ A @ B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ B )
           => ~ ( c_2Ebool_2EIN @ ( tyop_2Epair_2Eprod @ TA @ TA ) @ ( c_2Epair_2E_2C @ TA @ TA @ C @ C ) @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eset__relation_2Eirreflexive__def)).

thf(21,plain,(
    ! [TA: $tType,A: ( tyop_2Epair_2Eprod @ TA @ TA ) > $o,B: TA > $o] :
      ( ( c_2Eset__relation_2Eirreflexive @ TA @ A @ B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ B )
           => ~ ( c_2Ebool_2EIN @ ( tyop_2Epair_2Eprod @ TA @ TA ) @ ( c_2Epair_2E_2C @ TA @ TA @ C @ C ) @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(9,axiom,(
    ! [TA: $tType,TB: $tType,A: ( tyop_2Epair_2Eprod @ TA @ TB ) > $o,B: ( tyop_2Epair_2Eprod @ TA @ TB ) > $o] :
      ( ( ( c_2Eset__relation_2Ereln__to__rel @ TA @ TB @ B )
        = ( c_2Eset__relation_2Ereln__to__rel @ TA @ TB @ A ) )
      = ( B = A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eset__relation_2Ereln__to__rel__11)).

thf(33,plain,(
    ! [TA: $tType,TB: $tType,A: ( tyop_2Epair_2Eprod @ TA @ TB ) > $o,B: ( tyop_2Epair_2Eprod @ TA @ TB ) > $o] :
      ( ( ( c_2Eset__relation_2Ereln__to__rel @ TA @ TB @ B )
        = ( c_2Eset__relation_2Ereln__to__rel @ TA @ TB @ A ) )
      = ( B = A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(7,axiom,(
    ! [TA: $tType,A: TA > TA > $o,B: TA > $o,C: TA,D: TA] :
      ( ( c_2Epred__set_2EREL__RESTRICT @ TA @ A @ B @ C @ D )
      = ( ( c_2Ebool_2EIN @ TA @ C @ B )
        & ( c_2Ebool_2EIN @ TA @ D @ B )
        & ( A @ C @ D ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EREL__RESTRICT__DEF)).

thf(27,plain,(
    ! [TA: $tType,A: TA > TA > $o,B: TA > $o,C: TA,D: TA] :
      ( ( c_2Epred__set_2EREL__RESTRICT @ TA @ A @ B @ C @ D )
      = ( ( c_2Ebool_2EIN @ TA @ C @ B )
        & ( c_2Ebool_2EIN @ TA @ D @ B )
        & ( A @ C @ D ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(11,axiom,(
    ! [TA: $tType,TB: $tType,A: ( tyop_2Epair_2Eprod @ TA @ TB ) > $o] :
      ( ( c_2Eset__relation_2Erel__to__reln @ TA @ TB @ ( c_2Eset__relation_2Ereln__to__rel @ TA @ TB @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eset__relation_2Ereln__to__rel__inv)).

thf(39,plain,(
    ! [TA: $tType,TB: $tType,A: ( tyop_2Epair_2Eprod @ TA @ TB ) > $o] :
      ( ( c_2Eset__relation_2Erel__to__reln @ TA @ TB @ ( c_2Eset__relation_2Ereln__to__rel @ TA @ TB @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(4,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > TB > $o,B: TA > TB > $o] :
      ( ( ( c_2Eset__relation_2Erel__to__reln @ TA @ TB @ B )
        = ( c_2Eset__relation_2Erel__to__reln @ TA @ TB @ A ) )
      = ( B = A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eset__relation_2Erel__to__reln__11)).

thf(18,plain,(
    ! [TA: $tType,TB: $tType,A: TA > TB > $o,B: TA > TB > $o] :
      ( ( ( c_2Eset__relation_2Erel__to__reln @ TA @ TB @ B )
        = ( c_2Eset__relation_2Erel__to__reln @ TA @ TB @ A ) )
      = ( B = A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(25,plain,(
    ! [TA: $tType,TB: $tType,A: TB > TA > $o] :
      ( ( c_2Eset__relation_2Ereln__to__rel @ TB @ TA @ ( c_2Eset__relation_2Erel__to__reln @ TB @ TA @ A ) )
      = A ) ),
    inference(cnf,[status(esa)],[24])).

thf(26,plain,(
    ! [TA: $tType,TB: $tType,A: TB > TA > $o] :
      ( ( c_2Eset__relation_2Ereln__to__rel @ TB @ TA @ ( c_2Eset__relation_2Erel__to__reln @ TB @ TA @ A ) )
      = A ) ),
    inference(lifteq,[status(thm)],[25])).

thf(10,axiom,(
    ! [TA: $tType,TB: $tType,A: TB,B: TA,C: ( tyop_2Epair_2Eprod @ TA @ TB ) > $o] :
      ( ( c_2Eset__relation_2Ereln__to__rel @ TA @ TB @ C @ B @ A )
      = ( c_2Ebool_2EIN @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ ( c_2Epair_2E_2C @ TA @ TB @ B @ A ) @ C ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eset__relation_2Ereln__to__rel__app)).

thf(36,plain,(
    ! [TA: $tType,TB: $tType,A: TB,B: TA,C: ( tyop_2Epair_2Eprod @ TA @ TB ) > $o] :
      ( ( c_2Eset__relation_2Ereln__to__rel @ TA @ TB @ C @ B @ A )
      = ( c_2Ebool_2EIN @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ ( c_2Epair_2E_2C @ TA @ TB @ B @ A ) @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(8,axiom,(
    ! [TA: $tType,A: TA > TA > $o] :
      ( ( c_2Erelation_2Eirreflexive @ TA @ A )
      = ( ! [B: TA] :
            ~ ( A @ B @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erelation_2Eirreflexive__def)).

thf(30,plain,(
    ! [TA: $tType,A: TA > TA > $o] :
      ( ( c_2Erelation_2Eirreflexive @ TA @ A )
      = ( ! [B: TA] :
            ~ ( A @ B @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(3,axiom,(
    ! [TA: $tType,TB: $tType,A: tyop_2Epair_2Eprod @ TA @ TB,B: TA > TB > $o] :
      ( ( c_2Ebool_2EIN @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ A @ ( c_2Eset__relation_2Erel__to__reln @ TA @ TB @ B ) )
      = ( B @ ( c_2Epair_2EFST @ TA @ TB @ A ) @ ( c_2Epair_2ESND @ TA @ TB @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eset__relation_2Ein__rel__to__reln)).

thf(15,plain,(
    ! [TA: $tType,TB: $tType,A: tyop_2Epair_2Eprod @ TA @ TB,B: TA > TB > $o] :
      ( ( c_2Ebool_2EIN @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ A @ ( c_2Eset__relation_2Erel__to__reln @ TA @ TB @ B ) )
      = ( B @ ( c_2Epair_2EFST @ TA @ TB @ A ) @ ( c_2Epair_2ESND @ TA @ TB @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(64,plain,(
    $false ),
    inference(iprover,[status(thm)],[24,14,21,33,27,12,39,18,26,36,30,15])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.06/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.06/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.06/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.06/0.13  % CPULimit   : 300
% 0.06/0.13  % DateTime   : Tue Jul 30 17:47:13 EDT 2019
% 0.06/0.13  % CPUTime    : 
% 4.03/1.64  % [INFO] 	 Running in sequential loop mode. 
% 5.08/1.82  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 5.19/1.89  % [INFO] 	 iprover registered as external prover. 
% 5.19/1.89  % [INFO] 	 e registered as external prover. 
% 5.19/1.89  % [INFO] 	 cvc4 registered as external prover. 
% 5.19/1.89  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.50/1.96  % [INFO] 	 Found a conjecture and 39 axioms. Running axiom selection ... 
% 5.62/2.00  % [INFO] 	 Axiom selection finished. Selected 9 axioms (removed 30 axioms). 
% 5.78/2.05  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 10.85/3.27  % [INFO] 	 Killing All external provers ... 
% 10.85/3.28  % Time passed: 3013ms
% 10.85/3.28  % Effective reasoning time: 1629ms
% 10.85/3.28  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 10.85/3.28  % Axioms used in derivation (9): thm_2Eset__relation_2Ereln__to__rel__app, thm_2Eset__relation_2Ereln__to__rel__inv, thm_2Erelation_2Eirreflexive__def, thm_2Eset__relation_2Ein__rel__to__reln, thm_2Eset__relation_2Erel__to__reln__inv, thm_2Eset__relation_2Ereln__to__rel__11, thm_2Epred__set_2EREL__RESTRICT__DEF, thm_2Eset__relation_2Eirreflexive__def, thm_2Eset__relation_2Erel__to__reln__11
% 10.85/3.28  % No. of inferences in proof: 26
% 10.85/3.28  % No. of processed clauses: 3
% 10.85/3.28  % No. of generated clauses: 8
% 10.85/3.28  % No. of forward subsumed clauses: 0
% 10.85/3.28  % No. of backward subsumed clauses: 0
% 10.85/3.28  % No. of ground rewrite rules in store: 0
% 10.85/3.28  % No. of non-ground rewrite rules in store: 0
% 10.85/3.28  % No. of positive (non-rewrite) units in store: 2
% 10.85/3.28  % No. of negative (non-rewrite) units in store: 1
% 10.85/3.28  % No. of choice functions detected: 0
% 10.85/3.28  % No. of choice instantiations: 0
% 10.85/3.28  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 3013 ms resp. 1629 ms w/o parsing
% 10.85/3.31  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 10.85/3.31  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 10.85/3.31  thf(c_2Epair_2E_2C_type, type, c_2Epair_2E_2C: !>[TA: $tType,TB: $tType]: (TA > (TB > (tyop_2Epair_2Eprod @ TA @ TB)))).
% 10.85/3.31  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 10.85/3.31  thf(c_2Epred__set_2EREL__RESTRICT_type, type, c_2Epred__set_2EREL__RESTRICT: !>[TA: $tType]: ((TA > (TA > $o)) > ((TA > $o) > (TA > (TA > $o))))).
% 10.85/3.31  thf(c_2Erelation_2Eirreflexive_type, type, c_2Erelation_2Eirreflexive: !>[TA: $tType]: ((TA > (TA > $o)) > $o)).
% 10.85/3.31  thf(c_2Eset__relation_2Eirreflexive_type, type, c_2Eset__relation_2Eirreflexive: !>[TA: $tType]: (((tyop_2Epair_2Eprod @ TA @ TA) > $o) > ((TA > $o) > $o))).
% 10.85/3.31  thf(c_2Eset__relation_2Erel__to__reln_type, type, c_2Eset__relation_2Erel__to__reln: !>[TA: $tType,TB: $tType]: ((TA > (TB > $o)) > ((tyop_2Epair_2Eprod @ TA @ TB) > $o))).
% 10.85/3.31  thf(c_2Eset__relation_2Ereln__to__rel_type, type, c_2Eset__relation_2Ereln__to__rel: !>[TA: $tType,TB: $tType]: (((tyop_2Epair_2Eprod @ TA @ TB) > $o) > (TA > (TB > $o)))).
% 10.85/3.31  thf(skt1_type, type, skt1: $tType).
% 10.85/3.31  thf(sk1_type, type, sk1: (skt1 > $o)).
% 10.85/3.31  thf(sk2_type, type, sk2: ((tyop_2Epair_2Eprod @ skt1 @ skt1) > $o)).
% 10.85/3.31  thf(6,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TB > $o))]: ((c_2Eset__relation_2Ereln__to__rel @ TA @ TB @ (c_2Eset__relation_2Erel__to__reln @ TA @ TB @ A)) = A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eset__relation_2Erel__to__reln__inv)).
% 10.85/3.31  thf(24,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TB > $o))]: ((c_2Eset__relation_2Ereln__to__rel @ TA @ TB @ (c_2Eset__relation_2Erel__to__reln @ TA @ TB @ A)) = (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 10.85/3.31  thf(1,conjecture,((! [TA: $tType]: (! [A:(TA > $o),B:((tyop_2Epair_2Eprod @ TA @ TA) > $o)]: ((c_2Eset__relation_2Eirreflexive @ TA @ B @ A) = (c_2Erelation_2Eirreflexive @ TA @ (c_2Epred__set_2EREL__RESTRICT @ TA @ (c_2Eset__relation_2Ereln__to__rel @ TA @ TA @ B) @ A)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eset__relation_2Eirreflexive__reln__to__rel__conv)).
% 10.85/3.31  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:(TA > $o),B:((tyop_2Epair_2Eprod @ TA @ TA) > $o)]: ((c_2Eset__relation_2Eirreflexive @ TA @ B @ A) = (c_2Erelation_2Eirreflexive @ TA @ (c_2Epred__set_2EREL__RESTRICT @ TA @ (c_2Eset__relation_2Ereln__to__rel @ TA @ TA @ B) @ A))))))),inference(neg_conjecture,[status(cth)],[1])).
% 10.85/3.31  thf(12,plain,((~ (! [TA: $tType]: (! [A:(TA > $o),B:((tyop_2Epair_2Eprod @ TA @ TA) > $o)]: ((c_2Eset__relation_2Eirreflexive @ TA @ (B) @ (A)) = (c_2Erelation_2Eirreflexive @ TA @ (c_2Epred__set_2EREL__RESTRICT @ TA @ (c_2Eset__relation_2Ereln__to__rel @ TA @ TA @ B) @ A))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 10.85/3.31  thf(13,plain,((~ ((c_2Eset__relation_2Eirreflexive @ skt1 @ (sk2) @ (sk1)) = (c_2Erelation_2Eirreflexive @ skt1 @ (c_2Epred__set_2EREL__RESTRICT @ skt1 @ (c_2Eset__relation_2Ereln__to__rel @ skt1 @ skt1 @ sk2) @ sk1))))),inference(cnf,[status(esa)],[12])).
% 10.85/3.31  thf(14,plain,(((c_2Eset__relation_2Eirreflexive @ skt1 @ (sk2) @ (sk1)) != (c_2Erelation_2Eirreflexive @ skt1 @ (c_2Epred__set_2EREL__RESTRICT @ skt1 @ (c_2Eset__relation_2Ereln__to__rel @ skt1 @ skt1 @ sk2) @ sk1)))),inference(lifteq,[status(thm)],[13])).
% 10.85/3.31  thf(5,axiom,((! [TA: $tType]: (! [A:((tyop_2Epair_2Eprod @ TA @ TA) > $o),B:(TA > $o)]: ((c_2Eset__relation_2Eirreflexive @ TA @ A @ B) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ B) => (~ (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ TA @ TA) @ (c_2Epair_2E_2C @ TA @ TA @ C @ C) @ A)))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eset__relation_2Eirreflexive__def)).
% 10.85/3.31  thf(21,plain,((! [TA: $tType]: (! [A:((tyop_2Epair_2Eprod @ TA @ TA) > $o),B:(TA > $o)]: ((c_2Eset__relation_2Eirreflexive @ TA @ (A) @ (B)) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (B)) => (~ (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ TA @ TA) @ (c_2Epair_2E_2C @ TA @ TA @ C @ C) @ (A))))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 10.85/3.31  thf(9,axiom,((! [TA: $tType,TB: $tType]: (! [A:((tyop_2Epair_2Eprod @ TA @ TB) > $o),B:((tyop_2Epair_2Eprod @ TA @ TB) > $o)]: (((c_2Eset__relation_2Ereln__to__rel @ TA @ TB @ B) = (c_2Eset__relation_2Ereln__to__rel @ TA @ TB @ A)) = (B = A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eset__relation_2Ereln__to__rel__11)).
% 10.85/3.31  thf(33,plain,((! [TA: $tType,TB: $tType]: (! [A:((tyop_2Epair_2Eprod @ TA @ TB) > $o),B:((tyop_2Epair_2Eprod @ TA @ TB) > $o)]: (((c_2Eset__relation_2Ereln__to__rel @ TA @ TB @ B) = (c_2Eset__relation_2Ereln__to__rel @ TA @ TB @ A)) = ((B) = (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 10.85/3.31  thf(7,axiom,((! [TA: $tType]: (! [A:(TA > (TA > $o)),B:(TA > $o),C:TA,D:TA]: ((c_2Epred__set_2EREL__RESTRICT @ TA @ A @ B @ C @ D) = ((c_2Ebool_2EIN @ TA @ C @ B) & (c_2Ebool_2EIN @ TA @ D @ B) & (A @ C @ D)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EREL__RESTRICT__DEF)).
% 10.85/3.31  thf(27,plain,((! [TA: $tType]: (! [A:(TA > (TA > $o)),B:(TA > $o),C:TA,D:TA]: ((c_2Epred__set_2EREL__RESTRICT @ TA @ (A) @ (B) @ C @ D) = ((c_2Ebool_2EIN @ TA @ C @ (B)) & (c_2Ebool_2EIN @ TA @ D @ (B)) & (A @ C @ D)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 10.85/3.31  thf(11,axiom,((! [TA: $tType,TB: $tType]: (! [A:((tyop_2Epair_2Eprod @ TA @ TB) > $o)]: ((c_2Eset__relation_2Erel__to__reln @ TA @ TB @ (c_2Eset__relation_2Ereln__to__rel @ TA @ TB @ A)) = A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eset__relation_2Ereln__to__rel__inv)).
% 10.85/3.31  thf(39,plain,((! [TA: $tType,TB: $tType]: (! [A:((tyop_2Epair_2Eprod @ TA @ TB) > $o)]: ((c_2Eset__relation_2Erel__to__reln @ TA @ TB @ (c_2Eset__relation_2Ereln__to__rel @ TA @ TB @ A)) = (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 10.85/3.31  thf(4,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TB > $o)),B:(TA > (TB > $o))]: (((c_2Eset__relation_2Erel__to__reln @ TA @ TB @ B) = (c_2Eset__relation_2Erel__to__reln @ TA @ TB @ A)) = (B = A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eset__relation_2Erel__to__reln__11)).
% 10.85/3.31  thf(18,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TB > $o)),B:(TA > (TB > $o))]: (((c_2Eset__relation_2Erel__to__reln @ TA @ TB @ B) = (c_2Eset__relation_2Erel__to__reln @ TA @ TB @ A)) = ((B) = (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 10.85/3.31  thf(25,plain,(! [TA:$tType,TB:$tType,A:(TB > (TA > $o))] : (((c_2Eset__relation_2Ereln__to__rel @ TB @ TA @ (c_2Eset__relation_2Erel__to__reln @ TB @ TA @ A)) = (A)))),inference(cnf,[status(esa)],[24])).
% 10.85/3.31  thf(26,plain,(! [TA:$tType,TB:$tType,A:(TB > (TA > $o))] : (((c_2Eset__relation_2Ereln__to__rel @ TB @ TA @ (c_2Eset__relation_2Erel__to__reln @ TB @ TA @ A)) = (A)))),inference(lifteq,[status(thm)],[25])).
% 10.85/3.31  thf(10,axiom,((! [TA: $tType,TB: $tType]: (! [A:TB,B:TA,C:((tyop_2Epair_2Eprod @ TA @ TB) > $o)]: ((c_2Eset__relation_2Ereln__to__rel @ TA @ TB @ C @ B @ A) = (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ TA @ TB) @ (c_2Epair_2E_2C @ TA @ TB @ B @ A) @ C))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eset__relation_2Ereln__to__rel__app)).
% 10.85/3.31  thf(36,plain,((! [TA: $tType,TB: $tType]: (! [A:TB,B:TA,C:((tyop_2Epair_2Eprod @ TA @ TB) > $o)]: ((c_2Eset__relation_2Ereln__to__rel @ TA @ TB @ (C) @ B @ A) = (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ TA @ TB) @ (c_2Epair_2E_2C @ TA @ TB @ B @ A) @ (C)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 10.85/3.31  thf(8,axiom,((! [TA: $tType]: (! [A:(TA > (TA > $o))]: ((c_2Erelation_2Eirreflexive @ TA @ A) = (! [B:TA]: ~ (A @ B @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erelation_2Eirreflexive__def)).
% 10.85/3.31  thf(30,plain,((! [TA: $tType]: (! [A:(TA > (TA > $o))]: ((c_2Erelation_2Eirreflexive @ TA @ (A)) = (! [B:TA]: ~ (A @ B @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 10.85/3.31  thf(3,axiom,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Epair_2Eprod @ TA @ TB),B:(TA > (TB > $o))]: ((c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ TA @ TB) @ A @ (c_2Eset__relation_2Erel__to__reln @ TA @ TB @ B)) = (B @ (c_2Epair_2EFST @ TA @ TB @ A) @ (c_2Epair_2ESND @ TA @ TB @ A)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eset__relation_2Ein__rel__to__reln)).
% 10.85/3.31  thf(15,plain,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Epair_2Eprod @ TA @ TB),B:(TA > (TB > $o))]: ((c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ TA @ TB) @ A @ (c_2Eset__relation_2Erel__to__reln @ TA @ TB @ B)) = (B @ (c_2Epair_2EFST @ TA @ TB @ A) @ (c_2Epair_2ESND @ TA @ TB @ A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 10.85/3.31  thf(64,plain,($false),inference(iprover,[status(thm)],[24,14,21,33,27,12,39,18,26,36,30,15])).
% 10.85/3.31  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 10.85/3.31  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
