%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:37:28 EDT 2019

% Result     : Theorem 6.75s
% Output     : CNFRefutation 6.75s
% Verified   : 
% Statistics : Number of formulae       :   46 (  56 expanded)
%              Number of leaves         :   29 (  33 expanded)
%              Depth                    :    4
%              Number of atoms          :  265 ( 389 expanded)
%              Number of equality atoms :   20 (  24 expanded)
%              Maximal formula depth    :   19 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: 
      !>[TA: $tType,TB: $tType] :
        ( TA > TB > ( tyop_2Epair_2Eprod @ TA @ TB ) ) )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Epred__set_2ESUBSET_type,type,(
    c_2Epred__set_2ESUBSET: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > $o ) > $o ) )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Eset__relation_2Eantisym_type,type,(
    c_2Eset__relation_2Eantisym: 
      !>[TA: $tType] :
        ( ( ( tyop_2Epair_2Eprod @ TA @ TA ) > $o ) > $o ) )).

thf(c_2Eset__relation_2Edomain_type,type,(
    c_2Eset__relation_2Edomain: 
      !>[TA: $tType,TB: $tType] :
        ( ( ( tyop_2Epair_2Eprod @ TA @ TB ) > $o ) > TA > $o ) )).

thf(c_2Eset__relation_2Elinear__order_type,type,(
    c_2Eset__relation_2Elinear__order: 
      !>[TA: $tType] :
        ( ( ( tyop_2Epair_2Eprod @ TA @ TA ) > $o ) > ( TA > $o ) > $o ) )).

thf(c_2Eset__relation_2Erange_type,type,(
    c_2Eset__relation_2Erange: 
      !>[TA: $tType,TB: $tType] :
        ( ( ( tyop_2Epair_2Eprod @ TB @ TA ) > $o ) > TA > $o ) )).

thf(c_2Eset__relation_2Etransitive_type,type,(
    c_2Eset__relation_2Etransitive: 
      !>[TA: $tType] :
        ( ( ( tyop_2Epair_2Eprod @ TA @ TA ) > $o ) > $o ) )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $o > $o )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: skt1 )).

thf(sk2_type,type,(
    sk2: ( tyop_2Epair_2Eprod @ skt1 @ skt1 ) > $o )).

thf(sk3_type,type,(
    sk3: skt1 > $o )).

thf(6,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(24,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(1,conjecture,(
    ! [TA: $tType,A: TA,B: ( tyop_2Epair_2Eprod @ TA @ TA ) > $o,C: TA > $o] :
      ( ( c_2Eset__relation_2Elinear__order @ TA @ B @ C )
     => ( ( c_2Ebool_2EIN @ TA @ A @ C )
       => ( c_2Ebool_2EIN @ ( tyop_2Epair_2Eprod @ TA @ TA ) @ ( c_2Epair_2E_2C @ TA @ TA @ A @ A ) @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eset__relation_2Elinear__order__refl)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: TA,B: ( tyop_2Epair_2Eprod @ TA @ TA ) > $o,C: TA > $o] :
        ( ( c_2Eset__relation_2Elinear__order @ TA @ B @ C )
       => ( ( c_2Ebool_2EIN @ TA @ A @ C )
         => ( c_2Ebool_2EIN @ ( tyop_2Epair_2Eprod @ TA @ TA ) @ ( c_2Epair_2E_2C @ TA @ TA @ A @ A ) @ B ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(11,plain,(
    ~ ! [TA: $tType,A: TA,B: ( tyop_2Epair_2Eprod @ TA @ TA ) > $o,C: TA > $o] :
        ( ( c_2Eset__relation_2Elinear__order @ TA @ B @ C )
       => ( ( c_2Ebool_2EIN @ TA @ A @ C )
         => ( c_2Ebool_2EIN @ ( tyop_2Epair_2Eprod @ TA @ TA ) @ ( c_2Epair_2E_2C @ TA @ TA @ A @ A ) @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(14,plain,(
    c_2Eset__relation_2Elinear__order @ skt1 @ sk2 @ sk3 ),
    inference(cnf,[status(esa)],[11])).

thf(8,axiom,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(36,plain,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(37,plain,
    ( ( c_2Ebool_2E_7E @ $true )
    = ( ~ $true ) ),
    inference(instance,[status(thm)],[36])).

thf(38,plain,(
    ~ ( c_2Ebool_2E_7E @ $true ) ),
    inference(simp,[status(thm)],[37])).

thf(5,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(21,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(13,plain,(
    c_2Ebool_2EIN @ skt1 @ sk1 @ sk3 ),
    inference(cnf,[status(esa)],[11])).

thf(9,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(41,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(7,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(27,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(4,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(18,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(10,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(50,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(39,plain,
    ( ( c_2Ebool_2E_7E @ $false )
    = ( ~ $false ) ),
    inference(instance,[status(thm)],[36])).

thf(40,plain,(
    c_2Ebool_2E_7E @ $false ),
    inference(simp,[status(thm)],[39])).

thf(3,axiom,(
    ! [TA: $tType,A: ( tyop_2Epair_2Eprod @ TA @ TA ) > $o,B: TA > $o] :
      ( ( c_2Eset__relation_2Elinear__order @ TA @ A @ B )
      = ( ( c_2Epred__set_2ESUBSET @ TA @ ( c_2Eset__relation_2Edomain @ TA @ TA @ A ) @ B )
        & ( c_2Epred__set_2ESUBSET @ TA @ ( c_2Eset__relation_2Erange @ TA @ TA @ A ) @ B )
        & ( c_2Eset__relation_2Etransitive @ TA @ A )
        & ( c_2Eset__relation_2Eantisym @ TA @ A )
        & ! [C: TA,D: TA] :
            ( ( ( c_2Ebool_2EIN @ TA @ C @ B )
              & ( c_2Ebool_2EIN @ TA @ D @ B ) )
           => ( ( c_2Ebool_2EIN @ ( tyop_2Epair_2Eprod @ TA @ TA ) @ ( c_2Epair_2E_2C @ TA @ TA @ C @ D ) @ A )
              | ( c_2Ebool_2EIN @ ( tyop_2Epair_2Eprod @ TA @ TA ) @ ( c_2Epair_2E_2C @ TA @ TA @ D @ C ) @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eset__relation_2Elinear__order__def)).

thf(15,plain,(
    ! [TA: $tType,A: ( tyop_2Epair_2Eprod @ TA @ TA ) > $o,B: TA > $o] :
      ( ( c_2Eset__relation_2Elinear__order @ TA @ A @ B )
      = ( ( c_2Epred__set_2ESUBSET @ TA @ ( c_2Eset__relation_2Edomain @ TA @ TA @ A ) @ B )
        & ( c_2Epred__set_2ESUBSET @ TA @ ( c_2Eset__relation_2Erange @ TA @ TA @ A ) @ B )
        & ( c_2Eset__relation_2Etransitive @ TA @ A )
        & ( c_2Eset__relation_2Eantisym @ TA @ A )
        & ! [C: TA,D: TA] :
            ( ( ( c_2Ebool_2EIN @ TA @ C @ B )
              & ( c_2Ebool_2EIN @ TA @ D @ B ) )
           => ( ( c_2Ebool_2EIN @ ( tyop_2Epair_2Eprod @ TA @ TA ) @ ( c_2Epair_2E_2C @ TA @ TA @ C @ D ) @ A )
              | ( c_2Ebool_2EIN @ ( tyop_2Epair_2Eprod @ TA @ TA ) @ ( c_2Epair_2E_2C @ TA @ TA @ D @ C ) @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(61,plain,(
    $false ),
    inference(iprover,[status(thm)],[24,14,38,21,13,41,27,18,50,11,40,36,15])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.03/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.03/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.03/0.12  % CPULimit   : 300
% 0.03/0.12  % DateTime   : Tue Jul 30 17:47:27 EDT 2019
% 0.03/0.13  % CPUTime    : 
% 3.24/1.50  % [INFO] 	 Running in sequential loop mode. 
% 4.01/1.69  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.01/1.76  % [INFO] 	 iprover registered as external prover. 
% 4.01/1.76  % [INFO] 	 e registered as external prover. 
% 4.01/1.76  % [INFO] 	 cvc4 registered as external prover. 
% 4.01/1.77  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.45/1.83  % [INFO] 	 Found a conjecture and 8 axioms. Running axiom selection ... 
% 4.45/1.86  % [INFO] 	 Axiom selection finished. Selected 8 axioms (removed 0 axioms). 
% 4.45/1.90  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.75/2.63  % [INFO] 	 Killing All external provers ... 
% 6.75/2.64  % Time passed: 2353ms
% 6.75/2.64  % Effective reasoning time: 1129ms
% 6.75/2.64  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.75/2.64  % Axioms used in derivation (8): logicdef_2E_3D, logicdef_2E_5C_2F, thm_2Eset__relation_2Elinear__order__def, quantdef_2E_21, logicdef_2E_3D_3D_3E, logicdef_2E_2F_5C, logicdef_2E_7E, quantdef_2E_3F
% 6.75/2.64  % No. of inferences in proof: 26
% 6.75/2.64  % No. of processed clauses: 5
% 6.75/2.64  % No. of generated clauses: 0
% 6.75/2.64  % No. of forward subsumed clauses: 0
% 6.75/2.64  % No. of backward subsumed clauses: 0
% 6.75/2.64  % No. of ground rewrite rules in store: 5
% 6.75/2.64  % No. of non-ground rewrite rules in store: 0
% 6.75/2.64  % No. of positive (non-rewrite) units in store: 0
% 6.75/2.64  % No. of negative (non-rewrite) units in store: 0
% 6.75/2.64  % No. of choice functions detected: 0
% 6.75/2.64  % No. of choice instantiations: 0
% 6.75/2.64  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2353 ms resp. 1129 ms w/o parsing
% 6.75/2.67  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.75/2.67  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.75/2.67  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 6.75/2.67  thf(c_2Epair_2E_2C_type, type, c_2Epair_2E_2C: !>[TA: $tType,TB: $tType]: (TA > (TB > (tyop_2Epair_2Eprod @ TA @ TB)))).
% 6.75/2.67  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 6.75/2.67  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 6.75/2.67  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 6.75/2.67  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 6.75/2.67  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 6.75/2.67  thf(c_2Epred__set_2ESUBSET_type, type, c_2Epred__set_2ESUBSET: !>[TA: $tType]: ((TA > $o) > ((TA > $o) > $o))).
% 6.75/2.67  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 6.75/2.67  thf(c_2Eset__relation_2Eantisym_type, type, c_2Eset__relation_2Eantisym: !>[TA: $tType]: (((tyop_2Epair_2Eprod @ TA @ TA) > $o) > $o)).
% 6.75/2.67  thf(c_2Eset__relation_2Edomain_type, type, c_2Eset__relation_2Edomain: !>[TA: $tType,TB: $tType]: (((tyop_2Epair_2Eprod @ TA @ TB) > $o) > (TA > $o))).
% 6.75/2.67  thf(c_2Eset__relation_2Elinear__order_type, type, c_2Eset__relation_2Elinear__order: !>[TA: $tType]: (((tyop_2Epair_2Eprod @ TA @ TA) > $o) > ((TA > $o) > $o))).
% 6.75/2.67  thf(c_2Eset__relation_2Erange_type, type, c_2Eset__relation_2Erange: !>[TA: $tType,TB: $tType]: (((tyop_2Epair_2Eprod @ TB @ TA) > $o) > (TA > $o))).
% 6.75/2.67  thf(c_2Eset__relation_2Etransitive_type, type, c_2Eset__relation_2Etransitive: !>[TA: $tType]: (((tyop_2Epair_2Eprod @ TA @ TA) > $o) > $o)).
% 6.75/2.67  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 6.75/2.67  thf(skt1_type, type, skt1: $tType).
% 6.75/2.67  thf(sk1_type, type, sk1: skt1).
% 6.75/2.67  thf(sk2_type, type, sk2: ((tyop_2Epair_2Eprod @ skt1 @ skt1) > $o)).
% 6.75/2.67  thf(sk3_type, type, sk3: (skt1 > $o)).
% 6.75/2.67  thf(6,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 6.75/2.67  thf(24,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 6.75/2.67  thf(1,conjecture,((! [TA: $tType]: (! [A:TA,B:((tyop_2Epair_2Eprod @ TA @ TA) > $o),C:(TA > $o)]: ((c_2Eset__relation_2Elinear__order @ TA @ B @ C) => ((c_2Ebool_2EIN @ TA @ A @ C) => (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ TA @ TA) @ (c_2Epair_2E_2C @ TA @ TA @ A @ A) @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eset__relation_2Elinear__order__refl)).
% 6.75/2.67  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:TA,B:((tyop_2Epair_2Eprod @ TA @ TA) > $o),C:(TA > $o)]: ((c_2Eset__relation_2Elinear__order @ TA @ B @ C) => ((c_2Ebool_2EIN @ TA @ A @ C) => (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ TA @ TA) @ (c_2Epair_2E_2C @ TA @ TA @ A @ A) @ B))))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.75/2.67  thf(11,plain,((~ (! [TA: $tType]: (! [A:TA,B:((tyop_2Epair_2Eprod @ TA @ TA) > $o),C:(TA > $o)]: ((c_2Eset__relation_2Elinear__order @ TA @ (B) @ (C)) => ((c_2Ebool_2EIN @ TA @ A @ (C)) => (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ TA @ TA) @ (c_2Epair_2E_2C @ TA @ TA @ A @ A) @ (B)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.75/2.67  thf(14,plain,((c_2Eset__relation_2Elinear__order @ skt1 @ (sk2) @ (sk3))),inference(cnf,[status(esa)],[11])).
% 6.75/2.67  thf(8,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 6.75/2.67  thf(36,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 6.75/2.67  thf(37,plain,(((c_2Ebool_2E_7E @ $true) = (~ ($true)))),inference(instance,[status(thm)],[36])).
% 6.75/2.67  thf(38,plain,((~ (c_2Ebool_2E_7E @ $true))),inference(simp,[status(thm)],[37])).
% 6.75/2.67  thf(5,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).
% 6.75/2.67  thf(21,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 6.75/2.67  thf(13,plain,((c_2Ebool_2EIN @ skt1 @ sk1 @ (sk3))),inference(cnf,[status(esa)],[11])).
% 6.75/2.67  thf(9,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 6.75/2.67  thf(41,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 6.75/2.67  thf(7,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 6.75/2.67  thf(27,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 6.75/2.67  thf(4,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 6.75/2.67  thf(18,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 6.75/2.67  thf(10,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 6.75/2.67  thf(50,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 6.75/2.67  thf(39,plain,(((c_2Ebool_2E_7E @ $false) = (~ ($false)))),inference(instance,[status(thm)],[36])).
% 6.75/2.67  thf(40,plain,((c_2Ebool_2E_7E @ $false)),inference(simp,[status(thm)],[39])).
% 6.75/2.67  thf(3,axiom,((! [TA: $tType]: (! [A:((tyop_2Epair_2Eprod @ TA @ TA) > $o),B:(TA > $o)]: ((c_2Eset__relation_2Elinear__order @ TA @ A @ B) = ((c_2Epred__set_2ESUBSET @ TA @ (c_2Eset__relation_2Edomain @ TA @ TA @ A) @ B) & (c_2Epred__set_2ESUBSET @ TA @ (c_2Eset__relation_2Erange @ TA @ TA @ A) @ B) & (c_2Eset__relation_2Etransitive @ TA @ A) & (c_2Eset__relation_2Eantisym @ TA @ A) & ! [C:TA,D:TA]: (((c_2Ebool_2EIN @ TA @ C @ B) & (c_2Ebool_2EIN @ TA @ D @ B)) => ((c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ TA @ TA) @ (c_2Epair_2E_2C @ TA @ TA @ C @ D) @ A) | (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ TA @ TA) @ (c_2Epair_2E_2C @ TA @ TA @ D @ C) @ A)))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eset__relation_2Elinear__order__def)).
% 6.75/2.67  thf(15,plain,((! [TA: $tType]: (! [A:((tyop_2Epair_2Eprod @ TA @ TA) > $o),B:(TA > $o)]: ((c_2Eset__relation_2Elinear__order @ TA @ (A) @ (B)) = ((c_2Epred__set_2ESUBSET @ TA @ (c_2Eset__relation_2Edomain @ TA @ TA @ A) @ (B)) & (c_2Epred__set_2ESUBSET @ TA @ (c_2Eset__relation_2Erange @ TA @ TA @ A) @ (B)) & (c_2Eset__relation_2Etransitive @ TA @ (A)) & (c_2Eset__relation_2Eantisym @ TA @ (A)) & ! [C:TA,D:TA]: (((c_2Ebool_2EIN @ TA @ C @ (B)) & (c_2Ebool_2EIN @ TA @ D @ (B))) => ((c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ TA @ TA) @ (c_2Epair_2E_2C @ TA @ TA @ C @ D) @ (A)) | (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ TA @ TA) @ (c_2Epair_2E_2C @ TA @ TA @ D @ C) @ (A))))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.75/2.67  thf(61,plain,($false),inference(iprover,[status(thm)],[24,14,38,21,13,41,27,18,50,11,40,36,15])).
% 6.75/2.67  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.75/2.67  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
