%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:37:29 EDT 2019

% Result     : Theorem 6.27s
% Output     : CNFRefutation 6.27s
% Verified   : 
% Statistics : Number of formulae       :   19 (  19 expanded)
%              Number of leaves         :    9 (   9 expanded)
%              Depth                    :    7
%              Number of atoms          :  106 ( 106 expanded)
%              Number of equality atoms :   14 (  14 expanded)
%              Maximal formula depth    :   10 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Elist_2ECONS_type,type,(
    c_2Elist_2ECONS: 
      !>[TA: $tType] :
        ( TA > ( tyop_2Elist_2Elist @ TA ) > ( tyop_2Elist_2Elist @ TA ) ) )).

thf(c_2Elist_2ENIL_type,type,(
    c_2Elist_2ENIL: 
      !>[TA: $tType] :
        ( tyop_2Elist_2Elist @ TA ) )).

thf(c_2Elist_2ETL_type,type,(
    c_2Elist_2ETL: 
      !>[TA: $tType] :
        ( ( tyop_2Elist_2Elist @ TA ) > ( tyop_2Elist_2Elist @ TA ) ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: skt1 )).

thf(sk2_type,type,(
    sk2: ( tyop_2Elist_2Elist @ skt1 ) )).

thf(3,axiom,(
    ! [TA: $tType] :
      ( ( ( c_2Elist_2ETL @ TA @ ( c_2Elist_2ENIL @ TA ) )
        = ( c_2Elist_2ENIL @ TA ) )
      & ! [A: TA,B: tyop_2Elist_2Elist @ TA] :
          ( ( c_2Elist_2ETL @ TA @ ( c_2Elist_2ECONS @ TA @ A @ B ) )
          = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Elist_2ETL__DEF)).

thf(14,plain,(
    ! [TA: $tType] :
      ( ( ( c_2Elist_2ETL @ TA @ ( c_2Elist_2ENIL @ TA ) )
        = ( c_2Elist_2ENIL @ TA ) )
      & ! [A: TA,B: tyop_2Elist_2Elist @ TA] :
          ( ( c_2Elist_2ETL @ TA @ ( c_2Elist_2ECONS @ TA @ A @ B ) )
          = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(15,plain,(
    ! [TA: $tType,B: tyop_2Elist_2Elist @ TA,A: TA] :
      ( ( c_2Elist_2ETL @ TA @ ( c_2Elist_2ECONS @ TA @ A @ B ) )
      = B ) ),
    inference(cnf,[status(esa)],[14])).

thf(17,plain,(
    ! [TA: $tType,B: tyop_2Elist_2Elist @ TA,A: TA] :
      ( ( c_2Elist_2ETL @ TA @ ( c_2Elist_2ECONS @ TA @ A @ B ) )
      = B ) ),
    inference(lifteq,[status(thm)],[15])).

thf(1,conjecture,(
    ! [TA: $tType,A: TA,B: tyop_2Elist_2Elist @ TA] :
      ( ( c_2Elist_2ETL @ TA @ ( c_2Elist_2ECONS @ TA @ A @ B ) )
      = B ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Elist_2ETL)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: TA,B: tyop_2Elist_2Elist @ TA] :
        ( ( c_2Elist_2ETL @ TA @ ( c_2Elist_2ECONS @ TA @ A @ B ) )
        = B ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(11,plain,(
    ~ ! [TA: $tType,A: TA,B: tyop_2Elist_2Elist @ TA] :
        ( ( c_2Elist_2ETL @ TA @ ( c_2Elist_2ECONS @ TA @ A @ B ) )
        = B ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(12,plain,(
    ( c_2Elist_2ETL @ skt1 @ ( c_2Elist_2ECONS @ skt1 @ sk1 @ sk2 ) )
 != sk2 ),
    inference(cnf,[status(esa)],[11])).

thf(13,plain,(
    ( c_2Elist_2ETL @ skt1 @ ( c_2Elist_2ECONS @ skt1 @ sk1 @ sk2 ) )
 != sk2 ),
    inference(lifteq,[status(thm)],[12])).

thf(70,plain,(
    ! [B: tyop_2Elist_2Elist @ skt1,A: skt1] :
      ( ( B != sk2 )
      | ( ( c_2Elist_2ETL @ skt1 @ ( c_2Elist_2ECONS @ skt1 @ A @ B ) )
       != ( c_2Elist_2ETL @ skt1 @ ( c_2Elist_2ECONS @ skt1 @ sk1 @ sk2 ) ) ) ) ),
    inference(paramod_ordered,[status(thm)],[17,13])).

thf(71,plain,(
    sk2 != sk2 ),
    inference(pattern_uni,[status(thm)],[70:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(76,plain,(
    $false ),
    inference(simp,[status(thm)],[71])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.11/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.11/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.11/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.11/0.13  % CPULimit   : 300
% 0.11/0.13  % DateTime   : Tue Jul 30 17:52:01 EDT 2019
% 0.11/0.13  % CPUTime    : 
% 2.29/1.18  % [INFO] 	 Running in sequential loop mode. 
% 3.21/1.37  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.50/1.43  % [INFO] 	 iprover registered as external prover. 
% 3.50/1.43  % [INFO] 	 e registered as external prover. 
% 3.50/1.44  % [INFO] 	 cvc4 registered as external prover. 
% 3.50/1.44  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.99/1.49  % [INFO] 	 Found a conjecture and 8 axioms. Running axiom selection ... 
% 4.11/1.52  % [INFO] 	 Axiom selection finished. Selected 8 axioms (removed 0 axioms). 
% 4.17/1.55  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 5.96/2.21  % [INFO] 	 Killing All external provers ... 
% 6.27/2.22  % Time passed: 1953ms
% 6.27/2.22  % Effective reasoning time: 1031ms
% 6.27/2.22  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.27/2.22  % Axioms used in derivation (1): thm_2Elist_2ETL__DEF
% 6.27/2.22  % No. of inferences in proof: 12
% 6.27/2.22  % No. of processed clauses: 10
% 6.27/2.22  % No. of generated clauses: 4
% 6.27/2.22  % No. of forward subsumed clauses: 0
% 6.27/2.22  % No. of backward subsumed clauses: 0
% 6.27/2.22  % No. of ground rewrite rules in store: 6
% 6.27/2.22  % No. of non-ground rewrite rules in store: 2
% 6.27/2.22  % No. of positive (non-rewrite) units in store: 0
% 6.27/2.22  % No. of negative (non-rewrite) units in store: 1
% 6.27/2.22  % No. of choice functions detected: 0
% 6.27/2.22  % No. of choice instantiations: 0
% 6.27/2.22  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 1953 ms resp. 1031 ms w/o parsing
% 6.27/2.24  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.27/2.24  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.27/2.24  thf(c_2Elist_2ECONS_type, type, c_2Elist_2ECONS: !>[TA: $tType]: (TA > ((tyop_2Elist_2Elist @ TA) > (tyop_2Elist_2Elist @ TA)))).
% 6.27/2.24  thf(c_2Elist_2ENIL_type, type, c_2Elist_2ENIL: !>[TA: $tType]: (tyop_2Elist_2Elist @ TA)).
% 6.27/2.24  thf(c_2Elist_2ETL_type, type, c_2Elist_2ETL: !>[TA: $tType]: ((tyop_2Elist_2Elist @ TA) > (tyop_2Elist_2Elist @ TA))).
% 6.27/2.24  thf(skt1_type, type, skt1: $tType).
% 6.27/2.24  thf(sk1_type, type, sk1: skt1).
% 6.27/2.24  thf(sk2_type, type, sk2: (tyop_2Elist_2Elist @ skt1)).
% 6.27/2.24  thf(3,axiom,((! [TA: $tType]: (((c_2Elist_2ETL @ TA @ (c_2Elist_2ENIL @ TA)) = (c_2Elist_2ENIL @ TA)) & ! [A:TA,B:(tyop_2Elist_2Elist @ TA)]: ((c_2Elist_2ETL @ TA @ (c_2Elist_2ECONS @ TA @ A @ B)) = B)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Elist_2ETL__DEF)).
% 6.27/2.24  thf(14,plain,((! [TA: $tType]: (((c_2Elist_2ETL @ TA @ (c_2Elist_2ENIL @ TA)) = (c_2Elist_2ENIL @ TA)) & ! [A:TA,B:(tyop_2Elist_2Elist @ TA)]: ((c_2Elist_2ETL @ TA @ (c_2Elist_2ECONS @ TA @ A @ B)) = B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.27/2.24  thf(15,plain,(! [TA:$tType,B:(tyop_2Elist_2Elist @ TA),A:TA] : (((c_2Elist_2ETL @ TA @ (c_2Elist_2ECONS @ TA @ A @ B)) = B))),inference(cnf,[status(esa)],[14])).
% 6.27/2.24  thf(17,plain,(! [TA:$tType,B:(tyop_2Elist_2Elist @ TA),A:TA] : (((c_2Elist_2ETL @ TA @ (c_2Elist_2ECONS @ TA @ A @ B)) = B))),inference(lifteq,[status(thm)],[15])).
% 6.27/2.24  thf(1,conjecture,((! [TA: $tType]: (! [A:TA,B:(tyop_2Elist_2Elist @ TA)]: ((c_2Elist_2ETL @ TA @ (c_2Elist_2ECONS @ TA @ A @ B)) = B)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Elist_2ETL)).
% 6.27/2.24  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:TA,B:(tyop_2Elist_2Elist @ TA)]: ((c_2Elist_2ETL @ TA @ (c_2Elist_2ECONS @ TA @ A @ B)) = B))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.27/2.24  thf(11,plain,((~ (! [TA: $tType]: (! [A:TA,B:(tyop_2Elist_2Elist @ TA)]: ((c_2Elist_2ETL @ TA @ (c_2Elist_2ECONS @ TA @ A @ B)) = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.27/2.24  thf(12,plain,((~ ((c_2Elist_2ETL @ skt1 @ (c_2Elist_2ECONS @ skt1 @ sk1 @ sk2)) = sk2))),inference(cnf,[status(esa)],[11])).
% 6.27/2.24  thf(13,plain,(((c_2Elist_2ETL @ skt1 @ (c_2Elist_2ECONS @ skt1 @ sk1 @ sk2)) != sk2)),inference(lifteq,[status(thm)],[12])).
% 6.27/2.24  thf(70,plain,(! [B:(tyop_2Elist_2Elist @ skt1),A:skt1] : ((B != sk2) | ((c_2Elist_2ETL @ skt1 @ (c_2Elist_2ECONS @ skt1 @ A @ B)) != (c_2Elist_2ETL @ skt1 @ (c_2Elist_2ECONS @ skt1 @ sk1 @ sk2))))),inference(paramod_ordered,[status(thm)],[17,13])).
% 6.27/2.24  thf(71,plain,((sk2 != sk2)),inference(pattern_uni,[status(thm)],[70:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 6.27/2.24  thf(76,plain,($false),inference(simp,[status(thm)],[71])).
% 6.27/2.24  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.27/2.24  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
