%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:37:31 EDT 2019

% Result     : Theorem 25.72s
% Output     : CNFRefutation 25.72s
% Verified   : 
% Statistics : Number of formulae       :   66 (  83 expanded)
%              Number of leaves         :   35 (  43 expanded)
%              Depth                    :    5
%              Number of atoms          :  690 (1067 expanded)
%              Number of equality atoms :   55 (  86 expanded)
%              Maximal formula depth    :   19 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: 
      !>[TA: $tType,TB: $tType] :
        ( TA > TB > ( tyop_2Epair_2Eprod @ TA @ TB ) ) )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Elist_2ECONS_type,type,(
    c_2Elist_2ECONS: 
      !>[TA: $tType] :
        ( TA > ( tyop_2Elist_2Elist @ TA ) > ( tyop_2Elist_2Elist @ TA ) ) )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $o )).

thf(c_2Elist_2ENIL_type,type,(
    c_2Elist_2ENIL: 
      !>[TA: $tType] :
        ( tyop_2Elist_2Elist @ TA ) )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(c_2Elist_2EZIP_type,type,(
    c_2Elist_2EZIP: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Epair_2Eprod @ ( tyop_2Elist_2Elist @ TA ) @ ( tyop_2Elist_2Elist @ TB ) ) > ( tyop_2Elist_2Elist @ ( tyop_2Epair_2Eprod @ TA @ TB ) ) ) )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $o > $o )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(skt2_type,type,(
    skt2: $tType )).

thf(skt3_type,type,(
    skt3: $tType )).

thf(skt4_type,type,(
    skt4: $tType )).

thf(sk1_type,type,(
    sk1: skt1 )).

thf(sk2_type,type,(
    sk2: ( tyop_2Elist_2Elist @ skt1 ) )).

thf(sk3_type,type,(
    sk3: skt2 )).

thf(sk4_type,type,(
    sk4: ( tyop_2Elist_2Elist @ skt2 ) )).

thf(14,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(69,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(8,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(37,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(11,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(46,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(12,axiom,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(55,plain,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(56,plain,
    ( ( c_2Ebool_2E_7E @ $true )
    = ( ~ $true ) ),
    inference(instance,[status(thm)],[55])).

thf(57,plain,(
    ~ ( c_2Ebool_2E_7E @ $true ) ),
    inference(simp,[status(thm)],[56])).

thf(5,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
          & A )
        = A )
      & ( ( A
          & c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF
          & A )
        = c_2Ebool_2EF )
      & ( ( A
          & c_2Ebool_2EF )
        = c_2Ebool_2EF )
      & ( ( A
          & A )
        = A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EAND__CLAUSES)).

thf(29,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
          & A )
        = A )
      & ( ( A
          & c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF
          & A )
        = c_2Ebool_2EF )
      & ( ( A
          & c_2Ebool_2EF )
        = c_2Ebool_2EF ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(13,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(60,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(4,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( A = A )
      = c_2Ebool_2ET ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).

thf(27,plain,(
    ! [TA: $tType] : c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(28,plain,(
    c_2Ebool_2ET ),
    inference(cnf,[status(esa)],[27])).

thf(32,plain,
    ( ( ( c_2Ebool_2ET
        & $false )
      = $false )
    & ( ( $false
        & c_2Ebool_2ET )
      = $false )
    & ( ( c_2Ebool_2EF
        & $false )
      = c_2Ebool_2EF )
    & ( ( $false
        & c_2Ebool_2EF )
      = c_2Ebool_2EF ) ),
    inference(instance,[status(thm)],[29])).

thf(33,plain,(
    ~ c_2Ebool_2EF ),
    inference(simp,[status(thm)],[32])).

thf(6,axiom,(
    ! [TA: $tType,A: $o] :
      ( ( ! [B: TA] : A )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EFORALL__SIMP)).

thf(34,plain,(
    ! [TA: $tType] : $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(1,conjecture,(
    ! [TA: $tType,TB: $tType,TC: $tType,TD: $tType] :
      ( ( ( c_2Elist_2EZIP @ TC @ TD @ ( c_2Epair_2E_2C @ ( tyop_2Elist_2Elist @ TC ) @ ( tyop_2Elist_2Elist @ TD ) @ ( c_2Elist_2ENIL @ TC ) @ ( c_2Elist_2ENIL @ TD ) ) )
        = ( c_2Elist_2ENIL @ ( tyop_2Epair_2Eprod @ TC @ TD ) ) )
      & ! [A: TA,B: tyop_2Elist_2Elist @ TA,C: TB,D: tyop_2Elist_2Elist @ TB] :
          ( ( c_2Elist_2EZIP @ TA @ TB @ ( c_2Epair_2E_2C @ ( tyop_2Elist_2Elist @ TA ) @ ( tyop_2Elist_2Elist @ TB ) @ ( c_2Elist_2ECONS @ TA @ A @ B ) @ ( c_2Elist_2ECONS @ TB @ C @ D ) ) )
          = ( c_2Elist_2ECONS @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ ( c_2Epair_2E_2C @ TA @ TB @ A @ C ) @ ( c_2Elist_2EZIP @ TA @ TB @ ( c_2Epair_2E_2C @ ( tyop_2Elist_2Elist @ TA ) @ ( tyop_2Elist_2Elist @ TB ) @ B @ D ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Elist_2EZIP)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,TB: $tType,TC: $tType,TD: $tType] :
        ( ( ( c_2Elist_2EZIP @ TC @ TD @ ( c_2Epair_2E_2C @ ( tyop_2Elist_2Elist @ TC ) @ ( tyop_2Elist_2Elist @ TD ) @ ( c_2Elist_2ENIL @ TC ) @ ( c_2Elist_2ENIL @ TD ) ) )
          = ( c_2Elist_2ENIL @ ( tyop_2Epair_2Eprod @ TC @ TD ) ) )
        & ! [A: TA,B: tyop_2Elist_2Elist @ TA,C: TB,D: tyop_2Elist_2Elist @ TB] :
            ( ( c_2Elist_2EZIP @ TA @ TB @ ( c_2Epair_2E_2C @ ( tyop_2Elist_2Elist @ TA ) @ ( tyop_2Elist_2Elist @ TB ) @ ( c_2Elist_2ECONS @ TA @ A @ B ) @ ( c_2Elist_2ECONS @ TB @ C @ D ) ) )
            = ( c_2Elist_2ECONS @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ ( c_2Epair_2E_2C @ TA @ TB @ A @ C ) @ ( c_2Elist_2EZIP @ TA @ TB @ ( c_2Epair_2E_2C @ ( tyop_2Elist_2Elist @ TA ) @ ( tyop_2Elist_2Elist @ TB ) @ B @ D ) ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(15,plain,(
    ~ ! [TA: $tType,TB: $tType,TC: $tType,TD: $tType] :
        ( ( ( c_2Elist_2EZIP @ TC @ TD @ ( c_2Epair_2E_2C @ ( tyop_2Elist_2Elist @ TC ) @ ( tyop_2Elist_2Elist @ TD ) @ ( c_2Elist_2ENIL @ TC ) @ ( c_2Elist_2ENIL @ TD ) ) )
          = ( c_2Elist_2ENIL @ ( tyop_2Epair_2Eprod @ TC @ TD ) ) )
        & ! [A: TA,B: tyop_2Elist_2Elist @ TA,C: TB,D: tyop_2Elist_2Elist @ TB] :
            ( ( c_2Elist_2EZIP @ TA @ TB @ ( c_2Epair_2E_2C @ ( tyop_2Elist_2Elist @ TA ) @ ( tyop_2Elist_2Elist @ TB ) @ ( c_2Elist_2ECONS @ TA @ A @ B ) @ ( c_2Elist_2ECONS @ TB @ C @ D ) ) )
            = ( c_2Elist_2ECONS @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ ( c_2Epair_2E_2C @ TA @ TB @ A @ C ) @ ( c_2Elist_2EZIP @ TA @ TB @ ( c_2Epair_2E_2C @ ( tyop_2Elist_2Elist @ TA ) @ ( tyop_2Elist_2Elist @ TB ) @ B @ D ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(16,plain,
    ( ( ( c_2Elist_2EZIP @ skt3 @ skt4 @ ( c_2Epair_2E_2C @ ( tyop_2Elist_2Elist @ skt3 ) @ ( tyop_2Elist_2Elist @ skt4 ) @ ( c_2Elist_2ENIL @ skt3 ) @ ( c_2Elist_2ENIL @ skt4 ) ) )
     != ( c_2Elist_2ENIL @ ( tyop_2Epair_2Eprod @ skt3 @ skt4 ) ) )
    | ( ( c_2Elist_2EZIP @ skt1 @ skt2 @ ( c_2Epair_2E_2C @ ( tyop_2Elist_2Elist @ skt1 ) @ ( tyop_2Elist_2Elist @ skt2 ) @ ( c_2Elist_2ECONS @ skt1 @ sk1 @ sk2 ) @ ( c_2Elist_2ECONS @ skt2 @ sk3 @ sk4 ) ) )
     != ( c_2Elist_2ECONS @ ( tyop_2Epair_2Eprod @ skt1 @ skt2 ) @ ( c_2Epair_2E_2C @ skt1 @ skt2 @ sk1 @ sk3 ) @ ( c_2Elist_2EZIP @ skt1 @ skt2 @ ( c_2Epair_2E_2C @ ( tyop_2Elist_2Elist @ skt1 ) @ ( tyop_2Elist_2Elist @ skt2 ) @ sk2 @ sk4 ) ) ) ) ),
    inference(cnf,[status(esa)],[15])).

thf(17,plain,
    ( ( ( c_2Elist_2EZIP @ skt3 @ skt4 @ ( c_2Epair_2E_2C @ ( tyop_2Elist_2Elist @ skt3 ) @ ( tyop_2Elist_2Elist @ skt4 ) @ ( c_2Elist_2ENIL @ skt3 ) @ ( c_2Elist_2ENIL @ skt4 ) ) )
     != ( c_2Elist_2ENIL @ ( tyop_2Epair_2Eprod @ skt3 @ skt4 ) ) )
    | ( ( c_2Elist_2EZIP @ skt1 @ skt2 @ ( c_2Epair_2E_2C @ ( tyop_2Elist_2Elist @ skt1 ) @ ( tyop_2Elist_2Elist @ skt2 ) @ ( c_2Elist_2ECONS @ skt1 @ sk1 @ sk2 ) @ ( c_2Elist_2ECONS @ skt2 @ sk3 @ sk4 ) ) )
     != ( c_2Elist_2ECONS @ ( tyop_2Epair_2Eprod @ skt1 @ skt2 ) @ ( c_2Epair_2E_2C @ skt1 @ skt2 @ sk1 @ sk3 ) @ ( c_2Elist_2EZIP @ skt1 @ skt2 @ ( c_2Epair_2E_2C @ ( tyop_2Elist_2Elist @ skt1 ) @ ( tyop_2Elist_2Elist @ skt2 ) @ sk2 @ sk4 ) ) ) ) ),
    inference(lifteq,[status(thm)],[16])).

thf(58,plain,
    ( ( c_2Ebool_2E_7E @ $false )
    = ( ~ $false ) ),
    inference(instance,[status(thm)],[55])).

thf(59,plain,(
    c_2Ebool_2E_7E @ $false ),
    inference(simp,[status(thm)],[58])).

thf(47,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $true @ $true )
    = ( $true
     => $true ) ),
    inference(instance,[status(thm)],[46])).

thf(48,plain,(
    c_2Emin_2E_3D_3D_3E @ $true @ $true ),
    inference(simp,[status(thm)],[47])).

thf(3,axiom,(
    ! [TA: $tType,TB: $tType] :
      ( ! [A: tyop_2Elist_2Elist @ TB] :
          ( ( c_2Elist_2EZIP @ TA @ TB @ ( c_2Epair_2E_2C @ ( tyop_2Elist_2Elist @ TA ) @ ( tyop_2Elist_2Elist @ TB ) @ ( c_2Elist_2ENIL @ TA ) @ A ) )
          = ( c_2Elist_2ENIL @ ( tyop_2Epair_2Eprod @ TA @ TB ) ) )
      & ! [A: tyop_2Elist_2Elist @ TA] :
          ( ( c_2Elist_2EZIP @ TA @ TB @ ( c_2Epair_2E_2C @ ( tyop_2Elist_2Elist @ TA ) @ ( tyop_2Elist_2Elist @ TB ) @ A @ ( c_2Elist_2ENIL @ TB ) ) )
          = ( c_2Elist_2ENIL @ ( tyop_2Epair_2Eprod @ TA @ TB ) ) )
      & ! [A: TA,B: tyop_2Elist_2Elist @ TA,C: TB,D: tyop_2Elist_2Elist @ TB] :
          ( ( c_2Elist_2EZIP @ TA @ TB @ ( c_2Epair_2E_2C @ ( tyop_2Elist_2Elist @ TA ) @ ( tyop_2Elist_2Elist @ TB ) @ ( c_2Elist_2ECONS @ TA @ A @ B ) @ ( c_2Elist_2ECONS @ TB @ C @ D ) ) )
          = ( c_2Elist_2ECONS @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ ( c_2Epair_2E_2C @ TA @ TB @ A @ C ) @ ( c_2Elist_2EZIP @ TA @ TB @ ( c_2Epair_2E_2C @ ( tyop_2Elist_2Elist @ TA ) @ ( tyop_2Elist_2Elist @ TB ) @ B @ D ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Elist_2EZIP__def)).

thf(18,plain,(
    ! [TA: $tType,TB: $tType] :
      ( ! [A: tyop_2Elist_2Elist @ TB] :
          ( ( c_2Elist_2EZIP @ TA @ TB @ ( c_2Epair_2E_2C @ ( tyop_2Elist_2Elist @ TA ) @ ( tyop_2Elist_2Elist @ TB ) @ ( c_2Elist_2ENIL @ TA ) @ A ) )
          = ( c_2Elist_2ENIL @ ( tyop_2Epair_2Eprod @ TA @ TB ) ) )
      & ! [A: tyop_2Elist_2Elist @ TA] :
          ( ( c_2Elist_2EZIP @ TA @ TB @ ( c_2Epair_2E_2C @ ( tyop_2Elist_2Elist @ TA ) @ ( tyop_2Elist_2Elist @ TB ) @ A @ ( c_2Elist_2ENIL @ TB ) ) )
          = ( c_2Elist_2ENIL @ ( tyop_2Epair_2Eprod @ TA @ TB ) ) )
      & ! [A: TA,B: tyop_2Elist_2Elist @ TA,C: TB,D: tyop_2Elist_2Elist @ TB] :
          ( ( c_2Elist_2EZIP @ TA @ TB @ ( c_2Epair_2E_2C @ ( tyop_2Elist_2Elist @ TA ) @ ( tyop_2Elist_2Elist @ TB ) @ ( c_2Elist_2ECONS @ TA @ A @ B ) @ ( c_2Elist_2ECONS @ TB @ C @ D ) ) )
          = ( c_2Elist_2ECONS @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ ( c_2Epair_2E_2C @ TA @ TB @ A @ C ) @ ( c_2Elist_2EZIP @ TA @ TB @ ( c_2Epair_2E_2C @ ( tyop_2Elist_2Elist @ TA ) @ ( tyop_2Elist_2Elist @ TB ) @ B @ D ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(49,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $true @ $false )
    = ( $true
     => $false ) ),
    inference(instance,[status(thm)],[46])).

thf(50,plain,(
    ~ ( c_2Emin_2E_3D_3D_3E @ $true @ $false ) ),
    inference(simp,[status(thm)],[49])).

thf(10,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(43,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(9,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(40,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(19,plain,(
    ! [TA: $tType,TB: $tType,D: tyop_2Elist_2Elist @ TA,C: TA,B: tyop_2Elist_2Elist @ TB,A: TB] :
      ( ( c_2Elist_2EZIP @ TB @ TA @ ( c_2Epair_2E_2C @ ( tyop_2Elist_2Elist @ TB ) @ ( tyop_2Elist_2Elist @ TA ) @ ( c_2Elist_2ECONS @ TB @ A @ B ) @ ( c_2Elist_2ECONS @ TA @ C @ D ) ) )
      = ( c_2Elist_2ECONS @ ( tyop_2Epair_2Eprod @ TB @ TA ) @ ( c_2Epair_2E_2C @ TB @ TA @ A @ C ) @ ( c_2Elist_2EZIP @ TB @ TA @ ( c_2Epair_2E_2C @ ( tyop_2Elist_2Elist @ TB ) @ ( tyop_2Elist_2Elist @ TA ) @ B @ D ) ) ) ) ),
    inference(cnf,[status(esa)],[18])).

thf(22,plain,(
    ! [TA: $tType,TB: $tType,D: tyop_2Elist_2Elist @ TA,C: TA,B: tyop_2Elist_2Elist @ TB,A: TB] :
      ( ( c_2Elist_2EZIP @ TB @ TA @ ( c_2Epair_2E_2C @ ( tyop_2Elist_2Elist @ TB ) @ ( tyop_2Elist_2Elist @ TA ) @ ( c_2Elist_2ECONS @ TB @ A @ B ) @ ( c_2Elist_2ECONS @ TA @ C @ D ) ) )
      = ( c_2Elist_2ECONS @ ( tyop_2Epair_2Eprod @ TB @ TA ) @ ( c_2Epair_2E_2C @ TB @ TA @ A @ C ) @ ( c_2Elist_2EZIP @ TB @ TA @ ( c_2Epair_2E_2C @ ( tyop_2Elist_2Elist @ TB ) @ ( tyop_2Elist_2Elist @ TA ) @ B @ D ) ) ) ) ),
    inference(lifteq,[status(thm)],[19])).

thf(23,plain,(
    ! [TA: $tType,TB: $tType,D: tyop_2Elist_2Elist @ TA,C: TA,B: tyop_2Elist_2Elist @ TB,A: TB] :
      ( ( c_2Elist_2EZIP @ TB @ TA @ ( c_2Epair_2E_2C @ ( tyop_2Elist_2Elist @ TB ) @ ( tyop_2Elist_2Elist @ TA ) @ ( c_2Elist_2ECONS @ TB @ A @ B ) @ ( c_2Elist_2ECONS @ TA @ C @ D ) ) )
      = ( c_2Elist_2ECONS @ ( tyop_2Epair_2Eprod @ TB @ TA ) @ ( c_2Epair_2E_2C @ TB @ TA @ A @ C ) @ ( c_2Elist_2EZIP @ TB @ TA @ ( c_2Epair_2E_2C @ ( tyop_2Elist_2Elist @ TB ) @ ( tyop_2Elist_2Elist @ TA ) @ B @ D ) ) ) ) ),
    inference(simp,[status(thm)],[22])).

thf(7,axiom,(
    c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(36,plain,(
    c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(93,plain,(
    $false ),
    inference(iprover,[status(thm)],[69,37,46,57,29,60,28,33,34,17,59,27,48,18,50,43,40,55,23,36,15])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.03/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.03/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.03/0.13  % CPULimit   : 300
% 0.03/0.13  % DateTime   : Tue Jul 30 18:04:20 EDT 2019
% 0.03/0.13  % CPUTime    : 
% 3.54/1.46  % [INFO] 	 Running in sequential loop mode. 
% 3.98/1.63  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.42/1.70  % [INFO] 	 iprover registered as external prover. 
% 4.42/1.70  % [INFO] 	 e registered as external prover. 
% 4.42/1.70  % [INFO] 	 cvc4 registered as external prover. 
% 4.42/1.70  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.63/1.77  % [INFO] 	 Found a conjecture and 12 axioms. Running axiom selection ... 
% 4.71/1.81  % [INFO] 	 Axiom selection finished. Selected 12 axioms (removed 0 axioms). 
% 4.78/1.85  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 25.62/14.76  % [INFO] 	 Killing All external provers ... 
% 25.62/14.77  % Time passed: 14510ms
% 25.62/14.77  % Effective reasoning time: 13308ms
% 25.62/14.77  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 25.62/14.77  % Axioms used in derivation (12): logicdef_2E_3D, thm_2Ebool_2EREFL__CLAUSE, logicdef_2E_5C_2F, thm_2Elist_2EZIP__def, quantdef_2E_21, thm_2Ebool_2ETRUTH, logicdef_2E_3D_3D_3E, thm_2Ebool_2EFORALL__SIMP, thm_2Ebool_2EAND__CLAUSES, logicdef_2E_2F_5C, logicdef_2E_7E, quantdef_2E_3F
% 25.62/14.77  % No. of inferences in proof: 44
% 25.72/14.77  % No. of processed clauses: 9
% 25.72/14.77  % No. of generated clauses: 2
% 25.72/14.77  % No. of forward subsumed clauses: 2
% 25.72/14.77  % No. of backward subsumed clauses: 0
% 25.72/14.77  % No. of ground rewrite rules in store: 7
% 25.72/14.77  % No. of non-ground rewrite rules in store: 1
% 25.72/14.77  % No. of positive (non-rewrite) units in store: 0
% 25.72/14.77  % No. of negative (non-rewrite) units in store: 0
% 25.72/14.77  % No. of choice functions detected: 0
% 25.72/14.77  % No. of choice instantiations: 0
% 25.72/14.77  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 14510 ms resp. 13308 ms w/o parsing
% 25.72/14.80  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 25.72/14.80  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 25.72/14.80  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 25.72/14.80  thf(c_2Epair_2E_2C_type, type, c_2Epair_2E_2C: !>[TA: $tType,TB: $tType]: (TA > (TB > (tyop_2Epair_2Eprod @ TA @ TB)))).
% 25.72/14.80  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 25.72/14.80  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 25.72/14.80  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 25.72/14.80  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 25.72/14.80  thf(c_2Elist_2ECONS_type, type, c_2Elist_2ECONS: !>[TA: $tType]: (TA > ((tyop_2Elist_2Elist @ TA) > (tyop_2Elist_2Elist @ TA)))).
% 25.72/14.80  thf(c_2Ebool_2EF_type, type, c_2Ebool_2EF: $o).
% 25.72/14.80  thf(c_2Elist_2ENIL_type, type, c_2Elist_2ENIL: !>[TA: $tType]: (tyop_2Elist_2Elist @ TA)).
% 25.72/14.80  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 25.72/14.80  thf(c_2Elist_2EZIP_type, type, c_2Elist_2EZIP: !>[TA: $tType,TB: $tType]: ((tyop_2Epair_2Eprod @ (tyop_2Elist_2Elist @ TA) @ (tyop_2Elist_2Elist @ TB)) > (tyop_2Elist_2Elist @ (tyop_2Epair_2Eprod @ TA @ TB)))).
% 25.72/14.80  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 25.72/14.80  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 25.72/14.80  thf(skt1_type, type, skt1: $tType).
% 25.72/14.80  thf(skt2_type, type, skt2: $tType).
% 25.72/14.80  thf(skt3_type, type, skt3: $tType).
% 25.72/14.80  thf(skt4_type, type, skt4: $tType).
% 25.72/14.80  thf(sk1_type, type, sk1: skt1).
% 25.72/14.80  thf(sk2_type, type, sk2: (tyop_2Elist_2Elist @ skt1)).
% 25.72/14.80  thf(sk3_type, type, sk3: skt2).
% 25.72/14.80  thf(sk4_type, type, sk4: (tyop_2Elist_2Elist @ skt2)).
% 25.72/14.80  thf(14,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 25.72/14.80  thf(69,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).
% 25.72/14.80  thf(8,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 25.72/14.80  thf(37,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 25.72/14.80  thf(11,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 25.72/14.80  thf(46,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 25.72/14.80  thf(12,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 25.72/14.80  thf(55,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 25.72/14.80  thf(56,plain,(((c_2Ebool_2E_7E @ $true) = (~ ($true)))),inference(instance,[status(thm)],[55])).
% 25.72/14.80  thf(57,plain,((~ (c_2Ebool_2E_7E @ $true))),inference(simp,[status(thm)],[56])).
% 25.72/14.80  thf(5,axiom,((! [A:$o]: ((((c_2Ebool_2ET) & (A)) = A) & (((A) & (c_2Ebool_2ET)) = A) & (((c_2Ebool_2EF) & (A)) = c_2Ebool_2EF) & (((A) & (c_2Ebool_2EF)) = c_2Ebool_2EF) & (((A) & (A)) = A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EAND__CLAUSES)).
% 25.72/14.80  thf(29,plain,((! [A:$o]: ((((c_2Ebool_2ET) & (A)) = A) & (((A) & (c_2Ebool_2ET)) = A) & (((c_2Ebool_2EF) & (A)) = c_2Ebool_2EF) & (((A) & (c_2Ebool_2EF)) = c_2Ebool_2EF)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 25.72/14.80  thf(13,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 25.72/14.80  thf(60,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 25.72/14.80  thf(4,axiom,((! [TA: $tType]: (! [A:TA]: ((A = A) = c_2Ebool_2ET)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).
% 25.72/14.80  thf(27,plain,((! [TA: $tType]: (c_2Ebool_2ET))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 25.72/14.80  thf(28,plain,(c_2Ebool_2ET),inference(cnf,[status(esa)],[27])).
% 25.72/14.80  thf(32,plain,(((((c_2Ebool_2ET) & ($false)) = $false) & ((($false) & (c_2Ebool_2ET)) = $false) & (((c_2Ebool_2EF) & ($false)) = c_2Ebool_2EF) & ((($false) & (c_2Ebool_2EF)) = c_2Ebool_2EF))),inference(instance,[status(thm)],[29])).
% 25.72/14.80  thf(33,plain,(~ (c_2Ebool_2EF)),inference(simp,[status(thm)],[32])).
% 25.72/14.80  thf(6,axiom,((! [TA: $tType]: (! [A:$o]: ((! [B:TA]: (A)) = A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EFORALL__SIMP)).
% 25.72/14.80  thf(34,plain,((! [TA: $tType]: ($true))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 25.72/14.80  thf(1,conjecture,((! [TA: $tType,TB: $tType,TC: $tType,TD: $tType]: (((c_2Elist_2EZIP @ TC @ TD @ (c_2Epair_2E_2C @ (tyop_2Elist_2Elist @ TC) @ (tyop_2Elist_2Elist @ TD) @ (c_2Elist_2ENIL @ TC) @ (c_2Elist_2ENIL @ TD))) = (c_2Elist_2ENIL @ (tyop_2Epair_2Eprod @ TC @ TD))) & ! [A:TA,B:(tyop_2Elist_2Elist @ TA),C:TB,D:(tyop_2Elist_2Elist @ TB)]: ((c_2Elist_2EZIP @ TA @ TB @ (c_2Epair_2E_2C @ (tyop_2Elist_2Elist @ TA) @ (tyop_2Elist_2Elist @ TB) @ (c_2Elist_2ECONS @ TA @ A @ B) @ (c_2Elist_2ECONS @ TB @ C @ D))) = (c_2Elist_2ECONS @ (tyop_2Epair_2Eprod @ TA @ TB) @ (c_2Epair_2E_2C @ TA @ TB @ A @ C) @ (c_2Elist_2EZIP @ TA @ TB @ (c_2Epair_2E_2C @ (tyop_2Elist_2Elist @ TA) @ (tyop_2Elist_2Elist @ TB) @ B @ D))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Elist_2EZIP)).
% 25.72/14.80  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType,TC: $tType,TD: $tType]: (((c_2Elist_2EZIP @ TC @ TD @ (c_2Epair_2E_2C @ (tyop_2Elist_2Elist @ TC) @ (tyop_2Elist_2Elist @ TD) @ (c_2Elist_2ENIL @ TC) @ (c_2Elist_2ENIL @ TD))) = (c_2Elist_2ENIL @ (tyop_2Epair_2Eprod @ TC @ TD))) & ! [A:TA,B:(tyop_2Elist_2Elist @ TA),C:TB,D:(tyop_2Elist_2Elist @ TB)]: ((c_2Elist_2EZIP @ TA @ TB @ (c_2Epair_2E_2C @ (tyop_2Elist_2Elist @ TA) @ (tyop_2Elist_2Elist @ TB) @ (c_2Elist_2ECONS @ TA @ A @ B) @ (c_2Elist_2ECONS @ TB @ C @ D))) = (c_2Elist_2ECONS @ (tyop_2Epair_2Eprod @ TA @ TB) @ (c_2Epair_2E_2C @ TA @ TB @ A @ C) @ (c_2Elist_2EZIP @ TA @ TB @ (c_2Epair_2E_2C @ (tyop_2Elist_2Elist @ TA) @ (tyop_2Elist_2Elist @ TB) @ B @ D)))))))),inference(neg_conjecture,[status(cth)],[1])).
% 25.72/14.80  thf(15,plain,((~ (! [TA: $tType,TB: $tType,TC: $tType,TD: $tType]: (((c_2Elist_2EZIP @ TC @ TD @ (c_2Epair_2E_2C @ (tyop_2Elist_2Elist @ TC) @ (tyop_2Elist_2Elist @ TD) @ (c_2Elist_2ENIL @ TC) @ (c_2Elist_2ENIL @ TD))) = (c_2Elist_2ENIL @ (tyop_2Epair_2Eprod @ TC @ TD))) & ! [A:TA,B:(tyop_2Elist_2Elist @ TA),C:TB,D:(tyop_2Elist_2Elist @ TB)]: ((c_2Elist_2EZIP @ TA @ TB @ (c_2Epair_2E_2C @ (tyop_2Elist_2Elist @ TA) @ (tyop_2Elist_2Elist @ TB) @ (c_2Elist_2ECONS @ TA @ A @ B) @ (c_2Elist_2ECONS @ TB @ C @ D))) = (c_2Elist_2ECONS @ (tyop_2Epair_2Eprod @ TA @ TB) @ (c_2Epair_2E_2C @ TA @ TB @ A @ C) @ (c_2Elist_2EZIP @ TA @ TB @ (c_2Epair_2E_2C @ (tyop_2Elist_2Elist @ TA) @ (tyop_2Elist_2Elist @ TB) @ B @ D)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 25.72/14.80  thf(16,plain,((~ ((c_2Elist_2EZIP @ skt3 @ skt4 @ (c_2Epair_2E_2C @ (tyop_2Elist_2Elist @ skt3) @ (tyop_2Elist_2Elist @ skt4) @ (c_2Elist_2ENIL @ skt3) @ (c_2Elist_2ENIL @ skt4))) = (c_2Elist_2ENIL @ (tyop_2Epair_2Eprod @ skt3 @ skt4)))) | (~ ((c_2Elist_2EZIP @ skt1 @ skt2 @ (c_2Epair_2E_2C @ (tyop_2Elist_2Elist @ skt1) @ (tyop_2Elist_2Elist @ skt2) @ (c_2Elist_2ECONS @ skt1 @ sk1 @ sk2) @ (c_2Elist_2ECONS @ skt2 @ sk3 @ sk4))) = (c_2Elist_2ECONS @ (tyop_2Epair_2Eprod @ skt1 @ skt2) @ (c_2Epair_2E_2C @ skt1 @ skt2 @ sk1 @ sk3) @ (c_2Elist_2EZIP @ skt1 @ skt2 @ (c_2Epair_2E_2C @ (tyop_2Elist_2Elist @ skt1) @ (tyop_2Elist_2Elist @ skt2) @ sk2 @ sk4)))))),inference(cnf,[status(esa)],[15])).
% 25.72/14.80  thf(17,plain,(((c_2Elist_2EZIP @ skt3 @ skt4 @ (c_2Epair_2E_2C @ (tyop_2Elist_2Elist @ skt3) @ (tyop_2Elist_2Elist @ skt4) @ (c_2Elist_2ENIL @ skt3) @ (c_2Elist_2ENIL @ skt4))) != (c_2Elist_2ENIL @ (tyop_2Epair_2Eprod @ skt3 @ skt4))) | ((c_2Elist_2EZIP @ skt1 @ skt2 @ (c_2Epair_2E_2C @ (tyop_2Elist_2Elist @ skt1) @ (tyop_2Elist_2Elist @ skt2) @ (c_2Elist_2ECONS @ skt1 @ sk1 @ sk2) @ (c_2Elist_2ECONS @ skt2 @ sk3 @ sk4))) != (c_2Elist_2ECONS @ (tyop_2Epair_2Eprod @ skt1 @ skt2) @ (c_2Epair_2E_2C @ skt1 @ skt2 @ sk1 @ sk3) @ (c_2Elist_2EZIP @ skt1 @ skt2 @ (c_2Epair_2E_2C @ (tyop_2Elist_2Elist @ skt1) @ (tyop_2Elist_2Elist @ skt2) @ sk2 @ sk4))))),inference(lifteq,[status(thm)],[16])).
% 25.72/14.80  thf(58,plain,(((c_2Ebool_2E_7E @ $false) = (~ ($false)))),inference(instance,[status(thm)],[55])).
% 25.72/14.80  thf(59,plain,((c_2Ebool_2E_7E @ $false)),inference(simp,[status(thm)],[58])).
% 25.72/14.80  thf(47,plain,(((c_2Emin_2E_3D_3D_3E @ $true @ $true) = (($true) => ($true)))),inference(instance,[status(thm)],[46])).
% 25.72/14.80  thf(48,plain,((c_2Emin_2E_3D_3D_3E @ $true @ $true)),inference(simp,[status(thm)],[47])).
% 25.72/14.80  thf(3,axiom,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Elist_2Elist @ TB)]: ((c_2Elist_2EZIP @ TA @ TB @ (c_2Epair_2E_2C @ (tyop_2Elist_2Elist @ TA) @ (tyop_2Elist_2Elist @ TB) @ (c_2Elist_2ENIL @ TA) @ A)) = (c_2Elist_2ENIL @ (tyop_2Epair_2Eprod @ TA @ TB))) & ! [A:(tyop_2Elist_2Elist @ TA)]: ((c_2Elist_2EZIP @ TA @ TB @ (c_2Epair_2E_2C @ (tyop_2Elist_2Elist @ TA) @ (tyop_2Elist_2Elist @ TB) @ A @ (c_2Elist_2ENIL @ TB))) = (c_2Elist_2ENIL @ (tyop_2Epair_2Eprod @ TA @ TB))) & ! [A:TA,B:(tyop_2Elist_2Elist @ TA),C:TB,D:(tyop_2Elist_2Elist @ TB)]: ((c_2Elist_2EZIP @ TA @ TB @ (c_2Epair_2E_2C @ (tyop_2Elist_2Elist @ TA) @ (tyop_2Elist_2Elist @ TB) @ (c_2Elist_2ECONS @ TA @ A @ B) @ (c_2Elist_2ECONS @ TB @ C @ D))) = (c_2Elist_2ECONS @ (tyop_2Epair_2Eprod @ TA @ TB) @ (c_2Epair_2E_2C @ TA @ TB @ A @ C) @ (c_2Elist_2EZIP @ TA @ TB @ (c_2Epair_2E_2C @ (tyop_2Elist_2Elist @ TA) @ (tyop_2Elist_2Elist @ TB) @ B @ D))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Elist_2EZIP__def)).
% 25.72/14.80  thf(18,plain,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Elist_2Elist @ TB)]: ((c_2Elist_2EZIP @ TA @ TB @ (c_2Epair_2E_2C @ (tyop_2Elist_2Elist @ TA) @ (tyop_2Elist_2Elist @ TB) @ (c_2Elist_2ENIL @ TA) @ A)) = (c_2Elist_2ENIL @ (tyop_2Epair_2Eprod @ TA @ TB))) & ! [A:(tyop_2Elist_2Elist @ TA)]: ((c_2Elist_2EZIP @ TA @ TB @ (c_2Epair_2E_2C @ (tyop_2Elist_2Elist @ TA) @ (tyop_2Elist_2Elist @ TB) @ A @ (c_2Elist_2ENIL @ TB))) = (c_2Elist_2ENIL @ (tyop_2Epair_2Eprod @ TA @ TB))) & ! [A:TA,B:(tyop_2Elist_2Elist @ TA),C:TB,D:(tyop_2Elist_2Elist @ TB)]: ((c_2Elist_2EZIP @ TA @ TB @ (c_2Epair_2E_2C @ (tyop_2Elist_2Elist @ TA) @ (tyop_2Elist_2Elist @ TB) @ (c_2Elist_2ECONS @ TA @ A @ B) @ (c_2Elist_2ECONS @ TB @ C @ D))) = (c_2Elist_2ECONS @ (tyop_2Epair_2Eprod @ TA @ TB) @ (c_2Epair_2E_2C @ TA @ TB @ A @ C) @ (c_2Elist_2EZIP @ TA @ TB @ (c_2Epair_2E_2C @ (tyop_2Elist_2Elist @ TA) @ (tyop_2Elist_2Elist @ TB) @ B @ D))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 25.72/14.80  thf(49,plain,(((c_2Emin_2E_3D_3D_3E @ $true @ $false) = (($true) => ($false)))),inference(instance,[status(thm)],[46])).
% 25.72/14.80  thf(50,plain,((~ (c_2Emin_2E_3D_3D_3E @ $true @ $false))),inference(simp,[status(thm)],[49])).
% 25.72/14.80  thf(10,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 25.72/14.80  thf(43,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 25.72/14.80  thf(9,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).
% 25.72/14.80  thf(40,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 25.72/14.80  thf(19,plain,(! [TA:$tType,TB:$tType,D:(tyop_2Elist_2Elist @ TA),C:TA,B:(tyop_2Elist_2Elist @ TB),A:TB] : (((c_2Elist_2EZIP @ TB @ TA @ (c_2Epair_2E_2C @ (tyop_2Elist_2Elist @ TB) @ (tyop_2Elist_2Elist @ TA) @ (c_2Elist_2ECONS @ TB @ A @ B) @ (c_2Elist_2ECONS @ TA @ C @ D))) = (c_2Elist_2ECONS @ (tyop_2Epair_2Eprod @ TB @ TA) @ (c_2Epair_2E_2C @ TB @ TA @ A @ C) @ (c_2Elist_2EZIP @ TB @ TA @ (c_2Epair_2E_2C @ (tyop_2Elist_2Elist @ TB) @ (tyop_2Elist_2Elist @ TA) @ B @ D)))))),inference(cnf,[status(esa)],[18])).
% 25.72/14.80  thf(22,plain,(! [TA:$tType,TB:$tType,D:(tyop_2Elist_2Elist @ TA),C:TA,B:(tyop_2Elist_2Elist @ TB),A:TB] : (((c_2Elist_2EZIP @ TB @ TA @ (c_2Epair_2E_2C @ (tyop_2Elist_2Elist @ TB) @ (tyop_2Elist_2Elist @ TA) @ (c_2Elist_2ECONS @ TB @ A @ B) @ (c_2Elist_2ECONS @ TA @ C @ D))) = (c_2Elist_2ECONS @ (tyop_2Epair_2Eprod @ TB @ TA) @ (c_2Epair_2E_2C @ TB @ TA @ A @ C) @ (c_2Elist_2EZIP @ TB @ TA @ (c_2Epair_2E_2C @ (tyop_2Elist_2Elist @ TB) @ (tyop_2Elist_2Elist @ TA) @ B @ D)))))),inference(lifteq,[status(thm)],[19])).
% 25.72/14.80  thf(23,plain,(! [TA:$tType,TB:$tType,D:(tyop_2Elist_2Elist @ TA),C:TA,B:(tyop_2Elist_2Elist @ TB),A:TB] : (((c_2Elist_2EZIP @ TB @ TA @ (c_2Epair_2E_2C @ (tyop_2Elist_2Elist @ TB) @ (tyop_2Elist_2Elist @ TA) @ (c_2Elist_2ECONS @ TB @ A @ B) @ (c_2Elist_2ECONS @ TA @ C @ D))) = (c_2Elist_2ECONS @ (tyop_2Epair_2Eprod @ TB @ TA) @ (c_2Epair_2E_2C @ TB @ TA @ A @ C) @ (c_2Elist_2EZIP @ TB @ TA @ (c_2Epair_2E_2C @ (tyop_2Elist_2Elist @ TB) @ (tyop_2Elist_2Elist @ TA) @ B @ D)))))),inference(simp,[status(thm)],[22])).
% 25.72/14.80  thf(7,axiom,(c_2Ebool_2ET),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).
% 25.72/14.80  thf(36,plain,(c_2Ebool_2ET),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 25.72/14.80  thf(93,plain,($false),inference(iprover,[status(thm)],[69,37,46,57,29,60,28,33,34,17,59,27,48,18,50,43,40,55,23,36,15])).
% 25.72/14.80  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 25.72/14.80  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
