%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:37:33 EDT 2019

% Result     : Theorem 7.49s
% Output     : CNFRefutation 7.49s
% Verified   : 
% Statistics : Number of formulae       :   18 (  21 expanded)
%              Number of leaves         :   13 (  14 expanded)
%              Depth                    :    4
%              Number of atoms          :  158 ( 245 expanded)
%              Number of equality atoms :   13 (  22 expanded)
%              Maximal formula depth    :   14 (   7 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Epred__set_2EINJ_type,type,(
    c_2Epred__set_2EINJ: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > TB ) > ( TA > $o ) > ( TB > $o ) > $o ) )).

thf(c_2Elist_2ELIST__TO__SET_type,type,(
    c_2Elist_2ELIST__TO__SET: 
      !>[TA: $tType] :
        ( ( tyop_2Elist_2Elist @ TA ) > TA > $o ) )).

thf(c_2Elist_2EMAP_type,type,(
    c_2Elist_2EMAP: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > TB ) > ( tyop_2Elist_2Elist @ TA ) > ( tyop_2Elist_2Elist @ TB ) ) )).

thf(c_2Epred__set_2EUNION_type,type,(
    c_2Epred__set_2EUNION: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > $o ) > TA > $o ) )).

thf(c_2Epred__set_2EUNIV_type,type,(
    c_2Epred__set_2EUNIV: 
      !>[TA: $tType] :
        ( TA > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(skt2_type,type,(
    skt2: $tType )).

thf(sk1_type,type,(
    sk1: skt1 > skt2 )).

thf(sk2_type,type,(
    sk2: ( tyop_2Elist_2Elist @ skt1 ) )).

thf(sk3_type,type,(
    sk3: ( tyop_2Elist_2Elist @ skt1 ) )).

thf(1,conjecture,(
    ! [TA: $tType,TB: $tType,A: TA > TB,B: tyop_2Elist_2Elist @ TA,C: tyop_2Elist_2Elist @ TA] :
      ( ( c_2Epred__set_2EINJ @ TA @ TB @ A @ ( c_2Epred__set_2EUNION @ TA @ ( c_2Elist_2ELIST__TO__SET @ TA @ B ) @ ( c_2Elist_2ELIST__TO__SET @ TA @ C ) ) @ ( c_2Epred__set_2EUNIV @ TB ) )
     => ( ( ( c_2Elist_2EMAP @ TA @ TB @ A @ B )
          = ( c_2Elist_2EMAP @ TA @ TB @ A @ C ) )
        = ( B = C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Elist_2EINJ__MAP__EQ__IFF)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,TB: $tType,A: TA > TB,B: tyop_2Elist_2Elist @ TA,C: tyop_2Elist_2Elist @ TA] :
        ( ( c_2Epred__set_2EINJ @ TA @ TB @ A @ ( c_2Epred__set_2EUNION @ TA @ ( c_2Elist_2ELIST__TO__SET @ TA @ B ) @ ( c_2Elist_2ELIST__TO__SET @ TA @ C ) ) @ ( c_2Epred__set_2EUNIV @ TB ) )
       => ( ( ( c_2Elist_2EMAP @ TA @ TB @ A @ B )
            = ( c_2Elist_2EMAP @ TA @ TB @ A @ C ) )
          = ( B = C ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(4,plain,(
    ~ ! [TA: $tType,TB: $tType,A: TA > TB,B: tyop_2Elist_2Elist @ TA,C: tyop_2Elist_2Elist @ TA] :
        ( ( c_2Epred__set_2EINJ @ TA @ TB @ A @ ( c_2Epred__set_2EUNION @ TA @ ( c_2Elist_2ELIST__TO__SET @ TA @ B ) @ ( c_2Elist_2ELIST__TO__SET @ TA @ C ) ) @ ( c_2Epred__set_2EUNIV @ TB ) )
       => ( ( ( c_2Elist_2EMAP @ TA @ TB @ A @ B )
            = ( c_2Elist_2EMAP @ TA @ TB @ A @ C ) )
          = ( B = C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > TB,B: tyop_2Elist_2Elist @ TA,C: tyop_2Elist_2Elist @ TA] :
      ( ( ( c_2Epred__set_2EINJ @ TA @ TB @ A @ ( c_2Epred__set_2EUNION @ TA @ ( c_2Elist_2ELIST__TO__SET @ TA @ B ) @ ( c_2Elist_2ELIST__TO__SET @ TA @ C ) ) @ ( c_2Epred__set_2EUNIV @ TB ) )
        & ( ( c_2Elist_2EMAP @ TA @ TB @ A @ B )
          = ( c_2Elist_2EMAP @ TA @ TB @ A @ C ) ) )
     => ( B = C ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Elist_2EINJ__MAP__EQ)).

thf(8,plain,(
    ! [TA: $tType,TB: $tType,A: TA > TB,B: tyop_2Elist_2Elist @ TA,C: tyop_2Elist_2Elist @ TA] :
      ( ( ( c_2Epred__set_2EINJ @ TA @ TB @ A @ ( c_2Epred__set_2EUNION @ TA @ ( c_2Elist_2ELIST__TO__SET @ TA @ B ) @ ( c_2Elist_2ELIST__TO__SET @ TA @ C ) ) @ ( c_2Epred__set_2EUNIV @ TB ) )
        & ( ( c_2Elist_2EMAP @ TA @ TB @ A @ B )
          = ( c_2Elist_2EMAP @ TA @ TB @ A @ C ) ) )
     => ( B = C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(6,plain,(
    c_2Epred__set_2EINJ @ skt1 @ skt2 @ sk1 @ ( c_2Epred__set_2EUNION @ skt1 @ ( c_2Elist_2ELIST__TO__SET @ skt1 @ sk2 ) @ ( c_2Elist_2ELIST__TO__SET @ skt1 @ sk3 ) ) @ ( c_2Epred__set_2EUNIV @ skt2 ) ),
    inference(cnf,[status(esa)],[4])).

thf(15,plain,(
    $false ),
    inference(iprover,[status(thm)],[4,8,6])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.07/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.07/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.07/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.07/0.13  % CPULimit   : 300
% 0.07/0.13  % DateTime   : Tue Jul 30 18:06:24 EDT 2019
% 0.07/0.13  % CPUTime    : 
% 3.79/1.50  % [INFO] 	 Running in sequential loop mode. 
% 4.76/1.69  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 5.03/1.75  % [INFO] 	 iprover registered as external prover. 
% 5.03/1.75  % [INFO] 	 e registered as external prover. 
% 5.03/1.76  % [INFO] 	 cvc4 registered as external prover. 
% 5.03/1.76  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.35/1.82  % [INFO] 	 Found a conjecture and 33 axioms. Running axiom selection ... 
% 5.50/1.87  % [INFO] 	 Axiom selection finished. Selected 1 axioms (removed 32 axioms). 
% 5.50/1.88  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.49/2.46  % [INFO] 	 Killing All external provers ... 
% 7.49/2.47  % Time passed: 2195ms
% 7.49/2.47  % Effective reasoning time: 958ms
% 7.49/2.47  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.49/2.47  % Axioms used in derivation (1): thm_2Elist_2EINJ__MAP__EQ
% 7.49/2.47  % No. of inferences in proof: 7
% 7.49/2.47  % No. of processed clauses: 2
% 7.49/2.47  % No. of generated clauses: 2
% 7.49/2.47  % No. of forward subsumed clauses: 0
% 7.49/2.47  % No. of backward subsumed clauses: 0
% 7.49/2.47  % No. of ground rewrite rules in store: 1
% 7.49/2.47  % No. of non-ground rewrite rules in store: 0
% 7.49/2.47  % No. of positive (non-rewrite) units in store: 0
% 7.49/2.47  % No. of negative (non-rewrite) units in store: 1
% 7.49/2.47  % No. of choice functions detected: 0
% 7.49/2.47  % No. of choice instantiations: 0
% 7.49/2.47  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2195 ms resp. 958 ms w/o parsing
% 7.49/2.49  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.49/2.49  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.49/2.49  thf(c_2Epred__set_2EINJ_type, type, c_2Epred__set_2EINJ: !>[TA: $tType,TB: $tType]: ((TA > TB) > ((TA > $o) > ((TB > $o) > $o)))).
% 7.49/2.49  thf(c_2Elist_2ELIST__TO__SET_type, type, c_2Elist_2ELIST__TO__SET: !>[TA: $tType]: ((tyop_2Elist_2Elist @ TA) > (TA > $o))).
% 7.49/2.49  thf(c_2Elist_2EMAP_type, type, c_2Elist_2EMAP: !>[TA: $tType,TB: $tType]: ((TA > TB) > ((tyop_2Elist_2Elist @ TA) > (tyop_2Elist_2Elist @ TB)))).
% 7.49/2.49  thf(c_2Epred__set_2EUNION_type, type, c_2Epred__set_2EUNION: !>[TA: $tType]: ((TA > $o) > ((TA > $o) > (TA > $o)))).
% 7.49/2.49  thf(c_2Epred__set_2EUNIV_type, type, c_2Epred__set_2EUNIV: !>[TA: $tType]: (TA > $o)).
% 7.49/2.49  thf(skt1_type, type, skt1: $tType).
% 7.49/2.49  thf(skt2_type, type, skt2: $tType).
% 7.49/2.49  thf(sk1_type, type, sk1: (skt1 > skt2)).
% 7.49/2.49  thf(sk2_type, type, sk2: (tyop_2Elist_2Elist @ skt1)).
% 7.49/2.49  thf(sk3_type, type, sk3: (tyop_2Elist_2Elist @ skt1)).
% 7.49/2.49  thf(1,conjecture,((! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:(tyop_2Elist_2Elist @ TA),C:(tyop_2Elist_2Elist @ TA)]: ((c_2Epred__set_2EINJ @ TA @ TB @ A @ (c_2Epred__set_2EUNION @ TA @ (c_2Elist_2ELIST__TO__SET @ TA @ B) @ (c_2Elist_2ELIST__TO__SET @ TA @ C)) @ (c_2Epred__set_2EUNIV @ TB)) => (((c_2Elist_2EMAP @ TA @ TB @ A @ B) = (c_2Elist_2EMAP @ TA @ TB @ A @ C)) = (B = C)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Elist_2EINJ__MAP__EQ__IFF)).
% 7.49/2.50  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:(tyop_2Elist_2Elist @ TA),C:(tyop_2Elist_2Elist @ TA)]: ((c_2Epred__set_2EINJ @ TA @ TB @ A @ (c_2Epred__set_2EUNION @ TA @ (c_2Elist_2ELIST__TO__SET @ TA @ B) @ (c_2Elist_2ELIST__TO__SET @ TA @ C)) @ (c_2Epred__set_2EUNIV @ TB)) => (((c_2Elist_2EMAP @ TA @ TB @ A @ B) = (c_2Elist_2EMAP @ TA @ TB @ A @ C)) = (B = C))))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.49/2.50  thf(4,plain,((~ (! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:(tyop_2Elist_2Elist @ TA),C:(tyop_2Elist_2Elist @ TA)]: ((c_2Epred__set_2EINJ @ TA @ TB @ (A) @ (c_2Epred__set_2EUNION @ TA @ (c_2Elist_2ELIST__TO__SET @ TA @ B) @ (c_2Elist_2ELIST__TO__SET @ TA @ C)) @ (c_2Epred__set_2EUNIV @ TB)) => (((c_2Elist_2EMAP @ TA @ TB @ (A) @ B) = (c_2Elist_2EMAP @ TA @ TB @ (A) @ C)) = (B = C))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.49/2.50  thf(3,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:(tyop_2Elist_2Elist @ TA),C:(tyop_2Elist_2Elist @ TA)]: (((c_2Epred__set_2EINJ @ TA @ TB @ A @ (c_2Epred__set_2EUNION @ TA @ (c_2Elist_2ELIST__TO__SET @ TA @ B) @ (c_2Elist_2ELIST__TO__SET @ TA @ C)) @ (c_2Epred__set_2EUNIV @ TB)) & ((c_2Elist_2EMAP @ TA @ TB @ A @ B) = (c_2Elist_2EMAP @ TA @ TB @ A @ C))) => (B = C))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Elist_2EINJ__MAP__EQ)).
% 7.49/2.50  thf(8,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:(tyop_2Elist_2Elist @ TA),C:(tyop_2Elist_2Elist @ TA)]: (((c_2Epred__set_2EINJ @ TA @ TB @ (A) @ (c_2Epred__set_2EUNION @ TA @ (c_2Elist_2ELIST__TO__SET @ TA @ B) @ (c_2Elist_2ELIST__TO__SET @ TA @ C)) @ (c_2Epred__set_2EUNIV @ TB)) & ((c_2Elist_2EMAP @ TA @ TB @ (A) @ B) = (c_2Elist_2EMAP @ TA @ TB @ (A) @ C))) => (B = C))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.49/2.50  thf(6,plain,((c_2Epred__set_2EINJ @ skt1 @ skt2 @ (sk1) @ (c_2Epred__set_2EUNION @ skt1 @ (c_2Elist_2ELIST__TO__SET @ skt1 @ sk2) @ (c_2Elist_2ELIST__TO__SET @ skt1 @ sk3)) @ (c_2Epred__set_2EUNIV @ skt2))),inference(cnf,[status(esa)],[4])).
% 7.49/2.50  thf(15,plain,($false),inference(iprover,[status(thm)],[4,8,6])).
% 7.49/2.50  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.49/2.50  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
