%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:37:37 EDT 2019

% Result     : Theorem 8.57s
% Output     : CNFRefutation 8.57s
% Verified   : 
% Statistics : Number of formulae       :   24 (  24 expanded)
%              Number of leaves         :   13 (  13 expanded)
%              Depth                    :    8
%              Number of atoms          :  253 ( 253 expanded)
%              Number of equality atoms :   13 (  13 expanded)
%              Maximal formula depth    :   13 (   8 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Ebool_2ECOND_type,type,(
    c_2Ebool_2ECOND: 
      !>[TA: $tType] :
        ( $o > TA > TA > TA ) )).

thf(c_2Elist_2EHD_type,type,(
    c_2Elist_2EHD: 
      !>[TA: $tType] :
        ( ( tyop_2Elist_2Elist @ TA ) > TA ) )).

thf(c_2Elist_2ENULL_type,type,(
    c_2Elist_2ENULL: 
      !>[TA: $tType] :
        ( ( tyop_2Elist_2Elist @ TA ) > $o ) )).

thf(c_2Elist_2ETL_type,type,(
    c_2Elist_2ETL: 
      !>[TA: $tType] :
        ( ( tyop_2Elist_2Elist @ TA ) > ( tyop_2Elist_2Elist @ TA ) ) )).

thf(c_2Elist_2Elist__CASE_type,type,(
    c_2Elist_2Elist__CASE: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Elist_2Elist @ TA ) > TB > ( TA > ( tyop_2Elist_2Elist @ TA ) > TB ) > TB ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(skt2_type,type,(
    skt2: $tType )).

thf(sk1_type,type,(
    sk1: ( tyop_2Elist_2Elist @ skt1 ) )).

thf(sk2_type,type,(
    sk2: skt2 )).

thf(sk3_type,type,(
    sk3: skt1 > ( tyop_2Elist_2Elist @ skt1 ) > skt2 )).

thf(3,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > ( tyop_2Elist_2Elist @ TA ) > TB,B: TB,C: tyop_2Elist_2Elist @ TA] :
      ( ( c_2Elist_2Elist__CASE @ TA @ TB @ C @ B @ A )
      = ( c_2Ebool_2ECOND @ TB @ ( c_2Elist_2ENULL @ TA @ C ) @ B @ ( A @ ( c_2Elist_2EHD @ TA @ C ) @ ( c_2Elist_2ETL @ TA @ C ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Elist_2Elist__case__compute)).

thf(15,plain,(
    ! [TA: $tType,TB: $tType,A: TA > ( tyop_2Elist_2Elist @ TA ) > TB,B: TB,C: tyop_2Elist_2Elist @ TA] :
      ( ( c_2Elist_2Elist__CASE @ TA @ TB @ C @ B @ A )
      = ( c_2Ebool_2ECOND @ TB @ ( c_2Elist_2ENULL @ TA @ C ) @ B @ ( A @ ( c_2Elist_2EHD @ TA @ C ) @ ( c_2Elist_2ETL @ TA @ C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(16,plain,(
    ! [TA: $tType,TB: $tType,C: tyop_2Elist_2Elist @ TB,B: TA,A: TB > ( tyop_2Elist_2Elist @ TB ) > TA] :
      ( ( c_2Elist_2Elist__CASE @ TB @ TA @ C @ B @ A )
      = ( c_2Ebool_2ECOND @ TA @ ( c_2Elist_2ENULL @ TB @ C ) @ B @ ( A @ ( c_2Elist_2EHD @ TB @ C ) @ ( c_2Elist_2ETL @ TB @ C ) ) ) ) ),
    inference(cnf,[status(esa)],[15])).

thf(17,plain,(
    ! [TA: $tType,TB: $tType,C: tyop_2Elist_2Elist @ TB,B: TA,A: TB > ( tyop_2Elist_2Elist @ TB ) > TA] :
      ( ( c_2Elist_2Elist__CASE @ TB @ TA @ C @ B @ A )
      = ( c_2Ebool_2ECOND @ TA @ ( c_2Elist_2ENULL @ TB @ C ) @ B @ ( A @ ( c_2Elist_2EHD @ TB @ C ) @ ( c_2Elist_2ETL @ TB @ C ) ) ) ) ),
    inference(lifteq,[status(thm)],[16])).

thf(1,conjecture,(
    ! [TA: $tType,TB: $tType] :
      ( ( c_2Elist_2Elist__CASE @ TA @ TB )
      = ( ^ [A: tyop_2Elist_2Elist @ TA,B: TB,C: TA > ( tyop_2Elist_2Elist @ TA ) > TB] :
            ( c_2Ebool_2ECOND @ TB @ ( c_2Elist_2ENULL @ TA @ A ) @ B @ ( C @ ( c_2Elist_2EHD @ TA @ A ) @ ( c_2Elist_2ETL @ TA @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Elist_2Elazy__list__case__compute)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,TB: $tType] :
        ( ( c_2Elist_2Elist__CASE @ TA @ TB )
        = ( ^ [A: tyop_2Elist_2Elist @ TA,B: TB,C: TA > ( tyop_2Elist_2Elist @ TA ) > TB] :
              ( c_2Ebool_2ECOND @ TB @ ( c_2Elist_2ENULL @ TA @ A ) @ B @ ( C @ ( c_2Elist_2EHD @ TA @ A ) @ ( c_2Elist_2ETL @ TA @ A ) ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(12,plain,(
    ~ ! [TA: $tType,TB: $tType] :
        ( ( c_2Elist_2Elist__CASE @ TA @ TB )
        = ( ^ [A: tyop_2Elist_2Elist @ TA,B: TB,C: TA > ( tyop_2Elist_2Elist @ TA ) > TB] :
              ( c_2Ebool_2ECOND @ TB @ ( c_2Elist_2ENULL @ TA @ A ) @ B @ ( C @ ( c_2Elist_2EHD @ TA @ A ) @ ( c_2Elist_2ETL @ TA @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(13,plain,(
    ( c_2Elist_2Elist__CASE @ skt1 @ skt2 )
 != ( ^ [A: tyop_2Elist_2Elist @ skt1,B: skt2,C: skt1 > ( tyop_2Elist_2Elist @ skt1 ) > skt2] :
        ( c_2Ebool_2ECOND @ skt2 @ ( c_2Elist_2ENULL @ skt1 @ A ) @ B @ ( C @ ( c_2Elist_2EHD @ skt1 @ A ) @ ( c_2Elist_2ETL @ skt1 @ A ) ) ) ) ),
    inference(cnf,[status(esa)],[12])).

thf(14,plain,(
    ( c_2Elist_2Elist__CASE @ skt1 @ skt2 )
 != ( ^ [A: tyop_2Elist_2Elist @ skt1,B: skt2,C: skt1 > ( tyop_2Elist_2Elist @ skt1 ) > skt2] :
        ( c_2Ebool_2ECOND @ skt2 @ ( c_2Elist_2ENULL @ skt1 @ A ) @ B @ ( C @ ( c_2Elist_2EHD @ skt1 @ A ) @ ( c_2Elist_2ETL @ skt1 @ A ) ) ) ) ),
    inference(lifteq,[status(thm)],[13])).

thf(63,plain,(
    ( c_2Elist_2Elist__CASE @ skt1 @ skt2 @ sk1 @ sk2 @ sk3 )
 != ( c_2Ebool_2ECOND @ skt2 @ ( c_2Elist_2ENULL @ skt1 @ sk1 ) @ sk2 @ ( sk3 @ ( c_2Elist_2EHD @ skt1 @ sk1 ) @ ( c_2Elist_2ETL @ skt1 @ sk1 ) ) ) ),
    inference(func_ext,[status(esa)],[14])).

thf(80,plain,(
    ! [TA: $tType,C: tyop_2Elist_2Elist @ TA,B: skt2,A: TA > ( tyop_2Elist_2Elist @ TA ) > skt2] :
      ( ( ( c_2Ebool_2ECOND @ skt2 @ ( c_2Elist_2ENULL @ TA @ C ) @ B @ ( A @ ( c_2Elist_2EHD @ TA @ C ) @ ( c_2Elist_2ETL @ TA @ C ) ) )
       != ( c_2Ebool_2ECOND @ skt2 @ ( c_2Elist_2ENULL @ skt1 @ sk1 ) @ sk2 @ ( sk3 @ ( c_2Elist_2EHD @ skt1 @ sk1 ) @ ( c_2Elist_2ETL @ skt1 @ sk1 ) ) ) )
      | ( ( c_2Elist_2Elist__CASE @ TA @ skt2 @ C @ B @ A )
       != ( c_2Elist_2Elist__CASE @ skt1 @ skt2 @ sk1 @ sk2 @ sk3 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[17,63])).

thf(81,plain,(
    ( c_2Ebool_2ECOND @ skt2 @ ( c_2Elist_2ENULL @ skt1 @ sk1 ) @ sk2 @ ( sk3 @ ( c_2Elist_2EHD @ skt1 @ sk1 ) @ ( c_2Elist_2ETL @ skt1 @ sk1 ) ) )
 != ( c_2Ebool_2ECOND @ skt2 @ ( c_2Elist_2ENULL @ skt1 @ sk1 ) @ sk2 @ ( sk3 @ ( c_2Elist_2EHD @ skt1 @ sk1 ) @ ( c_2Elist_2ETL @ skt1 @ sk1 ) ) ) ),
    inference(pattern_uni,[status(thm)],[80:[bind(A,$thf(sk3)),bind(B,$thf(sk2)),bind(C,$thf(sk1))]])).

thf(101,plain,(
    $false ),
    inference(simp,[status(thm)],[81])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.07/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.07/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.07/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.07/0.13  % CPULimit   : 300
% 0.07/0.13  % DateTime   : Tue Jul 30 18:15:59 EDT 2019
% 0.07/0.14  % CPUTime    : 
% 2.32/1.16  % [INFO] 	 Running in sequential loop mode. 
% 3.25/1.34  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.54/1.40  % [INFO] 	 iprover registered as external prover. 
% 3.54/1.41  % [INFO] 	 e registered as external prover. 
% 3.54/1.41  % [INFO] 	 cvc4 registered as external prover. 
% 3.54/1.41  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.54/1.46  % [INFO] 	 Found a conjecture and 9 axioms. Running axiom selection ... 
% 4.11/1.50  % [INFO] 	 Axiom selection finished. Selected 9 axioms (removed 0 axioms). 
% 4.26/1.53  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 8.57/2.65  % [INFO] 	 Killing All external provers ... 
% 8.57/2.65  % Time passed: 2379ms
% 8.57/2.65  % Effective reasoning time: 1485ms
% 8.57/2.65  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 8.57/2.65  % Axioms used in derivation (1): thm_2Elist_2Elist__case__compute
% 8.57/2.65  % No. of inferences in proof: 13
% 8.57/2.65  % No. of processed clauses: 10
% 8.57/2.65  % No. of generated clauses: 12
% 8.57/2.65  % No. of forward subsumed clauses: 0
% 8.57/2.65  % No. of backward subsumed clauses: 0
% 8.57/2.65  % No. of ground rewrite rules in store: 7
% 8.57/2.65  % No. of non-ground rewrite rules in store: 0
% 8.57/2.65  % No. of positive (non-rewrite) units in store: 1
% 8.57/2.65  % No. of negative (non-rewrite) units in store: 2
% 8.57/2.65  % No. of choice functions detected: 0
% 8.57/2.65  % No. of choice instantiations: 0
% 8.57/2.65  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2379 ms resp. 1485 ms w/o parsing
% 8.57/2.68  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 8.57/2.68  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 8.57/2.68  thf(c_2Ebool_2ECOND_type, type, c_2Ebool_2ECOND: !>[TA: $tType]: ($o > (TA > (TA > TA)))).
% 8.57/2.68  thf(c_2Elist_2EHD_type, type, c_2Elist_2EHD: !>[TA: $tType]: ((tyop_2Elist_2Elist @ TA) > TA)).
% 8.57/2.68  thf(c_2Elist_2ENULL_type, type, c_2Elist_2ENULL: !>[TA: $tType]: ((tyop_2Elist_2Elist @ TA) > $o)).
% 8.57/2.68  thf(c_2Elist_2ETL_type, type, c_2Elist_2ETL: !>[TA: $tType]: ((tyop_2Elist_2Elist @ TA) > (tyop_2Elist_2Elist @ TA))).
% 8.57/2.68  thf(c_2Elist_2Elist__CASE_type, type, c_2Elist_2Elist__CASE: !>[TA: $tType,TB: $tType]: ((tyop_2Elist_2Elist @ TA) > (TB > ((TA > ((tyop_2Elist_2Elist @ TA) > TB)) > TB)))).
% 8.57/2.68  thf(skt1_type, type, skt1: $tType).
% 8.57/2.68  thf(skt2_type, type, skt2: $tType).
% 8.57/2.68  thf(sk1_type, type, sk1: (tyop_2Elist_2Elist @ skt1)).
% 8.57/2.68  thf(sk2_type, type, sk2: skt2).
% 8.57/2.68  thf(sk3_type, type, sk3: (skt1 > ((tyop_2Elist_2Elist @ skt1) > skt2))).
% 8.57/2.68  thf(3,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > ((tyop_2Elist_2Elist @ TA) > TB)),B:TB,C:(tyop_2Elist_2Elist @ TA)]: ((c_2Elist_2Elist__CASE @ TA @ TB @ C @ B @ A) = (c_2Ebool_2ECOND @ TB @ (c_2Elist_2ENULL @ TA @ C) @ B @ (A @ (c_2Elist_2EHD @ TA @ C) @ (c_2Elist_2ETL @ TA @ C))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Elist_2Elist__case__compute)).
% 8.57/2.68  thf(15,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > ((tyop_2Elist_2Elist @ TA) > TB)),B:TB,C:(tyop_2Elist_2Elist @ TA)]: ((c_2Elist_2Elist__CASE @ TA @ TB @ C @ B @ (A)) = (c_2Ebool_2ECOND @ TB @ (c_2Elist_2ENULL @ TA @ C) @ B @ (A @ (c_2Elist_2EHD @ TA @ C) @ (c_2Elist_2ETL @ TA @ C))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 8.57/2.68  thf(16,plain,(! [TA:$tType,TB:$tType,C:(tyop_2Elist_2Elist @ TB),B:TA,A:(TB > ((tyop_2Elist_2Elist @ TB) > TA))] : (((c_2Elist_2Elist__CASE @ TB @ TA @ C @ B @ (A)) = (c_2Ebool_2ECOND @ TA @ (c_2Elist_2ENULL @ TB @ C) @ B @ (A @ (c_2Elist_2EHD @ TB @ C) @ (c_2Elist_2ETL @ TB @ C)))))),inference(cnf,[status(esa)],[15])).
% 8.57/2.68  thf(17,plain,(! [TA:$tType,TB:$tType,C:(tyop_2Elist_2Elist @ TB),B:TA,A:(TB > ((tyop_2Elist_2Elist @ TB) > TA))] : (((c_2Elist_2Elist__CASE @ TB @ TA @ C @ B @ (A)) = (c_2Ebool_2ECOND @ TA @ (c_2Elist_2ENULL @ TB @ C) @ B @ (A @ (c_2Elist_2EHD @ TB @ C) @ (c_2Elist_2ETL @ TB @ C)))))),inference(lifteq,[status(thm)],[16])).
% 8.57/2.68  thf(1,conjecture,((! [TA: $tType,TB: $tType]: ((c_2Elist_2Elist__CASE @ TA @ TB) = (^ [A:(tyop_2Elist_2Elist @ TA),B:TB,C:(TA > ((tyop_2Elist_2Elist @ TA) > TB))]: (c_2Ebool_2ECOND @ TB @ (c_2Elist_2ENULL @ TA @ A) @ B @ (C @ (c_2Elist_2EHD @ TA @ A) @ (c_2Elist_2ETL @ TA @ A))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Elist_2Elazy__list__case__compute)).
% 8.57/2.68  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType]: ((c_2Elist_2Elist__CASE @ TA @ TB) = (^ [A:(tyop_2Elist_2Elist @ TA),B:TB,C:(TA > ((tyop_2Elist_2Elist @ TA) > TB))]: (c_2Ebool_2ECOND @ TB @ (c_2Elist_2ENULL @ TA @ A) @ B @ (C @ (c_2Elist_2EHD @ TA @ A) @ (c_2Elist_2ETL @ TA @ A)))))))),inference(neg_conjecture,[status(cth)],[1])).
% 8.57/2.68  thf(12,plain,((~ (! [TA: $tType,TB: $tType]: ((c_2Elist_2Elist__CASE @ TA @ TB) = (^ [A:(tyop_2Elist_2Elist @ TA),B:TB,C:(TA > ((tyop_2Elist_2Elist @ TA) > TB))]: (c_2Ebool_2ECOND @ TB @ (c_2Elist_2ENULL @ TA @ A) @ B @ (C @ (c_2Elist_2EHD @ TA @ A) @ (c_2Elist_2ETL @ TA @ A)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 8.57/2.68  thf(13,plain,((~ ((c_2Elist_2Elist__CASE @ skt1 @ skt2) = (^ [A:(tyop_2Elist_2Elist @ skt1),B:skt2,C:(skt1 > ((tyop_2Elist_2Elist @ skt1) > skt2))]: (c_2Ebool_2ECOND @ skt2 @ (c_2Elist_2ENULL @ skt1 @ A) @ B @ (C @ (c_2Elist_2EHD @ skt1 @ A) @ (c_2Elist_2ETL @ skt1 @ A))))))),inference(cnf,[status(esa)],[12])).
% 8.57/2.68  thf(14,plain,(((c_2Elist_2Elist__CASE @ skt1 @ skt2) != (^ [A:(tyop_2Elist_2Elist @ skt1),B:skt2,C:(skt1 > ((tyop_2Elist_2Elist @ skt1) > skt2))]: (c_2Ebool_2ECOND @ skt2 @ (c_2Elist_2ENULL @ skt1 @ A) @ B @ (C @ (c_2Elist_2EHD @ skt1 @ A) @ (c_2Elist_2ETL @ skt1 @ A)))))),inference(lifteq,[status(thm)],[13])).
% 8.57/2.68  thf(63,plain,(((c_2Elist_2Elist__CASE @ skt1 @ skt2 @ sk1 @ sk2 @ (sk3)) != (c_2Ebool_2ECOND @ skt2 @ (c_2Elist_2ENULL @ skt1 @ sk1) @ sk2 @ (sk3 @ (c_2Elist_2EHD @ skt1 @ sk1) @ (c_2Elist_2ETL @ skt1 @ sk1))))),inference(func_ext,[status(esa)],[14])).
% 8.57/2.68  thf(80,plain,(! [TA:$tType,C:(tyop_2Elist_2Elist @ TA),B:skt2,A:(TA > ((tyop_2Elist_2Elist @ TA) > skt2))] : (((c_2Ebool_2ECOND @ skt2 @ (c_2Elist_2ENULL @ TA @ C) @ B @ (A @ (c_2Elist_2EHD @ TA @ C) @ (c_2Elist_2ETL @ TA @ C))) != (c_2Ebool_2ECOND @ skt2 @ (c_2Elist_2ENULL @ skt1 @ sk1) @ sk2 @ (sk3 @ (c_2Elist_2EHD @ skt1 @ sk1) @ (c_2Elist_2ETL @ skt1 @ sk1)))) | ((c_2Elist_2Elist__CASE @ TA @ skt2 @ C @ B @ (A)) != (c_2Elist_2Elist__CASE @ skt1 @ skt2 @ sk1 @ sk2 @ (sk3))))),inference(paramod_ordered,[status(thm)],[17,63])).
% 8.57/2.68  thf(81,plain,(((c_2Ebool_2ECOND @ skt2 @ (c_2Elist_2ENULL @ skt1 @ sk1) @ sk2 @ (sk3 @ (c_2Elist_2EHD @ skt1 @ sk1) @ (c_2Elist_2ETL @ skt1 @ sk1))) != (c_2Ebool_2ECOND @ skt2 @ (c_2Elist_2ENULL @ skt1 @ sk1) @ sk2 @ (sk3 @ (c_2Elist_2EHD @ skt1 @ sk1) @ (c_2Elist_2ETL @ skt1 @ sk1))))),inference(pattern_uni,[status(thm)],[80:[bind(A, $thf(sk3)),bind(B, $thf(sk2)),bind(C, $thf(sk1))]])).
% 8.57/2.68  thf(101,plain,($false),inference(simp,[status(thm)],[81])).
% 8.57/2.68  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 8.57/2.68  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
