%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:37:37 EDT 2019

% Result     : Theorem 7.26s
% Output     : CNFRefutation 7.26s
% Verified   : 
% Statistics : Number of formulae       :   21 (  26 expanded)
%              Number of leaves         :   11 (  13 expanded)
%              Depth                    :    5
%              Number of atoms          :  112 ( 153 expanded)
%              Number of equality atoms :   15 (  20 expanded)
%              Maximal formula depth    :   10 (   7 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Ebool_2ERES__FORALL_type,type,(
    c_2Ebool_2ERES__FORALL: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > $o ) > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: skt1 > $o )).

thf(sk2_type,type,(
    sk2: skt1 )).

thf(1,conjecture,(
    ! [TA: $tType,A: TA > $o,B: TA] :
      ( ( c_2Ebool_2ERES__FORALL @ TA @ ( c_2Emin_2E_3D @ TA @ B ) @ A )
      = ( A @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eres__quan_2ERES__FORALL__UNIQUE)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: TA > $o,B: TA] :
        ( ( c_2Ebool_2ERES__FORALL @ TA @ ( c_2Emin_2E_3D @ TA @ B ) @ A )
        = ( A @ B ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(6,plain,(
    ~ ! [TA: $tType,A: TA > $o,B: TA] :
        ( ( c_2Ebool_2ERES__FORALL @ TA @ ( c_2Emin_2E_3D @ TA @ B ) @ A )
        = ( A @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA] :
      ( ( c_2Ebool_2EIN @ TA @ B @ A )
      = ( A @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ESPECIFICATION)).

thf(9,plain,(
    ! [TA: $tType,A: TA > $o,B: TA] :
      ( ( c_2Ebool_2EIN @ TA @ B @ A )
      = ( A @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(4,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(12,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(10,plain,(
    ! [TA: $tType,B: TA,A: TA > $o] :
      ( ( c_2Ebool_2EIN @ TA @ B @ A )
      = ( A @ B ) ) ),
    inference(cnf,[status(esa)],[9])).

thf(11,plain,(
    ! [TA: $tType,B: TA,A: TA > $o] :
      ( ( c_2Ebool_2EIN @ TA @ B @ A )
      = ( A @ B ) ) ),
    inference(lifteq,[status(thm)],[10])).

thf(7,plain,(
    ( c_2Ebool_2ERES__FORALL @ skt1 @ ( c_2Emin_2E_3D @ skt1 @ sk2 ) @ sk1 )
 != ( sk1 @ sk2 ) ),
    inference(cnf,[status(esa)],[6])).

thf(8,plain,(
    ( c_2Ebool_2ERES__FORALL @ skt1 @ ( c_2Emin_2E_3D @ skt1 @ sk2 ) @ sk1 )
 != ( sk1 @ sk2 ) ),
    inference(lifteq,[status(thm)],[7])).

thf(5,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( c_2Ebool_2ERES__FORALL @ TA @ A @ B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
           => ( B @ C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eres__quan_2ERES__FORALL)).

thf(15,plain,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( c_2Ebool_2ERES__FORALL @ TA @ A @ B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
           => ( B @ C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(41,plain,(
    $false ),
    inference(iprover,[status(thm)],[6,9,12,11,8,15])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.06/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.06/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.06/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.06/0.12  % CPULimit   : 300
% 0.06/0.12  % DateTime   : Tue Jul 30 18:18:39 EDT 2019
% 0.06/0.12  % CPUTime    : 
% 3.89/1.49  % [INFO] 	 Running in sequential loop mode. 
% 4.72/1.67  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.77/1.73  % [INFO] 	 iprover registered as external prover. 
% 4.77/1.73  % [INFO] 	 e registered as external prover. 
% 4.92/1.74  % [INFO] 	 cvc4 registered as external prover. 
% 4.92/1.74  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.98/1.78  % [INFO] 	 Found a conjecture and 44 axioms. Running axiom selection ... 
% 5.11/1.83  % [INFO] 	 Axiom selection finished. Selected 3 axioms (removed 41 axioms). 
% 5.11/1.84  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.26/2.53  % [INFO] 	 Killing All external provers ... 
% 7.26/2.53  % Time passed: 2273ms
% 7.26/2.53  % Effective reasoning time: 1031ms
% 7.26/2.53  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.26/2.53  % Axioms used in derivation (3): thm_2Epred__set_2ESPECIFICATION, logicdef_2E_3D, thm_2Eres__quan_2ERES__FORALL
% 7.26/2.53  % No. of inferences in proof: 14
% 7.26/2.53  % No. of processed clauses: 3
% 7.26/2.53  % No. of generated clauses: 12
% 7.26/2.53  % No. of forward subsumed clauses: 0
% 7.26/2.53  % No. of backward subsumed clauses: 0
% 7.26/2.53  % No. of ground rewrite rules in store: 0
% 7.26/2.53  % No. of non-ground rewrite rules in store: 0
% 7.26/2.53  % No. of positive (non-rewrite) units in store: 1
% 7.26/2.53  % No. of negative (non-rewrite) units in store: 2
% 7.26/2.53  % No. of choice functions detected: 0
% 7.26/2.53  % No. of choice instantiations: 0
% 7.26/2.53  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2273 ms resp. 1031 ms w/o parsing
% 7.26/2.55  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.26/2.55  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.26/2.55  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 7.26/2.55  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 7.26/2.55  thf(c_2Ebool_2ERES__FORALL_type, type, c_2Ebool_2ERES__FORALL: !>[TA: $tType]: ((TA > $o) > ((TA > $o) > $o))).
% 7.26/2.55  thf(skt1_type, type, skt1: $tType).
% 7.26/2.55  thf(sk1_type, type, sk1: (skt1 > $o)).
% 7.26/2.55  thf(sk2_type, type, sk2: skt1).
% 7.26/2.55  thf(1,conjecture,((! [TA: $tType]: (! [A:(TA > $o),B:TA]: ((c_2Ebool_2ERES__FORALL @ TA @ (c_2Emin_2E_3D @ TA @ B) @ (A)) = (A @ B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eres__quan_2ERES__FORALL__UNIQUE)).
% 7.26/2.55  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:(TA > $o),B:TA]: ((c_2Ebool_2ERES__FORALL @ TA @ (c_2Emin_2E_3D @ TA @ B) @ (A)) = (A @ B)))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.26/2.55  thf(6,plain,((~ (! [TA: $tType]: (! [A:(TA > $o),B:TA]: ((c_2Ebool_2ERES__FORALL @ TA @ (c_2Emin_2E_3D @ TA @ B) @ (A)) = (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.26/2.55  thf(3,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:TA]: ((c_2Ebool_2EIN @ TA @ B @ A) = (A @ B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ESPECIFICATION)).
% 7.26/2.55  thf(9,plain,((! [TA: $tType]: (! [A:(TA > $o),B:TA]: ((c_2Ebool_2EIN @ TA @ B @ (A)) = (A @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.26/2.55  thf(4,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 7.26/2.55  thf(12,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 7.26/2.55  thf(10,plain,(! [TA:$tType,B:TA,A:(TA > $o)] : (((c_2Ebool_2EIN @ TA @ B @ (A)) = (A @ B)))),inference(cnf,[status(esa)],[9])).
% 7.26/2.55  thf(11,plain,(! [TA:$tType,B:TA,A:(TA > $o)] : (((c_2Ebool_2EIN @ TA @ B @ (A)) = (A @ B)))),inference(lifteq,[status(thm)],[10])).
% 7.26/2.55  thf(7,plain,((~ ((c_2Ebool_2ERES__FORALL @ skt1 @ (c_2Emin_2E_3D @ skt1 @ sk2) @ (sk1)) = (sk1 @ sk2)))),inference(cnf,[status(esa)],[6])).
% 7.26/2.55  thf(8,plain,(((c_2Ebool_2ERES__FORALL @ skt1 @ (c_2Emin_2E_3D @ skt1 @ sk2) @ (sk1)) != (sk1 @ sk2))),inference(lifteq,[status(thm)],[7])).
% 7.26/2.55  thf(5,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((c_2Ebool_2ERES__FORALL @ TA @ A @ B) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ A) => (B @ C))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eres__quan_2ERES__FORALL)).
% 7.26/2.55  thf(15,plain,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((c_2Ebool_2ERES__FORALL @ TA @ (A) @ (B)) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (A)) => (B @ C))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 7.26/2.55  thf(41,plain,($false),inference(iprover,[status(thm)],[6,9,12,11,8,15])).
% 7.26/2.55  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.26/2.55  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
