%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:37:39 EDT 2019

% Result     : Theorem 5.97s
% Output     : CNFRefutation 5.97s
% Verified   : 
% Statistics : Number of formulae       :   18 (  21 expanded)
%              Number of leaves         :    8 (   9 expanded)
%              Depth                    :    7
%              Number of atoms          :   58 (  82 expanded)
%              Number of equality atoms :    5 (   8 expanded)
%              Maximal formula depth    :    9 (   5 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Epred__set_2EEMPTY_type,type,(
    c_2Epred__set_2EEMPTY: 
      !>[TA: $tType] :
        ( TA > $o ) )).

thf(c_2Ebool_2ERES__EXISTS_type,type,(
    c_2Ebool_2ERES__EXISTS: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > $o ) > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: skt1 > $o )).

thf(sk2_type,type,(
    sk2: skt1 > $o )).

thf(1,conjecture,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( c_2Ebool_2ERES__EXISTS @ TA @ B @ A )
     => ( B
       != ( c_2Epred__set_2EEMPTY @ TA ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eres__quan_2ERES__EXISTS__NOT__EMPTY)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: TA > $o,B: TA > $o] :
        ( ( c_2Ebool_2ERES__EXISTS @ TA @ B @ A )
       => ( B
         != ( c_2Epred__set_2EEMPTY @ TA ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(15,plain,(
    ~ ! [TA: $tType,A: TA > $o,B: TA > $o] :
        ( ( c_2Ebool_2ERES__EXISTS @ TA @ B @ A )
       => ( B
         != ( c_2Epred__set_2EEMPTY @ TA ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(17,plain,(
    c_2Ebool_2ERES__EXISTS @ skt1 @ sk2 @ sk1 ),
    inference(cnf,[status(esa)],[15])).

thf(16,plain,
    ( sk2
    = ( c_2Epred__set_2EEMPTY @ skt1 ) ),
    inference(cnf,[status(esa)],[15])).

thf(18,plain,
    ( sk2
    = ( c_2Epred__set_2EEMPTY @ skt1 ) ),
    inference(lifteq,[status(thm)],[16])).

thf(92,plain,(
    c_2Ebool_2ERES__EXISTS @ skt1 @ ( c_2Epred__set_2EEMPTY @ skt1 ) @ sk1 ),
    inference(rewrite,[status(thm)],[17,18])).

thf(3,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ~ ( c_2Ebool_2ERES__EXISTS @ TA @ ( c_2Epred__set_2EEMPTY @ TA ) @ A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eres__quan_2ERES__EXISTS__EMPTY)).

thf(19,plain,(
    ! [TA: $tType,A: TA > $o] :
      ~ ( c_2Ebool_2ERES__EXISTS @ TA @ ( c_2Epred__set_2EEMPTY @ TA ) @ A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(20,plain,(
    ! [TA: $tType,A: TA > $o] :
      ~ ( c_2Ebool_2ERES__EXISTS @ TA @ ( c_2Epred__set_2EEMPTY @ TA ) @ A ) ),
    inference(cnf,[status(esa)],[19])).

thf(93,plain,(
    $false ),
    inference(rewrite,[status(thm)],[92,20])).

thf(94,plain,(
    $false ),
    inference(simp,[status(thm)],[93])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.10/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.10/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.10/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.10/0.13  % CPULimit   : 300
% 0.10/0.13  % DateTime   : Tue Jul 30 18:21:42 EDT 2019
% 0.10/0.13  % CPUTime    : 
% 2.62/1.29  % [INFO] 	 Running in sequential loop mode. 
% 3.27/1.47  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.87/1.53  % [INFO] 	 iprover registered as external prover. 
% 3.87/1.54  % [INFO] 	 e registered as external prover. 
% 3.87/1.54  % [INFO] 	 cvc4 registered as external prover. 
% 3.87/1.54  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.87/1.59  % [INFO] 	 Found a conjecture and 12 axioms. Running axiom selection ... 
% 4.25/1.62  % [INFO] 	 Axiom selection finished. Selected 12 axioms (removed 0 axioms). 
% 4.25/1.66  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 5.97/2.25  % [INFO] 	 Killing All external provers ... 
% 5.97/2.26  % Time passed: 1992ms
% 5.97/2.26  % Effective reasoning time: 957ms
% 5.97/2.26  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 5.97/2.26  % Axioms used in derivation (1): thm_2Eres__quan_2ERES__EXISTS__EMPTY
% 5.97/2.26  % No. of inferences in proof: 12
% 5.97/2.26  % No. of processed clauses: 5
% 5.97/2.26  % No. of generated clauses: 2
% 5.97/2.26  % No. of forward subsumed clauses: 4
% 5.97/2.26  % No. of backward subsumed clauses: 0
% 5.97/2.26  % No. of ground rewrite rules in store: 4
% 5.97/2.26  % No. of non-ground rewrite rules in store: 1
% 5.97/2.26  % No. of positive (non-rewrite) units in store: 0
% 5.97/2.26  % No. of negative (non-rewrite) units in store: 0
% 5.97/2.26  % No. of choice functions detected: 0
% 5.97/2.26  % No. of choice instantiations: 0
% 5.97/2.26  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 1992 ms resp. 957 ms w/o parsing
% 5.97/2.28  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 5.97/2.28  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 5.97/2.28  thf(c_2Epred__set_2EEMPTY_type, type, c_2Epred__set_2EEMPTY: !>[TA: $tType]: (TA > $o)).
% 5.97/2.28  thf(c_2Ebool_2ERES__EXISTS_type, type, c_2Ebool_2ERES__EXISTS: !>[TA: $tType]: ((TA > $o) > ((TA > $o) > $o))).
% 5.97/2.28  thf(skt1_type, type, skt1: $tType).
% 5.97/2.28  thf(sk1_type, type, sk1: (skt1 > $o)).
% 5.97/2.28  thf(sk2_type, type, sk2: (skt1 > $o)).
% 5.97/2.28  thf(1,conjecture,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((c_2Ebool_2ERES__EXISTS @ TA @ B @ A) => (~ (B = (c_2Epred__set_2EEMPTY @ TA))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eres__quan_2ERES__EXISTS__NOT__EMPTY)).
% 5.97/2.28  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((c_2Ebool_2ERES__EXISTS @ TA @ B @ A) => (~ (B = (c_2Epred__set_2EEMPTY @ TA)))))))),inference(neg_conjecture,[status(cth)],[1])).
% 5.97/2.28  thf(15,plain,((~ (! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((c_2Ebool_2ERES__EXISTS @ TA @ (B) @ (A)) => (~ ((B) = (c_2Epred__set_2EEMPTY @ TA)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 5.97/2.28  thf(17,plain,((c_2Ebool_2ERES__EXISTS @ skt1 @ (sk2) @ (sk1))),inference(cnf,[status(esa)],[15])).
% 5.97/2.28  thf(16,plain,(((sk2) = (c_2Epred__set_2EEMPTY @ skt1))),inference(cnf,[status(esa)],[15])).
% 5.97/2.28  thf(18,plain,(((sk2) = (c_2Epred__set_2EEMPTY @ skt1))),inference(lifteq,[status(thm)],[16])).
% 5.97/2.28  thf(92,plain,((c_2Ebool_2ERES__EXISTS @ skt1 @ (c_2Epred__set_2EEMPTY @ skt1) @ (sk1))),inference(rewrite,[status(thm)],[17,18])).
% 5.97/2.28  thf(3,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ~ (c_2Ebool_2ERES__EXISTS @ TA @ (c_2Epred__set_2EEMPTY @ TA) @ A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eres__quan_2ERES__EXISTS__EMPTY)).
% 5.97/2.28  thf(19,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ~ (c_2Ebool_2ERES__EXISTS @ TA @ (c_2Epred__set_2EEMPTY @ TA) @ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 5.97/2.28  thf(20,plain,(! [TA:$tType,A:(TA > $o)] : ((~ (c_2Ebool_2ERES__EXISTS @ TA @ (c_2Epred__set_2EEMPTY @ TA) @ (A))))),inference(cnf,[status(esa)],[19])).
% 5.97/2.28  thf(93,plain,($false),inference(rewrite,[status(thm)],[92,20])).
% 5.97/2.28  thf(94,plain,($false),inference(simp,[status(thm)],[93])).
% 5.97/2.28  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 5.97/2.28  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
