%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:37:42 EDT 2019

% Result     : Theorem 6.43s
% Output     : CNFRefutation 6.89s
% Verified   : 
% Statistics : Number of formulae       :   78 ( 111 expanded)
%              Number of leaves         :   31 (  47 expanded)
%              Depth                    :    5
%              Number of atoms          :  363 ( 571 expanded)
%              Number of equality atoms :   45 (  78 expanded)
%              Maximal formula depth    :   12 (   5 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: 
      !>[TA: $tType,TB: $tType] :
        ( TA > TB > ( tyop_2Epair_2Eprod @ TA @ TB ) ) )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Epair_2EFST_type,type,(
    c_2Epair_2EFST: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Epair_2Eprod @ TA @ TB ) > TA ) )).

thf(c_2Epair_2ESND_type,type,(
    c_2Epair_2ESND: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Epair_2Eprod @ TA @ TB ) > TB ) )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(c_2Epair_2EUNCURRY_type,type,(
    c_2Epair_2EUNCURRY: 
      !>[TA: $tType,TB: $tType,TC: $tType] :
        ( ( TA > TB > TC ) > ( tyop_2Epair_2Eprod @ TA @ TB ) > TC ) )).

thf(c_2Estate__transformer_2EUNIT_type,type,(
    c_2Estate__transformer_2EUNIT: 
      !>[TA: $tType,TB: $tType] :
        ( TB > TA > ( tyop_2Epair_2Eprod @ TB @ TA ) ) )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $o > $o )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(skt2_type,type,(
    skt2: $tType )).

thf(sk1_type,type,(
    sk1: ( tyop_2Epair_2Eprod @ skt1 @ skt2 ) )).

thf(15,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(65,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(68,plain,
    ( ( c_2Ebool_2E_2F_5C @ $true @ $false )
    = ( $true
      & $false ) ),
    inference(instance,[status(thm)],[65])).

thf(69,plain,(
    ~ ( c_2Ebool_2E_2F_5C @ $true @ $false ) ),
    inference(simp,[status(thm)],[68])).

thf(14,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(56,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(12,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(42,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(5,axiom,(
    ! [TA: $tType,TB: $tType,A: tyop_2Epair_2Eprod @ TA @ TB] :
      ( ( c_2Epair_2E_2C @ TA @ TB @ ( c_2Epair_2EFST @ TA @ TB @ A ) @ ( c_2Epair_2ESND @ TA @ TB @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2EPAIR)).

thf(25,plain,(
    ! [TA: $tType,TB: $tType,A: tyop_2Epair_2Eprod @ TA @ TB] :
      ( ( c_2Epair_2E_2C @ TA @ TB @ ( c_2Epair_2EFST @ TA @ TB @ A ) @ ( c_2Epair_2ESND @ TA @ TB @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(45,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $true @ $false )
    = ( $true
     => $false ) ),
    inference(instance,[status(thm)],[42])).

thf(46,plain,(
    ~ ( c_2Emin_2E_3D_3D_3E @ $true @ $false ) ),
    inference(simp,[status(thm)],[45])).

thf(6,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( A = A )
      = c_2Ebool_2ET ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).

thf(28,plain,(
    ! [TA: $tType] : c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(29,plain,(
    c_2Ebool_2ET ),
    inference(cnf,[status(esa)],[28])).

thf(59,plain,
    ( ( c_2Ebool_2E_5C_2F @ $true @ $false )
    = ( $true
      | $false ) ),
    inference(instance,[status(thm)],[56])).

thf(60,plain,(
    c_2Ebool_2E_5C_2F @ $true @ $false ),
    inference(simp,[status(thm)],[59])).

thf(3,axiom,(
    ! [TA: $tType,TB: $tType,A: TB] :
      ( ( c_2Estate__transformer_2EUNIT @ TA @ TB @ A )
      = ( c_2Epair_2E_2C @ TB @ TA @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Estate__transformer_2EUNIT__DEF)).

thf(19,plain,(
    ! [TA: $tType,TB: $tType,A: TB] :
      ( ( c_2Estate__transformer_2EUNIT @ TA @ TB @ A )
      = ( c_2Epair_2E_2C @ TB @ TA @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(20,plain,(
    ! [TA: $tType,TB: $tType,A: TA] :
      ( ( c_2Estate__transformer_2EUNIT @ TB @ TA @ A )
      = ( c_2Epair_2E_2C @ TA @ TB @ A ) ) ),
    inference(cnf,[status(esa)],[19])).

thf(21,plain,(
    ! [TA: $tType,TB: $tType,A: TA] :
      ( ( c_2Estate__transformer_2EUNIT @ TB @ TA @ A )
      = ( c_2Epair_2E_2C @ TA @ TB @ A ) ) ),
    inference(lifteq,[status(thm)],[20])).

thf(9,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(33,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(13,axiom,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(51,plain,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(52,plain,
    ( ( c_2Ebool_2E_7E @ $true )
    = ( ~ $true ) ),
    inference(instance,[status(thm)],[51])).

thf(53,plain,(
    ~ ( c_2Ebool_2E_7E @ $true ) ),
    inference(simp,[status(thm)],[52])).

thf(8,axiom,(
    c_2Ebool_2ET ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(32,plain,(
    c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(63,plain,
    ( ( c_2Ebool_2E_5C_2F @ $false @ $false )
    = ( $false
      | $false ) ),
    inference(instance,[status(thm)],[56])).

thf(64,plain,(
    ~ ( c_2Ebool_2E_5C_2F @ $false @ $false ) ),
    inference(simp,[status(thm)],[63])).

thf(4,axiom,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: TA > TB > TC,B: tyop_2Epair_2Eprod @ TA @ TB] :
      ( ( c_2Epair_2EUNCURRY @ TA @ TB @ TC @ A @ B )
      = ( A @ ( c_2Epair_2EFST @ TA @ TB @ B ) @ ( c_2Epair_2ESND @ TA @ TB @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2EUNCURRY__VAR)).

thf(22,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: TA > TB > TC,B: tyop_2Epair_2Eprod @ TA @ TB] :
      ( ( c_2Epair_2EUNCURRY @ TA @ TB @ TC @ A @ B )
      = ( A @ ( c_2Epair_2EFST @ TA @ TB @ B ) @ ( c_2Epair_2ESND @ TA @ TB @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(43,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $true @ $true )
    = ( $true
     => $true ) ),
    inference(instance,[status(thm)],[42])).

thf(44,plain,(
    c_2Emin_2E_3D_3D_3E @ $true @ $true ),
    inference(simp,[status(thm)],[43])).

thf(70,plain,
    ( ( c_2Ebool_2E_2F_5C @ $false @ $true )
    = ( $false
      & $true ) ),
    inference(instance,[status(thm)],[65])).

thf(71,plain,(
    ~ ( c_2Ebool_2E_2F_5C @ $false @ $true ) ),
    inference(simp,[status(thm)],[70])).

thf(11,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(39,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(47,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $false @ $true )
    = ( $false
     => $true ) ),
    inference(instance,[status(thm)],[42])).

thf(48,plain,(
    c_2Emin_2E_3D_3D_3E @ $false @ $true ),
    inference(simp,[status(thm)],[47])).

thf(1,conjecture,(
    ! [TA: $tType,TB: $tType,A: tyop_2Epair_2Eprod @ TA @ TB] :
      ( ( c_2Epair_2EUNCURRY @ TA @ TB @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ ( c_2Estate__transformer_2EUNIT @ TB @ TA ) @ A )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Estate__transformer_2EUNIT__UNCURRY)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,TB: $tType,A: tyop_2Epair_2Eprod @ TA @ TB] :
        ( ( c_2Epair_2EUNCURRY @ TA @ TB @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ ( c_2Estate__transformer_2EUNIT @ TB @ TA ) @ A )
        = A ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(16,plain,(
    ~ ! [TA: $tType,TB: $tType,A: tyop_2Epair_2Eprod @ TA @ TB] :
        ( ( c_2Epair_2EUNCURRY @ TA @ TB @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ ( c_2Estate__transformer_2EUNIT @ TB @ TA ) @ A )
        = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(17,plain,(
    ( c_2Epair_2EUNCURRY @ skt1 @ skt2 @ ( tyop_2Epair_2Eprod @ skt1 @ skt2 ) @ ( c_2Estate__transformer_2EUNIT @ skt2 @ skt1 ) @ sk1 )
 != sk1 ),
    inference(cnf,[status(esa)],[16])).

thf(18,plain,(
    ( c_2Epair_2EUNCURRY @ skt1 @ skt2 @ ( tyop_2Epair_2Eprod @ skt1 @ skt2 ) @ ( c_2Estate__transformer_2EUNIT @ skt2 @ skt1 ) @ sk1 )
 != sk1 ),
    inference(lifteq,[status(thm)],[17])).

thf(49,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $false @ $false )
    = ( $false
     => $false ) ),
    inference(instance,[status(thm)],[42])).

thf(50,plain,(
    c_2Emin_2E_3D_3D_3E @ $false @ $false ),
    inference(simp,[status(thm)],[49])).

thf(66,plain,
    ( ( c_2Ebool_2E_2F_5C @ $true @ $true )
    = ( $true
      & $true ) ),
    inference(instance,[status(thm)],[65])).

thf(67,plain,(
    c_2Ebool_2E_2F_5C @ $true @ $true ),
    inference(simp,[status(thm)],[66])).

thf(54,plain,
    ( ( c_2Ebool_2E_7E @ $false )
    = ( ~ $false ) ),
    inference(instance,[status(thm)],[51])).

thf(55,plain,(
    c_2Ebool_2E_7E @ $false ),
    inference(simp,[status(thm)],[54])).

thf(57,plain,
    ( ( c_2Ebool_2E_5C_2F @ $true @ $true )
    = ( $true
      | $true ) ),
    inference(instance,[status(thm)],[56])).

thf(58,plain,(
    c_2Ebool_2E_5C_2F @ $true @ $true ),
    inference(simp,[status(thm)],[57])).

thf(10,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(36,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(7,axiom,(
    ! [TA: $tType,A: $o] :
      ( ( ! [B: TA] : A )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EFORALL__SIMP)).

thf(30,plain,(
    ! [TA: $tType] : $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(61,plain,
    ( ( c_2Ebool_2E_5C_2F @ $false @ $true )
    = ( $false
      | $true ) ),
    inference(instance,[status(thm)],[56])).

thf(62,plain,(
    c_2Ebool_2E_5C_2F @ $false @ $true ),
    inference(simp,[status(thm)],[61])).

thf(105,plain,(
    $false ),
    inference(iprover,[status(thm)],[69,56,42,25,46,29,60,28,21,33,65,53,32,64,22,44,71,39,48,18,50,67,16,55,58,36,30,51,19,62])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.06/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.06/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.06/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.06/0.13  % CPULimit   : 300
% 0.06/0.13  % DateTime   : Tue Jul 30 18:22:55 EDT 2019
% 0.06/0.14  % CPUTime    : 
% 2.30/1.14  % [INFO] 	 Running in sequential loop mode. 
% 3.19/1.33  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.41/1.40  % [INFO] 	 iprover registered as external prover. 
% 3.41/1.40  % [INFO] 	 e registered as external prover. 
% 3.41/1.40  % [INFO] 	 cvc4 registered as external prover. 
% 3.41/1.40  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.41/1.46  % [INFO] 	 Found a conjecture and 13 axioms. Running axiom selection ... 
% 3.75/1.49  % [INFO] 	 Axiom selection finished. Selected 13 axioms (removed 0 axioms). 
% 3.87/1.54  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.43/2.38  % [INFO] 	 Killing All external provers ... 
% 6.43/2.38  % Time passed: 2111ms
% 6.43/2.38  % Effective reasoning time: 1236ms
% 6.43/2.38  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.43/2.38  % Axioms used in derivation (13): thm_2Estate__transformer_2EUNIT__DEF, logicdef_2E_3D, thm_2Ebool_2EREFL__CLAUSE, thm_2Epair_2EUNCURRY__VAR, thm_2Epair_2EPAIR, logicdef_2E_5C_2F, quantdef_2E_21, thm_2Ebool_2ETRUTH, logicdef_2E_3D_3D_3E, thm_2Ebool_2EFORALL__SIMP, logicdef_2E_2F_5C, logicdef_2E_7E, quantdef_2E_3F
% 6.43/2.38  % No. of inferences in proof: 61
% 6.43/2.38  % No. of processed clauses: 17
% 6.43/2.38  % No. of generated clauses: 1
% 6.43/2.38  % No. of forward subsumed clauses: 1
% 6.43/2.38  % No. of backward subsumed clauses: 0
% 6.43/2.38  % No. of ground rewrite rules in store: 15
% 6.43/2.38  % No. of non-ground rewrite rules in store: 1
% 6.43/2.38  % No. of positive (non-rewrite) units in store: 0
% 6.43/2.38  % No. of negative (non-rewrite) units in store: 1
% 6.43/2.38  % No. of choice functions detected: 0
% 6.43/2.38  % No. of choice instantiations: 0
% 6.43/2.39  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2111 ms resp. 1236 ms w/o parsing
% 6.89/2.42  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.89/2.42  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.89/2.42  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 6.89/2.42  thf(c_2Epair_2E_2C_type, type, c_2Epair_2E_2C: !>[TA: $tType,TB: $tType]: (TA > (TB > (tyop_2Epair_2Eprod @ TA @ TB)))).
% 6.89/2.42  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 6.89/2.42  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 6.89/2.42  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 6.89/2.42  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 6.89/2.42  thf(c_2Epair_2EFST_type, type, c_2Epair_2EFST: !>[TA: $tType,TB: $tType]: ((tyop_2Epair_2Eprod @ TA @ TB) > TA)).
% 6.89/2.42  thf(c_2Epair_2ESND_type, type, c_2Epair_2ESND: !>[TA: $tType,TB: $tType]: ((tyop_2Epair_2Eprod @ TA @ TB) > TB)).
% 6.89/2.42  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 6.89/2.42  thf(c_2Epair_2EUNCURRY_type, type, c_2Epair_2EUNCURRY: !>[TA: $tType,TB: $tType,TC: $tType]: ((TA > (TB > TC)) > ((tyop_2Epair_2Eprod @ TA @ TB) > TC))).
% 6.89/2.42  thf(c_2Estate__transformer_2EUNIT_type, type, c_2Estate__transformer_2EUNIT: !>[TA: $tType,TB: $tType]: (TB > (TA > (tyop_2Epair_2Eprod @ TB @ TA)))).
% 6.89/2.42  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 6.89/2.42  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 6.89/2.42  thf(skt1_type, type, skt1: $tType).
% 6.89/2.42  thf(skt2_type, type, skt2: $tType).
% 6.89/2.42  thf(sk1_type, type, sk1: (tyop_2Epair_2Eprod @ skt1 @ skt2)).
% 6.89/2.42  thf(15,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 6.89/2.42  thf(65,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).
% 6.89/2.42  thf(68,plain,(((c_2Ebool_2E_2F_5C @ $true @ $false) = (($true) & ($false)))),inference(instance,[status(thm)],[65])).
% 6.89/2.42  thf(69,plain,((~ (c_2Ebool_2E_2F_5C @ $true @ $false))),inference(simp,[status(thm)],[68])).
% 6.89/2.42  thf(14,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 6.89/2.42  thf(56,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).
% 6.89/2.42  thf(12,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 6.89/2.42  thf(42,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 6.89/2.42  thf(5,axiom,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Epair_2Eprod @ TA @ TB)]: ((c_2Epair_2E_2C @ TA @ TB @ (c_2Epair_2EFST @ TA @ TB @ A) @ (c_2Epair_2ESND @ TA @ TB @ A)) = A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2EPAIR)).
% 6.89/2.42  thf(25,plain,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Epair_2Eprod @ TA @ TB)]: ((c_2Epair_2E_2C @ TA @ TB @ (c_2Epair_2EFST @ TA @ TB @ A) @ (c_2Epair_2ESND @ TA @ TB @ A)) = A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 6.89/2.42  thf(45,plain,(((c_2Emin_2E_3D_3D_3E @ $true @ $false) = (($true) => ($false)))),inference(instance,[status(thm)],[42])).
% 6.89/2.42  thf(46,plain,((~ (c_2Emin_2E_3D_3D_3E @ $true @ $false))),inference(simp,[status(thm)],[45])).
% 6.89/2.42  thf(6,axiom,((! [TA: $tType]: (! [A:TA]: ((A = A) = c_2Ebool_2ET)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).
% 6.89/2.42  thf(28,plain,((! [TA: $tType]: (c_2Ebool_2ET))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 6.89/2.42  thf(29,plain,(c_2Ebool_2ET),inference(cnf,[status(esa)],[28])).
% 6.89/2.42  thf(59,plain,(((c_2Ebool_2E_5C_2F @ $true @ $false) = (($true) | ($false)))),inference(instance,[status(thm)],[56])).
% 6.89/2.42  thf(60,plain,((c_2Ebool_2E_5C_2F @ $true @ $false)),inference(simp,[status(thm)],[59])).
% 6.89/2.42  thf(3,axiom,((! [TA: $tType,TB: $tType]: (! [A:TB]: ((c_2Estate__transformer_2EUNIT @ TA @ TB @ A) = (c_2Epair_2E_2C @ TB @ TA @ A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Estate__transformer_2EUNIT__DEF)).
% 6.89/2.42  thf(19,plain,((! [TA: $tType,TB: $tType]: (! [A:TB]: ((c_2Estate__transformer_2EUNIT @ TA @ TB @ A) = (c_2Epair_2E_2C @ TB @ TA @ A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.89/2.42  thf(20,plain,(! [TA:$tType,TB:$tType,A:TA] : (((c_2Estate__transformer_2EUNIT @ TB @ TA @ A) = (c_2Epair_2E_2C @ TA @ TB @ A)))),inference(cnf,[status(esa)],[19])).
% 6.89/2.42  thf(21,plain,(! [TA:$tType,TB:$tType,A:TA] : (((c_2Estate__transformer_2EUNIT @ TB @ TA @ A) = (c_2Epair_2E_2C @ TA @ TB @ A)))),inference(lifteq,[status(thm)],[20])).
% 6.89/2.42  thf(9,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 6.89/2.42  thf(33,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 6.89/2.42  thf(13,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 6.89/2.42  thf(51,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 6.89/2.42  thf(52,plain,(((c_2Ebool_2E_7E @ $true) = (~ ($true)))),inference(instance,[status(thm)],[51])).
% 6.89/2.42  thf(53,plain,((~ (c_2Ebool_2E_7E @ $true))),inference(simp,[status(thm)],[52])).
% 6.89/2.42  thf(8,axiom,(c_2Ebool_2ET),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).
% 6.89/2.42  thf(32,plain,(c_2Ebool_2ET),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 6.89/2.42  thf(63,plain,(((c_2Ebool_2E_5C_2F @ $false @ $false) = (($false) | ($false)))),inference(instance,[status(thm)],[56])).
% 6.89/2.42  thf(64,plain,((~ (c_2Ebool_2E_5C_2F @ $false @ $false))),inference(simp,[status(thm)],[63])).
% 6.89/2.42  thf(4,axiom,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TA > (TB > TC)),B:(tyop_2Epair_2Eprod @ TA @ TB)]: ((c_2Epair_2EUNCURRY @ TA @ TB @ TC @ A @ B) = (A @ (c_2Epair_2EFST @ TA @ TB @ B) @ (c_2Epair_2ESND @ TA @ TB @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2EUNCURRY__VAR)).
% 6.89/2.42  thf(22,plain,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TA > (TB > TC)),B:(tyop_2Epair_2Eprod @ TA @ TB)]: ((c_2Epair_2EUNCURRY @ TA @ TB @ TC @ (A) @ B) = (A @ (c_2Epair_2EFST @ TA @ TB @ B) @ (c_2Epair_2ESND @ TA @ TB @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 6.89/2.42  thf(43,plain,(((c_2Emin_2E_3D_3D_3E @ $true @ $true) = (($true) => ($true)))),inference(instance,[status(thm)],[42])).
% 6.89/2.42  thf(44,plain,((c_2Emin_2E_3D_3D_3E @ $true @ $true)),inference(simp,[status(thm)],[43])).
% 6.89/2.42  thf(70,plain,(((c_2Ebool_2E_2F_5C @ $false @ $true) = (($false) & ($true)))),inference(instance,[status(thm)],[65])).
% 6.89/2.42  thf(71,plain,((~ (c_2Ebool_2E_2F_5C @ $false @ $true))),inference(simp,[status(thm)],[70])).
% 6.89/2.42  thf(11,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 6.89/2.42  thf(39,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 6.89/2.42  thf(47,plain,(((c_2Emin_2E_3D_3D_3E @ $false @ $true) = (($false) => ($true)))),inference(instance,[status(thm)],[42])).
% 6.89/2.42  thf(48,plain,((c_2Emin_2E_3D_3D_3E @ $false @ $true)),inference(simp,[status(thm)],[47])).
% 6.89/2.42  thf(1,conjecture,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Epair_2Eprod @ TA @ TB)]: ((c_2Epair_2EUNCURRY @ TA @ TB @ (tyop_2Epair_2Eprod @ TA @ TB) @ (c_2Estate__transformer_2EUNIT @ TB @ TA) @ A) = A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Estate__transformer_2EUNIT__UNCURRY)).
% 6.89/2.42  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType]: (! [A:(tyop_2Epair_2Eprod @ TA @ TB)]: ((c_2Epair_2EUNCURRY @ TA @ TB @ (tyop_2Epair_2Eprod @ TA @ TB) @ (c_2Estate__transformer_2EUNIT @ TB @ TA) @ A) = A))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.89/2.42  thf(16,plain,((~ (! [TA: $tType,TB: $tType]: (! [A:(tyop_2Epair_2Eprod @ TA @ TB)]: ((c_2Epair_2EUNCURRY @ TA @ TB @ (tyop_2Epair_2Eprod @ TA @ TB) @ (c_2Estate__transformer_2EUNIT @ TB @ TA) @ A) = A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.89/2.42  thf(17,plain,((~ ((c_2Epair_2EUNCURRY @ skt1 @ skt2 @ (tyop_2Epair_2Eprod @ skt1 @ skt2) @ (c_2Estate__transformer_2EUNIT @ skt2 @ skt1) @ sk1) = sk1))),inference(cnf,[status(esa)],[16])).
% 6.89/2.42  thf(18,plain,(((c_2Epair_2EUNCURRY @ skt1 @ skt2 @ (tyop_2Epair_2Eprod @ skt1 @ skt2) @ (c_2Estate__transformer_2EUNIT @ skt2 @ skt1) @ sk1) != sk1)),inference(lifteq,[status(thm)],[17])).
% 6.89/2.42  thf(49,plain,(((c_2Emin_2E_3D_3D_3E @ $false @ $false) = (($false) => ($false)))),inference(instance,[status(thm)],[42])).
% 6.89/2.42  thf(50,plain,((c_2Emin_2E_3D_3D_3E @ $false @ $false)),inference(simp,[status(thm)],[49])).
% 6.89/2.42  thf(66,plain,(((c_2Ebool_2E_2F_5C @ $true @ $true) = (($true) & ($true)))),inference(instance,[status(thm)],[65])).
% 6.89/2.42  thf(67,plain,((c_2Ebool_2E_2F_5C @ $true @ $true)),inference(simp,[status(thm)],[66])).
% 6.89/2.42  thf(54,plain,(((c_2Ebool_2E_7E @ $false) = (~ ($false)))),inference(instance,[status(thm)],[51])).
% 6.89/2.42  thf(55,plain,((c_2Ebool_2E_7E @ $false)),inference(simp,[status(thm)],[54])).
% 6.89/2.42  thf(57,plain,(((c_2Ebool_2E_5C_2F @ $true @ $true) = (($true) | ($true)))),inference(instance,[status(thm)],[56])).
% 6.89/2.42  thf(58,plain,((c_2Ebool_2E_5C_2F @ $true @ $true)),inference(simp,[status(thm)],[57])).
% 6.89/2.42  thf(10,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).
% 6.89/2.42  thf(36,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 6.89/2.42  thf(7,axiom,((! [TA: $tType]: (! [A:$o]: ((! [B:TA]: (A)) = A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EFORALL__SIMP)).
% 6.89/2.42  thf(30,plain,((! [TA: $tType]: ($true))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 6.89/2.42  thf(61,plain,(((c_2Ebool_2E_5C_2F @ $false @ $true) = (($false) | ($true)))),inference(instance,[status(thm)],[56])).
% 6.89/2.42  thf(62,plain,((c_2Ebool_2E_5C_2F @ $false @ $true)),inference(simp,[status(thm)],[61])).
% 6.89/2.42  thf(105,plain,($false),inference(iprover,[status(thm)],[69,56,42,25,46,29,60,28,21,33,65,53,32,64,22,44,71,39,48,18,50,67,16,55,58,36,30,51,19,62])).
% 6.89/2.42  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.89/2.42  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
