%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:37:49 EDT 2019

% Result     : Theorem 7.61s
% Output     : CNFRefutation 7.94s
% Verified   : 
% Statistics : Number of formulae       :   15 (  21 expanded)
%              Number of leaves         :    6 (   8 expanded)
%              Depth                    :    7
%              Number of atoms          :   35 (  77 expanded)
%              Number of equality atoms :    5 (  11 expanded)
%              Maximal formula depth    :   10 (   4 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: skt1 > $o )).

thf(sk2_type,type,(
    sk2: skt1 )).

thf(sk3_type,type,(
    sk3: skt1 )).

thf(1,conjecture,(
    ! [TA: $tType,A: TA > $o,B: TA,C: TA] :
      ( ~ ( A @ B )
     => ( ( A @ C )
       => ( C != B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2EquantHeuristics_2EIMP__NEG__CONTRA)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: TA > $o,B: TA,C: TA] :
        ( ~ ( A @ B )
       => ( ( A @ C )
         => ( C != B ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(36,plain,(
    ~ ! [TA: $tType,A: TA > $o,B: TA,C: TA] :
        ( ~ ( A @ B )
       => ( ( A @ C )
         => ( C != B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(38,plain,(
    sk1 @ sk3 ),
    inference(cnf,[status(esa)],[36])).

thf(37,plain,(
    sk3 = sk2 ),
    inference(cnf,[status(esa)],[36])).

thf(40,plain,(
    sk3 = sk2 ),
    inference(lifteq,[status(thm)],[37])).

thf(298,plain,(
    sk1 @ sk2 ),
    inference(rewrite,[status(thm)],[38,40])).

thf(39,plain,(
    ~ ( sk1 @ sk2 ) ),
    inference(cnf,[status(esa)],[36])).

thf(299,plain,(
    $false ),
    inference(rewrite,[status(thm)],[298,39])).

thf(300,plain,(
    $false ),
    inference(simp,[status(thm)],[299])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.00/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.11/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.11/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.11/0.13  % CPULimit   : 300
% 0.11/0.13  % DateTime   : Tue Jul 30 18:32:26 EDT 2019
% 0.11/0.13  % CPUTime    : 
% 3.82/1.47  % [INFO] 	 Running in sequential loop mode. 
% 4.47/1.64  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.82/1.71  % [INFO] 	 iprover registered as external prover. 
% 4.82/1.71  % [INFO] 	 e registered as external prover. 
% 4.82/1.71  % [INFO] 	 cvc4 registered as external prover. 
% 4.82/1.71  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.82/1.76  % [INFO] 	 Found a conjecture and 33 axioms. Running axiom selection ... 
% 5.23/1.80  % [INFO] 	 Axiom selection finished. Selected 33 axioms (removed 0 axioms). 
% 5.32/1.86  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.61/2.59  % [INFO] 	 Killing All external provers ... 
% 7.61/2.59  % Time passed: 2318ms
% 7.61/2.59  % Effective reasoning time: 1122ms
% 7.61/2.59  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.61/2.59  % Axioms used in derivation (0): 
% 7.61/2.59  % No. of inferences in proof: 10
% 7.61/2.59  % No. of processed clauses: 4
% 7.61/2.59  % No. of generated clauses: 2
% 7.61/2.59  % No. of forward subsumed clauses: 5
% 7.61/2.59  % No. of backward subsumed clauses: 0
% 7.61/2.59  % No. of ground rewrite rules in store: 4
% 7.61/2.59  % No. of non-ground rewrite rules in store: 0
% 7.61/2.59  % No. of positive (non-rewrite) units in store: 0
% 7.61/2.59  % No. of negative (non-rewrite) units in store: 0
% 7.61/2.60  % No. of choice functions detected: 0
% 7.61/2.60  % No. of choice instantiations: 0
% 7.61/2.60  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2318 ms resp. 1122 ms w/o parsing
% 7.94/2.61  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.94/2.61  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.94/2.61  thf(skt1_type, type, skt1: $tType).
% 7.94/2.61  thf(sk1_type, type, sk1: (skt1 > $o)).
% 7.94/2.61  thf(sk2_type, type, sk2: skt1).
% 7.94/2.61  thf(sk3_type, type, sk3: skt1).
% 7.94/2.61  thf(1,conjecture,((! [TA: $tType]: (! [A:(TA > $o),B:TA,C:TA]: ((~ (A @ B)) => ((A @ C) => (~ (C = B))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2EquantHeuristics_2EIMP__NEG__CONTRA)).
% 7.94/2.61  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:(TA > $o),B:TA,C:TA]: ((~ (A @ B)) => ((A @ C) => (~ (C = B)))))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.94/2.61  thf(36,plain,((~ (! [TA: $tType]: (! [A:(TA > $o),B:TA,C:TA]: ((~ (A @ B)) => ((A @ C) => (~ (C = B)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.94/2.61  thf(38,plain,((sk1 @ sk3)),inference(cnf,[status(esa)],[36])).
% 7.94/2.61  thf(37,plain,((sk3 = sk2)),inference(cnf,[status(esa)],[36])).
% 7.94/2.61  thf(40,plain,((sk3 = sk2)),inference(lifteq,[status(thm)],[37])).
% 7.94/2.61  thf(298,plain,((sk1 @ sk2)),inference(rewrite,[status(thm)],[38,40])).
% 7.94/2.61  thf(39,plain,((~ (sk1 @ sk2))),inference(cnf,[status(esa)],[36])).
% 7.94/2.61  thf(299,plain,($false),inference(rewrite,[status(thm)],[298,39])).
% 7.94/2.61  thf(300,plain,($false),inference(simp,[status(thm)],[299])).
% 7.94/2.61  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.94/2.61  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
