%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:37:50 EDT 2019

% Result     : Theorem 7.42s
% Output     : CNFRefutation 7.42s
% Verified   : 
% Statistics : Number of formulae       :   23 (  38 expanded)
%              Number of leaves         :    9 (  14 expanded)
%              Depth                    :    7
%              Number of atoms          :  139 ( 271 expanded)
%              Number of equality atoms :   20 (  44 expanded)
%              Maximal formula depth    :   12 (   7 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS_type,type,(
    c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS: 
      !>[TA: $tType] :
        ( TA > TA > $o > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: skt1 )).

thf(sk2_type,type,(
    sk2: skt1 )).

thf(1,conjecture,(
    ! [TA: $tType,A: TA,B: TA] :
      ( c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ TA @ A @ B @ ( c_2Emin_2E_3D @ TA @ B @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS__EQ__2)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: TA,B: TA] :
        ( c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ TA @ A @ B @ ( c_2Emin_2E_3D @ TA @ B @ A ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(5,plain,(
    ~ ! [TA: $tType,A: TA,B: TA] :
        ( c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ TA @ A @ B @ ( c_2Emin_2E_3D @ TA @ B @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(4,axiom,(
    ! [TA: $tType,A: TA,B: TA,C: $o] :
      ( ( c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ TA @ A @ B @ C )
      = ( C
       => ( A = B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS__def)).

thf(10,plain,(
    ! [TA: $tType,A: TA,B: TA,C: $o] :
      ( ( c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ TA @ A @ B @ C )
      = ( C
       => ( A = B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(3,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(7,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(8,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(cnf,[status(esa)],[7])).

thf(9,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(lifteq,[status(thm)],[8])).

thf(6,plain,(
    ~ ( c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ skt1 @ sk1 @ sk2 @ ( c_2Emin_2E_3D @ skt1 @ sk2 @ sk1 ) ) ),
    inference(cnf,[status(esa)],[5])).

thf(13,plain,(
    ~ ( c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ skt1 @ sk1 @ sk2 @ ( sk2 = sk1 ) ) ),
    inference(rewrite,[status(thm)],[6,9])).

thf(11,plain,(
    ! [TA: $tType,C: $o,B: TA,A: TA] :
      ( ( c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ TA @ A @ B @ C )
      = ( C
       => ( A = B ) ) ) ),
    inference(cnf,[status(esa)],[10])).

thf(12,plain,(
    ! [TA: $tType,C: $o,B: TA,A: TA] :
      ( ( C
       => ( A = B ) )
      = ( c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ TA @ A @ B @ C ) ) ),
    inference(lifteq,[status(thm)],[11])).

thf(25,plain,(
    ! [TA: $tType,C: $o,B: TA,A: TA] :
      ( ( C
       => ( A = B ) )
      | ~ ( c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ TA @ A @ B @ C ) ) ),
    inference(bool_ext,[status(thm)],[12])).

thf(28,plain,(
    ! [TA: $tType,C: $o,B: TA,A: TA] :
      ( ~ ( c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ TA @ A @ B @ C )
      | ~ C
      | ( A = B ) ) ),
    inference(cnf,[status(esa)],[25])).

thf(31,plain,(
    ! [TA: $tType,C: $o,B: TA,A: TA] :
      ( ( A = B )
      | ~ ( c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ TA @ A @ B @ C )
      | ~ C ) ),
    inference(lifteq,[status(thm)],[28])).

thf(157,plain,(
    $false ),
    inference(iprover,[status(thm)],[5,10,9,13,12,7,31])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.12/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.12/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.12/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.12/0.13  % CPULimit   : 300
% 0.12/0.13  % DateTime   : Tue Jul 30 18:32:29 EDT 2019
% 0.12/0.13  % CPUTime    : 
% 2.56/1.14  % [INFO] 	 Running in sequential loop mode. 
% 3.16/1.32  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.60/1.38  % [INFO] 	 iprover registered as external prover. 
% 3.60/1.38  % [INFO] 	 e registered as external prover. 
% 3.60/1.38  % [INFO] 	 cvc4 registered as external prover. 
% 3.60/1.39  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.86/1.43  % [INFO] 	 Found a conjecture and 15 axioms. Running axiom selection ... 
% 3.86/1.48  % [INFO] 	 Axiom selection finished. Selected 2 axioms (removed 13 axioms). 
% 3.86/1.49  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.42/2.43  % [INFO] 	 Killing All external provers ... 
% 7.42/2.43  % Time passed: 2175ms
% 7.42/2.43  % Effective reasoning time: 1290ms
% 7.42/2.43  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.42/2.43  % Axioms used in derivation (2): thm_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS__def, logicdef_2E_3D
% 7.42/2.43  % No. of inferences in proof: 17
% 7.42/2.43  % No. of processed clauses: 5
% 7.42/2.43  % No. of generated clauses: 50
% 7.42/2.43  % No. of forward subsumed clauses: 0
% 7.42/2.43  % No. of backward subsumed clauses: 0
% 7.42/2.43  % No. of ground rewrite rules in store: 1
% 7.42/2.43  % No. of non-ground rewrite rules in store: 2
% 7.42/2.43  % No. of positive (non-rewrite) units in store: 0
% 7.42/2.43  % No. of negative (non-rewrite) units in store: 0
% 7.42/2.43  % No. of choice functions detected: 0
% 7.42/2.43  % No. of choice instantiations: 0
% 7.42/2.44  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2175 ms resp. 1290 ms w/o parsing
% 7.42/2.45  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.42/2.45  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.42/2.45  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 7.42/2.45  thf(c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS_type, type, c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS: !>[TA: $tType]: (TA > (TA > ($o > $o)))).
% 7.42/2.45  thf(skt1_type, type, skt1: $tType).
% 7.42/2.45  thf(sk1_type, type, sk1: skt1).
% 7.42/2.45  thf(sk2_type, type, sk2: skt1).
% 7.42/2.45  thf(1,conjecture,((! [TA: $tType]: (! [A:TA,B:TA]: (c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ TA @ A @ B @ (c_2Emin_2E_3D @ TA @ B @ A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS__EQ__2)).
% 7.42/2.45  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:TA,B:TA]: (c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ TA @ A @ B @ (c_2Emin_2E_3D @ TA @ B @ A)))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.42/2.45  thf(5,plain,((~ (! [TA: $tType]: (! [A:TA,B:TA]: (c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ TA @ A @ B @ (c_2Emin_2E_3D @ TA @ B @ A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.42/2.45  thf(4,axiom,((! [TA: $tType]: (! [A:TA,B:TA,C:$o]: ((c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ TA @ A @ B @ C) = ((C) => (A = B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS__def)).
% 7.42/2.45  thf(10,plain,((! [TA: $tType]: (! [A:TA,B:TA,C:$o]: ((c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ TA @ A @ B @ C) = ((C) => (A = B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 7.42/2.45  thf(3,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 7.42/2.45  thf(7,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.42/2.45  thf(8,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Emin_2E_3D @ TA @ A @ B) = (A = B)))),inference(cnf,[status(esa)],[7])).
% 7.42/2.45  thf(9,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Emin_2E_3D @ TA @ A @ B) = (A = B)))),inference(lifteq,[status(thm)],[8])).
% 7.42/2.45  thf(6,plain,((~ (c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ skt1 @ sk1 @ sk2 @ (c_2Emin_2E_3D @ skt1 @ sk2 @ sk1)))),inference(cnf,[status(esa)],[5])).
% 7.42/2.45  thf(13,plain,((~ (c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ skt1 @ sk1 @ sk2 @ (sk2 = sk1)))),inference(rewrite,[status(thm)],[6,9])).
% 7.42/2.45  thf(11,plain,(! [TA:$tType,C:$o,B:TA,A:TA] : (((c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ TA @ A @ B @ C) = ((C) => (A = B))))),inference(cnf,[status(esa)],[10])).
% 7.42/2.45  thf(12,plain,(! [TA:$tType,C:$o,B:TA,A:TA] : ((((C) => (A = B)) = (c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ TA @ A @ B @ C)))),inference(lifteq,[status(thm)],[11])).
% 7.42/2.45  thf(25,plain,(! [TA:$tType,C:$o,B:TA,A:TA] : (((C) => (A = B)) | (~ (c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ TA @ A @ B @ C)))),inference(bool_ext,[status(thm)],[12])).
% 7.42/2.45  thf(28,plain,(! [TA:$tType,C:$o,B:TA,A:TA] : ((~ (c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ TA @ A @ B @ C)) | ~ (C) | (A = B))),inference(cnf,[status(esa)],[25])).
% 7.42/2.45  thf(31,plain,(! [TA:$tType,C:$o,B:TA,A:TA] : ((A = B) | (~ (c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ TA @ A @ B @ C)) | ~ (C))),inference(lifteq,[status(thm)],[28])).
% 7.42/2.45  thf(157,plain,($false),inference(iprover,[status(thm)],[5,10,9,13,12,7,31])).
% 7.42/2.45  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.42/2.45  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
