%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:37:51 EDT 2019

% Result     : Theorem 5.96s
% Output     : CNFRefutation 6.07s
% Verified   : 
% Statistics : Number of formulae       :   21 (  27 expanded)
%              Number of leaves         :   14 (  16 expanded)
%              Depth                    :    4
%              Number of atoms          :  109 ( 217 expanded)
%              Number of equality atoms :    8 (   8 expanded)
%              Maximal formula depth    :   15 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS_type,type,(
    c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS: 
      !>[TA: $tType] :
        ( TA > TA > $o > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(skt2_type,type,(
    skt2: $tType )).

thf(skt3_type,type,(
    skt3: $tType )).

thf(sk1_type,type,(
    sk1: skt1 )).

thf(sk2_type,type,(
    sk2: skt1 )).

thf(sk3_type,type,(
    sk3: skt2 )).

thf(sk4_type,type,(
    sk4: skt2 )).

thf(sk5_type,type,(
    sk5: skt2 > skt3 )).

thf(1,conjecture,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: TA,B: TA,C: TB,D: TB,E: TB > TC] :
      ( ( c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ TA @ A @ B @ ( c_2Emin_2E_3D @ TC @ ( E @ C ) @ ( E @ D ) ) )
     => ( c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ TA @ A @ B @ ( c_2Emin_2E_3D @ TB @ C @ D ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS__EQ__FUN)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,TB: $tType,TC: $tType,A: TA,B: TA,C: TB,D: TB,E: TB > TC] :
        ( ( c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ TA @ A @ B @ ( c_2Emin_2E_3D @ TC @ ( E @ C ) @ ( E @ D ) ) )
       => ( c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ TA @ A @ B @ ( c_2Emin_2E_3D @ TB @ C @ D ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(5,plain,(
    ~ ! [TA: $tType,TB: $tType,TC: $tType,A: TA,B: TA,C: TB,D: TB,E: TB > TC] :
        ( ( c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ TA @ A @ B @ ( c_2Emin_2E_3D @ TC @ ( E @ C ) @ ( E @ D ) ) )
       => ( c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ TA @ A @ B @ ( c_2Emin_2E_3D @ TB @ C @ D ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(6,plain,(
    ~ ( c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ skt1 @ sk1 @ sk2 @ ( c_2Emin_2E_3D @ skt2 @ sk3 @ sk4 ) ) ),
    inference(cnf,[status(esa)],[5])).

thf(7,plain,(
    c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ skt1 @ sk1 @ sk2 @ ( c_2Emin_2E_3D @ skt3 @ ( sk5 @ sk3 ) @ ( sk5 @ sk4 ) ) ),
    inference(cnf,[status(esa)],[5])).

thf(4,axiom,(
    ! [TA: $tType,A: TA,B: TA,C: $o] :
      ( ( c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ TA @ A @ B @ C )
      = ( C
       => ( A = B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS__def)).

thf(11,plain,(
    ! [TA: $tType,A: TA,B: TA,C: $o] :
      ( ( c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ TA @ A @ B @ C )
      = ( C
       => ( A = B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(3,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(8,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(32,plain,(
    $false ),
    inference(e,[status(thm)],[5,6,7,11,8])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.03/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.03/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.03/0.13  % CPULimit   : 300
% 0.03/0.13  % DateTime   : Tue Jul 30 18:39:09 EDT 2019
% 0.03/0.13  % CPUTime    : 
% 2.59/1.17  % [INFO] 	 Running in sequential loop mode. 
% 3.19/1.34  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.46/1.40  % [INFO] 	 iprover registered as external prover. 
% 3.46/1.41  % [INFO] 	 e registered as external prover. 
% 3.46/1.41  % [INFO] 	 cvc4 registered as external prover. 
% 3.46/1.41  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.46/1.46  % [INFO] 	 Found a conjecture and 15 axioms. Running axiom selection ... 
% 4.02/1.50  % [INFO] 	 Axiom selection finished. Selected 2 axioms (removed 13 axioms). 
% 4.02/1.51  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 5.96/2.10  % [INFO] 	 Killing All external provers ... 
% 5.96/2.11  % Time passed: 1831ms
% 5.96/2.11  % Effective reasoning time: 935ms
% 5.96/2.11  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 5.96/2.11  % Axioms used in derivation (2): thm_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS__def, logicdef_2E_3D
% 5.96/2.11  % No. of inferences in proof: 10
% 5.96/2.11  % No. of processed clauses: 1
% 5.96/2.11  % No. of generated clauses: 6
% 5.96/2.11  % No. of forward subsumed clauses: 0
% 5.96/2.11  % No. of backward subsumed clauses: 0
% 5.96/2.11  % No. of ground rewrite rules in store: 0
% 5.96/2.11  % No. of non-ground rewrite rules in store: 1
% 5.96/2.11  % No. of positive (non-rewrite) units in store: 0
% 5.96/2.11  % No. of negative (non-rewrite) units in store: 0
% 5.96/2.11  % No. of choice functions detected: 0
% 5.96/2.11  % No. of choice instantiations: 0
% 5.96/2.11  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 1831 ms resp. 935 ms w/o parsing
% 6.07/2.13  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.07/2.13  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.07/2.13  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 6.07/2.13  thf(c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS_type, type, c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS: !>[TA: $tType]: (TA > (TA > ($o > $o)))).
% 6.07/2.13  thf(skt1_type, type, skt1: $tType).
% 6.07/2.13  thf(skt2_type, type, skt2: $tType).
% 6.07/2.13  thf(skt3_type, type, skt3: $tType).
% 6.07/2.13  thf(sk1_type, type, sk1: skt1).
% 6.07/2.13  thf(sk2_type, type, sk2: skt1).
% 6.07/2.13  thf(sk3_type, type, sk3: skt2).
% 6.07/2.13  thf(sk4_type, type, sk4: skt2).
% 6.07/2.13  thf(sk5_type, type, sk5: (skt2 > skt3)).
% 6.07/2.13  thf(1,conjecture,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:TA,B:TA,C:TB,D:TB,E:(TB > TC)]: ((c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ TA @ A @ B @ (c_2Emin_2E_3D @ TC @ (E @ C) @ (E @ D))) => (c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ TA @ A @ B @ (c_2Emin_2E_3D @ TB @ C @ D)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS__EQ__FUN)).
% 6.07/2.13  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType,TC: $tType]: (! [A:TA,B:TA,C:TB,D:TB,E:(TB > TC)]: ((c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ TA @ A @ B @ (c_2Emin_2E_3D @ TC @ (E @ C) @ (E @ D))) => (c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ TA @ A @ B @ (c_2Emin_2E_3D @ TB @ C @ D))))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.07/2.13  thf(5,plain,((~ (! [TA: $tType,TB: $tType,TC: $tType]: (! [A:TA,B:TA,C:TB,D:TB,E:(TB > TC)]: ((c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ TA @ A @ B @ (c_2Emin_2E_3D @ TC @ (E @ C) @ (E @ D))) => (c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ TA @ A @ B @ (c_2Emin_2E_3D @ TB @ C @ D))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.07/2.13  thf(6,plain,((~ (c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ skt1 @ sk1 @ sk2 @ (c_2Emin_2E_3D @ skt2 @ sk3 @ sk4)))),inference(cnf,[status(esa)],[5])).
% 6.07/2.13  thf(7,plain,((c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ skt1 @ sk1 @ sk2 @ (c_2Emin_2E_3D @ skt3 @ (sk5 @ sk3) @ (sk5 @ sk4)))),inference(cnf,[status(esa)],[5])).
% 6.07/2.13  thf(4,axiom,((! [TA: $tType]: (! [A:TA,B:TA,C:$o]: ((c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ TA @ A @ B @ C) = ((C) => (A = B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS__def)).
% 6.07/2.13  thf(11,plain,((! [TA: $tType]: (! [A:TA,B:TA,C:$o]: ((c_2EquantHeuristics_2ESIMPLE__GUESS__EXISTS @ TA @ A @ B @ C) = ((C) => (A = B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 6.07/2.13  thf(3,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 6.07/2.13  thf(8,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.07/2.13  thf(32,plain,($false),inference(e,[status(thm)],[5,6,7,11,8])).
% 6.07/2.13  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.07/2.13  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
