%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:37:52 EDT 2019

% Result     : Theorem 7.68s
% Output     : CNFRefutation 8.20s
% Verified   : 
% Statistics : Number of formulae       :   29 (  40 expanded)
%              Number of leaves         :   12 (  17 expanded)
%              Depth                    :    5
%              Number of atoms          :  311 ( 503 expanded)
%              Number of equality atoms :   49 (  75 expanded)
%              Maximal formula depth    :   13 (   9 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Esum_2EINL_type,type,(
    c_2Esum_2EINL: 
      !>[TA: $tType,TB: $tType] :
        ( TA > ( tyop_2Esum_2Esum @ TA @ TB ) ) )).

thf(c_2Esum_2EINR_type,type,(
    c_2Esum_2EINR: 
      !>[TA: $tType,TB: $tType] :
        ( TB > ( tyop_2Esum_2Esum @ TA @ TB ) ) )).

thf(c_2Esum_2EISL_type,type,(
    c_2Esum_2EISL: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Esum_2Esum @ TA @ TB ) > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(skt2_type,type,(
    skt2: $tType )).

thf(sk1_type,type,(
    sk1: ( tyop_2Esum_2Esum @ skt2 @ skt1 ) )).

thf(3,axiom,(
    ! [TA: $tType,TB: $tType,A: tyop_2Esum_2Esum @ TA @ TB] :
      ( ? [B: TA] :
          ( A
          = ( c_2Esum_2EINL @ TA @ TB @ B ) )
      | ? [B: TB] :
          ( A
          = ( c_2Esum_2EINR @ TA @ TB @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esum_2Esum__CASES)).

thf(10,plain,(
    ! [TA: $tType,TB: $tType,A: tyop_2Esum_2Esum @ TA @ TB] :
      ( ? [B: TA] :
          ( A
          = ( c_2Esum_2EINL @ TA @ TB @ B ) )
      | ? [B: TB] :
          ( A
          = ( c_2Esum_2EINR @ TA @ TB @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(6,axiom,(
    ! [TA: $tType,TB: $tType] :
      ( ! [A: TA,B: TA] :
          ( ( ( c_2Esum_2EINL @ TA @ TB @ B )
            = ( c_2Esum_2EINL @ TA @ TB @ A ) )
          = ( B = A ) )
      & ! [A: TB,B: TB] :
          ( ( ( c_2Esum_2EINR @ TA @ TB @ B )
            = ( c_2Esum_2EINR @ TA @ TB @ A ) )
          = ( B = A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esum_2EINR__INL__11)).

thf(20,plain,(
    ! [TA: $tType,TB: $tType] :
      ( ! [A: TA,B: TA] :
          ( ( ( c_2Esum_2EINL @ TA @ TB @ B )
            = ( c_2Esum_2EINL @ TA @ TB @ A ) )
          = ( B = A ) )
      & ! [A: TB,B: TB] :
          ( ( ( c_2Esum_2EINR @ TA @ TB @ B )
            = ( c_2Esum_2EINR @ TA @ TB @ A ) )
          = ( B = A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(21,plain,(
    ! [TA: $tType,TB: $tType,B: TA,A: TA] :
      ( ( ( c_2Esum_2EINR @ TB @ TA @ B )
        = ( c_2Esum_2EINR @ TB @ TA @ A ) )
      = ( B = A ) ) ),
    inference(cnf,[status(esa)],[20])).

thf(23,plain,(
    ! [TA: $tType,TB: $tType,B: TA,A: TA] :
      ( ( ( c_2Esum_2EINR @ TB @ TA @ B )
        = ( c_2Esum_2EINR @ TB @ TA @ A ) )
      = ( B = A ) ) ),
    inference(lifteq,[status(thm)],[21])).

thf(24,plain,(
    ! [TA: $tType,TB: $tType,B: TA,A: TA] :
      ( ( ( c_2Esum_2EINR @ TB @ TA @ B )
        = ( c_2Esum_2EINR @ TB @ TA @ A ) )
      = ( B = A ) ) ),
    inference(simp,[status(thm)],[23])).

thf(1,conjecture,(
    ! [TA: $tType,TB: $tType,A: tyop_2Esum_2Esum @ TB @ TA] :
      ( ( ( ! [B: TA] :
              ( A
             != ( c_2Esum_2EINR @ TB @ TA @ B ) ) )
        = ( c_2Esum_2EISL @ TB @ TA @ A ) )
      & ( ( ! [B: TA] :
              ( ( c_2Esum_2EINR @ TB @ TA @ B )
             != A ) )
        = ( c_2Esum_2EISL @ TB @ TA @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2EquantHeuristics_2EINR__NEQ__ELIM)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,TB: $tType,A: tyop_2Esum_2Esum @ TB @ TA] :
        ( ( ( ! [B: TA] :
                ( A
               != ( c_2Esum_2EINR @ TB @ TA @ B ) ) )
          = ( c_2Esum_2EISL @ TB @ TA @ A ) )
        & ( ( ! [B: TA] :
                ( ( c_2Esum_2EINR @ TB @ TA @ B )
               != A ) )
          = ( c_2Esum_2EISL @ TB @ TA @ A ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(7,plain,(
    ~ ! [TA: $tType,TB: $tType,A: tyop_2Esum_2Esum @ TB @ TA] :
        ( ( ( ! [B: TA] :
                ( A
               != ( c_2Esum_2EINR @ TB @ TA @ B ) ) )
          = ( c_2Esum_2EISL @ TB @ TA @ A ) )
        & ( ( ! [B: TA] :
                ( ( c_2Esum_2EINR @ TB @ TA @ B )
               != A ) )
          = ( c_2Esum_2EISL @ TB @ TA @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(8,plain,
    ( ( ( ! [A: skt1] :
            ( sk1
           != ( c_2Esum_2EINR @ skt2 @ skt1 @ A ) ) )
     != ( c_2Esum_2EISL @ skt2 @ skt1 @ sk1 ) )
    | ( ( ! [A: skt1] :
            ( ( c_2Esum_2EINR @ skt2 @ skt1 @ A )
           != sk1 ) )
     != ( c_2Esum_2EISL @ skt2 @ skt1 @ sk1 ) ) ),
    inference(cnf,[status(esa)],[7])).

thf(9,plain,
    ( ( ( ! [A: skt1] :
            ( sk1
           != ( c_2Esum_2EINR @ skt2 @ skt1 @ A ) ) )
     != ( c_2Esum_2EISL @ skt2 @ skt1 @ sk1 ) )
    | ( ( ! [A: skt1] :
            ( ( c_2Esum_2EINR @ skt2 @ skt1 @ A )
           != sk1 ) )
     != ( c_2Esum_2EISL @ skt2 @ skt1 @ sk1 ) ) ),
    inference(lifteq,[status(thm)],[8])).

thf(4,axiom,(
    ! [TA: $tType,TB: $tType] :
      ( ! [A: TA] :
          ( c_2Esum_2EISL @ TA @ TB @ ( c_2Esum_2EINL @ TA @ TB @ A ) )
      & ! [A: TB] :
          ~ ( c_2Esum_2EISL @ TA @ TB @ ( c_2Esum_2EINR @ TA @ TB @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esum_2EISL)).

thf(13,plain,(
    ! [TA: $tType,TB: $tType] :
      ( ! [A: TA] :
          ( c_2Esum_2EISL @ TA @ TB @ ( c_2Esum_2EINL @ TA @ TB @ A ) )
      & ! [A: TB] :
          ~ ( c_2Esum_2EISL @ TA @ TB @ ( c_2Esum_2EINR @ TA @ TB @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(5,axiom,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( c_2Esum_2EINL @ TA @ TB @ A )
     != ( c_2Esum_2EINR @ TA @ TB @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esum_2Esum__distinct)).

thf(17,plain,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( c_2Esum_2EINL @ TA @ TB @ A )
     != ( c_2Esum_2EINR @ TA @ TB @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(14,plain,(
    ! [TA: $tType,TB: $tType,A: TA] :
      ~ ( c_2Esum_2EISL @ TB @ TA @ ( c_2Esum_2EINR @ TB @ TA @ A ) ) ),
    inference(cnf,[status(esa)],[13])).

thf(16,plain,(
    ! [TA: $tType,TB: $tType,A: TA] :
      ~ ( c_2Esum_2EISL @ TB @ TA @ ( c_2Esum_2EINR @ TB @ TA @ A ) ) ),
    inference(simp,[status(thm)],[14])).

thf(18,plain,(
    ! [TA: $tType,TB: $tType,B: TA,A: TB] :
      ( ( c_2Esum_2EINL @ TB @ TA @ A )
     != ( c_2Esum_2EINR @ TB @ TA @ B ) ) ),
    inference(cnf,[status(esa)],[17])).

thf(19,plain,(
    ! [TA: $tType,TB: $tType,B: TA,A: TB] :
      ( ( c_2Esum_2EINL @ TB @ TA @ A )
     != ( c_2Esum_2EINR @ TB @ TA @ B ) ) ),
    inference(lifteq,[status(thm)],[18])).

thf(15,plain,(
    ! [TA: $tType,TB: $tType,A: TB] :
      ( c_2Esum_2EISL @ TB @ TA @ ( c_2Esum_2EINL @ TB @ TA @ A ) ) ),
    inference(cnf,[status(esa)],[13])).

thf(62,plain,(
    $false ),
    inference(iprover,[status(thm)],[10,24,20,9,13,17,7,16,19,15])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.03/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.03/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.03/0.13  % CPULimit   : 300
% 0.03/0.13  % DateTime   : Tue Jul 30 18:33:30 EDT 2019
% 0.03/0.13  % CPUTime    : 
% 3.58/1.52  % [INFO] 	 Running in sequential loop mode. 
% 4.50/1.71  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.87/1.78  % [INFO] 	 iprover registered as external prover. 
% 4.87/1.78  % [INFO] 	 e registered as external prover. 
% 4.87/1.78  % [INFO] 	 cvc4 registered as external prover. 
% 4.87/1.78  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.11/1.84  % [INFO] 	 Found a conjecture and 21 axioms. Running axiom selection ... 
% 5.11/1.89  % [INFO] 	 Axiom selection finished. Selected 4 axioms (removed 17 axioms). 
% 5.11/1.92  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.68/2.74  % [INFO] 	 Killing All external provers ... 
% 7.68/2.74  % Time passed: 2470ms
% 7.68/2.74  % Effective reasoning time: 1215ms
% 7.68/2.74  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.68/2.74  % Axioms used in derivation (4): thm_2Esum_2Esum__CASES, thm_2Esum_2EINR__INL__11, thm_2Esum_2EISL, thm_2Esum_2Esum__distinct
% 7.68/2.74  % No. of inferences in proof: 22
% 7.68/2.74  % No. of processed clauses: 6
% 7.68/2.74  % No. of generated clauses: 10
% 7.68/2.74  % No. of forward subsumed clauses: 0
% 7.68/2.74  % No. of backward subsumed clauses: 0
% 7.68/2.74  % No. of ground rewrite rules in store: 0
% 7.68/2.74  % No. of non-ground rewrite rules in store: 2
% 7.68/2.74  % No. of positive (non-rewrite) units in store: 1
% 7.68/2.74  % No. of negative (non-rewrite) units in store: 1
% 7.68/2.74  % No. of choice functions detected: 0
% 7.68/2.74  % No. of choice instantiations: 0
% 7.68/2.74  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2470 ms resp. 1215 ms w/o parsing
% 8.20/2.77  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 8.20/2.77  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 8.20/2.77  thf(c_2Esum_2EINL_type, type, c_2Esum_2EINL: !>[TA: $tType,TB: $tType]: (TA > (tyop_2Esum_2Esum @ TA @ TB))).
% 8.20/2.77  thf(c_2Esum_2EINR_type, type, c_2Esum_2EINR: !>[TA: $tType,TB: $tType]: (TB > (tyop_2Esum_2Esum @ TA @ TB))).
% 8.20/2.77  thf(c_2Esum_2EISL_type, type, c_2Esum_2EISL: !>[TA: $tType,TB: $tType]: ((tyop_2Esum_2Esum @ TA @ TB) > $o)).
% 8.20/2.77  thf(skt1_type, type, skt1: $tType).
% 8.20/2.77  thf(skt2_type, type, skt2: $tType).
% 8.20/2.77  thf(sk1_type, type, sk1: (tyop_2Esum_2Esum @ skt2 @ skt1)).
% 8.20/2.77  thf(3,axiom,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Esum_2Esum @ TA @ TB)]: (? [B:TA]: (A = (c_2Esum_2EINL @ TA @ TB @ B)) | ? [B:TB]: (A = (c_2Esum_2EINR @ TA @ TB @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esum_2Esum__CASES)).
% 8.20/2.77  thf(10,plain,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Esum_2Esum @ TA @ TB)]: (? [B:TA]: (A = (c_2Esum_2EINL @ TA @ TB @ B)) | ? [B:TB]: (A = (c_2Esum_2EINR @ TA @ TB @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 8.20/2.77  thf(6,axiom,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TA]: (((c_2Esum_2EINL @ TA @ TB @ B) = (c_2Esum_2EINL @ TA @ TB @ A)) = (B = A)) & ! [A:TB,B:TB]: (((c_2Esum_2EINR @ TA @ TB @ B) = (c_2Esum_2EINR @ TA @ TB @ A)) = (B = A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esum_2EINR__INL__11)).
% 8.20/2.77  thf(20,plain,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TA]: (((c_2Esum_2EINL @ TA @ TB @ B) = (c_2Esum_2EINL @ TA @ TB @ A)) = (B = A)) & ! [A:TB,B:TB]: (((c_2Esum_2EINR @ TA @ TB @ B) = (c_2Esum_2EINR @ TA @ TB @ A)) = (B = A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 8.20/2.77  thf(21,plain,(! [TA:$tType,TB:$tType,B:TA,A:TA] : ((((c_2Esum_2EINR @ TB @ TA @ B) = (c_2Esum_2EINR @ TB @ TA @ A)) = (B = A)))),inference(cnf,[status(esa)],[20])).
% 8.20/2.77  thf(23,plain,(! [TA:$tType,TB:$tType,B:TA,A:TA] : ((((c_2Esum_2EINR @ TB @ TA @ B) = (c_2Esum_2EINR @ TB @ TA @ A)) = (B = A)))),inference(lifteq,[status(thm)],[21])).
% 8.20/2.77  thf(24,plain,(! [TA:$tType,TB:$tType,B:TA,A:TA] : ((((c_2Esum_2EINR @ TB @ TA @ B) = (c_2Esum_2EINR @ TB @ TA @ A)) = (B = A)))),inference(simp,[status(thm)],[23])).
% 8.20/2.77  thf(1,conjecture,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Esum_2Esum @ TB @ TA)]: (((! [B:TA]: ~ (A = (c_2Esum_2EINR @ TB @ TA @ B))) = (c_2Esum_2EISL @ TB @ TA @ A)) & ((! [B:TA]: ~ ((c_2Esum_2EINR @ TB @ TA @ B) = A)) = (c_2Esum_2EISL @ TB @ TA @ A)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2EquantHeuristics_2EINR__NEQ__ELIM)).
% 8.20/2.77  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType]: (! [A:(tyop_2Esum_2Esum @ TB @ TA)]: (((! [B:TA]: ~ (A = (c_2Esum_2EINR @ TB @ TA @ B))) = (c_2Esum_2EISL @ TB @ TA @ A)) & ((! [B:TA]: ~ ((c_2Esum_2EINR @ TB @ TA @ B) = A)) = (c_2Esum_2EISL @ TB @ TA @ A))))))),inference(neg_conjecture,[status(cth)],[1])).
% 8.20/2.77  thf(7,plain,((~ (! [TA: $tType,TB: $tType]: (! [A:(tyop_2Esum_2Esum @ TB @ TA)]: (((! [B:TA]: ~ (A = (c_2Esum_2EINR @ TB @ TA @ B))) = (c_2Esum_2EISL @ TB @ TA @ A)) & ((! [B:TA]: ~ ((c_2Esum_2EINR @ TB @ TA @ B) = A)) = (c_2Esum_2EISL @ TB @ TA @ A))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 8.20/2.77  thf(8,plain,((~ ((! [A:skt1]: ~ (sk1 = (c_2Esum_2EINR @ skt2 @ skt1 @ A))) = (c_2Esum_2EISL @ skt2 @ skt1 @ sk1))) | (~ ((! [A:skt1]: ~ ((c_2Esum_2EINR @ skt2 @ skt1 @ A) = sk1)) = (c_2Esum_2EISL @ skt2 @ skt1 @ sk1)))),inference(cnf,[status(esa)],[7])).
% 8.20/2.77  thf(9,plain,(((! [A:skt1]: ~ (sk1 = (c_2Esum_2EINR @ skt2 @ skt1 @ A))) != (c_2Esum_2EISL @ skt2 @ skt1 @ sk1)) | ((! [A:skt1]: ~ ((c_2Esum_2EINR @ skt2 @ skt1 @ A) = sk1)) != (c_2Esum_2EISL @ skt2 @ skt1 @ sk1))),inference(lifteq,[status(thm)],[8])).
% 8.20/2.77  thf(4,axiom,((! [TA: $tType,TB: $tType]: (! [A:TA]: (c_2Esum_2EISL @ TA @ TB @ (c_2Esum_2EINL @ TA @ TB @ A)) & ! [A:TB]: ~ (c_2Esum_2EISL @ TA @ TB @ (c_2Esum_2EINR @ TA @ TB @ A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esum_2EISL)).
% 8.20/2.77  thf(13,plain,((! [TA: $tType,TB: $tType]: (! [A:TA]: (c_2Esum_2EISL @ TA @ TB @ (c_2Esum_2EINL @ TA @ TB @ A)) & ! [A:TB]: ~ (c_2Esum_2EISL @ TA @ TB @ (c_2Esum_2EINR @ TA @ TB @ A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 8.20/2.77  thf(5,axiom,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB]: ~ ((c_2Esum_2EINL @ TA @ TB @ A) = (c_2Esum_2EINR @ TA @ TB @ B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esum_2Esum__distinct)).
% 8.20/2.77  thf(17,plain,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB]: ~ ((c_2Esum_2EINL @ TA @ TB @ A) = (c_2Esum_2EINR @ TA @ TB @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 8.20/2.77  thf(14,plain,(! [TA:$tType,TB:$tType,A:TA] : ((~ (c_2Esum_2EISL @ TB @ TA @ (c_2Esum_2EINR @ TB @ TA @ A))))),inference(cnf,[status(esa)],[13])).
% 8.20/2.77  thf(16,plain,(! [TA:$tType,TB:$tType,A:TA] : ((~ (c_2Esum_2EISL @ TB @ TA @ (c_2Esum_2EINR @ TB @ TA @ A))))),inference(simp,[status(thm)],[14])).
% 8.20/2.77  thf(18,plain,(! [TA:$tType,TB:$tType,B:TA,A:TB] : ((~ ((c_2Esum_2EINL @ TB @ TA @ A) = (c_2Esum_2EINR @ TB @ TA @ B))))),inference(cnf,[status(esa)],[17])).
% 8.20/2.77  thf(19,plain,(! [TA:$tType,TB:$tType,B:TA,A:TB] : (((c_2Esum_2EINL @ TB @ TA @ A) != (c_2Esum_2EINR @ TB @ TA @ B)))),inference(lifteq,[status(thm)],[18])).
% 8.20/2.77  thf(15,plain,(! [TA:$tType,TB:$tType,A:TB] : ((c_2Esum_2EISL @ TB @ TA @ (c_2Esum_2EINL @ TB @ TA @ A)))),inference(cnf,[status(esa)],[13])).
% 8.20/2.77  thf(62,plain,($false),inference(iprover,[status(thm)],[10,24,20,9,13,17,7,16,19,15])).
% 8.20/2.77  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 8.20/2.77  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
