%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:37:58 EDT 2019

% Result     : Theorem 8.24s
% Output     : CNFRefutation 8.24s
% Verified   : 
% Statistics : Number of formulae       :   35 (  35 expanded)
%              Number of leaves         :   13 (  13 expanded)
%              Depth                    :   13
%              Number of atoms          :  217 ( 217 expanded)
%              Number of equality atoms :   28 (  28 expanded)
%              Maximal formula depth    :   14 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Elist_2EEXISTS_type,type,(
    c_2Elist_2EEXISTS: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( tyop_2Elist_2Elist @ TA ) > $o ) )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $o )).

thf(c_2Elist_2EFOLDL_type,type,(
    c_2Elist_2EFOLDL: 
      !>[TA: $tType,TB: $tType] :
        ( ( TB > TA > TB ) > TB > ( tyop_2Elist_2Elist @ TA ) > TB ) )).

thf(c_2Ecombin_2EI_type,type,(
    c_2Ecombin_2EI: 
      !>[TA: $tType] :
        ( TA > TA ) )).

thf(c_2Erich__list_2EOR__EL_type,type,(
    c_2Erich__list_2EOR__EL: ( tyop_2Elist_2Elist @ $o ) > $o )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(sk1_type,type,(
    sk1: ( tyop_2Elist_2Elist @ $o ) )).

thf(sk6_type,type,(
    sk6: $o )).

thf(5,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( c_2Ecombin_2EI @ TA @ A )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecombin_2EI__THM)).

thf(22,plain,(
    ! [TA: $tType,A: TA] :
      ( ( c_2Ecombin_2EI @ TA @ A )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(23,plain,(
    ! [TA: $tType,A: TA] :
      ( ( c_2Ecombin_2EI @ TA @ A )
      = A ) ),
    inference(cnf,[status(esa)],[22])).

thf(24,plain,(
    ! [TA: $tType,A: TA] :
      ( ( c_2Ecombin_2EI @ TA @ A )
      = A ) ),
    inference(lifteq,[status(thm)],[23])).

thf(3,axiom,(
    ! [TA: $tType,A: TA > $o,B: tyop_2Elist_2Elist @ TA] :
      ( ( c_2Elist_2EEXISTS @ TA @ A @ B )
      = ( c_2Elist_2EFOLDL @ TA @ $o
        @ ^ [C: $o,D: TA] :
            ( c_2Ebool_2E_5C_2F @ C @ ( A @ D ) )
        @ c_2Ebool_2EF
        @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erich__list_2EEXISTS__FOLDL)).

thf(17,plain,(
    ! [TA: $tType,A: TA > $o,B: tyop_2Elist_2Elist @ TA] :
      ( ( c_2Elist_2EEXISTS @ TA @ A @ B )
      = ( c_2Elist_2EFOLDL @ TA @ $o
        @ ^ [C: $o,D: TA] :
            ( c_2Ebool_2E_5C_2F @ C @ ( A @ D ) )
        @ c_2Ebool_2EF
        @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(18,plain,(
    ! [TA: $tType,B: tyop_2Elist_2Elist @ TA,A: TA > $o] :
      ( ( c_2Elist_2EEXISTS @ TA @ A @ B )
      = ( c_2Elist_2EFOLDL @ TA @ $o
        @ ^ [C: $o,D: TA] :
            ( c_2Ebool_2E_5C_2F @ C @ ( A @ D ) )
        @ c_2Ebool_2EF
        @ B ) ) ),
    inference(cnf,[status(esa)],[17])).

thf(19,plain,(
    ! [TA: $tType,B: tyop_2Elist_2Elist @ TA,A: TA > $o] :
      ( ( c_2Elist_2EEXISTS @ TA @ A @ B )
      = ( c_2Elist_2EFOLDL @ TA @ $o
        @ ^ [C: $o,D: TA] :
            ( c_2Ebool_2E_5C_2F @ C @ ( A @ D ) )
        @ c_2Ebool_2EF
        @ B ) ) ),
    inference(lifteq,[status(thm)],[18])).

thf(1,conjecture,(
    ! [A: tyop_2Elist_2Elist @ $o] :
      ( ( c_2Erich__list_2EOR__EL @ A )
      = ( c_2Elist_2EFOLDL @ $o @ $o @ c_2Ebool_2E_5C_2F @ c_2Ebool_2EF @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erich__list_2EOR__EL__FOLDL)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Elist_2Elist @ $o] :
        ( ( c_2Erich__list_2EOR__EL @ A )
        = ( c_2Elist_2EFOLDL @ $o @ $o @ c_2Ebool_2E_5C_2F @ c_2Ebool_2EF @ A ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(14,plain,(
    ~ ! [A: tyop_2Elist_2Elist @ $o] :
        ( ( c_2Erich__list_2EOR__EL @ A )
        = ( c_2Elist_2EFOLDL @ $o @ $o @ c_2Ebool_2E_5C_2F @ c_2Ebool_2EF @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(15,plain,(
    ( c_2Erich__list_2EOR__EL @ sk1 )
 != ( c_2Elist_2EFOLDL @ $o @ $o @ c_2Ebool_2E_5C_2F @ c_2Ebool_2EF @ sk1 ) ),
    inference(cnf,[status(esa)],[14])).

thf(16,plain,(
    ( c_2Erich__list_2EOR__EL @ sk1 )
 != ( c_2Elist_2EFOLDL @ $o @ $o @ c_2Ebool_2E_5C_2F @ c_2Ebool_2EF @ sk1 ) ),
    inference(lifteq,[status(thm)],[15])).

thf(83,plain,(
    ! [TA: $tType,B: tyop_2Elist_2Elist @ TA,A: TA > $o] :
      ( ( ( c_2Elist_2EEXISTS @ TA @ A @ B )
       != ( c_2Erich__list_2EOR__EL @ sk1 ) )
      | ( ( c_2Elist_2EFOLDL @ TA @ $o
          @ ^ [C: $o,D: TA] :
              ( c_2Ebool_2E_5C_2F @ C @ ( A @ D ) )
          @ c_2Ebool_2EF
          @ B )
       != ( c_2Elist_2EFOLDL @ $o @ $o @ c_2Ebool_2E_5C_2F @ c_2Ebool_2EF @ sk1 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[19,16])).

thf(84,plain,(
    ( c_2Erich__list_2EOR__EL @ sk1 )
 != ( c_2Elist_2EEXISTS @ $o
    @ ^ [A: $o] : A
    @ sk1 ) ),
    inference(pattern_uni,[status(thm)],[83:[bind(A,$thf(^ [C: $o] : C)),bind(B,$thf(sk1))]])).

thf(4,axiom,
    ( c_2Erich__list_2EOR__EL
    = ( c_2Elist_2EEXISTS @ $o @ ( c_2Ecombin_2EI @ $o ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erich__list_2EOR__EL__DEF)).

thf(20,plain,
    ( c_2Erich__list_2EOR__EL
    = ( c_2Elist_2EEXISTS @ $o @ ( c_2Ecombin_2EI @ $o ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(21,plain,
    ( c_2Erich__list_2EOR__EL
    = ( c_2Elist_2EEXISTS @ $o @ ( c_2Ecombin_2EI @ $o ) ) ),
    inference(lifteq,[status(thm)],[20])).

thf(70,plain,(
    ! [A: tyop_2Elist_2Elist @ $o] :
      ( ( c_2Erich__list_2EOR__EL @ A )
      = ( c_2Elist_2EEXISTS @ $o @ ( c_2Ecombin_2EI @ $o ) @ A ) ) ),
    inference(func_ext,[status(esa)],[21])).

thf(125,plain,(
    ( c_2Elist_2EEXISTS @ $o @ ( c_2Ecombin_2EI @ $o ) @ sk1 )
 != ( c_2Elist_2EEXISTS @ $o
    @ ^ [A: $o] : A
    @ sk1 ) ),
    inference(rewrite,[status(thm)],[84,70])).

thf(135,plain,
    ( ( ( c_2Ecombin_2EI @ $o )
     != ( ^ [A: $o] : A ) )
    | ( sk1 != sk1 ) ),
    inference(simp,[status(thm)],[125])).

thf(141,plain,(
    ( c_2Ecombin_2EI @ $o )
 != ( ^ [A: $o] : A ) ),
    inference(simp,[status(thm)],[135])).

thf(143,plain,(
    ( c_2Ecombin_2EI @ $o @ sk6 )
 != sk6 ),
    inference(func_ext,[status(esa)],[141])).

thf(174,plain,(
    ! [A: $o] :
      ( ( A != sk6 )
      | ( ( c_2Ecombin_2EI @ $o @ A )
       != ( c_2Ecombin_2EI @ $o @ sk6 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[24,143])).

thf(175,plain,(
    sk6 != sk6 ),
    inference(pattern_uni,[status(thm)],[174:[bind(A,$thf(sk6))]])).

thf(176,plain,(
    $false ),
    inference(simp,[status(thm)],[175])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.11/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.11/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.11/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.11/0.13  % CPULimit   : 300
% 0.11/0.13  % DateTime   : Tue Jul 30 18:58:57 EDT 2019
% 0.11/0.13  % CPUTime    : 
% 2.51/1.23  % [INFO] 	 Running in sequential loop mode. 
% 3.33/1.41  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.59/1.47  % [INFO] 	 iprover registered as external prover. 
% 3.59/1.47  % [INFO] 	 e registered as external prover. 
% 3.59/1.47  % [INFO] 	 cvc4 registered as external prover. 
% 3.59/1.48  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.71/1.53  % [INFO] 	 Found a conjecture and 11 axioms. Running axiom selection ... 
% 3.82/1.56  % [INFO] 	 Axiom selection finished. Selected 11 axioms (removed 0 axioms). 
% 3.82/1.59  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 8.24/2.70  % [INFO] 	 Killing All external provers ... 
% 8.24/2.70  % Time passed: 2448ms
% 8.24/2.70  % Effective reasoning time: 1472ms
% 8.24/2.70  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 8.24/2.70  % Axioms used in derivation (3): thm_2Ecombin_2EI__THM, thm_2Erich__list_2EEXISTS__FOLDL, thm_2Erich__list_2EOR__EL__DEF
% 8.24/2.70  % No. of inferences in proof: 26
% 8.24/2.70  % No. of processed clauses: 25
% 8.24/2.70  % No. of generated clauses: 32
% 8.24/2.70  % No. of forward subsumed clauses: 1
% 8.24/2.70  % No. of backward subsumed clauses: 0
% 8.24/2.70  % No. of ground rewrite rules in store: 14
% 8.24/2.70  % No. of non-ground rewrite rules in store: 5
% 8.24/2.70  % No. of positive (non-rewrite) units in store: 1
% 8.24/2.70  % No. of negative (non-rewrite) units in store: 4
% 8.24/2.71  % No. of choice functions detected: 0
% 8.24/2.71  % No. of choice instantiations: 0
% 8.24/2.71  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2448 ms resp. 1472 ms w/o parsing
% 8.24/2.73  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 8.24/2.73  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 8.24/2.73  thf(c_2Elist_2EEXISTS_type, type, c_2Elist_2EEXISTS: !>[TA: $tType]: ((TA > $o) > ((tyop_2Elist_2Elist @ TA) > $o))).
% 8.24/2.73  thf(c_2Ebool_2EF_type, type, c_2Ebool_2EF: $o).
% 8.24/2.73  thf(c_2Elist_2EFOLDL_type, type, c_2Elist_2EFOLDL: !>[TA: $tType,TB: $tType]: ((TB > (TA > TB)) > (TB > ((tyop_2Elist_2Elist @ TA) > TB)))).
% 8.24/2.73  thf(c_2Ecombin_2EI_type, type, c_2Ecombin_2EI: !>[TA: $tType]: (TA > TA)).
% 8.24/2.73  thf(c_2Erich__list_2EOR__EL_type, type, c_2Erich__list_2EOR__EL: ((tyop_2Elist_2Elist @ $o) > $o)).
% 8.24/2.73  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 8.24/2.73  thf(sk1_type, type, sk1: (tyop_2Elist_2Elist @ $o)).
% 8.24/2.73  thf(sk6_type, type, sk6: $o).
% 8.24/2.73  thf(5,axiom,((! [TA: $tType]: (! [A:TA]: ((c_2Ecombin_2EI @ TA @ A) = A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecombin_2EI__THM)).
% 8.24/2.73  thf(22,plain,((! [TA: $tType]: (! [A:TA]: ((c_2Ecombin_2EI @ TA @ A) = A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 8.24/2.73  thf(23,plain,(! [TA:$tType,A:TA] : (((c_2Ecombin_2EI @ TA @ A) = A))),inference(cnf,[status(esa)],[22])).
% 8.24/2.73  thf(24,plain,(! [TA:$tType,A:TA] : (((c_2Ecombin_2EI @ TA @ A) = A))),inference(lifteq,[status(thm)],[23])).
% 8.24/2.73  thf(3,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:(tyop_2Elist_2Elist @ TA)]: ((c_2Elist_2EEXISTS @ TA @ A @ B) = (c_2Elist_2EFOLDL @ TA @ $o @ (^ [C:$o,D:TA]: (c_2Ebool_2E_5C_2F @ C @ (A @ D))) @ c_2Ebool_2EF @ B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erich__list_2EEXISTS__FOLDL)).
% 8.24/2.73  thf(17,plain,((! [TA: $tType]: (! [A:(TA > $o),B:(tyop_2Elist_2Elist @ TA)]: ((c_2Elist_2EEXISTS @ TA @ (A) @ B) = (c_2Elist_2EFOLDL @ TA @ $o @ (^ [C:$o,D:TA]: (c_2Ebool_2E_5C_2F @ C @ (A @ D))) @ c_2Ebool_2EF @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 8.24/2.73  thf(18,plain,(! [TA:$tType,B:(tyop_2Elist_2Elist @ TA),A:(TA > $o)] : (((c_2Elist_2EEXISTS @ TA @ (A) @ B) = (c_2Elist_2EFOLDL @ TA @ $o @ (^ [C:$o,D:TA]: (c_2Ebool_2E_5C_2F @ C @ (A @ D))) @ c_2Ebool_2EF @ B)))),inference(cnf,[status(esa)],[17])).
% 8.24/2.73  thf(19,plain,(! [TA:$tType,B:(tyop_2Elist_2Elist @ TA),A:(TA > $o)] : (((c_2Elist_2EEXISTS @ TA @ (A) @ B) = (c_2Elist_2EFOLDL @ TA @ $o @ (^ [C:$o,D:TA]: (c_2Ebool_2E_5C_2F @ C @ (A @ D))) @ c_2Ebool_2EF @ B)))),inference(lifteq,[status(thm)],[18])).
% 8.24/2.73  thf(1,conjecture,((! [A:(tyop_2Elist_2Elist @ $o)]: ((c_2Erich__list_2EOR__EL @ A) = (c_2Elist_2EFOLDL @ $o @ $o @ c_2Ebool_2E_5C_2F @ c_2Ebool_2EF @ A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erich__list_2EOR__EL__FOLDL)).
% 8.24/2.73  thf(2,negated_conjecture,((~ (! [A:(tyop_2Elist_2Elist @ $o)]: ((c_2Erich__list_2EOR__EL @ A) = (c_2Elist_2EFOLDL @ $o @ $o @ c_2Ebool_2E_5C_2F @ c_2Ebool_2EF @ A))))),inference(neg_conjecture,[status(cth)],[1])).
% 8.24/2.73  thf(14,plain,((~ (! [A:(tyop_2Elist_2Elist @ $o)]: ((c_2Erich__list_2EOR__EL @ A) = (c_2Elist_2EFOLDL @ $o @ $o @ (c_2Ebool_2E_5C_2F) @ c_2Ebool_2EF @ A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 8.24/2.73  thf(15,plain,((~ ((c_2Erich__list_2EOR__EL @ sk1) = (c_2Elist_2EFOLDL @ $o @ $o @ (c_2Ebool_2E_5C_2F) @ c_2Ebool_2EF @ sk1)))),inference(cnf,[status(esa)],[14])).
% 8.24/2.73  thf(16,plain,(((c_2Erich__list_2EOR__EL @ sk1) != (c_2Elist_2EFOLDL @ $o @ $o @ (c_2Ebool_2E_5C_2F) @ c_2Ebool_2EF @ sk1))),inference(lifteq,[status(thm)],[15])).
% 8.24/2.73  thf(83,plain,(! [TA:$tType,B:(tyop_2Elist_2Elist @ TA),A:(TA > $o)] : (((c_2Elist_2EEXISTS @ TA @ (A) @ B) != (c_2Erich__list_2EOR__EL @ sk1)) | ((c_2Elist_2EFOLDL @ TA @ $o @ (^ [C:$o,D:TA]: (c_2Ebool_2E_5C_2F @ C @ (A @ D))) @ c_2Ebool_2EF @ B) != (c_2Elist_2EFOLDL @ $o @ $o @ (c_2Ebool_2E_5C_2F) @ c_2Ebool_2EF @ sk1)))),inference(paramod_ordered,[status(thm)],[19,16])).
% 8.24/2.73  thf(84,plain,(((c_2Erich__list_2EOR__EL @ sk1) != (c_2Elist_2EEXISTS @ $o @ (^ [A:$o]: (A)) @ sk1))),inference(pattern_uni,[status(thm)],[83:[bind(A, $thf(^ [C:$o]: (C))),bind(B, $thf(sk1))]])).
% 8.24/2.73  thf(4,axiom,((c_2Erich__list_2EOR__EL = (c_2Elist_2EEXISTS @ $o @ (c_2Ecombin_2EI @ $o)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erich__list_2EOR__EL__DEF)).
% 8.24/2.73  thf(20,plain,(((c_2Erich__list_2EOR__EL) = (c_2Elist_2EEXISTS @ $o @ (c_2Ecombin_2EI @ $o)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 8.24/2.73  thf(21,plain,(((c_2Erich__list_2EOR__EL) = (c_2Elist_2EEXISTS @ $o @ (c_2Ecombin_2EI @ $o)))),inference(lifteq,[status(thm)],[20])).
% 8.24/2.73  thf(70,plain,(! [A:(tyop_2Elist_2Elist @ $o)] : (((c_2Erich__list_2EOR__EL @ A) = (c_2Elist_2EEXISTS @ $o @ (c_2Ecombin_2EI @ $o) @ A)))),inference(func_ext,[status(esa)],[21])).
% 8.24/2.73  thf(125,plain,(((c_2Elist_2EEXISTS @ $o @ (c_2Ecombin_2EI @ $o) @ sk1) != (c_2Elist_2EEXISTS @ $o @ (^ [A:$o]: (A)) @ sk1))),inference(rewrite,[status(thm)],[84,70])).
% 8.24/2.73  thf(135,plain,(((c_2Ecombin_2EI @ $o) != (^ [A:$o]: (A))) | (sk1 != sk1)),inference(simp,[status(thm)],[125])).
% 8.24/2.73  thf(141,plain,(((c_2Ecombin_2EI @ $o) != (^ [A:$o]: (A)))),inference(simp,[status(thm)],[135])).
% 8.24/2.73  thf(143,plain,(((c_2Ecombin_2EI @ $o @ sk6) != sk6)),inference(func_ext,[status(esa)],[141])).
% 8.24/2.73  thf(174,plain,(! [A:$o] : ((A != sk6) | ((c_2Ecombin_2EI @ $o @ A) != (c_2Ecombin_2EI @ $o @ sk6)))),inference(paramod_ordered,[status(thm)],[24,143])).
% 8.24/2.73  thf(175,plain,((sk6 != sk6)),inference(pattern_uni,[status(thm)],[174:[bind(A, $thf(sk6))]])).
% 8.24/2.73  thf(176,plain,($false),inference(simp,[status(thm)],[175])).
% 8.24/2.73  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 8.24/2.73  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
