%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:38:09 EDT 2019

% Result     : Theorem 6.90s
% Output     : CNFRefutation 6.90s
% Verified   : 
% Statistics : Number of formulae       :   63 (  85 expanded)
%              Number of leaves         :   31 (  40 expanded)
%              Depth                    :    6
%              Number of atoms          :  281 ( 449 expanded)
%              Number of equality atoms :   42 (  64 expanded)
%              Maximal formula depth    :   14 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2EreaderMonad_2EBIND_type,type,(
    c_2EreaderMonad_2EBIND: 
      !>[TA: $tType,TB: $tType,TC: $tType] :
        ( ( TC > TA ) > ( TA > TC > TB ) > TC > TB ) )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(c_2EreaderMonad_2EUNIT_type,type,(
    c_2EreaderMonad_2EUNIT: 
      !>[TA: $tType,TB: $tType] :
        ( TA > TB > TA ) )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $o > $o )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(skt2_type,type,(
    skt2: $tType )).

thf(skt3_type,type,(
    skt3: $tType )).

thf(sk1_type,type,(
    sk1: skt3 )).

thf(sk2_type,type,(
    sk2: skt3 > skt1 > skt2 )).

thf(sk3_type,type,(
    sk3: skt1 )).

thf(14,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(56,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(12,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(42,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(5,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > TB,B: TA > TB] :
      ( ( A = B )
      = ( ! [C: TA] :
            ( ( A @ C )
            = ( B @ C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EFUN__EQ__THM)).

thf(25,plain,(
    ! [TA: $tType,TB: $tType,A: TA > TB,B: TA > TB] :
      ( ( A = B )
      = ( ! [C: TA] :
            ( ( A @ C )
            = ( B @ C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(45,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $true @ $false )
    = ( $true
     => $false ) ),
    inference(instance,[status(thm)],[42])).

thf(46,plain,(
    ~ ( c_2Emin_2E_3D_3D_3E @ $true @ $false ) ),
    inference(simp,[status(thm)],[45])).

thf(6,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( A = A )
      = c_2Ebool_2ET ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).

thf(28,plain,(
    ! [TA: $tType] : c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(29,plain,(
    c_2Ebool_2ET ),
    inference(cnf,[status(esa)],[28])).

thf(3,axiom,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( c_2EreaderMonad_2EUNIT @ TA @ TB @ A @ B )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2EreaderMonad_2EUNIT__def)).

thf(19,plain,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( c_2EreaderMonad_2EUNIT @ TA @ TB @ A @ B )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(20,plain,(
    ! [TA: $tType,TB: $tType,B: TA,A: TB] :
      ( ( c_2EreaderMonad_2EUNIT @ TB @ TA @ A @ B )
      = A ) ),
    inference(cnf,[status(esa)],[19])).

thf(21,plain,(
    ! [TA: $tType,TB: $tType,B: TA,A: TB] :
      ( ( c_2EreaderMonad_2EUNIT @ TB @ TA @ A @ B )
      = A ) ),
    inference(lifteq,[status(thm)],[20])).

thf(9,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(33,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(15,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(65,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(13,axiom,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(51,plain,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(52,plain,
    ( ( c_2Ebool_2E_7E @ $true )
    = ( ~ $true ) ),
    inference(instance,[status(thm)],[51])).

thf(53,plain,(
    ~ ( c_2Ebool_2E_7E @ $true ) ),
    inference(simp,[status(thm)],[52])).

thf(8,axiom,(
    c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(32,plain,(
    c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(63,plain,
    ( ( c_2Ebool_2E_5C_2F @ $false @ $false )
    = ( $false
      | $false ) ),
    inference(instance,[status(thm)],[56])).

thf(64,plain,(
    ~ ( c_2Ebool_2E_5C_2F @ $false @ $false ) ),
    inference(simp,[status(thm)],[63])).

thf(4,axiom,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: TC > TA,B: TA > TC > TB,C: TC] :
      ( ( c_2EreaderMonad_2EBIND @ TA @ TB @ TC @ A @ B @ C )
      = ( B @ ( A @ C ) @ C ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2EreaderMonad_2EBIND__def)).

thf(22,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: TC > TA,B: TA > TC > TB,C: TC] :
      ( ( c_2EreaderMonad_2EBIND @ TA @ TB @ TC @ A @ B @ C )
      = ( B @ ( A @ C ) @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(43,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $true @ $true )
    = ( $true
     => $true ) ),
    inference(instance,[status(thm)],[42])).

thf(44,plain,(
    c_2Emin_2E_3D_3D_3E @ $true @ $true ),
    inference(simp,[status(thm)],[43])).

thf(11,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(39,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(1,conjecture,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: TC,B: TC > TA > TB] :
      ( ( c_2EreaderMonad_2EBIND @ TC @ TB @ TA @ ( c_2EreaderMonad_2EUNIT @ TC @ TA @ A ) @ B )
      = ( B @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2EreaderMonad_2EBIND__UNITL)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,TB: $tType,TC: $tType,A: TC,B: TC > TA > TB] :
        ( ( c_2EreaderMonad_2EBIND @ TC @ TB @ TA @ ( c_2EreaderMonad_2EUNIT @ TC @ TA @ A ) @ B )
        = ( B @ A ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(16,plain,(
    ~ ! [TA: $tType,TB: $tType,TC: $tType,A: TC,B: TC > TA > TB] :
        ( ( c_2EreaderMonad_2EBIND @ TC @ TB @ TA @ ( c_2EreaderMonad_2EUNIT @ TC @ TA @ A ) @ B )
        = ( B @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(17,plain,(
    ( c_2EreaderMonad_2EBIND @ skt3 @ skt2 @ skt1 @ ( c_2EreaderMonad_2EUNIT @ skt3 @ skt1 @ sk1 ) @ sk2 )
 != ( sk2 @ sk1 ) ),
    inference(cnf,[status(esa)],[16])).

thf(18,plain,(
    ( c_2EreaderMonad_2EBIND @ skt3 @ skt2 @ skt1 @ ( c_2EreaderMonad_2EUNIT @ skt3 @ skt1 @ sk1 ) @ sk2 )
 != ( sk2 @ sk1 ) ),
    inference(lifteq,[status(thm)],[17])).

thf(80,plain,(
    ( c_2EreaderMonad_2EBIND @ skt3 @ skt2 @ skt1 @ ( c_2EreaderMonad_2EUNIT @ skt3 @ skt1 @ sk1 ) @ sk2 @ sk3 )
 != ( sk2 @ sk1 @ sk3 ) ),
    inference(func_ext,[status(esa)],[18])).

thf(54,plain,
    ( ( c_2Ebool_2E_7E @ $false )
    = ( ~ $false ) ),
    inference(instance,[status(thm)],[51])).

thf(55,plain,(
    c_2Ebool_2E_7E @ $false ),
    inference(simp,[status(thm)],[54])).

thf(10,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(36,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(7,axiom,(
    ! [TA: $tType,A: $o] :
      ( ( ! [B: TA] : A )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EFORALL__SIMP)).

thf(30,plain,(
    ! [TA: $tType] : $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(89,plain,(
    $false ),
    inference(iprover,[status(thm)],[56,42,25,46,29,28,21,33,65,53,32,64,22,44,39,80,18,16,55,36,30,51,19])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.06/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.06/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.06/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.06/0.13  % CPULimit   : 300
% 0.06/0.13  % DateTime   : Tue Jul 30 20:05:42 EDT 2019
% 0.06/0.13  % CPUTime    : 
% 2.28/1.14  % [INFO] 	 Running in sequential loop mode. 
% 3.14/1.32  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.44/1.38  % [INFO] 	 iprover registered as external prover. 
% 3.44/1.39  % [INFO] 	 e registered as external prover. 
% 3.44/1.39  % [INFO] 	 cvc4 registered as external prover. 
% 3.44/1.39  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.44/1.44  % [INFO] 	 Found a conjecture and 13 axioms. Running axiom selection ... 
% 3.73/1.48  % [INFO] 	 Axiom selection finished. Selected 13 axioms (removed 0 axioms). 
% 3.86/1.52  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.81/2.41  % [INFO] 	 Killing All external provers ... 
% 6.90/2.41  % Time passed: 2136ms
% 6.90/2.41  % Effective reasoning time: 1268ms
% 6.90/2.41  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.90/2.41  % Axioms used in derivation (13): thm_2Ebool_2EFUN__EQ__THM, logicdef_2E_3D, thm_2Ebool_2EREFL__CLAUSE, thm_2EreaderMonad_2EUNIT__def, logicdef_2E_5C_2F, quantdef_2E_21, thm_2Ebool_2ETRUTH, logicdef_2E_3D_3D_3E, thm_2Ebool_2EFORALL__SIMP, thm_2EreaderMonad_2EBIND__def, logicdef_2E_2F_5C, logicdef_2E_7E, quantdef_2E_3F
% 6.90/2.41  % No. of inferences in proof: 46
% 6.90/2.41  % No. of processed clauses: 11
% 6.90/2.41  % No. of generated clauses: 1
% 6.90/2.41  % No. of forward subsumed clauses: 1
% 6.90/2.41  % No. of backward subsumed clauses: 0
% 6.90/2.41  % No. of ground rewrite rules in store: 8
% 6.90/2.41  % No. of non-ground rewrite rules in store: 1
% 6.90/2.41  % No. of positive (non-rewrite) units in store: 0
% 6.90/2.41  % No. of negative (non-rewrite) units in store: 2
% 6.90/2.41  % No. of choice functions detected: 0
% 6.90/2.41  % No. of choice instantiations: 0
% 6.90/2.41  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2136 ms resp. 1268 ms w/o parsing
% 6.90/2.45  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.90/2.45  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.90/2.45  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 6.90/2.45  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 6.90/2.45  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 6.90/2.45  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 6.90/2.45  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 6.90/2.45  thf(c_2EreaderMonad_2EBIND_type, type, c_2EreaderMonad_2EBIND: !>[TA: $tType,TB: $tType,TC: $tType]: ((TC > TA) > ((TA > (TC > TB)) > (TC > TB)))).
% 6.90/2.45  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 6.90/2.45  thf(c_2EreaderMonad_2EUNIT_type, type, c_2EreaderMonad_2EUNIT: !>[TA: $tType,TB: $tType]: (TA > (TB > TA))).
% 6.90/2.45  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 6.90/2.45  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 6.90/2.45  thf(skt1_type, type, skt1: $tType).
% 6.90/2.45  thf(skt2_type, type, skt2: $tType).
% 6.90/2.45  thf(skt3_type, type, skt3: $tType).
% 6.90/2.45  thf(sk1_type, type, sk1: skt3).
% 6.90/2.45  thf(sk2_type, type, sk2: (skt3 > (skt1 > skt2))).
% 6.90/2.45  thf(sk3_type, type, sk3: skt1).
% 6.90/2.45  thf(14,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 6.90/2.45  thf(56,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).
% 6.90/2.45  thf(12,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 6.90/2.45  thf(42,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 6.90/2.45  thf(5,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:(TA > TB)]: ((A = B) = (! [C:TA]: ((A @ C) = (B @ C))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EFUN__EQ__THM)).
% 6.90/2.45  thf(25,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:(TA > TB)]: (((A) = (B)) = (! [C:TA]: ((A @ C) = (B @ C))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 6.90/2.45  thf(45,plain,(((c_2Emin_2E_3D_3D_3E @ $true @ $false) = (($true) => ($false)))),inference(instance,[status(thm)],[42])).
% 6.90/2.45  thf(46,plain,((~ (c_2Emin_2E_3D_3D_3E @ $true @ $false))),inference(simp,[status(thm)],[45])).
% 6.90/2.45  thf(6,axiom,((! [TA: $tType]: (! [A:TA]: ((A = A) = c_2Ebool_2ET)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).
% 6.90/2.45  thf(28,plain,((! [TA: $tType]: (c_2Ebool_2ET))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 6.90/2.45  thf(29,plain,(c_2Ebool_2ET),inference(cnf,[status(esa)],[28])).
% 6.90/2.45  thf(3,axiom,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB]: ((c_2EreaderMonad_2EUNIT @ TA @ TB @ A @ B) = A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2EreaderMonad_2EUNIT__def)).
% 6.90/2.45  thf(19,plain,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB]: ((c_2EreaderMonad_2EUNIT @ TA @ TB @ A @ B) = A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.90/2.45  thf(20,plain,(! [TA:$tType,TB:$tType,B:TA,A:TB] : (((c_2EreaderMonad_2EUNIT @ TB @ TA @ A @ B) = A))),inference(cnf,[status(esa)],[19])).
% 6.90/2.45  thf(21,plain,(! [TA:$tType,TB:$tType,B:TA,A:TB] : (((c_2EreaderMonad_2EUNIT @ TB @ TA @ A @ B) = A))),inference(lifteq,[status(thm)],[20])).
% 6.90/2.45  thf(9,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 6.90/2.45  thf(33,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 6.90/2.45  thf(15,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 6.90/2.45  thf(65,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).
% 6.90/2.45  thf(13,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 6.90/2.45  thf(51,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 6.90/2.45  thf(52,plain,(((c_2Ebool_2E_7E @ $true) = (~ ($true)))),inference(instance,[status(thm)],[51])).
% 6.90/2.45  thf(53,plain,((~ (c_2Ebool_2E_7E @ $true))),inference(simp,[status(thm)],[52])).
% 6.90/2.45  thf(8,axiom,(c_2Ebool_2ET),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).
% 6.90/2.45  thf(32,plain,(c_2Ebool_2ET),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 6.90/2.45  thf(63,plain,(((c_2Ebool_2E_5C_2F @ $false @ $false) = (($false) | ($false)))),inference(instance,[status(thm)],[56])).
% 6.90/2.45  thf(64,plain,((~ (c_2Ebool_2E_5C_2F @ $false @ $false))),inference(simp,[status(thm)],[63])).
% 6.90/2.45  thf(4,axiom,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TC > TA),B:(TA > (TC > TB)),C:TC]: ((c_2EreaderMonad_2EBIND @ TA @ TB @ TC @ A @ B @ C) = (B @ (A @ C) @ C))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2EreaderMonad_2EBIND__def)).
% 6.90/2.45  thf(22,plain,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TC > TA),B:(TA > (TC > TB)),C:TC]: ((c_2EreaderMonad_2EBIND @ TA @ TB @ TC @ (A) @ (B) @ C) = (B @ (A @ C) @ C))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 6.90/2.45  thf(43,plain,(((c_2Emin_2E_3D_3D_3E @ $true @ $true) = (($true) => ($true)))),inference(instance,[status(thm)],[42])).
% 6.90/2.45  thf(44,plain,((c_2Emin_2E_3D_3D_3E @ $true @ $true)),inference(simp,[status(thm)],[43])).
% 6.90/2.45  thf(11,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 6.90/2.45  thf(39,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 6.90/2.45  thf(1,conjecture,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:TC,B:(TC > (TA > TB))]: ((c_2EreaderMonad_2EBIND @ TC @ TB @ TA @ (c_2EreaderMonad_2EUNIT @ TC @ TA @ A) @ B) = (B @ A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2EreaderMonad_2EBIND__UNITL)).
% 6.90/2.45  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType,TC: $tType]: (! [A:TC,B:(TC > (TA > TB))]: ((c_2EreaderMonad_2EBIND @ TC @ TB @ TA @ (c_2EreaderMonad_2EUNIT @ TC @ TA @ A) @ B) = (B @ A)))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.90/2.45  thf(16,plain,((~ (! [TA: $tType,TB: $tType,TC: $tType]: (! [A:TC,B:(TC > (TA > TB))]: ((c_2EreaderMonad_2EBIND @ TC @ TB @ TA @ (c_2EreaderMonad_2EUNIT @ TC @ TA @ A) @ B) = (B @ A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.90/2.45  thf(17,plain,((~ ((c_2EreaderMonad_2EBIND @ skt3 @ skt2 @ skt1 @ (c_2EreaderMonad_2EUNIT @ skt3 @ skt1 @ sk1) @ sk2) = (sk2 @ sk1)))),inference(cnf,[status(esa)],[16])).
% 6.90/2.45  thf(18,plain,(((c_2EreaderMonad_2EBIND @ skt3 @ skt2 @ skt1 @ (c_2EreaderMonad_2EUNIT @ skt3 @ skt1 @ sk1) @ sk2) != (sk2 @ sk1))),inference(lifteq,[status(thm)],[17])).
% 6.90/2.45  thf(80,plain,(((c_2EreaderMonad_2EBIND @ skt3 @ skt2 @ skt1 @ (c_2EreaderMonad_2EUNIT @ skt3 @ skt1 @ sk1) @ (sk2) @ sk3) != (sk2 @ sk1 @ sk3))),inference(func_ext,[status(esa)],[18])).
% 6.90/2.45  thf(54,plain,(((c_2Ebool_2E_7E @ $false) = (~ ($false)))),inference(instance,[status(thm)],[51])).
% 6.90/2.45  thf(55,plain,((c_2Ebool_2E_7E @ $false)),inference(simp,[status(thm)],[54])).
% 6.90/2.45  thf(10,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).
% 6.90/2.45  thf(36,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 6.90/2.45  thf(7,axiom,((! [TA: $tType]: (! [A:$o]: ((! [B:TA]: (A)) = A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EFORALL__SIMP)).
% 6.90/2.45  thf(30,plain,((! [TA: $tType]: ($true))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 6.90/2.45  thf(89,plain,($false),inference(iprover,[status(thm)],[56,42,25,46,29,28,21,33,65,53,32,64,22,44,39,80,18,16,55,36,30,51,19])).
% 6.90/2.45  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.90/2.45  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
