%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:38:16 EDT 2019

% Result     : Theorem 6.58s
% Output     : CNFRefutation 6.90s
% Verified   : 
% Statistics : Number of formulae       :   22 (  52 expanded)
%              Number of leaves         :   11 (  19 expanded)
%              Depth                    :    7
%              Number of atoms          :  109 ( 489 expanded)
%              Number of equality atoms :    5 (   7 expanded)
%              Maximal formula depth    :   14 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(c_2Ebag_2EBAG__INSERT_type,type,(
    c_2Ebag_2EBAG__INSERT: 
      !>[TA: $tType] :
        ( TA > ( TA > tyop_2Enum_2Enum ) > TA > tyop_2Enum_2Enum ) )).

thf(c_2Ebag_2EEMPTY__BAG_type,type,(
    c_2Ebag_2EEMPTY__BAG: 
      !>[TA: $tType] :
        ( TA > tyop_2Enum_2Enum ) )).

thf(c_2Ebag_2EFINITE__BAG_type,type,(
    c_2Ebag_2EFINITE__BAG: 
      !>[TA: $tType] :
        ( ( TA > tyop_2Enum_2Enum ) > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: ( skt1 > tyop_2Enum_2Enum ) > $o )).

thf(sk2_type,type,(
    sk2: skt1 > tyop_2Enum_2Enum )).

thf(sk3_type,type,(
    sk3: skt1 )).

thf(1,conjecture,(
    ! [TA: $tType,A: ( TA > tyop_2Enum_2Enum ) > $o] :
      ( ( ( A @ ( c_2Ebag_2EEMPTY__BAG @ TA ) )
        & ! [B: TA > tyop_2Enum_2Enum] :
            ( ( A @ B )
           => ! [C: TA] :
                ( A @ ( c_2Ebag_2EBAG__INSERT @ TA @ C @ B ) ) ) )
     => ! [B: TA > tyop_2Enum_2Enum] :
          ( ( c_2Ebag_2EFINITE__BAG @ TA @ B )
         => ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebag_2EFINITE__BAG__INDUCT)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: ( TA > tyop_2Enum_2Enum ) > $o] :
        ( ( ( A @ ( c_2Ebag_2EEMPTY__BAG @ TA ) )
          & ! [B: TA > tyop_2Enum_2Enum] :
              ( ( A @ B )
             => ! [C: TA] :
                  ( A @ ( c_2Ebag_2EBAG__INSERT @ TA @ C @ B ) ) ) )
       => ! [B: TA > tyop_2Enum_2Enum] :
            ( ( c_2Ebag_2EFINITE__BAG @ TA @ B )
           => ( A @ B ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(4,plain,(
    ~ ! [TA: $tType,A: ( TA > tyop_2Enum_2Enum ) > $o] :
        ( ( ( A @ ( c_2Ebag_2EEMPTY__BAG @ TA ) )
          & ! [B: TA > tyop_2Enum_2Enum] :
              ( ( A @ B )
             => ! [C: TA] :
                  ( A @ ( c_2Ebag_2EBAG__INSERT @ TA @ C @ B ) ) ) )
       => ! [B: TA > tyop_2Enum_2Enum] :
            ( ( c_2Ebag_2EFINITE__BAG @ TA @ B )
           => ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(5,plain,(
    ~ ( sk1 @ sk2 ) ),
    inference(cnf,[status(esa)],[4])).

thf(8,plain,(
    sk1 @ ( c_2Ebag_2EEMPTY__BAG @ skt1 ) ),
    inference(cnf,[status(esa)],[4])).

thf(12,plain,(
    ( sk1 @ sk2 )
 != ( sk1 @ ( c_2Ebag_2EEMPTY__BAG @ skt1 ) ) ),
    inference(paramod_ordered,[status(thm)],[8,5])).

thf(13,plain,(
    sk2
 != ( c_2Ebag_2EEMPTY__BAG @ skt1 ) ),
    inference(simp,[status(thm)],[12])).

thf(14,plain,(
    ( sk2 @ sk3 )
 != ( c_2Ebag_2EEMPTY__BAG @ skt1 @ sk3 ) ),
    inference(func_ext,[status(esa)],[13])).

thf(6,plain,(
    c_2Ebag_2EFINITE__BAG @ skt1 @ sk2 ),
    inference(cnf,[status(esa)],[4])).

thf(3,axiom,(
    ! [TA: $tType,A: TA > tyop_2Enum_2Enum] :
      ( ( c_2Ebag_2EFINITE__BAG @ TA @ A )
      = ( ! [B: ( TA > tyop_2Enum_2Enum ) > $o] :
            ( ( ( B @ ( c_2Ebag_2EEMPTY__BAG @ TA ) )
              & ! [C: TA > tyop_2Enum_2Enum] :
                  ( ( B @ C )
                 => ! [D: TA] :
                      ( B @ ( c_2Ebag_2EBAG__INSERT @ TA @ D @ C ) ) ) )
           => ( B @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebag_2EFINITE__BAG)).

thf(9,plain,(
    ! [TA: $tType,A: TA > tyop_2Enum_2Enum] :
      ( ( c_2Ebag_2EFINITE__BAG @ TA @ A )
      = ( ! [B: ( TA > tyop_2Enum_2Enum ) > $o] :
            ( ( ( B @ ( c_2Ebag_2EEMPTY__BAG @ TA ) )
              & ! [C: TA > tyop_2Enum_2Enum] :
                  ( ( B @ C )
                 => ! [D: TA] :
                      ( B @ ( c_2Ebag_2EBAG__INSERT @ TA @ D @ C ) ) ) )
           => ( B @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(7,plain,(
    ! [B: skt1,A: skt1 > tyop_2Enum_2Enum] :
      ( ~ ( sk1 @ A )
      | ( sk1 @ ( c_2Ebag_2EBAG__INSERT @ skt1 @ B @ A ) ) ) ),
    inference(cnf,[status(esa)],[4])).

thf(28,plain,(
    $false ),
    inference(iprover,[status(thm)],[5,14,6,9,13,7,8,4])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.06/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.06/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.06/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.06/0.13  % CPULimit   : 300
% 0.06/0.13  % DateTime   : Tue Jul 30 20:19:50 EDT 2019
% 0.06/0.13  % CPUTime    : 
% 3.03/1.29  % [INFO] 	 Running in sequential loop mode. 
% 3.81/1.47  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.81/1.53  % [INFO] 	 iprover registered as external prover. 
% 3.81/1.53  % [INFO] 	 e registered as external prover. 
% 3.81/1.53  % [INFO] 	 cvc4 registered as external prover. 
% 4.11/1.54  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.22/1.58  % [INFO] 	 Found a conjecture and 16 axioms. Running axiom selection ... 
% 4.22/1.63  % [INFO] 	 Axiom selection finished. Selected 1 axioms (removed 15 axioms). 
% 4.22/1.64  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.58/2.34  % [INFO] 	 Killing All external provers ... 
% 6.58/2.34  % Time passed: 2072ms
% 6.58/2.34  % Effective reasoning time: 1050ms
% 6.58/2.34  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.58/2.34  % Axioms used in derivation (1): thm_2Ebag_2EFINITE__BAG
% 6.58/2.34  % No. of inferences in proof: 13
% 6.58/2.34  % No. of processed clauses: 7
% 6.58/2.34  % No. of generated clauses: 7
% 6.58/2.34  % No. of forward subsumed clauses: 0
% 6.58/2.34  % No. of backward subsumed clauses: 0
% 6.58/2.34  % No. of ground rewrite rules in store: 3
% 6.58/2.34  % No. of non-ground rewrite rules in store: 1
% 6.58/2.34  % No. of positive (non-rewrite) units in store: 0
% 6.58/2.34  % No. of negative (non-rewrite) units in store: 2
% 6.58/2.34  % No. of choice functions detected: 0
% 6.58/2.34  % No. of choice instantiations: 0
% 6.58/2.34  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2072 ms resp. 1050 ms w/o parsing
% 6.90/2.37  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.90/2.37  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.90/2.37  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 6.90/2.37  thf(c_2Ebag_2EBAG__INSERT_type, type, c_2Ebag_2EBAG__INSERT: !>[TA: $tType]: (TA > ((TA > tyop_2Enum_2Enum) > (TA > tyop_2Enum_2Enum)))).
% 6.90/2.37  thf(c_2Ebag_2EEMPTY__BAG_type, type, c_2Ebag_2EEMPTY__BAG: !>[TA: $tType]: (TA > tyop_2Enum_2Enum)).
% 6.90/2.37  thf(c_2Ebag_2EFINITE__BAG_type, type, c_2Ebag_2EFINITE__BAG: !>[TA: $tType]: ((TA > tyop_2Enum_2Enum) > $o)).
% 6.90/2.37  thf(skt1_type, type, skt1: $tType).
% 6.90/2.37  thf(sk1_type, type, sk1: ((skt1 > tyop_2Enum_2Enum) > $o)).
% 6.90/2.37  thf(sk2_type, type, sk2: (skt1 > tyop_2Enum_2Enum)).
% 6.90/2.37  thf(sk3_type, type, sk3: skt1).
% 6.90/2.37  thf(1,conjecture,((! [TA: $tType]: (! [A:((TA > tyop_2Enum_2Enum) > $o)]: (((A @ (c_2Ebag_2EEMPTY__BAG @ TA)) & ! [B:(TA > tyop_2Enum_2Enum)]: ((A @ B) => (! [C:TA]: (A @ (c_2Ebag_2EBAG__INSERT @ TA @ C @ B))))) => (! [B:(TA > tyop_2Enum_2Enum)]: ((c_2Ebag_2EFINITE__BAG @ TA @ B) => (A @ B))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebag_2EFINITE__BAG__INDUCT)).
% 6.90/2.37  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:((TA > tyop_2Enum_2Enum) > $o)]: (((A @ (c_2Ebag_2EEMPTY__BAG @ TA)) & ! [B:(TA > tyop_2Enum_2Enum)]: ((A @ B) => (! [C:TA]: (A @ (c_2Ebag_2EBAG__INSERT @ TA @ C @ B))))) => (! [B:(TA > tyop_2Enum_2Enum)]: ((c_2Ebag_2EFINITE__BAG @ TA @ B) => (A @ B)))))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.90/2.37  thf(4,plain,((~ (! [TA: $tType]: (! [A:((TA > tyop_2Enum_2Enum) > $o)]: (((A @ (c_2Ebag_2EEMPTY__BAG @ TA)) & ! [B:(TA > tyop_2Enum_2Enum)]: ((A @ (B)) => (! [C:TA]: (A @ (c_2Ebag_2EBAG__INSERT @ TA @ C @ B))))) => (! [B:(TA > tyop_2Enum_2Enum)]: ((c_2Ebag_2EFINITE__BAG @ TA @ (B)) => (A @ (B))))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.90/2.37  thf(5,plain,((~ (sk1 @ (sk2)))),inference(cnf,[status(esa)],[4])).
% 6.90/2.37  thf(8,plain,((sk1 @ (c_2Ebag_2EEMPTY__BAG @ skt1))),inference(cnf,[status(esa)],[4])).
% 6.90/2.37  thf(12,plain,(((sk1 @ (sk2)) != (sk1 @ (c_2Ebag_2EEMPTY__BAG @ skt1)))),inference(paramod_ordered,[status(thm)],[8,5])).
% 6.90/2.37  thf(13,plain,(((sk2) != (c_2Ebag_2EEMPTY__BAG @ skt1))),inference(simp,[status(thm)],[12])).
% 6.90/2.37  thf(14,plain,(((sk2 @ sk3) != (c_2Ebag_2EEMPTY__BAG @ skt1 @ sk3))),inference(func_ext,[status(esa)],[13])).
% 6.90/2.37  thf(6,plain,((c_2Ebag_2EFINITE__BAG @ skt1 @ (sk2))),inference(cnf,[status(esa)],[4])).
% 6.90/2.37  thf(3,axiom,((! [TA: $tType]: (! [A:(TA > tyop_2Enum_2Enum)]: ((c_2Ebag_2EFINITE__BAG @ TA @ A) = (! [B:((TA > tyop_2Enum_2Enum) > $o)]: (((B @ (c_2Ebag_2EEMPTY__BAG @ TA)) & ! [C:(TA > tyop_2Enum_2Enum)]: ((B @ C) => (! [D:TA]: (B @ (c_2Ebag_2EBAG__INSERT @ TA @ D @ C))))) => (B @ A))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebag_2EFINITE__BAG)).
% 6.90/2.37  thf(9,plain,((! [TA: $tType]: (! [A:(TA > tyop_2Enum_2Enum)]: ((c_2Ebag_2EFINITE__BAG @ TA @ (A)) = (! [B:((TA > tyop_2Enum_2Enum) > $o)]: (((B @ (c_2Ebag_2EEMPTY__BAG @ TA)) & ! [C:(TA > tyop_2Enum_2Enum)]: ((B @ (C)) => (! [D:TA]: (B @ (c_2Ebag_2EBAG__INSERT @ TA @ D @ C))))) => (B @ (A)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.90/2.37  thf(7,plain,(! [B:skt1,A:(skt1 > tyop_2Enum_2Enum)] : ((~ (sk1 @ (A))) | (sk1 @ (c_2Ebag_2EBAG__INSERT @ skt1 @ B @ A)))),inference(cnf,[status(esa)],[4])).
% 6.90/2.37  thf(28,plain,($false),inference(iprover,[status(thm)],[5,14,6,9,13,7,8,4])).
% 6.90/2.37  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.90/2.37  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
