%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:38:28 EDT 2019

% Result     : Theorem 10.46s
% Output     : CNFRefutation 10.46s
% Verified   : 
% Statistics : Number of formulae       :   27 (  56 expanded)
%              Number of leaves         :   10 (  19 expanded)
%              Depth                    :    7
%              Number of atoms          :  152 ( 456 expanded)
%              Number of equality atoms :   12 (  14 expanded)
%              Maximal formula depth    :   11 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Esorting_2EPERM_type,type,(
    c_2Esorting_2EPERM: 
      !>[TA: $tType] :
        ( ( tyop_2Elist_2Elist @ TA ) > ( tyop_2Elist_2Elist @ TA ) > $o ) )).

thf(c_2Erelation_2Etransitive_type,type,(
    c_2Erelation_2Etransitive: 
      !>[TA: $tType] :
        ( ( TA > TA > $o ) > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: ( tyop_2Elist_2Elist @ skt1 ) )).

thf(sk2_type,type,(
    sk2: ( tyop_2Elist_2Elist @ skt1 ) )).

thf(sk3_type,type,(
    sk3: ( tyop_2Elist_2Elist @ skt1 ) )).

thf(1,conjecture,(
    ! [TA: $tType,A: tyop_2Elist_2Elist @ TA,B: tyop_2Elist_2Elist @ TA,C: tyop_2Elist_2Elist @ TA] :
      ( ( ( c_2Esorting_2EPERM @ TA @ A @ B )
        & ( c_2Esorting_2EPERM @ TA @ B @ C ) )
     => ( c_2Esorting_2EPERM @ TA @ A @ C ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esorting_2EPERM__TRANS)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: tyop_2Elist_2Elist @ TA,B: tyop_2Elist_2Elist @ TA,C: tyop_2Elist_2Elist @ TA] :
        ( ( ( c_2Esorting_2EPERM @ TA @ A @ B )
          & ( c_2Esorting_2EPERM @ TA @ B @ C ) )
       => ( c_2Esorting_2EPERM @ TA @ A @ C ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(5,plain,(
    ~ ! [TA: $tType,A: tyop_2Elist_2Elist @ TA,B: tyop_2Elist_2Elist @ TA,C: tyop_2Elist_2Elist @ TA] :
        ( ( ( c_2Esorting_2EPERM @ TA @ A @ B )
          & ( c_2Esorting_2EPERM @ TA @ B @ C ) )
       => ( c_2Esorting_2EPERM @ TA @ A @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(6,plain,(
    ~ ( c_2Esorting_2EPERM @ skt1 @ sk1 @ sk3 ) ),
    inference(cnf,[status(esa)],[5])).

thf(3,axiom,(
    ! [TA: $tType,A: TA > TA > $o] :
      ( ( c_2Erelation_2Etransitive @ TA @ A )
      = ( ! [B: TA,C: TA,D: TA] :
            ( ( ( A @ B @ C )
              & ( A @ C @ D ) )
           => ( A @ B @ D ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erelation_2Etransitive__def)).

thf(9,plain,(
    ! [TA: $tType,A: TA > TA > $o] :
      ( ( c_2Erelation_2Etransitive @ TA @ A )
      = ( ! [B: TA,C: TA,D: TA] :
            ( ( ( A @ B @ C )
              & ( A @ C @ D ) )
           => ( A @ B @ D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(4,axiom,(
    ! [TA: $tType] :
      ( c_2Erelation_2Etransitive @ ( tyop_2Elist_2Elist @ TA ) @ ( c_2Esorting_2EPERM @ TA ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esorting_2EPERM__transitive)).

thf(12,plain,(
    ! [TA: $tType] :
      ( c_2Erelation_2Etransitive @ ( tyop_2Elist_2Elist @ TA ) @ ( c_2Esorting_2EPERM @ TA ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(13,plain,(
    ! [TA: $tType] :
      ( c_2Erelation_2Etransitive @ ( tyop_2Elist_2Elist @ TA ) @ ( c_2Esorting_2EPERM @ TA ) ) ),
    inference(cnf,[status(esa)],[12])).

thf(7,plain,(
    c_2Esorting_2EPERM @ skt1 @ sk2 @ sk3 ),
    inference(cnf,[status(esa)],[5])).

thf(14,plain,(
    ( c_2Esorting_2EPERM @ skt1 @ sk2 @ sk3 )
 != ( c_2Esorting_2EPERM @ skt1 @ sk1 @ sk3 ) ),
    inference(paramod_ordered,[status(thm)],[7,6])).

thf(15,plain,
    ( ( sk2 != sk1 )
    | ( sk3 != sk3 ) ),
    inference(simp,[status(thm)],[14])).

thf(16,plain,(
    sk2 != sk1 ),
    inference(simp,[status(thm)],[15])).

thf(10,plain,(
    ! [TA: $tType,A: TA > TA > $o] :
      ( ( c_2Erelation_2Etransitive @ TA @ A )
      = ( ! [B: TA,C: TA,D: TA] :
            ( ( ( A @ B @ C )
              & ( A @ C @ D ) )
           => ( A @ B @ D ) ) ) ) ),
    inference(cnf,[status(esa)],[9])).

thf(11,plain,(
    ! [TA: $tType,A: TA > TA > $o] :
      ( ( c_2Erelation_2Etransitive @ TA @ A )
      = ( ! [B: TA,C: TA,D: TA] :
            ( ( ( A @ B @ C )
              & ( A @ C @ D ) )
           => ( A @ B @ D ) ) ) ) ),
    inference(lifteq,[status(thm)],[10])).

thf(8,plain,(
    c_2Esorting_2EPERM @ skt1 @ sk1 @ sk2 ),
    inference(cnf,[status(esa)],[5])).

thf(17,plain,(
    ( c_2Esorting_2EPERM @ skt1 @ sk1 @ sk3 )
 != ( c_2Esorting_2EPERM @ skt1 @ sk1 @ sk2 ) ),
    inference(paramod_ordered,[status(thm)],[8,6])).

thf(18,plain,
    ( ( sk1 != sk1 )
    | ( sk3 != sk2 ) ),
    inference(simp,[status(thm)],[17])).

thf(19,plain,(
    sk3 != sk2 ),
    inference(simp,[status(thm)],[18])).

thf(87,plain,(
    $false ),
    inference(iprover,[status(thm)],[5,6,9,13,12,7,16,11,8,19])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.03/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.03/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.03/0.13  % CPULimit   : 300
% 0.03/0.13  % DateTime   : Tue Jul 30 21:14:20 EDT 2019
% 0.03/0.13  % CPUTime    : 
% 3.88/1.59  % [INFO] 	 Running in sequential loop mode. 
% 4.76/1.77  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.99/1.83  % [INFO] 	 iprover registered as external prover. 
% 4.99/1.83  % [INFO] 	 e registered as external prover. 
% 4.99/1.83  % [INFO] 	 cvc4 registered as external prover. 
% 5.10/1.84  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.10/1.88  % [INFO] 	 Found a conjecture and 32 axioms. Running axiom selection ... 
% 5.51/1.92  % [INFO] 	 Axiom selection finished. Selected 2 axioms (removed 30 axioms). 
% 5.51/1.93  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 10.46/3.07  % [INFO] 	 Killing All external provers ... 
% 10.46/3.07  % Time passed: 2798ms
% 10.46/3.07  % Effective reasoning time: 1474ms
% 10.46/3.07  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 10.46/3.07  % Axioms used in derivation (2): thm_2Erelation_2Etransitive__def, thm_2Esorting_2EPERM__transitive
% 10.46/3.07  % No. of inferences in proof: 20
% 10.46/3.07  % No. of processed clauses: 8
% 10.46/3.07  % No. of generated clauses: 28
% 10.46/3.07  % No. of forward subsumed clauses: 0
% 10.46/3.07  % No. of backward subsumed clauses: 0
% 10.46/3.07  % No. of ground rewrite rules in store: 3
% 10.46/3.07  % No. of non-ground rewrite rules in store: 1
% 10.46/3.07  % No. of positive (non-rewrite) units in store: 1
% 10.46/3.07  % No. of negative (non-rewrite) units in store: 2
% 10.46/3.07  % No. of choice functions detected: 0
% 10.46/3.07  % No. of choice instantiations: 0
% 10.46/3.07  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2798 ms resp. 1474 ms w/o parsing
% 10.46/3.09  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 10.46/3.09  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 10.46/3.09  thf(c_2Esorting_2EPERM_type, type, c_2Esorting_2EPERM: !>[TA: $tType]: ((tyop_2Elist_2Elist @ TA) > ((tyop_2Elist_2Elist @ TA) > $o))).
% 10.46/3.09  thf(c_2Erelation_2Etransitive_type, type, c_2Erelation_2Etransitive: !>[TA: $tType]: ((TA > (TA > $o)) > $o)).
% 10.46/3.09  thf(skt1_type, type, skt1: $tType).
% 10.46/3.09  thf(sk1_type, type, sk1: (tyop_2Elist_2Elist @ skt1)).
% 10.46/3.09  thf(sk2_type, type, sk2: (tyop_2Elist_2Elist @ skt1)).
% 10.46/3.09  thf(sk3_type, type, sk3: (tyop_2Elist_2Elist @ skt1)).
% 10.46/3.09  thf(1,conjecture,((! [TA: $tType]: (! [A:(tyop_2Elist_2Elist @ TA),B:(tyop_2Elist_2Elist @ TA),C:(tyop_2Elist_2Elist @ TA)]: (((c_2Esorting_2EPERM @ TA @ A @ B) & (c_2Esorting_2EPERM @ TA @ B @ C)) => (c_2Esorting_2EPERM @ TA @ A @ C))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esorting_2EPERM__TRANS)).
% 10.46/3.09  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:(tyop_2Elist_2Elist @ TA),B:(tyop_2Elist_2Elist @ TA),C:(tyop_2Elist_2Elist @ TA)]: (((c_2Esorting_2EPERM @ TA @ A @ B) & (c_2Esorting_2EPERM @ TA @ B @ C)) => (c_2Esorting_2EPERM @ TA @ A @ C)))))),inference(neg_conjecture,[status(cth)],[1])).
% 10.46/3.09  thf(5,plain,((~ (! [TA: $tType]: (! [A:(tyop_2Elist_2Elist @ TA),B:(tyop_2Elist_2Elist @ TA),C:(tyop_2Elist_2Elist @ TA)]: (((c_2Esorting_2EPERM @ TA @ A @ B) & (c_2Esorting_2EPERM @ TA @ B @ C)) => (c_2Esorting_2EPERM @ TA @ A @ C)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 10.46/3.09  thf(6,plain,((~ (c_2Esorting_2EPERM @ skt1 @ sk1 @ sk3))),inference(cnf,[status(esa)],[5])).
% 10.46/3.09  thf(3,axiom,((! [TA: $tType]: (! [A:(TA > (TA > $o))]: ((c_2Erelation_2Etransitive @ TA @ A) = (! [B:TA,C:TA,D:TA]: (((A @ B @ C) & (A @ C @ D)) => (A @ B @ D))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erelation_2Etransitive__def)).
% 10.46/3.09  thf(9,plain,((! [TA: $tType]: (! [A:(TA > (TA > $o))]: ((c_2Erelation_2Etransitive @ TA @ (A)) = (! [B:TA,C:TA,D:TA]: (((A @ B @ C) & (A @ C @ D)) => (A @ B @ D))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 10.46/3.09  thf(4,axiom,((! [TA: $tType]: (c_2Erelation_2Etransitive @ (tyop_2Elist_2Elist @ TA) @ (c_2Esorting_2EPERM @ TA)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esorting_2EPERM__transitive)).
% 10.46/3.09  thf(12,plain,((! [TA: $tType]: (c_2Erelation_2Etransitive @ (tyop_2Elist_2Elist @ TA) @ (c_2Esorting_2EPERM @ TA)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 10.46/3.09  thf(13,plain,(! [TA:$tType] : ((c_2Erelation_2Etransitive @ (tyop_2Elist_2Elist @ TA) @ (c_2Esorting_2EPERM @ TA)))),inference(cnf,[status(esa)],[12])).
% 10.46/3.09  thf(7,plain,((c_2Esorting_2EPERM @ skt1 @ sk2 @ sk3)),inference(cnf,[status(esa)],[5])).
% 10.46/3.09  thf(14,plain,(((c_2Esorting_2EPERM @ skt1 @ sk2 @ sk3) != (c_2Esorting_2EPERM @ skt1 @ sk1 @ sk3))),inference(paramod_ordered,[status(thm)],[7,6])).
% 10.46/3.09  thf(15,plain,((sk2 != sk1) | (sk3 != sk3)),inference(simp,[status(thm)],[14])).
% 10.46/3.09  thf(16,plain,((sk2 != sk1)),inference(simp,[status(thm)],[15])).
% 10.46/3.09  thf(10,plain,(! [TA:$tType,A:(TA > (TA > $o))] : (((c_2Erelation_2Etransitive @ TA @ (A)) = (! [B:TA,C:TA,D:TA]: (((A @ B @ C) & (A @ C @ D)) => (A @ B @ D)))))),inference(cnf,[status(esa)],[9])).
% 10.46/3.09  thf(11,plain,(! [TA:$tType,A:(TA > (TA > $o))] : (((c_2Erelation_2Etransitive @ TA @ (A)) = (! [B:TA,C:TA,D:TA]: (((A @ B @ C) & (A @ C @ D)) => (A @ B @ D)))))),inference(lifteq,[status(thm)],[10])).
% 10.46/3.09  thf(8,plain,((c_2Esorting_2EPERM @ skt1 @ sk1 @ sk2)),inference(cnf,[status(esa)],[5])).
% 10.46/3.09  thf(17,plain,(((c_2Esorting_2EPERM @ skt1 @ sk1 @ sk3) != (c_2Esorting_2EPERM @ skt1 @ sk1 @ sk2))),inference(paramod_ordered,[status(thm)],[8,6])).
% 10.46/3.09  thf(18,plain,((sk1 != sk1) | (sk3 != sk2)),inference(simp,[status(thm)],[17])).
% 10.46/3.09  thf(19,plain,((sk3 != sk2)),inference(simp,[status(thm)],[18])).
% 10.46/3.09  thf(87,plain,($false),inference(iprover,[status(thm)],[5,6,9,13,12,7,16,11,8,19])).
% 10.46/3.09  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 10.46/3.09  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
