%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:38:51 EDT 2019

% Result     : Theorem 12.01s
% Output     : CNFRefutation 12.39s
% Verified   : 
% Statistics : Number of formulae       :   45 (  85 expanded)
%              Number of leaves         :   17 (  26 expanded)
%              Depth                    :   13
%              Number of atoms          :  690 (1708 expanded)
%              Number of equality atoms :   63 ( 141 expanded)
%              Maximal formula depth    :   18 (  10 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Epath_2Efirst_type,type,(
    c_2Epath_2Efirst: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Epath_2Epath @ TA @ TB ) > TA ) )).

thf(c_2Epath_2Eokpath_type,type,(
    c_2Epath_2Eokpath: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > TB > TA > $o ) > ( tyop_2Epath_2Epath @ TA @ TB ) > $o ) )).

thf(c_2Epath_2Epcons_type,type,(
    c_2Epath_2Epcons: 
      !>[TA: $tType,TB: $tType] :
        ( TA > TB > ( tyop_2Epath_2Epath @ TA @ TB ) > ( tyop_2Epath_2Epath @ TA @ TB ) ) )).

thf(c_2Epath_2Estopped__at_type,type,(
    c_2Epath_2Estopped__at: 
      !>[TA: $tType,TB: $tType] :
        ( TA > ( tyop_2Epath_2Epath @ TA @ TB ) ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(skt2_type,type,(
    skt2: $tType )).

thf(sk1_type,type,(
    sk1: skt1 > skt2 > skt1 > $o )).

thf(sk2_type,type,(
    sk2: skt1 )).

thf(sk3_type,type,(
    sk3: skt1 )).

thf(sk4_type,type,(
    sk4: skt2 )).

thf(sk5_type,type,(
    sk5: ( tyop_2Epath_2Epath @ skt1 @ skt2 ) )).

thf(3,axiom,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB,C: tyop_2Epath_2Epath @ TA @ TB,D: TA,E: TB,F: tyop_2Epath_2Epath @ TA @ TB] :
      ( ( ( c_2Epath_2Epcons @ TA @ TB @ A @ B @ C )
        = ( c_2Epath_2Epcons @ TA @ TB @ D @ E @ F ) )
      = ( ( A = D )
        & ( B = E )
        & ( C = F ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epath_2Epcons__11)).

thf(10,plain,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB,C: tyop_2Epath_2Epath @ TA @ TB,D: TA,E: TB,F: tyop_2Epath_2Epath @ TA @ TB] :
      ( ( ( c_2Epath_2Epcons @ TA @ TB @ A @ B @ C )
        = ( c_2Epath_2Epcons @ TA @ TB @ D @ E @ F ) )
      = ( ( A = D )
        & ( B = E )
        & ( C = F ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(1,conjecture,(
    ! [TA: $tType,TB: $tType,A: TA > TB > TA > $o] :
      ( ! [B: TA] :
          ( c_2Epath_2Eokpath @ TA @ TB @ A @ ( c_2Epath_2Estopped__at @ TA @ TB @ B ) )
      & ! [B: TA,C: TB,D: tyop_2Epath_2Epath @ TA @ TB] :
          ( ( c_2Epath_2Eokpath @ TA @ TB @ A @ ( c_2Epath_2Epcons @ TA @ TB @ B @ C @ D ) )
          = ( ( A @ B @ C @ ( c_2Epath_2Efirst @ TA @ TB @ D ) )
            & ( c_2Epath_2Eokpath @ TA @ TB @ A @ D ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epath_2Eokpath__thm)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,TB: $tType,A: TA > TB > TA > $o] :
        ( ! [B: TA] :
            ( c_2Epath_2Eokpath @ TA @ TB @ A @ ( c_2Epath_2Estopped__at @ TA @ TB @ B ) )
        & ! [B: TA,C: TB,D: tyop_2Epath_2Epath @ TA @ TB] :
            ( ( c_2Epath_2Eokpath @ TA @ TB @ A @ ( c_2Epath_2Epcons @ TA @ TB @ B @ C @ D ) )
            = ( ( A @ B @ C @ ( c_2Epath_2Efirst @ TA @ TB @ D ) )
              & ( c_2Epath_2Eokpath @ TA @ TB @ A @ D ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(7,plain,(
    ~ ! [TA: $tType,TB: $tType,A: TA > TB > TA > $o] :
        ( ! [B: TA] :
            ( c_2Epath_2Eokpath @ TA @ TB @ A @ ( c_2Epath_2Estopped__at @ TA @ TB @ B ) )
        & ! [B: TA,C: TB,D: tyop_2Epath_2Epath @ TA @ TB] :
            ( ( c_2Epath_2Eokpath @ TA @ TB @ A @ ( c_2Epath_2Epcons @ TA @ TB @ B @ C @ D ) )
            = ( ( A @ B @ C @ ( c_2Epath_2Efirst @ TA @ TB @ D ) )
              & ( c_2Epath_2Eokpath @ TA @ TB @ A @ D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(8,plain,
    ( ~ ( c_2Epath_2Eokpath @ skt1 @ skt2 @ sk1 @ ( c_2Epath_2Estopped__at @ skt1 @ skt2 @ sk2 ) )
    | ( ( c_2Epath_2Eokpath @ skt1 @ skt2 @ sk1 @ ( c_2Epath_2Epcons @ skt1 @ skt2 @ sk3 @ sk4 @ sk5 ) )
     != ( ( sk1 @ sk3 @ sk4 @ ( c_2Epath_2Efirst @ skt1 @ skt2 @ sk5 ) )
        & ( c_2Epath_2Eokpath @ skt1 @ skt2 @ sk1 @ sk5 ) ) ) ),
    inference(cnf,[status(esa)],[7])).

thf(9,plain,
    ( ( ( ( sk1 @ sk3 @ sk4 @ ( c_2Epath_2Efirst @ skt1 @ skt2 @ sk5 ) )
        & ( c_2Epath_2Eokpath @ skt1 @ skt2 @ sk1 @ sk5 ) )
     != ( c_2Epath_2Eokpath @ skt1 @ skt2 @ sk1 @ ( c_2Epath_2Epcons @ skt1 @ skt2 @ sk3 @ sk4 @ sk5 ) ) )
    | ~ ( c_2Epath_2Eokpath @ skt1 @ skt2 @ sk1 @ ( c_2Epath_2Estopped__at @ skt1 @ skt2 @ sk2 ) ) ),
    inference(lifteq,[status(thm)],[8])).

thf(45,plain,
    ( ~ ( c_2Epath_2Eokpath @ skt1 @ skt2 @ sk1 @ ( c_2Epath_2Estopped__at @ skt1 @ skt2 @ sk2 ) )
    | ( ( sk1 @ sk3 @ sk4 @ ( c_2Epath_2Efirst @ skt1 @ skt2 @ sk5 ) )
      & ( c_2Epath_2Eokpath @ skt1 @ skt2 @ sk1 @ sk5 ) )
    | ( c_2Epath_2Eokpath @ skt1 @ skt2 @ sk1 @ ( c_2Epath_2Epcons @ skt1 @ skt2 @ sk3 @ sk4 @ sk5 ) ) ),
    inference(bool_ext,[status(thm)],[9])).

thf(49,plain,
    ( ( c_2Epath_2Eokpath @ skt1 @ skt2 @ sk1 @ ( c_2Epath_2Epcons @ skt1 @ skt2 @ sk3 @ sk4 @ sk5 ) )
    | ( c_2Epath_2Eokpath @ skt1 @ skt2 @ sk1 @ sk5 )
    | ~ ( c_2Epath_2Eokpath @ skt1 @ skt2 @ sk1 @ ( c_2Epath_2Estopped__at @ skt1 @ skt2 @ sk2 ) ) ),
    inference(cnf,[status(esa)],[45])).

thf(6,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > TB > TA > $o,B: tyop_2Epath_2Epath @ TA @ TB] :
      ( ( c_2Epath_2Eokpath @ TA @ TB @ A @ B )
      = ( ? [C: TA] :
            ( B
            = ( c_2Epath_2Estopped__at @ TA @ TB @ C ) )
        | ? [C: TA,D: TB,E: tyop_2Epath_2Epath @ TA @ TB] :
            ( ( B
              = ( c_2Epath_2Epcons @ TA @ TB @ C @ D @ E ) )
            & ( A @ C @ D @ ( c_2Epath_2Efirst @ TA @ TB @ E ) )
            & ( c_2Epath_2Eokpath @ TA @ TB @ A @ E ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epath_2Eokpath__cases)).

thf(21,plain,(
    ! [TA: $tType,TB: $tType,A: TA > TB > TA > $o,B: tyop_2Epath_2Epath @ TA @ TB] :
      ( ( c_2Epath_2Eokpath @ TA @ TB @ A @ B )
      = ( ? [C: TA] :
            ( B
            = ( c_2Epath_2Estopped__at @ TA @ TB @ C ) )
        | ? [C: TA,D: TB,E: tyop_2Epath_2Epath @ TA @ TB] :
            ( ( B
              = ( c_2Epath_2Epcons @ TA @ TB @ C @ D @ E ) )
            & ( A @ C @ D @ ( c_2Epath_2Efirst @ TA @ TB @ E ) )
            & ( c_2Epath_2Eokpath @ TA @ TB @ A @ E ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(22,plain,(
    ! [TA: $tType,TB: $tType,B: tyop_2Epath_2Epath @ TB @ TA,A: TB > TA > TB > $o] :
      ( ( c_2Epath_2Eokpath @ TB @ TA @ A @ B )
      = ( ? [C: TB] :
            ( B
            = ( c_2Epath_2Estopped__at @ TB @ TA @ C ) )
        | ? [C: TB,D: TA,E: tyop_2Epath_2Epath @ TB @ TA] :
            ( ( B
              = ( c_2Epath_2Epcons @ TB @ TA @ C @ D @ E ) )
            & ( A @ C @ D @ ( c_2Epath_2Efirst @ TB @ TA @ E ) )
            & ( c_2Epath_2Eokpath @ TB @ TA @ A @ E ) ) ) ) ),
    inference(cnf,[status(esa)],[21])).

thf(23,plain,(
    ! [TA: $tType,TB: $tType,B: tyop_2Epath_2Epath @ TB @ TA,A: TB > TA > TB > $o] :
      ( ( c_2Epath_2Eokpath @ TB @ TA @ A @ B )
      = ( ? [C: TB] :
            ( B
            = ( c_2Epath_2Estopped__at @ TB @ TA @ C ) )
        | ? [C: TB,D: TA,E: tyop_2Epath_2Epath @ TB @ TA] :
            ( ( B
              = ( c_2Epath_2Epcons @ TB @ TA @ C @ D @ E ) )
            & ( A @ C @ D @ ( c_2Epath_2Efirst @ TB @ TA @ E ) )
            & ( c_2Epath_2Eokpath @ TB @ TA @ A @ E ) ) ) ) ),
    inference(lifteq,[status(thm)],[22])).

thf(31,plain,(
    ! [TA: $tType,TB: $tType,B: tyop_2Epath_2Epath @ TB @ TA,A: TB > TA > TB > $o] :
      ( ( c_2Epath_2Eokpath @ TB @ TA @ A @ B )
      | ~ ( ? [C: TB] :
              ( B
              = ( c_2Epath_2Estopped__at @ TB @ TA @ C ) )
          | ? [C: TB,D: TA,E: tyop_2Epath_2Epath @ TB @ TA] :
              ( ( B
                = ( c_2Epath_2Epcons @ TB @ TA @ C @ D @ E ) )
              & ( A @ C @ D @ ( c_2Epath_2Efirst @ TB @ TA @ E ) )
              & ( c_2Epath_2Eokpath @ TB @ TA @ A @ E ) ) ) ) ),
    inference(bool_ext,[status(thm)],[23])).

thf(36,plain,(
    ! [TA: $tType,TB: $tType,C: TB,B: tyop_2Epath_2Epath @ TB @ TA,A: TB > TA > TB > $o] :
      ( ( B
       != ( c_2Epath_2Estopped__at @ TB @ TA @ C ) )
      | ( c_2Epath_2Eokpath @ TB @ TA @ A @ B ) ) ),
    inference(cnf,[status(esa)],[31])).

thf(42,plain,(
    ! [TA: $tType,TB: $tType,C: TB,B: tyop_2Epath_2Epath @ TB @ TA,A: TB > TA > TB > $o] :
      ( ( B
       != ( c_2Epath_2Estopped__at @ TB @ TA @ C ) )
      | ( c_2Epath_2Eokpath @ TB @ TA @ A @ B ) ) ),
    inference(lifteq,[status(thm)],[36])).

thf(43,plain,(
    ! [TA: $tType,TB: $tType,B: TB,A: TB > TA > TB > $o] :
      ( c_2Epath_2Eokpath @ TB @ TA @ A @ ( c_2Epath_2Estopped__at @ TB @ TA @ B ) ) ),
    inference(simp,[status(thm)],[42])).

thf(88,plain,
    ( ( c_2Epath_2Eokpath @ skt1 @ skt2 @ sk1 @ ( c_2Epath_2Epcons @ skt1 @ skt2 @ sk3 @ sk4 @ sk5 ) )
    | ( c_2Epath_2Eokpath @ skt1 @ skt2 @ sk1 @ sk5 )
    | ~ $true ),
    inference(rewrite,[status(thm)],[49,43])).

thf(89,plain,
    ( ( c_2Epath_2Eokpath @ skt1 @ skt2 @ sk1 @ ( c_2Epath_2Epcons @ skt1 @ skt2 @ sk3 @ sk4 @ sk5 ) )
    | ( c_2Epath_2Eokpath @ skt1 @ skt2 @ sk1 @ sk5 ) ),
    inference(simp,[status(thm)],[88])).

thf(93,plain,
    ( ( c_2Epath_2Eokpath @ skt1 @ skt2 @ sk1 @ sk5 )
    | ( ( c_2Epath_2Eokpath @ skt1 @ skt2 @ sk1 @ ( c_2Epath_2Epcons @ skt1 @ skt2 @ sk3 @ sk4 @ sk5 ) )
     != ( c_2Epath_2Eokpath @ skt1 @ skt2 @ sk1 @ sk5 ) )
    | ~ $true ),
    inference(eqfactor_ordered,[status(thm)],[89])).

thf(95,plain,
    ( ( c_2Epath_2Eokpath @ skt1 @ skt2 @ sk1 @ sk5 )
    | ( sk1 != sk1 )
    | ( ( c_2Epath_2Epcons @ skt1 @ skt2 @ sk3 @ sk4 @ sk5 )
     != sk5 ) ),
    inference(simp,[status(thm)],[93])).

thf(102,plain,
    ( ( c_2Epath_2Eokpath @ skt1 @ skt2 @ sk1 @ sk5 )
    | ( ( c_2Epath_2Epcons @ skt1 @ skt2 @ sk3 @ sk4 @ sk5 )
     != sk5 ) ),
    inference(simp,[status(thm)],[95])).

thf(4,axiom,(
    ! [TA: $tType,TB: $tType,A: TA,B: TA] :
      ( ( ( c_2Epath_2Estopped__at @ TA @ TB @ A )
        = ( c_2Epath_2Estopped__at @ TA @ TB @ B ) )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epath_2Estopped__at__11)).

thf(13,plain,(
    ! [TA: $tType,TB: $tType,A: TA,B: TA] :
      ( ( ( c_2Epath_2Estopped__at @ TA @ TB @ A )
        = ( c_2Epath_2Estopped__at @ TA @ TB @ B ) )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(11,plain,(
    ! [TA: $tType,TB: $tType,F: tyop_2Epath_2Epath @ TB @ TA,E: TA,D: TB,C: tyop_2Epath_2Epath @ TB @ TA,B: TA,A: TB] :
      ( ( ( c_2Epath_2Epcons @ TB @ TA @ A @ B @ C )
        = ( c_2Epath_2Epcons @ TB @ TA @ D @ E @ F ) )
      = ( ( A = D )
        & ( B = E )
        & ( C = F ) ) ) ),
    inference(cnf,[status(esa)],[10])).

thf(12,plain,(
    ! [TA: $tType,TB: $tType,F: tyop_2Epath_2Epath @ TB @ TA,E: TA,D: TB,C: tyop_2Epath_2Epath @ TB @ TA,B: TA,A: TB] :
      ( ( ( A = D )
        & ( B = E )
        & ( C = F ) )
      = ( ( c_2Epath_2Epcons @ TB @ TA @ A @ B @ C )
        = ( c_2Epath_2Epcons @ TB @ TA @ D @ E @ F ) ) ) ),
    inference(lifteq,[status(thm)],[11])).

thf(5,axiom,(
    ! [TA: $tType,TB: $tType,A: TA,B: TA,C: TB,D: tyop_2Epath_2Epath @ TA @ TB] :
      ( ( ( c_2Epath_2Estopped__at @ TA @ TB @ A )
       != ( c_2Epath_2Epcons @ TA @ TB @ B @ C @ D ) )
      & ( ( c_2Epath_2Epcons @ TA @ TB @ B @ C @ D )
       != ( c_2Epath_2Estopped__at @ TA @ TB @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epath_2Estopped__at__not__pcons)).

thf(16,plain,(
    ! [TA: $tType,TB: $tType,A: TA,B: TA,C: TB,D: tyop_2Epath_2Epath @ TA @ TB] :
      ( ( ( c_2Epath_2Estopped__at @ TA @ TB @ A )
       != ( c_2Epath_2Epcons @ TA @ TB @ B @ C @ D ) )
      & ( ( c_2Epath_2Epcons @ TA @ TB @ B @ C @ D )
       != ( c_2Epath_2Estopped__at @ TA @ TB @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(17,plain,(
    ! [TA: $tType,TB: $tType,D: tyop_2Epath_2Epath @ TB @ TA,C: TA,B: TB,A: TB] :
      ( ( c_2Epath_2Epcons @ TB @ TA @ B @ C @ D )
     != ( c_2Epath_2Estopped__at @ TB @ TA @ A ) ) ),
    inference(cnf,[status(esa)],[16])).

thf(19,plain,(
    ! [TA: $tType,TB: $tType,D: tyop_2Epath_2Epath @ TB @ TA,C: TA,B: TB,A: TB] :
      ( ( c_2Epath_2Epcons @ TB @ TA @ B @ C @ D )
     != ( c_2Epath_2Estopped__at @ TB @ TA @ A ) ) ),
    inference(lifteq,[status(thm)],[17])).

thf(14,plain,(
    ! [TA: $tType,TB: $tType,B: TB,A: TB] :
      ( ( ( c_2Epath_2Estopped__at @ TB @ TA @ A )
        = ( c_2Epath_2Estopped__at @ TB @ TA @ B ) )
      = ( A = B ) ) ),
    inference(cnf,[status(esa)],[13])).

thf(15,plain,(
    ! [TA: $tType,TB: $tType,B: TB,A: TB] :
      ( ( ( c_2Epath_2Estopped__at @ TB @ TA @ A )
        = ( c_2Epath_2Estopped__at @ TB @ TA @ B ) )
      = ( A = B ) ) ),
    inference(lifteq,[status(thm)],[14])).

thf(159,plain,(
    $false ),
    inference(cvc4,[status(thm)],[10,89,102,21,13,12,7,16,43,23,19,15])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.11/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.11/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.11/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.11/0.13  % CPULimit   : 300
% 0.11/0.13  % DateTime   : Tue Jul 30 22:29:38 EDT 2019
% 0.11/0.13  % CPUTime    : 
% 3.33/1.37  % [INFO] 	 Running in sequential loop mode. 
% 4.00/1.54  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.00/1.60  % [INFO] 	 iprover registered as external prover. 
% 4.00/1.60  % [INFO] 	 e registered as external prover. 
% 4.00/1.60  % [INFO] 	 cvc4 registered as external prover. 
% 4.00/1.60  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.25/1.66  % [INFO] 	 Found a conjecture and 22 axioms. Running axiom selection ... 
% 4.38/1.70  % [INFO] 	 Axiom selection finished. Selected 4 axioms (removed 18 axioms). 
% 4.38/1.74  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 12.01/3.40  % [INFO] 	 Killing All external provers ... 
% 12.01/3.40  % Time passed: 3127ms
% 12.01/3.40  % Effective reasoning time: 2029ms
% 12.01/3.40  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 12.01/3.40  % Axioms used in derivation (4): thm_2Epath_2Epcons__11, thm_2Epath_2Eokpath__cases, thm_2Epath_2Estopped__at__11, thm_2Epath_2Estopped__at__not__pcons
% 12.01/3.40  % No. of inferences in proof: 33
% 12.01/3.40  % No. of processed clauses: 8
% 12.01/3.40  % No. of generated clauses: 45
% 12.01/3.40  % No. of forward subsumed clauses: 1
% 12.01/3.40  % No. of backward subsumed clauses: 0
% 12.01/3.40  % No. of ground rewrite rules in store: 0
% 12.01/3.40  % No. of non-ground rewrite rules in store: 2
% 12.01/3.40  % No. of positive (non-rewrite) units in store: 2
% 12.01/3.40  % No. of negative (non-rewrite) units in store: 2
% 12.01/3.40  % No. of choice functions detected: 0
% 12.01/3.40  % No. of choice instantiations: 0
% 12.01/3.40  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 3127 ms resp. 2029 ms w/o parsing
% 12.39/3.43  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 12.39/3.43  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 12.39/3.43  thf(c_2Epath_2Efirst_type, type, c_2Epath_2Efirst: !>[TA: $tType,TB: $tType]: ((tyop_2Epath_2Epath @ TA @ TB) > TA)).
% 12.39/3.43  thf(c_2Epath_2Eokpath_type, type, c_2Epath_2Eokpath: !>[TA: $tType,TB: $tType]: ((TA > (TB > (TA > $o))) > ((tyop_2Epath_2Epath @ TA @ TB) > $o))).
% 12.39/3.43  thf(c_2Epath_2Epcons_type, type, c_2Epath_2Epcons: !>[TA: $tType,TB: $tType]: (TA > (TB > ((tyop_2Epath_2Epath @ TA @ TB) > (tyop_2Epath_2Epath @ TA @ TB))))).
% 12.39/3.43  thf(c_2Epath_2Estopped__at_type, type, c_2Epath_2Estopped__at: !>[TA: $tType,TB: $tType]: (TA > (tyop_2Epath_2Epath @ TA @ TB))).
% 12.39/3.43  thf(skt1_type, type, skt1: $tType).
% 12.39/3.43  thf(skt2_type, type, skt2: $tType).
% 12.39/3.43  thf(sk1_type, type, sk1: (skt1 > (skt2 > (skt1 > $o)))).
% 12.39/3.43  thf(sk2_type, type, sk2: skt1).
% 12.39/3.43  thf(sk3_type, type, sk3: skt1).
% 12.39/3.43  thf(sk4_type, type, sk4: skt2).
% 12.39/3.43  thf(sk5_type, type, sk5: (tyop_2Epath_2Epath @ skt1 @ skt2)).
% 12.39/3.43  thf(3,axiom,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB,C:(tyop_2Epath_2Epath @ TA @ TB),D:TA,E:TB,F:(tyop_2Epath_2Epath @ TA @ TB)]: (((c_2Epath_2Epcons @ TA @ TB @ A @ B @ C) = (c_2Epath_2Epcons @ TA @ TB @ D @ E @ F)) = ((A = D) & (B = E) & (C = F)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epath_2Epcons__11)).
% 12.39/3.43  thf(10,plain,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB,C:(tyop_2Epath_2Epath @ TA @ TB),D:TA,E:TB,F:(tyop_2Epath_2Epath @ TA @ TB)]: (((c_2Epath_2Epcons @ TA @ TB @ A @ B @ C) = (c_2Epath_2Epcons @ TA @ TB @ D @ E @ F)) = ((A = D) & (B = E) & (C = F)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 12.39/3.43  thf(1,conjecture,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TB > (TA > $o)))]: (! [B:TA]: (c_2Epath_2Eokpath @ TA @ TB @ A @ (c_2Epath_2Estopped__at @ TA @ TB @ B)) & ! [B:TA,C:TB,D:(tyop_2Epath_2Epath @ TA @ TB)]: ((c_2Epath_2Eokpath @ TA @ TB @ A @ (c_2Epath_2Epcons @ TA @ TB @ B @ C @ D)) = ((A @ B @ C @ (c_2Epath_2Efirst @ TA @ TB @ D)) & (c_2Epath_2Eokpath @ TA @ TB @ A @ D))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epath_2Eokpath__thm)).
% 12.39/3.43  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType]: (! [A:(TA > (TB > (TA > $o)))]: (! [B:TA]: (c_2Epath_2Eokpath @ TA @ TB @ A @ (c_2Epath_2Estopped__at @ TA @ TB @ B)) & ! [B:TA,C:TB,D:(tyop_2Epath_2Epath @ TA @ TB)]: ((c_2Epath_2Eokpath @ TA @ TB @ A @ (c_2Epath_2Epcons @ TA @ TB @ B @ C @ D)) = ((A @ B @ C @ (c_2Epath_2Efirst @ TA @ TB @ D)) & (c_2Epath_2Eokpath @ TA @ TB @ A @ D)))))))),inference(neg_conjecture,[status(cth)],[1])).
% 12.39/3.43  thf(7,plain,((~ (! [TA: $tType,TB: $tType]: (! [A:(TA > (TB > (TA > $o)))]: (! [B:TA]: (c_2Epath_2Eokpath @ TA @ TB @ (A) @ (c_2Epath_2Estopped__at @ TA @ TB @ B)) & ! [B:TA,C:TB,D:(tyop_2Epath_2Epath @ TA @ TB)]: ((c_2Epath_2Eokpath @ TA @ TB @ (A) @ (c_2Epath_2Epcons @ TA @ TB @ B @ C @ D)) = ((A @ B @ C @ (c_2Epath_2Efirst @ TA @ TB @ D)) & (c_2Epath_2Eokpath @ TA @ TB @ (A) @ D)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 12.39/3.43  thf(8,plain,((~ (c_2Epath_2Eokpath @ skt1 @ skt2 @ (sk1) @ (c_2Epath_2Estopped__at @ skt1 @ skt2 @ sk2))) | (~ ((c_2Epath_2Eokpath @ skt1 @ skt2 @ (sk1) @ (c_2Epath_2Epcons @ skt1 @ skt2 @ sk3 @ sk4 @ sk5)) = ((sk1 @ sk3 @ sk4 @ (c_2Epath_2Efirst @ skt1 @ skt2 @ sk5)) & (c_2Epath_2Eokpath @ skt1 @ skt2 @ (sk1) @ sk5))))),inference(cnf,[status(esa)],[7])).
% 12.39/3.43  thf(9,plain,((((sk1 @ sk3 @ sk4 @ (c_2Epath_2Efirst @ skt1 @ skt2 @ sk5)) & (c_2Epath_2Eokpath @ skt1 @ skt2 @ (sk1) @ sk5)) != (c_2Epath_2Eokpath @ skt1 @ skt2 @ (sk1) @ (c_2Epath_2Epcons @ skt1 @ skt2 @ sk3 @ sk4 @ sk5))) | (~ (c_2Epath_2Eokpath @ skt1 @ skt2 @ (sk1) @ (c_2Epath_2Estopped__at @ skt1 @ skt2 @ sk2)))),inference(lifteq,[status(thm)],[8])).
% 12.39/3.43  thf(45,plain,((~ (c_2Epath_2Eokpath @ skt1 @ skt2 @ (sk1) @ (c_2Epath_2Estopped__at @ skt1 @ skt2 @ sk2))) | ((sk1 @ sk3 @ sk4 @ (c_2Epath_2Efirst @ skt1 @ skt2 @ sk5)) & (c_2Epath_2Eokpath @ skt1 @ skt2 @ (sk1) @ sk5)) | (c_2Epath_2Eokpath @ skt1 @ skt2 @ (sk1) @ (c_2Epath_2Epcons @ skt1 @ skt2 @ sk3 @ sk4 @ sk5))),inference(bool_ext,[status(thm)],[9])).
% 12.39/3.43  thf(49,plain,((c_2Epath_2Eokpath @ skt1 @ skt2 @ (sk1) @ (c_2Epath_2Epcons @ skt1 @ skt2 @ sk3 @ sk4 @ sk5)) | (c_2Epath_2Eokpath @ skt1 @ skt2 @ (sk1) @ sk5) | (~ (c_2Epath_2Eokpath @ skt1 @ skt2 @ (sk1) @ (c_2Epath_2Estopped__at @ skt1 @ skt2 @ sk2)))),inference(cnf,[status(esa)],[45])).
% 12.39/3.43  thf(6,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TB > (TA > $o))),B:(tyop_2Epath_2Epath @ TA @ TB)]: ((c_2Epath_2Eokpath @ TA @ TB @ A @ B) = (? [C:TA]: (B = (c_2Epath_2Estopped__at @ TA @ TB @ C)) | ? [C:TA,D:TB,E:(tyop_2Epath_2Epath @ TA @ TB)]: ((B = (c_2Epath_2Epcons @ TA @ TB @ C @ D @ E)) & (A @ C @ D @ (c_2Epath_2Efirst @ TA @ TB @ E)) & (c_2Epath_2Eokpath @ TA @ TB @ A @ E))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epath_2Eokpath__cases)).
% 12.39/3.43  thf(21,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TB > (TA > $o))),B:(tyop_2Epath_2Epath @ TA @ TB)]: ((c_2Epath_2Eokpath @ TA @ TB @ (A) @ B) = (? [C:TA]: (B = (c_2Epath_2Estopped__at @ TA @ TB @ C)) | ? [C:TA,D:TB,E:(tyop_2Epath_2Epath @ TA @ TB)]: ((B = (c_2Epath_2Epcons @ TA @ TB @ C @ D @ E)) & (A @ C @ D @ (c_2Epath_2Efirst @ TA @ TB @ E)) & (c_2Epath_2Eokpath @ TA @ TB @ (A) @ E))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 12.39/3.43  thf(22,plain,(! [TA:$tType,TB:$tType,B:(tyop_2Epath_2Epath @ TB @ TA),A:(TB > (TA > (TB > $o)))] : (((c_2Epath_2Eokpath @ TB @ TA @ (A) @ B) = (? [C:TB]: (B = (c_2Epath_2Estopped__at @ TB @ TA @ C)) | ? [C:TB,D:TA,E:(tyop_2Epath_2Epath @ TB @ TA)]: ((B = (c_2Epath_2Epcons @ TB @ TA @ C @ D @ E)) & (A @ C @ D @ (c_2Epath_2Efirst @ TB @ TA @ E)) & (c_2Epath_2Eokpath @ TB @ TA @ (A) @ E)))))),inference(cnf,[status(esa)],[21])).
% 12.39/3.43  thf(23,plain,(! [TA:$tType,TB:$tType,B:(tyop_2Epath_2Epath @ TB @ TA),A:(TB > (TA > (TB > $o)))] : (((c_2Epath_2Eokpath @ TB @ TA @ (A) @ B) = (? [C:TB]: (B = (c_2Epath_2Estopped__at @ TB @ TA @ C)) | ? [C:TB,D:TA,E:(tyop_2Epath_2Epath @ TB @ TA)]: ((B = (c_2Epath_2Epcons @ TB @ TA @ C @ D @ E)) & (A @ C @ D @ (c_2Epath_2Efirst @ TB @ TA @ E)) & (c_2Epath_2Eokpath @ TB @ TA @ (A) @ E)))))),inference(lifteq,[status(thm)],[22])).
% 12.39/3.43  thf(31,plain,(! [TA:$tType,TB:$tType,B:(tyop_2Epath_2Epath @ TB @ TA),A:(TB > (TA > (TB > $o)))] : ((c_2Epath_2Eokpath @ TB @ TA @ (A) @ B) | (~ (? [C:TB]: (B = (c_2Epath_2Estopped__at @ TB @ TA @ C)) | ? [C:TB,D:TA,E:(tyop_2Epath_2Epath @ TB @ TA)]: ((B = (c_2Epath_2Epcons @ TB @ TA @ C @ D @ E)) & (A @ C @ D @ (c_2Epath_2Efirst @ TB @ TA @ E)) & (c_2Epath_2Eokpath @ TB @ TA @ (A) @ E)))))),inference(bool_ext,[status(thm)],[23])).
% 12.39/3.43  thf(36,plain,(! [TA:$tType,TB:$tType,C:TB,B:(tyop_2Epath_2Epath @ TB @ TA),A:(TB > (TA > (TB > $o)))] : ((~ (B = (c_2Epath_2Estopped__at @ TB @ TA @ C))) | (c_2Epath_2Eokpath @ TB @ TA @ (A) @ B))),inference(cnf,[status(esa)],[31])).
% 12.39/3.43  thf(42,plain,(! [TA:$tType,TB:$tType,C:TB,B:(tyop_2Epath_2Epath @ TB @ TA),A:(TB > (TA > (TB > $o)))] : ((B != (c_2Epath_2Estopped__at @ TB @ TA @ C)) | (c_2Epath_2Eokpath @ TB @ TA @ (A) @ B))),inference(lifteq,[status(thm)],[36])).
% 12.39/3.43  thf(43,plain,(! [TA:$tType,TB:$tType,B:TB,A:(TB > (TA > (TB > $o)))] : ((c_2Epath_2Eokpath @ TB @ TA @ (A) @ (c_2Epath_2Estopped__at @ TB @ TA @ B)))),inference(simp,[status(thm)],[42])).
% 12.39/3.43  thf(88,plain,((c_2Epath_2Eokpath @ skt1 @ skt2 @ (sk1) @ (c_2Epath_2Epcons @ skt1 @ skt2 @ sk3 @ sk4 @ sk5)) | (c_2Epath_2Eokpath @ skt1 @ skt2 @ (sk1) @ sk5) | ~ ($true)),inference(rewrite,[status(thm)],[49,43])).
% 12.39/3.43  thf(89,plain,((c_2Epath_2Eokpath @ skt1 @ skt2 @ (sk1) @ (c_2Epath_2Epcons @ skt1 @ skt2 @ sk3 @ sk4 @ sk5)) | (c_2Epath_2Eokpath @ skt1 @ skt2 @ (sk1) @ sk5)),inference(simp,[status(thm)],[88])).
% 12.39/3.43  thf(93,plain,((c_2Epath_2Eokpath @ skt1 @ skt2 @ (sk1) @ sk5) | ((c_2Epath_2Eokpath @ skt1 @ skt2 @ (sk1) @ (c_2Epath_2Epcons @ skt1 @ skt2 @ sk3 @ sk4 @ sk5)) != (c_2Epath_2Eokpath @ skt1 @ skt2 @ (sk1) @ sk5)) | ~ ($true)),inference(eqfactor_ordered,[status(thm)],[89])).
% 12.39/3.43  thf(95,plain,((c_2Epath_2Eokpath @ skt1 @ skt2 @ (sk1) @ sk5) | ((sk1) != (sk1)) | ((c_2Epath_2Epcons @ skt1 @ skt2 @ sk3 @ sk4 @ sk5) != sk5)),inference(simp,[status(thm)],[93])).
% 12.39/3.43  thf(102,plain,((c_2Epath_2Eokpath @ skt1 @ skt2 @ (sk1) @ sk5) | ((c_2Epath_2Epcons @ skt1 @ skt2 @ sk3 @ sk4 @ sk5) != sk5)),inference(simp,[status(thm)],[95])).
% 12.39/3.43  thf(4,axiom,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TA]: (((c_2Epath_2Estopped__at @ TA @ TB @ A) = (c_2Epath_2Estopped__at @ TA @ TB @ B)) = (A = B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epath_2Estopped__at__11)).
% 12.39/3.43  thf(13,plain,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TA]: (((c_2Epath_2Estopped__at @ TA @ TB @ A) = (c_2Epath_2Estopped__at @ TA @ TB @ B)) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 12.39/3.43  thf(11,plain,(! [TA:$tType,TB:$tType,F:(tyop_2Epath_2Epath @ TB @ TA),E:TA,D:TB,C:(tyop_2Epath_2Epath @ TB @ TA),B:TA,A:TB] : ((((c_2Epath_2Epcons @ TB @ TA @ A @ B @ C) = (c_2Epath_2Epcons @ TB @ TA @ D @ E @ F)) = ((A = D) & (B = E) & (C = F))))),inference(cnf,[status(esa)],[10])).
% 12.39/3.43  thf(12,plain,(! [TA:$tType,TB:$tType,F:(tyop_2Epath_2Epath @ TB @ TA),E:TA,D:TB,C:(tyop_2Epath_2Epath @ TB @ TA),B:TA,A:TB] : ((((A = D) & (B = E) & (C = F)) = ((c_2Epath_2Epcons @ TB @ TA @ A @ B @ C) = (c_2Epath_2Epcons @ TB @ TA @ D @ E @ F))))),inference(lifteq,[status(thm)],[11])).
% 12.39/3.43  thf(5,axiom,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TA,C:TB,D:(tyop_2Epath_2Epath @ TA @ TB)]: (~ ((c_2Epath_2Estopped__at @ TA @ TB @ A) = (c_2Epath_2Epcons @ TA @ TB @ B @ C @ D)) & ~ ((c_2Epath_2Epcons @ TA @ TB @ B @ C @ D) = (c_2Epath_2Estopped__at @ TA @ TB @ A)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epath_2Estopped__at__not__pcons)).
% 12.39/3.43  thf(16,plain,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TA,C:TB,D:(tyop_2Epath_2Epath @ TA @ TB)]: (~ ((c_2Epath_2Estopped__at @ TA @ TB @ A) = (c_2Epath_2Epcons @ TA @ TB @ B @ C @ D)) & ~ ((c_2Epath_2Epcons @ TA @ TB @ B @ C @ D) = (c_2Epath_2Estopped__at @ TA @ TB @ A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 12.39/3.43  thf(17,plain,(! [TA:$tType,TB:$tType,D:(tyop_2Epath_2Epath @ TB @ TA),C:TA,B:TB,A:TB] : ((~ ((c_2Epath_2Epcons @ TB @ TA @ B @ C @ D) = (c_2Epath_2Estopped__at @ TB @ TA @ A))))),inference(cnf,[status(esa)],[16])).
% 12.39/3.43  thf(19,plain,(! [TA:$tType,TB:$tType,D:(tyop_2Epath_2Epath @ TB @ TA),C:TA,B:TB,A:TB] : (((c_2Epath_2Epcons @ TB @ TA @ B @ C @ D) != (c_2Epath_2Estopped__at @ TB @ TA @ A)))),inference(lifteq,[status(thm)],[17])).
% 12.39/3.43  thf(14,plain,(! [TA:$tType,TB:$tType,B:TB,A:TB] : ((((c_2Epath_2Estopped__at @ TB @ TA @ A) = (c_2Epath_2Estopped__at @ TB @ TA @ B)) = (A = B)))),inference(cnf,[status(esa)],[13])).
% 12.39/3.43  thf(15,plain,(! [TA:$tType,TB:$tType,B:TB,A:TB] : ((((c_2Epath_2Estopped__at @ TB @ TA @ A) = (c_2Epath_2Estopped__at @ TB @ TA @ B)) = (A = B)))),inference(lifteq,[status(thm)],[14])).
% 12.39/3.43  thf(159,plain,($false),inference(cvc4,[status(thm)],[10,89,102,21,13,12,7,16,43,23,19,15])).
% 12.39/3.43  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 12.39/3.43  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
