%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:38:51 EDT 2019

% Result     : Theorem 7.98s
% Output     : CNFRefutation 7.98s
% Verified   : 
% Statistics : Number of formulae       :   17 (  20 expanded)
%              Number of leaves         :   10 (  11 expanded)
%              Depth                    :    5
%              Number of atoms          :  123 ( 165 expanded)
%              Number of equality atoms :    5 (   8 expanded)
%              Maximal formula depth    :   12 (   8 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Epath_2ESN_type,type,(
    c_2Epath_2ESN: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > TB > TA > $o ) > $o ) )).

thf(c_2Epath_2Efinite_type,type,(
    c_2Epath_2Efinite: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Epath_2Epath @ TA @ TB ) > $o ) )).

thf(c_2Epath_2Eokpath_type,type,(
    c_2Epath_2Eokpath: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > TB > TA > $o ) > ( tyop_2Epath_2Epath @ TA @ TB ) > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(skt2_type,type,(
    skt2: $tType )).

thf(sk1_type,type,(
    sk1: skt1 > skt2 > skt1 > $o )).

thf(1,conjecture,(
    ! [TA: $tType,TB: $tType,A: TA > TB > TA > $o] :
      ( ( c_2Epath_2ESN @ TA @ TB @ A )
      = ( ! [B: tyop_2Epath_2Epath @ TA @ TB] :
            ( ( c_2Epath_2Eokpath @ TA @ TB @ A @ B )
           => ( c_2Epath_2Efinite @ TA @ TB @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epath_2ESN__finite__paths__EQ)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,TB: $tType,A: TA > TB > TA > $o] :
        ( ( c_2Epath_2ESN @ TA @ TB @ A )
        = ( ! [B: tyop_2Epath_2Epath @ TA @ TB] :
              ( ( c_2Epath_2Eokpath @ TA @ TB @ A @ B )
             => ( c_2Epath_2Efinite @ TA @ TB @ B ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(5,plain,(
    ~ ! [TA: $tType,TB: $tType,A: TA > TB > TA > $o] :
        ( ( c_2Epath_2ESN @ TA @ TB @ A )
        = ( ! [B: tyop_2Epath_2Epath @ TA @ TB] :
              ( ( c_2Epath_2Eokpath @ TA @ TB @ A @ B )
             => ( c_2Epath_2Efinite @ TA @ TB @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > TB > TA > $o,B: tyop_2Epath_2Epath @ TA @ TB] :
      ( ( ( c_2Epath_2ESN @ TA @ TB @ A )
        & ( c_2Epath_2Eokpath @ TA @ TB @ A @ B ) )
     => ( c_2Epath_2Efinite @ TA @ TB @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epath_2ESN__finite__paths)).

thf(8,plain,(
    ! [TA: $tType,TB: $tType,A: TA > TB > TA > $o,B: tyop_2Epath_2Epath @ TA @ TB] :
      ( ( ( c_2Epath_2ESN @ TA @ TB @ A )
        & ( c_2Epath_2Eokpath @ TA @ TB @ A @ B ) )
     => ( c_2Epath_2Efinite @ TA @ TB @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(4,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > TB > TA > $o] :
      ( ! [B: tyop_2Epath_2Epath @ TA @ TB] :
          ( ( c_2Epath_2Eokpath @ TA @ TB @ A @ B )
         => ( c_2Epath_2Efinite @ TA @ TB @ B ) )
     => ( c_2Epath_2ESN @ TA @ TB @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epath_2Efinite__paths__SN)).

thf(10,plain,(
    ! [TA: $tType,TB: $tType,A: TA > TB > TA > $o] :
      ( ! [B: tyop_2Epath_2Epath @ TA @ TB] :
          ( ( c_2Epath_2Eokpath @ TA @ TB @ A @ B )
         => ( c_2Epath_2Efinite @ TA @ TB @ B ) )
     => ( c_2Epath_2ESN @ TA @ TB @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(6,plain,(
    ( c_2Epath_2ESN @ skt1 @ skt2 @ sk1 )
 != ( ! [A: tyop_2Epath_2Epath @ skt1 @ skt2] :
        ( ( c_2Epath_2Eokpath @ skt1 @ skt2 @ sk1 @ A )
       => ( c_2Epath_2Efinite @ skt1 @ skt2 @ A ) ) ) ),
    inference(cnf,[status(esa)],[5])).

thf(7,plain,(
    ( c_2Epath_2ESN @ skt1 @ skt2 @ sk1 )
 != ( ! [A: tyop_2Epath_2Epath @ skt1 @ skt2] :
        ( ( c_2Epath_2Eokpath @ skt1 @ skt2 @ sk1 @ A )
       => ( c_2Epath_2Efinite @ skt1 @ skt2 @ A ) ) ) ),
    inference(lifteq,[status(thm)],[6])).

thf(18,plain,(
    $false ),
    inference(iprover,[status(thm)],[5,8,10,7])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.06/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.06/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.06/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.06/0.14  % CPULimit   : 300
% 0.06/0.14  % DateTime   : Tue Jul 30 22:31:11 EDT 2019
% 0.06/0.14  % CPUTime    : 
% 4.31/1.66  % [INFO] 	 Running in sequential loop mode. 
% 5.29/1.84  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 5.29/1.90  % [INFO] 	 iprover registered as external prover. 
% 5.29/1.90  % [INFO] 	 e registered as external prover. 
% 5.29/1.90  % [INFO] 	 cvc4 registered as external prover. 
% 5.29/1.91  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.69/1.96  % [INFO] 	 Found a conjecture and 35 axioms. Running axiom selection ... 
% 6.00/2.01  % [INFO] 	 Axiom selection finished. Selected 2 axioms (removed 33 axioms). 
% 6.00/2.02  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.98/2.59  % [INFO] 	 Killing All external provers ... 
% 7.98/2.59  % Time passed: 2311ms
% 7.98/2.59  % Effective reasoning time: 921ms
% 7.98/2.59  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.98/2.59  % Axioms used in derivation (2): thm_2Epath_2ESN__finite__paths, thm_2Epath_2Efinite__paths__SN
% 7.98/2.59  % No. of inferences in proof: 10
% 7.98/2.59  % No. of processed clauses: 2
% 7.98/2.59  % No. of generated clauses: 3
% 7.98/2.59  % No. of forward subsumed clauses: 0
% 7.98/2.59  % No. of backward subsumed clauses: 0
% 7.98/2.59  % No. of ground rewrite rules in store: 0
% 7.98/2.59  % No. of non-ground rewrite rules in store: 0
% 7.98/2.59  % No. of positive (non-rewrite) units in store: 0
% 7.98/2.59  % No. of negative (non-rewrite) units in store: 1
% 7.98/2.59  % No. of choice functions detected: 0
% 7.98/2.59  % No. of choice instantiations: 0
% 7.98/2.59  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2311 ms resp. 921 ms w/o parsing
% 7.98/2.62  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.98/2.62  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.98/2.62  thf(c_2Epath_2ESN_type, type, c_2Epath_2ESN: !>[TA: $tType,TB: $tType]: ((TA > (TB > (TA > $o))) > $o)).
% 7.98/2.62  thf(c_2Epath_2Efinite_type, type, c_2Epath_2Efinite: !>[TA: $tType,TB: $tType]: ((tyop_2Epath_2Epath @ TA @ TB) > $o)).
% 7.98/2.62  thf(c_2Epath_2Eokpath_type, type, c_2Epath_2Eokpath: !>[TA: $tType,TB: $tType]: ((TA > (TB > (TA > $o))) > ((tyop_2Epath_2Epath @ TA @ TB) > $o))).
% 7.98/2.62  thf(skt1_type, type, skt1: $tType).
% 7.98/2.62  thf(skt2_type, type, skt2: $tType).
% 7.98/2.62  thf(sk1_type, type, sk1: (skt1 > (skt2 > (skt1 > $o)))).
% 7.98/2.62  thf(1,conjecture,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TB > (TA > $o)))]: ((c_2Epath_2ESN @ TA @ TB @ A) = (! [B:(tyop_2Epath_2Epath @ TA @ TB)]: ((c_2Epath_2Eokpath @ TA @ TB @ A @ B) => (c_2Epath_2Efinite @ TA @ TB @ B))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epath_2ESN__finite__paths__EQ)).
% 7.98/2.62  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType]: (! [A:(TA > (TB > (TA > $o)))]: ((c_2Epath_2ESN @ TA @ TB @ A) = (! [B:(tyop_2Epath_2Epath @ TA @ TB)]: ((c_2Epath_2Eokpath @ TA @ TB @ A @ B) => (c_2Epath_2Efinite @ TA @ TB @ B)))))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.98/2.62  thf(5,plain,((~ (! [TA: $tType,TB: $tType]: (! [A:(TA > (TB > (TA > $o)))]: ((c_2Epath_2ESN @ TA @ TB @ (A)) = (! [B:(tyop_2Epath_2Epath @ TA @ TB)]: ((c_2Epath_2Eokpath @ TA @ TB @ (A) @ B) => (c_2Epath_2Efinite @ TA @ TB @ B)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.98/2.62  thf(3,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TB > (TA > $o))),B:(tyop_2Epath_2Epath @ TA @ TB)]: (((c_2Epath_2ESN @ TA @ TB @ A) & (c_2Epath_2Eokpath @ TA @ TB @ A @ B)) => (c_2Epath_2Efinite @ TA @ TB @ B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epath_2ESN__finite__paths)).
% 7.98/2.62  thf(8,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TB > (TA > $o))),B:(tyop_2Epath_2Epath @ TA @ TB)]: (((c_2Epath_2ESN @ TA @ TB @ (A)) & (c_2Epath_2Eokpath @ TA @ TB @ (A) @ B)) => (c_2Epath_2Efinite @ TA @ TB @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.98/2.62  thf(4,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TB > (TA > $o)))]: ((! [B:(tyop_2Epath_2Epath @ TA @ TB)]: ((c_2Epath_2Eokpath @ TA @ TB @ A @ B) => (c_2Epath_2Efinite @ TA @ TB @ B))) => (c_2Epath_2ESN @ TA @ TB @ A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epath_2Efinite__paths__SN)).
% 7.98/2.62  thf(10,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TB > (TA > $o)))]: ((! [B:(tyop_2Epath_2Epath @ TA @ TB)]: ((c_2Epath_2Eokpath @ TA @ TB @ (A) @ B) => (c_2Epath_2Efinite @ TA @ TB @ B))) => (c_2Epath_2ESN @ TA @ TB @ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 7.98/2.62  thf(6,plain,((~ ((c_2Epath_2ESN @ skt1 @ skt2 @ (sk1)) = (! [A:(tyop_2Epath_2Epath @ skt1 @ skt2)]: ((c_2Epath_2Eokpath @ skt1 @ skt2 @ (sk1) @ A) => (c_2Epath_2Efinite @ skt1 @ skt2 @ A)))))),inference(cnf,[status(esa)],[5])).
% 7.98/2.62  thf(7,plain,(((c_2Epath_2ESN @ skt1 @ skt2 @ (sk1)) != (! [A:(tyop_2Epath_2Epath @ skt1 @ skt2)]: ((c_2Epath_2Eokpath @ skt1 @ skt2 @ (sk1) @ A) => (c_2Epath_2Efinite @ skt1 @ skt2 @ A))))),inference(lifteq,[status(thm)],[6])).
% 7.98/2.62  thf(18,plain,($false),inference(iprover,[status(thm)],[5,8,10,7])).
% 7.98/2.62  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.98/2.62  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
