%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:38:52 EDT 2019

% Result     : Theorem 6.55s
% Output     : CNFRefutation 6.55s
% Verified   : 
% Statistics : Number of formulae       :   22 (  22 expanded)
%              Number of leaves         :   12 (  12 expanded)
%              Depth                    :    7
%              Number of atoms          :  203 ( 203 expanded)
%              Number of equality atoms :   12 (  12 expanded)
%              Maximal formula depth    :   15 (   8 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Ebool_2ECOND_type,type,(
    c_2Ebool_2ECOND: 
      !>[TA: $tType] :
        ( $o > TA > TA > TA ) )).

thf(c_2Ecombin_2EUPDATE_type,type,(
    c_2Ecombin_2EUPDATE: 
      !>[TA: $tType,TB: $tType] :
        ( TA > TB > ( TA > TB ) > TA > TB ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(skt2_type,type,(
    skt2: $tType )).

thf(sk1_type,type,(
    sk1: skt1 > skt2 )).

thf(sk2_type,type,(
    sk2: skt1 )).

thf(sk3_type,type,(
    sk3: skt2 )).

thf(sk4_type,type,(
    sk4: skt1 )).

thf(3,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > TB,B: TA,C: TB,D: TA] :
      ( ( c_2Ecombin_2EUPDATE @ TA @ TB @ B @ C @ A @ D )
      = ( c_2Ebool_2ECOND @ TB @ ( c_2Emin_2E_3D @ TA @ B @ D ) @ C @ ( A @ D ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecombin_2EAPPLY__UPDATE__THM)).

thf(14,plain,(
    ! [TA: $tType,TB: $tType,A: TA > TB,B: TA,C: TB,D: TA] :
      ( ( c_2Ecombin_2EUPDATE @ TA @ TB @ B @ C @ A @ D )
      = ( c_2Ebool_2ECOND @ TB @ ( c_2Emin_2E_3D @ TA @ B @ D ) @ C @ ( A @ D ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(15,plain,(
    ! [TA: $tType,TB: $tType,D: TB,C: TA,B: TB,A: TB > TA] :
      ( ( c_2Ecombin_2EUPDATE @ TB @ TA @ B @ C @ A @ D )
      = ( c_2Ebool_2ECOND @ TA @ ( c_2Emin_2E_3D @ TB @ B @ D ) @ C @ ( A @ D ) ) ) ),
    inference(cnf,[status(esa)],[14])).

thf(16,plain,(
    ! [TA: $tType,TB: $tType,D: TB,C: TA,B: TB,A: TB > TA] :
      ( ( c_2Ecombin_2EUPDATE @ TB @ TA @ B @ C @ A @ D )
      = ( c_2Ebool_2ECOND @ TA @ ( c_2Emin_2E_3D @ TB @ B @ D ) @ C @ ( A @ D ) ) ) ),
    inference(lifteq,[status(thm)],[15])).

thf(1,conjecture,(
    ! [TA: $tType,TB: $tType,A: TA > TB,B: TA,C: TB,D: TA] :
      ( ( c_2Ecombin_2EUPDATE @ TA @ TB @ B @ C @ A @ D )
      = ( c_2Ebool_2ECOND @ TB @ ( c_2Emin_2E_3D @ TA @ B @ D ) @ C @ ( A @ D ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eupdate_2EAPPLY__UPDATE__THM)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,TB: $tType,A: TA > TB,B: TA,C: TB,D: TA] :
        ( ( c_2Ecombin_2EUPDATE @ TA @ TB @ B @ C @ A @ D )
        = ( c_2Ebool_2ECOND @ TB @ ( c_2Emin_2E_3D @ TA @ B @ D ) @ C @ ( A @ D ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(11,plain,(
    ~ ! [TA: $tType,TB: $tType,A: TA > TB,B: TA,C: TB,D: TA] :
        ( ( c_2Ecombin_2EUPDATE @ TA @ TB @ B @ C @ A @ D )
        = ( c_2Ebool_2ECOND @ TB @ ( c_2Emin_2E_3D @ TA @ B @ D ) @ C @ ( A @ D ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(12,plain,(
    ( c_2Ecombin_2EUPDATE @ skt1 @ skt2 @ sk2 @ sk3 @ sk1 @ sk4 )
 != ( c_2Ebool_2ECOND @ skt2 @ ( c_2Emin_2E_3D @ skt1 @ sk2 @ sk4 ) @ sk3 @ ( sk1 @ sk4 ) ) ),
    inference(cnf,[status(esa)],[11])).

thf(13,plain,(
    ( c_2Ecombin_2EUPDATE @ skt1 @ skt2 @ sk2 @ sk3 @ sk1 @ sk4 )
 != ( c_2Ebool_2ECOND @ skt2 @ ( c_2Emin_2E_3D @ skt1 @ sk2 @ sk4 ) @ sk3 @ ( sk1 @ sk4 ) ) ),
    inference(lifteq,[status(thm)],[12])).

thf(72,plain,(
    ! [TA: $tType,D: TA,C: skt2,B: TA,A: TA > skt2] :
      ( ( ( c_2Ecombin_2EUPDATE @ TA @ skt2 @ B @ C @ A @ D )
       != ( c_2Ecombin_2EUPDATE @ skt1 @ skt2 @ sk2 @ sk3 @ sk1 @ sk4 ) )
      | ( ( c_2Ebool_2ECOND @ skt2 @ ( c_2Emin_2E_3D @ TA @ B @ D ) @ C @ ( A @ D ) )
       != ( c_2Ebool_2ECOND @ skt2 @ ( c_2Emin_2E_3D @ skt1 @ sk2 @ sk4 ) @ sk3 @ ( sk1 @ sk4 ) ) ) ) ),
    inference(paramod_ordered,[status(thm)],[16,13])).

thf(85,plain,(
    ( c_2Ecombin_2EUPDATE @ skt1 @ skt2 @ sk2 @ sk3 @ sk1 @ sk4 )
 != ( c_2Ecombin_2EUPDATE @ skt1 @ skt2 @ sk2 @ sk3 @ sk1 @ sk4 ) ),
    inference(pre_uni,[status(thm)],[72:[bind(A,$thf(sk1)),bind(B,$thf(sk2)),bind(C,$thf(sk3)),bind(D,$thf(sk4))]])).

thf(86,plain,(
    $false ),
    inference(pattern_uni,[status(thm)],[85:[]])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.09/0.10  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.09/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.09/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.09/0.12  % CPULimit   : 300
% 0.09/0.12  % DateTime   : Tue Jul 30 22:36:14 EDT 2019
% 0.09/0.12  % CPUTime    : 
% 2.04/1.07  % [INFO] 	 Running in sequential loop mode. 
% 2.91/1.25  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.20/1.31  % [INFO] 	 iprover registered as external prover. 
% 3.20/1.31  % [INFO] 	 e registered as external prover. 
% 3.20/1.31  % [INFO] 	 cvc4 registered as external prover. 
% 3.20/1.32  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.20/1.37  % [INFO] 	 Found a conjecture and 8 axioms. Running axiom selection ... 
% 3.49/1.40  % [INFO] 	 Axiom selection finished. Selected 8 axioms (removed 0 axioms). 
% 3.49/1.43  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.55/2.22  % [INFO] 	 Killing All external provers ... 
% 6.55/2.23  % Time passed: 1968ms
% 6.55/2.23  % Effective reasoning time: 1148ms
% 6.55/2.23  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.55/2.23  % Axioms used in derivation (1): thm_2Ecombin_2EAPPLY__UPDATE__THM
% 6.55/2.23  % No. of inferences in proof: 12
% 6.55/2.23  % No. of processed clauses: 10
% 6.55/2.23  % No. of generated clauses: 9
% 6.55/2.23  % No. of forward subsumed clauses: 0
% 6.55/2.23  % No. of backward subsumed clauses: 0
% 6.55/2.23  % No. of ground rewrite rules in store: 8
% 6.55/2.23  % No. of non-ground rewrite rules in store: 0
% 6.55/2.23  % No. of positive (non-rewrite) units in store: 1
% 6.55/2.23  % No. of negative (non-rewrite) units in store: 1
% 6.55/2.23  % No. of choice functions detected: 0
% 6.55/2.23  % No. of choice instantiations: 0
% 6.55/2.23  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 1968 ms resp. 1148 ms w/o parsing
% 6.55/2.25  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.55/2.25  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.55/2.25  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 6.55/2.25  thf(c_2Ebool_2ECOND_type, type, c_2Ebool_2ECOND: !>[TA: $tType]: ($o > (TA > (TA > TA)))).
% 6.55/2.25  thf(c_2Ecombin_2EUPDATE_type, type, c_2Ecombin_2EUPDATE: !>[TA: $tType,TB: $tType]: (TA > (TB > ((TA > TB) > (TA > TB))))).
% 6.55/2.25  thf(skt1_type, type, skt1: $tType).
% 6.55/2.25  thf(skt2_type, type, skt2: $tType).
% 6.55/2.25  thf(sk1_type, type, sk1: (skt1 > skt2)).
% 6.55/2.25  thf(sk2_type, type, sk2: skt1).
% 6.55/2.25  thf(sk3_type, type, sk3: skt2).
% 6.55/2.25  thf(sk4_type, type, sk4: skt1).
% 6.55/2.25  thf(3,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:TA,C:TB,D:TA]: ((c_2Ecombin_2EUPDATE @ TA @ TB @ B @ C @ A @ D) = (c_2Ebool_2ECOND @ TB @ (c_2Emin_2E_3D @ TA @ B @ D) @ C @ (A @ D)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecombin_2EAPPLY__UPDATE__THM)).
% 6.55/2.25  thf(14,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:TA,C:TB,D:TA]: ((c_2Ecombin_2EUPDATE @ TA @ TB @ B @ C @ (A) @ D) = (c_2Ebool_2ECOND @ TB @ (c_2Emin_2E_3D @ TA @ B @ D) @ C @ (A @ D)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.55/2.25  thf(15,plain,(! [TA:$tType,TB:$tType,D:TB,C:TA,B:TB,A:(TB > TA)] : (((c_2Ecombin_2EUPDATE @ TB @ TA @ B @ C @ (A) @ D) = (c_2Ebool_2ECOND @ TA @ (c_2Emin_2E_3D @ TB @ B @ D) @ C @ (A @ D))))),inference(cnf,[status(esa)],[14])).
% 6.55/2.25  thf(16,plain,(! [TA:$tType,TB:$tType,D:TB,C:TA,B:TB,A:(TB > TA)] : (((c_2Ecombin_2EUPDATE @ TB @ TA @ B @ C @ (A) @ D) = (c_2Ebool_2ECOND @ TA @ (c_2Emin_2E_3D @ TB @ B @ D) @ C @ (A @ D))))),inference(lifteq,[status(thm)],[15])).
% 6.55/2.25  thf(1,conjecture,((! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:TA,C:TB,D:TA]: ((c_2Ecombin_2EUPDATE @ TA @ TB @ B @ C @ A @ D) = (c_2Ebool_2ECOND @ TB @ (c_2Emin_2E_3D @ TA @ B @ D) @ C @ (A @ D)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eupdate_2EAPPLY__UPDATE__THM)).
% 6.55/2.25  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:TA,C:TB,D:TA]: ((c_2Ecombin_2EUPDATE @ TA @ TB @ B @ C @ A @ D) = (c_2Ebool_2ECOND @ TB @ (c_2Emin_2E_3D @ TA @ B @ D) @ C @ (A @ D))))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.55/2.25  thf(11,plain,((~ (! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:TA,C:TB,D:TA]: ((c_2Ecombin_2EUPDATE @ TA @ TB @ B @ C @ (A) @ D) = (c_2Ebool_2ECOND @ TB @ (c_2Emin_2E_3D @ TA @ B @ D) @ C @ (A @ D))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.55/2.25  thf(12,plain,((~ ((c_2Ecombin_2EUPDATE @ skt1 @ skt2 @ sk2 @ sk3 @ (sk1) @ sk4) = (c_2Ebool_2ECOND @ skt2 @ (c_2Emin_2E_3D @ skt1 @ sk2 @ sk4) @ sk3 @ (sk1 @ sk4))))),inference(cnf,[status(esa)],[11])).
% 6.55/2.25  thf(13,plain,(((c_2Ecombin_2EUPDATE @ skt1 @ skt2 @ sk2 @ sk3 @ (sk1) @ sk4) != (c_2Ebool_2ECOND @ skt2 @ (c_2Emin_2E_3D @ skt1 @ sk2 @ sk4) @ sk3 @ (sk1 @ sk4)))),inference(lifteq,[status(thm)],[12])).
% 6.55/2.25  thf(72,plain,(! [TA:$tType,D:TA,C:skt2,B:TA,A:(TA > skt2)] : (((c_2Ecombin_2EUPDATE @ TA @ skt2 @ B @ C @ (A) @ D) != (c_2Ecombin_2EUPDATE @ skt1 @ skt2 @ sk2 @ sk3 @ (sk1) @ sk4)) | ((c_2Ebool_2ECOND @ skt2 @ (c_2Emin_2E_3D @ TA @ B @ D) @ C @ (A @ D)) != (c_2Ebool_2ECOND @ skt2 @ (c_2Emin_2E_3D @ skt1 @ sk2 @ sk4) @ sk3 @ (sk1 @ sk4))))),inference(paramod_ordered,[status(thm)],[16,13])).
% 6.55/2.25  thf(85,plain,(((c_2Ecombin_2EUPDATE @ skt1 @ skt2 @ sk2 @ sk3 @ (sk1) @ sk4) != (c_2Ecombin_2EUPDATE @ skt1 @ skt2 @ sk2 @ sk3 @ (sk1) @ sk4))),inference(pre_uni,[status(thm)],[72:[bind(A, $thf(sk1)),bind(B, $thf(sk2)),bind(C, $thf(sk3)),bind(D, $thf(sk4))]])).
% 6.55/2.25  thf(86,plain,($false),inference(pattern_uni,[status(thm)],[85:[]])).
% 6.55/2.25  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.55/2.25  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
