%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:38:52 EDT 2019

% Result     : Theorem 7.30s
% Output     : CNFRefutation 7.43s
% Verified   : 
% Statistics : Number of formulae       :   24 (  27 expanded)
%              Number of leaves         :   16 (  17 expanded)
%              Depth                    :    4
%              Number of atoms          :  235 ( 349 expanded)
%              Number of equality atoms :   21 (  30 expanded)
%              Maximal formula depth    :   17 (   9 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: 
      !>[TA: $tType,TB: $tType] :
        ( TA > TB > ( tyop_2Epair_2Eprod @ TA @ TB ) ) )).

thf(c_2Elist_2EAPPEND_type,type,(
    c_2Elist_2EAPPEND: 
      !>[TA: $tType] :
        ( ( tyop_2Elist_2Elist @ TA ) > ( tyop_2Elist_2Elist @ TA ) > ( tyop_2Elist_2Elist @ TA ) ) )).

thf(c_2Epair_2EFST_type,type,(
    c_2Epair_2EFST: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Epair_2Eprod @ TA @ TB ) > TA ) )).

thf(c_2Epair_2ESND_type,type,(
    c_2Epair_2ESND: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Epair_2Eprod @ TA @ TB ) > TB ) )).

thf(c_2Eoption_2ESOME_type,type,(
    c_2Eoption_2ESOME: 
      !>[TA: $tType] :
        ( TA > ( tyop_2Eoption_2Eoption @ TA ) ) )).

thf(c_2EDecode_2Eenc2dec_type,type,(
    c_2EDecode_2Eenc2dec: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > ( tyop_2Elist_2Elist @ $o ) ) > ( tyop_2Elist_2Elist @ $o ) > ( tyop_2Eoption_2Eoption @ ( tyop_2Epair_2Eprod @ TA @ ( tyop_2Elist_2Elist @ $o ) ) ) ) )).

thf(c_2EEncode_2Ewf__encoder_type,type,(
    c_2EEncode_2Ewf__encoder: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > ( tyop_2Elist_2Elist @ $o ) ) > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: skt1 > $o )).

thf(sk2_type,type,(
    sk2: skt1 > ( tyop_2Elist_2Elist @ $o ) )).

thf(4,axiom,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( c_2Epair_2EFST @ TA @ TB @ ( c_2Epair_2E_2C @ TA @ TB @ A @ B ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2EFST)).

thf(14,plain,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( c_2Epair_2EFST @ TA @ TB @ ( c_2Epair_2E_2C @ TA @ TB @ A @ B ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(6,axiom,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( c_2Epair_2ESND @ TA @ TB @ ( c_2Epair_2E_2C @ TA @ TB @ A @ B ) )
      = B ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2ESND)).

thf(20,plain,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( c_2Epair_2ESND @ TA @ TB @ ( c_2Epair_2E_2C @ TA @ TB @ A @ B ) )
      = B ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(1,conjecture,(
    ! [TA: $tType,A: TA > $o,B: TA > ( tyop_2Elist_2Elist @ $o ),C: tyop_2Elist_2Elist @ $o,D: tyop_2Epair_2Eprod @ TA @ ( tyop_2Elist_2Elist @ $o )] :
      ( ( c_2EEncode_2Ewf__encoder @ TA @ A @ B )
     => ( ( ( c_2EDecode_2Eenc2dec @ TA @ A @ B @ C )
          = ( c_2Eoption_2ESOME @ ( tyop_2Epair_2Eprod @ TA @ ( tyop_2Elist_2Elist @ $o ) ) @ D ) )
        = ( ( A @ ( c_2Epair_2EFST @ TA @ ( tyop_2Elist_2Elist @ $o ) @ D ) )
          & ( C
            = ( c_2Elist_2EAPPEND @ $o @ ( B @ ( c_2Epair_2EFST @ TA @ ( tyop_2Elist_2Elist @ $o ) @ D ) ) @ ( c_2Epair_2ESND @ TA @ ( tyop_2Elist_2Elist @ $o ) @ D ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2EDecode_2Eenc2dec__some__alt)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: TA > $o,B: TA > ( tyop_2Elist_2Elist @ $o ),C: tyop_2Elist_2Elist @ $o,D: tyop_2Epair_2Eprod @ TA @ ( tyop_2Elist_2Elist @ $o )] :
        ( ( c_2EEncode_2Ewf__encoder @ TA @ A @ B )
       => ( ( ( c_2EDecode_2Eenc2dec @ TA @ A @ B @ C )
            = ( c_2Eoption_2ESOME @ ( tyop_2Epair_2Eprod @ TA @ ( tyop_2Elist_2Elist @ $o ) ) @ D ) )
          = ( ( A @ ( c_2Epair_2EFST @ TA @ ( tyop_2Elist_2Elist @ $o ) @ D ) )
            & ( C
              = ( c_2Elist_2EAPPEND @ $o @ ( B @ ( c_2Epair_2EFST @ TA @ ( tyop_2Elist_2Elist @ $o ) @ D ) ) @ ( c_2Epair_2ESND @ TA @ ( tyop_2Elist_2Elist @ $o ) @ D ) ) ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(7,plain,(
    ~ ! [TA: $tType,A: TA > $o,B: TA > ( tyop_2Elist_2Elist @ $o ),C: tyop_2Elist_2Elist @ $o,D: tyop_2Epair_2Eprod @ TA @ ( tyop_2Elist_2Elist @ $o )] :
        ( ( c_2EEncode_2Ewf__encoder @ TA @ A @ B )
       => ( ( ( c_2EDecode_2Eenc2dec @ TA @ A @ B @ C )
            = ( c_2Eoption_2ESOME @ ( tyop_2Epair_2Eprod @ TA @ ( tyop_2Elist_2Elist @ $o ) ) @ D ) )
          = ( ( A @ ( c_2Epair_2EFST @ TA @ ( tyop_2Elist_2Elist @ $o ) @ D ) )
            & ( C
              = ( c_2Elist_2EAPPEND @ $o @ ( B @ ( c_2Epair_2EFST @ TA @ ( tyop_2Elist_2Elist @ $o ) @ D ) ) @ ( c_2Epair_2ESND @ TA @ ( tyop_2Elist_2Elist @ $o ) @ D ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(9,plain,(
    c_2EEncode_2Ewf__encoder @ skt1 @ sk1 @ sk2 ),
    inference(cnf,[status(esa)],[7])).

thf(5,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA > ( tyop_2Elist_2Elist @ $o ),C: tyop_2Elist_2Elist @ $o,D: TA,E: tyop_2Elist_2Elist @ $o] :
      ( ( c_2EEncode_2Ewf__encoder @ TA @ A @ B )
     => ( ( ( c_2EDecode_2Eenc2dec @ TA @ A @ B @ C )
          = ( c_2Eoption_2ESOME @ ( tyop_2Epair_2Eprod @ TA @ ( tyop_2Elist_2Elist @ $o ) ) @ ( c_2Epair_2E_2C @ TA @ ( tyop_2Elist_2Elist @ $o ) @ D @ E ) ) )
        = ( ( A @ D )
          & ( C
            = ( c_2Elist_2EAPPEND @ $o @ ( B @ D ) @ E ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2EDecode_2Eenc2dec__some)).

thf(17,plain,(
    ! [TA: $tType,A: TA > $o,B: TA > ( tyop_2Elist_2Elist @ $o ),C: tyop_2Elist_2Elist @ $o,D: TA,E: tyop_2Elist_2Elist @ $o] :
      ( ( c_2EEncode_2Ewf__encoder @ TA @ A @ B )
     => ( ( ( c_2EDecode_2Eenc2dec @ TA @ A @ B @ C )
          = ( c_2Eoption_2ESOME @ ( tyop_2Epair_2Eprod @ TA @ ( tyop_2Elist_2Elist @ $o ) ) @ ( c_2Epair_2E_2C @ TA @ ( tyop_2Elist_2Elist @ $o ) @ D @ E ) ) )
        = ( ( A @ D )
          & ( C
            = ( c_2Elist_2EAPPEND @ $o @ ( B @ D ) @ E ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(3,axiom,(
    ! [TA: $tType,TB: $tType,A: tyop_2Epair_2Eprod @ TA @ TB] :
    ? [B: TA,C: TB] :
      ( A
      = ( c_2Epair_2E_2C @ TA @ TB @ B @ C ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2EABS__PAIR__THM)).

thf(11,plain,(
    ! [TA: $tType,TB: $tType,A: tyop_2Epair_2Eprod @ TA @ TB] :
    ? [B: TA,C: TB] :
      ( A
      = ( c_2Epair_2E_2C @ TA @ TB @ B @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(23,plain,(
    $false ),
    inference(e,[status(thm)],[14,20,9,17,7,11])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.03/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.03/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.03/0.13  % CPULimit   : 300
% 0.03/0.13  % DateTime   : Tue Jul 30 22:39:42 EDT 2019
% 0.03/0.13  % CPUTime    : 
% 3.97/1.52  % [INFO] 	 Running in sequential loop mode. 
% 4.66/1.69  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.66/1.74  % [INFO] 	 iprover registered as external prover. 
% 4.66/1.74  % [INFO] 	 e registered as external prover. 
% 4.66/1.74  % [INFO] 	 cvc4 registered as external prover. 
% 4.66/1.75  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.92/1.81  % [INFO] 	 Found a conjecture and 34 axioms. Running axiom selection ... 
% 5.00/1.85  % [INFO] 	 Axiom selection finished. Selected 4 axioms (removed 30 axioms). 
% 5.00/1.87  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.30/2.49  % [INFO] 	 Killing All external provers ... 
% 7.30/2.50  % Time passed: 2223ms
% 7.30/2.50  % Effective reasoning time: 973ms
% 7.30/2.50  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.30/2.50  % Axioms used in derivation (4): thm_2Epair_2EFST, thm_2Epair_2ESND, thm_2EDecode_2Eenc2dec__some, thm_2Epair_2EABS__PAIR__THM
% 7.30/2.50  % No. of inferences in proof: 13
% 7.30/2.50  % No. of processed clauses: 3
% 7.30/2.50  % No. of generated clauses: 0
% 7.30/2.50  % No. of forward subsumed clauses: 0
% 7.30/2.50  % No. of backward subsumed clauses: 0
% 7.30/2.50  % No. of ground rewrite rules in store: 1
% 7.30/2.50  % No. of non-ground rewrite rules in store: 2
% 7.30/2.50  % No. of positive (non-rewrite) units in store: 0
% 7.30/2.50  % No. of negative (non-rewrite) units in store: 0
% 7.30/2.50  % No. of choice functions detected: 0
% 7.30/2.50  % No. of choice instantiations: 0
% 7.30/2.50  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2223 ms resp. 973 ms w/o parsing
% 7.43/2.53  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.43/2.53  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.43/2.53  thf(c_2Epair_2E_2C_type, type, c_2Epair_2E_2C: !>[TA: $tType,TB: $tType]: (TA > (TB > (tyop_2Epair_2Eprod @ TA @ TB)))).
% 7.43/2.53  thf(c_2Elist_2EAPPEND_type, type, c_2Elist_2EAPPEND: !>[TA: $tType]: ((tyop_2Elist_2Elist @ TA) > ((tyop_2Elist_2Elist @ TA) > (tyop_2Elist_2Elist @ TA)))).
% 7.43/2.53  thf(c_2Epair_2EFST_type, type, c_2Epair_2EFST: !>[TA: $tType,TB: $tType]: ((tyop_2Epair_2Eprod @ TA @ TB) > TA)).
% 7.43/2.53  thf(c_2Epair_2ESND_type, type, c_2Epair_2ESND: !>[TA: $tType,TB: $tType]: ((tyop_2Epair_2Eprod @ TA @ TB) > TB)).
% 7.43/2.53  thf(c_2Eoption_2ESOME_type, type, c_2Eoption_2ESOME: !>[TA: $tType]: (TA > (tyop_2Eoption_2Eoption @ TA))).
% 7.43/2.53  thf(c_2EDecode_2Eenc2dec_type, type, c_2EDecode_2Eenc2dec: !>[TA: $tType]: ((TA > $o) > ((TA > (tyop_2Elist_2Elist @ $o)) > ((tyop_2Elist_2Elist @ $o) > (tyop_2Eoption_2Eoption @ (tyop_2Epair_2Eprod @ TA @ (tyop_2Elist_2Elist @ $o))))))).
% 7.43/2.53  thf(c_2EEncode_2Ewf__encoder_type, type, c_2EEncode_2Ewf__encoder: !>[TA: $tType]: ((TA > $o) > ((TA > (tyop_2Elist_2Elist @ $o)) > $o))).
% 7.43/2.53  thf(skt1_type, type, skt1: $tType).
% 7.43/2.53  thf(sk1_type, type, sk1: (skt1 > $o)).
% 7.43/2.53  thf(sk2_type, type, sk2: (skt1 > (tyop_2Elist_2Elist @ $o))).
% 7.43/2.53  thf(4,axiom,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB]: ((c_2Epair_2EFST @ TA @ TB @ (c_2Epair_2E_2C @ TA @ TB @ A @ B)) = A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2EFST)).
% 7.43/2.53  thf(14,plain,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB]: ((c_2Epair_2EFST @ TA @ TB @ (c_2Epair_2E_2C @ TA @ TB @ A @ B)) = A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 7.43/2.53  thf(6,axiom,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB]: ((c_2Epair_2ESND @ TA @ TB @ (c_2Epair_2E_2C @ TA @ TB @ A @ B)) = B)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2ESND)).
% 7.43/2.53  thf(20,plain,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB]: ((c_2Epair_2ESND @ TA @ TB @ (c_2Epair_2E_2C @ TA @ TB @ A @ B)) = B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 7.43/2.53  thf(1,conjecture,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > (tyop_2Elist_2Elist @ $o)),C:(tyop_2Elist_2Elist @ $o),D:(tyop_2Epair_2Eprod @ TA @ (tyop_2Elist_2Elist @ $o))]: ((c_2EEncode_2Ewf__encoder @ TA @ A @ B) => (((c_2EDecode_2Eenc2dec @ TA @ A @ B @ C) = (c_2Eoption_2ESOME @ (tyop_2Epair_2Eprod @ TA @ (tyop_2Elist_2Elist @ $o)) @ D)) = ((A @ (c_2Epair_2EFST @ TA @ (tyop_2Elist_2Elist @ $o) @ D)) & (C = (c_2Elist_2EAPPEND @ $o @ (B @ (c_2Epair_2EFST @ TA @ (tyop_2Elist_2Elist @ $o) @ D)) @ (c_2Epair_2ESND @ TA @ (tyop_2Elist_2Elist @ $o) @ D))))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2EDecode_2Eenc2dec__some__alt)).
% 7.43/2.53  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:(TA > $o),B:(TA > (tyop_2Elist_2Elist @ $o)),C:(tyop_2Elist_2Elist @ $o),D:(tyop_2Epair_2Eprod @ TA @ (tyop_2Elist_2Elist @ $o))]: ((c_2EEncode_2Ewf__encoder @ TA @ A @ B) => (((c_2EDecode_2Eenc2dec @ TA @ A @ B @ C) = (c_2Eoption_2ESOME @ (tyop_2Epair_2Eprod @ TA @ (tyop_2Elist_2Elist @ $o)) @ D)) = ((A @ (c_2Epair_2EFST @ TA @ (tyop_2Elist_2Elist @ $o) @ D)) & (C = (c_2Elist_2EAPPEND @ $o @ (B @ (c_2Epair_2EFST @ TA @ (tyop_2Elist_2Elist @ $o) @ D)) @ (c_2Epair_2ESND @ TA @ (tyop_2Elist_2Elist @ $o) @ D)))))))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.43/2.53  thf(7,plain,((~ (! [TA: $tType]: (! [A:(TA > $o),B:(TA > (tyop_2Elist_2Elist @ $o)),C:(tyop_2Elist_2Elist @ $o),D:(tyop_2Epair_2Eprod @ TA @ (tyop_2Elist_2Elist @ $o))]: ((c_2EEncode_2Ewf__encoder @ TA @ (A) @ (B)) => (((c_2EDecode_2Eenc2dec @ TA @ (A) @ (B) @ C) = (c_2Eoption_2ESOME @ (tyop_2Epair_2Eprod @ TA @ (tyop_2Elist_2Elist @ $o)) @ D)) = ((A @ (c_2Epair_2EFST @ TA @ (tyop_2Elist_2Elist @ $o) @ D)) & (C = (c_2Elist_2EAPPEND @ $o @ (B @ (c_2Epair_2EFST @ TA @ (tyop_2Elist_2Elist @ $o) @ D)) @ (c_2Epair_2ESND @ TA @ (tyop_2Elist_2Elist @ $o) @ D)))))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.43/2.53  thf(9,plain,((c_2EEncode_2Ewf__encoder @ skt1 @ (sk1) @ (sk2))),inference(cnf,[status(esa)],[7])).
% 7.43/2.53  thf(5,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > (tyop_2Elist_2Elist @ $o)),C:(tyop_2Elist_2Elist @ $o),D:TA,E:(tyop_2Elist_2Elist @ $o)]: ((c_2EEncode_2Ewf__encoder @ TA @ A @ B) => (((c_2EDecode_2Eenc2dec @ TA @ A @ B @ C) = (c_2Eoption_2ESOME @ (tyop_2Epair_2Eprod @ TA @ (tyop_2Elist_2Elist @ $o)) @ (c_2Epair_2E_2C @ TA @ (tyop_2Elist_2Elist @ $o) @ D @ E))) = ((A @ D) & (C = (c_2Elist_2EAPPEND @ $o @ (B @ D) @ E)))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2EDecode_2Eenc2dec__some)).
% 7.43/2.53  thf(17,plain,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > (tyop_2Elist_2Elist @ $o)),C:(tyop_2Elist_2Elist @ $o),D:TA,E:(tyop_2Elist_2Elist @ $o)]: ((c_2EEncode_2Ewf__encoder @ TA @ (A) @ (B)) => (((c_2EDecode_2Eenc2dec @ TA @ (A) @ (B) @ C) = (c_2Eoption_2ESOME @ (tyop_2Epair_2Eprod @ TA @ (tyop_2Elist_2Elist @ $o)) @ (c_2Epair_2E_2C @ TA @ (tyop_2Elist_2Elist @ $o) @ D @ E))) = ((A @ D) & (C = (c_2Elist_2EAPPEND @ $o @ (B @ D) @ E)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 7.43/2.53  thf(3,axiom,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Epair_2Eprod @ TA @ TB)]: ? [B:TA,C:TB]: (A = (c_2Epair_2E_2C @ TA @ TB @ B @ C))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2EABS__PAIR__THM)).
% 7.43/2.53  thf(11,plain,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Epair_2Eprod @ TA @ TB)]: ? [B:TA,C:TB]: (A = (c_2Epair_2E_2C @ TA @ TB @ B @ C))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.43/2.53  thf(23,plain,($false),inference(e,[status(thm)],[14,20,9,17,7,11])).
% 7.43/2.53  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.43/2.53  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
