%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:38:58 EDT 2019

% Result     : Theorem 6.82s
% Output     : CNFRefutation 6.82s
% Verified   : 
% Statistics : Number of formulae       :   24 (  32 expanded)
%              Number of leaves         :   14 (  17 expanded)
%              Depth                    :    4
%              Number of atoms          :  151 ( 235 expanded)
%              Number of equality atoms :    8 (  10 expanded)
%              Maximal formula depth    :   13 (   8 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Epred__set_2EBIJ_type,type,(
    c_2Epred__set_2EBIJ: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > TB ) > ( TA > $o ) > ( TB > $o ) > $o ) )).

thf(c_2Epred__set_2EINJ_type,type,(
    c_2Epred__set_2EINJ: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > TB ) > ( TA > $o ) > ( TB > $o ) > $o ) )).

thf(c_2Epred__set_2ESURJ_type,type,(
    c_2Epred__set_2ESURJ: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > TB ) > ( TA > $o ) > ( TB > $o ) > $o ) )).

thf(c_2Ecardinal_2Ecardeq_type,type,(
    c_2Ecardinal_2Ecardeq: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > $o ) > ( TB > $o ) > $o ) )).

thf(c_2Ecardinal_2Ecardleq_type,type,(
    c_2Ecardinal_2Ecardleq: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > $o ) > ( TB > $o ) > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(skt2_type,type,(
    skt2: $tType )).

thf(sk1_type,type,(
    sk1: skt2 > $o )).

thf(sk2_type,type,(
    sk2: skt1 > $o )).

thf(4,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > $o,B: TB > $o] :
      ( ( c_2Ecardinal_2Ecardleq @ TA @ TB @ A @ B )
      = ( ? [C: TA > TB] :
            ( c_2Epred__set_2EINJ @ TA @ TB @ C @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecardinal_2Ecardleq__def)).

thf(12,plain,(
    ! [TA: $tType,TB: $tType,A: TA > $o,B: TB > $o] :
      ( ( c_2Ecardinal_2Ecardleq @ TA @ TB @ A @ B )
      = ( ? [C: TA > TB] :
            ( c_2Epred__set_2EINJ @ TA @ TB @ C @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(13,plain,(
    ! [TA: $tType,TB: $tType,B: TA > $o,A: TB > $o] :
      ( ( c_2Ecardinal_2Ecardleq @ TB @ TA @ A @ B )
      = ( ? [C: TB > TA] :
            ( c_2Epred__set_2EINJ @ TB @ TA @ C @ A @ B ) ) ) ),
    inference(cnf,[status(esa)],[12])).

thf(14,plain,(
    ! [TA: $tType,TB: $tType,B: TA > $o,A: TB > $o] :
      ( ( c_2Ecardinal_2Ecardleq @ TB @ TA @ A @ B )
      = ( ? [C: TB > TA] :
            ( c_2Epred__set_2EINJ @ TB @ TA @ C @ A @ B ) ) ) ),
    inference(lifteq,[status(thm)],[13])).

thf(1,conjecture,(
    ! [TA: $tType,TB: $tType,A: TB > $o,B: TA > $o] :
      ( ( c_2Ecardinal_2Ecardeq @ TA @ TB @ B @ A )
     => ( c_2Ecardinal_2Ecardleq @ TA @ TB @ B @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecardinal_2ECARDEQ__SUBSET__CARDLEQ)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,TB: $tType,A: TB > $o,B: TA > $o] :
        ( ( c_2Ecardinal_2Ecardeq @ TA @ TB @ B @ A )
       => ( c_2Ecardinal_2Ecardleq @ TA @ TB @ B @ A ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(6,plain,(
    ~ ! [TA: $tType,TB: $tType,A: TB > $o,B: TA > $o] :
        ( ( c_2Ecardinal_2Ecardeq @ TA @ TB @ B @ A )
       => ( c_2Ecardinal_2Ecardleq @ TA @ TB @ B @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > TB,B: TA > $o,C: TB > $o] :
      ( ( c_2Epred__set_2EBIJ @ TA @ TB @ A @ B @ C )
      = ( ( c_2Epred__set_2EINJ @ TA @ TB @ A @ B @ C )
        & ( c_2Epred__set_2ESURJ @ TA @ TB @ A @ B @ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EBIJ__DEF)).

thf(9,plain,(
    ! [TA: $tType,TB: $tType,A: TA > TB,B: TA > $o,C: TB > $o] :
      ( ( c_2Epred__set_2EBIJ @ TA @ TB @ A @ B @ C )
      = ( ( c_2Epred__set_2EINJ @ TA @ TB @ A @ B @ C )
        & ( c_2Epred__set_2ESURJ @ TA @ TB @ A @ B @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(7,plain,(
    ~ ( c_2Ecardinal_2Ecardleq @ skt1 @ skt2 @ sk2 @ sk1 ) ),
    inference(cnf,[status(esa)],[6])).

thf(8,plain,(
    c_2Ecardinal_2Ecardeq @ skt1 @ skt2 @ sk2 @ sk1 ),
    inference(cnf,[status(esa)],[6])).

thf(5,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > $o,B: TB > $o] :
      ( ( c_2Ecardinal_2Ecardeq @ TA @ TB @ A @ B )
      = ( ? [C: TA > TB] :
            ( c_2Epred__set_2EBIJ @ TA @ TB @ C @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecardinal_2Ecardeq__def)).

thf(15,plain,(
    ! [TA: $tType,TB: $tType,A: TA > $o,B: TB > $o] :
      ( ( c_2Ecardinal_2Ecardeq @ TA @ TB @ A @ B )
      = ( ? [C: TA > TB] :
            ( c_2Epred__set_2EBIJ @ TA @ TB @ C @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(25,plain,(
    $false ),
    inference(iprover,[status(thm)],[14,6,9,12,7,8,15])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.06/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.06/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.06/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.06/0.12  % CPULimit   : 300
% 0.06/0.12  % DateTime   : Tue Jul 30 22:47:19 EDT 2019
% 0.06/0.13  % CPUTime    : 
% 2.85/1.32  % [INFO] 	 Running in sequential loop mode. 
% 3.72/1.49  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.96/1.56  % [INFO] 	 iprover registered as external prover. 
% 3.96/1.56  % [INFO] 	 e registered as external prover. 
% 3.96/1.56  % [INFO] 	 cvc4 registered as external prover. 
% 4.11/1.56  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.11/1.62  % [INFO] 	 Found a conjecture and 23 axioms. Running axiom selection ... 
% 4.40/1.66  % [INFO] 	 Axiom selection finished. Selected 3 axioms (removed 20 axioms). 
% 4.52/1.69  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.53/2.35  % [INFO] 	 Killing All external provers ... 
% 6.53/2.35  % Time passed: 2100ms
% 6.53/2.35  % Effective reasoning time: 1029ms
% 6.53/2.35  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.82/2.35  % Axioms used in derivation (3): thm_2Ecardinal_2Ecardleq__def, thm_2Epred__set_2EBIJ__DEF, thm_2Ecardinal_2Ecardeq__def
% 6.82/2.35  % No. of inferences in proof: 14
% 6.82/2.35  % No. of processed clauses: 4
% 6.82/2.35  % No. of generated clauses: 3
% 6.82/2.35  % No. of forward subsumed clauses: 0
% 6.82/2.35  % No. of backward subsumed clauses: 0
% 6.82/2.35  % No. of ground rewrite rules in store: 2
% 6.82/2.35  % No. of non-ground rewrite rules in store: 1
% 6.82/2.35  % No. of positive (non-rewrite) units in store: 1
% 6.82/2.35  % No. of negative (non-rewrite) units in store: 0
% 6.82/2.36  % No. of choice functions detected: 0
% 6.82/2.36  % No. of choice instantiations: 0
% 6.82/2.36  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2100 ms resp. 1029 ms w/o parsing
% 6.82/2.38  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.82/2.38  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.82/2.38  thf(c_2Epred__set_2EBIJ_type, type, c_2Epred__set_2EBIJ: !>[TA: $tType,TB: $tType]: ((TA > TB) > ((TA > $o) > ((TB > $o) > $o)))).
% 6.82/2.38  thf(c_2Epred__set_2EINJ_type, type, c_2Epred__set_2EINJ: !>[TA: $tType,TB: $tType]: ((TA > TB) > ((TA > $o) > ((TB > $o) > $o)))).
% 6.82/2.38  thf(c_2Epred__set_2ESURJ_type, type, c_2Epred__set_2ESURJ: !>[TA: $tType,TB: $tType]: ((TA > TB) > ((TA > $o) > ((TB > $o) > $o)))).
% 6.82/2.38  thf(c_2Ecardinal_2Ecardeq_type, type, c_2Ecardinal_2Ecardeq: !>[TA: $tType,TB: $tType]: ((TA > $o) > ((TB > $o) > $o))).
% 6.82/2.38  thf(c_2Ecardinal_2Ecardleq_type, type, c_2Ecardinal_2Ecardleq: !>[TA: $tType,TB: $tType]: ((TA > $o) > ((TB > $o) > $o))).
% 6.82/2.38  thf(skt1_type, type, skt1: $tType).
% 6.82/2.38  thf(skt2_type, type, skt2: $tType).
% 6.82/2.38  thf(sk1_type, type, sk1: (skt2 > $o)).
% 6.82/2.38  thf(sk2_type, type, sk2: (skt1 > $o)).
% 6.82/2.38  thf(4,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > $o),B:(TB > $o)]: ((c_2Ecardinal_2Ecardleq @ TA @ TB @ A @ B) = (? [C:(TA > TB)]: (c_2Epred__set_2EINJ @ TA @ TB @ C @ A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecardinal_2Ecardleq__def)).
% 6.82/2.38  thf(12,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > $o),B:(TB > $o)]: ((c_2Ecardinal_2Ecardleq @ TA @ TB @ (A) @ (B)) = (? [C:(TA > TB)]: (c_2Epred__set_2EINJ @ TA @ TB @ (C) @ (A) @ (B))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 6.82/2.38  thf(13,plain,(! [TA:$tType,TB:$tType,B:(TA > $o),A:(TB > $o)] : (((c_2Ecardinal_2Ecardleq @ TB @ TA @ (A) @ (B)) = (? [C:(TB > TA)]: (c_2Epred__set_2EINJ @ TB @ TA @ (C) @ (A) @ (B)))))),inference(cnf,[status(esa)],[12])).
% 6.82/2.38  thf(14,plain,(! [TA:$tType,TB:$tType,B:(TA > $o),A:(TB > $o)] : (((c_2Ecardinal_2Ecardleq @ TB @ TA @ (A) @ (B)) = (? [C:(TB > TA)]: (c_2Epred__set_2EINJ @ TB @ TA @ (C) @ (A) @ (B)))))),inference(lifteq,[status(thm)],[13])).
% 6.82/2.38  thf(1,conjecture,((! [TA: $tType,TB: $tType]: (! [A:(TB > $o),B:(TA > $o)]: ((c_2Ecardinal_2Ecardeq @ TA @ TB @ B @ A) => (c_2Ecardinal_2Ecardleq @ TA @ TB @ B @ A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecardinal_2ECARDEQ__SUBSET__CARDLEQ)).
% 6.82/2.38  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType]: (! [A:(TB > $o),B:(TA > $o)]: ((c_2Ecardinal_2Ecardeq @ TA @ TB @ B @ A) => (c_2Ecardinal_2Ecardleq @ TA @ TB @ B @ A)))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.82/2.38  thf(6,plain,((~ (! [TA: $tType,TB: $tType]: (! [A:(TB > $o),B:(TA > $o)]: ((c_2Ecardinal_2Ecardeq @ TA @ TB @ (B) @ (A)) => (c_2Ecardinal_2Ecardleq @ TA @ TB @ (B) @ (A))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.82/2.38  thf(3,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:(TA > $o),C:(TB > $o)]: ((c_2Epred__set_2EBIJ @ TA @ TB @ A @ B @ C) = ((c_2Epred__set_2EINJ @ TA @ TB @ A @ B @ C) & (c_2Epred__set_2ESURJ @ TA @ TB @ A @ B @ C)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EBIJ__DEF)).
% 6.82/2.38  thf(9,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:(TA > $o),C:(TB > $o)]: ((c_2Epred__set_2EBIJ @ TA @ TB @ (A) @ (B) @ (C)) = ((c_2Epred__set_2EINJ @ TA @ TB @ (A) @ (B) @ (C)) & (c_2Epred__set_2ESURJ @ TA @ TB @ (A) @ (B) @ (C))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.82/2.38  thf(7,plain,((~ (c_2Ecardinal_2Ecardleq @ skt1 @ skt2 @ (sk2) @ (sk1)))),inference(cnf,[status(esa)],[6])).
% 6.82/2.38  thf(8,plain,((c_2Ecardinal_2Ecardeq @ skt1 @ skt2 @ (sk2) @ (sk1))),inference(cnf,[status(esa)],[6])).
% 6.82/2.38  thf(5,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > $o),B:(TB > $o)]: ((c_2Ecardinal_2Ecardeq @ TA @ TB @ A @ B) = (? [C:(TA > TB)]: (c_2Epred__set_2EBIJ @ TA @ TB @ C @ A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecardinal_2Ecardeq__def)).
% 6.82/2.38  thf(15,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > $o),B:(TB > $o)]: ((c_2Ecardinal_2Ecardeq @ TA @ TB @ (A) @ (B)) = (? [C:(TA > TB)]: (c_2Epred__set_2EBIJ @ TA @ TB @ (C) @ (A) @ (B))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 6.82/2.38  thf(25,plain,($false),inference(iprover,[status(thm)],[14,6,9,12,7,8,15])).
% 6.82/2.38  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.82/2.38  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
