%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:38:58 EDT 2019

% Result     : Theorem 7.34s
% Output     : CNFRefutation 7.34s
% Verified   : 
% Statistics : Number of formulae       :   19 (  28 expanded)
%              Number of leaves         :   11 (  14 expanded)
%              Depth                    :    4
%              Number of atoms          :   93 ( 192 expanded)
%              Number of equality atoms :    2 (   2 expanded)
%              Maximal formula depth    :   13 (   7 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Epred__set_2EFINITE_type,type,(
    c_2Epred__set_2EFINITE: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Epred__set_2EINJ_type,type,(
    c_2Epred__set_2EINJ: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > TB ) > ( TA > $o ) > ( TB > $o ) > $o ) )).

thf(c_2Ecardinal_2Ecardleq_type,type,(
    c_2Ecardinal_2Ecardleq: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > $o ) > ( TB > $o ) > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(skt2_type,type,(
    skt2: $tType )).

thf(sk1_type,type,(
    sk1: skt1 > $o )).

thf(sk2_type,type,(
    sk2: skt2 > $o )).

thf(1,conjecture,(
    ! [TA: $tType,TB: $tType,A: TA > $o,B: TB > $o] :
      ( ( ( c_2Epred__set_2EFINITE @ TB @ B )
        & ( c_2Ecardinal_2Ecardleq @ TA @ TB @ A @ B ) )
     => ( c_2Epred__set_2EFINITE @ TA @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecardinal_2ECARDLEQ__FINITE)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,TB: $tType,A: TA > $o,B: TB > $o] :
        ( ( ( c_2Epred__set_2EFINITE @ TB @ B )
          & ( c_2Ecardinal_2Ecardleq @ TA @ TB @ A @ B ) )
       => ( c_2Epred__set_2EFINITE @ TA @ A ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(5,plain,(
    ~ ! [TA: $tType,TB: $tType,A: TA > $o,B: TB > $o] :
        ( ( ( c_2Epred__set_2EFINITE @ TB @ B )
          & ( c_2Ecardinal_2Ecardleq @ TA @ TB @ A @ B ) )
       => ( c_2Epred__set_2EFINITE @ TA @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(6,plain,(
    ~ ( c_2Epred__set_2EFINITE @ skt1 @ sk1 ) ),
    inference(cnf,[status(esa)],[5])).

thf(3,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > $o,B: TB > $o] :
      ( ( c_2Ecardinal_2Ecardleq @ TA @ TB @ A @ B )
      = ( ? [C: TA > TB] :
            ( c_2Epred__set_2EINJ @ TA @ TB @ C @ A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecardinal_2Ecardleq__def)).

thf(9,plain,(
    ! [TA: $tType,TB: $tType,A: TA > $o,B: TB > $o] :
      ( ( c_2Ecardinal_2Ecardleq @ TA @ TB @ A @ B )
      = ( ? [C: TA > TB] :
            ( c_2Epred__set_2EINJ @ TA @ TB @ C @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(4,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > TB,B: TA > $o,C: TB > $o] :
      ( ( ( c_2Epred__set_2EINJ @ TA @ TB @ A @ B @ C )
        & ( c_2Epred__set_2EFINITE @ TB @ C ) )
     => ( c_2Epred__set_2EFINITE @ TA @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EFINITE__INJ)).

thf(12,plain,(
    ! [TA: $tType,TB: $tType,A: TA > TB,B: TA > $o,C: TB > $o] :
      ( ( ( c_2Epred__set_2EINJ @ TA @ TB @ A @ B @ C )
        & ( c_2Epred__set_2EFINITE @ TB @ C ) )
     => ( c_2Epred__set_2EFINITE @ TA @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(7,plain,(
    c_2Ecardinal_2Ecardleq @ skt1 @ skt2 @ sk1 @ sk2 ),
    inference(cnf,[status(esa)],[5])).

thf(8,plain,(
    c_2Epred__set_2EFINITE @ skt2 @ sk2 ),
    inference(cnf,[status(esa)],[5])).

thf(25,plain,(
    $false ),
    inference(iprover,[status(thm)],[5,6,9,12,7,8])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.11/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.11/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.11/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.11/0.13  % CPULimit   : 300
% 0.11/0.13  % DateTime   : Tue Jul 30 22:55:19 EDT 2019
% 0.11/0.13  % CPUTime    : 
% 3.61/1.40  % [INFO] 	 Running in sequential loop mode. 
% 4.17/1.57  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.37/1.63  % [INFO] 	 iprover registered as external prover. 
% 4.37/1.63  % [INFO] 	 e registered as external prover. 
% 4.37/1.64  % [INFO] 	 cvc4 registered as external prover. 
% 4.37/1.64  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.72/1.69  % [INFO] 	 Found a conjecture and 31 axioms. Running axiom selection ... 
% 4.86/1.73  % [INFO] 	 Axiom selection finished. Selected 2 axioms (removed 29 axioms). 
% 4.86/1.75  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.34/2.42  % [INFO] 	 Killing All external provers ... 
% 7.34/2.42  % Time passed: 2159ms
% 7.34/2.42  % Effective reasoning time: 1015ms
% 7.34/2.42  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.34/2.42  % Axioms used in derivation (2): thm_2Ecardinal_2Ecardleq__def, thm_2Epred__set_2EFINITE__INJ
% 7.34/2.42  % No. of inferences in proof: 11
% 7.34/2.42  % No. of processed clauses: 4
% 7.34/2.42  % No. of generated clauses: 4
% 7.34/2.42  % No. of forward subsumed clauses: 0
% 7.34/2.42  % No. of backward subsumed clauses: 0
% 7.34/2.42  % No. of ground rewrite rules in store: 3
% 7.34/2.42  % No. of non-ground rewrite rules in store: 0
% 7.34/2.42  % No. of positive (non-rewrite) units in store: 1
% 7.34/2.42  % No. of negative (non-rewrite) units in store: 0
% 7.34/2.42  % No. of choice functions detected: 0
% 7.34/2.42  % No. of choice instantiations: 0
% 7.34/2.42  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2159 ms resp. 1015 ms w/o parsing
% 7.34/2.44  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.34/2.44  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.34/2.44  thf(c_2Epred__set_2EFINITE_type, type, c_2Epred__set_2EFINITE: !>[TA: $tType]: ((TA > $o) > $o)).
% 7.34/2.44  thf(c_2Epred__set_2EINJ_type, type, c_2Epred__set_2EINJ: !>[TA: $tType,TB: $tType]: ((TA > TB) > ((TA > $o) > ((TB > $o) > $o)))).
% 7.34/2.44  thf(c_2Ecardinal_2Ecardleq_type, type, c_2Ecardinal_2Ecardleq: !>[TA: $tType,TB: $tType]: ((TA > $o) > ((TB > $o) > $o))).
% 7.34/2.44  thf(skt1_type, type, skt1: $tType).
% 7.34/2.44  thf(skt2_type, type, skt2: $tType).
% 7.34/2.44  thf(sk1_type, type, sk1: (skt1 > $o)).
% 7.34/2.44  thf(sk2_type, type, sk2: (skt2 > $o)).
% 7.34/2.44  thf(1,conjecture,((! [TA: $tType,TB: $tType]: (! [A:(TA > $o),B:(TB > $o)]: (((c_2Epred__set_2EFINITE @ TB @ B) & (c_2Ecardinal_2Ecardleq @ TA @ TB @ A @ B)) => (c_2Epred__set_2EFINITE @ TA @ A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecardinal_2ECARDLEQ__FINITE)).
% 7.34/2.44  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType]: (! [A:(TA > $o),B:(TB > $o)]: (((c_2Epred__set_2EFINITE @ TB @ B) & (c_2Ecardinal_2Ecardleq @ TA @ TB @ A @ B)) => (c_2Epred__set_2EFINITE @ TA @ A)))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.34/2.44  thf(5,plain,((~ (! [TA: $tType,TB: $tType]: (! [A:(TA > $o),B:(TB > $o)]: (((c_2Epred__set_2EFINITE @ TB @ (B)) & (c_2Ecardinal_2Ecardleq @ TA @ TB @ (A) @ (B))) => (c_2Epred__set_2EFINITE @ TA @ (A))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.34/2.44  thf(6,plain,((~ (c_2Epred__set_2EFINITE @ skt1 @ (sk1)))),inference(cnf,[status(esa)],[5])).
% 7.34/2.44  thf(3,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > $o),B:(TB > $o)]: ((c_2Ecardinal_2Ecardleq @ TA @ TB @ A @ B) = (? [C:(TA > TB)]: (c_2Epred__set_2EINJ @ TA @ TB @ C @ A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecardinal_2Ecardleq__def)).
% 7.34/2.44  thf(9,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > $o),B:(TB > $o)]: ((c_2Ecardinal_2Ecardleq @ TA @ TB @ (A) @ (B)) = (? [C:(TA > TB)]: (c_2Epred__set_2EINJ @ TA @ TB @ (C) @ (A) @ (B))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.34/2.44  thf(4,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:(TA > $o),C:(TB > $o)]: (((c_2Epred__set_2EINJ @ TA @ TB @ A @ B @ C) & (c_2Epred__set_2EFINITE @ TB @ C)) => (c_2Epred__set_2EFINITE @ TA @ B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EFINITE__INJ)).
% 7.34/2.44  thf(12,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:(TA > $o),C:(TB > $o)]: (((c_2Epred__set_2EINJ @ TA @ TB @ (A) @ (B) @ (C)) & (c_2Epred__set_2EFINITE @ TB @ (C))) => (c_2Epred__set_2EFINITE @ TA @ (B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 7.34/2.44  thf(7,plain,((c_2Ecardinal_2Ecardleq @ skt1 @ skt2 @ (sk1) @ (sk2))),inference(cnf,[status(esa)],[5])).
% 7.34/2.44  thf(8,plain,((c_2Epred__set_2EFINITE @ skt2 @ (sk2))),inference(cnf,[status(esa)],[5])).
% 7.34/2.44  thf(25,plain,($false),inference(iprover,[status(thm)],[5,6,9,12,7,8])).
% 7.34/2.44  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.34/2.44  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
