%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:38:58 EDT 2019

% Result     : Theorem 7.17s
% Output     : CNFRefutation 7.53s
% Verified   : 
% Statistics : Number of formulae       :   24 (  31 expanded)
%              Number of leaves         :   14 (  17 expanded)
%              Depth                    :    4
%              Number of atoms          :  157 ( 228 expanded)
%              Number of equality atoms :    6 (   8 expanded)
%              Maximal formula depth    :   14 (   8 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Epred__set_2EIMAGE_type,type,(
    c_2Epred__set_2EIMAGE: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > TB ) > ( TA > $o ) > TB > $o ) )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Epred__set_2EINJ_type,type,(
    c_2Epred__set_2EINJ: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > TB ) > ( TA > $o ) > ( TB > $o ) > $o ) )).

thf(c_2Epred__set_2ESURJ_type,type,(
    c_2Epred__set_2ESURJ: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > TB ) > ( TA > $o ) > ( TB > $o ) > $o ) )).

thf(c_2Ecardinal_2Ecardleq_type,type,(
    c_2Ecardinal_2Ecardleq: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > $o ) > ( TB > $o ) > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(skt2_type,type,(
    skt2: $tType )).

thf(sk1_type,type,(
    sk1: skt1 > skt2 )).

thf(sk2_type,type,(
    sk2: skt1 > $o )).

thf(5,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > $o,B: TB > $o] :
      ( ( c_2Ecardinal_2Ecardleq @ TA @ TB @ A @ B )
      = ( ? [C: TA > TB] :
            ( c_2Epred__set_2EINJ @ TA @ TB @ C @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecardinal_2Ecardleq__def)).

thf(14,plain,(
    ! [TA: $tType,TB: $tType,A: TA > $o,B: TB > $o] :
      ( ( c_2Ecardinal_2Ecardleq @ TA @ TB @ A @ B )
      = ( ? [C: TA > TB] :
            ( c_2Epred__set_2EINJ @ TA @ TB @ C @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(1,conjecture,(
    ! [TA: $tType,TB: $tType,A: TA > TB,B: TA > $o] :
      ( c_2Ecardinal_2Ecardleq @ TB @ TA @ ( c_2Epred__set_2EIMAGE @ TA @ TB @ A @ B ) @ B ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecardinal_2EIMAGE__cardleq)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,TB: $tType,A: TA > TB,B: TA > $o] :
        ( c_2Ecardinal_2Ecardleq @ TB @ TA @ ( c_2Epred__set_2EIMAGE @ TA @ TB @ A @ B ) @ B ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(6,plain,(
    ~ ! [TA: $tType,TB: $tType,A: TA > TB,B: TA > $o] :
        ( c_2Ecardinal_2Ecardleq @ TB @ TA @ ( c_2Epred__set_2EIMAGE @ TA @ TB @ A @ B ) @ B ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(4,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > $o,B: TA > TB] :
      ( c_2Epred__set_2ESURJ @ TA @ TB @ B @ A @ ( c_2Epred__set_2EIMAGE @ TA @ TB @ B @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ESURJ__IMAGE)).

thf(12,plain,(
    ! [TA: $tType,TB: $tType,A: TA > $o,B: TA > TB] :
      ( c_2Epred__set_2ESURJ @ TA @ TB @ B @ A @ ( c_2Epred__set_2EIMAGE @ TA @ TB @ B @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(13,plain,(
    ! [TA: $tType,TB: $tType,B: TB > TA,A: TB > $o] :
      ( c_2Epred__set_2ESURJ @ TB @ TA @ B @ A @ ( c_2Epred__set_2EIMAGE @ TB @ TA @ B @ A ) ) ),
    inference(cnf,[status(esa)],[12])).

thf(7,plain,(
    ~ ( c_2Ecardinal_2Ecardleq @ skt2 @ skt1 @ ( c_2Epred__set_2EIMAGE @ skt1 @ skt2 @ sk1 @ sk2 ) @ sk2 ) ),
    inference(cnf,[status(esa)],[6])).

thf(15,plain,(
    ! [TA: $tType,TB: $tType,B: TA > $o,A: TB > $o] :
      ( ( c_2Ecardinal_2Ecardleq @ TB @ TA @ A @ B )
      = ( ? [C: TB > TA] :
            ( c_2Epred__set_2EINJ @ TB @ TA @ C @ A @ B ) ) ) ),
    inference(cnf,[status(esa)],[14])).

thf(16,plain,(
    ! [TA: $tType,TB: $tType,B: TA > $o,A: TB > $o] :
      ( ( c_2Ecardinal_2Ecardleq @ TB @ TA @ A @ B )
      = ( ? [C: TB > TA] :
            ( c_2Epred__set_2EINJ @ TB @ TA @ C @ A @ B ) ) ) ),
    inference(lifteq,[status(thm)],[15])).

thf(3,axiom,(
    ! [TA: $tType,TB: $tType,A: TB > $o,B: TA > $o,C: TA > TB] :
      ( ( c_2Epred__set_2ESURJ @ TA @ TB @ C @ B @ A )
     => ? [D: TB > TA] :
          ( ( c_2Epred__set_2EINJ @ TB @ TA @ D @ A @ B )
          & ! [E: TB] :
              ( ( c_2Ebool_2EIN @ TB @ E @ A )
             => ( ( C @ ( D @ E ) )
                = E ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ESURJ__INJ__INV)).

thf(8,plain,(
    ! [TA: $tType,TB: $tType,A: TB > $o,B: TA > $o,C: TA > TB] :
      ( ( c_2Epred__set_2ESURJ @ TA @ TB @ C @ B @ A )
     => ? [D: TB > TA] :
          ( ( c_2Epred__set_2EINJ @ TB @ TA @ D @ A @ B )
          & ! [E: TB] :
              ( ( c_2Ebool_2EIN @ TB @ E @ A )
             => ( ( C @ ( D @ E ) )
                = E ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(24,plain,(
    $false ),
    inference(iprover,[status(thm)],[14,6,13,12,7,16,8])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.10/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.10/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.10/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.10/0.14  % CPULimit   : 300
% 0.10/0.14  % DateTime   : Tue Jul 30 22:41:56 EDT 2019
% 0.10/0.14  % CPUTime    : 
% 3.54/1.43  % [INFO] 	 Running in sequential loop mode. 
% 4.16/1.61  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.57/1.67  % [INFO] 	 iprover registered as external prover. 
% 4.57/1.67  % [INFO] 	 e registered as external prover. 
% 4.57/1.67  % [INFO] 	 cvc4 registered as external prover. 
% 4.57/1.67  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.83/1.72  % [INFO] 	 Found a conjecture and 32 axioms. Running axiom selection ... 
% 4.83/1.76  % [INFO] 	 Axiom selection finished. Selected 3 axioms (removed 29 axioms). 
% 5.09/1.79  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.17/2.48  % [INFO] 	 Killing All external provers ... 
% 7.17/2.49  % Time passed: 2207ms
% 7.17/2.49  % Effective reasoning time: 1048ms
% 7.17/2.49  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.17/2.49  % Axioms used in derivation (3): thm_2Ecardinal_2Ecardleq__def, thm_2Epred__set_2ESURJ__IMAGE, thm_2Epred__set_2ESURJ__INJ__INV
% 7.17/2.49  % No. of inferences in proof: 14
% 7.17/2.49  % No. of processed clauses: 4
% 7.17/2.49  % No. of generated clauses: 3
% 7.17/2.49  % No. of forward subsumed clauses: 0
% 7.17/2.49  % No. of backward subsumed clauses: 0
% 7.17/2.49  % No. of ground rewrite rules in store: 1
% 7.17/2.49  % No. of non-ground rewrite rules in store: 2
% 7.17/2.49  % No. of positive (non-rewrite) units in store: 1
% 7.17/2.49  % No. of negative (non-rewrite) units in store: 0
% 7.17/2.49  % No. of choice functions detected: 0
% 7.17/2.49  % No. of choice instantiations: 0
% 7.17/2.49  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2207 ms resp. 1048 ms w/o parsing
% 7.53/2.51  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.53/2.51  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.53/2.51  thf(c_2Epred__set_2EIMAGE_type, type, c_2Epred__set_2EIMAGE: !>[TA: $tType,TB: $tType]: ((TA > TB) > ((TA > $o) > (TB > $o)))).
% 7.53/2.51  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 7.53/2.51  thf(c_2Epred__set_2EINJ_type, type, c_2Epred__set_2EINJ: !>[TA: $tType,TB: $tType]: ((TA > TB) > ((TA > $o) > ((TB > $o) > $o)))).
% 7.53/2.51  thf(c_2Epred__set_2ESURJ_type, type, c_2Epred__set_2ESURJ: !>[TA: $tType,TB: $tType]: ((TA > TB) > ((TA > $o) > ((TB > $o) > $o)))).
% 7.53/2.51  thf(c_2Ecardinal_2Ecardleq_type, type, c_2Ecardinal_2Ecardleq: !>[TA: $tType,TB: $tType]: ((TA > $o) > ((TB > $o) > $o))).
% 7.53/2.51  thf(skt1_type, type, skt1: $tType).
% 7.53/2.51  thf(skt2_type, type, skt2: $tType).
% 7.53/2.51  thf(sk1_type, type, sk1: (skt1 > skt2)).
% 7.53/2.51  thf(sk2_type, type, sk2: (skt1 > $o)).
% 7.53/2.51  thf(5,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > $o),B:(TB > $o)]: ((c_2Ecardinal_2Ecardleq @ TA @ TB @ A @ B) = (? [C:(TA > TB)]: (c_2Epred__set_2EINJ @ TA @ TB @ C @ A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecardinal_2Ecardleq__def)).
% 7.53/2.51  thf(14,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > $o),B:(TB > $o)]: ((c_2Ecardinal_2Ecardleq @ TA @ TB @ (A) @ (B)) = (? [C:(TA > TB)]: (c_2Epred__set_2EINJ @ TA @ TB @ (C) @ (A) @ (B))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 7.53/2.51  thf(1,conjecture,((! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:(TA > $o)]: (c_2Ecardinal_2Ecardleq @ TB @ TA @ (c_2Epred__set_2EIMAGE @ TA @ TB @ A @ B) @ B)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecardinal_2EIMAGE__cardleq)).
% 7.53/2.51  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:(TA > $o)]: (c_2Ecardinal_2Ecardleq @ TB @ TA @ (c_2Epred__set_2EIMAGE @ TA @ TB @ A @ B) @ B))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.53/2.51  thf(6,plain,((~ (! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:(TA > $o)]: (c_2Ecardinal_2Ecardleq @ TB @ TA @ (c_2Epred__set_2EIMAGE @ TA @ TB @ A @ B) @ (B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.53/2.51  thf(4,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > $o),B:(TA > TB)]: (c_2Epred__set_2ESURJ @ TA @ TB @ B @ A @ (c_2Epred__set_2EIMAGE @ TA @ TB @ B @ A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ESURJ__IMAGE)).
% 7.53/2.51  thf(12,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > $o),B:(TA > TB)]: (c_2Epred__set_2ESURJ @ TA @ TB @ (B) @ (A) @ (c_2Epred__set_2EIMAGE @ TA @ TB @ B @ A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 7.53/2.51  thf(13,plain,(! [TA:$tType,TB:$tType,B:(TB > TA),A:(TB > $o)] : ((c_2Epred__set_2ESURJ @ TB @ TA @ (B) @ (A) @ (c_2Epred__set_2EIMAGE @ TB @ TA @ B @ A)))),inference(cnf,[status(esa)],[12])).
% 7.53/2.51  thf(7,plain,((~ (c_2Ecardinal_2Ecardleq @ skt2 @ skt1 @ (c_2Epred__set_2EIMAGE @ skt1 @ skt2 @ sk1 @ sk2) @ (sk2)))),inference(cnf,[status(esa)],[6])).
% 7.53/2.51  thf(15,plain,(! [TA:$tType,TB:$tType,B:(TA > $o),A:(TB > $o)] : (((c_2Ecardinal_2Ecardleq @ TB @ TA @ (A) @ (B)) = (? [C:(TB > TA)]: (c_2Epred__set_2EINJ @ TB @ TA @ (C) @ (A) @ (B)))))),inference(cnf,[status(esa)],[14])).
% 7.53/2.51  thf(16,plain,(! [TA:$tType,TB:$tType,B:(TA > $o),A:(TB > $o)] : (((c_2Ecardinal_2Ecardleq @ TB @ TA @ (A) @ (B)) = (? [C:(TB > TA)]: (c_2Epred__set_2EINJ @ TB @ TA @ (C) @ (A) @ (B)))))),inference(lifteq,[status(thm)],[15])).
% 7.53/2.51  thf(3,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TB > $o),B:(TA > $o),C:(TA > TB)]: ((c_2Epred__set_2ESURJ @ TA @ TB @ C @ B @ A) => (? [D:(TB > TA)]: ((c_2Epred__set_2EINJ @ TB @ TA @ D @ A @ B) & ! [E:TB]: ((c_2Ebool_2EIN @ TB @ E @ A) => ((C @ (D @ E)) = E)))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ESURJ__INJ__INV)).
% 7.53/2.51  thf(8,plain,((! [TA: $tType,TB: $tType]: (! [A:(TB > $o),B:(TA > $o),C:(TA > TB)]: ((c_2Epred__set_2ESURJ @ TA @ TB @ (C) @ (B) @ (A)) => (? [D:(TB > TA)]: ((c_2Epred__set_2EINJ @ TB @ TA @ (D) @ (A) @ (B)) & ! [E:TB]: ((c_2Ebool_2EIN @ TB @ E @ (A)) => ((C @ (D @ E)) = E)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.53/2.51  thf(24,plain,($false),inference(iprover,[status(thm)],[14,6,13,12,7,16,8])).
% 7.53/2.51  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.53/2.51  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
