%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:39:08 EDT 2019

% Result     : Theorem 12.57s
% Output     : CNFRefutation 12.67s
% Verified   : 
% Statistics : Number of formulae       :   27 (  36 expanded)
%              Number of leaves         :   16 (  19 expanded)
%              Depth                    :    4
%              Number of atoms          :  218 ( 434 expanded)
%              Number of equality atoms :    1 (   1 expanded)
%              Maximal formula depth    :   16 (   8 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Epred__set_2ECROSS_type,type,(
    c_2Epred__set_2ECROSS: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > $o ) > ( TB > $o ) > ( tyop_2Epair_2Eprod @ TA @ TB ) > $o ) )).

thf(c_2Epred__set_2EFINITE_type,type,(
    c_2Epred__set_2EFINITE: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ecardinal_2Ecardleq_type,type,(
    c_2Ecardinal_2Ecardleq: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > $o ) > ( TB > $o ) > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(skt2_type,type,(
    skt2: $tType )).

thf(skt3_type,type,(
    skt3: $tType )).

thf(sk1_type,type,(
    sk1: skt1 > $o )).

thf(sk2_type,type,(
    sk2: skt2 > $o )).

thf(sk3_type,type,(
    sk3: skt3 > $o )).

thf(1,conjecture,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: TA > $o,B: TB > $o,C: TC > $o] :
      ( ( ( c_2Ecardinal_2Ecardleq @ TA @ TB @ A @ B )
        & ~ ( c_2Ecardinal_2Ecardleq @ TC @ TB @ C @ B )
        & ~ ( c_2Epred__set_2EFINITE @ TC @ C ) )
     => ~ ( c_2Ecardinal_2Ecardleq @ TC @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ C @ ( c_2Epred__set_2ECROSS @ TA @ TB @ A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecardinal_2ECARD__MUL__LT__LEMMA)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,TB: $tType,TC: $tType,A: TA > $o,B: TB > $o,C: TC > $o] :
        ( ( ( c_2Ecardinal_2Ecardleq @ TA @ TB @ A @ B )
          & ~ ( c_2Ecardinal_2Ecardleq @ TC @ TB @ C @ B )
          & ~ ( c_2Epred__set_2EFINITE @ TC @ C ) )
       => ~ ( c_2Ecardinal_2Ecardleq @ TC @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ C @ ( c_2Epred__set_2ECROSS @ TA @ TB @ A @ B ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(8,plain,(
    ~ ! [TA: $tType,TB: $tType,TC: $tType,A: TA > $o,B: TB > $o,C: TC > $o] :
        ( ( ( c_2Ecardinal_2Ecardleq @ TA @ TB @ A @ B )
          & ~ ( c_2Ecardinal_2Ecardleq @ TC @ TB @ C @ B )
          & ~ ( c_2Epred__set_2EFINITE @ TC @ C ) )
       => ~ ( c_2Ecardinal_2Ecardleq @ TC @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ C @ ( c_2Epred__set_2ECROSS @ TA @ TB @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(10,plain,(
    ~ ( c_2Epred__set_2EFINITE @ skt3 @ sk3 ) ),
    inference(cnf,[status(esa)],[8])).

thf(7,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > $o,B: TB > $o] :
      ( ( ( c_2Epred__set_2EFINITE @ TA @ A )
        & ( c_2Epred__set_2EFINITE @ TB @ B ) )
     => ( c_2Epred__set_2EFINITE @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ ( c_2Epred__set_2ECROSS @ TA @ TB @ A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecardinal_2ECARD__MUL__FINITE)).

thf(21,plain,(
    ! [TA: $tType,TB: $tType,A: TA > $o,B: TB > $o] :
      ( ( ( c_2Epred__set_2EFINITE @ TA @ A )
        & ( c_2Epred__set_2EFINITE @ TB @ B ) )
     => ( c_2Epred__set_2EFINITE @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ ( c_2Epred__set_2ECROSS @ TA @ TB @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(3,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > $o,B: TB > $o] :
      ( ( ~ ( c_2Epred__set_2EFINITE @ TB @ B )
        & ( c_2Ecardinal_2Ecardleq @ TA @ TB @ A @ B ) )
     => ( c_2Ecardinal_2Ecardleq @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ TB @ ( c_2Epred__set_2ECROSS @ TA @ TB @ A @ B ) @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecardinal_2ECARD__MUL__ABSORB__LE)).

thf(13,plain,(
    ! [TA: $tType,TB: $tType,A: TA > $o,B: TB > $o] :
      ( ( ~ ( c_2Epred__set_2EFINITE @ TB @ B )
        & ( c_2Ecardinal_2Ecardleq @ TA @ TB @ A @ B ) )
     => ( c_2Ecardinal_2Ecardleq @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ TB @ ( c_2Epred__set_2ECROSS @ TA @ TB @ A @ B ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(5,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > $o,B: TB > $o] :
      ( ( ~ ~ ( c_2Ecardinal_2Ecardleq @ TB @ TA @ B @ A ) )
      = ( c_2Ecardinal_2Ecardleq @ TB @ TA @ B @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecardinal_2ECARD__NOT__LT)).

thf(17,plain,(
    ! [TA: $tType,TB: $tType] : $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(12,plain,(
    c_2Ecardinal_2Ecardleq @ skt1 @ skt2 @ sk1 @ sk2 ),
    inference(cnf,[status(esa)],[8])).

thf(11,plain,(
    ~ ( c_2Ecardinal_2Ecardleq @ skt3 @ skt2 @ sk3 @ sk2 ) ),
    inference(cnf,[status(esa)],[8])).

thf(6,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > $o,B: TB > $o] :
      ( ( ( c_2Epred__set_2EFINITE @ TB @ B )
        & ( c_2Ecardinal_2Ecardleq @ TA @ TB @ A @ B ) )
     => ( c_2Epred__set_2EFINITE @ TA @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecardinal_2ECARD__LE__FINITE)).

thf(19,plain,(
    ! [TA: $tType,TB: $tType,A: TA > $o,B: TB > $o] :
      ( ( ( c_2Epred__set_2EFINITE @ TB @ B )
        & ( c_2Ecardinal_2Ecardleq @ TA @ TB @ A @ B ) )
     => ( c_2Epred__set_2EFINITE @ TA @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(4,axiom,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: TA > $o,B: TB > $o,C: TC > $o] :
      ( ( ( c_2Ecardinal_2Ecardleq @ TA @ TB @ A @ B )
        & ~ ( c_2Ecardinal_2Ecardleq @ TC @ TB @ C @ B ) )
     => ~ ( c_2Ecardinal_2Ecardleq @ TC @ TA @ C @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecardinal_2ECARD__LET__TRANS)).

thf(15,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: TA > $o,B: TB > $o,C: TC > $o] :
      ( ( ( c_2Ecardinal_2Ecardleq @ TA @ TB @ A @ B )
        & ~ ( c_2Ecardinal_2Ecardleq @ TC @ TB @ C @ B ) )
     => ~ ( c_2Ecardinal_2Ecardleq @ TC @ TA @ C @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(43,plain,(
    $false ),
    inference(cvc4,[status(thm)],[10,21,13,17,12,11,8,19,15])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.00/0.09  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.09/0.10  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.09/0.10  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.09/0.10  % CPULimit   : 300
% 0.09/0.10  % DateTime   : Tue Jul 30 23:29:09 EDT 2019
% 0.09/0.10  % CPUTime    : 
% 3.68/1.37  % [INFO] 	 Running in sequential loop mode. 
% 4.40/1.55  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.62/1.64  % [INFO] 	 iprover registered as external prover. 
% 4.62/1.64  % [INFO] 	 e registered as external prover. 
% 4.62/1.65  % [INFO] 	 cvc4 registered as external prover. 
% 4.62/1.65  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.20/1.73  % [INFO] 	 Found a conjecture and 35 axioms. Running axiom selection ... 
% 5.23/1.78  % [INFO] 	 Axiom selection finished. Selected 5 axioms (removed 30 axioms). 
% 5.23/1.80  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 12.57/4.36  % [INFO] 	 Killing All external provers ... 
% 12.57/4.36  % Time passed: 4172ms
% 12.57/4.36  % Effective reasoning time: 2986ms
% 12.57/4.36  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 12.57/4.36  % Axioms used in derivation (5): thm_2Ecardinal_2ECARD__MUL__ABSORB__LE, thm_2Ecardinal_2ECARD__LE__FINITE, thm_2Ecardinal_2ECARD__MUL__FINITE, thm_2Ecardinal_2ECARD__LET__TRANS, thm_2Ecardinal_2ECARD__NOT__LT
% 12.57/4.36  % No. of inferences in proof: 17
% 12.57/4.36  % No. of processed clauses: 7
% 12.57/4.36  % No. of generated clauses: 5
% 12.57/4.36  % No. of forward subsumed clauses: 0
% 12.57/4.36  % No. of backward subsumed clauses: 0
% 12.57/4.36  % No. of ground rewrite rules in store: 5
% 12.57/4.36  % No. of non-ground rewrite rules in store: 0
% 12.57/4.36  % No. of positive (non-rewrite) units in store: 0
% 12.57/4.36  % No. of negative (non-rewrite) units in store: 0
% 12.57/4.36  % No. of choice functions detected: 0
% 12.57/4.36  % No. of choice instantiations: 0
% 12.57/4.37  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 4172 ms resp. 2986 ms w/o parsing
% 12.67/4.39  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 12.67/4.39  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 12.67/4.39  thf(c_2Epred__set_2ECROSS_type, type, c_2Epred__set_2ECROSS: !>[TA: $tType,TB: $tType]: ((TA > $o) > ((TB > $o) > ((tyop_2Epair_2Eprod @ TA @ TB) > $o)))).
% 12.67/4.39  thf(c_2Epred__set_2EFINITE_type, type, c_2Epred__set_2EFINITE: !>[TA: $tType]: ((TA > $o) > $o)).
% 12.67/4.39  thf(c_2Ecardinal_2Ecardleq_type, type, c_2Ecardinal_2Ecardleq: !>[TA: $tType,TB: $tType]: ((TA > $o) > ((TB > $o) > $o))).
% 12.67/4.39  thf(skt1_type, type, skt1: $tType).
% 12.67/4.39  thf(skt2_type, type, skt2: $tType).
% 12.67/4.39  thf(skt3_type, type, skt3: $tType).
% 12.67/4.39  thf(sk1_type, type, sk1: (skt1 > $o)).
% 12.67/4.39  thf(sk2_type, type, sk2: (skt2 > $o)).
% 12.67/4.39  thf(sk3_type, type, sk3: (skt3 > $o)).
% 12.67/4.39  thf(1,conjecture,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TA > $o),B:(TB > $o),C:(TC > $o)]: (((c_2Ecardinal_2Ecardleq @ TA @ TB @ A @ B) & ~ (c_2Ecardinal_2Ecardleq @ TC @ TB @ C @ B) & ~ (c_2Epred__set_2EFINITE @ TC @ C)) => (~ (c_2Ecardinal_2Ecardleq @ TC @ (tyop_2Epair_2Eprod @ TA @ TB) @ C @ (c_2Epred__set_2ECROSS @ TA @ TB @ A @ B))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecardinal_2ECARD__MUL__LT__LEMMA)).
% 12.67/4.39  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TA > $o),B:(TB > $o),C:(TC > $o)]: (((c_2Ecardinal_2Ecardleq @ TA @ TB @ A @ B) & ~ (c_2Ecardinal_2Ecardleq @ TC @ TB @ C @ B) & ~ (c_2Epred__set_2EFINITE @ TC @ C)) => (~ (c_2Ecardinal_2Ecardleq @ TC @ (tyop_2Epair_2Eprod @ TA @ TB) @ C @ (c_2Epred__set_2ECROSS @ TA @ TB @ A @ B)))))))),inference(neg_conjecture,[status(cth)],[1])).
% 12.67/4.39  thf(8,plain,((~ (! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TA > $o),B:(TB > $o),C:(TC > $o)]: (((c_2Ecardinal_2Ecardleq @ TA @ TB @ (A) @ (B)) & ~ (c_2Ecardinal_2Ecardleq @ TC @ TB @ (C) @ (B)) & ~ (c_2Epred__set_2EFINITE @ TC @ (C))) => (~ (c_2Ecardinal_2Ecardleq @ TC @ (tyop_2Epair_2Eprod @ TA @ TB) @ (C) @ (c_2Epred__set_2ECROSS @ TA @ TB @ A @ B)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 12.67/4.39  thf(10,plain,((~ (c_2Epred__set_2EFINITE @ skt3 @ (sk3)))),inference(cnf,[status(esa)],[8])).
% 12.67/4.39  thf(7,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > $o),B:(TB > $o)]: (((c_2Epred__set_2EFINITE @ TA @ A) & (c_2Epred__set_2EFINITE @ TB @ B)) => (c_2Epred__set_2EFINITE @ (tyop_2Epair_2Eprod @ TA @ TB) @ (c_2Epred__set_2ECROSS @ TA @ TB @ A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecardinal_2ECARD__MUL__FINITE)).
% 12.67/4.39  thf(21,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > $o),B:(TB > $o)]: (((c_2Epred__set_2EFINITE @ TA @ (A)) & (c_2Epred__set_2EFINITE @ TB @ (B))) => (c_2Epred__set_2EFINITE @ (tyop_2Epair_2Eprod @ TA @ TB) @ (c_2Epred__set_2ECROSS @ TA @ TB @ A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 12.67/4.39  thf(3,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > $o),B:(TB > $o)]: ((~ (c_2Epred__set_2EFINITE @ TB @ B) & (c_2Ecardinal_2Ecardleq @ TA @ TB @ A @ B)) => (c_2Ecardinal_2Ecardleq @ (tyop_2Epair_2Eprod @ TA @ TB) @ TB @ (c_2Epred__set_2ECROSS @ TA @ TB @ A @ B) @ B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecardinal_2ECARD__MUL__ABSORB__LE)).
% 12.67/4.39  thf(13,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > $o),B:(TB > $o)]: ((~ (c_2Epred__set_2EFINITE @ TB @ (B)) & (c_2Ecardinal_2Ecardleq @ TA @ TB @ (A) @ (B))) => (c_2Ecardinal_2Ecardleq @ (tyop_2Epair_2Eprod @ TA @ TB) @ TB @ (c_2Epred__set_2ECROSS @ TA @ TB @ A @ B) @ (B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 12.67/4.39  thf(5,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > $o),B:(TB > $o)]: ((~ (~ (c_2Ecardinal_2Ecardleq @ TB @ TA @ B @ A))) = (c_2Ecardinal_2Ecardleq @ TB @ TA @ B @ A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecardinal_2ECARD__NOT__LT)).
% 12.67/4.39  thf(17,plain,((! [TA: $tType,TB: $tType]: ($true))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 12.67/4.39  thf(12,plain,((c_2Ecardinal_2Ecardleq @ skt1 @ skt2 @ (sk1) @ (sk2))),inference(cnf,[status(esa)],[8])).
% 12.67/4.39  thf(11,plain,((~ (c_2Ecardinal_2Ecardleq @ skt3 @ skt2 @ (sk3) @ (sk2)))),inference(cnf,[status(esa)],[8])).
% 12.67/4.39  thf(6,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > $o),B:(TB > $o)]: (((c_2Epred__set_2EFINITE @ TB @ B) & (c_2Ecardinal_2Ecardleq @ TA @ TB @ A @ B)) => (c_2Epred__set_2EFINITE @ TA @ A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecardinal_2ECARD__LE__FINITE)).
% 12.67/4.39  thf(19,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > $o),B:(TB > $o)]: (((c_2Epred__set_2EFINITE @ TB @ (B)) & (c_2Ecardinal_2Ecardleq @ TA @ TB @ (A) @ (B))) => (c_2Epred__set_2EFINITE @ TA @ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 12.67/4.39  thf(4,axiom,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TA > $o),B:(TB > $o),C:(TC > $o)]: (((c_2Ecardinal_2Ecardleq @ TA @ TB @ A @ B) & ~ (c_2Ecardinal_2Ecardleq @ TC @ TB @ C @ B)) => (~ (c_2Ecardinal_2Ecardleq @ TC @ TA @ C @ A)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecardinal_2ECARD__LET__TRANS)).
% 12.67/4.39  thf(15,plain,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TA > $o),B:(TB > $o),C:(TC > $o)]: (((c_2Ecardinal_2Ecardleq @ TA @ TB @ (A) @ (B)) & ~ (c_2Ecardinal_2Ecardleq @ TC @ TB @ (C) @ (B))) => (~ (c_2Ecardinal_2Ecardleq @ TC @ TA @ (C) @ (A))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 12.67/4.39  thf(43,plain,($false),inference(cvc4,[status(thm)],[10,21,13,17,12,11,8,19,15])).
% 12.67/4.39  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 12.67/4.39  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
