%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:39:09 EDT 2019

% Result     : Theorem 8.36s
% Output     : CNFRefutation 8.71s
% Verified   : 
% Statistics : Number of formulae       :   38 (  38 expanded)
%              Number of leaves         :   24 (  24 expanded)
%              Depth                    :    3
%              Number of atoms          :  326 ( 326 expanded)
%              Number of equality atoms :   14 (  14 expanded)
%              Maximal formula depth    :   13 (   8 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(c_2Epred__set_2EBIGUNION_type,type,(
    c_2Epred__set_2EBIGUNION: 
      !>[TA: $tType] :
        ( ( ( TA > $o ) > $o ) > TA > $o ) )).

thf(c_2Epred__set_2ECROSS_type,type,(
    c_2Epred__set_2ECROSS: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > $o ) > ( TB > $o ) > ( tyop_2Epair_2Eprod @ TA @ TB ) > $o ) )).

thf(c_2Epair_2EFST_type,type,(
    c_2Epair_2EFST: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Epair_2Eprod @ TA @ TB ) > TA ) )).

thf(c_2Epred__set_2EIMAGE_type,type,(
    c_2Epred__set_2EIMAGE: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > TB ) > ( TA > $o ) > TB > $o ) )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Epair_2ESND_type,type,(
    c_2Epair_2ESND: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Epair_2Eprod @ TA @ TB ) > TB ) )).

thf(c_2Epred__set_2ESUBSET_type,type,(
    c_2Epred__set_2ESUBSET: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > $o ) > $o ) )).

thf(c_2Epred__set_2EUNIV_type,type,(
    c_2Epred__set_2EUNIV: 
      !>[TA: $tType] :
        ( TA > $o ) )).

thf(c_2Epred__set_2Ecountable_type,type,(
    c_2Epred__set_2Ecountable: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(13,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( c_2Epred__set_2ESUBSET @ TA @ A @ B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
           => ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ESUBSET__DEF)).

thf(42,plain,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( c_2Epred__set_2ESUBSET @ TA @ A @ B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
           => ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(6,axiom,(
    c_2Epred__set_2Ecountable @ tyop_2Enum_2Enum @ ( c_2Epred__set_2EUNIV @ tyop_2Enum_2Enum ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecardinal_2ENUM__COUNTABLE)).

thf(25,plain,(
    c_2Epred__set_2Ecountable @ tyop_2Enum_2Enum @ ( c_2Epred__set_2EUNIV @ tyop_2Enum_2Enum ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(1,conjecture,(
    ! [TA: $tType,A: ( TA > $o ) > $o] :
      ( ( ( c_2Epred__set_2Ecountable @ ( TA > $o ) @ A )
        & ! [B: TA > $o] :
            ( ( c_2Ebool_2EIN @ ( TA > $o ) @ B @ A )
           => ( c_2Epred__set_2Ecountable @ TA @ B ) ) )
     => ( c_2Epred__set_2Ecountable @ TA @ ( c_2Epred__set_2EBIGUNION @ TA @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecardinal_2ECOUNTABLE__BIGUNION)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: ( TA > $o ) > $o] :
        ( ( ( c_2Epred__set_2Ecountable @ ( TA > $o ) @ A )
          & ! [B: TA > $o] :
              ( ( c_2Ebool_2EIN @ ( TA > $o ) @ B @ A )
             => ( c_2Epred__set_2Ecountable @ TA @ B ) ) )
       => ( c_2Epred__set_2Ecountable @ TA @ ( c_2Epred__set_2EBIGUNION @ TA @ A ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(14,plain,(
    ~ ! [TA: $tType,A: ( TA > $o ) > $o] :
        ( ( ( c_2Epred__set_2Ecountable @ ( TA > $o ) @ A )
          & ! [B: TA > $o] :
              ( ( c_2Ebool_2EIN @ ( TA > $o ) @ B @ A )
             => ( c_2Epred__set_2Ecountable @ TA @ B ) ) )
       => ( c_2Epred__set_2Ecountable @ TA @ ( c_2Epred__set_2EBIGUNION @ TA @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(4,axiom,(
    ! [TA: $tType,A: TA > $o,B: ( TA > $o ) > $o] :
      ( ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ ( c_2Epred__set_2EBIGUNION @ TA @ B ) )
           => ( A @ C ) ) )
      = ( ! [C: TA > $o,D: TA] :
            ( ( ( c_2Ebool_2EIN @ ( TA > $o ) @ C @ B )
              & ( c_2Ebool_2EIN @ TA @ D @ C ) )
           => ( A @ D ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EFORALL__IN__BIGUNION)).

thf(20,plain,(
    ! [TA: $tType,A: TA > $o,B: ( TA > $o ) > $o] :
      ( ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ ( c_2Epred__set_2EBIGUNION @ TA @ B ) )
           => ( A @ C ) ) )
      = ( ! [C: TA > $o,D: TA] :
            ( ( ( c_2Ebool_2EIN @ ( TA > $o ) @ C @ B )
              & ( c_2Ebool_2EIN @ TA @ D @ C ) )
           => ( A @ D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(8,axiom,(
    ! [TA: $tType] :
      ( ( c_2Ebool_2EIN @ TA )
      = ( ^ [A: TA,B: TA > $o] :
            ( B @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EIN__DEF)).

thf(28,plain,(
    ! [TA: $tType] :
      ( ( c_2Ebool_2EIN @ TA )
      = ( ^ [A: TA,B: TA > $o] :
            ( B @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(10,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > $o,B: TB > $o,C: tyop_2Epair_2Eprod @ TA @ TB] :
      ( ( c_2Ebool_2EIN @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ C @ ( c_2Epred__set_2ECROSS @ TA @ TB @ A @ B ) )
      = ( ( c_2Ebool_2EIN @ TA @ ( c_2Epair_2EFST @ TA @ TB @ C ) @ A )
        & ( c_2Ebool_2EIN @ TB @ ( c_2Epair_2ESND @ TA @ TB @ C ) @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__CROSS)).

thf(33,plain,(
    ! [TA: $tType,TB: $tType,A: TA > $o,B: TB > $o,C: tyop_2Epair_2Eprod @ TA @ TB] :
      ( ( c_2Ebool_2EIN @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ C @ ( c_2Epred__set_2ECROSS @ TA @ TB @ A @ B ) )
      = ( ( c_2Ebool_2EIN @ TA @ ( c_2Epair_2EFST @ TA @ TB @ C ) @ A )
        & ( c_2Ebool_2EIN @ TB @ ( c_2Epair_2ESND @ TA @ TB @ C ) @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(12,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Epred__set_2Ecountable @ TA @ A )
      = ( ? [B: tyop_2Enum_2Enum > TA] :
            ( c_2Epred__set_2ESUBSET @ TA @ A @ ( c_2Epred__set_2EIMAGE @ tyop_2Enum_2Enum @ TA @ B @ ( c_2Epred__set_2EUNIV @ tyop_2Enum_2Enum ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecardinal_2ECOUNTABLE__AS__IMAGE__SUBSET__EQ)).

thf(39,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Epred__set_2Ecountable @ TA @ A )
      = ( ? [B: tyop_2Enum_2Enum > TA] :
            ( c_2Epred__set_2ESUBSET @ TA @ A @ ( c_2Epred__set_2EIMAGE @ tyop_2Enum_2Enum @ TA @ B @ ( c_2Epred__set_2EUNIV @ tyop_2Enum_2Enum ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(3,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( ( c_2Epred__set_2ESUBSET @ TA @ A @ B )
        & ( c_2Epred__set_2Ecountable @ TA @ B ) )
     => ( c_2Epred__set_2Ecountable @ TA @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ECOUNTABLE__SUBSET)).

thf(18,plain,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( ( c_2Epred__set_2ESUBSET @ TA @ A @ B )
        & ( c_2Epred__set_2Ecountable @ TA @ B ) )
     => ( c_2Epred__set_2Ecountable @ TA @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(9,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > $o,B: TB > $o] :
      ( ( ( c_2Epred__set_2Ecountable @ TA @ A )
        & ( c_2Epred__set_2Ecountable @ TB @ B ) )
     => ( c_2Epred__set_2Ecountable @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ ( c_2Epred__set_2ECROSS @ TA @ TB @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecardinal_2ECOUNTABLE__CROSS)).

thf(31,plain,(
    ! [TA: $tType,TB: $tType,A: TA > $o,B: TB > $o] :
      ( ( ( c_2Epred__set_2Ecountable @ TA @ A )
        & ( c_2Epred__set_2Ecountable @ TB @ B ) )
     => ( c_2Epred__set_2Ecountable @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ ( c_2Epred__set_2ECROSS @ TA @ TB @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(7,axiom,(
    ! [TA: $tType,A: TA] :
      ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EUNIV @ TA ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__UNIV)).

thf(26,plain,(
    ! [TA: $tType,A: TA] :
      ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EUNIV @ TA ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(5,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > TB,B: TA > $o] :
      ( ( c_2Epred__set_2Ecountable @ TA @ B )
     => ( c_2Epred__set_2Ecountable @ TB @ ( c_2Epred__set_2EIMAGE @ TA @ TB @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecardinal_2ECOUNTABLE__IMAGE)).

thf(23,plain,(
    ! [TA: $tType,TB: $tType,A: TA > TB,B: TA > $o] :
      ( ( c_2Epred__set_2Ecountable @ TA @ B )
     => ( c_2Epred__set_2Ecountable @ TB @ ( c_2Epred__set_2EIMAGE @ TA @ TB @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(11,axiom,(
    ! [TA: $tType,TB: $tType,A: TB,B: TA > $o,C: TA > TB] :
      ( ( c_2Ebool_2EIN @ TB @ A @ ( c_2Epred__set_2EIMAGE @ TA @ TB @ C @ B ) )
      = ( ? [D: TA] :
            ( ( A
              = ( C @ D ) )
            & ( c_2Ebool_2EIN @ TA @ D @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__IMAGE)).

thf(36,plain,(
    ! [TA: $tType,TB: $tType,A: TB,B: TA > $o,C: TA > TB] :
      ( ( c_2Ebool_2EIN @ TB @ A @ ( c_2Epred__set_2EIMAGE @ TA @ TB @ C @ B ) )
      = ( ? [D: TA] :
            ( ( A
              = ( C @ D ) )
            & ( c_2Ebool_2EIN @ TA @ D @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(47,plain,(
    $false ),
    inference(iprover,[status(thm)],[42,25,14,20,28,33,39,18,31,26,23,36])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.10/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.10/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.10/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.10/0.12  % CPULimit   : 300
% 0.10/0.12  % DateTime   : Tue Jul 30 23:32:58 EDT 2019
% 0.10/0.13  % CPUTime    : 
% 4.20/1.56  % [INFO] 	 Running in sequential loop mode. 
% 4.82/1.73  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.98/1.79  % [INFO] 	 iprover registered as external prover. 
% 4.98/1.79  % [INFO] 	 e registered as external prover. 
% 4.98/1.79  % [INFO] 	 cvc4 registered as external prover. 
% 4.98/1.79  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.12/1.85  % [INFO] 	 Found a conjecture and 48 axioms. Running axiom selection ... 
% 5.12/1.89  % [INFO] 	 Axiom selection finished. Selected 11 axioms (removed 37 axioms). 
% 5.31/1.93  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 8.36/2.78  % [INFO] 	 Killing All external provers ... 
% 8.36/2.79  % Time passed: 2524ms
% 8.36/2.79  % Effective reasoning time: 1225ms
% 8.36/2.79  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 8.36/2.79  % Axioms used in derivation (11): thm_2Epred__set_2EFORALL__IN__BIGUNION, thm_2Epred__set_2ECOUNTABLE__SUBSET, thm_2Ecardinal_2ENUM__COUNTABLE, thm_2Epred__set_2EIN__IMAGE, thm_2Ebool_2EIN__DEF, thm_2Epred__set_2EIN__CROSS, thm_2Ecardinal_2ECOUNTABLE__CROSS, thm_2Ecardinal_2ECOUNTABLE__AS__IMAGE__SUBSET__EQ, thm_2Epred__set_2EIN__UNIV, thm_2Epred__set_2ESUBSET__DEF, thm_2Ecardinal_2ECOUNTABLE__IMAGE
% 8.36/2.79  % No. of inferences in proof: 26
% 8.36/2.79  % No. of processed clauses: 1
% 8.36/2.79  % No. of generated clauses: 2
% 8.36/2.79  % No. of forward subsumed clauses: 0
% 8.36/2.79  % No. of backward subsumed clauses: 0
% 8.36/2.79  % No. of ground rewrite rules in store: 0
% 8.36/2.79  % No. of non-ground rewrite rules in store: 0
% 8.36/2.79  % No. of positive (non-rewrite) units in store: 1
% 8.36/2.79  % No. of negative (non-rewrite) units in store: 0
% 8.36/2.79  % No. of choice functions detected: 0
% 8.36/2.79  % No. of choice instantiations: 0
% 8.36/2.79  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2524 ms resp. 1225 ms w/o parsing
% 8.71/2.84  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 8.71/2.84  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 8.71/2.84  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 8.71/2.84  thf(c_2Epred__set_2EBIGUNION_type, type, c_2Epred__set_2EBIGUNION: !>[TA: $tType]: (((TA > $o) > $o) > (TA > $o))).
% 8.71/2.84  thf(c_2Epred__set_2ECROSS_type, type, c_2Epred__set_2ECROSS: !>[TA: $tType,TB: $tType]: ((TA > $o) > ((TB > $o) > ((tyop_2Epair_2Eprod @ TA @ TB) > $o)))).
% 8.71/2.84  thf(c_2Epair_2EFST_type, type, c_2Epair_2EFST: !>[TA: $tType,TB: $tType]: ((tyop_2Epair_2Eprod @ TA @ TB) > TA)).
% 8.71/2.84  thf(c_2Epred__set_2EIMAGE_type, type, c_2Epred__set_2EIMAGE: !>[TA: $tType,TB: $tType]: ((TA > TB) > ((TA > $o) > (TB > $o)))).
% 8.71/2.84  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 8.71/2.84  thf(c_2Epair_2ESND_type, type, c_2Epair_2ESND: !>[TA: $tType,TB: $tType]: ((tyop_2Epair_2Eprod @ TA @ TB) > TB)).
% 8.71/2.84  thf(c_2Epred__set_2ESUBSET_type, type, c_2Epred__set_2ESUBSET: !>[TA: $tType]: ((TA > $o) > ((TA > $o) > $o))).
% 8.71/2.84  thf(c_2Epred__set_2EUNIV_type, type, c_2Epred__set_2EUNIV: !>[TA: $tType]: (TA > $o)).
% 8.71/2.84  thf(c_2Epred__set_2Ecountable_type, type, c_2Epred__set_2Ecountable: !>[TA: $tType]: ((TA > $o) > $o)).
% 8.71/2.84  thf(skt1_type, type, skt1: $tType).
% 8.71/2.84  thf(13,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((c_2Epred__set_2ESUBSET @ TA @ A @ B) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ A) => (c_2Ebool_2EIN @ TA @ C @ B))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ESUBSET__DEF)).
% 8.71/2.84  thf(42,plain,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((c_2Epred__set_2ESUBSET @ TA @ (A) @ (B)) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (A)) => (c_2Ebool_2EIN @ TA @ C @ (B)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 8.71/2.84  thf(6,axiom,((c_2Epred__set_2Ecountable @ tyop_2Enum_2Enum @ (c_2Epred__set_2EUNIV @ tyop_2Enum_2Enum))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecardinal_2ENUM__COUNTABLE)).
% 8.71/2.84  thf(25,plain,((c_2Epred__set_2Ecountable @ tyop_2Enum_2Enum @ (c_2Epred__set_2EUNIV @ tyop_2Enum_2Enum))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 8.71/2.84  thf(1,conjecture,((! [TA: $tType]: (! [A:((TA > $o) > $o)]: (((c_2Epred__set_2Ecountable @ (TA > $o) @ A) & ! [B:(TA > $o)]: ((c_2Ebool_2EIN @ (TA > $o) @ B @ A) => (c_2Epred__set_2Ecountable @ TA @ B))) => (c_2Epred__set_2Ecountable @ TA @ (c_2Epred__set_2EBIGUNION @ TA @ A)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecardinal_2ECOUNTABLE__BIGUNION)).
% 8.71/2.84  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:((TA > $o) > $o)]: (((c_2Epred__set_2Ecountable @ (TA > $o) @ A) & ! [B:(TA > $o)]: ((c_2Ebool_2EIN @ (TA > $o) @ B @ A) => (c_2Epred__set_2Ecountable @ TA @ B))) => (c_2Epred__set_2Ecountable @ TA @ (c_2Epred__set_2EBIGUNION @ TA @ A))))))),inference(neg_conjecture,[status(cth)],[1])).
% 8.71/2.84  thf(14,plain,((~ (! [TA: $tType]: (! [A:((TA > $o) > $o)]: (((c_2Epred__set_2Ecountable @ (TA > $o) @ (A)) & ! [B:(TA > $o)]: ((c_2Ebool_2EIN @ (TA > $o) @ (B) @ (A)) => (c_2Epred__set_2Ecountable @ TA @ (B)))) => (c_2Epred__set_2Ecountable @ TA @ (c_2Epred__set_2EBIGUNION @ TA @ (A)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 8.71/2.84  thf(4,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:((TA > $o) > $o)]: ((! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (c_2Epred__set_2EBIGUNION @ TA @ B)) => (A @ C))) = (! [C:(TA > $o),D:TA]: (((c_2Ebool_2EIN @ (TA > $o) @ C @ B) & (c_2Ebool_2EIN @ TA @ D @ C)) => (A @ D))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EFORALL__IN__BIGUNION)).
% 8.71/2.84  thf(20,plain,((! [TA: $tType]: (! [A:(TA > $o),B:((TA > $o) > $o)]: ((! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (c_2Epred__set_2EBIGUNION @ TA @ (B))) => (A @ C))) = (! [C:(TA > $o),D:TA]: (((c_2Ebool_2EIN @ (TA > $o) @ (C) @ (B)) & (c_2Ebool_2EIN @ TA @ D @ (C))) => (A @ D))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 8.71/2.84  thf(8,axiom,((! [TA: $tType]: ((c_2Ebool_2EIN @ TA) = (^ [A:TA,B:(TA > $o)]: (B @ A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EIN__DEF)).
% 8.71/2.84  thf(28,plain,((! [TA: $tType]: ((c_2Ebool_2EIN @ TA) = (^ [A:TA,B:(TA > $o)]: (B @ A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 8.71/2.84  thf(10,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > $o),B:(TB > $o),C:(tyop_2Epair_2Eprod @ TA @ TB)]: ((c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ TA @ TB) @ C @ (c_2Epred__set_2ECROSS @ TA @ TB @ A @ B)) = ((c_2Ebool_2EIN @ TA @ (c_2Epair_2EFST @ TA @ TB @ C) @ A) & (c_2Ebool_2EIN @ TB @ (c_2Epair_2ESND @ TA @ TB @ C) @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__CROSS)).
% 8.71/2.84  thf(33,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > $o),B:(TB > $o),C:(tyop_2Epair_2Eprod @ TA @ TB)]: ((c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ TA @ TB) @ C @ (c_2Epred__set_2ECROSS @ TA @ TB @ A @ B)) = ((c_2Ebool_2EIN @ TA @ (c_2Epair_2EFST @ TA @ TB @ C) @ (A)) & (c_2Ebool_2EIN @ TB @ (c_2Epair_2ESND @ TA @ TB @ C) @ (B))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 8.71/2.84  thf(12,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Epred__set_2Ecountable @ TA @ A) = (? [B:(tyop_2Enum_2Enum > TA)]: (c_2Epred__set_2ESUBSET @ TA @ A @ (c_2Epred__set_2EIMAGE @ tyop_2Enum_2Enum @ TA @ B @ (c_2Epred__set_2EUNIV @ tyop_2Enum_2Enum)))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecardinal_2ECOUNTABLE__AS__IMAGE__SUBSET__EQ)).
% 8.71/2.84  thf(39,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Epred__set_2Ecountable @ TA @ (A)) = (? [B:(tyop_2Enum_2Enum > TA)]: (c_2Epred__set_2ESUBSET @ TA @ (A) @ (c_2Epred__set_2EIMAGE @ tyop_2Enum_2Enum @ TA @ B @ (c_2Epred__set_2EUNIV @ tyop_2Enum_2Enum)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 8.71/2.84  thf(3,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: (((c_2Epred__set_2ESUBSET @ TA @ A @ B) & (c_2Epred__set_2Ecountable @ TA @ B)) => (c_2Epred__set_2Ecountable @ TA @ A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ECOUNTABLE__SUBSET)).
% 8.71/2.84  thf(18,plain,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: (((c_2Epred__set_2ESUBSET @ TA @ (A) @ (B)) & (c_2Epred__set_2Ecountable @ TA @ (B))) => (c_2Epred__set_2Ecountable @ TA @ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 8.71/2.84  thf(9,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > $o),B:(TB > $o)]: (((c_2Epred__set_2Ecountable @ TA @ A) & (c_2Epred__set_2Ecountable @ TB @ B)) => (c_2Epred__set_2Ecountable @ (tyop_2Epair_2Eprod @ TA @ TB) @ (c_2Epred__set_2ECROSS @ TA @ TB @ A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecardinal_2ECOUNTABLE__CROSS)).
% 8.71/2.84  thf(31,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > $o),B:(TB > $o)]: (((c_2Epred__set_2Ecountable @ TA @ (A)) & (c_2Epred__set_2Ecountable @ TB @ (B))) => (c_2Epred__set_2Ecountable @ (tyop_2Epair_2Eprod @ TA @ TB) @ (c_2Epred__set_2ECROSS @ TA @ TB @ A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 8.71/2.84  thf(7,axiom,((! [TA: $tType]: (! [A:TA]: (c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EUNIV @ TA))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__UNIV)).
% 8.71/2.84  thf(26,plain,((! [TA: $tType]: (! [A:TA]: (c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EUNIV @ TA))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 8.71/2.84  thf(5,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:(TA > $o)]: ((c_2Epred__set_2Ecountable @ TA @ B) => (c_2Epred__set_2Ecountable @ TB @ (c_2Epred__set_2EIMAGE @ TA @ TB @ A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecardinal_2ECOUNTABLE__IMAGE)).
% 8.71/2.84  thf(23,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:(TA > $o)]: ((c_2Epred__set_2Ecountable @ TA @ (B)) => (c_2Epred__set_2Ecountable @ TB @ (c_2Epred__set_2EIMAGE @ TA @ TB @ A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 8.71/2.84  thf(11,axiom,((! [TA: $tType,TB: $tType]: (! [A:TB,B:(TA > $o),C:(TA > TB)]: ((c_2Ebool_2EIN @ TB @ A @ (c_2Epred__set_2EIMAGE @ TA @ TB @ C @ B)) = (? [D:TA]: ((A = (C @ D)) & (c_2Ebool_2EIN @ TA @ D @ B))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__IMAGE)).
% 8.71/2.84  thf(36,plain,((! [TA: $tType,TB: $tType]: (! [A:TB,B:(TA > $o),C:(TA > TB)]: ((c_2Ebool_2EIN @ TB @ A @ (c_2Epred__set_2EIMAGE @ TA @ TB @ C @ B)) = (? [D:TA]: ((A = (C @ D)) & (c_2Ebool_2EIN @ TA @ D @ (B)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 8.71/2.84  thf(47,plain,($false),inference(iprover,[status(thm)],[42,25,14,20,28,33,39,18,31,26,23,36])).
% 8.71/2.84  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 8.71/2.84  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
