%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:39:13 EDT 2019

% Result     : Theorem 9.80s
% Output     : CNFRefutation 9.80s
% Verified   : 
% Statistics : Number of formulae       :   66 (  81 expanded)
%              Number of leaves         :   37 (  43 expanded)
%              Depth                    :    5
%              Number of atoms          :  600 ( 822 expanded)
%              Number of equality atoms :   80 ( 113 expanded)
%              Maximal formula depth    :   16 (   7 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: 
      !>[TA: $tType,TB: $tType] :
        ( TA > TB > ( tyop_2Epair_2Eprod @ TA @ TB ) ) )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Ebool_2ECOND_type,type,(
    c_2Ebool_2ECOND: 
      !>[TA: $tType] :
        ( $o > TA > TA > TA ) )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $o )).

thf(c_2Efinite__map_2EFAPPLY_type,type,(
    c_2Efinite__map_2EFAPPLY: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Efinite__map_2Efmap @ TA @ TB ) > TA > TB ) )).

thf(c_2Efinite__map_2EFDOM_type,type,(
    c_2Efinite__map_2EFDOM: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Efinite__map_2Efmap @ TA @ TB ) > TA > $o ) )).

thf(c_2Efinite__map_2EFLOOKUP_type,type,(
    c_2Efinite__map_2EFLOOKUP: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Efinite__map_2Efmap @ TA @ TB ) > TA > ( tyop_2Eoption_2Eoption @ TB ) ) )).

thf(c_2Efinite__map_2EFUPDATE_type,type,(
    c_2Efinite__map_2EFUPDATE: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Efinite__map_2Efmap @ TA @ TB ) > ( tyop_2Epair_2Eprod @ TA @ TB ) > ( tyop_2Efinite__map_2Efmap @ TA @ TB ) ) )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Epred__set_2EINSERT_type,type,(
    c_2Epred__set_2EINSERT: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > TA > $o ) )).

thf(c_2Eoption_2ENONE_type,type,(
    c_2Eoption_2ENONE: 
      !>[TA: $tType] :
        ( tyop_2Eoption_2Eoption @ TA ) )).

thf(c_2Eoption_2ESOME_type,type,(
    c_2Eoption_2ESOME: 
      !>[TA: $tType] :
        ( TA > ( tyop_2Eoption_2Eoption @ TA ) ) )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(skt2_type,type,(
    skt2: $tType )).

thf(sk1_type,type,(
    sk1: skt1 )).

thf(sk2_type,type,(
    sk2: skt2 )).

thf(sk3_type,type,(
    sk3: skt2 )).

thf(sk4_type,type,(
    sk4: ( tyop_2Efinite__map_2Efmap @ skt2 @ skt1 ) )).

thf(4,axiom,(
    c_2Ebool_2ET ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(24,plain,(
    c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(5,axiom,(
    ! [A: $o] :
      ( ~ A
     => ( A
       => c_2Ebool_2EF ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EF__IMP)).

thf(25,plain,(
    ! [A: $o] :
      ( ~ A
     => ( A
       => c_2Ebool_2EF ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(11,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(57,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(14,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( c_2Eoption_2ENONE @ TA )
     != ( c_2Eoption_2ESOME @ TA @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eoption_2ENOT__NONE__SOME)).

thf(76,plain,(
    ! [TA: $tType,A: TA] :
      ( ( c_2Eoption_2ENONE @ TA )
     != ( c_2Eoption_2ESOME @ TA @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(77,plain,(
    ! [TA: $tType,A: TA] :
      ( ( c_2Eoption_2ENONE @ TA )
     != ( c_2Eoption_2ESOME @ TA @ A ) ) ),
    inference(cnf,[status(esa)],[76])).

thf(78,plain,(
    ! [TA: $tType,A: TA] :
      ( ( c_2Eoption_2ESOME @ TA @ A )
     != ( c_2Eoption_2ENONE @ TA ) ) ),
    inference(lifteq,[status(thm)],[77])).

thf(16,axiom,(
    ! [TA: $tType,TB: $tType,A: tyop_2Efinite__map_2Efmap @ TA @ TB,B: TA,C: TB] :
      ( ( c_2Efinite__map_2EFDOM @ TA @ TB @ ( c_2Efinite__map_2EFUPDATE @ TA @ TB @ A @ ( c_2Epair_2E_2C @ TA @ TB @ B @ C ) ) )
      = ( c_2Epred__set_2EINSERT @ TA @ B @ ( c_2Efinite__map_2EFDOM @ TA @ TB @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Efinite__map_2EFDOM__FUPDATE)).

thf(84,plain,(
    ! [TA: $tType,TB: $tType,A: tyop_2Efinite__map_2Efmap @ TA @ TB,B: TA,C: TB] :
      ( ( c_2Efinite__map_2EFDOM @ TA @ TB @ ( c_2Efinite__map_2EFUPDATE @ TA @ TB @ A @ ( c_2Epair_2E_2C @ TA @ TB @ B @ C ) ) )
      = ( c_2Epred__set_2EINSERT @ TA @ B @ ( c_2Efinite__map_2EFDOM @ TA @ TB @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(12,axiom,(
    ! [TA: $tType,TB: $tType,A: tyop_2Efinite__map_2Efmap @ TA @ TB,B: TA,C: TB,D: TA] :
      ( ( c_2Efinite__map_2EFAPPLY @ TA @ TB @ ( c_2Efinite__map_2EFUPDATE @ TA @ TB @ A @ ( c_2Epair_2E_2C @ TA @ TB @ B @ C ) ) @ D )
      = ( c_2Ebool_2ECOND @ TB @ ( c_2Emin_2E_3D @ TA @ D @ B ) @ C @ ( c_2Efinite__map_2EFAPPLY @ TA @ TB @ A @ D ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Efinite__map_2EFAPPLY__FUPDATE__THM)).

thf(60,plain,(
    ! [TA: $tType,TB: $tType,A: tyop_2Efinite__map_2Efmap @ TA @ TB,B: TA,C: TB,D: TA] :
      ( ( c_2Efinite__map_2EFAPPLY @ TA @ TB @ ( c_2Efinite__map_2EFUPDATE @ TA @ TB @ A @ ( c_2Epair_2E_2C @ TA @ TB @ B @ C ) ) @ D )
      = ( c_2Ebool_2ECOND @ TB @ ( c_2Emin_2E_3D @ TA @ D @ B ) @ C @ ( c_2Efinite__map_2EFAPPLY @ TA @ TB @ A @ D ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(1,conjecture,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB,C: TB,D: tyop_2Efinite__map_2Efmap @ TB @ TA] :
      ( ( c_2Efinite__map_2EFLOOKUP @ TB @ TA @ ( c_2Efinite__map_2EFUPDATE @ TB @ TA @ D @ ( c_2Epair_2E_2C @ TB @ TA @ C @ A ) ) @ B )
      = ( c_2Ebool_2ECOND @ ( tyop_2Eoption_2Eoption @ TA ) @ ( c_2Emin_2E_3D @ TB @ C @ B ) @ ( c_2Eoption_2ESOME @ TA @ A ) @ ( c_2Efinite__map_2EFLOOKUP @ TB @ TA @ D @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Efinite__map_2EFLOOKUP__UPDATE)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,TB: $tType,A: TA,B: TB,C: TB,D: tyop_2Efinite__map_2Efmap @ TB @ TA] :
        ( ( c_2Efinite__map_2EFLOOKUP @ TB @ TA @ ( c_2Efinite__map_2EFUPDATE @ TB @ TA @ D @ ( c_2Epair_2E_2C @ TB @ TA @ C @ A ) ) @ B )
        = ( c_2Ebool_2ECOND @ ( tyop_2Eoption_2Eoption @ TA ) @ ( c_2Emin_2E_3D @ TB @ C @ B ) @ ( c_2Eoption_2ESOME @ TA @ A ) @ ( c_2Efinite__map_2EFLOOKUP @ TB @ TA @ D @ B ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(19,plain,(
    ~ ! [TA: $tType,TB: $tType,A: TA,B: TB,C: TB,D: tyop_2Efinite__map_2Efmap @ TB @ TA] :
        ( ( c_2Efinite__map_2EFLOOKUP @ TB @ TA @ ( c_2Efinite__map_2EFUPDATE @ TB @ TA @ D @ ( c_2Epair_2E_2C @ TB @ TA @ C @ A ) ) @ B )
        = ( c_2Ebool_2ECOND @ ( tyop_2Eoption_2Eoption @ TA ) @ ( c_2Emin_2E_3D @ TB @ C @ B ) @ ( c_2Eoption_2ESOME @ TA @ A ) @ ( c_2Efinite__map_2EFLOOKUP @ TB @ TA @ D @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(20,plain,(
    ( c_2Efinite__map_2EFLOOKUP @ skt2 @ skt1 @ ( c_2Efinite__map_2EFUPDATE @ skt2 @ skt1 @ sk4 @ ( c_2Epair_2E_2C @ skt2 @ skt1 @ sk3 @ sk1 ) ) @ sk2 )
 != ( c_2Ebool_2ECOND @ ( tyop_2Eoption_2Eoption @ skt1 ) @ ( c_2Emin_2E_3D @ skt2 @ sk3 @ sk2 ) @ ( c_2Eoption_2ESOME @ skt1 @ sk1 ) @ ( c_2Efinite__map_2EFLOOKUP @ skt2 @ skt1 @ sk4 @ sk2 ) ) ),
    inference(cnf,[status(esa)],[19])).

thf(21,plain,(
    ( c_2Efinite__map_2EFLOOKUP @ skt2 @ skt1 @ ( c_2Efinite__map_2EFUPDATE @ skt2 @ skt1 @ sk4 @ ( c_2Epair_2E_2C @ skt2 @ skt1 @ sk3 @ sk1 ) ) @ sk2 )
 != ( c_2Ebool_2ECOND @ ( tyop_2Eoption_2Eoption @ skt1 ) @ ( c_2Emin_2E_3D @ skt2 @ sk3 @ sk2 ) @ ( c_2Eoption_2ESOME @ skt1 @ sk1 ) @ ( c_2Efinite__map_2EFLOOKUP @ skt2 @ skt1 @ sk4 @ sk2 ) ) ),
    inference(lifteq,[status(thm)],[20])).

thf(6,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
          & A )
        = A )
      & ( ( A
          & c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF
          & A )
        = c_2Ebool_2EF )
      & ( ( A
          & c_2Ebool_2EF )
        = c_2Ebool_2EF )
      & ( ( A
          & A )
        = A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EAND__CLAUSES)).

thf(30,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
          & A )
        = A )
      & ( ( A
          & c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF
          & A )
        = c_2Ebool_2EF )
      & ( ( A
          & c_2Ebool_2EF )
        = c_2Ebool_2EF ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(33,plain,
    ( ( ( c_2Ebool_2ET
        & $false )
      = $false )
    & ( ( $false
        & c_2Ebool_2ET )
      = $false )
    & ( ( c_2Ebool_2EF
        & $false )
      = c_2Ebool_2EF )
    & ( ( $false
        & c_2Ebool_2EF )
      = c_2Ebool_2EF ) ),
    inference(instance,[status(thm)],[30])).

thf(34,plain,(
    ~ c_2Ebool_2EF ),
    inference(simp,[status(thm)],[33])).

thf(9,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).

thf(45,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(3,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( A = A )
      = c_2Ebool_2ET ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).

thf(22,plain,(
    ! [TA: $tType] : c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(10,axiom,(
    ! [TA: $tType,A: TA,B: TA,C: TA > $o] :
      ( ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EINSERT @ TA @ B @ C ) )
      = ( ( A = B )
        | ( c_2Ebool_2EIN @ TA @ A @ C ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__INSERT)).

thf(54,plain,(
    ! [TA: $tType,A: TA,B: TA,C: TA > $o] :
      ( ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EINSERT @ TA @ B @ C ) )
      = ( ( A = B )
        | ( c_2Ebool_2EIN @ TA @ A @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(7,axiom,(
    ! [A: $o] :
      ( c_2Ebool_2EF
     => A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EFALSITY)).

thf(35,plain,(
    ! [A: $o] :
      ( c_2Ebool_2EF
     => A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(13,axiom,(
    ! [TA: $tType,A: $o,B: $o,C: TA,D: TA,E: TA,F: TA] :
      ( ( ( A = B )
        & ( B
         => ( C = D ) )
        & ( ~ B
         => ( E = F ) ) )
     => ( ( c_2Ebool_2ECOND @ TA @ A @ C @ E )
        = ( c_2Ebool_2ECOND @ TA @ B @ D @ F ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ECOND__CONG)).

thf(63,plain,(
    ! [TA: $tType,A: $o,B: $o,C: TA,D: TA,E: TA,F: TA] :
      ( ( ( A = B )
        & ( B
         => ( C = D ) )
        & ( ~ B
         => ( E = F ) ) )
     => ( ( c_2Ebool_2ECOND @ TA @ A @ C @ E )
        = ( c_2Ebool_2ECOND @ TA @ B @ D @ F ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(17,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( ( c_2Eoption_2ESOME @ TA @ A )
        = ( c_2Eoption_2ESOME @ TA @ B ) )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eoption_2ESOME__11)).

thf(87,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( ( c_2Eoption_2ESOME @ TA @ A )
        = ( c_2Eoption_2ESOME @ TA @ B ) )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(15,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B )
        = A )
      & ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B )
        = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ECOND__CLAUSES)).

thf(79,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B )
        = A )
      & ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(80,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B )
      = B ) ),
    inference(cnf,[status(esa)],[79])).

thf(82,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B )
      = B ) ),
    inference(lifteq,[status(thm)],[80])).

thf(104,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Ebool_2ECOND @ TA @ $false @ A @ B )
      = B ) ),
    inference(rewrite,[status(thm)],[82,34])).

thf(8,axiom,
    ( ! [A: $o] : ( ( ~ ~ A ) = A )
    & ( ( ~ c_2Ebool_2ET ) = c_2Ebool_2EF )
    & ( ( ~ c_2Ebool_2EF ) = c_2Ebool_2ET ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ENOT__CLAUSES)).

thf(40,plain,
    ( ( ( ~ c_2Ebool_2ET ) = c_2Ebool_2EF )
    & ( ( ~ c_2Ebool_2EF ) = c_2Ebool_2ET ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(23,plain,(
    c_2Ebool_2ET ),
    inference(cnf,[status(esa)],[22])).

thf(18,axiom,(
    ! [TA: $tType,TB: $tType,A: tyop_2Efinite__map_2Efmap @ TA @ TB,B: TA] :
      ( ( c_2Efinite__map_2EFLOOKUP @ TA @ TB @ A @ B )
      = ( c_2Ebool_2ECOND @ ( tyop_2Eoption_2Eoption @ TB ) @ ( c_2Ebool_2EIN @ TA @ B @ ( c_2Efinite__map_2EFDOM @ TA @ TB @ A ) ) @ ( c_2Eoption_2ESOME @ TB @ ( c_2Efinite__map_2EFAPPLY @ TA @ TB @ A @ B ) ) @ ( c_2Eoption_2ENONE @ TB ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Efinite__map_2EFLOOKUP__DEF)).

thf(90,plain,(
    ! [TA: $tType,TB: $tType,A: tyop_2Efinite__map_2Efmap @ TA @ TB,B: TA] :
      ( ( c_2Efinite__map_2EFLOOKUP @ TA @ TB @ A @ B )
      = ( c_2Ebool_2ECOND @ ( tyop_2Eoption_2Eoption @ TB ) @ ( c_2Ebool_2EIN @ TA @ B @ ( c_2Efinite__map_2EFDOM @ TA @ TB @ A ) ) @ ( c_2Eoption_2ESOME @ TB @ ( c_2Efinite__map_2EFAPPLY @ TA @ TB @ A @ B ) ) @ ( c_2Eoption_2ENONE @ TB ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(170,plain,(
    $false ),
    inference(e,[status(thm)],[24,25,57,78,84,60,21,34,45,22,54,76,35,63,87,104,40,23,30,19,79,90])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.03/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.03/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.03/0.13  % CPULimit   : 300
% 0.03/0.13  % DateTime   : Tue Jul 30 23:47:48 EDT 2019
% 0.03/0.13  % CPUTime    : 
% 3.79/1.46  % [INFO] 	 Running in sequential loop mode. 
% 4.60/1.64  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.80/1.70  % [INFO] 	 iprover registered as external prover. 
% 4.80/1.71  % [INFO] 	 e registered as external prover. 
% 4.80/1.71  % [INFO] 	 cvc4 registered as external prover. 
% 4.80/1.71  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.17/1.77  % [INFO] 	 Found a conjecture and 27 axioms. Running axiom selection ... 
% 5.44/1.83  % [INFO] 	 Axiom selection finished. Selected 16 axioms (removed 11 axioms). 
% 5.54/1.88  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 9.80/2.92  % [INFO] 	 Killing All external provers ... 
% 9.80/2.92  % Time passed: 2653ms
% 9.80/2.92  % Effective reasoning time: 1458ms
% 9.80/2.92  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 9.80/2.92  % Axioms used in derivation (16): thm_2Ebool_2ENOT__CLAUSES, thm_2Efinite__map_2EFAPPLY__FUPDATE__THM, logicdef_2E_3D, thm_2Ebool_2EREFL__CLAUSE, thm_2Ebool_2EEQ__CLAUSES, thm_2Ebool_2EFALSITY, thm_2Epred__set_2EIN__INSERT, thm_2Ebool_2ECOND__CLAUSES, thm_2Eoption_2ESOME__11, thm_2Ebool_2ECOND__CONG, thm_2Efinite__map_2EFLOOKUP__DEF, thm_2Ebool_2ETRUTH, thm_2Ebool_2EF__IMP, thm_2Eoption_2ENOT__NONE__SOME, thm_2Ebool_2EAND__CLAUSES, thm_2Efinite__map_2EFDOM__FUPDATE
% 9.80/2.92  % No. of inferences in proof: 46
% 9.80/2.92  % No. of processed clauses: 8
% 9.80/2.92  % No. of generated clauses: 20
% 9.80/2.92  % No. of forward subsumed clauses: 9
% 9.80/2.92  % No. of backward subsumed clauses: 0
% 9.80/2.92  % No. of ground rewrite rules in store: 2
% 9.80/2.92  % No. of non-ground rewrite rules in store: 2
% 9.80/2.92  % No. of positive (non-rewrite) units in store: 0
% 9.80/2.92  % No. of negative (non-rewrite) units in store: 4
% 9.80/2.93  % No. of choice functions detected: 0
% 9.80/2.93  % No. of choice instantiations: 0
% 9.80/2.93  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2653 ms resp. 1458 ms w/o parsing
% 9.80/2.95  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 9.80/2.95  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 9.80/2.95  thf(c_2Epair_2E_2C_type, type, c_2Epair_2E_2C: !>[TA: $tType,TB: $tType]: (TA > (TB > (tyop_2Epair_2Eprod @ TA @ TB)))).
% 9.80/2.95  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 9.80/2.95  thf(c_2Ebool_2ECOND_type, type, c_2Ebool_2ECOND: !>[TA: $tType]: ($o > (TA > (TA > TA)))).
% 9.80/2.95  thf(c_2Ebool_2EF_type, type, c_2Ebool_2EF: $o).
% 9.80/2.95  thf(c_2Efinite__map_2EFAPPLY_type, type, c_2Efinite__map_2EFAPPLY: !>[TA: $tType,TB: $tType]: ((tyop_2Efinite__map_2Efmap @ TA @ TB) > (TA > TB))).
% 9.80/2.95  thf(c_2Efinite__map_2EFDOM_type, type, c_2Efinite__map_2EFDOM: !>[TA: $tType,TB: $tType]: ((tyop_2Efinite__map_2Efmap @ TA @ TB) > (TA > $o))).
% 9.80/2.95  thf(c_2Efinite__map_2EFLOOKUP_type, type, c_2Efinite__map_2EFLOOKUP: !>[TA: $tType,TB: $tType]: ((tyop_2Efinite__map_2Efmap @ TA @ TB) > (TA > (tyop_2Eoption_2Eoption @ TB)))).
% 9.80/2.95  thf(c_2Efinite__map_2EFUPDATE_type, type, c_2Efinite__map_2EFUPDATE: !>[TA: $tType,TB: $tType]: ((tyop_2Efinite__map_2Efmap @ TA @ TB) > ((tyop_2Epair_2Eprod @ TA @ TB) > (tyop_2Efinite__map_2Efmap @ TA @ TB)))).
% 9.80/2.95  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 9.80/2.95  thf(c_2Epred__set_2EINSERT_type, type, c_2Epred__set_2EINSERT: !>[TA: $tType]: (TA > ((TA > $o) > (TA > $o)))).
% 9.80/2.95  thf(c_2Eoption_2ENONE_type, type, c_2Eoption_2ENONE: !>[TA: $tType]: (tyop_2Eoption_2Eoption @ TA)).
% 9.80/2.95  thf(c_2Eoption_2ESOME_type, type, c_2Eoption_2ESOME: !>[TA: $tType]: (TA > (tyop_2Eoption_2Eoption @ TA))).
% 9.80/2.95  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 9.80/2.95  thf(skt1_type, type, skt1: $tType).
% 9.80/2.95  thf(skt2_type, type, skt2: $tType).
% 9.80/2.95  thf(sk1_type, type, sk1: skt1).
% 9.80/2.95  thf(sk2_type, type, sk2: skt2).
% 9.80/2.95  thf(sk3_type, type, sk3: skt2).
% 9.80/2.95  thf(sk4_type, type, sk4: (tyop_2Efinite__map_2Efmap @ skt2 @ skt1)).
% 9.80/2.95  thf(4,axiom,(c_2Ebool_2ET),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).
% 9.80/2.95  thf(24,plain,(c_2Ebool_2ET),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 9.80/2.95  thf(5,axiom,((! [A:$o]: ((~ (A)) => ((A) => (c_2Ebool_2EF))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EF__IMP)).
% 9.80/2.95  thf(25,plain,((! [A:$o]: ((~ (A)) => ((A) => (c_2Ebool_2EF))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 9.80/2.95  thf(11,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 9.80/2.95  thf(57,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 9.80/2.95  thf(14,axiom,((! [TA: $tType]: (! [A:TA]: ~ ((c_2Eoption_2ENONE @ TA) = (c_2Eoption_2ESOME @ TA @ A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eoption_2ENOT__NONE__SOME)).
% 9.80/2.95  thf(76,plain,((! [TA: $tType]: (! [A:TA]: ~ ((c_2Eoption_2ENONE @ TA) = (c_2Eoption_2ESOME @ TA @ A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).
% 9.80/2.95  thf(77,plain,(! [TA:$tType,A:TA] : ((~ ((c_2Eoption_2ENONE @ TA) = (c_2Eoption_2ESOME @ TA @ A))))),inference(cnf,[status(esa)],[76])).
% 9.80/2.95  thf(78,plain,(! [TA:$tType,A:TA] : (((c_2Eoption_2ESOME @ TA @ A) != (c_2Eoption_2ENONE @ TA)))),inference(lifteq,[status(thm)],[77])).
% 9.80/2.95  thf(16,axiom,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Efinite__map_2Efmap @ TA @ TB),B:TA,C:TB]: ((c_2Efinite__map_2EFDOM @ TA @ TB @ (c_2Efinite__map_2EFUPDATE @ TA @ TB @ A @ (c_2Epair_2E_2C @ TA @ TB @ B @ C))) = (c_2Epred__set_2EINSERT @ TA @ B @ (c_2Efinite__map_2EFDOM @ TA @ TB @ A)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Efinite__map_2EFDOM__FUPDATE)).
% 9.80/2.95  thf(84,plain,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Efinite__map_2Efmap @ TA @ TB),B:TA,C:TB]: ((c_2Efinite__map_2EFDOM @ TA @ TB @ (c_2Efinite__map_2EFUPDATE @ TA @ TB @ A @ (c_2Epair_2E_2C @ TA @ TB @ B @ C))) = (c_2Epred__set_2EINSERT @ TA @ B @ (c_2Efinite__map_2EFDOM @ TA @ TB @ A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).
% 9.80/2.95  thf(12,axiom,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Efinite__map_2Efmap @ TA @ TB),B:TA,C:TB,D:TA]: ((c_2Efinite__map_2EFAPPLY @ TA @ TB @ (c_2Efinite__map_2EFUPDATE @ TA @ TB @ A @ (c_2Epair_2E_2C @ TA @ TB @ B @ C)) @ D) = (c_2Ebool_2ECOND @ TB @ (c_2Emin_2E_3D @ TA @ D @ B) @ C @ (c_2Efinite__map_2EFAPPLY @ TA @ TB @ A @ D)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Efinite__map_2EFAPPLY__FUPDATE__THM)).
% 9.80/2.96  thf(60,plain,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Efinite__map_2Efmap @ TA @ TB),B:TA,C:TB,D:TA]: ((c_2Efinite__map_2EFAPPLY @ TA @ TB @ (c_2Efinite__map_2EFUPDATE @ TA @ TB @ A @ (c_2Epair_2E_2C @ TA @ TB @ B @ C)) @ D) = (c_2Ebool_2ECOND @ TB @ (c_2Emin_2E_3D @ TA @ D @ B) @ C @ (c_2Efinite__map_2EFAPPLY @ TA @ TB @ A @ D)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 9.80/2.96  thf(1,conjecture,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB,C:TB,D:(tyop_2Efinite__map_2Efmap @ TB @ TA)]: ((c_2Efinite__map_2EFLOOKUP @ TB @ TA @ (c_2Efinite__map_2EFUPDATE @ TB @ TA @ D @ (c_2Epair_2E_2C @ TB @ TA @ C @ A)) @ B) = (c_2Ebool_2ECOND @ (tyop_2Eoption_2Eoption @ TA) @ (c_2Emin_2E_3D @ TB @ C @ B) @ (c_2Eoption_2ESOME @ TA @ A) @ (c_2Efinite__map_2EFLOOKUP @ TB @ TA @ D @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Efinite__map_2EFLOOKUP__UPDATE)).
% 9.80/2.96  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType]: (! [A:TA,B:TB,C:TB,D:(tyop_2Efinite__map_2Efmap @ TB @ TA)]: ((c_2Efinite__map_2EFLOOKUP @ TB @ TA @ (c_2Efinite__map_2EFUPDATE @ TB @ TA @ D @ (c_2Epair_2E_2C @ TB @ TA @ C @ A)) @ B) = (c_2Ebool_2ECOND @ (tyop_2Eoption_2Eoption @ TA) @ (c_2Emin_2E_3D @ TB @ C @ B) @ (c_2Eoption_2ESOME @ TA @ A) @ (c_2Efinite__map_2EFLOOKUP @ TB @ TA @ D @ B))))))),inference(neg_conjecture,[status(cth)],[1])).
% 9.80/2.96  thf(19,plain,((~ (! [TA: $tType,TB: $tType]: (! [A:TA,B:TB,C:TB,D:(tyop_2Efinite__map_2Efmap @ TB @ TA)]: ((c_2Efinite__map_2EFLOOKUP @ TB @ TA @ (c_2Efinite__map_2EFUPDATE @ TB @ TA @ D @ (c_2Epair_2E_2C @ TB @ TA @ C @ A)) @ B) = (c_2Ebool_2ECOND @ (tyop_2Eoption_2Eoption @ TA) @ (c_2Emin_2E_3D @ TB @ C @ B) @ (c_2Eoption_2ESOME @ TA @ A) @ (c_2Efinite__map_2EFLOOKUP @ TB @ TA @ D @ B))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 9.80/2.96  thf(20,plain,((~ ((c_2Efinite__map_2EFLOOKUP @ skt2 @ skt1 @ (c_2Efinite__map_2EFUPDATE @ skt2 @ skt1 @ sk4 @ (c_2Epair_2E_2C @ skt2 @ skt1 @ sk3 @ sk1)) @ sk2) = (c_2Ebool_2ECOND @ (tyop_2Eoption_2Eoption @ skt1) @ (c_2Emin_2E_3D @ skt2 @ sk3 @ sk2) @ (c_2Eoption_2ESOME @ skt1 @ sk1) @ (c_2Efinite__map_2EFLOOKUP @ skt2 @ skt1 @ sk4 @ sk2))))),inference(cnf,[status(esa)],[19])).
% 9.80/2.96  thf(21,plain,(((c_2Efinite__map_2EFLOOKUP @ skt2 @ skt1 @ (c_2Efinite__map_2EFUPDATE @ skt2 @ skt1 @ sk4 @ (c_2Epair_2E_2C @ skt2 @ skt1 @ sk3 @ sk1)) @ sk2) != (c_2Ebool_2ECOND @ (tyop_2Eoption_2Eoption @ skt1) @ (c_2Emin_2E_3D @ skt2 @ sk3 @ sk2) @ (c_2Eoption_2ESOME @ skt1 @ sk1) @ (c_2Efinite__map_2EFLOOKUP @ skt2 @ skt1 @ sk4 @ sk2)))),inference(lifteq,[status(thm)],[20])).
% 9.80/2.96  thf(6,axiom,((! [A:$o]: ((((c_2Ebool_2ET) & (A)) = A) & (((A) & (c_2Ebool_2ET)) = A) & (((c_2Ebool_2EF) & (A)) = c_2Ebool_2EF) & (((A) & (c_2Ebool_2EF)) = c_2Ebool_2EF) & (((A) & (A)) = A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EAND__CLAUSES)).
% 9.80/2.96  thf(30,plain,((! [A:$o]: ((((c_2Ebool_2ET) & (A)) = A) & (((A) & (c_2Ebool_2ET)) = A) & (((c_2Ebool_2EF) & (A)) = c_2Ebool_2EF) & (((A) & (c_2Ebool_2EF)) = c_2Ebool_2EF)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 9.80/2.96  thf(33,plain,(((((c_2Ebool_2ET) & ($false)) = $false) & ((($false) & (c_2Ebool_2ET)) = $false) & (((c_2Ebool_2EF) & ($false)) = c_2Ebool_2EF) & ((($false) & (c_2Ebool_2EF)) = c_2Ebool_2EF))),inference(instance,[status(thm)],[30])).
% 9.80/2.96  thf(34,plain,(~ (c_2Ebool_2EF)),inference(simp,[status(thm)],[33])).
% 9.80/2.96  thf(9,axiom,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).
% 9.80/2.96  thf(45,plain,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 9.80/2.96  thf(3,axiom,((! [TA: $tType]: (! [A:TA]: ((A = A) = c_2Ebool_2ET)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).
% 9.80/2.96  thf(22,plain,((! [TA: $tType]: (c_2Ebool_2ET))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 9.80/2.96  thf(10,axiom,((! [TA: $tType]: (! [A:TA,B:TA,C:(TA > $o)]: ((c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EINSERT @ TA @ B @ C)) = ((A = B) | (c_2Ebool_2EIN @ TA @ A @ C)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__INSERT)).
% 9.80/2.96  thf(54,plain,((! [TA: $tType]: (! [A:TA,B:TA,C:(TA > $o)]: ((c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EINSERT @ TA @ B @ C)) = ((A = B) | (c_2Ebool_2EIN @ TA @ A @ (C))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 9.80/2.96  thf(7,axiom,((! [A:$o]: ((c_2Ebool_2EF) => (A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EFALSITY)).
% 9.80/2.96  thf(35,plain,((! [A:$o]: ((c_2Ebool_2EF) => (A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 9.80/2.96  thf(13,axiom,((! [TA: $tType]: (! [A:$o,B:$o,C:TA,D:TA,E:TA,F:TA]: (((A = B) & ((B) => (C = D)) & ((~ (B)) => (E = F))) => ((c_2Ebool_2ECOND @ TA @ A @ C @ E) = (c_2Ebool_2ECOND @ TA @ B @ D @ F)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ECOND__CONG)).
% 9.80/2.96  thf(63,plain,((! [TA: $tType]: (! [A:$o,B:$o,C:TA,D:TA,E:TA,F:TA]: (((A = B) & ((B) => (C = D)) & ((~ (B)) => (E = F))) => ((c_2Ebool_2ECOND @ TA @ A @ C @ E) = (c_2Ebool_2ECOND @ TA @ B @ D @ F)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 9.80/2.96  thf(17,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: (((c_2Eoption_2ESOME @ TA @ A) = (c_2Eoption_2ESOME @ TA @ B)) = (A = B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eoption_2ESOME__11)).
% 9.80/2.96  thf(87,plain,((! [TA: $tType]: (! [A:TA,B:TA]: (((c_2Eoption_2ESOME @ TA @ A) = (c_2Eoption_2ESOME @ TA @ B)) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).
% 9.80/2.96  thf(15,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: (((c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B) = A) & ((c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B) = B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ECOND__CLAUSES)).
% 9.80/2.96  thf(79,plain,((! [TA: $tType]: (! [A:TA,B:TA]: (((c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B) = A) & ((c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B) = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).
% 9.80/2.96  thf(80,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B) = B))),inference(cnf,[status(esa)],[79])).
% 9.80/2.96  thf(82,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B) = B))),inference(lifteq,[status(thm)],[80])).
% 9.80/2.96  thf(104,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Ebool_2ECOND @ TA @ $false @ A @ B) = B))),inference(rewrite,[status(thm)],[82,34])).
% 9.80/2.96  thf(8,axiom,((! [A:$o]: ((~ (~ (A))) = A) & ((~ (c_2Ebool_2ET)) = c_2Ebool_2EF) & ((~ (c_2Ebool_2EF)) = c_2Ebool_2ET))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ENOT__CLAUSES)).
% 9.80/2.96  thf(40,plain,((((~ (c_2Ebool_2ET)) = c_2Ebool_2EF) & ((~ (c_2Ebool_2EF)) = c_2Ebool_2ET))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 9.80/2.96  thf(23,plain,(c_2Ebool_2ET),inference(cnf,[status(esa)],[22])).
% 9.80/2.96  thf(18,axiom,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Efinite__map_2Efmap @ TA @ TB),B:TA]: ((c_2Efinite__map_2EFLOOKUP @ TA @ TB @ A @ B) = (c_2Ebool_2ECOND @ (tyop_2Eoption_2Eoption @ TB) @ (c_2Ebool_2EIN @ TA @ B @ (c_2Efinite__map_2EFDOM @ TA @ TB @ A)) @ (c_2Eoption_2ESOME @ TB @ (c_2Efinite__map_2EFAPPLY @ TA @ TB @ A @ B)) @ (c_2Eoption_2ENONE @ TB)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Efinite__map_2EFLOOKUP__DEF)).
% 9.80/2.96  thf(90,plain,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Efinite__map_2Efmap @ TA @ TB),B:TA]: ((c_2Efinite__map_2EFLOOKUP @ TA @ TB @ A @ B) = (c_2Ebool_2ECOND @ (tyop_2Eoption_2Eoption @ TB) @ (c_2Ebool_2EIN @ TA @ B @ (c_2Efinite__map_2EFDOM @ TA @ TB @ A)) @ (c_2Eoption_2ESOME @ TB @ (c_2Efinite__map_2EFAPPLY @ TA @ TB @ A @ B)) @ (c_2Eoption_2ENONE @ TB)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).
% 9.80/2.96  thf(170,plain,($false),inference(e,[status(thm)],[24,25,57,78,84,60,21,34,45,22,54,76,35,63,87,104,40,23,30,19,79,90])).
% 9.80/2.96  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 9.80/2.96  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
