%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:39:15 EDT 2019

% Result     : Theorem 38.65s
% Output     : CNFRefutation 38.65s
% Verified   : 
% Statistics : Number of formulae       :   37 (  42 expanded)
%              Number of leaves         :   23 (  25 expanded)
%              Depth                    :    5
%              Number of atoms          :  302 ( 360 expanded)
%              Number of equality atoms :   27 (  30 expanded)
%              Maximal formula depth    :   13 (   8 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Epred__set_2ECOMPL_type,type,(
    c_2Epred__set_2ECOMPL: 
      !>[TA: $tType] :
        ( ( TA > $o ) > TA > $o ) )).

thf(c_2Epred__set_2EDELETE_type,type,(
    c_2Epred__set_2EDELETE: 
      !>[TA: $tType] :
        ( ( TA > $o ) > TA > TA > $o ) )).

thf(c_2Efinite__map_2EDRESTRICT_type,type,(
    c_2Efinite__map_2EDRESTRICT: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Efinite__map_2Efmap @ TA @ TB ) > ( TA > $o ) > ( tyop_2Efinite__map_2Efmap @ TA @ TB ) ) )).

thf(c_2Epred__set_2EEMPTY_type,type,(
    c_2Epred__set_2EEMPTY: 
      !>[TA: $tType] :
        ( TA > $o ) )).

thf(c_2Efinite__map_2EFDOM_type,type,(
    c_2Efinite__map_2EFDOM: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Efinite__map_2Efmap @ TA @ TB ) > TA > $o ) )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Epred__set_2EINSERT_type,type,(
    c_2Epred__set_2EINSERT: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > TA > $o ) )).

thf(c_2Epred__set_2EINTER_type,type,(
    c_2Epred__set_2EINTER: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > $o ) > TA > $o ) )).

thf(c_2Efinite__map_2Efdomsub_type,type,(
    c_2Efinite__map_2Efdomsub: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Efinite__map_2Efmap @ TA @ TB ) > TA > ( tyop_2Efinite__map_2Efmap @ TA @ TB ) ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(skt2_type,type,(
    skt2: $tType )).

thf(sk1_type,type,(
    sk1: ( tyop_2Efinite__map_2Efmap @ skt1 @ skt2 ) )).

thf(sk2_type,type,(
    sk2: skt1 )).

thf(7,axiom,(
    ! [TA: $tType,A: TA,B: TA > $o] :
      ( ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2ECOMPL @ TA @ B ) )
      = ( ~ ( c_2Ebool_2EIN @ TA @ A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__COMPL)).

thf(25,plain,(
    ! [TA: $tType,A: TA,B: TA > $o] :
      ( ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2ECOMPL @ TA @ B ) )
      = ( ~ ( c_2Ebool_2EIN @ TA @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(3,axiom,(
    ! [TA: $tType,A: TA] :
      ~ ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EEMPTY @ TA ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2ENOT__IN__EMPTY)).

thf(14,plain,(
    ! [TA: $tType,A: TA] :
      ~ ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EEMPTY @ TA ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(8,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA,C: TA] :
      ( ( c_2Ebool_2EIN @ TA @ B @ ( c_2Epred__set_2EDELETE @ TA @ A @ C ) )
      = ( ( c_2Ebool_2EIN @ TA @ B @ A )
        & ( B != C ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__DELETE)).

thf(28,plain,(
    ! [TA: $tType,A: TA > $o,B: TA,C: TA] :
      ( ( c_2Ebool_2EIN @ TA @ B @ ( c_2Epred__set_2EDELETE @ TA @ A @ C ) )
      = ( ( c_2Ebool_2EIN @ TA @ B @ A )
        & ( B != C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(1,conjecture,(
    ! [TA: $tType,TB: $tType,A: tyop_2Efinite__map_2Efmap @ TA @ TB,B: TA] :
      ( ( c_2Efinite__map_2EFDOM @ TA @ TB @ ( c_2Efinite__map_2Efdomsub @ TA @ TB @ A @ B ) )
      = ( c_2Epred__set_2EDELETE @ TA @ ( c_2Efinite__map_2EFDOM @ TA @ TB @ A ) @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Efinite__map_2EFDOM__DOMSUB)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,TB: $tType,A: tyop_2Efinite__map_2Efmap @ TA @ TB,B: TA] :
        ( ( c_2Efinite__map_2EFDOM @ TA @ TB @ ( c_2Efinite__map_2Efdomsub @ TA @ TB @ A @ B ) )
        = ( c_2Epred__set_2EDELETE @ TA @ ( c_2Efinite__map_2EFDOM @ TA @ TB @ A ) @ B ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(11,plain,(
    ~ ! [TA: $tType,TB: $tType,A: tyop_2Efinite__map_2Efmap @ TA @ TB,B: TA] :
        ( ( c_2Efinite__map_2EFDOM @ TA @ TB @ ( c_2Efinite__map_2Efdomsub @ TA @ TB @ A @ B ) )
        = ( c_2Epred__set_2EDELETE @ TA @ ( c_2Efinite__map_2EFDOM @ TA @ TB @ A ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(12,plain,(
    ( c_2Efinite__map_2EFDOM @ skt1 @ skt2 @ ( c_2Efinite__map_2Efdomsub @ skt1 @ skt2 @ sk1 @ sk2 ) )
 != ( c_2Epred__set_2EDELETE @ skt1 @ ( c_2Efinite__map_2EFDOM @ skt1 @ skt2 @ sk1 ) @ sk2 ) ),
    inference(cnf,[status(esa)],[11])).

thf(13,plain,(
    ( c_2Efinite__map_2EFDOM @ skt1 @ skt2 @ ( c_2Efinite__map_2Efdomsub @ skt1 @ skt2 @ sk1 @ sk2 ) )
 != ( c_2Epred__set_2EDELETE @ skt1 @ ( c_2Efinite__map_2EFDOM @ skt1 @ skt2 @ sk1 ) @ sk2 ) ),
    inference(lifteq,[status(thm)],[12])).

thf(10,axiom,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: tyop_2Efinite__map_2Efmap @ TA @ TB,B: TA > $o,C: TC] :
      ( ( c_2Efinite__map_2EFDOM @ TA @ TB @ ( c_2Efinite__map_2EDRESTRICT @ TA @ TB @ A @ B ) )
      = ( c_2Epred__set_2EINTER @ TA @ ( c_2Efinite__map_2EFDOM @ TA @ TB @ A ) @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Efinite__map_2EFDOM__DRESTRICT)).

thf(34,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: tyop_2Efinite__map_2Efmap @ TA @ TB,B: TA > $o] :
      ( ( c_2Efinite__map_2EFDOM @ TA @ TB @ ( c_2Efinite__map_2EDRESTRICT @ TA @ TB @ A @ B ) )
      = ( c_2Epred__set_2EINTER @ TA @ ( c_2Efinite__map_2EFDOM @ TA @ TB @ A ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(6,axiom,(
    ! [TA: $tType,A: TA,B: TA,C: TA > $o] :
      ( ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EINSERT @ TA @ B @ C ) )
      = ( ( A = B )
        | ( c_2Ebool_2EIN @ TA @ A @ C ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__INSERT)).

thf(22,plain,(
    ! [TA: $tType,A: TA,B: TA,C: TA > $o] :
      ( ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EINSERT @ TA @ B @ C ) )
      = ( ( A = B )
        | ( c_2Ebool_2EIN @ TA @ A @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(4,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( A = B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
            = ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EEXTENSION)).

thf(16,plain,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( A = B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
            = ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(9,axiom,(
    ! [TA: $tType,TB: $tType,A: tyop_2Efinite__map_2Efmap @ TA @ TB,B: TA] :
      ( ( c_2Efinite__map_2Efdomsub @ TA @ TB @ A @ B )
      = ( c_2Efinite__map_2EDRESTRICT @ TA @ TB @ A @ ( c_2Epred__set_2ECOMPL @ TA @ ( c_2Epred__set_2EINSERT @ TA @ B @ ( c_2Epred__set_2EEMPTY @ TA ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Efinite__map_2Efmap__domsub)).

thf(31,plain,(
    ! [TA: $tType,TB: $tType,A: tyop_2Efinite__map_2Efmap @ TA @ TB,B: TA] :
      ( ( c_2Efinite__map_2Efdomsub @ TA @ TB @ A @ B )
      = ( c_2Efinite__map_2EDRESTRICT @ TA @ TB @ A @ ( c_2Epred__set_2ECOMPL @ TA @ ( c_2Epred__set_2EINSERT @ TA @ B @ ( c_2Epred__set_2EEMPTY @ TA ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(5,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA > $o,C: TA] :
      ( ( c_2Ebool_2EIN @ TA @ C @ ( c_2Epred__set_2EINTER @ TA @ A @ B ) )
      = ( ( c_2Ebool_2EIN @ TA @ C @ A )
        & ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__INTER)).

thf(19,plain,(
    ! [TA: $tType,A: TA > $o,B: TA > $o,C: TA] :
      ( ( c_2Ebool_2EIN @ TA @ C @ ( c_2Epred__set_2EINTER @ TA @ A @ B ) )
      = ( ( c_2Ebool_2EIN @ TA @ C @ A )
        & ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(15,plain,(
    ! [TA: $tType,A: TA] :
      ~ ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EEMPTY @ TA ) ) ),
    inference(cnf,[status(esa)],[14])).

thf(983,plain,(
    $false ),
    inference(cvc4,[status(thm)],[25,14,28,13,34,22,16,31,11,19,15])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.07/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.07/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.07/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.07/0.13  % CPULimit   : 300
% 0.07/0.13  % DateTime   : Tue Jul 30 23:59:13 EDT 2019
% 0.07/0.13  % CPUTime    : 
% 2.78/1.33  % [INFO] 	 Running in sequential loop mode. 
% 3.54/1.51  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.04/1.58  % [INFO] 	 iprover registered as external prover. 
% 4.04/1.58  % [INFO] 	 e registered as external prover. 
% 4.04/1.58  % [INFO] 	 cvc4 registered as external prover. 
% 4.04/1.58  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.04/1.64  % [INFO] 	 Found a conjecture and 21 axioms. Running axiom selection ... 
% 4.51/1.69  % [INFO] 	 Axiom selection finished. Selected 8 axioms (removed 13 axioms). 
% 4.51/1.73  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 38.65/7.88  % [INFO] 	 Killing All external provers ... 
% 38.65/7.88  % Time passed: 7622ms
% 38.65/7.88  % Effective reasoning time: 6542ms
% 38.65/7.88  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 38.65/7.88  % Axioms used in derivation (8): thm_2Epred__set_2EIN__INSERT, thm_2Epred__set_2EIN__COMPL, thm_2Epred__set_2ENOT__IN__EMPTY, thm_2Epred__set_2EIN__DELETE, thm_2Epred__set_2EEXTENSION, thm_2Efinite__map_2EFDOM__DRESTRICT, thm_2Efinite__map_2Efmap__domsub, thm_2Epred__set_2EIN__INTER
% 38.65/7.88  % No. of inferences in proof: 23
% 38.65/7.88  % No. of processed clauses: 33
% 38.65/7.88  % No. of generated clauses: 259
% 38.65/7.88  % No. of forward subsumed clauses: 10
% 38.65/7.88  % No. of backward subsumed clauses: 0
% 38.65/7.88  % No. of ground rewrite rules in store: 0
% 38.65/7.88  % No. of non-ground rewrite rules in store: 5
% 38.65/7.88  % No. of positive (non-rewrite) units in store: 10
% 38.65/7.88  % No. of negative (non-rewrite) units in store: 5
% 38.65/7.88  % No. of choice functions detected: 0
% 38.65/7.88  % No. of choice instantiations: 0
% 38.65/7.88  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 7622 ms resp. 6542 ms w/o parsing
% 38.65/7.91  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 38.65/7.91  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 38.65/7.91  thf(c_2Epred__set_2ECOMPL_type, type, c_2Epred__set_2ECOMPL: !>[TA: $tType]: ((TA > $o) > (TA > $o))).
% 38.65/7.91  thf(c_2Epred__set_2EDELETE_type, type, c_2Epred__set_2EDELETE: !>[TA: $tType]: ((TA > $o) > (TA > (TA > $o)))).
% 38.65/7.91  thf(c_2Efinite__map_2EDRESTRICT_type, type, c_2Efinite__map_2EDRESTRICT: !>[TA: $tType,TB: $tType]: ((tyop_2Efinite__map_2Efmap @ TA @ TB) > ((TA > $o) > (tyop_2Efinite__map_2Efmap @ TA @ TB)))).
% 38.65/7.91  thf(c_2Epred__set_2EEMPTY_type, type, c_2Epred__set_2EEMPTY: !>[TA: $tType]: (TA > $o)).
% 38.65/7.91  thf(c_2Efinite__map_2EFDOM_type, type, c_2Efinite__map_2EFDOM: !>[TA: $tType,TB: $tType]: ((tyop_2Efinite__map_2Efmap @ TA @ TB) > (TA > $o))).
% 38.65/7.91  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 38.65/7.91  thf(c_2Epred__set_2EINSERT_type, type, c_2Epred__set_2EINSERT: !>[TA: $tType]: (TA > ((TA > $o) > (TA > $o)))).
% 38.65/7.91  thf(c_2Epred__set_2EINTER_type, type, c_2Epred__set_2EINTER: !>[TA: $tType]: ((TA > $o) > ((TA > $o) > (TA > $o)))).
% 38.65/7.91  thf(c_2Efinite__map_2Efdomsub_type, type, c_2Efinite__map_2Efdomsub: !>[TA: $tType,TB: $tType]: ((tyop_2Efinite__map_2Efmap @ TA @ TB) > (TA > (tyop_2Efinite__map_2Efmap @ TA @ TB)))).
% 38.65/7.91  thf(skt1_type, type, skt1: $tType).
% 38.65/7.91  thf(skt2_type, type, skt2: $tType).
% 38.65/7.91  thf(sk1_type, type, sk1: (tyop_2Efinite__map_2Efmap @ skt1 @ skt2)).
% 38.65/7.91  thf(sk2_type, type, sk2: skt1).
% 38.65/7.91  thf(7,axiom,((! [TA: $tType]: (! [A:TA,B:(TA > $o)]: ((c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2ECOMPL @ TA @ B)) = (~ (c_2Ebool_2EIN @ TA @ A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__COMPL)).
% 38.65/7.91  thf(25,plain,((! [TA: $tType]: (! [A:TA,B:(TA > $o)]: ((c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2ECOMPL @ TA @ B)) = (~ (c_2Ebool_2EIN @ TA @ A @ (B))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 38.65/7.91  thf(3,axiom,((! [TA: $tType]: (! [A:TA]: ~ (c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EEMPTY @ TA))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2ENOT__IN__EMPTY)).
% 38.65/7.91  thf(14,plain,((! [TA: $tType]: (! [A:TA]: ~ (c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EEMPTY @ TA))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 38.65/7.91  thf(8,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:TA,C:TA]: ((c_2Ebool_2EIN @ TA @ B @ (c_2Epred__set_2EDELETE @ TA @ A @ C)) = ((c_2Ebool_2EIN @ TA @ B @ A) & ~ (B = C)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__DELETE)).
% 38.65/7.91  thf(28,plain,((! [TA: $tType]: (! [A:(TA > $o),B:TA,C:TA]: ((c_2Ebool_2EIN @ TA @ B @ (c_2Epred__set_2EDELETE @ TA @ A @ C)) = ((c_2Ebool_2EIN @ TA @ B @ (A)) & ~ (B = C)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 38.65/7.91  thf(1,conjecture,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Efinite__map_2Efmap @ TA @ TB),B:TA]: ((c_2Efinite__map_2EFDOM @ TA @ TB @ (c_2Efinite__map_2Efdomsub @ TA @ TB @ A @ B)) = (c_2Epred__set_2EDELETE @ TA @ (c_2Efinite__map_2EFDOM @ TA @ TB @ A) @ B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Efinite__map_2EFDOM__DOMSUB)).
% 38.65/7.91  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType]: (! [A:(tyop_2Efinite__map_2Efmap @ TA @ TB),B:TA]: ((c_2Efinite__map_2EFDOM @ TA @ TB @ (c_2Efinite__map_2Efdomsub @ TA @ TB @ A @ B)) = (c_2Epred__set_2EDELETE @ TA @ (c_2Efinite__map_2EFDOM @ TA @ TB @ A) @ B)))))),inference(neg_conjecture,[status(cth)],[1])).
% 38.65/7.91  thf(11,plain,((~ (! [TA: $tType,TB: $tType]: (! [A:(tyop_2Efinite__map_2Efmap @ TA @ TB),B:TA]: ((c_2Efinite__map_2EFDOM @ TA @ TB @ (c_2Efinite__map_2Efdomsub @ TA @ TB @ A @ B)) = (c_2Epred__set_2EDELETE @ TA @ (c_2Efinite__map_2EFDOM @ TA @ TB @ A) @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 38.65/7.91  thf(12,plain,((~ ((c_2Efinite__map_2EFDOM @ skt1 @ skt2 @ (c_2Efinite__map_2Efdomsub @ skt1 @ skt2 @ sk1 @ sk2)) = (c_2Epred__set_2EDELETE @ skt1 @ (c_2Efinite__map_2EFDOM @ skt1 @ skt2 @ sk1) @ sk2)))),inference(cnf,[status(esa)],[11])).
% 38.65/7.91  thf(13,plain,(((c_2Efinite__map_2EFDOM @ skt1 @ skt2 @ (c_2Efinite__map_2Efdomsub @ skt1 @ skt2 @ sk1 @ sk2)) != (c_2Epred__set_2EDELETE @ skt1 @ (c_2Efinite__map_2EFDOM @ skt1 @ skt2 @ sk1) @ sk2))),inference(lifteq,[status(thm)],[12])).
% 38.65/7.91  thf(10,axiom,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(tyop_2Efinite__map_2Efmap @ TA @ TB),B:(TA > $o),C:TC]: ((c_2Efinite__map_2EFDOM @ TA @ TB @ (c_2Efinite__map_2EDRESTRICT @ TA @ TB @ A @ B)) = (c_2Epred__set_2EINTER @ TA @ (c_2Efinite__map_2EFDOM @ TA @ TB @ A) @ B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Efinite__map_2EFDOM__DRESTRICT)).
% 38.65/7.91  thf(34,plain,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(tyop_2Efinite__map_2Efmap @ TA @ TB),B:(TA > $o)]: ((c_2Efinite__map_2EFDOM @ TA @ TB @ (c_2Efinite__map_2EDRESTRICT @ TA @ TB @ A @ B)) = (c_2Epred__set_2EINTER @ TA @ (c_2Efinite__map_2EFDOM @ TA @ TB @ A) @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 38.65/7.91  thf(6,axiom,((! [TA: $tType]: (! [A:TA,B:TA,C:(TA > $o)]: ((c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EINSERT @ TA @ B @ C)) = ((A = B) | (c_2Ebool_2EIN @ TA @ A @ C)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__INSERT)).
% 38.65/7.91  thf(22,plain,((! [TA: $tType]: (! [A:TA,B:TA,C:(TA > $o)]: ((c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EINSERT @ TA @ B @ C)) = ((A = B) | (c_2Ebool_2EIN @ TA @ A @ (C))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 38.65/7.91  thf(4,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((A = B) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ A) = (c_2Ebool_2EIN @ TA @ C @ B))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EEXTENSION)).
% 38.65/7.91  thf(16,plain,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: (((A) = (B)) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (A)) = (c_2Ebool_2EIN @ TA @ C @ (B)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 38.65/7.91  thf(9,axiom,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Efinite__map_2Efmap @ TA @ TB),B:TA]: ((c_2Efinite__map_2Efdomsub @ TA @ TB @ A @ B) = (c_2Efinite__map_2EDRESTRICT @ TA @ TB @ A @ (c_2Epred__set_2ECOMPL @ TA @ (c_2Epred__set_2EINSERT @ TA @ B @ (c_2Epred__set_2EEMPTY @ TA)))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Efinite__map_2Efmap__domsub)).
% 38.65/7.91  thf(31,plain,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Efinite__map_2Efmap @ TA @ TB),B:TA]: ((c_2Efinite__map_2Efdomsub @ TA @ TB @ A @ B) = (c_2Efinite__map_2EDRESTRICT @ TA @ TB @ A @ (c_2Epred__set_2ECOMPL @ TA @ (c_2Epred__set_2EINSERT @ TA @ B @ (c_2Epred__set_2EEMPTY @ TA)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 38.65/7.91  thf(5,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o),C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (c_2Epred__set_2EINTER @ TA @ A @ B)) = ((c_2Ebool_2EIN @ TA @ C @ A) & (c_2Ebool_2EIN @ TA @ C @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__INTER)).
% 38.65/7.91  thf(19,plain,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o),C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (c_2Epred__set_2EINTER @ TA @ A @ B)) = ((c_2Ebool_2EIN @ TA @ C @ (A)) & (c_2Ebool_2EIN @ TA @ C @ (B))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 38.65/7.91  thf(15,plain,(! [TA:$tType,A:TA] : ((~ (c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EEMPTY @ TA))))),inference(cnf,[status(esa)],[14])).
% 38.65/7.91  thf(983,plain,($false),inference(cvc4,[status(thm)],[25,14,28,13,34,22,16,31,11,19,15])).
% 38.65/7.91  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 38.65/7.91  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
