%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:39:25 EDT 2019

% Result     : Theorem 7.34s
% Output     : CNFRefutation 7.34s
% Verified   : 
% Statistics : Number of formulae       :   22 (  31 expanded)
%              Number of leaves         :   12 (  15 expanded)
%              Depth                    :    5
%              Number of atoms          :  215 ( 521 expanded)
%              Number of equality atoms :    7 (  16 expanded)
%              Maximal formula depth    :   16 (   8 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Epred__set_2ESUBSET_type,type,(
    c_2Epred__set_2ESUBSET: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > $o ) > $o ) )).

thf(c_2Etopology_2Ehull_type,type,(
    c_2Etopology_2Ehull: 
      !>[TA: $tType] :
        ( ( ( TA > $o ) > $o ) > ( TA > $o ) > TA > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: ( skt1 > $o ) > $o )).

thf(sk2_type,type,(
    sk2: skt1 > $o )).

thf(sk3_type,type,(
    sk3: skt1 > $o )).

thf(1,conjecture,(
    ! [TA: $tType,A: ( TA > $o ) > $o,B: TA > $o,C: TA > $o] :
      ( ( ! [D: ( TA > $o ) > $o] :
            ( ! [E: TA > $o] :
                ( ( c_2Ebool_2EIN @ ( TA > $o ) @ E @ D )
               => ( A @ E ) )
           => ( A @ ( c_2Epred__set_2EBIGINTER @ TA @ D ) ) )
        & ( c_2Epred__set_2ESUBSET @ TA @ B @ ( c_2Etopology_2Ehull @ TA @ A @ C ) )
        & ( c_2Epred__set_2ESUBSET @ TA @ C @ ( c_2Etopology_2Ehull @ TA @ A @ B ) ) )
     => ( ( c_2Etopology_2Ehull @ TA @ A @ B )
        = ( c_2Etopology_2Ehull @ TA @ A @ C ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Etopology_2EHULLS__EQ)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: ( TA > $o ) > $o,B: TA > $o,C: TA > $o] :
        ( ( ! [D: ( TA > $o ) > $o] :
              ( ! [E: TA > $o] :
                  ( ( c_2Ebool_2EIN @ ( TA > $o ) @ E @ D )
                 => ( A @ E ) )
             => ( A @ ( c_2Epred__set_2EBIGINTER @ TA @ D ) ) )
          & ( c_2Epred__set_2ESUBSET @ TA @ B @ ( c_2Etopology_2Ehull @ TA @ A @ C ) )
          & ( c_2Epred__set_2ESUBSET @ TA @ C @ ( c_2Etopology_2Ehull @ TA @ A @ B ) ) )
       => ( ( c_2Etopology_2Ehull @ TA @ A @ B )
          = ( c_2Etopology_2Ehull @ TA @ A @ C ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(6,plain,(
    ~ ! [TA: $tType,A: ( TA > $o ) > $o,B: TA > $o,C: TA > $o] :
        ( ( ! [D: ( TA > $o ) > $o] :
              ( ! [E: TA > $o] :
                  ( ( c_2Ebool_2EIN @ ( TA > $o ) @ E @ D )
                 => ( A @ E ) )
             => ( A @ ( c_2Epred__set_2EBIGINTER @ TA @ D ) ) )
          & ( c_2Epred__set_2ESUBSET @ TA @ B @ ( c_2Etopology_2Ehull @ TA @ A @ C ) )
          & ( c_2Epred__set_2ESUBSET @ TA @ C @ ( c_2Etopology_2Ehull @ TA @ A @ B ) ) )
       => ( ( c_2Etopology_2Ehull @ TA @ A @ B )
          = ( c_2Etopology_2Ehull @ TA @ A @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(10,plain,(
    c_2Epred__set_2ESUBSET @ skt1 @ sk2 @ ( c_2Etopology_2Ehull @ skt1 @ sk1 @ sk3 ) ),
    inference(cnf,[status(esa)],[6])).

thf(3,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( ( c_2Epred__set_2ESUBSET @ TA @ A @ B )
        & ( c_2Epred__set_2ESUBSET @ TA @ B @ A ) )
     => ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2ESUBSET__ANTISYM)).

thf(13,plain,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( ( c_2Epred__set_2ESUBSET @ TA @ A @ B )
        & ( c_2Epred__set_2ESUBSET @ TA @ B @ A ) )
     => ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(7,plain,(
    ( c_2Etopology_2Ehull @ skt1 @ sk1 @ sk2 )
 != ( c_2Etopology_2Ehull @ skt1 @ sk1 @ sk3 ) ),
    inference(cnf,[status(esa)],[6])).

thf(12,plain,(
    ( c_2Etopology_2Ehull @ skt1 @ sk1 @ sk3 )
 != ( c_2Etopology_2Ehull @ skt1 @ sk1 @ sk2 ) ),
    inference(lifteq,[status(thm)],[7])).

thf(4,axiom,(
    ! [TA: $tType,A: ( TA > $o ) > $o,B: TA > $o] :
      ( ! [C: ( TA > $o ) > $o] :
          ( ! [D: TA > $o] :
              ( ( c_2Ebool_2EIN @ ( TA > $o ) @ D @ C )
             => ( A @ D ) )
         => ( A @ ( c_2Epred__set_2EBIGINTER @ TA @ C ) ) )
     => ( A @ ( c_2Etopology_2Ehull @ TA @ A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Etopology_2EP__HULL)).

thf(16,plain,(
    ! [TA: $tType,A: ( TA > $o ) > $o,B: TA > $o] :
      ( ! [C: ( TA > $o ) > $o] :
          ( ! [D: TA > $o] :
              ( ( c_2Ebool_2EIN @ ( TA > $o ) @ D @ C )
             => ( A @ D ) )
         => ( A @ ( c_2Epred__set_2EBIGINTER @ TA @ C ) ) )
     => ( A @ ( c_2Etopology_2Ehull @ TA @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(8,plain,(
    c_2Epred__set_2ESUBSET @ skt1 @ sk3 @ ( c_2Etopology_2Ehull @ skt1 @ sk1 @ sk2 ) ),
    inference(cnf,[status(esa)],[6])).

thf(5,axiom,(
    ! [TA: $tType,A: ( TA > $o ) > $o,B: TA > $o,C: TA > $o] :
      ( ( ( c_2Epred__set_2ESUBSET @ TA @ B @ C )
        & ( A @ C ) )
     => ( c_2Epred__set_2ESUBSET @ TA @ ( c_2Etopology_2Ehull @ TA @ A @ B ) @ C ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Etopology_2EHULL__MINIMAL)).

thf(19,plain,(
    ! [TA: $tType,A: ( TA > $o ) > $o,B: TA > $o,C: TA > $o] :
      ( ( ( c_2Epred__set_2ESUBSET @ TA @ B @ C )
        & ( A @ C ) )
     => ( c_2Epred__set_2ESUBSET @ TA @ ( c_2Etopology_2Ehull @ TA @ A @ B ) @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(25,plain,(
    $false ),
    inference(iprover,[status(thm)],[10,6,13,12,16,8,19])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.03/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.03/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.03/0.12  % CPULimit   : 300
% 0.03/0.12  % DateTime   : Wed Jul 31 00:33:35 EDT 2019
% 0.03/0.13  % CPUTime    : 
% 3.20/1.35  % [INFO] 	 Running in sequential loop mode. 
% 4.20/1.54  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.20/1.60  % [INFO] 	 iprover registered as external prover. 
% 4.20/1.60  % [INFO] 	 e registered as external prover. 
% 4.20/1.60  % [INFO] 	 cvc4 registered as external prover. 
% 4.20/1.61  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.56/1.66  % [INFO] 	 Found a conjecture and 18 axioms. Running axiom selection ... 
% 4.78/1.71  % [INFO] 	 Axiom selection finished. Selected 3 axioms (removed 15 axioms). 
% 4.78/1.73  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.34/2.47  % [INFO] 	 Killing All external provers ... 
% 7.34/2.48  % Time passed: 2216ms
% 7.34/2.48  % Effective reasoning time: 1119ms
% 7.34/2.48  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.34/2.48  % Axioms used in derivation (3): thm_2Epred__set_2ESUBSET__ANTISYM, thm_2Etopology_2EP__HULL, thm_2Etopology_2EHULL__MINIMAL
% 7.34/2.48  % No. of inferences in proof: 14
% 7.34/2.48  % No. of processed clauses: 4
% 7.34/2.48  % No. of generated clauses: 3
% 7.34/2.48  % No. of forward subsumed clauses: 0
% 7.34/2.48  % No. of backward subsumed clauses: 0
% 7.34/2.48  % No. of ground rewrite rules in store: 2
% 7.34/2.48  % No. of non-ground rewrite rules in store: 0
% 7.34/2.48  % No. of positive (non-rewrite) units in store: 0
% 7.34/2.48  % No. of negative (non-rewrite) units in store: 2
% 7.34/2.48  % No. of choice functions detected: 0
% 7.34/2.48  % No. of choice instantiations: 0
% 7.34/2.48  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2216 ms resp. 1119 ms w/o parsing
% 7.34/2.51  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.34/2.51  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.34/2.51  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 7.34/2.51  thf(c_2Epred__set_2ESUBSET_type, type, c_2Epred__set_2ESUBSET: !>[TA: $tType]: ((TA > $o) > ((TA > $o) > $o))).
% 7.34/2.51  thf(c_2Etopology_2Ehull_type, type, c_2Etopology_2Ehull: !>[TA: $tType]: (((TA > $o) > $o) > ((TA > $o) > (TA > $o)))).
% 7.34/2.51  thf(skt1_type, type, skt1: $tType).
% 7.34/2.51  thf(sk1_type, type, sk1: ((skt1 > $o) > $o)).
% 7.34/2.51  thf(sk2_type, type, sk2: (skt1 > $o)).
% 7.34/2.51  thf(sk3_type, type, sk3: (skt1 > $o)).
% 7.34/2.51  thf(1,conjecture,((! [TA: $tType]: (! [A:((TA > $o) > $o),B:(TA > $o),C:(TA > $o)]: ((! [D:((TA > $o) > $o)]: ((! [E:(TA > $o)]: ((c_2Ebool_2EIN @ (TA > $o) @ E @ D) => (A @ E))) => (A @ (c_2Epred__set_2EBIGINTER @ TA @ D))) & (c_2Epred__set_2ESUBSET @ TA @ B @ (c_2Etopology_2Ehull @ TA @ A @ C)) & (c_2Epred__set_2ESUBSET @ TA @ C @ (c_2Etopology_2Ehull @ TA @ A @ B))) => ((c_2Etopology_2Ehull @ TA @ A @ B) = (c_2Etopology_2Ehull @ TA @ A @ C)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Etopology_2EHULLS__EQ)).
% 7.34/2.51  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:((TA > $o) > $o),B:(TA > $o),C:(TA > $o)]: ((! [D:((TA > $o) > $o)]: ((! [E:(TA > $o)]: ((c_2Ebool_2EIN @ (TA > $o) @ E @ D) => (A @ E))) => (A @ (c_2Epred__set_2EBIGINTER @ TA @ D))) & (c_2Epred__set_2ESUBSET @ TA @ B @ (c_2Etopology_2Ehull @ TA @ A @ C)) & (c_2Epred__set_2ESUBSET @ TA @ C @ (c_2Etopology_2Ehull @ TA @ A @ B))) => ((c_2Etopology_2Ehull @ TA @ A @ B) = (c_2Etopology_2Ehull @ TA @ A @ C))))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.34/2.51  thf(6,plain,((~ (! [TA: $tType]: (! [A:((TA > $o) > $o),B:(TA > $o),C:(TA > $o)]: ((! [D:((TA > $o) > $o)]: ((! [E:(TA > $o)]: ((c_2Ebool_2EIN @ (TA > $o) @ (E) @ (D)) => (A @ (E)))) => (A @ (c_2Epred__set_2EBIGINTER @ TA @ (D)))) & (c_2Epred__set_2ESUBSET @ TA @ (B) @ (c_2Etopology_2Ehull @ TA @ (A) @ C)) & (c_2Epred__set_2ESUBSET @ TA @ (C) @ (c_2Etopology_2Ehull @ TA @ (A) @ B))) => ((c_2Etopology_2Ehull @ TA @ (A) @ B) = (c_2Etopology_2Ehull @ TA @ (A) @ C))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.34/2.51  thf(10,plain,((c_2Epred__set_2ESUBSET @ skt1 @ (sk2) @ (c_2Etopology_2Ehull @ skt1 @ (sk1) @ sk3))),inference(cnf,[status(esa)],[6])).
% 7.34/2.51  thf(3,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: (((c_2Epred__set_2ESUBSET @ TA @ A @ B) & (c_2Epred__set_2ESUBSET @ TA @ B @ A)) => (A = B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2ESUBSET__ANTISYM)).
% 7.34/2.51  thf(13,plain,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: (((c_2Epred__set_2ESUBSET @ TA @ (A) @ (B)) & (c_2Epred__set_2ESUBSET @ TA @ (B) @ (A))) => ((A) = (B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.34/2.51  thf(7,plain,((~ ((c_2Etopology_2Ehull @ skt1 @ (sk1) @ sk2) = (c_2Etopology_2Ehull @ skt1 @ (sk1) @ sk3)))),inference(cnf,[status(esa)],[6])).
% 7.34/2.51  thf(12,plain,(((c_2Etopology_2Ehull @ skt1 @ (sk1) @ sk3) != (c_2Etopology_2Ehull @ skt1 @ (sk1) @ sk2))),inference(lifteq,[status(thm)],[7])).
% 7.34/2.51  thf(4,axiom,((! [TA: $tType]: (! [A:((TA > $o) > $o),B:(TA > $o)]: ((! [C:((TA > $o) > $o)]: ((! [D:(TA > $o)]: ((c_2Ebool_2EIN @ (TA > $o) @ D @ C) => (A @ D))) => (A @ (c_2Epred__set_2EBIGINTER @ TA @ C)))) => (A @ (c_2Etopology_2Ehull @ TA @ A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Etopology_2EP__HULL)).
% 7.34/2.51  thf(16,plain,((! [TA: $tType]: (! [A:((TA > $o) > $o),B:(TA > $o)]: ((! [C:((TA > $o) > $o)]: ((! [D:(TA > $o)]: ((c_2Ebool_2EIN @ (TA > $o) @ (D) @ (C)) => (A @ (D)))) => (A @ (c_2Epred__set_2EBIGINTER @ TA @ (C))))) => (A @ (c_2Etopology_2Ehull @ TA @ (A) @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 7.34/2.51  thf(8,plain,((c_2Epred__set_2ESUBSET @ skt1 @ (sk3) @ (c_2Etopology_2Ehull @ skt1 @ (sk1) @ sk2))),inference(cnf,[status(esa)],[6])).
% 7.34/2.51  thf(5,axiom,((! [TA: $tType]: (! [A:((TA > $o) > $o),B:(TA > $o),C:(TA > $o)]: (((c_2Epred__set_2ESUBSET @ TA @ B @ C) & (A @ C)) => (c_2Epred__set_2ESUBSET @ TA @ (c_2Etopology_2Ehull @ TA @ A @ B) @ C))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Etopology_2EHULL__MINIMAL)).
% 7.34/2.51  thf(19,plain,((! [TA: $tType]: (! [A:((TA > $o) > $o),B:(TA > $o),C:(TA > $o)]: (((c_2Epred__set_2ESUBSET @ TA @ (B) @ (C)) & (A @ (C))) => (c_2Epred__set_2ESUBSET @ TA @ (c_2Etopology_2Ehull @ TA @ (A) @ B) @ (C)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 7.34/2.51  thf(25,plain,($false),inference(iprover,[status(thm)],[10,6,13,12,16,8,19])).
% 7.34/2.51  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.34/2.51  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
