%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:39:27 EDT 2019

% Result     : Theorem 7.25s
% Output     : CNFRefutation 7.61s
% Verified   : 
% Statistics : Number of formulae       :   71 ( 100 expanded)
%              Number of leaves         :   35 (  48 expanded)
%              Depth                    :    4
%              Number of atoms          :  362 ( 744 expanded)
%              Number of equality atoms :   32 (  52 expanded)
%              Maximal formula depth    :   25 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Equotient__pair_2E_23_23_23_type,type,(
    c_2Equotient__pair_2E_23_23_23: 
      !>[TA: $tType,TB: $tType,TC: $tType,TD: $tType] :
        ( ( TA > TC > $o ) > ( TB > TD > $o ) > ( tyop_2Epair_2Eprod @ TA @ TB ) > ( tyop_2Epair_2Eprod @ TC @ TD ) > $o ) )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: 
      !>[TA: $tType,TB: $tType] :
        ( TA > TB > ( tyop_2Epair_2Eprod @ TA @ TB ) ) )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Epair_2EFST_type,type,(
    c_2Epair_2EFST: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Epair_2Eprod @ TA @ TB ) > TA ) )).

thf(c_2Equotient_2EQUOTIENT_type,type,(
    c_2Equotient_2EQUOTIENT: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > TA > $o ) > ( TA > TB ) > ( TB > TA ) > $o ) )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $o > $o )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(skt2_type,type,(
    skt2: $tType )).

thf(skt3_type,type,(
    skt3: $tType )).

thf(skt4_type,type,(
    skt4: $tType )).

thf(sk1_type,type,(
    sk1: skt1 > skt1 > $o )).

thf(sk2_type,type,(
    sk2: skt1 > skt3 )).

thf(sk3_type,type,(
    sk3: skt3 > skt1 )).

thf(sk4_type,type,(
    sk4: skt2 > skt2 > $o )).

thf(sk5_type,type,(
    sk5: skt2 > skt4 )).

thf(sk6_type,type,(
    sk6: skt4 > skt2 )).

thf(sk7_type,type,(
    sk7: ( tyop_2Epair_2Eprod @ skt1 @ skt2 ) )).

thf(sk8_type,type,(
    sk8: ( tyop_2Epair_2Eprod @ skt1 @ skt2 ) )).

thf(9,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(36,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(41,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $false @ $true )
    = ( $false
     => $true ) ),
    inference(instance,[status(thm)],[36])).

thf(42,plain,(
    c_2Emin_2E_3D_3D_3E @ $false @ $true ),
    inference(simp,[status(thm)],[41])).

thf(5,axiom,(
    ! [TA: $tType,TB: $tType,A: tyop_2Epair_2Eprod @ TA @ TB] :
    ? [B: TA,C: TB] :
      ( A
      = ( c_2Epair_2E_2C @ TA @ TB @ B @ C ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2EABS__PAIR__THM)).

thf(24,plain,(
    ! [TA: $tType,TB: $tType,A: tyop_2Epair_2Eprod @ TA @ TB] :
    ? [B: TA,C: TB] :
      ( A
      = ( c_2Epair_2E_2C @ TA @ TB @ B @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(11,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(50,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(51,plain,
    ( ( c_2Ebool_2E_5C_2F @ $true @ $true )
    = ( $true
      | $true ) ),
    inference(instance,[status(thm)],[50])).

thf(52,plain,(
    c_2Ebool_2E_5C_2F @ $true @ $true ),
    inference(simp,[status(thm)],[51])).

thf(1,conjecture,(
    ! [TA: $tType,TB: $tType,TC: $tType,TD: $tType,A: TA > TA > $o,B: TA > TC,C: TC > TA] :
      ( ( c_2Equotient_2EQUOTIENT @ TA @ TC @ A @ B @ C )
     => ! [D: TB > TB > $o,E: TB > TD,F: TD > TB] :
          ( ( c_2Equotient_2EQUOTIENT @ TB @ TD @ D @ E @ F )
         => ! [G: tyop_2Epair_2Eprod @ TA @ TB,H: tyop_2Epair_2Eprod @ TA @ TB] :
              ( ( c_2Equotient__pair_2E_23_23_23 @ TA @ TB @ TA @ TB @ A @ D @ G @ H )
             => ( A @ ( c_2Epair_2EFST @ TA @ TB @ G ) @ ( c_2Epair_2EFST @ TA @ TB @ H ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Equotient__pair_2EFST__RSP)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,TB: $tType,TC: $tType,TD: $tType,A: TA > TA > $o,B: TA > TC,C: TC > TA] :
        ( ( c_2Equotient_2EQUOTIENT @ TA @ TC @ A @ B @ C )
       => ! [D: TB > TB > $o,E: TB > TD,F: TD > TB] :
            ( ( c_2Equotient_2EQUOTIENT @ TB @ TD @ D @ E @ F )
           => ! [G: tyop_2Epair_2Eprod @ TA @ TB,H: tyop_2Epair_2Eprod @ TA @ TB] :
                ( ( c_2Equotient__pair_2E_23_23_23 @ TA @ TB @ TA @ TB @ A @ D @ G @ H )
               => ( A @ ( c_2Epair_2EFST @ TA @ TB @ G ) @ ( c_2Epair_2EFST @ TA @ TB @ H ) ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(13,plain,(
    ~ ! [TA: $tType,TB: $tType,TC: $tType,TD: $tType,A: TA > TA > $o,B: TA > TC,C: TC > TA] :
        ( ( c_2Equotient_2EQUOTIENT @ TA @ TC @ A @ B @ C )
       => ! [D: TB > TB > $o,E: TB > TD,F: TD > TB] :
            ( ( c_2Equotient_2EQUOTIENT @ TB @ TD @ D @ E @ F )
           => ! [G: tyop_2Epair_2Eprod @ TA @ TB,H: tyop_2Epair_2Eprod @ TA @ TB] :
                ( ( c_2Equotient__pair_2E_23_23_23 @ TA @ TB @ TA @ TB @ A @ D @ G @ H )
               => ( A @ ( c_2Epair_2EFST @ TA @ TB @ G ) @ ( c_2Epair_2EFST @ TA @ TB @ H ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(14,plain,(
    ~ ( sk1 @ ( c_2Epair_2EFST @ skt1 @ skt2 @ sk7 ) @ ( c_2Epair_2EFST @ skt1 @ skt2 @ sk8 ) ) ),
    inference(cnf,[status(esa)],[13])).

thf(37,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $true @ $true )
    = ( $true
     => $true ) ),
    inference(instance,[status(thm)],[36])).

thf(38,plain,(
    c_2Emin_2E_3D_3D_3E @ $true @ $true ),
    inference(simp,[status(thm)],[37])).

thf(4,axiom,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( c_2Epair_2EFST @ TA @ TB @ ( c_2Epair_2E_2C @ TA @ TB @ A @ B ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2EFST)).

thf(21,plain,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( c_2Epair_2EFST @ TA @ TB @ ( c_2Epair_2E_2C @ TA @ TB @ A @ B ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(8,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(33,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(10,axiom,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(45,plain,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(17,plain,(
    c_2Equotient_2EQUOTIENT @ skt1 @ skt3 @ sk1 @ sk2 @ sk3 ),
    inference(cnf,[status(esa)],[13])).

thf(43,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $false @ $false )
    = ( $false
     => $false ) ),
    inference(instance,[status(thm)],[36])).

thf(44,plain,(
    c_2Emin_2E_3D_3D_3E @ $false @ $false ),
    inference(simp,[status(thm)],[43])).

thf(12,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(59,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(6,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(27,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(53,plain,
    ( ( c_2Ebool_2E_5C_2F @ $true @ $false )
    = ( $true
      | $false ) ),
    inference(instance,[status(thm)],[50])).

thf(54,plain,(
    c_2Ebool_2E_5C_2F @ $true @ $false ),
    inference(simp,[status(thm)],[53])).

thf(48,plain,
    ( ( c_2Ebool_2E_7E @ $false )
    = ( ~ $false ) ),
    inference(instance,[status(thm)],[45])).

thf(49,plain,(
    c_2Ebool_2E_7E @ $false ),
    inference(simp,[status(thm)],[48])).

thf(62,plain,
    ( ( c_2Ebool_2E_2F_5C @ $true @ $false )
    = ( $true
      & $false ) ),
    inference(instance,[status(thm)],[59])).

thf(63,plain,(
    ~ ( c_2Ebool_2E_2F_5C @ $true @ $false ) ),
    inference(simp,[status(thm)],[62])).

thf(3,axiom,(
    ! [TA: $tType,TB: $tType,TC: $tType,TD: $tType,A: TA > TC > $o,B: TB > TD > $o,C: TA,D: TB,E: TC,F: TD] :
      ( ( c_2Equotient__pair_2E_23_23_23 @ TA @ TB @ TC @ TD @ A @ B @ ( c_2Epair_2E_2C @ TA @ TB @ C @ D ) @ ( c_2Epair_2E_2C @ TC @ TD @ E @ F ) )
      = ( ( A @ C @ E )
        & ( B @ D @ F ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Equotient__pair_2EPAIR__REL__THM)).

thf(18,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType,TD: $tType,A: TA > TC > $o,B: TB > TD > $o,C: TA,D: TB,E: TC,F: TD] :
      ( ( c_2Equotient__pair_2E_23_23_23 @ TA @ TB @ TC @ TD @ A @ B @ ( c_2Epair_2E_2C @ TA @ TB @ C @ D ) @ ( c_2Epair_2E_2C @ TC @ TD @ E @ F ) )
      = ( ( A @ C @ E )
        & ( B @ D @ F ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(16,plain,(
    c_2Equotient_2EQUOTIENT @ skt2 @ skt4 @ sk4 @ sk5 @ sk6 ),
    inference(cnf,[status(esa)],[13])).

thf(39,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $true @ $false )
    = ( $true
     => $false ) ),
    inference(instance,[status(thm)],[36])).

thf(40,plain,(
    ~ ( c_2Emin_2E_3D_3D_3E @ $true @ $false ) ),
    inference(simp,[status(thm)],[39])).

thf(57,plain,
    ( ( c_2Ebool_2E_5C_2F @ $false @ $false )
    = ( $false
      | $false ) ),
    inference(instance,[status(thm)],[50])).

thf(58,plain,(
    ~ ( c_2Ebool_2E_5C_2F @ $false @ $false ) ),
    inference(simp,[status(thm)],[57])).

thf(7,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(30,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(46,plain,
    ( ( c_2Ebool_2E_7E @ $true )
    = ( ~ $true ) ),
    inference(instance,[status(thm)],[45])).

thf(47,plain,(
    ~ ( c_2Ebool_2E_7E @ $true ) ),
    inference(simp,[status(thm)],[46])).

thf(88,plain,(
    $false ),
    inference(e,[status(thm)],[42,24,52,14,38,21,33,13,45,17,44,59,27,54,49,63,18,50,16,40,58,36,30,47])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.02/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.02/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.02/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.02/0.12  % CPULimit   : 300
% 0.02/0.12  % DateTime   : Wed Jul 31 00:48:35 EDT 2019
% 0.02/0.13  % CPUTime    : 
% 2.67/1.18  % [INFO] 	 Running in sequential loop mode. 
% 3.39/1.36  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.62/1.43  % [INFO] 	 iprover registered as external prover. 
% 3.62/1.43  % [INFO] 	 e registered as external prover. 
% 3.62/1.43  % [INFO] 	 cvc4 registered as external prover. 
% 3.62/1.43  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.07/1.51  % [INFO] 	 Found a conjecture and 10 axioms. Running axiom selection ... 
% 4.14/1.54  % [INFO] 	 Axiom selection finished. Selected 10 axioms (removed 0 axioms). 
% 4.14/1.57  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.25/2.45  % [INFO] 	 Killing All external provers ... 
% 7.25/2.46  % Time passed: 2193ms
% 7.25/2.46  % Effective reasoning time: 1272ms
% 7.25/2.46  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.25/2.46  % Axioms used in derivation (10): logicdef_2E_3D, logicdef_2E_5C_2F, thm_2Equotient__pair_2EPAIR__REL__THM, thm_2Epair_2EFST, quantdef_2E_21, logicdef_2E_3D_3D_3E, logicdef_2E_2F_5C, logicdef_2E_7E, thm_2Epair_2EABS__PAIR__THM, quantdef_2E_3F
% 7.25/2.46  % No. of inferences in proof: 47
% 7.25/2.46  % No. of processed clauses: 14
% 7.25/2.46  % No. of generated clauses: 0
% 7.25/2.46  % No. of forward subsumed clauses: 0
% 7.25/2.46  % No. of backward subsumed clauses: 0
% 7.25/2.46  % No. of ground rewrite rules in store: 14
% 7.25/2.46  % No. of non-ground rewrite rules in store: 0
% 7.25/2.46  % No. of positive (non-rewrite) units in store: 0
% 7.25/2.46  % No. of negative (non-rewrite) units in store: 0
% 7.25/2.46  % No. of choice functions detected: 0
% 7.25/2.46  % No. of choice instantiations: 0
% 7.25/2.46  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2193 ms resp. 1272 ms w/o parsing
% 7.61/2.50  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.61/2.50  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.61/2.50  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 7.61/2.50  thf(c_2Equotient__pair_2E_23_23_23_type, type, c_2Equotient__pair_2E_23_23_23: !>[TA: $tType,TB: $tType,TC: $tType,TD: $tType]: ((TA > (TC > $o)) > ((TB > (TD > $o)) > ((tyop_2Epair_2Eprod @ TA @ TB) > ((tyop_2Epair_2Eprod @ TC @ TD) > $o))))).
% 7.61/2.50  thf(c_2Epair_2E_2C_type, type, c_2Epair_2E_2C: !>[TA: $tType,TB: $tType]: (TA > (TB > (tyop_2Epair_2Eprod @ TA @ TB)))).
% 7.61/2.50  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 7.61/2.50  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 7.61/2.50  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 7.61/2.50  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 7.61/2.50  thf(c_2Epair_2EFST_type, type, c_2Epair_2EFST: !>[TA: $tType,TB: $tType]: ((tyop_2Epair_2Eprod @ TA @ TB) > TA)).
% 7.61/2.50  thf(c_2Equotient_2EQUOTIENT_type, type, c_2Equotient_2EQUOTIENT: !>[TA: $tType,TB: $tType]: ((TA > (TA > $o)) > ((TA > TB) > ((TB > TA) > $o)))).
% 7.61/2.50  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 7.61/2.50  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 7.61/2.50  thf(skt1_type, type, skt1: $tType).
% 7.61/2.50  thf(skt2_type, type, skt2: $tType).
% 7.61/2.50  thf(skt3_type, type, skt3: $tType).
% 7.61/2.50  thf(skt4_type, type, skt4: $tType).
% 7.61/2.50  thf(sk1_type, type, sk1: (skt1 > (skt1 > $o))).
% 7.61/2.50  thf(sk2_type, type, sk2: (skt1 > skt3)).
% 7.61/2.50  thf(sk3_type, type, sk3: (skt3 > skt1)).
% 7.61/2.50  thf(sk4_type, type, sk4: (skt2 > (skt2 > $o))).
% 7.61/2.50  thf(sk5_type, type, sk5: (skt2 > skt4)).
% 7.61/2.50  thf(sk6_type, type, sk6: (skt4 > skt2)).
% 7.61/2.50  thf(sk7_type, type, sk7: (tyop_2Epair_2Eprod @ skt1 @ skt2)).
% 7.61/2.50  thf(sk8_type, type, sk8: (tyop_2Epair_2Eprod @ skt1 @ skt2)).
% 7.61/2.50  thf(9,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 7.61/2.50  thf(36,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 7.61/2.50  thf(41,plain,(((c_2Emin_2E_3D_3D_3E @ $false @ $true) = (($false) => ($true)))),inference(instance,[status(thm)],[36])).
% 7.61/2.50  thf(42,plain,((c_2Emin_2E_3D_3D_3E @ $false @ $true)),inference(simp,[status(thm)],[41])).
% 7.61/2.50  thf(5,axiom,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Epair_2Eprod @ TA @ TB)]: ? [B:TA,C:TB]: (A = (c_2Epair_2E_2C @ TA @ TB @ B @ C))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2EABS__PAIR__THM)).
% 7.61/2.50  thf(24,plain,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Epair_2Eprod @ TA @ TB)]: ? [B:TA,C:TB]: (A = (c_2Epair_2E_2C @ TA @ TB @ B @ C))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 7.61/2.50  thf(11,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 7.61/2.50  thf(50,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 7.61/2.50  thf(51,plain,(((c_2Ebool_2E_5C_2F @ $true @ $true) = (($true) | ($true)))),inference(instance,[status(thm)],[50])).
% 7.61/2.50  thf(52,plain,((c_2Ebool_2E_5C_2F @ $true @ $true)),inference(simp,[status(thm)],[51])).
% 7.61/2.50  thf(1,conjecture,((! [TA: $tType,TB: $tType,TC: $tType,TD: $tType]: (! [A:(TA > (TA > $o)),B:(TA > TC),C:(TC > TA)]: ((c_2Equotient_2EQUOTIENT @ TA @ TC @ A @ B @ C) => (! [D:(TB > (TB > $o)),E:(TB > TD),F:(TD > TB)]: ((c_2Equotient_2EQUOTIENT @ TB @ TD @ D @ E @ F) => (! [G:(tyop_2Epair_2Eprod @ TA @ TB),H:(tyop_2Epair_2Eprod @ TA @ TB)]: ((c_2Equotient__pair_2E_23_23_23 @ TA @ TB @ TA @ TB @ A @ D @ G @ H) => (A @ (c_2Epair_2EFST @ TA @ TB @ G) @ (c_2Epair_2EFST @ TA @ TB @ H)))))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Equotient__pair_2EFST__RSP)).
% 7.61/2.50  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType,TC: $tType,TD: $tType]: (! [A:(TA > (TA > $o)),B:(TA > TC),C:(TC > TA)]: ((c_2Equotient_2EQUOTIENT @ TA @ TC @ A @ B @ C) => (! [D:(TB > (TB > $o)),E:(TB > TD),F:(TD > TB)]: ((c_2Equotient_2EQUOTIENT @ TB @ TD @ D @ E @ F) => (! [G:(tyop_2Epair_2Eprod @ TA @ TB),H:(tyop_2Epair_2Eprod @ TA @ TB)]: ((c_2Equotient__pair_2E_23_23_23 @ TA @ TB @ TA @ TB @ A @ D @ G @ H) => (A @ (c_2Epair_2EFST @ TA @ TB @ G) @ (c_2Epair_2EFST @ TA @ TB @ H))))))))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.61/2.50  thf(13,plain,((~ (! [TA: $tType,TB: $tType,TC: $tType,TD: $tType]: (! [A:(TA > (TA > $o)),B:(TA > TC),C:(TC > TA)]: ((c_2Equotient_2EQUOTIENT @ TA @ TC @ (A) @ (B) @ (C)) => (! [D:(TB > (TB > $o)),E:(TB > TD),F:(TD > TB)]: ((c_2Equotient_2EQUOTIENT @ TB @ TD @ (D) @ (E) @ (F)) => (! [G:(tyop_2Epair_2Eprod @ TA @ TB),H:(tyop_2Epair_2Eprod @ TA @ TB)]: ((c_2Equotient__pair_2E_23_23_23 @ TA @ TB @ TA @ TB @ (A) @ (D) @ G @ H) => (A @ (c_2Epair_2EFST @ TA @ TB @ G) @ (c_2Epair_2EFST @ TA @ TB @ H))))))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.61/2.50  thf(14,plain,((~ (sk1 @ (c_2Epair_2EFST @ skt1 @ skt2 @ sk7) @ (c_2Epair_2EFST @ skt1 @ skt2 @ sk8)))),inference(cnf,[status(esa)],[13])).
% 7.61/2.50  thf(37,plain,(((c_2Emin_2E_3D_3D_3E @ $true @ $true) = (($true) => ($true)))),inference(instance,[status(thm)],[36])).
% 7.61/2.50  thf(38,plain,((c_2Emin_2E_3D_3D_3E @ $true @ $true)),inference(simp,[status(thm)],[37])).
% 7.61/2.50  thf(4,axiom,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB]: ((c_2Epair_2EFST @ TA @ TB @ (c_2Epair_2E_2C @ TA @ TB @ A @ B)) = A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2EFST)).
% 7.61/2.50  thf(21,plain,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB]: ((c_2Epair_2EFST @ TA @ TB @ (c_2Epair_2E_2C @ TA @ TB @ A @ B)) = A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 7.61/2.50  thf(8,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 7.61/2.50  thf(33,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 7.61/2.50  thf(10,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 7.61/2.50  thf(45,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 7.61/2.50  thf(17,plain,((c_2Equotient_2EQUOTIENT @ skt1 @ skt3 @ (sk1) @ (sk2) @ (sk3))),inference(cnf,[status(esa)],[13])).
% 7.61/2.50  thf(43,plain,(((c_2Emin_2E_3D_3D_3E @ $false @ $false) = (($false) => ($false)))),inference(instance,[status(thm)],[36])).
% 7.61/2.50  thf(44,plain,((c_2Emin_2E_3D_3D_3E @ $false @ $false)),inference(simp,[status(thm)],[43])).
% 7.61/2.50  thf(12,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 7.61/2.50  thf(59,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 7.61/2.50  thf(6,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 7.61/2.50  thf(27,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 7.61/2.50  thf(53,plain,(((c_2Ebool_2E_5C_2F @ $true @ $false) = (($true) | ($false)))),inference(instance,[status(thm)],[50])).
% 7.61/2.50  thf(54,plain,((c_2Ebool_2E_5C_2F @ $true @ $false)),inference(simp,[status(thm)],[53])).
% 7.61/2.50  thf(48,plain,(((c_2Ebool_2E_7E @ $false) = (~ ($false)))),inference(instance,[status(thm)],[45])).
% 7.61/2.50  thf(49,plain,((c_2Ebool_2E_7E @ $false)),inference(simp,[status(thm)],[48])).
% 7.61/2.50  thf(62,plain,(((c_2Ebool_2E_2F_5C @ $true @ $false) = (($true) & ($false)))),inference(instance,[status(thm)],[59])).
% 7.61/2.50  thf(63,plain,((~ (c_2Ebool_2E_2F_5C @ $true @ $false))),inference(simp,[status(thm)],[62])).
% 7.61/2.50  thf(3,axiom,((! [TA: $tType,TB: $tType,TC: $tType,TD: $tType]: (! [A:(TA > (TC > $o)),B:(TB > (TD > $o)),C:TA,D:TB,E:TC,F:TD]: ((c_2Equotient__pair_2E_23_23_23 @ TA @ TB @ TC @ TD @ A @ B @ (c_2Epair_2E_2C @ TA @ TB @ C @ D) @ (c_2Epair_2E_2C @ TC @ TD @ E @ F)) = ((A @ C @ E) & (B @ D @ F)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Equotient__pair_2EPAIR__REL__THM)).
% 7.61/2.50  thf(18,plain,((! [TA: $tType,TB: $tType,TC: $tType,TD: $tType]: (! [A:(TA > (TC > $o)),B:(TB > (TD > $o)),C:TA,D:TB,E:TC,F:TD]: ((c_2Equotient__pair_2E_23_23_23 @ TA @ TB @ TC @ TD @ (A) @ (B) @ (c_2Epair_2E_2C @ TA @ TB @ C @ D) @ (c_2Epair_2E_2C @ TC @ TD @ E @ F)) = ((A @ C @ E) & (B @ D @ F)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.61/2.50  thf(16,plain,((c_2Equotient_2EQUOTIENT @ skt2 @ skt4 @ (sk4) @ (sk5) @ (sk6))),inference(cnf,[status(esa)],[13])).
% 7.61/2.50  thf(39,plain,(((c_2Emin_2E_3D_3D_3E @ $true @ $false) = (($true) => ($false)))),inference(instance,[status(thm)],[36])).
% 7.61/2.50  thf(40,plain,((~ (c_2Emin_2E_3D_3D_3E @ $true @ $false))),inference(simp,[status(thm)],[39])).
% 7.61/2.50  thf(57,plain,(((c_2Ebool_2E_5C_2F @ $false @ $false) = (($false) | ($false)))),inference(instance,[status(thm)],[50])).
% 7.61/2.50  thf(58,plain,((~ (c_2Ebool_2E_5C_2F @ $false @ $false))),inference(simp,[status(thm)],[57])).
% 7.61/2.50  thf(7,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).
% 7.61/2.50  thf(30,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 7.61/2.50  thf(46,plain,(((c_2Ebool_2E_7E @ $true) = (~ ($true)))),inference(instance,[status(thm)],[45])).
% 7.61/2.50  thf(47,plain,((~ (c_2Ebool_2E_7E @ $true))),inference(simp,[status(thm)],[46])).
% 7.61/2.50  thf(88,plain,($false),inference(e,[status(thm)],[42,24,52,14,38,21,33,13,45,17,44,59,27,54,49,63,18,50,16,40,58,36,30,47])).
% 7.61/2.50  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.61/2.50  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
