%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:39:27 EDT 2019

% Result     : Theorem 10.25s
% Output     : CNFRefutation 10.25s
% Verified   : 
% Statistics : Number of formulae       :  112 ( 135 expanded)
%              Number of leaves         :   59 (  68 expanded)
%              Depth                    :    5
%              Number of atoms          :  799 (1383 expanded)
%              Number of equality atoms :  110 ( 156 expanded)
%              Maximal formula depth    :   18 (   7 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: 
      !>[TA: $tType,TB: $tType] :
        ( TA > TB > ( tyop_2Epair_2Eprod @ TA @ TB ) ) )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Erelation_2EEMPTY__REL_type,type,(
    c_2Erelation_2EEMPTY__REL: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $o )).

thf(c_2Esum_2EINL_type,type,(
    c_2Esum_2EINL: 
      !>[TA: $tType,TB: $tType] :
        ( TA > ( tyop_2Esum_2Esum @ TA @ TB ) ) )).

thf(c_2Esum_2EINR_type,type,(
    c_2Esum_2EINR: 
      !>[TA: $tType,TB: $tType] :
        ( TB > ( tyop_2Esum_2Esum @ TA @ TB ) ) )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(c_2Epair_2EUNCURRY_type,type,(
    c_2Epair_2EUNCURRY: 
      !>[TA: $tType,TB: $tType,TC: $tType] :
        ( ( TA > TB > TC ) > ( tyop_2Epair_2Eprod @ TA @ TB ) > TC ) )).

thf(c_2Erelation_2EWF_type,type,(
    c_2Erelation_2EWF: 
      !>[TA: $tType] :
        ( ( TA > TA > $o ) > $o ) )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $o > $o )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(skt2_type,type,(
    skt2: $tType )).

thf(sk1_type,type,(
    sk1: ( skt1 > skt1 > $o ) > ( skt2 > skt2 > $o ) > ( tyop_2Esum_2Esum @ skt1 @ skt2 ) > ( tyop_2Esum_2Esum @ skt1 @ skt2 ) > $o )).

thf(sk2_type,type,(
    sk2: skt1 > skt1 > $o )).

thf(sk3_type,type,(
    sk3: skt2 > skt2 > $o )).

thf(sk4_type,type,(
    sk4: ( tyop_2Esum_2Esum @ skt1 @ skt2 ) )).

thf(sk5_type,type,(
    sk5: ( tyop_2Esum_2Esum @ skt1 @ skt2 ) )).

thf(20,axiom,(
    ! [TA: $tType,A: TA > $o,B: $o] :
      ( ( ? [C: TA] :
            ( A @ C )
        | B )
      = ( ? [C: TA] :
            ( ( A @ C )
            | B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ELEFT__OR__EXISTS__THM)).

thf(174,plain,(
    ! [TA: $tType,A: TA > $o,B: $o] :
      ( ( ? [C: TA] :
            ( A @ C )
        | B )
      = ( ? [C: TA] :
            ( ( A @ C )
            | B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(1,conjecture,(
    ! [TA: $tType,TB: $tType,A: ( TA > TA > $o ) > ( TB > TB > $o ) > ( tyop_2Esum_2Esum @ TA @ TB ) > ( tyop_2Esum_2Esum @ TA @ TB ) > $o] :
      ( ( ! [B: TA > TA > $o,C: TB > TB > $o,D: TA,E: TA] :
            ( A @ B @ C @ ( c_2Esum_2EINL @ TA @ TB @ D ) @ ( c_2Esum_2EINL @ TA @ TB @ E ) )
        & ! [B: TA > TA > $o,C: TB > TB > $o,D: TB,E: TB] :
            ( A @ B @ C @ ( c_2Esum_2EINR @ TA @ TB @ D ) @ ( c_2Esum_2EINR @ TA @ TB @ E ) )
        & ! [B: TA > TA > $o,C: TB > TB > $o,D: TA,E: TB] :
            ( A @ B @ C @ ( c_2Esum_2EINL @ TA @ TB @ D ) @ ( c_2Esum_2EINR @ TA @ TB @ E ) )
        & ! [B: TA > TA > $o,C: TB > TB > $o,D: TB,E: TA] :
            ( A @ B @ C @ ( c_2Esum_2EINR @ TA @ TB @ D ) @ ( c_2Esum_2EINL @ TA @ TB @ E ) ) )
     => ! [B: TA > TA > $o,C: TB > TB > $o,D: tyop_2Esum_2Esum @ TA @ TB,E: tyop_2Esum_2Esum @ TA @ TB] :
          ( A @ B @ C @ D @ E ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Equotient__sum_2ESUM__REL__ind)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,TB: $tType,A: ( TA > TA > $o ) > ( TB > TB > $o ) > ( tyop_2Esum_2Esum @ TA @ TB ) > ( tyop_2Esum_2Esum @ TA @ TB ) > $o] :
        ( ( ! [B: TA > TA > $o,C: TB > TB > $o,D: TA,E: TA] :
              ( A @ B @ C @ ( c_2Esum_2EINL @ TA @ TB @ D ) @ ( c_2Esum_2EINL @ TA @ TB @ E ) )
          & ! [B: TA > TA > $o,C: TB > TB > $o,D: TB,E: TB] :
              ( A @ B @ C @ ( c_2Esum_2EINR @ TA @ TB @ D ) @ ( c_2Esum_2EINR @ TA @ TB @ E ) )
          & ! [B: TA > TA > $o,C: TB > TB > $o,D: TA,E: TB] :
              ( A @ B @ C @ ( c_2Esum_2EINL @ TA @ TB @ D ) @ ( c_2Esum_2EINR @ TA @ TB @ E ) )
          & ! [B: TA > TA > $o,C: TB > TB > $o,D: TB,E: TA] :
              ( A @ B @ C @ ( c_2Esum_2EINR @ TA @ TB @ D ) @ ( c_2Esum_2EINL @ TA @ TB @ E ) ) )
       => ! [B: TA > TA > $o,C: TB > TB > $o,D: tyop_2Esum_2Esum @ TA @ TB,E: tyop_2Esum_2Esum @ TA @ TB] :
            ( A @ B @ C @ D @ E ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(38,plain,(
    ~ ! [TA: $tType,TB: $tType,A: ( TA > TA > $o ) > ( TB > TB > $o ) > ( tyop_2Esum_2Esum @ TA @ TB ) > ( tyop_2Esum_2Esum @ TA @ TB ) > $o] :
        ( ( ! [B: TA > TA > $o,C: TB > TB > $o,D: TA,E: TA] :
              ( A @ B @ C @ ( c_2Esum_2EINL @ TA @ TB @ D ) @ ( c_2Esum_2EINL @ TA @ TB @ E ) )
          & ! [B: TA > TA > $o,C: TB > TB > $o,D: TB,E: TB] :
              ( A @ B @ C @ ( c_2Esum_2EINR @ TA @ TB @ D ) @ ( c_2Esum_2EINR @ TA @ TB @ E ) )
          & ! [B: TA > TA > $o,C: TB > TB > $o,D: TA,E: TB] :
              ( A @ B @ C @ ( c_2Esum_2EINL @ TA @ TB @ D ) @ ( c_2Esum_2EINR @ TA @ TB @ E ) )
          & ! [B: TA > TA > $o,C: TB > TB > $o,D: TB,E: TA] :
              ( A @ B @ C @ ( c_2Esum_2EINR @ TA @ TB @ D ) @ ( c_2Esum_2EINL @ TA @ TB @ E ) ) )
       => ! [B: TA > TA > $o,C: TB > TB > $o,D: tyop_2Esum_2Esum @ TA @ TB,E: tyop_2Esum_2Esum @ TA @ TB] :
            ( A @ B @ C @ D @ E ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(42,plain,(
    ~ ( sk1 @ sk2 @ sk3 @ sk4 @ sk5 ) ),
    inference(cnf,[status(esa)],[38])).

thf(8,axiom,(
    ! [A: $o,B: $o,C: $o] :
      ( ( C
        = ( B = A ) )
      = ( ( C
          | B
          | A )
        & ( C
          | ~ A
          | ~ B )
        & ( B
          | ~ A
          | ~ C )
        & ( A
          | ~ B
          | ~ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2Edc__eq)).

thf(110,plain,(
    ! [A: $o,B: $o,C: $o] :
      ( ( C
        = ( B = A ) )
      = ( ( C
          | B
          | A )
        & ( C
          | ~ A
          | ~ B )
        & ( B
          | ~ A
          | ~ C )
        & ( A
          | ~ B
          | ~ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(14,axiom,(
    ! [TA: $tType] :
      ( c_2Erelation_2EWF @ TA @ ( c_2Erelation_2EEMPTY__REL @ TA ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erelation_2EWF__EMPTY__REL)).

thf(156,plain,(
    ! [TA: $tType] :
      ( c_2Erelation_2EWF @ TA @ ( c_2Erelation_2EEMPTY__REL @ TA ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(157,plain,(
    ! [TA: $tType] :
      ( c_2Erelation_2EWF @ TA @ ( c_2Erelation_2EEMPTY__REL @ TA ) ) ),
    inference(cnf,[status(esa)],[156])).

thf(23,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).

thf(183,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(184,plain,
    ( ( ( c_2Ebool_2ET = $true )
      = $true )
    & ( ( $true = c_2Ebool_2ET )
      = $true )
    & ( ( c_2Ebool_2EF = $true )
      = ( ~ $true ) )
    & ( ( $true = c_2Ebool_2EF )
      = ( ~ $true ) ) ),
    inference(instance,[status(thm)],[183])).

thf(185,plain,
    ( c_2Ebool_2ET
    & ~ c_2Ebool_2EF
    & ~ c_2Ebool_2EF ),
    inference(simp,[status(thm)],[184])).

thf(189,plain,(
    c_2Ebool_2ET ),
    inference(cnf,[status(esa)],[185])).

thf(7,axiom,(
    ! [A: $o,B: $o,C: $o] :
      ( ( C
        = ( B
          & A ) )
      = ( ( C
          | ~ B
          | ~ A )
        & ( B
          | ~ C )
        & ( A
          | ~ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2Edc__conj)).

thf(93,plain,(
    ! [A: $o,B: $o,C: $o] :
      ( ( C
        = ( B
          & A ) )
      = ( ( C
          | ~ B
          | ~ A )
        & ( B
          | ~ C )
        & ( A
          | ~ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(36,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(253,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[36])).

thf(260,plain,
    ( ( c_2Ebool_2E_5C_2F @ $false @ $false )
    = ( $false
      | $false ) ),
    inference(instance,[status(thm)],[253])).

thf(261,plain,(
    ~ ( c_2Ebool_2E_5C_2F @ $false @ $false ) ),
    inference(simp,[status(thm)],[260])).

thf(10,axiom,(
    ! [A: $o,B: $o] :
      ( ( ~ ( ~ B
            | A )
       => c_2Ebool_2EF )
      = ( B
       => ( ~ A
         => c_2Ebool_2EF ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EOR__DUAL3)).

thf(132,plain,(
    ! [A: $o,B: $o] :
      ( ( ~ ( ~ B
            | A )
       => c_2Ebool_2EF )
      = ( B
       => ( ~ A
         => c_2Ebool_2EF ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(34,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(239,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[34])).

thf(242,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $true @ $false )
    = ( $true
     => $false ) ),
    inference(instance,[status(thm)],[239])).

thf(243,plain,(
    ~ ( c_2Emin_2E_3D_3D_3E @ $true @ $false ) ),
    inference(simp,[status(thm)],[242])).

thf(32,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(233,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[32])).

thf(35,axiom,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(248,plain,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[35])).

thf(29,axiom,(
    ! [A: $o,B: $o] :
      ( ( A
       => B )
     => ( ( B
         => A )
       => ( A = B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__ANTISYM__AX)).

thf(220,plain,(
    ! [A: $o,B: $o] :
      ( ( A
       => B )
     => ( ( B
         => A )
       => ( A = B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).

thf(24,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( A = B )
      = ( B = A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__SYM__EQ)).

thf(192,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( A = B )
      = ( B = A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(17,axiom,(
    ! [TA: $tType,TB: $tType,A: tyop_2Epair_2Eprod @ TA @ TB] :
    ? [B: TA,C: TB] :
      ( A
      = ( c_2Epair_2E_2C @ TA @ TB @ B @ C ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2EABS__PAIR__THM)).

thf(165,plain,(
    ! [TA: $tType,TB: $tType,A: tyop_2Epair_2Eprod @ TA @ TB] :
    ? [B: TA,C: TB] :
      ( A
      = ( c_2Epair_2E_2C @ TA @ TB @ B @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(30,axiom,(
    c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(229,plain,(
    c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).

thf(188,plain,(
    ~ c_2Ebool_2EF ),
    inference(cnf,[status(esa)],[185])).

thf(11,axiom,(
    ! [A: $o,B: $o] :
      ( ( ~ ( B
            | A )
       => c_2Ebool_2EF )
      = ( ( B
         => c_2Ebool_2EF )
       => ( ~ A
         => c_2Ebool_2EF ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EOR__DUAL2)).

thf(141,plain,(
    ! [A: $o,B: $o] :
      ( ( ~ ( B
            | A )
       => c_2Ebool_2EF )
      = ( ( B
         => c_2Ebool_2EF )
       => ( ~ A
         => c_2Ebool_2EF ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(41,plain,(
    ! [D: skt1,C: skt1,B: skt2 > skt2 > $o,A: skt1 > skt1 > $o] :
      ( sk1 @ A @ B @ ( c_2Esum_2EINL @ skt1 @ skt2 @ C ) @ ( c_2Esum_2EINL @ skt1 @ skt2 @ D ) ) ),
    inference(cnf,[status(esa)],[38])).

thf(22,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( ~ ? [B: TA] :
              ( A @ B ) )
      = ( ! [B: TA] :
            ~ ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ENOT__EXISTS__THM)).

thf(180,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( ~ ? [B: TA] :
              ( A @ B ) )
      = ( ! [B: TA] :
            ~ ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(39,plain,(
    ! [D: skt1,C: skt2,B: skt2 > skt2 > $o,A: skt1 > skt1 > $o] :
      ( sk1 @ A @ B @ ( c_2Esum_2EINR @ skt1 @ skt2 @ C ) @ ( c_2Esum_2EINL @ skt1 @ skt2 @ D ) ) ),
    inference(cnf,[status(esa)],[38])).

thf(44,plain,(
    ! [D: skt1,C: skt2,B: skt2 > skt2 > $o,A: skt1 > skt1 > $o] :
      ( sk1 @ A @ B @ ( c_2Esum_2EINR @ skt1 @ skt2 @ C ) @ ( c_2Esum_2EINL @ skt1 @ skt2 @ D ) ) ),
    inference(simp,[status(thm)],[39])).

thf(5,axiom,(
    ! [A: $o,B: $o,C: $o] :
      ( ( C
        = ( B
         => A ) )
      = ( ( C
          | B )
        & ( C
          | ~ A )
        & ( ~ B
          | A
          | ~ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2Edc__imp)).

thf(59,plain,(
    ! [A: $o,B: $o,C: $o] :
      ( ( C
        = ( B
         => A ) )
      = ( ( C
          | B )
        & ( C
          | ~ A )
        & ( ~ B
          | A
          | ~ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(33,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(236,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[33])).

thf(31,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(230,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[31])).

thf(6,axiom,(
    ! [A: $o,B: $o,C: $o] :
      ( ( C
        = ( B
          | A ) )
      = ( ( C
          | ~ B )
        & ( C
          | ~ A )
        & ( B
          | A
          | ~ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2Edc__disj)).

thf(76,plain,(
    ! [A: $o,B: $o,C: $o] :
      ( ( C
        = ( B
          | A ) )
      = ( ( C
          | ~ B )
        & ( C
          | ~ A )
        & ( B
          | A
          | ~ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(13,axiom,(
    ! [A: $o] : ( ( ~ ~ A ) = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2ENOT__NOT)).

thf(155,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(16,axiom,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: TA > TB > TC,B: TA,C: TB] :
      ( ( c_2Epair_2EUNCURRY @ TA @ TB @ TC @ A @ ( c_2Epair_2E_2C @ TA @ TB @ B @ C ) )
      = ( A @ B @ C ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2EUNCURRY__DEF)).

thf(162,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: TA > TB > TC,B: TA,C: TB] :
      ( ( c_2Epair_2EUNCURRY @ TA @ TB @ TC @ A @ ( c_2Epair_2E_2C @ TA @ TB @ B @ C ) )
      = ( A @ B @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(12,axiom,(
    ! [A: $o] :
      ( A
     => ( ~ A
       => c_2Ebool_2EF ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EAND__INV__IMP)).

thf(150,plain,(
    ! [A: $o] :
      ( A
     => ( ~ A
       => c_2Ebool_2EF ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(4,axiom,(
    ! [A: $o,B: $o] :
      ( ( B = ( ~ A ) )
      = ( ( B
          | A )
        & ( ~ A
          | ~ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2Edc__neg)).

thf(50,plain,(
    ! [A: $o,B: $o] :
      ( ( B = ( ~ A ) )
      = ( ( B
          | A )
        & ( ~ A
          | ~ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(21,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( ? [C: TA] :
            ( ( A @ C )
            | ( B @ C ) ) )
      = ( ? [C: TA] :
            ( A @ C )
        | ? [C: TA] :
            ( B @ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EEXISTS__OR__THM)).

thf(177,plain,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( ? [C: TA] :
            ( ( A @ C )
            | ( B @ C ) ) )
      = ( ? [C: TA] :
            ( A @ C )
        | ? [C: TA] :
            ( B @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(9,axiom,(
    ! [A: $o] :
      ( ( ~ A
       => c_2Ebool_2EF )
     => ( ( A
         => c_2Ebool_2EF )
       => c_2Ebool_2EF ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EAND__INV2)).

thf(127,plain,(
    ! [A: $o] :
      ( ( ~ A
       => c_2Ebool_2EF )
     => ( ( A
         => c_2Ebool_2EF )
       => c_2Ebool_2EF ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(249,plain,
    ( ( c_2Ebool_2E_7E @ $true )
    = ( ~ $true ) ),
    inference(instance,[status(thm)],[248])).

thf(250,plain,(
    ~ ( c_2Ebool_2E_7E @ $true ) ),
    inference(simp,[status(thm)],[249])).

thf(15,axiom,(
    ! [TA: $tType,A: TA > TA > $o] :
      ( ( c_2Erelation_2EWF @ TA @ A )
     => ! [B: TA > $o] :
          ( ! [C: TA] :
              ( ! [D: TA] :
                  ( ( A @ D @ C )
                 => ( B @ D ) )
             => ( B @ C ) )
         => ! [C: TA] :
              ( B @ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erelation_2EWF__INDUCTION__THM)).

thf(158,plain,(
    ! [TA: $tType,A: TA > TA > $o] :
      ( ( c_2Erelation_2EWF @ TA @ A )
     => ! [B: TA > $o] :
          ( ! [C: TA] :
              ( ! [D: TA] :
                  ( ( A @ D @ C )
                 => ( B @ D ) )
             => ( B @ C ) )
         => ! [C: TA] :
              ( B @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(19,axiom,(
    ! [TA: $tType,A: $o,B: TA > $o] :
      ( ( A
        | ? [C: TA] :
            ( B @ C ) )
      = ( ? [C: TA] :
            ( A
            | ( B @ C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ERIGHT__OR__EXISTS__THM)).

thf(171,plain,(
    ! [TA: $tType,A: $o,B: TA > $o] :
      ( ( A
        | ? [C: TA] :
            ( B @ C ) )
      = ( ? [C: TA] :
            ( A
            | ( B @ C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(18,axiom,(
    ! [TA: $tType,A: TA > $o,B: $o] :
      ( ( ? [C: TA] :
            ( ( A @ C )
            & B ) )
      = ( ? [C: TA] :
            ( A @ C )
        & B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ELEFT__EXISTS__AND__THM)).

thf(168,plain,(
    ! [TA: $tType,A: TA > $o,B: $o] :
      ( ( ? [C: TA] :
            ( ( A @ C )
            & B ) )
      = ( ? [C: TA] :
            ( A @ C )
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(37,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(262,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[37])).

thf(27,axiom,(
    ! [A: $o] :
      ( ~ A
     => ( A
       => c_2Ebool_2EF ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EF__IMP)).

thf(210,plain,(
    ! [A: $o] :
      ( ~ A
     => ( A
       => c_2Ebool_2EF ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).

thf(25,axiom,
    ( ! [A: $o] : ( ( ~ ~ A ) = A )
    & ( ( ~ c_2Ebool_2ET ) = c_2Ebool_2EF )
    & ( ( ~ c_2Ebool_2EF ) = c_2Ebool_2ET ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ENOT__CLAUSES)).

thf(195,plain,
    ( ( ( ~ c_2Ebool_2ET ) = c_2Ebool_2EF )
    & ( ( ~ c_2Ebool_2EF ) = c_2Ebool_2ET ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(3,axiom,(
    ! [TA: $tType,TB: $tType,A: tyop_2Esum_2Esum @ TA @ TB] :
      ( ? [B: TA] :
          ( A
          = ( c_2Esum_2EINL @ TA @ TB @ B ) )
      | ? [B: TB] :
          ( A
          = ( c_2Esum_2EINR @ TA @ TB @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esum_2Esum__CASES)).

thf(47,plain,(
    ! [TA: $tType,TB: $tType,A: tyop_2Esum_2Esum @ TA @ TB] :
      ( ? [B: TA] :
          ( A
          = ( c_2Esum_2EINL @ TA @ TB @ B ) )
      | ? [B: TB] :
          ( A
          = ( c_2Esum_2EINR @ TA @ TB @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(26,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
         => A )
        = A )
      & ( ( A
         => c_2Ebool_2ET )
        = c_2Ebool_2ET )
      & ( ( c_2Ebool_2EF
         => A )
        = c_2Ebool_2ET )
      & ( ( A
         => A )
        = c_2Ebool_2ET )
      & ( ( A
         => c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__CLAUSES)).

thf(200,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
         => A )
        = A )
      & ( ( A
         => c_2Ebool_2ET )
        = c_2Ebool_2ET )
      & ( ( c_2Ebool_2EF
         => A )
        = c_2Ebool_2ET )
      & c_2Ebool_2ET
      & ( ( A
         => c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).

thf(28,axiom,(
    ! [A: $o] :
      ( ( A
       => c_2Ebool_2EF )
     => ~ A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__F)).

thf(215,plain,(
    ! [A: $o] :
      ( ( A
       => c_2Ebool_2EF )
     => ~ A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).

thf(286,plain,(
    $false ),
    inference(e,[status(thm)],[174,42,110,157,189,93,261,253,132,243,233,248,220,38,192,165,229,156,188,141,41,180,44,59,236,230,76,155,162,150,50,177,127,250,158,171,168,262,183,210,239,195,47,200,215])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.03/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.03/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.03/0.13  % CPULimit   : 300
% 0.03/0.13  % DateTime   : Wed Jul 31 00:45:27 EDT 2019
% 0.03/0.13  % CPUTime    : 
% 4.55/1.69  % [INFO] 	 Running in sequential loop mode. 
% 5.22/1.86  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 5.51/1.93  % [INFO] 	 iprover registered as external prover. 
% 5.51/1.93  % [INFO] 	 e registered as external prover. 
% 5.51/1.93  % [INFO] 	 cvc4 registered as external prover. 
% 5.51/1.93  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.80/2.00  % [INFO] 	 Found a conjecture and 35 axioms. Running axiom selection ... 
% 5.80/2.04  % [INFO] 	 Axiom selection finished. Selected 35 axioms (removed 0 axioms). 
% 6.07/2.10  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 10.25/3.22  % [INFO] 	 Killing All external provers ... 
% 10.25/3.22  % Time passed: 2962ms
% 10.25/3.22  % Effective reasoning time: 1526ms
% 10.25/3.22  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 10.25/3.22  % Axioms used in derivation (35): thm_2Erelation_2EWF__EMPTY__REL, thm_2Ebool_2ENOT__CLAUSES, thm_2Ebool_2ELEFT__OR__EXISTS__THM, thm_2Esum_2Esum__CASES, thm_2Esat_2Edc__conj, thm_2Esat_2EAND__INV__IMP, thm_2Esat_2EOR__DUAL3, logicdef_2E_3D, thm_2Ebool_2EEQ__CLAUSES, thm_2Ebool_2EIMP__ANTISYM__AX, thm_2Ebool_2EEXISTS__OR__THM, thm_2Esat_2Edc__eq, thm_2Ebool_2EIMP__F, thm_2Ebool_2ENOT__EXISTS__THM, thm_2Esat_2Edc__imp, logicdef_2E_5C_2F, thm_2Ebool_2ERIGHT__OR__EXISTS__THM, thm_2Erelation_2EWF__INDUCTION__THM, thm_2Esat_2Edc__neg, quantdef_2E_21, thm_2Ebool_2EIMP__CLAUSES, thm_2Ebool_2ETRUTH, thm_2Ebool_2EF__IMP, logicdef_2E_3D_3D_3E, thm_2Esat_2EAND__INV2, thm_2Ebool_2ELEFT__EXISTS__AND__THM, thm_2Esat_2ENOT__NOT, thm_2Epair_2EUNCURRY__DEF, thm_2Ebool_2EEQ__SYM__EQ, thm_2Esat_2EOR__DUAL2, logicdef_2E_2F_5C, logicdef_2E_7E, thm_2Esat_2Edc__disj, thm_2Epair_2EABS__PAIR__THM, quantdef_2E_3F
% 10.25/3.22  % No. of inferences in proof: 89
% 10.25/3.22  % No. of processed clauses: 11
% 10.25/3.22  % No. of generated clauses: 2
% 10.25/3.22  % No. of forward subsumed clauses: 7
% 10.25/3.22  % No. of backward subsumed clauses: 0
% 10.25/3.22  % No. of ground rewrite rules in store: 7
% 10.25/3.22  % No. of non-ground rewrite rules in store: 3
% 10.25/3.22  % No. of positive (non-rewrite) units in store: 0
% 10.25/3.22  % No. of negative (non-rewrite) units in store: 0
% 10.25/3.22  % No. of choice functions detected: 0
% 10.25/3.22  % No. of choice instantiations: 0
% 10.25/3.23  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2962 ms resp. 1526 ms w/o parsing
% 10.25/3.27  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 10.25/3.27  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 10.25/3.27  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 10.25/3.27  thf(c_2Epair_2E_2C_type, type, c_2Epair_2E_2C: !>[TA: $tType,TB: $tType]: (TA > (TB > (tyop_2Epair_2Eprod @ TA @ TB)))).
% 10.25/3.27  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 10.25/3.27  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 10.25/3.27  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 10.25/3.27  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 10.25/3.27  thf(c_2Erelation_2EEMPTY__REL_type, type, c_2Erelation_2EEMPTY__REL: !>[TA: $tType]: (TA > (TA > $o))).
% 10.25/3.27  thf(c_2Ebool_2EF_type, type, c_2Ebool_2EF: $o).
% 10.25/3.27  thf(c_2Esum_2EINL_type, type, c_2Esum_2EINL: !>[TA: $tType,TB: $tType]: (TA > (tyop_2Esum_2Esum @ TA @ TB))).
% 10.25/3.27  thf(c_2Esum_2EINR_type, type, c_2Esum_2EINR: !>[TA: $tType,TB: $tType]: (TB > (tyop_2Esum_2Esum @ TA @ TB))).
% 10.25/3.27  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 10.25/3.27  thf(c_2Epair_2EUNCURRY_type, type, c_2Epair_2EUNCURRY: !>[TA: $tType,TB: $tType,TC: $tType]: ((TA > (TB > TC)) > ((tyop_2Epair_2Eprod @ TA @ TB) > TC))).
% 10.25/3.27  thf(c_2Erelation_2EWF_type, type, c_2Erelation_2EWF: !>[TA: $tType]: ((TA > (TA > $o)) > $o)).
% 10.25/3.27  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 10.25/3.27  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 10.25/3.27  thf(skt1_type, type, skt1: $tType).
% 10.25/3.27  thf(skt2_type, type, skt2: $tType).
% 10.25/3.27  thf(sk1_type, type, sk1: ((skt1 > (skt1 > $o)) > ((skt2 > (skt2 > $o)) > ((tyop_2Esum_2Esum @ skt1 @ skt2) > ((tyop_2Esum_2Esum @ skt1 @ skt2) > $o))))).
% 10.25/3.27  thf(sk2_type, type, sk2: (skt1 > (skt1 > $o))).
% 10.25/3.27  thf(sk3_type, type, sk3: (skt2 > (skt2 > $o))).
% 10.25/3.27  thf(sk4_type, type, sk4: (tyop_2Esum_2Esum @ skt1 @ skt2)).
% 10.25/3.27  thf(sk5_type, type, sk5: (tyop_2Esum_2Esum @ skt1 @ skt2)).
% 10.25/3.27  thf(20,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:$o]: ((? [C:TA]: (A @ C) | (B)) = (? [C:TA]: ((A @ C) | (B))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ELEFT__OR__EXISTS__THM)).
% 10.25/3.27  thf(174,plain,((! [TA: $tType]: (! [A:(TA > $o),B:$o]: ((? [C:TA]: (A @ C) | (B)) = (? [C:TA]: ((A @ C) | (B))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).
% 10.25/3.27  thf(1,conjecture,((! [TA: $tType,TB: $tType]: (! [A:((TA > (TA > $o)) > ((TB > (TB > $o)) > ((tyop_2Esum_2Esum @ TA @ TB) > ((tyop_2Esum_2Esum @ TA @ TB) > $o))))]: ((! [B:(TA > (TA > $o)),C:(TB > (TB > $o)),D:TA,E:TA]: (A @ B @ C @ (c_2Esum_2EINL @ TA @ TB @ D) @ (c_2Esum_2EINL @ TA @ TB @ E)) & ! [B:(TA > (TA > $o)),C:(TB > (TB > $o)),D:TB,E:TB]: (A @ B @ C @ (c_2Esum_2EINR @ TA @ TB @ D) @ (c_2Esum_2EINR @ TA @ TB @ E)) & ! [B:(TA > (TA > $o)),C:(TB > (TB > $o)),D:TA,E:TB]: (A @ B @ C @ (c_2Esum_2EINL @ TA @ TB @ D) @ (c_2Esum_2EINR @ TA @ TB @ E)) & ! [B:(TA > (TA > $o)),C:(TB > (TB > $o)),D:TB,E:TA]: (A @ B @ C @ (c_2Esum_2EINR @ TA @ TB @ D) @ (c_2Esum_2EINL @ TA @ TB @ E))) => (! [B:(TA > (TA > $o)),C:(TB > (TB > $o)),D:(tyop_2Esum_2Esum @ TA @ TB),E:(tyop_2Esum_2Esum @ TA @ TB)]: (A @ B @ C @ D @ E)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Equotient__sum_2ESUM__REL__ind)).
% 10.25/3.27  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType]: (! [A:((TA > (TA > $o)) > ((TB > (TB > $o)) > ((tyop_2Esum_2Esum @ TA @ TB) > ((tyop_2Esum_2Esum @ TA @ TB) > $o))))]: ((! [B:(TA > (TA > $o)),C:(TB > (TB > $o)),D:TA,E:TA]: (A @ B @ C @ (c_2Esum_2EINL @ TA @ TB @ D) @ (c_2Esum_2EINL @ TA @ TB @ E)) & ! [B:(TA > (TA > $o)),C:(TB > (TB > $o)),D:TB,E:TB]: (A @ B @ C @ (c_2Esum_2EINR @ TA @ TB @ D) @ (c_2Esum_2EINR @ TA @ TB @ E)) & ! [B:(TA > (TA > $o)),C:(TB > (TB > $o)),D:TA,E:TB]: (A @ B @ C @ (c_2Esum_2EINL @ TA @ TB @ D) @ (c_2Esum_2EINR @ TA @ TB @ E)) & ! [B:(TA > (TA > $o)),C:(TB > (TB > $o)),D:TB,E:TA]: (A @ B @ C @ (c_2Esum_2EINR @ TA @ TB @ D) @ (c_2Esum_2EINL @ TA @ TB @ E))) => (! [B:(TA > (TA > $o)),C:(TB > (TB > $o)),D:(tyop_2Esum_2Esum @ TA @ TB),E:(tyop_2Esum_2Esum @ TA @ TB)]: (A @ B @ C @ D @ E))))))),inference(neg_conjecture,[status(cth)],[1])).
% 10.25/3.27  thf(38,plain,((~ (! [TA: $tType,TB: $tType]: (! [A:((TA > (TA > $o)) > ((TB > (TB > $o)) > ((tyop_2Esum_2Esum @ TA @ TB) > ((tyop_2Esum_2Esum @ TA @ TB) > $o))))]: ((! [B:(TA > (TA > $o)),C:(TB > (TB > $o)),D:TA,E:TA]: (A @ (B) @ (C) @ (c_2Esum_2EINL @ TA @ TB @ D) @ (c_2Esum_2EINL @ TA @ TB @ E)) & ! [B:(TA > (TA > $o)),C:(TB > (TB > $o)),D:TB,E:TB]: (A @ (B) @ (C) @ (c_2Esum_2EINR @ TA @ TB @ D) @ (c_2Esum_2EINR @ TA @ TB @ E)) & ! [B:(TA > (TA > $o)),C:(TB > (TB > $o)),D:TA,E:TB]: (A @ (B) @ (C) @ (c_2Esum_2EINL @ TA @ TB @ D) @ (c_2Esum_2EINR @ TA @ TB @ E)) & ! [B:(TA > (TA > $o)),C:(TB > (TB > $o)),D:TB,E:TA]: (A @ (B) @ (C) @ (c_2Esum_2EINR @ TA @ TB @ D) @ (c_2Esum_2EINL @ TA @ TB @ E))) => (! [B:(TA > (TA > $o)),C:(TB > (TB > $o)),D:(tyop_2Esum_2Esum @ TA @ TB),E:(tyop_2Esum_2Esum @ TA @ TB)]: (A @ (B) @ (C) @ D @ E))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 10.25/3.27  thf(42,plain,((~ (sk1 @ (sk2) @ (sk3) @ sk4 @ sk5))),inference(cnf,[status(esa)],[38])).
% 10.25/3.27  thf(8,axiom,((! [A:$o,B:$o,C:$o]: ((C = (B = A)) = (((C) | (B) | (A)) & ((C) | ~ (A) | ~ (B)) & ((B) | ~ (A) | ~ (C)) & ((A) | ~ (B) | ~ (C)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2Edc__eq)).
% 10.25/3.27  thf(110,plain,((! [A:$o,B:$o,C:$o]: ((C = (B = A)) = (((C) | (B) | (A)) & ((C) | ~ (A) | ~ (B)) & ((B) | ~ (A) | ~ (C)) & ((A) | ~ (B) | ~ (C)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 10.25/3.27  thf(14,axiom,((! [TA: $tType]: (c_2Erelation_2EWF @ TA @ (c_2Erelation_2EEMPTY__REL @ TA)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erelation_2EWF__EMPTY__REL)).
% 10.25/3.27  thf(156,plain,((! [TA: $tType]: (c_2Erelation_2EWF @ TA @ (c_2Erelation_2EEMPTY__REL @ TA)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).
% 10.25/3.27  thf(157,plain,(! [TA:$tType] : ((c_2Erelation_2EWF @ TA @ (c_2Erelation_2EEMPTY__REL @ TA)))),inference(cnf,[status(esa)],[156])).
% 10.25/3.27  thf(23,axiom,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).
% 10.25/3.27  thf(183,plain,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).
% 10.25/3.27  thf(184,plain,((((c_2Ebool_2ET = $true) = $true) & (($true = c_2Ebool_2ET) = $true) & ((c_2Ebool_2EF = $true) = (~ ($true))) & (($true = c_2Ebool_2EF) = (~ ($true))))),inference(instance,[status(thm)],[183])).
% 10.25/3.27  thf(185,plain,(((c_2Ebool_2ET) & ~ (c_2Ebool_2EF) & ~ (c_2Ebool_2EF))),inference(simp,[status(thm)],[184])).
% 10.25/3.27  thf(189,plain,(c_2Ebool_2ET),inference(cnf,[status(esa)],[185])).
% 10.25/3.27  thf(7,axiom,((! [A:$o,B:$o,C:$o]: ((C = ((B) & (A))) = (((C) | ~ (B) | ~ (A)) & ((B) | ~ (C)) & ((A) | ~ (C)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2Edc__conj)).
% 10.25/3.27  thf(93,plain,((! [A:$o,B:$o,C:$o]: ((C = ((B) & (A))) = (((C) | ~ (B) | ~ (A)) & ((B) | ~ (C)) & ((A) | ~ (C)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 10.25/3.27  thf(36,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 10.25/3.27  thf(253,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[36])).
% 10.25/3.27  thf(260,plain,(((c_2Ebool_2E_5C_2F @ $false @ $false) = (($false) | ($false)))),inference(instance,[status(thm)],[253])).
% 10.25/3.27  thf(261,plain,((~ (c_2Ebool_2E_5C_2F @ $false @ $false))),inference(simp,[status(thm)],[260])).
% 10.25/3.27  thf(10,axiom,((! [A:$o,B:$o]: (((~ (~ (B) | (A))) => (c_2Ebool_2EF)) = ((B) => ((~ (A)) => (c_2Ebool_2EF)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EOR__DUAL3)).
% 10.25/3.27  thf(132,plain,((! [A:$o,B:$o]: (((~ (~ (B) | (A))) => (c_2Ebool_2EF)) = ((B) => ((~ (A)) => (c_2Ebool_2EF)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 10.25/3.27  thf(34,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 10.25/3.27  thf(239,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[34])).
% 10.25/3.27  thf(242,plain,(((c_2Emin_2E_3D_3D_3E @ $true @ $false) = (($true) => ($false)))),inference(instance,[status(thm)],[239])).
% 10.25/3.27  thf(243,plain,((~ (c_2Emin_2E_3D_3D_3E @ $true @ $false))),inference(simp,[status(thm)],[242])).
% 10.25/3.27  thf(32,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).
% 10.25/3.27  thf(233,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[32])).
% 10.25/3.27  thf(35,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 10.25/3.27  thf(248,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[35])).
% 10.25/3.27  thf(29,axiom,((! [A:$o,B:$o]: (((A) => (B)) => (((B) => (A)) => (A = B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__ANTISYM__AX)).
% 10.25/3.27  thf(220,plain,((! [A:$o,B:$o]: (((A) => (B)) => (((B) => (A)) => (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).
% 10.25/3.27  thf(24,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((A = B) = (B = A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__SYM__EQ)).
% 10.25/3.27  thf(192,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((A = B) = (B = A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).
% 10.25/3.27  thf(17,axiom,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Epair_2Eprod @ TA @ TB)]: ? [B:TA,C:TB]: (A = (c_2Epair_2E_2C @ TA @ TB @ B @ C))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2EABS__PAIR__THM)).
% 10.25/3.27  thf(165,plain,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Epair_2Eprod @ TA @ TB)]: ? [B:TA,C:TB]: (A = (c_2Epair_2E_2C @ TA @ TB @ B @ C))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).
% 10.25/3.27  thf(30,axiom,(c_2Ebool_2ET),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).
% 10.25/3.27  thf(229,plain,(c_2Ebool_2ET),inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).
% 10.25/3.27  thf(188,plain,(~ (c_2Ebool_2EF)),inference(cnf,[status(esa)],[185])).
% 10.25/3.27  thf(11,axiom,((! [A:$o,B:$o]: (((~ ((B) | (A))) => (c_2Ebool_2EF)) = (((B) => (c_2Ebool_2EF)) => ((~ (A)) => (c_2Ebool_2EF)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EOR__DUAL2)).
% 10.25/3.27  thf(141,plain,((! [A:$o,B:$o]: (((~ ((B) | (A))) => (c_2Ebool_2EF)) = (((B) => (c_2Ebool_2EF)) => ((~ (A)) => (c_2Ebool_2EF)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 10.25/3.27  thf(41,plain,(! [D:skt1,C:skt1,B:(skt2 > (skt2 > $o)),A:(skt1 > (skt1 > $o))] : ((sk1 @ (A) @ (B) @ (c_2Esum_2EINL @ skt1 @ skt2 @ C) @ (c_2Esum_2EINL @ skt1 @ skt2 @ D)))),inference(cnf,[status(esa)],[38])).
% 10.25/3.27  thf(22,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((~ (? [B:TA]: (A @ B))) = (! [B:TA]: ~ (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ENOT__EXISTS__THM)).
% 10.25/3.27  thf(180,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((~ (? [B:TA]: (A @ B))) = (! [B:TA]: ~ (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).
% 10.25/3.27  thf(39,plain,(! [D:skt1,C:skt2,B:(skt2 > (skt2 > $o)),A:(skt1 > (skt1 > $o))] : ((sk1 @ (A) @ (B) @ (c_2Esum_2EINR @ skt1 @ skt2 @ C) @ (c_2Esum_2EINL @ skt1 @ skt2 @ D)))),inference(cnf,[status(esa)],[38])).
% 10.25/3.27  thf(44,plain,(! [D:skt1,C:skt2,B:(skt2 > (skt2 > $o)),A:(skt1 > (skt1 > $o))] : ((sk1 @ (A) @ (B) @ (c_2Esum_2EINR @ skt1 @ skt2 @ C) @ (c_2Esum_2EINL @ skt1 @ skt2 @ D)))),inference(simp,[status(thm)],[39])).
% 10.25/3.27  thf(5,axiom,((! [A:$o,B:$o,C:$o]: ((C = ((B) => (A))) = (((C) | (B)) & ((C) | ~ (A)) & (~ (B) | (A) | ~ (C)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2Edc__imp)).
% 10.25/3.27  thf(59,plain,((! [A:$o,B:$o,C:$o]: ((C = ((B) => (A))) = (((C) | (B)) & ((C) | ~ (A)) & (~ (B) | (A) | ~ (C)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 10.25/3.27  thf(33,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 10.25/3.27  thf(236,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[33])).
% 10.25/3.27  thf(31,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 10.25/3.27  thf(230,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[31])).
% 10.25/3.27  thf(6,axiom,((! [A:$o,B:$o,C:$o]: ((C = ((B) | (A))) = (((C) | ~ (B)) & ((C) | ~ (A)) & ((B) | (A) | ~ (C)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2Edc__disj)).
% 10.25/3.27  thf(76,plain,((! [A:$o,B:$o,C:$o]: ((C = ((B) | (A))) = (((C) | ~ (B)) & ((C) | ~ (A)) & ((B) | (A) | ~ (C)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 10.25/3.27  thf(13,axiom,((! [A:$o]: ((~ (~ (A))) = A))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2ENOT__NOT)).
% 10.25/3.27  thf(155,plain,($true),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 10.25/3.27  thf(16,axiom,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TA > (TB > TC)),B:TA,C:TB]: ((c_2Epair_2EUNCURRY @ TA @ TB @ TC @ A @ (c_2Epair_2E_2C @ TA @ TB @ B @ C)) = (A @ B @ C))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2EUNCURRY__DEF)).
% 10.25/3.27  thf(162,plain,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TA > (TB > TC)),B:TA,C:TB]: ((c_2Epair_2EUNCURRY @ TA @ TB @ TC @ (A) @ (c_2Epair_2E_2C @ TA @ TB @ B @ C)) = (A @ B @ C))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).
% 10.25/3.27  thf(12,axiom,((! [A:$o]: ((A) => ((~ (A)) => (c_2Ebool_2EF))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EAND__INV__IMP)).
% 10.25/3.27  thf(150,plain,((! [A:$o]: ((A) => ((~ (A)) => (c_2Ebool_2EF))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 10.25/3.27  thf(4,axiom,((! [A:$o,B:$o]: ((B = (~ (A))) = (((B) | (A)) & (~ (A) | ~ (B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2Edc__neg)).
% 10.25/3.27  thf(50,plain,((! [A:$o,B:$o]: ((B = (~ (A))) = (((B) | (A)) & (~ (A) | ~ (B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 10.25/3.27  thf(21,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((? [C:TA]: ((A @ C) | (B @ C))) = (? [C:TA]: (A @ C) | ? [C:TA]: (B @ C)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EEXISTS__OR__THM)).
% 10.25/3.27  thf(177,plain,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((? [C:TA]: ((A @ C) | (B @ C))) = (? [C:TA]: (A @ C) | ? [C:TA]: (B @ C)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).
% 10.25/3.27  thf(9,axiom,((! [A:$o]: (((~ (A)) => (c_2Ebool_2EF)) => (((A) => (c_2Ebool_2EF)) => (c_2Ebool_2EF))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EAND__INV2)).
% 10.25/3.27  thf(127,plain,((! [A:$o]: (((~ (A)) => (c_2Ebool_2EF)) => (((A) => (c_2Ebool_2EF)) => (c_2Ebool_2EF))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 10.25/3.27  thf(249,plain,(((c_2Ebool_2E_7E @ $true) = (~ ($true)))),inference(instance,[status(thm)],[248])).
% 10.25/3.27  thf(250,plain,((~ (c_2Ebool_2E_7E @ $true))),inference(simp,[status(thm)],[249])).
% 10.25/3.27  thf(15,axiom,((! [TA: $tType]: (! [A:(TA > (TA > $o))]: ((c_2Erelation_2EWF @ TA @ A) => (! [B:(TA > $o)]: ((! [C:TA]: ((! [D:TA]: ((A @ D @ C) => (B @ D))) => (B @ C))) => (! [C:TA]: (B @ C)))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erelation_2EWF__INDUCTION__THM)).
% 10.25/3.27  thf(158,plain,((! [TA: $tType]: (! [A:(TA > (TA > $o))]: ((c_2Erelation_2EWF @ TA @ (A)) => (! [B:(TA > $o)]: ((! [C:TA]: ((! [D:TA]: ((A @ D @ C) => (B @ D))) => (B @ C))) => (! [C:TA]: (B @ C)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).
% 10.25/3.27  thf(19,axiom,((! [TA: $tType]: (! [A:$o,B:(TA > $o)]: (((A) | ? [C:TA]: (B @ C)) = (? [C:TA]: ((A) | (B @ C))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ERIGHT__OR__EXISTS__THM)).
% 10.25/3.27  thf(171,plain,((! [TA: $tType]: (! [A:$o,B:(TA > $o)]: (((A) | ? [C:TA]: (B @ C)) = (? [C:TA]: ((A) | (B @ C))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).
% 10.25/3.27  thf(18,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:$o]: ((? [C:TA]: ((A @ C) & (B))) = (? [C:TA]: (A @ C) & (B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ELEFT__EXISTS__AND__THM)).
% 10.25/3.27  thf(168,plain,((! [TA: $tType]: (! [A:(TA > $o),B:$o]: ((? [C:TA]: ((A @ C) & (B))) = (? [C:TA]: (A @ C) & (B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).
% 10.25/3.27  thf(37,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 10.25/3.27  thf(262,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[37])).
% 10.25/3.27  thf(27,axiom,((! [A:$o]: ((~ (A)) => ((A) => (c_2Ebool_2EF))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EF__IMP)).
% 10.25/3.27  thf(210,plain,((! [A:$o]: ((~ (A)) => ((A) => (c_2Ebool_2EF))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).
% 10.25/3.27  thf(25,axiom,((! [A:$o]: ((~ (~ (A))) = A) & ((~ (c_2Ebool_2ET)) = c_2Ebool_2EF) & ((~ (c_2Ebool_2EF)) = c_2Ebool_2ET))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ENOT__CLAUSES)).
% 10.25/3.27  thf(195,plain,((((~ (c_2Ebool_2ET)) = c_2Ebool_2EF) & ((~ (c_2Ebool_2EF)) = c_2Ebool_2ET))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).
% 10.25/3.27  thf(3,axiom,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Esum_2Esum @ TA @ TB)]: (? [B:TA]: (A = (c_2Esum_2EINL @ TA @ TB @ B)) | ? [B:TB]: (A = (c_2Esum_2EINR @ TA @ TB @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esum_2Esum__CASES)).
% 10.25/3.27  thf(47,plain,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Esum_2Esum @ TA @ TB)]: (? [B:TA]: (A = (c_2Esum_2EINL @ TA @ TB @ B)) | ? [B:TB]: (A = (c_2Esum_2EINR @ TA @ TB @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 10.25/3.27  thf(26,axiom,((! [A:$o]: ((((c_2Ebool_2ET) => (A)) = A) & (((A) => (c_2Ebool_2ET)) = c_2Ebool_2ET) & (((c_2Ebool_2EF) => (A)) = c_2Ebool_2ET) & (((A) => (A)) = c_2Ebool_2ET) & (((A) => (c_2Ebool_2EF)) = (~ (A)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__CLAUSES)).
% 10.25/3.27  thf(200,plain,((! [A:$o]: ((((c_2Ebool_2ET) => (A)) = A) & (((A) => (c_2Ebool_2ET)) = c_2Ebool_2ET) & (((c_2Ebool_2EF) => (A)) = c_2Ebool_2ET) & (c_2Ebool_2ET) & (((A) => (c_2Ebool_2EF)) = (~ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).
% 10.25/3.27  thf(28,axiom,((! [A:$o]: (((A) => (c_2Ebool_2EF)) => (~ (A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__F)).
% 10.25/3.27  thf(215,plain,((! [A:$o]: (((A) => (c_2Ebool_2EF)) => (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).
% 10.25/3.27  thf(286,plain,($false),inference(e,[status(thm)],[174,42,110,157,189,93,261,253,132,243,233,248,220,38,192,165,229,156,188,141,41,180,44,59,236,230,76,155,162,150,50,177,127,250,158,171,168,262,183,210,239,195,47,200,215])).
% 10.25/3.27  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 10.25/3.27  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
