%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:39:56 EDT 2019

% Result     : Theorem 7.22s
% Output     : CNFRefutation 7.66s
% Verified   : 
% Statistics : Number of formulae       :   36 (  42 expanded)
%              Number of leaves         :   22 (  24 expanded)
%              Depth                    :    4
%              Number of atoms          :  301 ( 373 expanded)
%              Number of equality atoms :    8 (   8 expanded)
%              Maximal formula depth    :   15 (   8 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(c_2Equotient_2EQUOTIENT_type,type,(
    c_2Equotient_2EQUOTIENT: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > TA > $o ) > ( TA > TB ) > ( TB > TA ) > $o ) )).

thf(c_2Ewellorder_2Eorderiso_type,type,(
    c_2Ewellorder_2Eorderiso: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Ewellorder_2Ewellorder @ TA ) > ( tyop_2Ewellorder_2Ewellorder @ TB ) > $o ) )).

thf(c_2Ewellorder_2Eorderlt_type,type,(
    c_2Ewellorder_2Eorderlt: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Ewellorder_2Ewellorder @ TA ) > ( tyop_2Ewellorder_2Ewellorder @ TB ) > $o ) )).

thf(c_2Eordinal_2Eordinal__ABS_type,type,(
    c_2Eordinal_2Eordinal__ABS: 
      !>[TA: $tType] :
        ( ( tyop_2Ewellorder_2Ewellorder @ ( tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA ) ) > ( tyop_2Eordinal_2Eordinal @ TA ) ) )).

thf(c_2Eordinal_2Eordinal__REP_type,type,(
    c_2Eordinal_2Eordinal__REP: 
      !>[TA: $tType] :
        ( ( tyop_2Eordinal_2Eordinal @ TA ) > ( tyop_2Ewellorder_2Ewellorder @ ( tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA ) ) ) )).

thf(c_2Eordinal_2Eordlt_type,type,(
    c_2Eordinal_2Eordlt: 
      !>[TA: $tType] :
        ( ( tyop_2Eordinal_2Eordinal @ TA ) > ( tyop_2Eordinal_2Eordinal @ TA ) > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: ( tyop_2Eordinal_2Eordinal @ skt1 ) )).

thf(sk2_type,type,(
    sk2: ( tyop_2Eordinal_2Eordinal @ skt1 ) )).

thf(sk3_type,type,(
    sk3: ( tyop_2Eordinal_2Eordinal @ skt1 ) )).

thf(7,axiom,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: tyop_2Ewellorder_2Ewellorder @ TA,B: tyop_2Ewellorder_2Ewellorder @ TB,C: tyop_2Ewellorder_2Ewellorder @ TC] :
      ( ( ( c_2Ewellorder_2Eorderlt @ TA @ TB @ A @ B )
        & ( c_2Ewellorder_2Eorderlt @ TB @ TC @ B @ C ) )
     => ( c_2Ewellorder_2Eorderlt @ TA @ TC @ A @ C ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ewellorder_2Eorderlt__TRANS)).

thf(24,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: tyop_2Ewellorder_2Ewellorder @ TA,B: tyop_2Ewellorder_2Ewellorder @ TB,C: tyop_2Ewellorder_2Ewellorder @ TC] :
      ( ( ( c_2Ewellorder_2Eorderlt @ TA @ TB @ A @ B )
        & ( c_2Ewellorder_2Eorderlt @ TB @ TC @ B @ C ) )
     => ( c_2Ewellorder_2Eorderlt @ TA @ TC @ A @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(1,conjecture,(
    ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA,B: tyop_2Eordinal_2Eordinal @ TA,C: tyop_2Eordinal_2Eordinal @ TA] :
      ( ( ~ ( c_2Eordinal_2Eordlt @ TA @ B @ A )
        & ~ ( c_2Eordinal_2Eordlt @ TA @ C @ B ) )
     => ~ ( c_2Eordinal_2Eordlt @ TA @ C @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eordinal_2Eordle__TRANS)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA,B: tyop_2Eordinal_2Eordinal @ TA,C: tyop_2Eordinal_2Eordinal @ TA] :
        ( ( ~ ( c_2Eordinal_2Eordlt @ TA @ B @ A )
          & ~ ( c_2Eordinal_2Eordlt @ TA @ C @ B ) )
       => ~ ( c_2Eordinal_2Eordlt @ TA @ C @ A ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(12,plain,(
    ~ ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA,B: tyop_2Eordinal_2Eordinal @ TA,C: tyop_2Eordinal_2Eordinal @ TA] :
        ( ( ~ ( c_2Eordinal_2Eordlt @ TA @ B @ A )
          & ~ ( c_2Eordinal_2Eordlt @ TA @ C @ B ) )
       => ~ ( c_2Eordinal_2Eordlt @ TA @ C @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(14,plain,(
    ~ ( c_2Eordinal_2Eordlt @ skt1 @ sk3 @ sk2 ) ),
    inference(cnf,[status(esa)],[12])).

thf(5,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > TA > $o,B: TA > TB,C: TB > TA] :
      ( ( c_2Equotient_2EQUOTIENT @ TA @ TB @ A @ B @ C )
     => ! [D: TA,E: TA] :
          ( ( A @ D @ E )
         => ( A @ D @ ( C @ ( B @ E ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Equotient_2EREP__ABS__RSP)).

thf(20,plain,(
    ! [TA: $tType,TB: $tType,A: TA > TA > $o,B: TA > TB,C: TB > TA] :
      ( ( c_2Equotient_2EQUOTIENT @ TA @ TB @ A @ B @ C )
     => ! [D: TA,E: TA] :
          ( ( A @ D @ E )
         => ( A @ D @ ( C @ ( B @ E ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(9,axiom,(
    ! [TA: $tType] :
      ( c_2Equotient_2EQUOTIENT @ ( tyop_2Ewellorder_2Ewellorder @ ( tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA ) ) @ ( tyop_2Eordinal_2Eordinal @ TA ) @ ( c_2Ewellorder_2Eorderiso @ ( tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA ) @ ( tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA ) ) @ ( c_2Eordinal_2Eordinal__ABS @ TA ) @ ( c_2Eordinal_2Eordinal__REP @ TA ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eordinal_2Eordinal__QUOTIENT)).

thf(29,plain,(
    ! [TA: $tType] :
      ( c_2Equotient_2EQUOTIENT @ ( tyop_2Ewellorder_2Ewellorder @ ( tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA ) ) @ ( tyop_2Eordinal_2Eordinal @ TA ) @ ( c_2Ewellorder_2Eorderiso @ ( tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA ) @ ( tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA ) ) @ ( c_2Eordinal_2Eordinal__ABS @ TA ) @ ( c_2Eordinal_2Eordinal__REP @ TA ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(13,plain,(
    c_2Eordinal_2Eordlt @ skt1 @ sk3 @ sk1 ),
    inference(cnf,[status(esa)],[12])).

thf(11,axiom,(
    ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA,B: tyop_2Eordinal_2Eordinal @ TA] :
      ( ( ~ ( c_2Eordinal_2Eordlt @ TA @ A @ B ) )
      = ( ( c_2Eordinal_2Eordlt @ TA @ B @ A )
        | ( B = A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eordinal_2Eordle__lteq)).

thf(34,plain,(
    ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA,B: tyop_2Eordinal_2Eordinal @ TA] :
      ( ( ~ ( c_2Eordinal_2Eordlt @ TA @ A @ B ) )
      = ( ( c_2Eordinal_2Eordlt @ TA @ B @ A )
        | ( B = A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(6,axiom,(
    ! [TA: $tType,TB: $tType,A: tyop_2Ewellorder_2Ewellorder @ TA,B: tyop_2Ewellorder_2Ewellorder @ TB] :
      ( ( c_2Ewellorder_2Eorderiso @ TA @ TB @ A @ B )
     => ( c_2Ewellorder_2Eorderiso @ TB @ TA @ B @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ewellorder_2Eorderiso__SYM)).

thf(22,plain,(
    ! [TA: $tType,TB: $tType,A: tyop_2Ewellorder_2Ewellorder @ TA,B: tyop_2Ewellorder_2Ewellorder @ TB] :
      ( ( c_2Ewellorder_2Eorderiso @ TA @ TB @ A @ B )
     => ( c_2Ewellorder_2Eorderiso @ TB @ TA @ B @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(4,axiom,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: tyop_2Ewellorder_2Ewellorder @ TA,B: tyop_2Ewellorder_2Ewellorder @ TB,C: tyop_2Ewellorder_2Ewellorder @ TC] :
      ( ( ( c_2Ewellorder_2Eorderiso @ TA @ TB @ A @ B )
        & ( c_2Ewellorder_2Eorderiso @ TB @ TC @ B @ C ) )
     => ( c_2Ewellorder_2Eorderiso @ TA @ TC @ A @ C ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ewellorder_2Eorderiso__TRANS)).

thf(18,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: tyop_2Ewellorder_2Ewellorder @ TA,B: tyop_2Ewellorder_2Ewellorder @ TB,C: tyop_2Ewellorder_2Ewellorder @ TC] :
      ( ( ( c_2Ewellorder_2Eorderiso @ TA @ TB @ A @ B )
        & ( c_2Ewellorder_2Eorderiso @ TB @ TC @ B @ C ) )
     => ( c_2Ewellorder_2Eorderiso @ TA @ TC @ A @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(3,axiom,(
    ! [TA: $tType,A: tyop_2Ewellorder_2Ewellorder @ TA] :
      ( c_2Ewellorder_2Eorderiso @ TA @ TA @ A @ A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ewellorder_2Eorderiso__REFL)).

thf(16,plain,(
    ! [TA: $tType,A: tyop_2Ewellorder_2Ewellorder @ TA] :
      ( c_2Ewellorder_2Eorderiso @ TA @ TA @ A @ A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(10,axiom,(
    ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA,B: tyop_2Eordinal_2Eordinal @ TA] :
      ( ( c_2Eordinal_2Eordlt @ TA @ A @ B )
      = ( c_2Ewellorder_2Eorderlt @ ( tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA ) @ ( tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA ) @ ( c_2Eordinal_2Eordinal__REP @ TA @ A ) @ ( c_2Eordinal_2Eordinal__REP @ TA @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eordinal_2Eordlt__def)).

thf(31,plain,(
    ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA,B: tyop_2Eordinal_2Eordinal @ TA] :
      ( ( c_2Eordinal_2Eordlt @ TA @ A @ B )
      = ( c_2Ewellorder_2Eorderlt @ ( tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA ) @ ( tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA ) @ ( c_2Eordinal_2Eordinal__REP @ TA @ A ) @ ( c_2Eordinal_2Eordinal__REP @ TA @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(8,axiom,(
    ! [TA: $tType,TB: $tType,TC: $tType,TD: $tType,A: tyop_2Ewellorder_2Ewellorder @ TB,B: tyop_2Ewellorder_2Ewellorder @ TA,C: tyop_2Ewellorder_2Ewellorder @ TD,D: tyop_2Ewellorder_2Ewellorder @ TC] :
      ( ( ( c_2Ewellorder_2Eorderiso @ TA @ TB @ B @ A )
        & ( c_2Ewellorder_2Eorderiso @ TC @ TD @ D @ C ) )
     => ( ( c_2Ewellorder_2Eorderlt @ TA @ TC @ B @ D )
        = ( c_2Ewellorder_2Eorderlt @ TB @ TD @ A @ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ewellorder_2Eorderlt__orderiso)).

thf(26,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType,TD: $tType,A: tyop_2Ewellorder_2Ewellorder @ TB,B: tyop_2Ewellorder_2Ewellorder @ TA,C: tyop_2Ewellorder_2Ewellorder @ TD,D: tyop_2Ewellorder_2Ewellorder @ TC] :
      ( ( ( c_2Ewellorder_2Eorderiso @ TA @ TB @ B @ A )
        & ( c_2Ewellorder_2Eorderiso @ TC @ TD @ D @ C ) )
     => ( ( c_2Ewellorder_2Eorderlt @ TA @ TC @ B @ D )
        = ( c_2Ewellorder_2Eorderlt @ TB @ TD @ A @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(40,plain,(
    $false ),
    inference(iprover,[status(thm)],[24,14,20,29,13,34,22,12,18,16,31,26])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.02/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.12/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.12/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.12/0.13  % CPULimit   : 300
% 0.12/0.13  % DateTime   : Wed Jul 31 01:54:49 EDT 2019
% 0.12/0.13  % CPUTime    : 
% 4.34/1.63  % [INFO] 	 Running in sequential loop mode. 
% 4.49/1.80  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.65/1.86  % [INFO] 	 iprover registered as external prover. 
% 4.65/1.86  % [INFO] 	 e registered as external prover. 
% 4.65/1.86  % [INFO] 	 cvc4 registered as external prover. 
% 4.65/1.86  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.87/1.92  % [INFO] 	 Found a conjecture and 51 axioms. Running axiom selection ... 
% 4.87/1.97  % [INFO] 	 Axiom selection finished. Selected 9 axioms (removed 42 axioms). 
% 5.18/2.02  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.22/2.70  % [INFO] 	 Killing All external provers ... 
% 7.22/2.70  % Time passed: 2444ms
% 7.22/2.70  % Effective reasoning time: 1058ms
% 7.22/2.70  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.22/2.70  % Axioms used in derivation (9): thm_2Ewellorder_2Eorderlt__orderiso, thm_2Ewellorder_2Eorderlt__TRANS, thm_2Eordinal_2Eordlt__def, thm_2Ewellorder_2Eorderiso__SYM, thm_2Equotient_2EREP__ABS__RSP, thm_2Ewellorder_2Eorderiso__REFL, thm_2Eordinal_2Eordle__lteq, thm_2Ewellorder_2Eorderiso__TRANS, thm_2Eordinal_2Eordinal__QUOTIENT
% 7.22/2.70  % No. of inferences in proof: 24
% 7.22/2.70  % No. of processed clauses: 3
% 7.22/2.70  % No. of generated clauses: 1
% 7.22/2.70  % No. of forward subsumed clauses: 0
% 7.22/2.70  % No. of backward subsumed clauses: 0
% 7.22/2.70  % No. of ground rewrite rules in store: 2
% 7.22/2.70  % No. of non-ground rewrite rules in store: 0
% 7.22/2.70  % No. of positive (non-rewrite) units in store: 0
% 7.22/2.70  % No. of negative (non-rewrite) units in store: 1
% 7.22/2.70  % No. of choice functions detected: 0
% 7.22/2.70  % No. of choice instantiations: 0
% 7.22/2.70  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2444 ms resp. 1058 ms w/o parsing
% 7.66/2.74  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.66/2.74  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.66/2.74  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 7.66/2.74  thf(c_2Equotient_2EQUOTIENT_type, type, c_2Equotient_2EQUOTIENT: !>[TA: $tType,TB: $tType]: ((TA > (TA > $o)) > ((TA > TB) > ((TB > TA) > $o)))).
% 7.66/2.74  thf(c_2Ewellorder_2Eorderiso_type, type, c_2Ewellorder_2Eorderiso: !>[TA: $tType,TB: $tType]: ((tyop_2Ewellorder_2Ewellorder @ TA) > ((tyop_2Ewellorder_2Ewellorder @ TB) > $o))).
% 7.66/2.74  thf(c_2Ewellorder_2Eorderlt_type, type, c_2Ewellorder_2Eorderlt: !>[TA: $tType,TB: $tType]: ((tyop_2Ewellorder_2Ewellorder @ TA) > ((tyop_2Ewellorder_2Ewellorder @ TB) > $o))).
% 7.66/2.74  thf(c_2Eordinal_2Eordinal__ABS_type, type, c_2Eordinal_2Eordinal__ABS: !>[TA: $tType]: ((tyop_2Ewellorder_2Ewellorder @ (tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA)) > (tyop_2Eordinal_2Eordinal @ TA))).
% 7.66/2.74  thf(c_2Eordinal_2Eordinal__REP_type, type, c_2Eordinal_2Eordinal__REP: !>[TA: $tType]: ((tyop_2Eordinal_2Eordinal @ TA) > (tyop_2Ewellorder_2Ewellorder @ (tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA)))).
% 7.66/2.74  thf(c_2Eordinal_2Eordlt_type, type, c_2Eordinal_2Eordlt: !>[TA: $tType]: ((tyop_2Eordinal_2Eordinal @ TA) > ((tyop_2Eordinal_2Eordinal @ TA) > $o))).
% 7.66/2.74  thf(skt1_type, type, skt1: $tType).
% 7.66/2.74  thf(sk1_type, type, sk1: (tyop_2Eordinal_2Eordinal @ skt1)).
% 7.66/2.74  thf(sk2_type, type, sk2: (tyop_2Eordinal_2Eordinal @ skt1)).
% 7.66/2.74  thf(sk3_type, type, sk3: (tyop_2Eordinal_2Eordinal @ skt1)).
% 7.66/2.74  thf(7,axiom,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(tyop_2Ewellorder_2Ewellorder @ TA),B:(tyop_2Ewellorder_2Ewellorder @ TB),C:(tyop_2Ewellorder_2Ewellorder @ TC)]: (((c_2Ewellorder_2Eorderlt @ TA @ TB @ A @ B) & (c_2Ewellorder_2Eorderlt @ TB @ TC @ B @ C)) => (c_2Ewellorder_2Eorderlt @ TA @ TC @ A @ C))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ewellorder_2Eorderlt__TRANS)).
% 7.66/2.74  thf(24,plain,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(tyop_2Ewellorder_2Ewellorder @ TA),B:(tyop_2Ewellorder_2Ewellorder @ TB),C:(tyop_2Ewellorder_2Ewellorder @ TC)]: (((c_2Ewellorder_2Eorderlt @ TA @ TB @ A @ B) & (c_2Ewellorder_2Eorderlt @ TB @ TC @ B @ C)) => (c_2Ewellorder_2Eorderlt @ TA @ TC @ A @ C))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 7.66/2.74  thf(1,conjecture,((! [TA: $tType]: (! [A:(tyop_2Eordinal_2Eordinal @ TA),B:(tyop_2Eordinal_2Eordinal @ TA),C:(tyop_2Eordinal_2Eordinal @ TA)]: ((~ (c_2Eordinal_2Eordlt @ TA @ B @ A) & ~ (c_2Eordinal_2Eordlt @ TA @ C @ B)) => (~ (c_2Eordinal_2Eordlt @ TA @ C @ A)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eordinal_2Eordle__TRANS)).
% 7.66/2.74  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:(tyop_2Eordinal_2Eordinal @ TA),B:(tyop_2Eordinal_2Eordinal @ TA),C:(tyop_2Eordinal_2Eordinal @ TA)]: ((~ (c_2Eordinal_2Eordlt @ TA @ B @ A) & ~ (c_2Eordinal_2Eordlt @ TA @ C @ B)) => (~ (c_2Eordinal_2Eordlt @ TA @ C @ A))))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.66/2.74  thf(12,plain,((~ (! [TA: $tType]: (! [A:(tyop_2Eordinal_2Eordinal @ TA),B:(tyop_2Eordinal_2Eordinal @ TA),C:(tyop_2Eordinal_2Eordinal @ TA)]: ((~ (c_2Eordinal_2Eordlt @ TA @ B @ A) & ~ (c_2Eordinal_2Eordlt @ TA @ C @ B)) => (~ (c_2Eordinal_2Eordlt @ TA @ C @ A))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.66/2.74  thf(14,plain,((~ (c_2Eordinal_2Eordlt @ skt1 @ sk3 @ sk2))),inference(cnf,[status(esa)],[12])).
% 7.66/2.74  thf(5,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TA > $o)),B:(TA > TB),C:(TB > TA)]: ((c_2Equotient_2EQUOTIENT @ TA @ TB @ A @ B @ C) => (! [D:TA,E:TA]: ((A @ D @ E) => (A @ D @ (C @ (B @ E))))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Equotient_2EREP__ABS__RSP)).
% 7.66/2.74  thf(20,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TA > $o)),B:(TA > TB),C:(TB > TA)]: ((c_2Equotient_2EQUOTIENT @ TA @ TB @ (A) @ (B) @ (C)) => (! [D:TA,E:TA]: ((A @ D @ E) => (A @ D @ (C @ (B @ E))))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 7.66/2.74  thf(9,axiom,((! [TA: $tType]: (c_2Equotient_2EQUOTIENT @ (tyop_2Ewellorder_2Ewellorder @ (tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA)) @ (tyop_2Eordinal_2Eordinal @ TA) @ (c_2Ewellorder_2Eorderiso @ (tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA) @ (tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA)) @ (c_2Eordinal_2Eordinal__ABS @ TA) @ (c_2Eordinal_2Eordinal__REP @ TA)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eordinal_2Eordinal__QUOTIENT)).
% 7.66/2.74  thf(29,plain,((! [TA: $tType]: (c_2Equotient_2EQUOTIENT @ (tyop_2Ewellorder_2Ewellorder @ (tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA)) @ (tyop_2Eordinal_2Eordinal @ TA) @ (c_2Ewellorder_2Eorderiso @ (tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA) @ (tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA)) @ (c_2Eordinal_2Eordinal__ABS @ TA) @ (c_2Eordinal_2Eordinal__REP @ TA)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 7.66/2.74  thf(13,plain,((c_2Eordinal_2Eordlt @ skt1 @ sk3 @ sk1)),inference(cnf,[status(esa)],[12])).
% 7.66/2.74  thf(11,axiom,((! [TA: $tType]: (! [A:(tyop_2Eordinal_2Eordinal @ TA),B:(tyop_2Eordinal_2Eordinal @ TA)]: ((~ (c_2Eordinal_2Eordlt @ TA @ A @ B)) = ((c_2Eordinal_2Eordlt @ TA @ B @ A) | (B = A)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eordinal_2Eordle__lteq)).
% 7.66/2.74  thf(34,plain,((! [TA: $tType]: (! [A:(tyop_2Eordinal_2Eordinal @ TA),B:(tyop_2Eordinal_2Eordinal @ TA)]: ((~ (c_2Eordinal_2Eordlt @ TA @ A @ B)) = ((c_2Eordinal_2Eordlt @ TA @ B @ A) | (B = A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 7.66/2.74  thf(6,axiom,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Ewellorder_2Ewellorder @ TA),B:(tyop_2Ewellorder_2Ewellorder @ TB)]: ((c_2Ewellorder_2Eorderiso @ TA @ TB @ A @ B) => (c_2Ewellorder_2Eorderiso @ TB @ TA @ B @ A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ewellorder_2Eorderiso__SYM)).
% 7.66/2.74  thf(22,plain,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Ewellorder_2Ewellorder @ TA),B:(tyop_2Ewellorder_2Ewellorder @ TB)]: ((c_2Ewellorder_2Eorderiso @ TA @ TB @ A @ B) => (c_2Ewellorder_2Eorderiso @ TB @ TA @ B @ A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 7.66/2.74  thf(4,axiom,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(tyop_2Ewellorder_2Ewellorder @ TA),B:(tyop_2Ewellorder_2Ewellorder @ TB),C:(tyop_2Ewellorder_2Ewellorder @ TC)]: (((c_2Ewellorder_2Eorderiso @ TA @ TB @ A @ B) & (c_2Ewellorder_2Eorderiso @ TB @ TC @ B @ C)) => (c_2Ewellorder_2Eorderiso @ TA @ TC @ A @ C))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ewellorder_2Eorderiso__TRANS)).
% 7.66/2.74  thf(18,plain,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(tyop_2Ewellorder_2Ewellorder @ TA),B:(tyop_2Ewellorder_2Ewellorder @ TB),C:(tyop_2Ewellorder_2Ewellorder @ TC)]: (((c_2Ewellorder_2Eorderiso @ TA @ TB @ A @ B) & (c_2Ewellorder_2Eorderiso @ TB @ TC @ B @ C)) => (c_2Ewellorder_2Eorderiso @ TA @ TC @ A @ C))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 7.66/2.74  thf(3,axiom,((! [TA: $tType]: (! [A:(tyop_2Ewellorder_2Ewellorder @ TA)]: (c_2Ewellorder_2Eorderiso @ TA @ TA @ A @ A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ewellorder_2Eorderiso__REFL)).
% 7.66/2.74  thf(16,plain,((! [TA: $tType]: (! [A:(tyop_2Ewellorder_2Ewellorder @ TA)]: (c_2Ewellorder_2Eorderiso @ TA @ TA @ A @ A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.66/2.74  thf(10,axiom,((! [TA: $tType]: (! [A:(tyop_2Eordinal_2Eordinal @ TA),B:(tyop_2Eordinal_2Eordinal @ TA)]: ((c_2Eordinal_2Eordlt @ TA @ A @ B) = (c_2Ewellorder_2Eorderlt @ (tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA) @ (tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA) @ (c_2Eordinal_2Eordinal__REP @ TA @ A) @ (c_2Eordinal_2Eordinal__REP @ TA @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eordinal_2Eordlt__def)).
% 7.66/2.74  thf(31,plain,((! [TA: $tType]: (! [A:(tyop_2Eordinal_2Eordinal @ TA),B:(tyop_2Eordinal_2Eordinal @ TA)]: ((c_2Eordinal_2Eordlt @ TA @ A @ B) = (c_2Ewellorder_2Eorderlt @ (tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA) @ (tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA) @ (c_2Eordinal_2Eordinal__REP @ TA @ A) @ (c_2Eordinal_2Eordinal__REP @ TA @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 7.66/2.74  thf(8,axiom,((! [TA: $tType,TB: $tType,TC: $tType,TD: $tType]: (! [A:(tyop_2Ewellorder_2Ewellorder @ TB),B:(tyop_2Ewellorder_2Ewellorder @ TA),C:(tyop_2Ewellorder_2Ewellorder @ TD),D:(tyop_2Ewellorder_2Ewellorder @ TC)]: (((c_2Ewellorder_2Eorderiso @ TA @ TB @ B @ A) & (c_2Ewellorder_2Eorderiso @ TC @ TD @ D @ C)) => ((c_2Ewellorder_2Eorderlt @ TA @ TC @ B @ D) = (c_2Ewellorder_2Eorderlt @ TB @ TD @ A @ C)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ewellorder_2Eorderlt__orderiso)).
% 7.66/2.74  thf(26,plain,((! [TA: $tType,TB: $tType,TC: $tType,TD: $tType]: (! [A:(tyop_2Ewellorder_2Ewellorder @ TB),B:(tyop_2Ewellorder_2Ewellorder @ TA),C:(tyop_2Ewellorder_2Ewellorder @ TD),D:(tyop_2Ewellorder_2Ewellorder @ TC)]: (((c_2Ewellorder_2Eorderiso @ TA @ TB @ B @ A) & (c_2Ewellorder_2Eorderiso @ TC @ TD @ D @ C)) => ((c_2Ewellorder_2Eorderlt @ TA @ TC @ B @ D) = (c_2Ewellorder_2Eorderlt @ TB @ TD @ A @ C)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 7.66/2.74  thf(40,plain,($false),inference(iprover,[status(thm)],[24,14,20,29,13,34,22,12,18,16,31,26])).
% 7.66/2.74  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.66/2.74  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
