%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:39:58 EDT 2019

% Result     : Theorem 7.15s
% Output     : CNFRefutation 7.33s
% Verified   : 
% Statistics : Number of formulae       :   19 (  22 expanded)
%              Number of leaves         :   12 (  13 expanded)
%              Depth                    :    4
%              Number of atoms          :  127 ( 175 expanded)
%              Number of equality atoms :    6 (   6 expanded)
%              Maximal formula depth    :   10 (   7 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Epred__set_2EPSUBSET_type,type,(
    c_2Epred__set_2EPSUBSET: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > $o ) > $o ) )).

thf(c_2Epred__set_2ESUBSET_type,type,(
    c_2Epred__set_2ESUBSET: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > $o ) > $o ) )).

thf(c_2Epred__set_2Ecountable_type,type,(
    c_2Epred__set_2Ecountable: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Eordinal_2Eordlt_type,type,(
    c_2Eordinal_2Eordlt: 
      !>[TA: $tType] :
        ( ( tyop_2Eordinal_2Eordinal @ TA ) > ( tyop_2Eordinal_2Eordinal @ TA ) > $o ) )).

thf(c_2Eordinal_2Epreds_type,type,(
    c_2Eordinal_2Epreds: 
      !>[TA: $tType] :
        ( ( tyop_2Eordinal_2Eordinal @ TA ) > ( tyop_2Eordinal_2Eordinal @ TA ) > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk2_type,type,(
    sk2: ( tyop_2Eordinal_2Eordinal @ skt1 ) )).

thf(3,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( c_2Epred__set_2EPSUBSET @ TA @ A @ B )
      = ( ( c_2Epred__set_2ESUBSET @ TA @ A @ B )
        & ( A != B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EPSUBSET__DEF)).

thf(10,plain,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( c_2Epred__set_2EPSUBSET @ TA @ A @ B )
      = ( ( c_2Epred__set_2ESUBSET @ TA @ A @ B )
        & ( A != B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(1,conjecture,(
    ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA,B: tyop_2Eordinal_2Eordinal @ TA] :
      ( ( ( c_2Eordinal_2Eordlt @ TA @ B @ A )
        & ( c_2Epred__set_2Ecountable @ ( tyop_2Eordinal_2Eordinal @ TA ) @ ( c_2Eordinal_2Epreds @ TA @ A ) ) )
     => ( c_2Epred__set_2Ecountable @ ( tyop_2Eordinal_2Eordinal @ TA ) @ ( c_2Eordinal_2Epreds @ TA @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eordinal_2EcountableOrds__dclosed)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA,B: tyop_2Eordinal_2Eordinal @ TA] :
        ( ( ( c_2Eordinal_2Eordlt @ TA @ B @ A )
          & ( c_2Epred__set_2Ecountable @ ( tyop_2Eordinal_2Eordinal @ TA ) @ ( c_2Eordinal_2Epreds @ TA @ A ) ) )
       => ( c_2Epred__set_2Ecountable @ ( tyop_2Eordinal_2Eordinal @ TA ) @ ( c_2Eordinal_2Epreds @ TA @ B ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(6,plain,(
    ~ ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA,B: tyop_2Eordinal_2Eordinal @ TA] :
        ( ( ( c_2Eordinal_2Eordlt @ TA @ B @ A )
          & ( c_2Epred__set_2Ecountable @ ( tyop_2Eordinal_2Eordinal @ TA ) @ ( c_2Eordinal_2Epreds @ TA @ A ) ) )
       => ( c_2Epred__set_2Ecountable @ ( tyop_2Eordinal_2Eordinal @ TA ) @ ( c_2Eordinal_2Epreds @ TA @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(4,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( ( c_2Epred__set_2Ecountable @ TA @ A )
        & ( c_2Epred__set_2ESUBSET @ TA @ B @ A ) )
     => ( c_2Epred__set_2Ecountable @ TA @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2Esubset__countable)).

thf(13,plain,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( ( c_2Epred__set_2Ecountable @ TA @ A )
        & ( c_2Epred__set_2ESUBSET @ TA @ B @ A ) )
     => ( c_2Epred__set_2Ecountable @ TA @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(7,plain,(
    ~ ( c_2Epred__set_2Ecountable @ ( tyop_2Eordinal_2Eordinal @ skt1 ) @ ( c_2Eordinal_2Epreds @ skt1 @ sk2 ) ) ),
    inference(cnf,[status(esa)],[6])).

thf(5,axiom,(
    ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA,B: tyop_2Eordinal_2Eordinal @ TA] :
      ( ( c_2Eordinal_2Eordlt @ TA @ B @ A )
      = ( c_2Epred__set_2EPSUBSET @ ( tyop_2Eordinal_2Eordinal @ TA ) @ ( c_2Eordinal_2Epreds @ TA @ B ) @ ( c_2Eordinal_2Epreds @ TA @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eordinal_2Epreds__lt__PSUBSET)).

thf(15,plain,(
    ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA,B: tyop_2Eordinal_2Eordinal @ TA] :
      ( ( c_2Eordinal_2Eordlt @ TA @ B @ A )
      = ( c_2Epred__set_2EPSUBSET @ ( tyop_2Eordinal_2Eordinal @ TA ) @ ( c_2Eordinal_2Epreds @ TA @ B ) @ ( c_2Eordinal_2Epreds @ TA @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(20,plain,(
    $false ),
    inference(iprover,[status(thm)],[10,6,13,7,15])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.02/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.02/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.02/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.02/0.13  % CPULimit   : 300
% 0.02/0.13  % DateTime   : Wed Jul 31 01:54:57 EDT 2019
% 0.02/0.13  % CPUTime    : 
% 3.83/1.53  % [INFO] 	 Running in sequential loop mode. 
% 4.50/1.71  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.89/1.77  % [INFO] 	 iprover registered as external prover. 
% 4.89/1.78  % [INFO] 	 e registered as external prover. 
% 4.89/1.78  % [INFO] 	 cvc4 registered as external prover. 
% 4.89/1.78  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.11/1.83  % [INFO] 	 Found a conjecture and 27 axioms. Running axiom selection ... 
% 5.11/1.88  % [INFO] 	 Axiom selection finished. Selected 3 axioms (removed 24 axioms). 
% 5.11/1.90  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.15/2.49  % [INFO] 	 Killing All external provers ... 
% 7.15/2.50  % Time passed: 2240ms
% 7.15/2.50  % Effective reasoning time: 965ms
% 7.15/2.50  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.15/2.50  % Axioms used in derivation (3): thm_2Epred__set_2EPSUBSET__DEF, thm_2Epred__set_2Esubset__countable, thm_2Eordinal_2Epreds__lt__PSUBSET
% 7.15/2.50  % No. of inferences in proof: 11
% 7.15/2.50  % No. of processed clauses: 2
% 7.15/2.50  % No. of generated clauses: 1
% 7.15/2.50  % No. of forward subsumed clauses: 0
% 7.15/2.50  % No. of backward subsumed clauses: 0
% 7.15/2.50  % No. of ground rewrite rules in store: 2
% 7.15/2.50  % No. of non-ground rewrite rules in store: 0
% 7.15/2.50  % No. of positive (non-rewrite) units in store: 0
% 7.15/2.50  % No. of negative (non-rewrite) units in store: 0
% 7.15/2.50  % No. of choice functions detected: 0
% 7.15/2.50  % No. of choice instantiations: 0
% 7.15/2.50  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2240 ms resp. 965 ms w/o parsing
% 7.33/2.53  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.33/2.53  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.33/2.53  thf(c_2Epred__set_2EPSUBSET_type, type, c_2Epred__set_2EPSUBSET: !>[TA: $tType]: ((TA > $o) > ((TA > $o) > $o))).
% 7.33/2.53  thf(c_2Epred__set_2ESUBSET_type, type, c_2Epred__set_2ESUBSET: !>[TA: $tType]: ((TA > $o) > ((TA > $o) > $o))).
% 7.33/2.53  thf(c_2Epred__set_2Ecountable_type, type, c_2Epred__set_2Ecountable: !>[TA: $tType]: ((TA > $o) > $o)).
% 7.33/2.53  thf(c_2Eordinal_2Eordlt_type, type, c_2Eordinal_2Eordlt: !>[TA: $tType]: ((tyop_2Eordinal_2Eordinal @ TA) > ((tyop_2Eordinal_2Eordinal @ TA) > $o))).
% 7.33/2.53  thf(c_2Eordinal_2Epreds_type, type, c_2Eordinal_2Epreds: !>[TA: $tType]: ((tyop_2Eordinal_2Eordinal @ TA) > ((tyop_2Eordinal_2Eordinal @ TA) > $o))).
% 7.33/2.53  thf(skt1_type, type, skt1: $tType).
% 7.33/2.53  thf(sk2_type, type, sk2: (tyop_2Eordinal_2Eordinal @ skt1)).
% 7.33/2.53  thf(3,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((c_2Epred__set_2EPSUBSET @ TA @ A @ B) = ((c_2Epred__set_2ESUBSET @ TA @ A @ B) & ~ (A = B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EPSUBSET__DEF)).
% 7.33/2.53  thf(10,plain,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((c_2Epred__set_2EPSUBSET @ TA @ (A) @ (B)) = ((c_2Epred__set_2ESUBSET @ TA @ (A) @ (B)) & ~ ((A) = (B))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.33/2.53  thf(1,conjecture,((! [TA: $tType]: (! [A:(tyop_2Eordinal_2Eordinal @ TA),B:(tyop_2Eordinal_2Eordinal @ TA)]: (((c_2Eordinal_2Eordlt @ TA @ B @ A) & (c_2Epred__set_2Ecountable @ (tyop_2Eordinal_2Eordinal @ TA) @ (c_2Eordinal_2Epreds @ TA @ A))) => (c_2Epred__set_2Ecountable @ (tyop_2Eordinal_2Eordinal @ TA) @ (c_2Eordinal_2Epreds @ TA @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eordinal_2EcountableOrds__dclosed)).
% 7.33/2.53  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:(tyop_2Eordinal_2Eordinal @ TA),B:(tyop_2Eordinal_2Eordinal @ TA)]: (((c_2Eordinal_2Eordlt @ TA @ B @ A) & (c_2Epred__set_2Ecountable @ (tyop_2Eordinal_2Eordinal @ TA) @ (c_2Eordinal_2Epreds @ TA @ A))) => (c_2Epred__set_2Ecountable @ (tyop_2Eordinal_2Eordinal @ TA) @ (c_2Eordinal_2Epreds @ TA @ B))))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.33/2.53  thf(6,plain,((~ (! [TA: $tType]: (! [A:(tyop_2Eordinal_2Eordinal @ TA),B:(tyop_2Eordinal_2Eordinal @ TA)]: (((c_2Eordinal_2Eordlt @ TA @ B @ A) & (c_2Epred__set_2Ecountable @ (tyop_2Eordinal_2Eordinal @ TA) @ (c_2Eordinal_2Epreds @ TA @ A))) => (c_2Epred__set_2Ecountable @ (tyop_2Eordinal_2Eordinal @ TA) @ (c_2Eordinal_2Epreds @ TA @ B))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.33/2.53  thf(4,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: (((c_2Epred__set_2Ecountable @ TA @ A) & (c_2Epred__set_2ESUBSET @ TA @ B @ A)) => (c_2Epred__set_2Ecountable @ TA @ B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2Esubset__countable)).
% 7.33/2.53  thf(13,plain,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: (((c_2Epred__set_2Ecountable @ TA @ (A)) & (c_2Epred__set_2ESUBSET @ TA @ (B) @ (A))) => (c_2Epred__set_2Ecountable @ TA @ (B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 7.33/2.53  thf(7,plain,((~ (c_2Epred__set_2Ecountable @ (tyop_2Eordinal_2Eordinal @ skt1) @ (c_2Eordinal_2Epreds @ skt1 @ sk2)))),inference(cnf,[status(esa)],[6])).
% 7.33/2.53  thf(5,axiom,((! [TA: $tType]: (! [A:(tyop_2Eordinal_2Eordinal @ TA),B:(tyop_2Eordinal_2Eordinal @ TA)]: ((c_2Eordinal_2Eordlt @ TA @ B @ A) = (c_2Epred__set_2EPSUBSET @ (tyop_2Eordinal_2Eordinal @ TA) @ (c_2Eordinal_2Epreds @ TA @ B) @ (c_2Eordinal_2Epreds @ TA @ A)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eordinal_2Epreds__lt__PSUBSET)).
% 7.33/2.53  thf(15,plain,((! [TA: $tType]: (! [A:(tyop_2Eordinal_2Eordinal @ TA),B:(tyop_2Eordinal_2Eordinal @ TA)]: ((c_2Eordinal_2Eordlt @ TA @ B @ A) = (c_2Epred__set_2EPSUBSET @ (tyop_2Eordinal_2Eordinal @ TA) @ (c_2Eordinal_2Epreds @ TA @ B) @ (c_2Eordinal_2Epreds @ TA @ A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 7.33/2.53  thf(20,plain,($false),inference(iprover,[status(thm)],[10,6,13,7,15])).
% 7.33/2.53  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.33/2.53  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
