%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:40:03 EDT 2019

% Result     : Theorem 6.37s
% Output     : CNFRefutation 6.37s
% Verified   : 
% Statistics : Number of formulae       :   22 (  33 expanded)
%              Number of leaves         :   12 (  16 expanded)
%              Depth                    :    4
%              Number of atoms          :  163 ( 343 expanded)
%              Number of equality atoms :    4 (   6 expanded)
%              Maximal formula depth    :   11 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Eordinal_2Eepsilon0_type,type,(
    c_2Eordinal_2Eepsilon0: 
      !>[TA: $tType] :
        ( tyop_2Eordinal_2Eordinal @ TA ) )).

thf(c_2Eordinal_2Eomega_type,type,(
    c_2Eordinal_2Eomega: 
      !>[TA: $tType] :
        ( tyop_2Eordinal_2Eordinal @ TA ) )).

thf(c_2Eordinal_2EordADD_type,type,(
    c_2Eordinal_2EordADD: 
      !>[TA: $tType] :
        ( ( tyop_2Eordinal_2Eordinal @ TA ) > ( tyop_2Eordinal_2Eordinal @ TA ) > ( tyop_2Eordinal_2Eordinal @ TA ) ) )).

thf(c_2Eordinal_2EordEXP_type,type,(
    c_2Eordinal_2EordEXP: 
      !>[TA: $tType] :
        ( ( tyop_2Eordinal_2Eordinal @ TA ) > ( tyop_2Eordinal_2Eordinal @ TA ) > ( tyop_2Eordinal_2Eordinal @ TA ) ) )).

thf(c_2Eordinal_2Eordlt_type,type,(
    c_2Eordinal_2Eordlt: 
      !>[TA: $tType] :
        ( ( tyop_2Eordinal_2Eordinal @ TA ) > ( tyop_2Eordinal_2Eordinal @ TA ) > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: ( tyop_2Eordinal_2Eordinal @ skt1 ) )).

thf(sk2_type,type,(
    sk2: ( tyop_2Eordinal_2Eordinal @ skt1 ) )).

thf(1,conjecture,(
    ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA,B: tyop_2Eordinal_2Eordinal @ TA] :
      ( ( ( c_2Eordinal_2Eordlt @ TA @ B @ ( c_2Eordinal_2Eepsilon0 @ TA ) )
        & ( c_2Eordinal_2Eordlt @ TA @ A @ ( c_2Eordinal_2Eepsilon0 @ TA ) ) )
     => ( c_2Eordinal_2Eordlt @ TA @ ( c_2Eordinal_2EordADD @ TA @ B @ A ) @ ( c_2Eordinal_2Eepsilon0 @ TA ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eordinal_2EordADD__under__epsilon0)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA,B: tyop_2Eordinal_2Eordinal @ TA] :
        ( ( ( c_2Eordinal_2Eordlt @ TA @ B @ ( c_2Eordinal_2Eepsilon0 @ TA ) )
          & ( c_2Eordinal_2Eordlt @ TA @ A @ ( c_2Eordinal_2Eepsilon0 @ TA ) ) )
       => ( c_2Eordinal_2Eordlt @ TA @ ( c_2Eordinal_2EordADD @ TA @ B @ A ) @ ( c_2Eordinal_2Eepsilon0 @ TA ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(5,plain,(
    ~ ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA,B: tyop_2Eordinal_2Eordinal @ TA] :
        ( ( ( c_2Eordinal_2Eordlt @ TA @ B @ ( c_2Eordinal_2Eepsilon0 @ TA ) )
          & ( c_2Eordinal_2Eordlt @ TA @ A @ ( c_2Eordinal_2Eepsilon0 @ TA ) ) )
       => ( c_2Eordinal_2Eordlt @ TA @ ( c_2Eordinal_2EordADD @ TA @ B @ A ) @ ( c_2Eordinal_2Eepsilon0 @ TA ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(6,plain,(
    ~ ( c_2Eordinal_2Eordlt @ skt1 @ ( c_2Eordinal_2EordADD @ skt1 @ sk2 @ sk1 ) @ ( c_2Eordinal_2Eepsilon0 @ skt1 ) ) ),
    inference(cnf,[status(esa)],[5])).

thf(3,axiom,(
    ! [TA: $tType] :
      ( ( c_2Eordinal_2EordEXP @ TA @ ( c_2Eordinal_2Eomega @ TA ) @ ( c_2Eordinal_2Eepsilon0 @ TA ) )
      = ( c_2Eordinal_2Eepsilon0 @ TA ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eordinal_2Eepsilon0__fixpoint)).

thf(9,plain,(
    ! [TA: $tType] :
      ( ( c_2Eordinal_2EordEXP @ TA @ ( c_2Eordinal_2Eomega @ TA ) @ ( c_2Eordinal_2Eepsilon0 @ TA ) )
      = ( c_2Eordinal_2Eepsilon0 @ TA ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(4,axiom,(
    ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA,B: tyop_2Eordinal_2Eordinal @ TA,C: tyop_2Eordinal_2Eordinal @ TA] :
      ( ( ( c_2Eordinal_2Eordlt @ TA @ B @ ( c_2Eordinal_2EordEXP @ TA @ ( c_2Eordinal_2Eomega @ TA ) @ A ) )
        & ( c_2Eordinal_2Eordlt @ TA @ C @ ( c_2Eordinal_2EordEXP @ TA @ ( c_2Eordinal_2Eomega @ TA ) @ A ) ) )
     => ( c_2Eordinal_2Eordlt @ TA @ ( c_2Eordinal_2EordADD @ TA @ B @ C ) @ ( c_2Eordinal_2EordEXP @ TA @ ( c_2Eordinal_2Eomega @ TA ) @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eordinal_2Eexpbound__add)).

thf(12,plain,(
    ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA,B: tyop_2Eordinal_2Eordinal @ TA,C: tyop_2Eordinal_2Eordinal @ TA] :
      ( ( ( c_2Eordinal_2Eordlt @ TA @ B @ ( c_2Eordinal_2EordEXP @ TA @ ( c_2Eordinal_2Eomega @ TA ) @ A ) )
        & ( c_2Eordinal_2Eordlt @ TA @ C @ ( c_2Eordinal_2EordEXP @ TA @ ( c_2Eordinal_2Eomega @ TA ) @ A ) ) )
     => ( c_2Eordinal_2Eordlt @ TA @ ( c_2Eordinal_2EordADD @ TA @ B @ C ) @ ( c_2Eordinal_2EordEXP @ TA @ ( c_2Eordinal_2Eomega @ TA ) @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(7,plain,(
    c_2Eordinal_2Eordlt @ skt1 @ sk1 @ ( c_2Eordinal_2Eepsilon0 @ skt1 ) ),
    inference(cnf,[status(esa)],[5])).

thf(10,plain,(
    ! [TA: $tType] :
      ( ( c_2Eordinal_2EordEXP @ TA @ ( c_2Eordinal_2Eomega @ TA ) @ ( c_2Eordinal_2Eepsilon0 @ TA ) )
      = ( c_2Eordinal_2Eepsilon0 @ TA ) ) ),
    inference(cnf,[status(esa)],[9])).

thf(11,plain,(
    ! [TA: $tType] :
      ( ( c_2Eordinal_2EordEXP @ TA @ ( c_2Eordinal_2Eomega @ TA ) @ ( c_2Eordinal_2Eepsilon0 @ TA ) )
      = ( c_2Eordinal_2Eepsilon0 @ TA ) ) ),
    inference(lifteq,[status(thm)],[10])).

thf(8,plain,(
    c_2Eordinal_2Eordlt @ skt1 @ sk2 @ ( c_2Eordinal_2Eepsilon0 @ skt1 ) ),
    inference(cnf,[status(esa)],[5])).

thf(40,plain,(
    $false ),
    inference(iprover,[status(thm)],[5,6,9,12,7,11,8])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.11/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.11/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.11/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.11/0.13  % CPULimit   : 300
% 0.11/0.13  % DateTime   : Wed Jul 31 02:14:35 EDT 2019
% 0.11/0.13  % CPUTime    : 
% 2.95/1.24  % [INFO] 	 Running in sequential loop mode. 
% 3.62/1.42  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.92/1.48  % [INFO] 	 iprover registered as external prover. 
% 3.92/1.48  % [INFO] 	 e registered as external prover. 
% 3.92/1.49  % [INFO] 	 cvc4 registered as external prover. 
% 3.92/1.49  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.25/1.54  % [INFO] 	 Found a conjecture and 16 axioms. Running axiom selection ... 
% 4.25/1.58  % [INFO] 	 Axiom selection finished. Selected 2 axioms (removed 14 axioms). 
% 4.25/1.60  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.37/2.25  % [INFO] 	 Killing All external provers ... 
% 6.37/2.25  % Time passed: 1980ms
% 6.37/2.25  % Effective reasoning time: 1001ms
% 6.37/2.25  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.37/2.25  % Axioms used in derivation (2): thm_2Eordinal_2Eepsilon0__fixpoint, thm_2Eordinal_2Eexpbound__add
% 6.37/2.25  % No. of inferences in proof: 13
% 6.37/2.25  % No. of processed clauses: 7
% 6.37/2.25  % No. of generated clauses: 7
% 6.37/2.25  % No. of forward subsumed clauses: 0
% 6.37/2.25  % No. of backward subsumed clauses: 0
% 6.37/2.25  % No. of ground rewrite rules in store: 3
% 6.37/2.25  % No. of non-ground rewrite rules in store: 1
% 6.37/2.25  % No. of positive (non-rewrite) units in store: 0
% 6.37/2.25  % No. of negative (non-rewrite) units in store: 2
% 6.37/2.25  % No. of choice functions detected: 0
% 6.37/2.25  % No. of choice instantiations: 0
% 6.37/2.25  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 1980 ms resp. 1001 ms w/o parsing
% 6.37/2.27  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.37/2.27  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.37/2.27  thf(c_2Eordinal_2Eepsilon0_type, type, c_2Eordinal_2Eepsilon0: !>[TA: $tType]: (tyop_2Eordinal_2Eordinal @ TA)).
% 6.37/2.27  thf(c_2Eordinal_2Eomega_type, type, c_2Eordinal_2Eomega: !>[TA: $tType]: (tyop_2Eordinal_2Eordinal @ TA)).
% 6.37/2.27  thf(c_2Eordinal_2EordADD_type, type, c_2Eordinal_2EordADD: !>[TA: $tType]: ((tyop_2Eordinal_2Eordinal @ TA) > ((tyop_2Eordinal_2Eordinal @ TA) > (tyop_2Eordinal_2Eordinal @ TA)))).
% 6.37/2.27  thf(c_2Eordinal_2EordEXP_type, type, c_2Eordinal_2EordEXP: !>[TA: $tType]: ((tyop_2Eordinal_2Eordinal @ TA) > ((tyop_2Eordinal_2Eordinal @ TA) > (tyop_2Eordinal_2Eordinal @ TA)))).
% 6.37/2.27  thf(c_2Eordinal_2Eordlt_type, type, c_2Eordinal_2Eordlt: !>[TA: $tType]: ((tyop_2Eordinal_2Eordinal @ TA) > ((tyop_2Eordinal_2Eordinal @ TA) > $o))).
% 6.37/2.27  thf(skt1_type, type, skt1: $tType).
% 6.37/2.27  thf(sk1_type, type, sk1: (tyop_2Eordinal_2Eordinal @ skt1)).
% 6.37/2.27  thf(sk2_type, type, sk2: (tyop_2Eordinal_2Eordinal @ skt1)).
% 6.37/2.27  thf(1,conjecture,((! [TA: $tType]: (! [A:(tyop_2Eordinal_2Eordinal @ TA),B:(tyop_2Eordinal_2Eordinal @ TA)]: (((c_2Eordinal_2Eordlt @ TA @ B @ (c_2Eordinal_2Eepsilon0 @ TA)) & (c_2Eordinal_2Eordlt @ TA @ A @ (c_2Eordinal_2Eepsilon0 @ TA))) => (c_2Eordinal_2Eordlt @ TA @ (c_2Eordinal_2EordADD @ TA @ B @ A) @ (c_2Eordinal_2Eepsilon0 @ TA)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eordinal_2EordADD__under__epsilon0)).
% 6.37/2.27  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:(tyop_2Eordinal_2Eordinal @ TA),B:(tyop_2Eordinal_2Eordinal @ TA)]: (((c_2Eordinal_2Eordlt @ TA @ B @ (c_2Eordinal_2Eepsilon0 @ TA)) & (c_2Eordinal_2Eordlt @ TA @ A @ (c_2Eordinal_2Eepsilon0 @ TA))) => (c_2Eordinal_2Eordlt @ TA @ (c_2Eordinal_2EordADD @ TA @ B @ A) @ (c_2Eordinal_2Eepsilon0 @ TA))))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.37/2.27  thf(5,plain,((~ (! [TA: $tType]: (! [A:(tyop_2Eordinal_2Eordinal @ TA),B:(tyop_2Eordinal_2Eordinal @ TA)]: (((c_2Eordinal_2Eordlt @ TA @ B @ (c_2Eordinal_2Eepsilon0 @ TA)) & (c_2Eordinal_2Eordlt @ TA @ A @ (c_2Eordinal_2Eepsilon0 @ TA))) => (c_2Eordinal_2Eordlt @ TA @ (c_2Eordinal_2EordADD @ TA @ B @ A) @ (c_2Eordinal_2Eepsilon0 @ TA))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.37/2.27  thf(6,plain,((~ (c_2Eordinal_2Eordlt @ skt1 @ (c_2Eordinal_2EordADD @ skt1 @ sk2 @ sk1) @ (c_2Eordinal_2Eepsilon0 @ skt1)))),inference(cnf,[status(esa)],[5])).
% 6.37/2.27  thf(3,axiom,((! [TA: $tType]: ((c_2Eordinal_2EordEXP @ TA @ (c_2Eordinal_2Eomega @ TA) @ (c_2Eordinal_2Eepsilon0 @ TA)) = (c_2Eordinal_2Eepsilon0 @ TA)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eordinal_2Eepsilon0__fixpoint)).
% 6.37/2.27  thf(9,plain,((! [TA: $tType]: ((c_2Eordinal_2EordEXP @ TA @ (c_2Eordinal_2Eomega @ TA) @ (c_2Eordinal_2Eepsilon0 @ TA)) = (c_2Eordinal_2Eepsilon0 @ TA)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.37/2.27  thf(4,axiom,((! [TA: $tType]: (! [A:(tyop_2Eordinal_2Eordinal @ TA),B:(tyop_2Eordinal_2Eordinal @ TA),C:(tyop_2Eordinal_2Eordinal @ TA)]: (((c_2Eordinal_2Eordlt @ TA @ B @ (c_2Eordinal_2EordEXP @ TA @ (c_2Eordinal_2Eomega @ TA) @ A)) & (c_2Eordinal_2Eordlt @ TA @ C @ (c_2Eordinal_2EordEXP @ TA @ (c_2Eordinal_2Eomega @ TA) @ A))) => (c_2Eordinal_2Eordlt @ TA @ (c_2Eordinal_2EordADD @ TA @ B @ C) @ (c_2Eordinal_2EordEXP @ TA @ (c_2Eordinal_2Eomega @ TA) @ A)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eordinal_2Eexpbound__add)).
% 6.37/2.27  thf(12,plain,((! [TA: $tType]: (! [A:(tyop_2Eordinal_2Eordinal @ TA),B:(tyop_2Eordinal_2Eordinal @ TA),C:(tyop_2Eordinal_2Eordinal @ TA)]: (((c_2Eordinal_2Eordlt @ TA @ B @ (c_2Eordinal_2EordEXP @ TA @ (c_2Eordinal_2Eomega @ TA) @ A)) & (c_2Eordinal_2Eordlt @ TA @ C @ (c_2Eordinal_2EordEXP @ TA @ (c_2Eordinal_2Eomega @ TA) @ A))) => (c_2Eordinal_2Eordlt @ TA @ (c_2Eordinal_2EordADD @ TA @ B @ C) @ (c_2Eordinal_2EordEXP @ TA @ (c_2Eordinal_2Eomega @ TA) @ A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 6.37/2.27  thf(7,plain,((c_2Eordinal_2Eordlt @ skt1 @ sk1 @ (c_2Eordinal_2Eepsilon0 @ skt1))),inference(cnf,[status(esa)],[5])).
% 6.37/2.27  thf(10,plain,(! [TA:$tType] : (((c_2Eordinal_2EordEXP @ TA @ (c_2Eordinal_2Eomega @ TA) @ (c_2Eordinal_2Eepsilon0 @ TA)) = (c_2Eordinal_2Eepsilon0 @ TA)))),inference(cnf,[status(esa)],[9])).
% 6.37/2.27  thf(11,plain,(! [TA:$tType] : (((c_2Eordinal_2EordEXP @ TA @ (c_2Eordinal_2Eomega @ TA) @ (c_2Eordinal_2Eepsilon0 @ TA)) = (c_2Eordinal_2Eepsilon0 @ TA)))),inference(lifteq,[status(thm)],[10])).
% 6.37/2.27  thf(8,plain,((c_2Eordinal_2Eordlt @ skt1 @ sk2 @ (c_2Eordinal_2Eepsilon0 @ skt1))),inference(cnf,[status(esa)],[5])).
% 6.37/2.27  thf(40,plain,($false),inference(iprover,[status(thm)],[5,6,9,12,7,11,8])).
% 6.37/2.27  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.37/2.27  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
