%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:40:19 EDT 2019

% Result     : Theorem 7.69s
% Output     : CNFRefutation 7.69s
% Verified   : 
% Statistics : Number of formulae       :   18 (  27 expanded)
%              Number of leaves         :    9 (  12 expanded)
%              Depth                    :    5
%              Number of atoms          :   90 ( 189 expanded)
%              Number of equality atoms :   11 (  20 expanded)
%              Maximal formula depth    :   11 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Ewords_2Eword__le_type,type,(
    c_2Ewords_2Eword__le: 
      !>[TA: $tType] :
        ( ( tyop_2Efcp_2Ecart @ $o @ TA ) > ( tyop_2Efcp_2Ecart @ $o @ TA ) > $o ) )).

thf(c_2Ewords_2Eword__lt_type,type,(
    c_2Ewords_2Eword__lt: 
      !>[TA: $tType] :
        ( ( tyop_2Efcp_2Ecart @ $o @ TA ) > ( tyop_2Efcp_2Ecart @ $o @ TA ) > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: ( tyop_2Efcp_2Ecart @ $o @ skt1 ) )).

thf(sk2_type,type,(
    sk2: ( tyop_2Efcp_2Ecart @ $o @ skt1 ) )).

thf(1,conjecture,(
    ! [TA: $tType,A: tyop_2Efcp_2Ecart @ $o @ TA,B: tyop_2Efcp_2Ecart @ $o @ TA] :
      ( ( ~ ( c_2Ewords_2Eword__lt @ TA @ A @ B )
        & ( A != B ) )
     => ( c_2Ewords_2Eword__lt @ TA @ B @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ewords_2EWORD__LESS__CASES__IMP)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: tyop_2Efcp_2Ecart @ $o @ TA,B: tyop_2Efcp_2Ecart @ $o @ TA] :
        ( ( ~ ( c_2Ewords_2Eword__lt @ TA @ A @ B )
          & ( A != B ) )
       => ( c_2Ewords_2Eword__lt @ TA @ B @ A ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(5,plain,(
    ~ ! [TA: $tType,A: tyop_2Efcp_2Ecart @ $o @ TA,B: tyop_2Efcp_2Ecart @ $o @ TA] :
        ( ( ~ ( c_2Ewords_2Eword__lt @ TA @ A @ B )
          & ( A != B ) )
       => ( c_2Ewords_2Eword__lt @ TA @ B @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    ! [TA: $tType,A: tyop_2Efcp_2Ecart @ $o @ TA,B: tyop_2Efcp_2Ecart @ $o @ TA] :
      ( ( ~ ( c_2Ewords_2Eword__lt @ TA @ A @ B ) )
      = ( c_2Ewords_2Eword__le @ TA @ B @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ewords_2EWORD__NOT__LESS)).

thf(10,plain,(
    ! [TA: $tType,A: tyop_2Efcp_2Ecart @ $o @ TA,B: tyop_2Efcp_2Ecart @ $o @ TA] :
      ( ( ~ ( c_2Ewords_2Eword__lt @ TA @ A @ B ) )
      = ( c_2Ewords_2Eword__le @ TA @ B @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(6,plain,(
    ~ ( c_2Ewords_2Eword__lt @ skt1 @ sk2 @ sk1 ) ),
    inference(cnf,[status(esa)],[5])).

thf(7,plain,(
    sk1 != sk2 ),
    inference(cnf,[status(esa)],[5])).

thf(9,plain,(
    sk2 != sk1 ),
    inference(lifteq,[status(thm)],[7])).

thf(4,axiom,(
    ! [TA: $tType,A: tyop_2Efcp_2Ecart @ $o @ TA,B: tyop_2Efcp_2Ecart @ $o @ TA] :
      ( ( c_2Ewords_2Eword__le @ TA @ A @ B )
      = ( ( c_2Ewords_2Eword__lt @ TA @ A @ B )
        | ( A = B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ewords_2EWORD__LESS__OR__EQ)).

thf(13,plain,(
    ! [TA: $tType,A: tyop_2Efcp_2Ecart @ $o @ TA,B: tyop_2Efcp_2Ecart @ $o @ TA] :
      ( ( c_2Ewords_2Eword__le @ TA @ A @ B )
      = ( ( c_2Ewords_2Eword__lt @ TA @ A @ B )
        | ( A = B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(8,plain,(
    ~ ( c_2Ewords_2Eword__lt @ skt1 @ sk1 @ sk2 ) ),
    inference(cnf,[status(esa)],[5])).

thf(20,plain,(
    $false ),
    inference(iprover,[status(thm)],[5,10,6,9,13,8])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.10/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.10/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.10/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.10/0.13  % CPULimit   : 300
% 0.10/0.13  % DateTime   : Wed Jul 31 03:20:13 EDT 2019
% 0.10/0.13  % CPUTime    : 
% 4.09/1.55  % [INFO] 	 Running in sequential loop mode. 
% 4.91/1.73  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 5.02/1.79  % [INFO] 	 iprover registered as external prover. 
% 5.02/1.79  % [INFO] 	 e registered as external prover. 
% 5.02/1.80  % [INFO] 	 cvc4 registered as external prover. 
% 5.02/1.80  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.39/1.85  % [INFO] 	 Found a conjecture and 32 axioms. Running axiom selection ... 
% 5.39/1.89  % [INFO] 	 Axiom selection finished. Selected 2 axioms (removed 30 axioms). 
% 5.73/1.91  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.69/2.45  % [INFO] 	 Killing All external provers ... 
% 7.69/2.45  % Time passed: 2187ms
% 7.69/2.45  % Effective reasoning time: 897ms
% 7.69/2.45  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.69/2.45  % Axioms used in derivation (2): thm_2Ewords_2EWORD__NOT__LESS, thm_2Ewords_2EWORD__LESS__OR__EQ
% 7.69/2.45  % No. of inferences in proof: 12
% 7.69/2.45  % No. of processed clauses: 4
% 7.69/2.45  % No. of generated clauses: 2
% 7.69/2.45  % No. of forward subsumed clauses: 0
% 7.69/2.45  % No. of backward subsumed clauses: 0
% 7.69/2.46  % No. of ground rewrite rules in store: 2
% 7.69/2.46  % No. of non-ground rewrite rules in store: 1
% 7.69/2.46  % No. of positive (non-rewrite) units in store: 0
% 7.69/2.46  % No. of negative (non-rewrite) units in store: 1
% 7.69/2.46  % No. of choice functions detected: 0
% 7.69/2.46  % No. of choice instantiations: 0
% 7.69/2.46  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2187 ms resp. 897 ms w/o parsing
% 7.69/2.48  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.69/2.48  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.69/2.48  thf(c_2Ewords_2Eword__le_type, type, c_2Ewords_2Eword__le: !>[TA: $tType]: ((tyop_2Efcp_2Ecart @ $o @ TA) > ((tyop_2Efcp_2Ecart @ $o @ TA) > $o))).
% 7.69/2.48  thf(c_2Ewords_2Eword__lt_type, type, c_2Ewords_2Eword__lt: !>[TA: $tType]: ((tyop_2Efcp_2Ecart @ $o @ TA) > ((tyop_2Efcp_2Ecart @ $o @ TA) > $o))).
% 7.69/2.48  thf(skt1_type, type, skt1: $tType).
% 7.69/2.48  thf(sk1_type, type, sk1: (tyop_2Efcp_2Ecart @ $o @ skt1)).
% 7.69/2.48  thf(sk2_type, type, sk2: (tyop_2Efcp_2Ecart @ $o @ skt1)).
% 7.69/2.48  thf(1,conjecture,((! [TA: $tType]: (! [A:(tyop_2Efcp_2Ecart @ $o @ TA),B:(tyop_2Efcp_2Ecart @ $o @ TA)]: ((~ (c_2Ewords_2Eword__lt @ TA @ A @ B) & ~ (A = B)) => (c_2Ewords_2Eword__lt @ TA @ B @ A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ewords_2EWORD__LESS__CASES__IMP)).
% 7.69/2.48  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:(tyop_2Efcp_2Ecart @ $o @ TA),B:(tyop_2Efcp_2Ecart @ $o @ TA)]: ((~ (c_2Ewords_2Eword__lt @ TA @ A @ B) & ~ (A = B)) => (c_2Ewords_2Eword__lt @ TA @ B @ A)))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.69/2.48  thf(5,plain,((~ (! [TA: $tType]: (! [A:(tyop_2Efcp_2Ecart @ $o @ TA),B:(tyop_2Efcp_2Ecart @ $o @ TA)]: ((~ (c_2Ewords_2Eword__lt @ TA @ A @ B) & ~ (A = B)) => (c_2Ewords_2Eword__lt @ TA @ B @ A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.69/2.48  thf(3,axiom,((! [TA: $tType]: (! [A:(tyop_2Efcp_2Ecart @ $o @ TA),B:(tyop_2Efcp_2Ecart @ $o @ TA)]: ((~ (c_2Ewords_2Eword__lt @ TA @ A @ B)) = (c_2Ewords_2Eword__le @ TA @ B @ A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ewords_2EWORD__NOT__LESS)).
% 7.69/2.48  thf(10,plain,((! [TA: $tType]: (! [A:(tyop_2Efcp_2Ecart @ $o @ TA),B:(tyop_2Efcp_2Ecart @ $o @ TA)]: ((~ (c_2Ewords_2Eword__lt @ TA @ A @ B)) = (c_2Ewords_2Eword__le @ TA @ B @ A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.69/2.48  thf(6,plain,((~ (c_2Ewords_2Eword__lt @ skt1 @ sk2 @ sk1))),inference(cnf,[status(esa)],[5])).
% 7.69/2.48  thf(7,plain,((~ (sk1 = sk2))),inference(cnf,[status(esa)],[5])).
% 7.69/2.48  thf(9,plain,((sk2 != sk1)),inference(lifteq,[status(thm)],[7])).
% 7.69/2.48  thf(4,axiom,((! [TA: $tType]: (! [A:(tyop_2Efcp_2Ecart @ $o @ TA),B:(tyop_2Efcp_2Ecart @ $o @ TA)]: ((c_2Ewords_2Eword__le @ TA @ A @ B) = ((c_2Ewords_2Eword__lt @ TA @ A @ B) | (A = B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ewords_2EWORD__LESS__OR__EQ)).
% 7.69/2.48  thf(13,plain,((! [TA: $tType]: (! [A:(tyop_2Efcp_2Ecart @ $o @ TA),B:(tyop_2Efcp_2Ecart @ $o @ TA)]: ((c_2Ewords_2Eword__le @ TA @ A @ B) = ((c_2Ewords_2Eword__lt @ TA @ A @ B) | (A = B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 7.69/2.48  thf(8,plain,((~ (c_2Ewords_2Eword__lt @ skt1 @ sk1 @ sk2))),inference(cnf,[status(esa)],[5])).
% 7.69/2.48  thf(20,plain,($false),inference(iprover,[status(thm)],[5,10,6,9,13,8])).
% 7.69/2.48  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.69/2.48  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
