%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:40:29 EDT 2019

% Result     : Theorem 7.05s
% Output     : CNFRefutation 7.16s
% Verified   : 
% Statistics : Number of formulae       :   61 (  80 expanded)
%              Number of leaves         :   29 (  38 expanded)
%              Depth                    :    5
%              Number of atoms          :  338 ( 523 expanded)
%              Number of equality atoms :   57 (  92 expanded)
%              Maximal formula depth    :   15 (   5 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2EternaryComparisons_2Eordering_type,type,(
    tyop_2EternaryComparisons_2Eordering: $tType )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2EternaryComparisons_2EEQUAL_type,type,(
    c_2EternaryComparisons_2EEQUAL: tyop_2EternaryComparisons_2Eordering )).

thf(c_2EternaryComparisons_2EGREATER_type,type,(
    c_2EternaryComparisons_2EGREATER: tyop_2EternaryComparisons_2Eordering )).

thf(c_2EternaryComparisons_2ELESS_type,type,(
    c_2EternaryComparisons_2ELESS: tyop_2EternaryComparisons_2Eordering )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Etoto_2Eapto_type,type,(
    c_2Etoto_2Eapto: 
      !>[TA: $tType] :
        ( ( tyop_2Etoto_2Etoto @ TA ) > TA > TA > tyop_2EternaryComparisons_2Eordering ) )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $o > $o )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: ( tyop_2Etoto_2Etoto @ skt1 ) )).

thf(sk2_type,type,(
    sk2: skt1 )).

thf(10,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(40,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(41,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $true @ $true )
    = ( $true
     => $true ) ),
    inference(instance,[status(thm)],[40])).

thf(42,plain,(
    c_2Emin_2E_3D_3D_3E @ $true @ $true ),
    inference(simp,[status(thm)],[41])).

thf(9,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(37,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(1,conjecture,(
    ! [TA: $tType,A: tyop_2Etoto_2Etoto @ TA,B: TA] :
      ( ( c_2Etoto_2Eapto @ TA @ A @ B @ B )
      = c_2EternaryComparisons_2EEQUAL ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Etoto_2Etoto__refl)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: tyop_2Etoto_2Etoto @ TA,B: TA] :
        ( ( c_2Etoto_2Eapto @ TA @ A @ B @ B )
        = c_2EternaryComparisons_2EEQUAL ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(14,plain,(
    ~ ! [TA: $tType,A: tyop_2Etoto_2Etoto @ TA,B: TA] :
        ( ( c_2Etoto_2Eapto @ TA @ A @ B @ B )
        = c_2EternaryComparisons_2EEQUAL ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(45,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $false @ $true )
    = ( $false
     => $true ) ),
    inference(instance,[status(thm)],[40])).

thf(46,plain,(
    c_2Emin_2E_3D_3D_3E @ $false @ $true ),
    inference(simp,[status(thm)],[45])).

thf(5,axiom,(
    ! [TA: $tType,A: $o] :
      ( ( ! [B: TA] : A )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EFORALL__SIMP)).

thf(28,plain,(
    ! [TA: $tType] : $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(11,axiom,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(49,plain,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(52,plain,
    ( ( c_2Ebool_2E_7E @ $false )
    = ( ~ $false ) ),
    inference(instance,[status(thm)],[49])).

thf(53,plain,(
    c_2Ebool_2E_7E @ $false ),
    inference(simp,[status(thm)],[52])).

thf(8,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(34,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(3,axiom,(
    ! [TA: $tType,A: tyop_2Etoto_2Etoto @ TA] :
      ( ! [B: TA,C: TA] :
          ( ( ( c_2Etoto_2Eapto @ TA @ A @ B @ C )
            = c_2EternaryComparisons_2EEQUAL )
          = ( B = C ) )
      & ! [B: TA,C: TA] :
          ( ( ( c_2Etoto_2Eapto @ TA @ A @ B @ C )
            = c_2EternaryComparisons_2EGREATER )
          = ( ( c_2Etoto_2Eapto @ TA @ A @ C @ B )
            = c_2EternaryComparisons_2ELESS ) )
      & ! [B: TA,C: TA,D: TA] :
          ( ( ( ( c_2Etoto_2Eapto @ TA @ A @ B @ C )
              = c_2EternaryComparisons_2ELESS )
            & ( ( c_2Etoto_2Eapto @ TA @ A @ C @ D )
              = c_2EternaryComparisons_2ELESS ) )
         => ( ( c_2Etoto_2Eapto @ TA @ A @ B @ D )
            = c_2EternaryComparisons_2ELESS ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Etoto_2Etoto__thm)).

thf(17,plain,(
    ! [TA: $tType,A: tyop_2Etoto_2Etoto @ TA] :
      ( ! [B: TA,C: TA] :
          ( ( ( c_2Etoto_2Eapto @ TA @ A @ B @ C )
            = c_2EternaryComparisons_2EEQUAL )
          = ( B = C ) )
      & ! [B: TA,C: TA] :
          ( ( ( c_2Etoto_2Eapto @ TA @ A @ B @ C )
            = c_2EternaryComparisons_2EGREATER )
          = ( ( c_2Etoto_2Eapto @ TA @ A @ C @ B )
            = c_2EternaryComparisons_2ELESS ) )
      & ! [B: TA,C: TA,D: TA] :
          ( ( ( ( c_2Etoto_2Eapto @ TA @ A @ B @ C )
              = c_2EternaryComparisons_2ELESS )
            & ( ( c_2Etoto_2Eapto @ TA @ A @ C @ D )
              = c_2EternaryComparisons_2ELESS ) )
         => ( ( c_2Etoto_2Eapto @ TA @ A @ B @ D )
            = c_2EternaryComparisons_2ELESS ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(18,plain,(
    ! [TA: $tType,D: TA,C: TA,B: TA,A: tyop_2Etoto_2Etoto @ TA] :
      ( ( ( c_2Etoto_2Eapto @ TA @ A @ B @ C )
       != c_2EternaryComparisons_2ELESS )
      | ( ( c_2Etoto_2Eapto @ TA @ A @ C @ D )
       != c_2EternaryComparisons_2ELESS )
      | ( ( c_2Etoto_2Eapto @ TA @ A @ B @ D )
        = c_2EternaryComparisons_2ELESS ) ) ),
    inference(cnf,[status(esa)],[17])).

thf(21,plain,(
    ! [TA: $tType,D: TA,C: TA,B: TA,A: tyop_2Etoto_2Etoto @ TA] :
      ( ( ( c_2Etoto_2Eapto @ TA @ A @ B @ C )
       != c_2EternaryComparisons_2ELESS )
      | ( ( c_2Etoto_2Eapto @ TA @ A @ C @ D )
       != c_2EternaryComparisons_2ELESS )
      | ( ( c_2Etoto_2Eapto @ TA @ A @ B @ D )
        = c_2EternaryComparisons_2ELESS ) ) ),
    inference(lifteq,[status(thm)],[18])).

thf(22,plain,(
    ! [TA: $tType,D: TA,C: TA,B: TA,A: tyop_2Etoto_2Etoto @ TA] :
      ( ( ( c_2Etoto_2Eapto @ TA @ A @ B @ C )
       != c_2EternaryComparisons_2ELESS )
      | ( ( c_2Etoto_2Eapto @ TA @ A @ C @ D )
       != c_2EternaryComparisons_2ELESS )
      | ( ( c_2Etoto_2Eapto @ TA @ A @ B @ D )
        = c_2EternaryComparisons_2ELESS ) ) ),
    inference(simp,[status(thm)],[21])).

thf(43,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $true @ $false )
    = ( $true
     => $false ) ),
    inference(instance,[status(thm)],[40])).

thf(44,plain,(
    ~ ( c_2Emin_2E_3D_3D_3E @ $true @ $false ) ),
    inference(simp,[status(thm)],[43])).

thf(4,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( A = A )
      = c_2Ebool_2ET ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).

thf(26,plain,(
    ! [TA: $tType] : c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(27,plain,(
    c_2Ebool_2ET ),
    inference(cnf,[status(esa)],[26])).

thf(12,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(54,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(13,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(63,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(15,plain,(
    ( c_2Etoto_2Eapto @ skt1 @ sk1 @ sk2 @ sk2 )
 != c_2EternaryComparisons_2EEQUAL ),
    inference(cnf,[status(esa)],[14])).

thf(16,plain,(
    ( c_2Etoto_2Eapto @ skt1 @ sk1 @ sk2 @ sk2 )
 != c_2EternaryComparisons_2EEQUAL ),
    inference(lifteq,[status(thm)],[15])).

thf(7,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(31,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(6,axiom,(
    c_2Ebool_2ET ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(30,plain,(
    c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(50,plain,
    ( ( c_2Ebool_2E_7E @ $true )
    = ( ~ $true ) ),
    inference(instance,[status(thm)],[49])).

thf(51,plain,(
    ~ ( c_2Ebool_2E_7E @ $true ) ),
    inference(simp,[status(thm)],[50])).

thf(61,plain,
    ( ( c_2Ebool_2E_5C_2F @ $false @ $false )
    = ( $false
      | $false ) ),
    inference(instance,[status(thm)],[54])).

thf(62,plain,(
    ~ ( c_2Ebool_2E_5C_2F @ $false @ $false ) ),
    inference(simp,[status(thm)],[61])).

thf(96,plain,(
    $false ),
    inference(iprover,[status(thm)],[42,37,14,46,28,53,34,17,22,44,27,54,49,63,16,31,40,26,30,51,62])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.03/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.03/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.03/0.14  % CPULimit   : 300
% 0.03/0.14  % DateTime   : Wed Jul 31 03:53:26 EDT 2019
% 0.03/0.14  % CPUTime    : 
% 2.95/1.26  % [INFO] 	 Running in sequential loop mode. 
% 3.74/1.45  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.92/1.51  % [INFO] 	 iprover registered as external prover. 
% 3.92/1.51  % [INFO] 	 e registered as external prover. 
% 3.92/1.51  % [INFO] 	 cvc4 registered as external prover. 
% 3.92/1.52  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.26/1.56  % [INFO] 	 Found a conjecture and 11 axioms. Running axiom selection ... 
% 4.26/1.60  % [INFO] 	 Axiom selection finished. Selected 11 axioms (removed 0 axioms). 
% 4.57/1.64  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.05/2.41  % [INFO] 	 Killing All external provers ... 
% 7.05/2.41  % Time passed: 2133ms
% 7.05/2.41  % Effective reasoning time: 1145ms
% 7.05/2.41  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.05/2.41  % Axioms used in derivation (11): logicdef_2E_3D, thm_2Ebool_2EREFL__CLAUSE, logicdef_2E_5C_2F, quantdef_2E_21, thm_2Ebool_2ETRUTH, logicdef_2E_3D_3D_3E, thm_2Ebool_2EFORALL__SIMP, thm_2Etoto_2Etoto__thm, logicdef_2E_2F_5C, logicdef_2E_7E, quantdef_2E_3F
% 7.05/2.41  % No. of inferences in proof: 44
% 7.05/2.41  % No. of processed clauses: 10
% 7.05/2.41  % No. of generated clauses: 3
% 7.05/2.41  % No. of forward subsumed clauses: 1
% 7.05/2.41  % No. of backward subsumed clauses: 0
% 7.05/2.41  % No. of ground rewrite rules in store: 8
% 7.05/2.41  % No. of non-ground rewrite rules in store: 0
% 7.05/2.41  % No. of positive (non-rewrite) units in store: 0
% 7.05/2.41  % No. of negative (non-rewrite) units in store: 1
% 7.05/2.41  % No. of choice functions detected: 0
% 7.05/2.41  % No. of choice instantiations: 0
% 7.05/2.41  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2133 ms resp. 1145 ms w/o parsing
% 7.16/2.44  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.16/2.44  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.16/2.44  thf(tyop_2EternaryComparisons_2Eordering_type, type, tyop_2EternaryComparisons_2Eordering: $tType).
% 7.16/2.44  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 7.16/2.44  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 7.16/2.44  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 7.16/2.44  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 7.16/2.44  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 7.16/2.44  thf(c_2EternaryComparisons_2EEQUAL_type, type, c_2EternaryComparisons_2EEQUAL: tyop_2EternaryComparisons_2Eordering).
% 7.16/2.44  thf(c_2EternaryComparisons_2EGREATER_type, type, c_2EternaryComparisons_2EGREATER: tyop_2EternaryComparisons_2Eordering).
% 7.16/2.44  thf(c_2EternaryComparisons_2ELESS_type, type, c_2EternaryComparisons_2ELESS: tyop_2EternaryComparisons_2Eordering).
% 7.16/2.44  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 7.16/2.44  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 7.16/2.44  thf(c_2Etoto_2Eapto_type, type, c_2Etoto_2Eapto: !>[TA: $tType]: ((tyop_2Etoto_2Etoto @ TA) > (TA > (TA > tyop_2EternaryComparisons_2Eordering)))).
% 7.16/2.44  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 7.16/2.44  thf(skt1_type, type, skt1: $tType).
% 7.16/2.44  thf(sk1_type, type, sk1: (tyop_2Etoto_2Etoto @ skt1)).
% 7.16/2.44  thf(sk2_type, type, sk2: skt1).
% 7.16/2.44  thf(10,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 7.16/2.44  thf(40,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 7.16/2.44  thf(41,plain,(((c_2Emin_2E_3D_3D_3E @ $true @ $true) = (($true) => ($true)))),inference(instance,[status(thm)],[40])).
% 7.16/2.44  thf(42,plain,((c_2Emin_2E_3D_3D_3E @ $true @ $true)),inference(simp,[status(thm)],[41])).
% 7.16/2.44  thf(9,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 7.16/2.44  thf(37,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 7.16/2.44  thf(1,conjecture,((! [TA: $tType]: (! [A:(tyop_2Etoto_2Etoto @ TA),B:TA]: ((c_2Etoto_2Eapto @ TA @ A @ B @ B) = c_2EternaryComparisons_2EEQUAL)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Etoto_2Etoto__refl)).
% 7.16/2.44  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:(tyop_2Etoto_2Etoto @ TA),B:TA]: ((c_2Etoto_2Eapto @ TA @ A @ B @ B) = c_2EternaryComparisons_2EEQUAL))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.16/2.44  thf(14,plain,((~ (! [TA: $tType]: (! [A:(tyop_2Etoto_2Etoto @ TA),B:TA]: ((c_2Etoto_2Eapto @ TA @ A @ B @ B) = c_2EternaryComparisons_2EEQUAL))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.16/2.44  thf(45,plain,(((c_2Emin_2E_3D_3D_3E @ $false @ $true) = (($false) => ($true)))),inference(instance,[status(thm)],[40])).
% 7.16/2.44  thf(46,plain,((c_2Emin_2E_3D_3D_3E @ $false @ $true)),inference(simp,[status(thm)],[45])).
% 7.16/2.44  thf(5,axiom,((! [TA: $tType]: (! [A:$o]: ((! [B:TA]: (A)) = A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EFORALL__SIMP)).
% 7.16/2.44  thf(28,plain,((! [TA: $tType]: ($true))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 7.16/2.44  thf(11,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 7.16/2.44  thf(49,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 7.16/2.44  thf(52,plain,(((c_2Ebool_2E_7E @ $false) = (~ ($false)))),inference(instance,[status(thm)],[49])).
% 7.16/2.44  thf(53,plain,((c_2Ebool_2E_7E @ $false)),inference(simp,[status(thm)],[52])).
% 7.16/2.44  thf(8,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).
% 7.16/2.44  thf(34,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 7.16/2.44  thf(3,axiom,((! [TA: $tType]: (! [A:(tyop_2Etoto_2Etoto @ TA)]: (! [B:TA,C:TA]: (((c_2Etoto_2Eapto @ TA @ A @ B @ C) = c_2EternaryComparisons_2EEQUAL) = (B = C)) & ! [B:TA,C:TA]: (((c_2Etoto_2Eapto @ TA @ A @ B @ C) = c_2EternaryComparisons_2EGREATER) = ((c_2Etoto_2Eapto @ TA @ A @ C @ B) = c_2EternaryComparisons_2ELESS)) & ! [B:TA,C:TA,D:TA]: ((((c_2Etoto_2Eapto @ TA @ A @ B @ C) = c_2EternaryComparisons_2ELESS) & ((c_2Etoto_2Eapto @ TA @ A @ C @ D) = c_2EternaryComparisons_2ELESS)) => ((c_2Etoto_2Eapto @ TA @ A @ B @ D) = c_2EternaryComparisons_2ELESS)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Etoto_2Etoto__thm)).
% 7.16/2.44  thf(17,plain,((! [TA: $tType]: (! [A:(tyop_2Etoto_2Etoto @ TA)]: (! [B:TA,C:TA]: (((c_2Etoto_2Eapto @ TA @ A @ B @ C) = c_2EternaryComparisons_2EEQUAL) = (B = C)) & ! [B:TA,C:TA]: (((c_2Etoto_2Eapto @ TA @ A @ B @ C) = c_2EternaryComparisons_2EGREATER) = ((c_2Etoto_2Eapto @ TA @ A @ C @ B) = c_2EternaryComparisons_2ELESS)) & ! [B:TA,C:TA,D:TA]: ((((c_2Etoto_2Eapto @ TA @ A @ B @ C) = c_2EternaryComparisons_2ELESS) & ((c_2Etoto_2Eapto @ TA @ A @ C @ D) = c_2EternaryComparisons_2ELESS)) => ((c_2Etoto_2Eapto @ TA @ A @ B @ D) = c_2EternaryComparisons_2ELESS)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.16/2.44  thf(18,plain,(! [TA:$tType,D:TA,C:TA,B:TA,A:(tyop_2Etoto_2Etoto @ TA)] : ((~ ((c_2Etoto_2Eapto @ TA @ A @ B @ C) = c_2EternaryComparisons_2ELESS)) | (~ ((c_2Etoto_2Eapto @ TA @ A @ C @ D) = c_2EternaryComparisons_2ELESS)) | ((c_2Etoto_2Eapto @ TA @ A @ B @ D) = c_2EternaryComparisons_2ELESS))),inference(cnf,[status(esa)],[17])).
% 7.16/2.44  thf(21,plain,(! [TA:$tType,D:TA,C:TA,B:TA,A:(tyop_2Etoto_2Etoto @ TA)] : (((c_2Etoto_2Eapto @ TA @ A @ B @ C) != c_2EternaryComparisons_2ELESS) | ((c_2Etoto_2Eapto @ TA @ A @ C @ D) != c_2EternaryComparisons_2ELESS) | ((c_2Etoto_2Eapto @ TA @ A @ B @ D) = c_2EternaryComparisons_2ELESS))),inference(lifteq,[status(thm)],[18])).
% 7.16/2.44  thf(22,plain,(! [TA:$tType,D:TA,C:TA,B:TA,A:(tyop_2Etoto_2Etoto @ TA)] : (((c_2Etoto_2Eapto @ TA @ A @ B @ C) != c_2EternaryComparisons_2ELESS) | ((c_2Etoto_2Eapto @ TA @ A @ C @ D) != c_2EternaryComparisons_2ELESS) | ((c_2Etoto_2Eapto @ TA @ A @ B @ D) = c_2EternaryComparisons_2ELESS))),inference(simp,[status(thm)],[21])).
% 7.16/2.44  thf(43,plain,(((c_2Emin_2E_3D_3D_3E @ $true @ $false) = (($true) => ($false)))),inference(instance,[status(thm)],[40])).
% 7.16/2.44  thf(44,plain,((~ (c_2Emin_2E_3D_3D_3E @ $true @ $false))),inference(simp,[status(thm)],[43])).
% 7.16/2.44  thf(4,axiom,((! [TA: $tType]: (! [A:TA]: ((A = A) = c_2Ebool_2ET)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).
% 7.16/2.44  thf(26,plain,((! [TA: $tType]: (c_2Ebool_2ET))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 7.16/2.44  thf(27,plain,(c_2Ebool_2ET),inference(cnf,[status(esa)],[26])).
% 7.16/2.44  thf(12,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 7.16/2.44  thf(54,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 7.16/2.44  thf(13,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 7.16/2.44  thf(63,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 7.16/2.44  thf(15,plain,((~ ((c_2Etoto_2Eapto @ skt1 @ sk1 @ sk2 @ sk2) = c_2EternaryComparisons_2EEQUAL))),inference(cnf,[status(esa)],[14])).
% 7.16/2.44  thf(16,plain,(((c_2Etoto_2Eapto @ skt1 @ sk1 @ sk2 @ sk2) != c_2EternaryComparisons_2EEQUAL)),inference(lifteq,[status(thm)],[15])).
% 7.16/2.44  thf(7,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 7.16/2.44  thf(31,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 7.16/2.44  thf(6,axiom,(c_2Ebool_2ET),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).
% 7.16/2.44  thf(30,plain,(c_2Ebool_2ET),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 7.16/2.44  thf(50,plain,(((c_2Ebool_2E_7E @ $true) = (~ ($true)))),inference(instance,[status(thm)],[49])).
% 7.16/2.44  thf(51,plain,((~ (c_2Ebool_2E_7E @ $true))),inference(simp,[status(thm)],[50])).
% 7.16/2.44  thf(61,plain,(((c_2Ebool_2E_5C_2F @ $false @ $false) = (($false) | ($false)))),inference(instance,[status(thm)],[54])).
% 7.16/2.44  thf(62,plain,((~ (c_2Ebool_2E_5C_2F @ $false @ $false))),inference(simp,[status(thm)],[61])).
% 7.16/2.44  thf(96,plain,($false),inference(iprover,[status(thm)],[42,37,14,46,28,53,34,17,22,44,27,54,49,63,16,31,40,26,30,51,62])).
% 7.16/2.44  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.16/2.44  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
