%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:40:35 EDT 2019

% Result     : Theorem 6.21s
% Output     : CNFRefutation 6.49s
% Verified   : 
% Statistics : Number of formulae       :   29 (  29 expanded)
%              Number of leaves         :   18 (  18 expanded)
%              Depth                    :    3
%              Number of atoms          :  202 ( 202 expanded)
%              Number of equality atoms :   15 (  15 expanded)
%              Maximal formula depth    :   15 (   8 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Ehrat_2Ehrat_type,type,(
    tyop_2Ehrat_2Ehrat: $tType )).

thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(c_2Equotient_2EQUOTIENT_type,type,(
    c_2Equotient_2EQUOTIENT: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > TA > $o ) > ( TA > TB ) > ( TB > TA ) > $o ) )).

thf(c_2Ehrat_2Ehrat__ABS_type,type,(
    c_2Ehrat_2Ehrat__ABS: ( tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) > tyop_2Ehrat_2Ehrat )).

thf(c_2Ehrat_2Ehrat__REP_type,type,(
    c_2Ehrat_2Ehrat__REP: tyop_2Ehrat_2Ehrat > ( tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) )).

thf(c_2Ehrat_2Ehrat__add_type,type,(
    c_2Ehrat_2Ehrat__add: tyop_2Ehrat_2Ehrat > tyop_2Ehrat_2Ehrat > tyop_2Ehrat_2Ehrat )).

thf(c_2Ehrat_2Etrat__add_type,type,(
    c_2Ehrat_2Etrat__add: ( tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) > ( tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) > ( tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) )).

thf(c_2Ehrat_2Etrat__eq_type,type,(
    c_2Ehrat_2Etrat__eq: ( tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) > ( tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) > $o )).

thf(6,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > TA > $o,B: TA > TB,C: TB > TA] :
      ( ( c_2Equotient_2EQUOTIENT @ TA @ TB @ A @ B @ C )
     => ! [D: TA,E: TA] :
          ( ( A @ D @ E )
         => ( A @ D @ ( C @ ( B @ E ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Equotient_2EREP__ABS__RSP)).

thf(24,plain,(
    ! [TA: $tType,TB: $tType,A: TA > TA > $o,B: TA > TB,C: TB > TA] :
      ( ( c_2Equotient_2EQUOTIENT @ TA @ TB @ A @ B @ C )
     => ! [D: TA,E: TA] :
          ( ( A @ D @ E )
         => ( A @ D @ ( C @ ( B @ E ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(8,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum,B: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum] :
      ~ ( c_2Ehrat_2Etrat__eq @ ( c_2Ehrat_2Etrat__add @ A @ B ) @ A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ehrat_2ETRAT__NOZERO)).

thf(28,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum,B: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum] :
      ~ ( c_2Ehrat_2Etrat__eq @ ( c_2Ehrat_2Etrat__add @ A @ B ) @ A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(5,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum,B: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum] :
      ( ( c_2Ehrat_2Etrat__eq @ A @ B )
      = ( ( c_2Ehrat_2Etrat__eq @ A )
        = ( c_2Ehrat_2Etrat__eq @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ehrat_2ETRAT__EQ__EQUIV)).

thf(21,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum,B: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum] :
      ( ( c_2Ehrat_2Etrat__eq @ A @ B )
      = ( ( c_2Ehrat_2Etrat__eq @ A )
        = ( c_2Ehrat_2Etrat__eq @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(10,axiom,(
    ! [A: tyop_2Ehrat_2Ehrat,B: tyop_2Ehrat_2Ehrat] :
      ( ( c_2Ehrat_2Ehrat__add @ A @ B )
      = ( c_2Ehrat_2Ehrat__ABS @ ( c_2Ehrat_2Etrat__add @ ( c_2Ehrat_2Ehrat__REP @ A ) @ ( c_2Ehrat_2Ehrat__REP @ B ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ehrat_2Ehrat__add)).

thf(32,plain,(
    ! [A: tyop_2Ehrat_2Ehrat,B: tyop_2Ehrat_2Ehrat] :
      ( ( c_2Ehrat_2Ehrat__add @ A @ B )
      = ( c_2Ehrat_2Ehrat__ABS @ ( c_2Ehrat_2Etrat__add @ ( c_2Ehrat_2Ehrat__REP @ A ) @ ( c_2Ehrat_2Ehrat__REP @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(4,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > TA > $o,B: TA > TB,C: TB > TA] :
      ( ( c_2Equotient_2EQUOTIENT @ TA @ TB @ A @ B @ C )
     => ! [D: TA,E: TA,F: TA,G: TA] :
          ( ( ( A @ D @ E )
            & ( A @ F @ G ) )
         => ( ( A @ D @ F )
            = ( A @ E @ G ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Equotient_2EEQUALS__RSP)).

thf(18,plain,(
    ! [TA: $tType,TB: $tType,A: TA > TA > $o,B: TA > TB,C: TB > TA] :
      ( ( c_2Equotient_2EQUOTIENT @ TA @ TB @ A @ B @ C )
     => ! [D: TA,E: TA,F: TA,G: TA] :
          ( ( ( A @ D @ E )
            & ( A @ F @ G ) )
         => ( ( A @ D @ F )
            = ( A @ E @ G ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(9,axiom,(
    c_2Equotient_2EQUOTIENT @ ( tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) @ tyop_2Ehrat_2Ehrat @ c_2Ehrat_2Etrat__eq @ c_2Ehrat_2Ehrat__ABS @ c_2Ehrat_2Ehrat__REP ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ehrat_2Ehrat__QUOTIENT)).

thf(31,plain,(
    c_2Equotient_2EQUOTIENT @ ( tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) @ tyop_2Ehrat_2Ehrat @ c_2Ehrat_2Etrat__eq @ c_2Ehrat_2Ehrat__ABS @ c_2Ehrat_2Ehrat__REP ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(1,conjecture,(
    ! [A: tyop_2Ehrat_2Ehrat,B: tyop_2Ehrat_2Ehrat] :
      ( ( c_2Ehrat_2Ehrat__add @ A @ B )
     != A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ehrat_2EHRAT__NOZERO)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Ehrat_2Ehrat,B: tyop_2Ehrat_2Ehrat] :
        ( ( c_2Ehrat_2Ehrat__add @ A @ B )
       != A ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(11,plain,(
    ~ ! [A: tyop_2Ehrat_2Ehrat,B: tyop_2Ehrat_2Ehrat] :
        ( ( c_2Ehrat_2Ehrat__add @ A @ B )
       != A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(7,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum,B: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum,C: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum,D: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum] :
      ( ( ( c_2Ehrat_2Etrat__eq @ A @ B )
        & ( c_2Ehrat_2Etrat__eq @ C @ D ) )
     => ( c_2Ehrat_2Etrat__eq @ ( c_2Ehrat_2Etrat__add @ A @ C ) @ ( c_2Ehrat_2Etrat__add @ B @ D ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ehrat_2ETRAT__ADD__WELLDEFINED2)).

thf(26,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum,B: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum,C: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum,D: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum] :
      ( ( ( c_2Ehrat_2Etrat__eq @ A @ B )
        & ( c_2Ehrat_2Etrat__eq @ C @ D ) )
     => ( c_2Ehrat_2Etrat__eq @ ( c_2Ehrat_2Etrat__add @ A @ C ) @ ( c_2Ehrat_2Etrat__add @ B @ D ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(3,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > TA > $o,B: TA > TB,C: TB > TA] :
      ( ( c_2Equotient_2EQUOTIENT @ TA @ TB @ A @ B @ C )
     => ! [D: TB,E: TB] :
          ( ( D = E )
          = ( A @ ( C @ D ) @ ( C @ E ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Equotient_2EEQUALS__PRS)).

thf(15,plain,(
    ! [TA: $tType,TB: $tType,A: TA > TA > $o,B: TA > TB,C: TB > TA] :
      ( ( c_2Equotient_2EQUOTIENT @ TA @ TB @ A @ B @ C )
     => ! [D: TB,E: TB] :
          ( ( D = E )
          = ( A @ ( C @ D ) @ ( C @ E ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(35,plain,(
    $false ),
    inference(e,[status(thm)],[24,28,21,32,18,31,11,26,15])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.02/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.02/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.02/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.02/0.12  % CPULimit   : 300
% 0.02/0.12  % DateTime   : Wed Jul 31 04:03:20 EDT 2019
% 0.02/0.12  % CPUTime    : 
% 3.41/1.39  % [INFO] 	 Running in sequential loop mode. 
% 4.07/1.57  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.21/1.64  % [INFO] 	 iprover registered as external prover. 
% 4.21/1.64  % [INFO] 	 e registered as external prover. 
% 4.21/1.64  % [INFO] 	 cvc4 registered as external prover. 
% 4.21/1.64  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.33/1.70  % [INFO] 	 Found a conjecture and 29 axioms. Running axiom selection ... 
% 4.33/1.74  % [INFO] 	 Axiom selection finished. Selected 8 axioms (removed 21 axioms). 
% 4.56/1.78  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.21/2.35  % [INFO] 	 Killing All external provers ... 
% 6.21/2.35  % Time passed: 2091ms
% 6.21/2.35  % Effective reasoning time: 953ms
% 6.21/2.35  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.21/2.35  % Axioms used in derivation (8): thm_2Ehrat_2ETRAT__EQ__EQUIV, thm_2Equotient_2EEQUALS__RSP, thm_2Equotient_2EREP__ABS__RSP, thm_2Ehrat_2ETRAT__NOZERO, thm_2Ehrat_2ETRAT__ADD__WELLDEFINED2, thm_2Equotient_2EEQUALS__PRS, thm_2Ehrat_2Ehrat__add, thm_2Ehrat_2Ehrat__QUOTIENT
% 6.21/2.35  % No. of inferences in proof: 20
% 6.21/2.35  % No. of processed clauses: 1
% 6.21/2.35  % No. of generated clauses: 0
% 6.21/2.35  % No. of forward subsumed clauses: 0
% 6.21/2.35  % No. of backward subsumed clauses: 0
% 6.21/2.35  % No. of ground rewrite rules in store: 1
% 6.21/2.35  % No. of non-ground rewrite rules in store: 0
% 6.21/2.35  % No. of positive (non-rewrite) units in store: 0
% 6.21/2.35  % No. of negative (non-rewrite) units in store: 0
% 6.21/2.35  % No. of choice functions detected: 0
% 6.21/2.35  % No. of choice instantiations: 0
% 6.21/2.35  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2091 ms resp. 953 ms w/o parsing
% 6.49/2.39  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.49/2.39  thf(tyop_2Ehrat_2Ehrat_type, type, tyop_2Ehrat_2Ehrat: $tType).
% 6.49/2.39  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.49/2.39  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 6.49/2.39  thf(c_2Equotient_2EQUOTIENT_type, type, c_2Equotient_2EQUOTIENT: !>[TA: $tType,TB: $tType]: ((TA > (TA > $o)) > ((TA > TB) > ((TB > TA) > $o)))).
% 6.49/2.39  thf(c_2Ehrat_2Ehrat__ABS_type, type, c_2Ehrat_2Ehrat__ABS: ((tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum) > tyop_2Ehrat_2Ehrat)).
% 6.49/2.39  thf(c_2Ehrat_2Ehrat__REP_type, type, c_2Ehrat_2Ehrat__REP: (tyop_2Ehrat_2Ehrat > (tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum))).
% 6.49/2.39  thf(c_2Ehrat_2Ehrat__add_type, type, c_2Ehrat_2Ehrat__add: (tyop_2Ehrat_2Ehrat > (tyop_2Ehrat_2Ehrat > tyop_2Ehrat_2Ehrat))).
% 6.49/2.39  thf(c_2Ehrat_2Etrat__add_type, type, c_2Ehrat_2Etrat__add: ((tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum) > ((tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum) > (tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum)))).
% 6.49/2.39  thf(c_2Ehrat_2Etrat__eq_type, type, c_2Ehrat_2Etrat__eq: ((tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum) > ((tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum) > $o))).
% 6.49/2.39  thf(6,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TA > $o)),B:(TA > TB),C:(TB > TA)]: ((c_2Equotient_2EQUOTIENT @ TA @ TB @ A @ B @ C) => (! [D:TA,E:TA]: ((A @ D @ E) => (A @ D @ (C @ (B @ E))))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Equotient_2EREP__ABS__RSP)).
% 6.49/2.39  thf(24,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TA > $o)),B:(TA > TB),C:(TB > TA)]: ((c_2Equotient_2EQUOTIENT @ TA @ TB @ (A) @ (B) @ (C)) => (! [D:TA,E:TA]: ((A @ D @ E) => (A @ D @ (C @ (B @ E))))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 6.49/2.39  thf(8,axiom,((! [A:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum),B:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum)]: ~ (c_2Ehrat_2Etrat__eq @ (c_2Ehrat_2Etrat__add @ A @ B) @ A))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ehrat_2ETRAT__NOZERO)).
% 6.49/2.39  thf(28,plain,((! [A:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum),B:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum)]: ~ (c_2Ehrat_2Etrat__eq @ (c_2Ehrat_2Etrat__add @ A @ B) @ A))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 6.49/2.39  thf(5,axiom,((! [A:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum),B:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum)]: ((c_2Ehrat_2Etrat__eq @ A @ B) = ((c_2Ehrat_2Etrat__eq @ A) = (c_2Ehrat_2Etrat__eq @ B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ehrat_2ETRAT__EQ__EQUIV)).
% 6.49/2.39  thf(21,plain,((! [A:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum),B:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum)]: ((c_2Ehrat_2Etrat__eq @ A @ B) = ((c_2Ehrat_2Etrat__eq @ A) = (c_2Ehrat_2Etrat__eq @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 6.49/2.39  thf(10,axiom,((! [A:tyop_2Ehrat_2Ehrat,B:tyop_2Ehrat_2Ehrat]: ((c_2Ehrat_2Ehrat__add @ A @ B) = (c_2Ehrat_2Ehrat__ABS @ (c_2Ehrat_2Etrat__add @ (c_2Ehrat_2Ehrat__REP @ A) @ (c_2Ehrat_2Ehrat__REP @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ehrat_2Ehrat__add)).
% 6.49/2.39  thf(32,plain,((! [A:tyop_2Ehrat_2Ehrat,B:tyop_2Ehrat_2Ehrat]: ((c_2Ehrat_2Ehrat__add @ A @ B) = (c_2Ehrat_2Ehrat__ABS @ (c_2Ehrat_2Etrat__add @ (c_2Ehrat_2Ehrat__REP @ A) @ (c_2Ehrat_2Ehrat__REP @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 6.49/2.39  thf(4,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TA > $o)),B:(TA > TB),C:(TB > TA)]: ((c_2Equotient_2EQUOTIENT @ TA @ TB @ A @ B @ C) => (! [D:TA,E:TA,F:TA,G:TA]: (((A @ D @ E) & (A @ F @ G)) => ((A @ D @ F) = (A @ E @ G)))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Equotient_2EEQUALS__RSP)).
% 6.49/2.39  thf(18,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TA > $o)),B:(TA > TB),C:(TB > TA)]: ((c_2Equotient_2EQUOTIENT @ TA @ TB @ (A) @ (B) @ (C)) => (! [D:TA,E:TA,F:TA,G:TA]: (((A @ D @ E) & (A @ F @ G)) => ((A @ D @ F) = (A @ E @ G)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 6.49/2.39  thf(9,axiom,((c_2Equotient_2EQUOTIENT @ (tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum) @ tyop_2Ehrat_2Ehrat @ c_2Ehrat_2Etrat__eq @ c_2Ehrat_2Ehrat__ABS @ c_2Ehrat_2Ehrat__REP)),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ehrat_2Ehrat__QUOTIENT)).
% 6.49/2.39  thf(31,plain,((c_2Equotient_2EQUOTIENT @ (tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum) @ tyop_2Ehrat_2Ehrat @ (c_2Ehrat_2Etrat__eq) @ (c_2Ehrat_2Ehrat__ABS) @ (c_2Ehrat_2Ehrat__REP))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 6.49/2.39  thf(1,conjecture,((! [A:tyop_2Ehrat_2Ehrat,B:tyop_2Ehrat_2Ehrat]: ~ ((c_2Ehrat_2Ehrat__add @ A @ B) = A))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ehrat_2EHRAT__NOZERO)).
% 6.49/2.39  thf(2,negated_conjecture,((~ (! [A:tyop_2Ehrat_2Ehrat,B:tyop_2Ehrat_2Ehrat]: ~ ((c_2Ehrat_2Ehrat__add @ A @ B) = A)))),inference(neg_conjecture,[status(cth)],[1])).
% 6.49/2.39  thf(11,plain,((~ (! [A:tyop_2Ehrat_2Ehrat,B:tyop_2Ehrat_2Ehrat]: ~ ((c_2Ehrat_2Ehrat__add @ A @ B) = A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.49/2.39  thf(7,axiom,((! [A:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum),B:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum),C:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum),D:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum)]: (((c_2Ehrat_2Etrat__eq @ A @ B) & (c_2Ehrat_2Etrat__eq @ C @ D)) => (c_2Ehrat_2Etrat__eq @ (c_2Ehrat_2Etrat__add @ A @ C) @ (c_2Ehrat_2Etrat__add @ B @ D))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ehrat_2ETRAT__ADD__WELLDEFINED2)).
% 6.49/2.39  thf(26,plain,((! [A:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum),B:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum),C:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum),D:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum)]: (((c_2Ehrat_2Etrat__eq @ A @ B) & (c_2Ehrat_2Etrat__eq @ C @ D)) => (c_2Ehrat_2Etrat__eq @ (c_2Ehrat_2Etrat__add @ A @ C) @ (c_2Ehrat_2Etrat__add @ B @ D))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 6.49/2.39  thf(3,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TA > $o)),B:(TA > TB),C:(TB > TA)]: ((c_2Equotient_2EQUOTIENT @ TA @ TB @ A @ B @ C) => (! [D:TB,E:TB]: ((D = E) = (A @ (C @ D) @ (C @ E)))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Equotient_2EEQUALS__PRS)).
% 6.49/2.39  thf(15,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TA > $o)),B:(TA > TB),C:(TB > TA)]: ((c_2Equotient_2EQUOTIENT @ TA @ TB @ (A) @ (B) @ (C)) => (! [D:TB,E:TB]: ((D = E) = (A @ (C @ D) @ (C @ E)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.49/2.39  thf(35,plain,($false),inference(e,[status(thm)],[24,28,21,32,18,31,11,26,15])).
% 6.49/2.39  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.49/2.39  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
