%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:40:45 EDT 2019

% Result     : Theorem 7.44s
% Output     : CNFRefutation 8.00s
% Verified   : 
% Statistics : Number of formulae       :   23 (  32 expanded)
%              Number of leaves         :   15 (  18 expanded)
%              Depth                    :    4
%              Number of atoms          :  183 ( 381 expanded)
%              Number of equality atoms :    6 (   6 expanded)
%              Maximal formula depth    :   14 (   7 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Epred__set_2EINTER_type,type,(
    c_2Epred__set_2EINTER: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > $o ) > TA > $o ) )).

thf(c_2Elist_2ELIST__TO__SET_type,type,(
    c_2Elist_2ELIST__TO__SET: 
      !>[TA: $tType] :
        ( ( tyop_2Elist_2Elist @ TA ) > TA > $o ) )).

thf(c_2Eenumeral_2EOL_type,type,(
    c_2Eenumeral_2EOL: 
      !>[TA: $tType] :
        ( ( tyop_2Etoto_2Etoto @ TA ) > ( tyop_2Elist_2Elist @ TA ) > $o ) )).

thf(c_2Eenumeral_2EOWL_type,type,(
    c_2Eenumeral_2EOWL: 
      !>[TA: $tType] :
        ( ( tyop_2Etoto_2Etoto @ TA ) > ( TA > $o ) > ( tyop_2Elist_2Elist @ TA ) > $o ) )).

thf(c_2Eenumeral_2Esinter_type,type,(
    c_2Eenumeral_2Esinter: 
      !>[TA: $tType] :
        ( ( tyop_2Etoto_2Etoto @ TA ) > ( tyop_2Elist_2Elist @ TA ) > ( tyop_2Elist_2Elist @ TA ) > ( tyop_2Elist_2Elist @ TA ) ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: ( tyop_2Etoto_2Etoto @ skt1 ) )).

thf(sk2_type,type,(
    sk2: skt1 > $o )).

thf(sk3_type,type,(
    sk3: ( tyop_2Elist_2Elist @ skt1 ) )).

thf(sk4_type,type,(
    sk4: skt1 > $o )).

thf(sk5_type,type,(
    sk5: ( tyop_2Elist_2Elist @ skt1 ) )).

thf(1,conjecture,(
    ! [TA: $tType,A: tyop_2Etoto_2Etoto @ TA,B: TA > $o,C: tyop_2Elist_2Elist @ TA,D: TA > $o,E: tyop_2Elist_2Elist @ TA] :
      ( ( ( c_2Eenumeral_2EOWL @ TA @ A @ B @ C )
        & ( c_2Eenumeral_2EOWL @ TA @ A @ D @ E ) )
     => ( c_2Eenumeral_2EOWL @ TA @ A @ ( c_2Epred__set_2EINTER @ TA @ B @ D ) @ ( c_2Eenumeral_2Esinter @ TA @ A @ C @ E ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eenumeral_2EOWL__INTER__THM)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: tyop_2Etoto_2Etoto @ TA,B: TA > $o,C: tyop_2Elist_2Elist @ TA,D: TA > $o,E: tyop_2Elist_2Elist @ TA] :
        ( ( ( c_2Eenumeral_2EOWL @ TA @ A @ B @ C )
          & ( c_2Eenumeral_2EOWL @ TA @ A @ D @ E ) )
       => ( c_2Eenumeral_2EOWL @ TA @ A @ ( c_2Epred__set_2EINTER @ TA @ B @ D ) @ ( c_2Eenumeral_2Esinter @ TA @ A @ C @ E ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(5,plain,(
    ~ ! [TA: $tType,A: tyop_2Etoto_2Etoto @ TA,B: TA > $o,C: tyop_2Elist_2Elist @ TA,D: TA > $o,E: tyop_2Elist_2Elist @ TA] :
        ( ( ( c_2Eenumeral_2EOWL @ TA @ A @ B @ C )
          & ( c_2Eenumeral_2EOWL @ TA @ A @ D @ E ) )
       => ( c_2Eenumeral_2EOWL @ TA @ A @ ( c_2Epred__set_2EINTER @ TA @ B @ D ) @ ( c_2Eenumeral_2Esinter @ TA @ A @ C @ E ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(6,plain,(
    ~ ( c_2Eenumeral_2EOWL @ skt1 @ sk1 @ ( c_2Epred__set_2EINTER @ skt1 @ sk2 @ sk4 ) @ ( c_2Eenumeral_2Esinter @ skt1 @ sk1 @ sk3 @ sk5 ) ) ),
    inference(cnf,[status(esa)],[5])).

thf(3,axiom,(
    ! [TA: $tType,A: tyop_2Etoto_2Etoto @ TA,B: tyop_2Elist_2Elist @ TA] :
      ( ( c_2Eenumeral_2EOL @ TA @ A @ B )
     => ! [C: tyop_2Elist_2Elist @ TA] :
          ( ( c_2Eenumeral_2EOL @ TA @ A @ C )
         => ( ( c_2Eenumeral_2EOL @ TA @ A @ ( c_2Eenumeral_2Esinter @ TA @ A @ B @ C ) )
            & ( ( c_2Elist_2ELIST__TO__SET @ TA @ ( c_2Eenumeral_2Esinter @ TA @ A @ B @ C ) )
              = ( c_2Epred__set_2EINTER @ TA @ ( c_2Elist_2ELIST__TO__SET @ TA @ B ) @ ( c_2Elist_2ELIST__TO__SET @ TA @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eenumeral_2EOL__INTER__IMP)).

thf(9,plain,(
    ! [TA: $tType,A: tyop_2Etoto_2Etoto @ TA,B: tyop_2Elist_2Elist @ TA] :
      ( ( c_2Eenumeral_2EOL @ TA @ A @ B )
     => ! [C: tyop_2Elist_2Elist @ TA] :
          ( ( c_2Eenumeral_2EOL @ TA @ A @ C )
         => ( ( c_2Eenumeral_2EOL @ TA @ A @ ( c_2Eenumeral_2Esinter @ TA @ A @ B @ C ) )
            & ( ( c_2Elist_2ELIST__TO__SET @ TA @ ( c_2Eenumeral_2Esinter @ TA @ A @ B @ C ) )
              = ( c_2Epred__set_2EINTER @ TA @ ( c_2Elist_2ELIST__TO__SET @ TA @ B ) @ ( c_2Elist_2ELIST__TO__SET @ TA @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(4,axiom,(
    ! [TA: $tType,A: tyop_2Etoto_2Etoto @ TA,B: TA > $o,C: tyop_2Elist_2Elist @ TA] :
      ( ( c_2Eenumeral_2EOWL @ TA @ A @ B @ C )
      = ( ( B
          = ( c_2Elist_2ELIST__TO__SET @ TA @ C ) )
        & ( c_2Eenumeral_2EOL @ TA @ A @ C ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eenumeral_2EOWL)).

thf(13,plain,(
    ! [TA: $tType,A: tyop_2Etoto_2Etoto @ TA,B: TA > $o,C: tyop_2Elist_2Elist @ TA] :
      ( ( c_2Eenumeral_2EOWL @ TA @ A @ B @ C )
      = ( ( B
          = ( c_2Elist_2ELIST__TO__SET @ TA @ C ) )
        & ( c_2Eenumeral_2EOL @ TA @ A @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(7,plain,(
    c_2Eenumeral_2EOWL @ skt1 @ sk1 @ sk4 @ sk5 ),
    inference(cnf,[status(esa)],[5])).

thf(8,plain,(
    c_2Eenumeral_2EOWL @ skt1 @ sk1 @ sk2 @ sk3 ),
    inference(cnf,[status(esa)],[5])).

thf(30,plain,(
    $false ),
    inference(iprover,[status(thm)],[5,6,9,13,7,8])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.07/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.07/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.07/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.07/0.13  % CPULimit   : 300
% 0.07/0.13  % DateTime   : Wed Jul 31 04:30:00 EDT 2019
% 0.07/0.13  % CPUTime    : 
% 3.87/1.47  % [INFO] 	 Running in sequential loop mode. 
% 4.62/1.65  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.77/1.71  % [INFO] 	 iprover registered as external prover. 
% 4.77/1.72  % [INFO] 	 e registered as external prover. 
% 4.77/1.72  % [INFO] 	 cvc4 registered as external prover. 
% 4.77/1.72  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.17/1.78  % [INFO] 	 Found a conjecture and 33 axioms. Running axiom selection ... 
% 5.41/1.82  % [INFO] 	 Axiom selection finished. Selected 2 axioms (removed 31 axioms). 
% 5.41/1.85  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.44/2.53  % [INFO] 	 Killing All external provers ... 
% 7.44/2.53  % Time passed: 2256ms
% 7.44/2.53  % Effective reasoning time: 1053ms
% 7.44/2.53  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.44/2.53  % Axioms used in derivation (2): thm_2Eenumeral_2EOL__INTER__IMP, thm_2Eenumeral_2EOWL
% 7.44/2.53  % No. of inferences in proof: 11
% 7.44/2.53  % No. of processed clauses: 4
% 7.44/2.53  % No. of generated clauses: 5
% 7.44/2.53  % No. of forward subsumed clauses: 0
% 7.44/2.53  % No. of backward subsumed clauses: 0
% 7.44/2.53  % No. of ground rewrite rules in store: 3
% 7.44/2.53  % No. of non-ground rewrite rules in store: 1
% 7.44/2.53  % No. of positive (non-rewrite) units in store: 0
% 7.44/2.53  % No. of negative (non-rewrite) units in store: 0
% 7.44/2.53  % No. of choice functions detected: 0
% 7.44/2.53  % No. of choice instantiations: 0
% 7.44/2.53  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2256 ms resp. 1053 ms w/o parsing
% 8.00/2.56  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 8.00/2.56  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 8.00/2.56  thf(c_2Epred__set_2EINTER_type, type, c_2Epred__set_2EINTER: !>[TA: $tType]: ((TA > $o) > ((TA > $o) > (TA > $o)))).
% 8.00/2.56  thf(c_2Elist_2ELIST__TO__SET_type, type, c_2Elist_2ELIST__TO__SET: !>[TA: $tType]: ((tyop_2Elist_2Elist @ TA) > (TA > $o))).
% 8.00/2.56  thf(c_2Eenumeral_2EOL_type, type, c_2Eenumeral_2EOL: !>[TA: $tType]: ((tyop_2Etoto_2Etoto @ TA) > ((tyop_2Elist_2Elist @ TA) > $o))).
% 8.00/2.56  thf(c_2Eenumeral_2EOWL_type, type, c_2Eenumeral_2EOWL: !>[TA: $tType]: ((tyop_2Etoto_2Etoto @ TA) > ((TA > $o) > ((tyop_2Elist_2Elist @ TA) > $o)))).
% 8.00/2.56  thf(c_2Eenumeral_2Esinter_type, type, c_2Eenumeral_2Esinter: !>[TA: $tType]: ((tyop_2Etoto_2Etoto @ TA) > ((tyop_2Elist_2Elist @ TA) > ((tyop_2Elist_2Elist @ TA) > (tyop_2Elist_2Elist @ TA))))).
% 8.00/2.56  thf(skt1_type, type, skt1: $tType).
% 8.00/2.56  thf(sk1_type, type, sk1: (tyop_2Etoto_2Etoto @ skt1)).
% 8.00/2.56  thf(sk2_type, type, sk2: (skt1 > $o)).
% 8.00/2.56  thf(sk3_type, type, sk3: (tyop_2Elist_2Elist @ skt1)).
% 8.00/2.56  thf(sk4_type, type, sk4: (skt1 > $o)).
% 8.00/2.56  thf(sk5_type, type, sk5: (tyop_2Elist_2Elist @ skt1)).
% 8.00/2.56  thf(1,conjecture,((! [TA: $tType]: (! [A:(tyop_2Etoto_2Etoto @ TA),B:(TA > $o),C:(tyop_2Elist_2Elist @ TA),D:(TA > $o),E:(tyop_2Elist_2Elist @ TA)]: (((c_2Eenumeral_2EOWL @ TA @ A @ B @ C) & (c_2Eenumeral_2EOWL @ TA @ A @ D @ E)) => (c_2Eenumeral_2EOWL @ TA @ A @ (c_2Epred__set_2EINTER @ TA @ B @ D) @ (c_2Eenumeral_2Esinter @ TA @ A @ C @ E)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eenumeral_2EOWL__INTER__THM)).
% 8.00/2.56  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:(tyop_2Etoto_2Etoto @ TA),B:(TA > $o),C:(tyop_2Elist_2Elist @ TA),D:(TA > $o),E:(tyop_2Elist_2Elist @ TA)]: (((c_2Eenumeral_2EOWL @ TA @ A @ B @ C) & (c_2Eenumeral_2EOWL @ TA @ A @ D @ E)) => (c_2Eenumeral_2EOWL @ TA @ A @ (c_2Epred__set_2EINTER @ TA @ B @ D) @ (c_2Eenumeral_2Esinter @ TA @ A @ C @ E))))))),inference(neg_conjecture,[status(cth)],[1])).
% 8.00/2.56  thf(5,plain,((~ (! [TA: $tType]: (! [A:(tyop_2Etoto_2Etoto @ TA),B:(TA > $o),C:(tyop_2Elist_2Elist @ TA),D:(TA > $o),E:(tyop_2Elist_2Elist @ TA)]: (((c_2Eenumeral_2EOWL @ TA @ A @ (B) @ C) & (c_2Eenumeral_2EOWL @ TA @ A @ (D) @ E)) => (c_2Eenumeral_2EOWL @ TA @ A @ (c_2Epred__set_2EINTER @ TA @ B @ D) @ (c_2Eenumeral_2Esinter @ TA @ A @ C @ E))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 8.00/2.56  thf(6,plain,((~ (c_2Eenumeral_2EOWL @ skt1 @ sk1 @ (c_2Epred__set_2EINTER @ skt1 @ sk2 @ sk4) @ (c_2Eenumeral_2Esinter @ skt1 @ sk1 @ sk3 @ sk5)))),inference(cnf,[status(esa)],[5])).
% 8.00/2.56  thf(3,axiom,((! [TA: $tType]: (! [A:(tyop_2Etoto_2Etoto @ TA),B:(tyop_2Elist_2Elist @ TA)]: ((c_2Eenumeral_2EOL @ TA @ A @ B) => (! [C:(tyop_2Elist_2Elist @ TA)]: ((c_2Eenumeral_2EOL @ TA @ A @ C) => ((c_2Eenumeral_2EOL @ TA @ A @ (c_2Eenumeral_2Esinter @ TA @ A @ B @ C)) & ((c_2Elist_2ELIST__TO__SET @ TA @ (c_2Eenumeral_2Esinter @ TA @ A @ B @ C)) = (c_2Epred__set_2EINTER @ TA @ (c_2Elist_2ELIST__TO__SET @ TA @ B) @ (c_2Elist_2ELIST__TO__SET @ TA @ C)))))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eenumeral_2EOL__INTER__IMP)).
% 8.00/2.56  thf(9,plain,((! [TA: $tType]: (! [A:(tyop_2Etoto_2Etoto @ TA),B:(tyop_2Elist_2Elist @ TA)]: ((c_2Eenumeral_2EOL @ TA @ A @ B) => (! [C:(tyop_2Elist_2Elist @ TA)]: ((c_2Eenumeral_2EOL @ TA @ A @ C) => ((c_2Eenumeral_2EOL @ TA @ A @ (c_2Eenumeral_2Esinter @ TA @ A @ B @ C)) & ((c_2Elist_2ELIST__TO__SET @ TA @ (c_2Eenumeral_2Esinter @ TA @ A @ B @ C)) = (c_2Epred__set_2EINTER @ TA @ (c_2Elist_2ELIST__TO__SET @ TA @ B) @ (c_2Elist_2ELIST__TO__SET @ TA @ C)))))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 8.00/2.56  thf(4,axiom,((! [TA: $tType]: (! [A:(tyop_2Etoto_2Etoto @ TA),B:(TA > $o),C:(tyop_2Elist_2Elist @ TA)]: ((c_2Eenumeral_2EOWL @ TA @ A @ B @ C) = ((B = (c_2Elist_2ELIST__TO__SET @ TA @ C)) & (c_2Eenumeral_2EOL @ TA @ A @ C)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eenumeral_2EOWL)).
% 8.00/2.56  thf(13,plain,((! [TA: $tType]: (! [A:(tyop_2Etoto_2Etoto @ TA),B:(TA > $o),C:(tyop_2Elist_2Elist @ TA)]: ((c_2Eenumeral_2EOWL @ TA @ A @ (B) @ C) = (((B) = (c_2Elist_2ELIST__TO__SET @ TA @ C)) & (c_2Eenumeral_2EOL @ TA @ A @ C)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 8.00/2.56  thf(7,plain,((c_2Eenumeral_2EOWL @ skt1 @ sk1 @ (sk4) @ sk5)),inference(cnf,[status(esa)],[5])).
% 8.00/2.56  thf(8,plain,((c_2Eenumeral_2EOWL @ skt1 @ sk1 @ (sk2) @ sk3)),inference(cnf,[status(esa)],[5])).
% 8.00/2.56  thf(30,plain,($false),inference(iprover,[status(thm)],[5,6,9,13,7,8])).
% 8.00/2.56  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 8.00/2.56  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
