%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:40:53 EDT 2019

% Result     : Theorem 8.39s
% Output     : CNFRefutation 8.39s
% Verified   : 
% Statistics : Number of formulae       :   26 (  32 expanded)
%              Number of leaves         :   15 (  17 expanded)
%              Depth                    :    5
%              Number of atoms          :  201 ( 333 expanded)
%              Number of equality atoms :   14 (  26 expanded)
%              Maximal formula depth    :   12 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Elist_2ELIST__TO__SET_type,type,(
    c_2Elist_2ELIST__TO__SET: 
      !>[TA: $tType] :
        ( ( tyop_2Elist_2Elist @ TA ) > TA > $o ) )).

thf(c_2Esorting_2EPERM_type,type,(
    c_2Esorting_2EPERM: 
      !>[TA: $tType] :
        ( ( tyop_2Elist_2Elist @ TA ) > ( tyop_2Elist_2Elist @ TA ) > $o ) )).

thf(c_2Esorting_2EQSORT_type,type,(
    c_2Esorting_2EQSORT: 
      !>[TA: $tType] :
        ( ( TA > TA > $o ) > ( tyop_2Elist_2Elist @ TA ) > ( tyop_2Elist_2Elist @ TA ) ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: ( tyop_2Elist_2Elist @ skt1 ) )).

thf(sk2_type,type,(
    sk2: ( tyop_2Elist_2Elist @ skt1 ) )).

thf(sk3_type,type,(
    sk3: skt1 > skt1 > $o )).

thf(sk4_type,type,(
    sk4: skt1 )).

thf(1,conjecture,(
    ! [TA: $tType,A: tyop_2Elist_2Elist @ TA,B: tyop_2Elist_2Elist @ TA,C: TA > TA > $o] :
      ( ( ( c_2Esorting_2EQSORT @ TA @ C @ B )
        = ( c_2Esorting_2EQSORT @ TA @ C @ A ) )
     => ! [D: TA] :
          ( ( c_2Ebool_2EIN @ TA @ D @ ( c_2Elist_2ELIST__TO__SET @ TA @ B ) )
          = ( c_2Ebool_2EIN @ TA @ D @ ( c_2Elist_2ELIST__TO__SET @ TA @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epatricia_2EQSORT__MEM__EQ)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: tyop_2Elist_2Elist @ TA,B: tyop_2Elist_2Elist @ TA,C: TA > TA > $o] :
        ( ( ( c_2Esorting_2EQSORT @ TA @ C @ B )
          = ( c_2Esorting_2EQSORT @ TA @ C @ A ) )
       => ! [D: TA] :
            ( ( c_2Ebool_2EIN @ TA @ D @ ( c_2Elist_2ELIST__TO__SET @ TA @ B ) )
            = ( c_2Ebool_2EIN @ TA @ D @ ( c_2Elist_2ELIST__TO__SET @ TA @ A ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(7,plain,(
    ~ ! [TA: $tType,A: tyop_2Elist_2Elist @ TA,B: tyop_2Elist_2Elist @ TA,C: TA > TA > $o] :
        ( ( ( c_2Esorting_2EQSORT @ TA @ C @ B )
          = ( c_2Esorting_2EQSORT @ TA @ C @ A ) )
       => ! [D: TA] :
            ( ( c_2Ebool_2EIN @ TA @ D @ ( c_2Elist_2ELIST__TO__SET @ TA @ B ) )
            = ( c_2Ebool_2EIN @ TA @ D @ ( c_2Elist_2ELIST__TO__SET @ TA @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(8,plain,(
    ( c_2Ebool_2EIN @ skt1 @ sk4 @ ( c_2Elist_2ELIST__TO__SET @ skt1 @ sk2 ) )
 != ( c_2Ebool_2EIN @ skt1 @ sk4 @ ( c_2Elist_2ELIST__TO__SET @ skt1 @ sk1 ) ) ),
    inference(cnf,[status(esa)],[7])).

thf(10,plain,(
    ( c_2Ebool_2EIN @ skt1 @ sk4 @ ( c_2Elist_2ELIST__TO__SET @ skt1 @ sk2 ) )
 != ( c_2Ebool_2EIN @ skt1 @ sk4 @ ( c_2Elist_2ELIST__TO__SET @ skt1 @ sk1 ) ) ),
    inference(lifteq,[status(thm)],[8])).

thf(4,axiom,(
    ! [TA: $tType,A: tyop_2Elist_2Elist @ TA,B: tyop_2Elist_2Elist @ TA] :
      ( ( c_2Esorting_2EPERM @ TA @ A @ B )
      = ( c_2Esorting_2EPERM @ TA @ B @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esorting_2EPERM__SYM)).

thf(14,plain,(
    ! [TA: $tType,A: tyop_2Elist_2Elist @ TA,B: tyop_2Elist_2Elist @ TA] :
      ( ( c_2Esorting_2EPERM @ TA @ A @ B )
      = ( c_2Esorting_2EPERM @ TA @ B @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(6,axiom,(
    ! [TA: $tType,A: TA > TA > $o,B: tyop_2Elist_2Elist @ TA] :
      ( c_2Esorting_2EPERM @ TA @ B @ ( c_2Esorting_2EQSORT @ TA @ A @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esorting_2EQSORT__PERM)).

thf(20,plain,(
    ! [TA: $tType,A: TA > TA > $o,B: tyop_2Elist_2Elist @ TA] :
      ( c_2Esorting_2EPERM @ TA @ B @ ( c_2Esorting_2EQSORT @ TA @ A @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(5,axiom,(
    ! [TA: $tType,A: tyop_2Elist_2Elist @ TA,B: tyop_2Elist_2Elist @ TA] :
      ( ( c_2Esorting_2EPERM @ TA @ A @ B )
     => ! [C: TA] :
          ( ( c_2Ebool_2EIN @ TA @ C @ ( c_2Elist_2ELIST__TO__SET @ TA @ A ) )
          = ( c_2Ebool_2EIN @ TA @ C @ ( c_2Elist_2ELIST__TO__SET @ TA @ B ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esorting_2EPERM__MEM__EQ)).

thf(17,plain,(
    ! [TA: $tType,A: tyop_2Elist_2Elist @ TA,B: tyop_2Elist_2Elist @ TA] :
      ( ( c_2Esorting_2EPERM @ TA @ A @ B )
     => ! [C: TA] :
          ( ( c_2Ebool_2EIN @ TA @ C @ ( c_2Elist_2ELIST__TO__SET @ TA @ A ) )
          = ( c_2Ebool_2EIN @ TA @ C @ ( c_2Elist_2ELIST__TO__SET @ TA @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(3,axiom,(
    ! [TA: $tType,A: tyop_2Elist_2Elist @ TA,B: tyop_2Elist_2Elist @ TA,C: tyop_2Elist_2Elist @ TA] :
      ( ( ( c_2Esorting_2EPERM @ TA @ A @ B )
        & ( c_2Esorting_2EPERM @ TA @ B @ C ) )
     => ( c_2Esorting_2EPERM @ TA @ A @ C ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esorting_2EPERM__TRANS)).

thf(12,plain,(
    ! [TA: $tType,A: tyop_2Elist_2Elist @ TA,B: tyop_2Elist_2Elist @ TA,C: tyop_2Elist_2Elist @ TA] :
      ( ( ( c_2Esorting_2EPERM @ TA @ A @ B )
        & ( c_2Esorting_2EPERM @ TA @ B @ C ) )
     => ( c_2Esorting_2EPERM @ TA @ A @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(9,plain,
    ( ( c_2Esorting_2EQSORT @ skt1 @ sk3 @ sk2 )
    = ( c_2Esorting_2EQSORT @ skt1 @ sk3 @ sk1 ) ),
    inference(cnf,[status(esa)],[7])).

thf(11,plain,
    ( ( c_2Esorting_2EQSORT @ skt1 @ sk3 @ sk2 )
    = ( c_2Esorting_2EQSORT @ skt1 @ sk3 @ sk1 ) ),
    inference(lifteq,[status(thm)],[9])).

thf(30,plain,(
    $false ),
    inference(iprover,[status(thm)],[10,14,20,17,12,7,11])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.03/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.03/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.03/0.13  % CPULimit   : 300
% 0.03/0.13  % DateTime   : Wed Jul 31 04:52:40 EDT 2019
% 0.03/0.13  % CPUTime    : 
% 3.86/1.53  % [INFO] 	 Running in sequential loop mode. 
% 4.54/1.71  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.91/1.78  % [INFO] 	 iprover registered as external prover. 
% 4.91/1.78  % [INFO] 	 e registered as external prover. 
% 4.91/1.78  % [INFO] 	 cvc4 registered as external prover. 
% 4.91/1.78  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.20/1.84  % [INFO] 	 Found a conjecture and 30 axioms. Running axiom selection ... 
% 5.20/1.88  % [INFO] 	 Axiom selection finished. Selected 4 axioms (removed 26 axioms). 
% 5.20/1.90  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 8.19/2.53  % [INFO] 	 Killing All external provers ... 
% 8.39/2.54  % Time passed: 2278ms
% 8.39/2.54  % Effective reasoning time: 1003ms
% 8.39/2.54  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 8.39/2.54  % Axioms used in derivation (4): thm_2Esorting_2EPERM__SYM, thm_2Esorting_2EQSORT__PERM, thm_2Esorting_2EPERM__MEM__EQ, thm_2Esorting_2EPERM__TRANS
% 8.39/2.54  % No. of inferences in proof: 16
% 8.39/2.54  % No. of processed clauses: 4
% 8.39/2.54  % No. of generated clauses: 6
% 8.39/2.54  % No. of forward subsumed clauses: 0
% 8.39/2.54  % No. of backward subsumed clauses: 0
% 8.39/2.54  % No. of ground rewrite rules in store: 1
% 8.39/2.54  % No. of non-ground rewrite rules in store: 0
% 8.39/2.54  % No. of positive (non-rewrite) units in store: 0
% 8.39/2.54  % No. of negative (non-rewrite) units in store: 3
% 8.39/2.54  % No. of choice functions detected: 0
% 8.39/2.54  % No. of choice instantiations: 0
% 8.39/2.54  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2278 ms resp. 1003 ms w/o parsing
% 8.39/2.57  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 8.39/2.57  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 8.39/2.57  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 8.39/2.57  thf(c_2Elist_2ELIST__TO__SET_type, type, c_2Elist_2ELIST__TO__SET: !>[TA: $tType]: ((tyop_2Elist_2Elist @ TA) > (TA > $o))).
% 8.39/2.57  thf(c_2Esorting_2EPERM_type, type, c_2Esorting_2EPERM: !>[TA: $tType]: ((tyop_2Elist_2Elist @ TA) > ((tyop_2Elist_2Elist @ TA) > $o))).
% 8.39/2.57  thf(c_2Esorting_2EQSORT_type, type, c_2Esorting_2EQSORT: !>[TA: $tType]: ((TA > (TA > $o)) > ((tyop_2Elist_2Elist @ TA) > (tyop_2Elist_2Elist @ TA)))).
% 8.39/2.57  thf(skt1_type, type, skt1: $tType).
% 8.39/2.57  thf(sk1_type, type, sk1: (tyop_2Elist_2Elist @ skt1)).
% 8.39/2.57  thf(sk2_type, type, sk2: (tyop_2Elist_2Elist @ skt1)).
% 8.39/2.57  thf(sk3_type, type, sk3: (skt1 > (skt1 > $o))).
% 8.39/2.57  thf(sk4_type, type, sk4: skt1).
% 8.39/2.57  thf(1,conjecture,((! [TA: $tType]: (! [A:(tyop_2Elist_2Elist @ TA),B:(tyop_2Elist_2Elist @ TA),C:(TA > (TA > $o))]: (((c_2Esorting_2EQSORT @ TA @ C @ B) = (c_2Esorting_2EQSORT @ TA @ C @ A)) => (! [D:TA]: ((c_2Ebool_2EIN @ TA @ D @ (c_2Elist_2ELIST__TO__SET @ TA @ B)) = (c_2Ebool_2EIN @ TA @ D @ (c_2Elist_2ELIST__TO__SET @ TA @ A)))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epatricia_2EQSORT__MEM__EQ)).
% 8.39/2.57  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:(tyop_2Elist_2Elist @ TA),B:(tyop_2Elist_2Elist @ TA),C:(TA > (TA > $o))]: (((c_2Esorting_2EQSORT @ TA @ C @ B) = (c_2Esorting_2EQSORT @ TA @ C @ A)) => (! [D:TA]: ((c_2Ebool_2EIN @ TA @ D @ (c_2Elist_2ELIST__TO__SET @ TA @ B)) = (c_2Ebool_2EIN @ TA @ D @ (c_2Elist_2ELIST__TO__SET @ TA @ A))))))))),inference(neg_conjecture,[status(cth)],[1])).
% 8.39/2.57  thf(7,plain,((~ (! [TA: $tType]: (! [A:(tyop_2Elist_2Elist @ TA),B:(tyop_2Elist_2Elist @ TA),C:(TA > (TA > $o))]: (((c_2Esorting_2EQSORT @ TA @ (C) @ B) = (c_2Esorting_2EQSORT @ TA @ (C) @ A)) => (! [D:TA]: ((c_2Ebool_2EIN @ TA @ D @ (c_2Elist_2ELIST__TO__SET @ TA @ B)) = (c_2Ebool_2EIN @ TA @ D @ (c_2Elist_2ELIST__TO__SET @ TA @ A))))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 8.39/2.57  thf(8,plain,((~ ((c_2Ebool_2EIN @ skt1 @ sk4 @ (c_2Elist_2ELIST__TO__SET @ skt1 @ sk2)) = (c_2Ebool_2EIN @ skt1 @ sk4 @ (c_2Elist_2ELIST__TO__SET @ skt1 @ sk1))))),inference(cnf,[status(esa)],[7])).
% 8.39/2.57  thf(10,plain,(((c_2Ebool_2EIN @ skt1 @ sk4 @ (c_2Elist_2ELIST__TO__SET @ skt1 @ sk2)) != (c_2Ebool_2EIN @ skt1 @ sk4 @ (c_2Elist_2ELIST__TO__SET @ skt1 @ sk1)))),inference(lifteq,[status(thm)],[8])).
% 8.39/2.57  thf(4,axiom,((! [TA: $tType]: (! [A:(tyop_2Elist_2Elist @ TA),B:(tyop_2Elist_2Elist @ TA)]: ((c_2Esorting_2EPERM @ TA @ A @ B) = (c_2Esorting_2EPERM @ TA @ B @ A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esorting_2EPERM__SYM)).
% 8.39/2.57  thf(14,plain,((! [TA: $tType]: (! [A:(tyop_2Elist_2Elist @ TA),B:(tyop_2Elist_2Elist @ TA)]: ((c_2Esorting_2EPERM @ TA @ A @ B) = (c_2Esorting_2EPERM @ TA @ B @ A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 8.39/2.57  thf(6,axiom,((! [TA: $tType]: (! [A:(TA > (TA > $o)),B:(tyop_2Elist_2Elist @ TA)]: (c_2Esorting_2EPERM @ TA @ B @ (c_2Esorting_2EQSORT @ TA @ A @ B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esorting_2EQSORT__PERM)).
% 8.39/2.57  thf(20,plain,((! [TA: $tType]: (! [A:(TA > (TA > $o)),B:(tyop_2Elist_2Elist @ TA)]: (c_2Esorting_2EPERM @ TA @ B @ (c_2Esorting_2EQSORT @ TA @ (A) @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 8.39/2.57  thf(5,axiom,((! [TA: $tType]: (! [A:(tyop_2Elist_2Elist @ TA),B:(tyop_2Elist_2Elist @ TA)]: ((c_2Esorting_2EPERM @ TA @ A @ B) => (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (c_2Elist_2ELIST__TO__SET @ TA @ A)) = (c_2Ebool_2EIN @ TA @ C @ (c_2Elist_2ELIST__TO__SET @ TA @ B)))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esorting_2EPERM__MEM__EQ)).
% 8.39/2.57  thf(17,plain,((! [TA: $tType]: (! [A:(tyop_2Elist_2Elist @ TA),B:(tyop_2Elist_2Elist @ TA)]: ((c_2Esorting_2EPERM @ TA @ A @ B) => (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (c_2Elist_2ELIST__TO__SET @ TA @ A)) = (c_2Ebool_2EIN @ TA @ C @ (c_2Elist_2ELIST__TO__SET @ TA @ B)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 8.39/2.57  thf(3,axiom,((! [TA: $tType]: (! [A:(tyop_2Elist_2Elist @ TA),B:(tyop_2Elist_2Elist @ TA),C:(tyop_2Elist_2Elist @ TA)]: (((c_2Esorting_2EPERM @ TA @ A @ B) & (c_2Esorting_2EPERM @ TA @ B @ C)) => (c_2Esorting_2EPERM @ TA @ A @ C))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esorting_2EPERM__TRANS)).
% 8.39/2.57  thf(12,plain,((! [TA: $tType]: (! [A:(tyop_2Elist_2Elist @ TA),B:(tyop_2Elist_2Elist @ TA),C:(tyop_2Elist_2Elist @ TA)]: (((c_2Esorting_2EPERM @ TA @ A @ B) & (c_2Esorting_2EPERM @ TA @ B @ C)) => (c_2Esorting_2EPERM @ TA @ A @ C))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 8.39/2.57  thf(9,plain,(((c_2Esorting_2EQSORT @ skt1 @ (sk3) @ sk2) = (c_2Esorting_2EQSORT @ skt1 @ (sk3) @ sk1))),inference(cnf,[status(esa)],[7])).
% 8.39/2.57  thf(11,plain,(((c_2Esorting_2EQSORT @ skt1 @ (sk3) @ sk2) = (c_2Esorting_2EQSORT @ skt1 @ (sk3) @ sk1))),inference(lifteq,[status(thm)],[9])).
% 8.39/2.57  thf(30,plain,($false),inference(iprover,[status(thm)],[10,14,20,17,12,7,11])).
% 8.39/2.57  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 8.39/2.57  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
