%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:41:28 EDT 2019

% Result     : Theorem 5.57s
% Output     : CNFRefutation 5.57s
% Verified   : 
% Statistics : Number of formulae       :   37 (  37 expanded)
%              Number of leaves         :   23 (  23 expanded)
%              Depth                    :    3
%              Number of atoms          :  174 ( 174 expanded)
%              Number of equality atoms :   39 (  39 expanded)
%              Maximal formula depth    :    8 (   5 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Ereal_2Ereal__lte_type,type,(
    c_2Ereal_2Ereal__lte: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > $o )).

thf(c_2Erealax_2Ereal__neg_type,type,(
    c_2Erealax_2Ereal__neg: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $o > $o )).

thf(1,conjecture,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Erealax_2Ereal__neg @ A )
        = ( c_2Erealax_2Ereal__neg @ B ) )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__EQ__NEG)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
        ( ( ( c_2Erealax_2Ereal__neg @ A )
          = ( c_2Erealax_2Ereal__neg @ B ) )
        = ( A = B ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(14,plain,(
    ~ ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
        ( ( ( c_2Erealax_2Ereal__neg @ A )
          = ( c_2Erealax_2Ereal__neg @ B ) )
        = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(4,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal_2Ereal__lte @ A @ B )
        & ( c_2Ereal_2Ereal__lte @ B @ A ) )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__ANTISYM)).

thf(20,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal_2Ereal__lte @ A @ B )
        & ( c_2Ereal_2Ereal__lte @ B @ A ) )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(8,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(38,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(11,axiom,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(53,plain,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(9,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(41,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(3,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__lte @ ( c_2Erealax_2Ereal__neg @ A ) @ ( c_2Erealax_2Ereal__neg @ B ) )
      = ( c_2Ereal_2Ereal__lte @ B @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__NEG)).

thf(17,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__lte @ ( c_2Erealax_2Ereal__neg @ A ) @ ( c_2Erealax_2Ereal__neg @ B ) )
      = ( c_2Ereal_2Ereal__lte @ B @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(10,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(44,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(7,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(35,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(13,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(67,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(6,axiom,(
    ! [A: $o,B: $o] :
      ( ( A
        & B )
      = ( B
        & A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ECONJ__SYM)).

thf(26,plain,(
    ! [A: $o,B: $o] :
      ( ( A
        & B )
      = ( B
        & A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(5,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( A = B )
      = ( B = A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__SYM__EQ)).

thf(23,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( A = B )
      = ( B = A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(12,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(58,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(76,plain,(
    $false ),
    inference(iprover,[status(thm)],[14,20,38,53,41,17,44,35,67,26,23,58])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.02/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.02/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.02/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.02/0.12  % CPULimit   : 300
% 0.02/0.12  % DateTime   : Wed Jul 31 06:06:06 EDT 2019
% 0.02/0.13  % CPUTime    : 
% 2.63/1.25  % [INFO] 	 Running in sequential loop mode. 
% 3.12/1.44  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.53/1.50  % [INFO] 	 iprover registered as external prover. 
% 3.53/1.50  % [INFO] 	 e registered as external prover. 
% 3.53/1.50  % [INFO] 	 cvc4 registered as external prover. 
% 3.53/1.51  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.88/1.55  % [INFO] 	 Found a conjecture and 11 axioms. Running axiom selection ... 
% 3.88/1.58  % [INFO] 	 Axiom selection finished. Selected 11 axioms (removed 0 axioms). 
% 3.88/1.62  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 5.57/2.11  % [INFO] 	 Killing All external provers ... 
% 5.57/2.12  % Time passed: 1851ms
% 5.57/2.12  % Effective reasoning time: 856ms
% 5.57/2.12  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 5.57/2.12  % Axioms used in derivation (11): logicdef_2E_3D, thm_2Ereal_2EREAL__LE__ANTISYM, logicdef_2E_5C_2F, thm_2Ereal_2EREAL__LE__NEG, quantdef_2E_21, logicdef_2E_3D_3D_3E, thm_2Ebool_2EEQ__SYM__EQ, logicdef_2E_2F_5C, logicdef_2E_7E, thm_2Ebool_2ECONJ__SYM, quantdef_2E_3F
% 5.57/2.12  % No. of inferences in proof: 26
% 5.57/2.12  % No. of processed clauses: 1
% 5.57/2.12  % No. of generated clauses: 0
% 5.57/2.12  % No. of forward subsumed clauses: 0
% 5.57/2.12  % No. of backward subsumed clauses: 0
% 5.57/2.12  % No. of ground rewrite rules in store: 1
% 5.57/2.12  % No. of non-ground rewrite rules in store: 0
% 5.57/2.12  % No. of positive (non-rewrite) units in store: 0
% 5.57/2.12  % No. of negative (non-rewrite) units in store: 0
% 5.57/2.12  % No. of choice functions detected: 0
% 5.57/2.12  % No. of choice instantiations: 0
% 5.57/2.12  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 1851 ms resp. 856 ms w/o parsing
% 5.57/2.15  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 5.57/2.15  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 5.57/2.15  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 5.57/2.15  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 5.57/2.15  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 5.57/2.15  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 5.57/2.15  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 5.57/2.15  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 5.57/2.15  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 5.57/2.15  thf(c_2Ereal_2Ereal__lte_type, type, c_2Ereal_2Ereal__lte: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > $o))).
% 5.57/2.15  thf(c_2Erealax_2Ereal__neg_type, type, c_2Erealax_2Ereal__neg: (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal)).
% 5.57/2.15  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 5.57/2.15  thf(1,conjecture,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: (((c_2Erealax_2Ereal__neg @ A) = (c_2Erealax_2Ereal__neg @ B)) = (A = B)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__EQ__NEG)).
% 5.57/2.15  thf(2,negated_conjecture,((~ (! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: (((c_2Erealax_2Ereal__neg @ A) = (c_2Erealax_2Ereal__neg @ B)) = (A = B))))),inference(neg_conjecture,[status(cth)],[1])).
% 5.57/2.15  thf(14,plain,((~ (! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: (((c_2Erealax_2Ereal__neg @ A) = (c_2Erealax_2Ereal__neg @ B)) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 5.57/2.15  thf(4,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: (((c_2Ereal_2Ereal__lte @ A @ B) & (c_2Ereal_2Ereal__lte @ B @ A)) = (A = B)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__ANTISYM)).
% 5.57/2.15  thf(20,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: (((c_2Ereal_2Ereal__lte @ A @ B) & (c_2Ereal_2Ereal__lte @ B @ A)) = (A = B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 5.57/2.15  thf(8,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).
% 5.57/2.15  thf(38,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 5.57/2.15  thf(11,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 5.57/2.15  thf(53,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 5.57/2.15  thf(9,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 5.57/2.15  thf(41,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 5.57/2.15  thf(3,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__lte @ (c_2Erealax_2Ereal__neg @ A) @ (c_2Erealax_2Ereal__neg @ B)) = (c_2Ereal_2Ereal__lte @ B @ A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__NEG)).
% 5.57/2.15  thf(17,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__lte @ (c_2Erealax_2Ereal__neg @ A) @ (c_2Erealax_2Ereal__neg @ B)) = (c_2Ereal_2Ereal__lte @ B @ A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 5.57/2.15  thf(10,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 5.57/2.15  thf(44,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 5.57/2.15  thf(7,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 5.57/2.15  thf(35,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 5.57/2.15  thf(13,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 5.57/2.15  thf(67,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 5.57/2.15  thf(6,axiom,((! [A:$o,B:$o]: (((A) & (B)) = ((B) & (A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ECONJ__SYM)).
% 5.57/2.15  thf(26,plain,((! [A:$o,B:$o]: (((A) & (B)) = ((B) & (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 5.57/2.15  thf(5,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((A = B) = (B = A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__SYM__EQ)).
% 5.57/2.15  thf(23,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((A = B) = (B = A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 5.57/2.15  thf(12,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 5.57/2.15  thf(58,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 5.57/2.15  thf(76,plain,($false),inference(iprover,[status(thm)],[14,20,38,53,41,17,44,35,67,26,23,58])).
% 5.57/2.15  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 5.57/2.15  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
