%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:41:37 EDT 2019

% Result     : Theorem 5.10s
% Output     : CNFRefutation 5.10s
% Verified   : 
% Statistics : Number of formulae       :   39 (  39 expanded)
%              Number of leaves         :   25 (  25 expanded)
%              Depth                    :    3
%              Number of atoms          :  144 ( 144 expanded)
%              Number of equality atoms :   25 (  25 expanded)
%              Maximal formula depth    :    9 (   5 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2ECOND_type,type,(
    c_2Ebool_2ECOND: 
      !>[TA: $tType] :
        ( $o > TA > TA > TA ) )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Ereal_2Emax_type,type,(
    c_2Ereal_2Emax: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Ereal_2Ereal__lte_type,type,(
    c_2Ereal_2Ereal__lte: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > $o )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $o > $o )).

thf(6,axiom,(
    c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(25,plain,(
    c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(1,conjecture,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Emax @ A @ A )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__MAX__REFL)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Erealax_2Ereal] :
        ( ( c_2Ereal_2Emax @ A @ A )
        = A ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(14,plain,(
    ~ ! [A: tyop_2Erealax_2Ereal] :
        ( ( c_2Ereal_2Emax @ A @ A )
        = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(4,axiom,(
    ! [TA: $tType,A: $o,B: TA] :
      ( ( c_2Ebool_2ECOND @ TA @ A @ B @ B )
      = B ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ECOND__ID)).

thf(20,plain,(
    ! [TA: $tType,A: $o,B: TA] :
      ( ( c_2Ebool_2ECOND @ TA @ A @ B @ B )
      = B ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(8,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(29,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(9,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(32,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(3,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Emax @ A @ B )
      = ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ A @ B ) @ B @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2Emax__def)).

thf(17,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Emax @ A @ B )
      = ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ A @ B ) @ B @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(11,axiom,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(44,plain,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(12,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(49,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(10,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(35,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(7,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(26,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(5,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( A = A )
      = c_2Ebool_2ET ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).

thf(23,plain,(
    ! [TA: $tType] : c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(13,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(58,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(67,plain,(
    $false ),
    inference(iprover,[status(thm)],[25,14,20,29,32,17,44,49,35,26,23,58])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.06/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.06/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.06/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.06/0.13  % CPULimit   : 300
% 0.06/0.13  % DateTime   : Wed Jul 31 06:17:41 EDT 2019
% 0.06/0.13  % CPUTime    : 
% 2.24/1.21  % [INFO] 	 Running in sequential loop mode. 
% 2.99/1.39  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.19/1.45  % [INFO] 	 iprover registered as external prover. 
% 3.19/1.45  % [INFO] 	 e registered as external prover. 
% 3.19/1.46  % [INFO] 	 cvc4 registered as external prover. 
% 3.19/1.46  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.28/1.50  % [INFO] 	 Found a conjecture and 11 axioms. Running axiom selection ... 
% 3.50/1.53  % [INFO] 	 Axiom selection finished. Selected 11 axioms (removed 0 axioms). 
% 3.62/1.56  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 5.06/2.06  % [INFO] 	 Killing All external provers ... 
% 5.06/2.06  % Time passed: 1796ms
% 5.06/2.06  % Effective reasoning time: 841ms
% 5.06/2.06  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 5.06/2.06  % Axioms used in derivation (11): logicdef_2E_3D, thm_2Ebool_2EREFL__CLAUSE, logicdef_2E_5C_2F, thm_2Ebool_2ECOND__ID, quantdef_2E_21, thm_2Ebool_2ETRUTH, logicdef_2E_3D_3D_3E, thm_2Ereal_2Emax__def, logicdef_2E_2F_5C, logicdef_2E_7E, quantdef_2E_3F
% 5.06/2.06  % No. of inferences in proof: 26
% 5.06/2.06  % No. of processed clauses: 1
% 5.06/2.06  % No. of generated clauses: 0
% 5.06/2.06  % No. of forward subsumed clauses: 0
% 5.06/2.06  % No. of backward subsumed clauses: 0
% 5.06/2.06  % No. of ground rewrite rules in store: 1
% 5.06/2.06  % No. of non-ground rewrite rules in store: 0
% 5.06/2.06  % No. of positive (non-rewrite) units in store: 0
% 5.06/2.06  % No. of negative (non-rewrite) units in store: 0
% 5.10/2.06  % No. of choice functions detected: 0
% 5.10/2.06  % No. of choice instantiations: 0
% 5.10/2.06  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 1796 ms resp. 841 ms w/o parsing
% 5.10/2.09  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 5.10/2.09  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 5.10/2.09  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 5.10/2.09  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 5.10/2.09  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 5.10/2.09  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 5.10/2.09  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 5.10/2.09  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 5.10/2.09  thf(c_2Ebool_2ECOND_type, type, c_2Ebool_2ECOND: !>[TA: $tType]: ($o > (TA > (TA > TA)))).
% 5.10/2.09  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 5.10/2.09  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 5.10/2.09  thf(c_2Ereal_2Emax_type, type, c_2Ereal_2Emax: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal))).
% 5.10/2.09  thf(c_2Ereal_2Ereal__lte_type, type, c_2Ereal_2Ereal__lte: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > $o))).
% 5.10/2.09  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 5.10/2.09  thf(6,axiom,(c_2Ebool_2ET),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).
% 5.10/2.09  thf(25,plain,(c_2Ebool_2ET),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 5.10/2.09  thf(1,conjecture,((! [A:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Emax @ A @ A) = A))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__MAX__REFL)).
% 5.10/2.09  thf(2,negated_conjecture,((~ (! [A:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Emax @ A @ A) = A)))),inference(neg_conjecture,[status(cth)],[1])).
% 5.10/2.09  thf(14,plain,((~ (! [A:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Emax @ A @ A) = A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 5.10/2.09  thf(4,axiom,((! [TA: $tType]: (! [A:$o,B:TA]: ((c_2Ebool_2ECOND @ TA @ A @ B @ B) = B)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ECOND__ID)).
% 5.10/2.09  thf(20,plain,((! [TA: $tType]: (! [A:$o,B:TA]: ((c_2Ebool_2ECOND @ TA @ A @ B @ B) = B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 5.10/2.09  thf(8,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).
% 5.10/2.09  thf(29,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 5.10/2.09  thf(9,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 5.10/2.09  thf(32,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 5.10/2.09  thf(3,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Emax @ A @ B) = (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ A @ B) @ B @ A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2Emax__def)).
% 5.10/2.09  thf(17,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Emax @ A @ B) = (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ A @ B) @ B @ A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 5.10/2.09  thf(11,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 5.10/2.09  thf(44,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 5.10/2.09  thf(12,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 5.10/2.09  thf(49,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 5.10/2.09  thf(10,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 5.10/2.09  thf(35,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 5.10/2.09  thf(7,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 5.10/2.09  thf(26,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 5.10/2.09  thf(5,axiom,((! [TA: $tType]: (! [A:TA]: ((A = A) = c_2Ebool_2ET)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).
% 5.10/2.09  thf(23,plain,((! [TA: $tType]: (c_2Ebool_2ET))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 5.10/2.09  thf(13,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 5.10/2.09  thf(58,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 5.10/2.09  thf(67,plain,($false),inference(iprover,[status(thm)],[25,14,20,29,32,17,44,49,35,26,23,58])).
% 5.10/2.09  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 5.10/2.09  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
