%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:41:46 EDT 2019

% Result     : Theorem 7.52s
% Output     : CNFRefutation 7.78s
% Verified   : 
% Statistics : Number of formulae       :   39 (  60 expanded)
%              Number of leaves         :   20 (  26 expanded)
%              Depth                    :    9
%              Number of atoms          :  297 ( 587 expanded)
%              Number of equality atoms :   31 (  51 expanded)
%              Maximal formula depth    :   16 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: 
      !>[TA: $tType,TB: $tType] :
        ( TA > TB > ( tyop_2Epair_2Eprod @ TA @ TB ) ) )).

thf(c_2Enum_2E0_type,type,(
    c_2Enum_2E0: tyop_2Enum_2Enum )).

thf(c_2Emetric_2Edist_type,type,(
    c_2Emetric_2Edist: 
      !>[TA: $tType] :
        ( ( tyop_2Emetric_2Emetric @ TA ) > ( tyop_2Epair_2Eprod @ TA @ TA ) > tyop_2Erealax_2Ereal ) )).

thf(c_2Emetric_2Eismet_type,type,(
    c_2Emetric_2Eismet: 
      !>[TA: $tType] :
        ( ( ( tyop_2Epair_2Eprod @ TA @ TA ) > tyop_2Erealax_2Ereal ) > $o ) )).

thf(c_2Erealax_2Ereal__add_type,type,(
    c_2Erealax_2Ereal__add: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Ereal_2Ereal__lte_type,type,(
    c_2Ereal_2Ereal__lte: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > $o )).

thf(c_2Ereal_2Ereal__of__num_type,type,(
    c_2Ereal_2Ereal__of__num: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: ( tyop_2Emetric_2Emetric @ skt1 ) )).

thf(sk2_type,type,(
    sk2: skt1 )).

thf(sk3_type,type,(
    sk3: skt1 )).

thf(1,conjecture,(
    ! [TA: $tType,A: tyop_2Emetric_2Emetric @ TA,B: TA,C: TA] :
      ( ( c_2Emetric_2Edist @ TA @ A @ ( c_2Epair_2E_2C @ TA @ TA @ B @ C ) )
      = ( c_2Emetric_2Edist @ TA @ A @ ( c_2Epair_2E_2C @ TA @ TA @ C @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Emetric_2EMETRIC__SYM)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: tyop_2Emetric_2Emetric @ TA,B: TA,C: TA] :
        ( ( c_2Emetric_2Edist @ TA @ A @ ( c_2Epair_2E_2C @ TA @ TA @ B @ C ) )
        = ( c_2Emetric_2Edist @ TA @ A @ ( c_2Epair_2E_2C @ TA @ TA @ C @ B ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(8,plain,(
    ~ ! [TA: $tType,A: tyop_2Emetric_2Emetric @ TA,B: TA,C: TA] :
        ( ( c_2Emetric_2Edist @ TA @ A @ ( c_2Epair_2E_2C @ TA @ TA @ B @ C ) )
        = ( c_2Emetric_2Edist @ TA @ A @ ( c_2Epair_2E_2C @ TA @ TA @ C @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(9,plain,(
    ( c_2Emetric_2Edist @ skt1 @ sk1 @ ( c_2Epair_2E_2C @ skt1 @ skt1 @ sk2 @ sk3 ) )
 != ( c_2Emetric_2Edist @ skt1 @ sk1 @ ( c_2Epair_2E_2C @ skt1 @ skt1 @ sk3 @ sk2 ) ) ),
    inference(cnf,[status(esa)],[8])).

thf(10,plain,(
    ( c_2Emetric_2Edist @ skt1 @ sk1 @ ( c_2Epair_2E_2C @ skt1 @ skt1 @ sk3 @ sk2 ) )
 != ( c_2Emetric_2Edist @ skt1 @ sk1 @ ( c_2Epair_2E_2C @ skt1 @ skt1 @ sk2 @ sk3 ) ) ),
    inference(lifteq,[status(thm)],[9])).

thf(7,axiom,(
    ! [TA: $tType,A: tyop_2Emetric_2Emetric @ TA,B: TA] :
      ( ( c_2Emetric_2Edist @ TA @ A @ ( c_2Epair_2E_2C @ TA @ TA @ B @ B ) )
      = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Emetric_2EMETRIC__SAME)).

thf(22,plain,(
    ! [TA: $tType,A: tyop_2Emetric_2Emetric @ TA,B: TA] :
      ( ( c_2Emetric_2Edist @ TA @ A @ ( c_2Epair_2E_2C @ TA @ TA @ B @ B ) )
      = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(23,plain,(
    ! [TA: $tType,B: TA,A: tyop_2Emetric_2Emetric @ TA] :
      ( ( c_2Emetric_2Edist @ TA @ A @ ( c_2Epair_2E_2C @ TA @ TA @ B @ B ) )
      = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) ),
    inference(cnf,[status(esa)],[22])).

thf(24,plain,(
    ! [TA: $tType,B: TA,A: tyop_2Emetric_2Emetric @ TA] :
      ( ( c_2Emetric_2Edist @ TA @ A @ ( c_2Epair_2E_2C @ TA @ TA @ B @ B ) )
      = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) ),
    inference(lifteq,[status(thm)],[23])).

thf(4,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add @ A @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__RID)).

thf(14,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add @ A @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(6,axiom,(
    ! [TA: $tType,A: tyop_2Emetric_2Emetric @ TA] :
      ( c_2Emetric_2Eismet @ TA @ ( c_2Emetric_2Edist @ TA @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Emetric_2EMETRIC__ISMET)).

thf(20,plain,(
    ! [TA: $tType,A: tyop_2Emetric_2Emetric @ TA] :
      ( c_2Emetric_2Eismet @ TA @ ( c_2Emetric_2Edist @ TA @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(25,plain,
    ( ( sk1 != sk1 )
    | ( ( c_2Epair_2E_2C @ skt1 @ skt1 @ sk3 @ sk2 )
     != ( c_2Epair_2E_2C @ skt1 @ skt1 @ sk2 @ sk3 ) ) ),
    inference(simp,[status(thm)],[10])).

thf(26,plain,(
    ( c_2Epair_2E_2C @ skt1 @ skt1 @ sk3 @ sk2 )
 != ( c_2Epair_2E_2C @ skt1 @ skt1 @ sk2 @ sk3 ) ),
    inference(simp,[status(thm)],[25])).

thf(27,plain,
    ( ( sk3 != sk2 )
    | ( sk3 != sk2 ) ),
    inference(simp,[status(thm)],[26])).

thf(28,plain,(
    sk3 != sk2 ),
    inference(simp,[status(thm)],[27])).

thf(21,plain,(
    ! [TA: $tType,A: tyop_2Emetric_2Emetric @ TA] :
      ( c_2Emetric_2Eismet @ TA @ ( c_2Emetric_2Edist @ TA @ A ) ) ),
    inference(cnf,[status(esa)],[20])).

thf(5,axiom,(
    ! [TA: $tType,A: ( tyop_2Epair_2Eprod @ TA @ TA ) > tyop_2Erealax_2Ereal] :
      ( ( c_2Emetric_2Eismet @ TA @ A )
      = ( ! [B: TA,C: TA] :
            ( ( ( A @ ( c_2Epair_2E_2C @ TA @ TA @ B @ C ) )
              = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) )
            = ( B = C ) )
        & ! [B: TA,C: TA,D: TA] :
            ( c_2Ereal_2Ereal__lte @ ( A @ ( c_2Epair_2E_2C @ TA @ TA @ C @ D ) ) @ ( c_2Erealax_2Ereal__add @ ( A @ ( c_2Epair_2E_2C @ TA @ TA @ B @ C ) ) @ ( A @ ( c_2Epair_2E_2C @ TA @ TA @ B @ D ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Emetric_2Eismet)).

thf(17,plain,(
    ! [TA: $tType,A: ( tyop_2Epair_2Eprod @ TA @ TA ) > tyop_2Erealax_2Ereal] :
      ( ( c_2Emetric_2Eismet @ TA @ A )
      = ( ! [B: TA,C: TA] :
            ( ( ( A @ ( c_2Epair_2E_2C @ TA @ TA @ B @ C ) )
              = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) )
            = ( B = C ) )
        & ! [B: TA,C: TA,D: TA] :
            ( c_2Ereal_2Ereal__lte @ ( A @ ( c_2Epair_2E_2C @ TA @ TA @ C @ D ) ) @ ( c_2Erealax_2Ereal__add @ ( A @ ( c_2Epair_2E_2C @ TA @ TA @ B @ C ) ) @ ( A @ ( c_2Epair_2E_2C @ TA @ TA @ B @ D ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(15,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add @ A @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) )
      = A ) ),
    inference(cnf,[status(esa)],[14])).

thf(16,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add @ A @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) )
      = A ) ),
    inference(lifteq,[status(thm)],[15])).

thf(3,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal_2Ereal__lte @ A @ B )
        & ( c_2Ereal_2Ereal__lte @ B @ A ) )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__ANTISYM)).

thf(11,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal_2Ereal__lte @ A @ B )
        & ( c_2Ereal_2Ereal__lte @ B @ A ) )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(45,plain,(
    $false ),
    inference(e,[status(thm)],[10,24,14,20,28,21,17,22,16,11,26,8])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.03/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.03/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.03/0.13  % CPULimit   : 300
% 0.03/0.13  % DateTime   : Wed Jul 31 06:34:13 EDT 2019
% 0.03/0.13  % CPUTime    : 
% 3.53/1.49  % [INFO] 	 Running in sequential loop mode. 
% 4.38/1.69  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.71/1.76  % [INFO] 	 iprover registered as external prover. 
% 4.71/1.76  % [INFO] 	 e registered as external prover. 
% 4.71/1.76  % [INFO] 	 cvc4 registered as external prover. 
% 4.71/1.77  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.96/1.82  % [INFO] 	 Found a conjecture and 16 axioms. Running axiom selection ... 
% 5.03/1.87  % [INFO] 	 Axiom selection finished. Selected 5 axioms (removed 11 axioms). 
% 5.03/1.90  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.52/2.70  % [INFO] 	 Killing All external provers ... 
% 7.52/2.71  % Time passed: 2438ms
% 7.52/2.71  % Effective reasoning time: 1208ms
% 7.52/2.71  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.52/2.71  % Axioms used in derivation (5): thm_2Ereal_2EREAL__LE__ANTISYM, thm_2Emetric_2EMETRIC__ISMET, thm_2Ereal_2EREAL__ADD__RID, thm_2Emetric_2EMETRIC__SAME, thm_2Emetric_2Eismet
% 7.52/2.71  % No. of inferences in proof: 25
% 7.52/2.71  % No. of processed clauses: 7
% 7.52/2.71  % No. of generated clauses: 3
% 7.52/2.71  % No. of forward subsumed clauses: 0
% 7.52/2.71  % No. of backward subsumed clauses: 0
% 7.52/2.71  % No. of ground rewrite rules in store: 0
% 7.52/2.71  % No. of non-ground rewrite rules in store: 3
% 7.52/2.71  % No. of positive (non-rewrite) units in store: 1
% 7.52/2.71  % No. of negative (non-rewrite) units in store: 3
% 7.52/2.71  % No. of choice functions detected: 0
% 7.52/2.71  % No. of choice instantiations: 0
% 7.52/2.71  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2438 ms resp. 1208 ms w/o parsing
% 7.78/2.74  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.78/2.74  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.78/2.74  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 7.78/2.74  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 7.78/2.74  thf(c_2Epair_2E_2C_type, type, c_2Epair_2E_2C: !>[TA: $tType,TB: $tType]: (TA > (TB > (tyop_2Epair_2Eprod @ TA @ TB)))).
% 7.78/2.74  thf(c_2Enum_2E0_type, type, c_2Enum_2E0: tyop_2Enum_2Enum).
% 7.78/2.74  thf(c_2Emetric_2Edist_type, type, c_2Emetric_2Edist: !>[TA: $tType]: ((tyop_2Emetric_2Emetric @ TA) > ((tyop_2Epair_2Eprod @ TA @ TA) > tyop_2Erealax_2Ereal))).
% 7.78/2.74  thf(c_2Emetric_2Eismet_type, type, c_2Emetric_2Eismet: !>[TA: $tType]: (((tyop_2Epair_2Eprod @ TA @ TA) > tyop_2Erealax_2Ereal) > $o)).
% 7.78/2.74  thf(c_2Erealax_2Ereal__add_type, type, c_2Erealax_2Ereal__add: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal))).
% 7.78/2.74  thf(c_2Ereal_2Ereal__lte_type, type, c_2Ereal_2Ereal__lte: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > $o))).
% 7.78/2.74  thf(c_2Ereal_2Ereal__of__num_type, type, c_2Ereal_2Ereal__of__num: (tyop_2Enum_2Enum > tyop_2Erealax_2Ereal)).
% 7.78/2.74  thf(skt1_type, type, skt1: $tType).
% 7.78/2.74  thf(sk1_type, type, sk1: (tyop_2Emetric_2Emetric @ skt1)).
% 7.78/2.74  thf(sk2_type, type, sk2: skt1).
% 7.78/2.74  thf(sk3_type, type, sk3: skt1).
% 7.78/2.74  thf(1,conjecture,((! [TA: $tType]: (! [A:(tyop_2Emetric_2Emetric @ TA),B:TA,C:TA]: ((c_2Emetric_2Edist @ TA @ A @ (c_2Epair_2E_2C @ TA @ TA @ B @ C)) = (c_2Emetric_2Edist @ TA @ A @ (c_2Epair_2E_2C @ TA @ TA @ C @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Emetric_2EMETRIC__SYM)).
% 7.78/2.74  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:(tyop_2Emetric_2Emetric @ TA),B:TA,C:TA]: ((c_2Emetric_2Edist @ TA @ A @ (c_2Epair_2E_2C @ TA @ TA @ B @ C)) = (c_2Emetric_2Edist @ TA @ A @ (c_2Epair_2E_2C @ TA @ TA @ C @ B))))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.78/2.74  thf(8,plain,((~ (! [TA: $tType]: (! [A:(tyop_2Emetric_2Emetric @ TA),B:TA,C:TA]: ((c_2Emetric_2Edist @ TA @ A @ (c_2Epair_2E_2C @ TA @ TA @ B @ C)) = (c_2Emetric_2Edist @ TA @ A @ (c_2Epair_2E_2C @ TA @ TA @ C @ B))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.78/2.74  thf(9,plain,((~ ((c_2Emetric_2Edist @ skt1 @ sk1 @ (c_2Epair_2E_2C @ skt1 @ skt1 @ sk2 @ sk3)) = (c_2Emetric_2Edist @ skt1 @ sk1 @ (c_2Epair_2E_2C @ skt1 @ skt1 @ sk3 @ sk2))))),inference(cnf,[status(esa)],[8])).
% 7.78/2.74  thf(10,plain,(((c_2Emetric_2Edist @ skt1 @ sk1 @ (c_2Epair_2E_2C @ skt1 @ skt1 @ sk3 @ sk2)) != (c_2Emetric_2Edist @ skt1 @ sk1 @ (c_2Epair_2E_2C @ skt1 @ skt1 @ sk2 @ sk3)))),inference(lifteq,[status(thm)],[9])).
% 7.78/2.74  thf(7,axiom,((! [TA: $tType]: (! [A:(tyop_2Emetric_2Emetric @ TA),B:TA]: ((c_2Emetric_2Edist @ TA @ A @ (c_2Epair_2E_2C @ TA @ TA @ B @ B)) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Emetric_2EMETRIC__SAME)).
% 7.78/2.74  thf(22,plain,((! [TA: $tType]: (! [A:(tyop_2Emetric_2Emetric @ TA),B:TA]: ((c_2Emetric_2Edist @ TA @ A @ (c_2Epair_2E_2C @ TA @ TA @ B @ B)) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 7.78/2.74  thf(23,plain,(! [TA:$tType,B:TA,A:(tyop_2Emetric_2Emetric @ TA)] : (((c_2Emetric_2Edist @ TA @ A @ (c_2Epair_2E_2C @ TA @ TA @ B @ B)) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)))),inference(cnf,[status(esa)],[22])).
% 7.78/2.74  thf(24,plain,(! [TA:$tType,B:TA,A:(tyop_2Emetric_2Emetric @ TA)] : (((c_2Emetric_2Edist @ TA @ A @ (c_2Epair_2E_2C @ TA @ TA @ B @ B)) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)))),inference(lifteq,[status(thm)],[23])).
% 7.78/2.74  thf(4,axiom,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__add @ A @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)) = A))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__RID)).
% 7.78/2.74  thf(14,plain,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__add @ A @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)) = A))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 7.78/2.74  thf(6,axiom,((! [TA: $tType]: (! [A:(tyop_2Emetric_2Emetric @ TA)]: (c_2Emetric_2Eismet @ TA @ (c_2Emetric_2Edist @ TA @ A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Emetric_2EMETRIC__ISMET)).
% 7.78/2.74  thf(20,plain,((! [TA: $tType]: (! [A:(tyop_2Emetric_2Emetric @ TA)]: (c_2Emetric_2Eismet @ TA @ (c_2Emetric_2Edist @ TA @ A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 7.78/2.74  thf(25,plain,((sk1 != sk1) | ((c_2Epair_2E_2C @ skt1 @ skt1 @ sk3 @ sk2) != (c_2Epair_2E_2C @ skt1 @ skt1 @ sk2 @ sk3))),inference(simp,[status(thm)],[10])).
% 7.78/2.74  thf(26,plain,(((c_2Epair_2E_2C @ skt1 @ skt1 @ sk3 @ sk2) != (c_2Epair_2E_2C @ skt1 @ skt1 @ sk2 @ sk3))),inference(simp,[status(thm)],[25])).
% 7.78/2.74  thf(27,plain,((sk3 != sk2) | (sk3 != sk2)),inference(simp,[status(thm)],[26])).
% 7.78/2.74  thf(28,plain,((sk3 != sk2)),inference(simp,[status(thm)],[27])).
% 7.78/2.74  thf(21,plain,(! [TA:$tType,A:(tyop_2Emetric_2Emetric @ TA)] : ((c_2Emetric_2Eismet @ TA @ (c_2Emetric_2Edist @ TA @ A)))),inference(cnf,[status(esa)],[20])).
% 7.78/2.74  thf(5,axiom,((! [TA: $tType]: (! [A:((tyop_2Epair_2Eprod @ TA @ TA) > tyop_2Erealax_2Ereal)]: ((c_2Emetric_2Eismet @ TA @ A) = (! [B:TA,C:TA]: (((A @ (c_2Epair_2E_2C @ TA @ TA @ B @ C)) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)) = (B = C)) & ! [B:TA,C:TA,D:TA]: (c_2Ereal_2Ereal__lte @ (A @ (c_2Epair_2E_2C @ TA @ TA @ C @ D)) @ (c_2Erealax_2Ereal__add @ (A @ (c_2Epair_2E_2C @ TA @ TA @ B @ C)) @ (A @ (c_2Epair_2E_2C @ TA @ TA @ B @ D))))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Emetric_2Eismet)).
% 7.78/2.74  thf(17,plain,((! [TA: $tType]: (! [A:((tyop_2Epair_2Eprod @ TA @ TA) > tyop_2Erealax_2Ereal)]: ((c_2Emetric_2Eismet @ TA @ (A)) = (! [B:TA,C:TA]: (((A @ (c_2Epair_2E_2C @ TA @ TA @ B @ C)) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)) = (B = C)) & ! [B:TA,C:TA,D:TA]: (c_2Ereal_2Ereal__lte @ (A @ (c_2Epair_2E_2C @ TA @ TA @ C @ D)) @ (c_2Erealax_2Ereal__add @ (A @ (c_2Epair_2E_2C @ TA @ TA @ B @ C)) @ (A @ (c_2Epair_2E_2C @ TA @ TA @ B @ D))))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 7.78/2.74  thf(15,plain,(! [A:tyop_2Erealax_2Ereal] : (((c_2Erealax_2Ereal__add @ A @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)) = A))),inference(cnf,[status(esa)],[14])).
% 7.78/2.74  thf(16,plain,(! [A:tyop_2Erealax_2Ereal] : (((c_2Erealax_2Ereal__add @ A @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)) = A))),inference(lifteq,[status(thm)],[15])).
% 7.78/2.74  thf(3,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: (((c_2Ereal_2Ereal__lte @ A @ B) & (c_2Ereal_2Ereal__lte @ B @ A)) = (A = B)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__ANTISYM)).
% 7.78/2.74  thf(11,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: (((c_2Ereal_2Ereal__lte @ A @ B) & (c_2Ereal_2Ereal__lte @ B @ A)) = (A = B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.78/2.74  thf(45,plain,($false),inference(e,[status(thm)],[10,24,14,20,28,21,17,22,16,11,26,8])).
% 7.78/2.74  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.78/2.74  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
