%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:41:52 EDT 2019

% Result     : Theorem 6.67s
% Output     : CNFRefutation 6.87s
% Verified   : 
% Statistics : Number of formulae       :   46 (  46 expanded)
%              Number of leaves         :   30 (  30 expanded)
%              Depth                    :    3
%              Number of atoms          :  289 ( 289 expanded)
%              Number of equality atoms :   59 (  59 expanded)
%              Maximal formula depth    :   16 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Efrac_2Efrac_type,type,(
    tyop_2Efrac_2Efrac: $tType )).

thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Erat_2Erat_type,type,(
    tyop_2Erat_2Erat: $tType )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $o )).

thf(c_2Equotient_2EQUOTIENT_type,type,(
    c_2Equotient_2EQUOTIENT: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > TA > $o ) > ( TA > TB ) > ( TB > TA ) > $o ) )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Erat_2Eabs__rat_type,type,(
    c_2Erat_2Eabs__rat: tyop_2Efrac_2Efrac > tyop_2Erat_2Erat )).

thf(c_2Erat_2Erat__equiv_type,type,(
    c_2Erat_2Erat__equiv: tyop_2Efrac_2Efrac > tyop_2Efrac_2Efrac > $o )).

thf(c_2Erat_2Erep__rat_type,type,(
    c_2Erat_2Erep__rat: tyop_2Erat_2Erat > tyop_2Efrac_2Efrac )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $o > $o )).

thf(6,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).

thf(25,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(4,axiom,(
    ! [A: tyop_2Efrac_2Efrac] :
      ( c_2Erat_2Erat__equiv @ A @ A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erat_2ERAT__EQUIV__REF)).

thf(20,plain,(
    ! [A: tyop_2Efrac_2Efrac] :
      ( c_2Erat_2Erat__equiv @ A @ A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(9,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(41,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(15,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(73,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(7,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
          & A )
        = A )
      & ( ( A
          & c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF
          & A )
        = c_2Ebool_2EF )
      & ( ( A
          & c_2Ebool_2EF )
        = c_2Ebool_2EF )
      & ( ( A
          & A )
        = A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EAND__CLAUSES)).

thf(34,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
          & A )
        = A )
      & ( ( A
          & c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF
          & A )
        = c_2Ebool_2EF )
      & ( ( A
          & c_2Ebool_2EF )
        = c_2Ebool_2EF ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(14,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(64,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(5,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > TA > $o,B: TA > TB,C: TB > TA] :
      ( ( c_2Equotient_2EQUOTIENT @ TA @ TB @ A @ B @ C )
      = ( ! [D: TB] :
            ( ( B @ ( C @ D ) )
            = D )
        & ! [D: TB] :
            ( A @ ( C @ D ) @ ( C @ D ) )
        & ! [D: TA,E: TA] :
            ( ( A @ D @ E )
            = ( ( A @ D @ D )
              & ( A @ E @ E )
              & ( ( B @ D )
                = ( B @ E ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Equotient_2EQUOTIENT__def)).

thf(22,plain,(
    ! [TA: $tType,TB: $tType,A: TA > TA > $o,B: TA > TB,C: TB > TA] :
      ( ( c_2Equotient_2EQUOTIENT @ TA @ TB @ A @ B @ C )
      = ( ! [D: TB] :
            ( ( B @ ( C @ D ) )
            = D )
        & ! [D: TB] :
            ( A @ ( C @ D ) @ ( C @ D ) )
        & ! [D: TA,E: TA] :
            ( ( A @ D @ E )
            = ( ( A @ D @ D )
              & ( A @ E @ E )
              & ( ( B @ D )
                = ( B @ E ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(10,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(44,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(13,axiom,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(59,plain,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(8,axiom,(
    ! [TA: $tType,A: $o] :
      ( ( ! [B: TA] : A )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EFORALL__SIMP)).

thf(39,plain,(
    ! [TA: $tType] : $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(12,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(50,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(1,conjecture,
    ( ! [A: tyop_2Erat_2Erat] :
        ( ( c_2Erat_2Eabs__rat @ ( c_2Erat_2Erep__rat @ A ) )
        = A )
    & ! [A: tyop_2Efrac_2Efrac,B: tyop_2Efrac_2Efrac] :
        ( ( c_2Erat_2Erat__equiv @ A @ B )
        = ( ( c_2Erat_2Eabs__rat @ A )
          = ( c_2Erat_2Eabs__rat @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erat_2Erat__type__thm)).

thf(2,negated_conjecture,(
    ~ ( ! [A: tyop_2Erat_2Erat] :
          ( ( c_2Erat_2Eabs__rat @ ( c_2Erat_2Erep__rat @ A ) )
          = A )
      & ! [A: tyop_2Efrac_2Efrac,B: tyop_2Efrac_2Efrac] :
          ( ( c_2Erat_2Erat__equiv @ A @ B )
          = ( ( c_2Erat_2Eabs__rat @ A )
            = ( c_2Erat_2Eabs__rat @ B ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(16,plain,(
    ~ ( ! [A: tyop_2Erat_2Erat] :
          ( ( c_2Erat_2Eabs__rat @ ( c_2Erat_2Erep__rat @ A ) )
          = A )
      & ! [A: tyop_2Efrac_2Efrac,B: tyop_2Efrac_2Efrac] :
          ( ( c_2Erat_2Erat__equiv @ A @ B )
          = ( ( c_2Erat_2Eabs__rat @ A )
            = ( c_2Erat_2Eabs__rat @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    c_2Equotient_2EQUOTIENT @ tyop_2Efrac_2Efrac @ tyop_2Erat_2Erat @ c_2Erat_2Erat__equiv @ c_2Erat_2Eabs__rat @ c_2Erat_2Erep__rat ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erat_2Erat__def)).

thf(19,plain,(
    c_2Equotient_2EQUOTIENT @ tyop_2Efrac_2Efrac @ tyop_2Erat_2Erat @ c_2Erat_2Erat__equiv @ c_2Erat_2Eabs__rat @ c_2Erat_2Erep__rat ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(11,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(47,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(82,plain,(
    $false ),
    inference(cvc4,[status(thm)],[25,20,41,73,34,64,22,44,59,39,50,16,19,47])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.06/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.06/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.06/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.06/0.13  % CPULimit   : 300
% 0.06/0.13  % DateTime   : Wed Jul 31 06:47:15 EDT 2019
% 0.06/0.13  % CPUTime    : 
% 2.89/1.25  % [INFO] 	 Running in sequential loop mode. 
% 3.74/1.44  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.89/1.50  % [INFO] 	 iprover registered as external prover. 
% 3.89/1.50  % [INFO] 	 e registered as external prover. 
% 3.89/1.50  % [INFO] 	 cvc4 registered as external prover. 
% 3.89/1.51  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.18/1.56  % [INFO] 	 Found a conjecture and 13 axioms. Running axiom selection ... 
% 4.34/1.60  % [INFO] 	 Axiom selection finished. Selected 13 axioms (removed 0 axioms). 
% 4.69/1.65  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.67/2.31  % [INFO] 	 Killing All external provers ... 
% 6.67/2.31  % Time passed: 2050ms
% 6.67/2.31  % Effective reasoning time: 1059ms
% 6.67/2.32  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.67/2.32  % Axioms used in derivation (13): logicdef_2E_3D, thm_2Ebool_2EEQ__CLAUSES, thm_2Erat_2ERAT__EQUIV__REF, logicdef_2E_5C_2F, thm_2Equotient_2EQUOTIENT__def, quantdef_2E_21, logicdef_2E_3D_3D_3E, thm_2Ebool_2EFORALL__SIMP, thm_2Erat_2Erat__def, thm_2Ebool_2EAND__CLAUSES, logicdef_2E_2F_5C, logicdef_2E_7E, quantdef_2E_3F
% 6.67/2.32  % No. of inferences in proof: 30
% 6.67/2.32  % No. of processed clauses: 2
% 6.67/2.32  % No. of generated clauses: 0
% 6.67/2.32  % No. of forward subsumed clauses: 0
% 6.67/2.32  % No. of backward subsumed clauses: 0
% 6.67/2.32  % No. of ground rewrite rules in store: 2
% 6.67/2.32  % No. of non-ground rewrite rules in store: 0
% 6.67/2.32  % No. of positive (non-rewrite) units in store: 0
% 6.67/2.32  % No. of negative (non-rewrite) units in store: 0
% 6.67/2.32  % No. of choice functions detected: 0
% 6.67/2.32  % No. of choice instantiations: 0
% 6.67/2.32  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2050 ms resp. 1059 ms w/o parsing
% 6.87/2.35  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.87/2.35  thf(tyop_2Efrac_2Efrac_type, type, tyop_2Efrac_2Efrac: $tType).
% 6.87/2.35  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.87/2.35  thf(tyop_2Erat_2Erat_type, type, tyop_2Erat_2Erat: $tType).
% 6.87/2.35  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 6.87/2.35  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 6.87/2.35  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 6.87/2.35  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 6.87/2.35  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 6.87/2.35  thf(c_2Ebool_2EF_type, type, c_2Ebool_2EF: $o).
% 6.87/2.35  thf(c_2Equotient_2EQUOTIENT_type, type, c_2Equotient_2EQUOTIENT: !>[TA: $tType,TB: $tType]: ((TA > (TA > $o)) > ((TA > TB) > ((TB > TA) > $o)))).
% 6.87/2.35  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 6.87/2.35  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 6.87/2.35  thf(c_2Erat_2Eabs__rat_type, type, c_2Erat_2Eabs__rat: (tyop_2Efrac_2Efrac > tyop_2Erat_2Erat)).
% 6.87/2.35  thf(c_2Erat_2Erat__equiv_type, type, c_2Erat_2Erat__equiv: (tyop_2Efrac_2Efrac > (tyop_2Efrac_2Efrac > $o))).
% 6.87/2.35  thf(c_2Erat_2Erep__rat_type, type, c_2Erat_2Erep__rat: (tyop_2Erat_2Erat > tyop_2Efrac_2Efrac)).
% 6.87/2.35  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 6.87/2.35  thf(6,axiom,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).
% 6.87/2.35  thf(25,plain,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 6.87/2.35  thf(4,axiom,((! [A:tyop_2Efrac_2Efrac]: (c_2Erat_2Erat__equiv @ A @ A))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erat_2ERAT__EQUIV__REF)).
% 6.87/2.35  thf(20,plain,((! [A:tyop_2Efrac_2Efrac]: (c_2Erat_2Erat__equiv @ A @ A))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 6.87/2.35  thf(9,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 6.87/2.35  thf(41,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 6.87/2.35  thf(15,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 6.87/2.35  thf(73,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).
% 6.87/2.35  thf(7,axiom,((! [A:$o]: ((((c_2Ebool_2ET) & (A)) = A) & (((A) & (c_2Ebool_2ET)) = A) & (((c_2Ebool_2EF) & (A)) = c_2Ebool_2EF) & (((A) & (c_2Ebool_2EF)) = c_2Ebool_2EF) & (((A) & (A)) = A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EAND__CLAUSES)).
% 6.87/2.35  thf(34,plain,((! [A:$o]: ((((c_2Ebool_2ET) & (A)) = A) & (((A) & (c_2Ebool_2ET)) = A) & (((c_2Ebool_2EF) & (A)) = c_2Ebool_2EF) & (((A) & (c_2Ebool_2EF)) = c_2Ebool_2EF)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 6.87/2.35  thf(14,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 6.87/2.35  thf(64,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).
% 6.87/2.35  thf(5,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TA > $o)),B:(TA > TB),C:(TB > TA)]: ((c_2Equotient_2EQUOTIENT @ TA @ TB @ A @ B @ C) = (! [D:TB]: ((B @ (C @ D)) = D) & ! [D:TB]: (A @ (C @ D) @ (C @ D)) & ! [D:TA,E:TA]: ((A @ D @ E) = ((A @ D @ D) & (A @ E @ E) & ((B @ D) = (B @ E))))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Equotient_2EQUOTIENT__def)).
% 6.87/2.35  thf(22,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TA > $o)),B:(TA > TB),C:(TB > TA)]: ((c_2Equotient_2EQUOTIENT @ TA @ TB @ (A) @ (B) @ (C)) = (! [D:TB]: ((B @ (C @ D)) = D) & ! [D:TB]: (A @ (C @ D) @ (C @ D)) & ! [D:TA,E:TA]: ((A @ D @ E) = ((A @ D @ D) & (A @ E @ E) & ((B @ D) = (B @ E))))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 6.87/2.35  thf(10,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).
% 6.87/2.35  thf(44,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 6.87/2.35  thf(13,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 6.87/2.35  thf(59,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 6.87/2.35  thf(8,axiom,((! [TA: $tType]: (! [A:$o]: ((! [B:TA]: (A)) = A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EFORALL__SIMP)).
% 6.87/2.35  thf(39,plain,((! [TA: $tType]: ($true))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 6.87/2.35  thf(12,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 6.87/2.35  thf(50,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 6.87/2.35  thf(1,conjecture,((! [A:tyop_2Erat_2Erat]: ((c_2Erat_2Eabs__rat @ (c_2Erat_2Erep__rat @ A)) = A) & ! [A:tyop_2Efrac_2Efrac,B:tyop_2Efrac_2Efrac]: ((c_2Erat_2Erat__equiv @ A @ B) = ((c_2Erat_2Eabs__rat @ A) = (c_2Erat_2Eabs__rat @ B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erat_2Erat__type__thm)).
% 6.87/2.35  thf(2,negated_conjecture,((~ (! [A:tyop_2Erat_2Erat]: ((c_2Erat_2Eabs__rat @ (c_2Erat_2Erep__rat @ A)) = A) & ! [A:tyop_2Efrac_2Efrac,B:tyop_2Efrac_2Efrac]: ((c_2Erat_2Erat__equiv @ A @ B) = ((c_2Erat_2Eabs__rat @ A) = (c_2Erat_2Eabs__rat @ B)))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.87/2.35  thf(16,plain,((~ (! [A:tyop_2Erat_2Erat]: ((c_2Erat_2Eabs__rat @ (c_2Erat_2Erep__rat @ A)) = A) & ! [A:tyop_2Efrac_2Efrac,B:tyop_2Efrac_2Efrac]: ((c_2Erat_2Erat__equiv @ A @ B) = ((c_2Erat_2Eabs__rat @ A) = (c_2Erat_2Eabs__rat @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.87/2.35  thf(3,axiom,((c_2Equotient_2EQUOTIENT @ tyop_2Efrac_2Efrac @ tyop_2Erat_2Erat @ c_2Erat_2Erat__equiv @ c_2Erat_2Eabs__rat @ c_2Erat_2Erep__rat)),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erat_2Erat__def)).
% 6.87/2.35  thf(19,plain,((c_2Equotient_2EQUOTIENT @ tyop_2Efrac_2Efrac @ tyop_2Erat_2Erat @ (c_2Erat_2Erat__equiv) @ (c_2Erat_2Eabs__rat) @ (c_2Erat_2Erep__rat))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.87/2.35  thf(11,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 6.87/2.35  thf(47,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 6.87/2.35  thf(82,plain,($false),inference(cvc4,[status(thm)],[25,20,41,73,34,64,22,44,59,39,50,16,19,47])).
% 6.87/2.35  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.87/2.35  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
