%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:41:59 EDT 2019

% Result     : Theorem 4.99s
% Output     : CNFRefutation 4.99s
% Verified   : 
% Statistics : Number of formulae       :   39 (  39 expanded)
%              Number of leaves         :   25 (  25 expanded)
%              Depth                    :    3
%              Number of atoms          :  158 ( 158 expanded)
%              Number of equality atoms :   31 (  31 expanded)
%              Maximal formula depth    :    8 (   5 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Erat_2Erat_type,type,(
    tyop_2Erat_2Erat: $tType )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $o )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Erat_2Erat__leq_type,type,(
    c_2Erat_2Erat__leq: tyop_2Erat_2Erat > tyop_2Erat_2Erat > $o )).

thf(c_2Erat_2Erat__les_type,type,(
    c_2Erat_2Erat__les: tyop_2Erat_2Erat > tyop_2Erat_2Erat > $o )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $o > $o )).

thf(1,conjecture,(
    ! [A: tyop_2Erat_2Erat] :
      ( c_2Erat_2Erat__leq @ A @ A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erat_2ERAT__LEQ__REF)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Erat_2Erat] :
        ( c_2Erat_2Erat__leq @ A @ A ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(14,plain,(
    ~ ! [A: tyop_2Erat_2Erat] :
        ( c_2Erat_2Erat__leq @ A @ A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(5,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
          | A )
        = c_2Ebool_2ET )
      & ( ( A
          | c_2Ebool_2ET )
        = c_2Ebool_2ET )
      & ( ( c_2Ebool_2EF
          | A )
        = A )
      & ( ( A
          | c_2Ebool_2EF )
        = A )
      & ( ( A
          | A )
        = A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EOR__CLAUSES)).

thf(21,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
          | A )
        = c_2Ebool_2ET )
      & ( ( A
          | c_2Ebool_2ET )
        = c_2Ebool_2ET )
      & ( ( c_2Ebool_2EF
          | A )
        = A )
      & ( ( A
          | c_2Ebool_2EF )
        = A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(9,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(33,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(11,axiom,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(45,plain,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(13,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(59,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(7,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(27,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(12,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(50,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(3,axiom,(
    ! [A: tyop_2Erat_2Erat,B: tyop_2Erat_2Erat] :
      ( ( c_2Erat_2Erat__leq @ A @ B )
      = ( ( c_2Erat_2Erat__les @ A @ B )
        | ( A = B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erat_2Erat__leq__def)).

thf(16,plain,(
    ! [A: tyop_2Erat_2Erat,B: tyop_2Erat_2Erat] :
      ( ( c_2Erat_2Erat__leq @ A @ B )
      = ( ( c_2Erat_2Erat__les @ A @ B )
        | ( A = B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(6,axiom,(
    c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(26,plain,(
    c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(10,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(36,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(8,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(30,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(4,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( A = A )
      = c_2Ebool_2ET ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).

thf(19,plain,(
    ! [TA: $tType] : c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(68,plain,(
    $false ),
    inference(iprover,[status(thm)],[14,21,33,45,59,27,50,16,26,36,30,19])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.03/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.03/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.03/0.13  % CPULimit   : 300
% 0.03/0.13  % DateTime   : Wed Jul 31 06:55:19 EDT 2019
% 0.03/0.13  % CPUTime    : 
% 2.26/1.12  % [INFO] 	 Running in sequential loop mode. 
% 2.97/1.30  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.17/1.36  % [INFO] 	 iprover registered as external prover. 
% 3.33/1.36  % [INFO] 	 e registered as external prover. 
% 3.33/1.36  % [INFO] 	 cvc4 registered as external prover. 
% 3.33/1.37  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.33/1.41  % [INFO] 	 Found a conjecture and 11 axioms. Running axiom selection ... 
% 3.33/1.44  % [INFO] 	 Axiom selection finished. Selected 11 axioms (removed 0 axioms). 
% 3.66/1.47  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 4.99/1.95  % [INFO] 	 Killing All external provers ... 
% 4.99/1.95  % Time passed: 1684ms
% 4.99/1.95  % Effective reasoning time: 823ms
% 4.99/1.95  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 4.99/1.95  % Axioms used in derivation (11): thm_2Erat_2Erat__leq__def, logicdef_2E_3D, thm_2Ebool_2EREFL__CLAUSE, logicdef_2E_5C_2F, quantdef_2E_21, thm_2Ebool_2ETRUTH, logicdef_2E_3D_3D_3E, thm_2Ebool_2EOR__CLAUSES, logicdef_2E_2F_5C, logicdef_2E_7E, quantdef_2E_3F
% 4.99/1.95  % No. of inferences in proof: 26
% 4.99/1.95  % No. of processed clauses: 1
% 4.99/1.95  % No. of generated clauses: 0
% 4.99/1.95  % No. of forward subsumed clauses: 0
% 4.99/1.95  % No. of backward subsumed clauses: 0
% 4.99/1.95  % No. of ground rewrite rules in store: 1
% 4.99/1.95  % No. of non-ground rewrite rules in store: 0
% 4.99/1.95  % No. of positive (non-rewrite) units in store: 0
% 4.99/1.95  % No. of negative (non-rewrite) units in store: 0
% 4.99/1.95  % No. of choice functions detected: 0
% 4.99/1.95  % No. of choice instantiations: 0
% 4.99/1.95  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 1684 ms resp. 823 ms w/o parsing
% 4.99/1.98  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 4.99/1.98  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 4.99/1.98  thf(tyop_2Erat_2Erat_type, type, tyop_2Erat_2Erat: $tType).
% 4.99/1.98  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 4.99/1.98  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 4.99/1.98  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 4.99/1.98  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 4.99/1.98  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 4.99/1.98  thf(c_2Ebool_2EF_type, type, c_2Ebool_2EF: $o).
% 4.99/1.98  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 4.99/1.98  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 4.99/1.98  thf(c_2Erat_2Erat__leq_type, type, c_2Erat_2Erat__leq: (tyop_2Erat_2Erat > (tyop_2Erat_2Erat > $o))).
% 4.99/1.98  thf(c_2Erat_2Erat__les_type, type, c_2Erat_2Erat__les: (tyop_2Erat_2Erat > (tyop_2Erat_2Erat > $o))).
% 4.99/1.98  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 4.99/1.98  thf(1,conjecture,((! [A:tyop_2Erat_2Erat]: (c_2Erat_2Erat__leq @ A @ A))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erat_2ERAT__LEQ__REF)).
% 4.99/1.98  thf(2,negated_conjecture,((~ (! [A:tyop_2Erat_2Erat]: (c_2Erat_2Erat__leq @ A @ A)))),inference(neg_conjecture,[status(cth)],[1])).
% 4.99/1.98  thf(14,plain,((~ (! [A:tyop_2Erat_2Erat]: (c_2Erat_2Erat__leq @ A @ A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 4.99/1.98  thf(5,axiom,((! [A:$o]: ((((c_2Ebool_2ET) | (A)) = c_2Ebool_2ET) & (((A) | (c_2Ebool_2ET)) = c_2Ebool_2ET) & (((c_2Ebool_2EF) | (A)) = A) & (((A) | (c_2Ebool_2EF)) = A) & (((A) | (A)) = A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EOR__CLAUSES)).
% 4.99/1.98  thf(21,plain,((! [A:$o]: ((((c_2Ebool_2ET) | (A)) = c_2Ebool_2ET) & (((A) | (c_2Ebool_2ET)) = c_2Ebool_2ET) & (((c_2Ebool_2EF) | (A)) = A) & (((A) | (c_2Ebool_2EF)) = A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 4.99/1.98  thf(9,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 4.99/1.98  thf(33,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 4.99/1.98  thf(11,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 4.99/1.98  thf(45,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 4.99/1.98  thf(13,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 4.99/1.98  thf(59,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 4.99/1.98  thf(7,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 4.99/1.98  thf(27,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 4.99/1.98  thf(12,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 4.99/1.98  thf(50,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 4.99/1.98  thf(3,axiom,((! [A:tyop_2Erat_2Erat,B:tyop_2Erat_2Erat]: ((c_2Erat_2Erat__leq @ A @ B) = ((c_2Erat_2Erat__les @ A @ B) | (A = B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erat_2Erat__leq__def)).
% 4.99/1.98  thf(16,plain,((! [A:tyop_2Erat_2Erat,B:tyop_2Erat_2Erat]: ((c_2Erat_2Erat__leq @ A @ B) = ((c_2Erat_2Erat__les @ A @ B) | (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 4.99/1.98  thf(6,axiom,(c_2Ebool_2ET),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).
% 4.99/1.98  thf(26,plain,(c_2Ebool_2ET),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 4.99/1.98  thf(10,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 4.99/1.98  thf(36,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 4.99/1.98  thf(8,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).
% 4.99/1.98  thf(30,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 4.99/1.98  thf(4,axiom,((! [TA: $tType]: (! [A:TA]: ((A = A) = c_2Ebool_2ET)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).
% 4.99/1.98  thf(19,plain,((! [TA: $tType]: (c_2Ebool_2ET))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 4.99/1.98  thf(68,plain,($false),inference(iprover,[status(thm)],[14,21,33,45,59,27,50,16,26,36,30,19])).
% 4.99/1.98  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 4.99/1.98  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
