%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:42:07 EDT 2019

% Result     : Theorem 5.88s
% Output     : CNFRefutation 5.88s
% Verified   : 
% Statistics : Number of formulae       :   41 (  41 expanded)
%              Number of leaves         :   28 (  28 expanded)
%              Depth                    :    3
%              Number of atoms          :  228 ( 228 expanded)
%              Number of equality atoms :   23 (  23 expanded)
%              Maximal formula depth    :   17 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: 
      !>[TA: $tType,TB: $tType] :
        ( TA > TB > ( tyop_2Epair_2Eprod @ TA @ TB ) ) )).

thf(c_2Eseq_2E_2D_2D_3E_type,type,(
    c_2Eseq_2E_2D_2D_3E: ( tyop_2Enum_2Enum > tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal > $o )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Earithmetic_2E_3E_3D_type,type,(
    c_2Earithmetic_2E_3E_3D: tyop_2Enum_2Enum > tyop_2Enum_2Enum > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Enets_2Edorder_type,type,(
    c_2Enets_2Edorder: 
      !>[TA: $tType] :
        ( ( TA > TA > $o ) > $o ) )).

thf(c_2Emetric_2Emr1_type,type,(
    c_2Emetric_2Emr1: ( tyop_2Emetric_2Emetric @ tyop_2Erealax_2Ereal ) )).

thf(c_2Emetric_2Emtop_type,type,(
    c_2Emetric_2Emtop: 
      !>[TA: $tType] :
        ( ( tyop_2Emetric_2Emetric @ TA ) > ( tyop_2Etopology_2Etopology @ TA ) ) )).

thf(c_2Enets_2Etends_type,type,(
    c_2Enets_2Etends: 
      !>[TA: $tType,TB: $tType] :
        ( ( TB > TA ) > TA > ( tyop_2Epair_2Eprod @ ( tyop_2Etopology_2Etopology @ TA ) @ ( TB > TB > $o ) ) > $o ) )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $o > $o )).

thf(5,axiom,(
    c_2Enets_2Edorder @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_3E_3D ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Enets_2EDORDER__NGE)).

thf(24,plain,(
    c_2Enets_2Edorder @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_3E_3D ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(6,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(25,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(12,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(57,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(7,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(28,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(4,axiom,(
    ! [TA: $tType,TB: $tType,A: TA,B: TA,C: TB > TA,D: TB > TB > $o,E: tyop_2Emetric_2Emetric @ TA] :
      ( ( c_2Enets_2Edorder @ TB @ D )
     => ( ( ( c_2Enets_2Etends @ TA @ TB @ C @ B @ ( c_2Epair_2E_2C @ ( tyop_2Etopology_2Etopology @ TA ) @ ( TB > TB > $o ) @ ( c_2Emetric_2Emtop @ TA @ E ) @ D ) )
          & ( c_2Enets_2Etends @ TA @ TB @ C @ A @ ( c_2Epair_2E_2C @ ( tyop_2Etopology_2Etopology @ TA ) @ ( TB > TB > $o ) @ ( c_2Emetric_2Emtop @ TA @ E ) @ D ) ) )
       => ( B = A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Enets_2EMTOP__TENDS__UNIQ)).

thf(21,plain,(
    ! [TA: $tType,TB: $tType,A: TA,B: TA,C: TB > TA,D: TB > TB > $o,E: tyop_2Emetric_2Emetric @ TA] :
      ( ( c_2Enets_2Edorder @ TB @ D )
     => ( ( ( c_2Enets_2Etends @ TA @ TB @ C @ B @ ( c_2Epair_2E_2C @ ( tyop_2Etopology_2Etopology @ TA ) @ ( TB > TB > $o ) @ ( c_2Emetric_2Emtop @ TA @ E ) @ D ) )
          & ( c_2Enets_2Etends @ TA @ TB @ C @ A @ ( c_2Epair_2E_2C @ ( tyop_2Etopology_2Etopology @ TA ) @ ( TB > TB > $o ) @ ( c_2Emetric_2Emtop @ TA @ E ) @ D ) ) )
       => ( B = A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(1,conjecture,(
    ! [A: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Eseq_2E_2D_2D_3E @ A @ B )
        & ( c_2Eseq_2E_2D_2D_3E @ A @ C ) )
     => ( B = C ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eseq_2ESEQ__UNIQ)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
        ( ( ( c_2Eseq_2E_2D_2D_3E @ A @ B )
          & ( c_2Eseq_2E_2D_2D_3E @ A @ C ) )
       => ( B = C ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(13,plain,(
    ~ ! [A: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
        ( ( ( c_2Eseq_2E_2D_2D_3E @ A @ B )
          & ( c_2Eseq_2E_2D_2D_3E @ A @ C ) )
       => ( B = C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(9,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(34,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(11,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(48,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(3,axiom,(
    ! [A: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Eseq_2E_2D_2D_3E @ A @ B )
      = ( c_2Enets_2Etends @ tyop_2Erealax_2Ereal @ tyop_2Enum_2Enum @ A @ B @ ( c_2Epair_2E_2C @ ( tyop_2Etopology_2Etopology @ tyop_2Erealax_2Ereal ) @ ( tyop_2Enum_2Enum > tyop_2Enum_2Enum > $o ) @ ( c_2Emetric_2Emtop @ tyop_2Erealax_2Ereal @ c_2Emetric_2Emr1 ) @ c_2Earithmetic_2E_3E_3D ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eseq_2Etends__num__real)).

thf(18,plain,(
    ! [A: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Eseq_2E_2D_2D_3E @ A @ B )
      = ( c_2Enets_2Etends @ tyop_2Erealax_2Ereal @ tyop_2Enum_2Enum @ A @ B @ ( c_2Epair_2E_2C @ ( tyop_2Etopology_2Etopology @ tyop_2Erealax_2Ereal ) @ ( tyop_2Enum_2Enum > tyop_2Enum_2Enum > $o ) @ ( c_2Emetric_2Emtop @ tyop_2Erealax_2Ereal @ c_2Emetric_2Emr1 ) @ c_2Earithmetic_2E_3E_3D ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(8,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(31,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(10,axiom,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(43,plain,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(66,plain,(
    $false ),
    inference(iprover,[status(thm)],[24,25,57,28,21,13,34,48,18,31,43])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.06/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.06/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.06/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.06/0.12  % CPULimit   : 300
% 0.06/0.12  % DateTime   : Wed Jul 31 07:06:24 EDT 2019
% 0.06/0.13  % CPUTime    : 
% 2.92/1.26  % [INFO] 	 Running in sequential loop mode. 
% 3.76/1.44  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.89/1.50  % [INFO] 	 iprover registered as external prover. 
% 3.89/1.50  % [INFO] 	 e registered as external prover. 
% 3.89/1.50  % [INFO] 	 cvc4 registered as external prover. 
% 3.89/1.51  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.19/1.56  % [INFO] 	 Found a conjecture and 10 axioms. Running axiom selection ... 
% 4.19/1.59  % [INFO] 	 Axiom selection finished. Selected 10 axioms (removed 0 axioms). 
% 4.19/1.63  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 5.88/2.20  % [INFO] 	 Killing All external provers ... 
% 5.88/2.20  % Time passed: 1940ms
% 5.88/2.20  % Effective reasoning time: 940ms
% 5.88/2.20  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 5.88/2.20  % Axioms used in derivation (10): logicdef_2E_3D, thm_2Eseq_2Etends__num__real, logicdef_2E_5C_2F, quantdef_2E_21, logicdef_2E_3D_3D_3E, logicdef_2E_2F_5C, thm_2Enets_2EMTOP__TENDS__UNIQ, thm_2Enets_2EDORDER__NGE, logicdef_2E_7E, quantdef_2E_3F
% 5.88/2.20  % No. of inferences in proof: 24
% 5.88/2.20  % No. of processed clauses: 1
% 5.88/2.20  % No. of generated clauses: 0
% 5.88/2.20  % No. of forward subsumed clauses: 0
% 5.88/2.20  % No. of backward subsumed clauses: 0
% 5.88/2.20  % No. of ground rewrite rules in store: 0
% 5.88/2.20  % No. of non-ground rewrite rules in store: 0
% 5.88/2.20  % No. of positive (non-rewrite) units in store: 0
% 5.88/2.20  % No. of negative (non-rewrite) units in store: 1
% 5.88/2.20  % No. of choice functions detected: 0
% 5.88/2.20  % No. of choice instantiations: 0
% 5.88/2.21  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 1940 ms resp. 940 ms w/o parsing
% 5.88/2.23  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 5.88/2.23  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 5.88/2.23  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 5.88/2.23  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 5.88/2.23  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 5.88/2.23  thf(c_2Epair_2E_2C_type, type, c_2Epair_2E_2C: !>[TA: $tType,TB: $tType]: (TA > (TB > (tyop_2Epair_2Eprod @ TA @ TB)))).
% 5.88/2.23  thf(c_2Eseq_2E_2D_2D_3E_type, type, c_2Eseq_2E_2D_2D_3E: ((tyop_2Enum_2Enum > tyop_2Erealax_2Ereal) > (tyop_2Erealax_2Ereal > $o))).
% 5.88/2.23  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 5.88/2.23  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 5.88/2.23  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 5.88/2.23  thf(c_2Earithmetic_2E_3E_3D_type, type, c_2Earithmetic_2E_3E_3D: (tyop_2Enum_2Enum > (tyop_2Enum_2Enum > $o))).
% 5.88/2.23  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 5.88/2.23  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 5.88/2.23  thf(c_2Enets_2Edorder_type, type, c_2Enets_2Edorder: !>[TA: $tType]: ((TA > (TA > $o)) > $o)).
% 5.88/2.23  thf(c_2Emetric_2Emr1_type, type, c_2Emetric_2Emr1: (tyop_2Emetric_2Emetric @ tyop_2Erealax_2Ereal)).
% 5.88/2.23  thf(c_2Emetric_2Emtop_type, type, c_2Emetric_2Emtop: !>[TA: $tType]: ((tyop_2Emetric_2Emetric @ TA) > (tyop_2Etopology_2Etopology @ TA))).
% 5.88/2.23  thf(c_2Enets_2Etends_type, type, c_2Enets_2Etends: !>[TA: $tType,TB: $tType]: ((TB > TA) > (TA > ((tyop_2Epair_2Eprod @ (tyop_2Etopology_2Etopology @ TA) @ (TB > (TB > $o))) > $o)))).
% 5.88/2.23  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 5.88/2.23  thf(5,axiom,((c_2Enets_2Edorder @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_3E_3D)),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Enets_2EDORDER__NGE)).
% 5.88/2.23  thf(24,plain,((c_2Enets_2Edorder @ tyop_2Enum_2Enum @ (c_2Earithmetic_2E_3E_3D))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 5.88/2.23  thf(6,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 5.88/2.23  thf(25,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 5.88/2.23  thf(12,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 5.88/2.23  thf(57,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 5.88/2.23  thf(7,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).
% 5.88/2.23  thf(28,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 5.88/2.23  thf(4,axiom,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TA,C:(TB > TA),D:(TB > (TB > $o)),E:(tyop_2Emetric_2Emetric @ TA)]: ((c_2Enets_2Edorder @ TB @ D) => (((c_2Enets_2Etends @ TA @ TB @ C @ B @ (c_2Epair_2E_2C @ (tyop_2Etopology_2Etopology @ TA) @ (TB > (TB > $o)) @ (c_2Emetric_2Emtop @ TA @ E) @ D)) & (c_2Enets_2Etends @ TA @ TB @ C @ A @ (c_2Epair_2E_2C @ (tyop_2Etopology_2Etopology @ TA) @ (TB > (TB > $o)) @ (c_2Emetric_2Emtop @ TA @ E) @ D))) => (B = A)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Enets_2EMTOP__TENDS__UNIQ)).
% 5.88/2.23  thf(21,plain,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TA,C:(TB > TA),D:(TB > (TB > $o)),E:(tyop_2Emetric_2Emetric @ TA)]: ((c_2Enets_2Edorder @ TB @ (D)) => (((c_2Enets_2Etends @ TA @ TB @ (C) @ B @ (c_2Epair_2E_2C @ (tyop_2Etopology_2Etopology @ TA) @ (TB > (TB > $o)) @ (c_2Emetric_2Emtop @ TA @ E) @ (D))) & (c_2Enets_2Etends @ TA @ TB @ (C) @ A @ (c_2Epair_2E_2C @ (tyop_2Etopology_2Etopology @ TA) @ (TB > (TB > $o)) @ (c_2Emetric_2Emtop @ TA @ E) @ (D)))) => (B = A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 5.88/2.23  thf(1,conjecture,((! [A:(tyop_2Enum_2Enum > tyop_2Erealax_2Ereal),B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: (((c_2Eseq_2E_2D_2D_3E @ A @ B) & (c_2Eseq_2E_2D_2D_3E @ A @ C)) => (B = C)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eseq_2ESEQ__UNIQ)).
% 5.88/2.23  thf(2,negated_conjecture,((~ (! [A:(tyop_2Enum_2Enum > tyop_2Erealax_2Ereal),B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: (((c_2Eseq_2E_2D_2D_3E @ A @ B) & (c_2Eseq_2E_2D_2D_3E @ A @ C)) => (B = C))))),inference(neg_conjecture,[status(cth)],[1])).
% 5.88/2.23  thf(13,plain,((~ (! [A:(tyop_2Enum_2Enum > tyop_2Erealax_2Ereal),B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: (((c_2Eseq_2E_2D_2D_3E @ (A) @ B) & (c_2Eseq_2E_2D_2D_3E @ (A) @ C)) => (B = C))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 5.88/2.23  thf(9,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 5.88/2.23  thf(34,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 5.88/2.23  thf(11,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 5.88/2.23  thf(48,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 5.88/2.23  thf(3,axiom,((! [A:(tyop_2Enum_2Enum > tyop_2Erealax_2Ereal),B:tyop_2Erealax_2Ereal]: ((c_2Eseq_2E_2D_2D_3E @ A @ B) = (c_2Enets_2Etends @ tyop_2Erealax_2Ereal @ tyop_2Enum_2Enum @ A @ B @ (c_2Epair_2E_2C @ (tyop_2Etopology_2Etopology @ tyop_2Erealax_2Ereal) @ (tyop_2Enum_2Enum > (tyop_2Enum_2Enum > $o)) @ (c_2Emetric_2Emtop @ tyop_2Erealax_2Ereal @ c_2Emetric_2Emr1) @ c_2Earithmetic_2E_3E_3D))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eseq_2Etends__num__real)).
% 5.88/2.23  thf(18,plain,((! [A:(tyop_2Enum_2Enum > tyop_2Erealax_2Ereal),B:tyop_2Erealax_2Ereal]: ((c_2Eseq_2E_2D_2D_3E @ (A) @ B) = (c_2Enets_2Etends @ tyop_2Erealax_2Ereal @ tyop_2Enum_2Enum @ (A) @ B @ (c_2Epair_2E_2C @ (tyop_2Etopology_2Etopology @ tyop_2Erealax_2Ereal) @ (tyop_2Enum_2Enum > (tyop_2Enum_2Enum > $o)) @ (c_2Emetric_2Emtop @ tyop_2Erealax_2Ereal @ c_2Emetric_2Emr1) @ (c_2Earithmetic_2E_3E_3D)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 5.88/2.23  thf(8,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 5.88/2.23  thf(31,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 5.88/2.23  thf(10,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 5.88/2.23  thf(43,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 5.88/2.23  thf(66,plain,($false),inference(iprover,[status(thm)],[24,25,57,28,21,13,34,48,18,31,43])).
% 5.88/2.23  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 5.88/2.23  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
