%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:42:12 EDT 2019

% Result     : Theorem 6.91s
% Output     : CNFRefutation 7.21s
% Verified   : 
% Statistics : Number of formulae       :   41 (  41 expanded)
%              Number of leaves         :   28 (  28 expanded)
%              Depth                    :    3
%              Number of atoms          :  321 ( 321 expanded)
%              Number of equality atoms :   18 (  18 expanded)
%              Maximal formula depth    :   16 (   7 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: 
      !>[TA: $tType,TB: $tType] :
        ( TA > TB > ( tyop_2Epair_2Eprod @ TA @ TB ) ) )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Enets_2Edorder_type,type,(
    c_2Enets_2Edorder: 
      !>[TA: $tType] :
        ( ( TA > TA > $o ) > $o ) )).

thf(c_2Emetric_2Emr1_type,type,(
    c_2Emetric_2Emr1: ( tyop_2Emetric_2Emetric @ tyop_2Erealax_2Ereal ) )).

thf(c_2Emetric_2Emtop_type,type,(
    c_2Emetric_2Emtop: 
      !>[TA: $tType] :
        ( ( tyop_2Emetric_2Emetric @ TA ) > ( tyop_2Etopology_2Etopology @ TA ) ) )).

thf(c_2Erealax_2Ereal__add_type,type,(
    c_2Erealax_2Ereal__add: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Enets_2Etends_type,type,(
    c_2Enets_2Etends: 
      !>[TA: $tType,TB: $tType] :
        ( ( TB > TA ) > TA > ( tyop_2Epair_2Eprod @ ( tyop_2Etopology_2Etopology @ TA ) @ ( TB > TB > $o ) ) > $o ) )).

thf(c_2Elim_2Etends__real__real_type,type,(
    c_2Elim_2Etends__real__real: ( tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > $o )).

thf(c_2Enets_2Etendsto_type,type,(
    c_2Enets_2Etendsto: 
      !>[TA: $tType] :
        ( ( tyop_2Epair_2Eprod @ ( tyop_2Emetric_2Emetric @ TA ) @ TA ) > TA > TA > $o ) )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $o > $o )).

thf(12,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(56,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(10,axiom,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(42,plain,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(6,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(24,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(5,axiom,(
    ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Elim_2Etends__real__real @ A @ B @ C )
      = ( c_2Enets_2Etends @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B @ ( c_2Epair_2E_2C @ ( tyop_2Etopology_2Etopology @ tyop_2Erealax_2Ereal ) @ ( tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > $o ) @ ( c_2Emetric_2Emtop @ tyop_2Erealax_2Ereal @ c_2Emetric_2Emr1 ) @ ( c_2Enets_2Etendsto @ tyop_2Erealax_2Ereal @ ( c_2Epair_2E_2C @ ( tyop_2Emetric_2Emetric @ tyop_2Erealax_2Ereal ) @ tyop_2Erealax_2Ereal @ c_2Emetric_2Emr1 @ C ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Elim_2Etends__real__real)).

thf(21,plain,(
    ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Elim_2Etends__real__real @ A @ B @ C )
      = ( c_2Enets_2Etends @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B @ ( c_2Epair_2E_2C @ ( tyop_2Etopology_2Etopology @ tyop_2Erealax_2Ereal ) @ ( tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > $o ) @ ( c_2Emetric_2Emtop @ tyop_2Erealax_2Ereal @ c_2Emetric_2Emr1 ) @ ( c_2Enets_2Etendsto @ tyop_2Erealax_2Ereal @ ( c_2Epair_2E_2C @ ( tyop_2Emetric_2Emetric @ tyop_2Erealax_2Ereal ) @ tyop_2Erealax_2Ereal @ c_2Emetric_2Emr1 @ C ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(9,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(33,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(1,conjecture,(
    ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,D: tyop_2Erealax_2Ereal,E: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Elim_2Etends__real__real @ A @ C @ E )
        & ( c_2Elim_2Etends__real__real @ B @ D @ E ) )
     => ( c_2Elim_2Etends__real__real
        @ ^ [F: tyop_2Erealax_2Ereal] :
            ( c_2Erealax_2Ereal__add @ ( A @ F ) @ ( B @ F ) )
        @ ( c_2Erealax_2Ereal__add @ C @ D )
        @ E ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Elim_2ELIM__ADD)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,D: tyop_2Erealax_2Ereal,E: tyop_2Erealax_2Ereal] :
        ( ( ( c_2Elim_2Etends__real__real @ A @ C @ E )
          & ( c_2Elim_2Etends__real__real @ B @ D @ E ) )
       => ( c_2Elim_2Etends__real__real
          @ ^ [F: tyop_2Erealax_2Ereal] :
              ( c_2Erealax_2Ereal__add @ ( A @ F ) @ ( B @ F ) )
          @ ( c_2Erealax_2Ereal__add @ C @ D )
          @ E ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(13,plain,(
    ~ ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,D: tyop_2Erealax_2Ereal,E: tyop_2Erealax_2Ereal] :
        ( ( ( c_2Elim_2Etends__real__real @ A @ C @ E )
          & ( c_2Elim_2Etends__real__real @ B @ D @ E ) )
       => ( c_2Elim_2Etends__real__real
          @ ^ [F: tyop_2Erealax_2Ereal] :
              ( c_2Erealax_2Ereal__add @ ( A @ F ) @ ( B @ F ) )
          @ ( c_2Erealax_2Ereal__add @ C @ D )
          @ E ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    ! [TA: $tType,A: TA > TA > $o] :
      ( ( c_2Enets_2Edorder @ TA @ A )
     => ! [B: TA > tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,D: TA > tyop_2Erealax_2Ereal,E: tyop_2Erealax_2Ereal] :
          ( ( ( c_2Enets_2Etends @ tyop_2Erealax_2Ereal @ TA @ B @ C @ ( c_2Epair_2E_2C @ ( tyop_2Etopology_2Etopology @ tyop_2Erealax_2Ereal ) @ ( TA > TA > $o ) @ ( c_2Emetric_2Emtop @ tyop_2Erealax_2Ereal @ c_2Emetric_2Emr1 ) @ A ) )
            & ( c_2Enets_2Etends @ tyop_2Erealax_2Ereal @ TA @ D @ E @ ( c_2Epair_2E_2C @ ( tyop_2Etopology_2Etopology @ tyop_2Erealax_2Ereal ) @ ( TA > TA > $o ) @ ( c_2Emetric_2Emtop @ tyop_2Erealax_2Ereal @ c_2Emetric_2Emr1 ) @ A ) ) )
         => ( c_2Enets_2Etends @ tyop_2Erealax_2Ereal @ TA
            @ ^ [F: TA] :
                ( c_2Erealax_2Ereal__add @ ( B @ F ) @ ( D @ F ) )
            @ ( c_2Erealax_2Ereal__add @ C @ E )
            @ ( c_2Epair_2E_2C @ ( tyop_2Etopology_2Etopology @ tyop_2Erealax_2Ereal ) @ ( TA > TA > $o ) @ ( c_2Emetric_2Emtop @ tyop_2Erealax_2Ereal @ c_2Emetric_2Emr1 ) @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Enets_2ENET__ADD)).

thf(17,plain,(
    ! [TA: $tType,A: TA > TA > $o] :
      ( ( c_2Enets_2Edorder @ TA @ A )
     => ! [B: TA > tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,D: TA > tyop_2Erealax_2Ereal,E: tyop_2Erealax_2Ereal] :
          ( ( ( c_2Enets_2Etends @ tyop_2Erealax_2Ereal @ TA @ B @ C @ ( c_2Epair_2E_2C @ ( tyop_2Etopology_2Etopology @ tyop_2Erealax_2Ereal ) @ ( TA > TA > $o ) @ ( c_2Emetric_2Emtop @ tyop_2Erealax_2Ereal @ c_2Emetric_2Emr1 ) @ A ) )
            & ( c_2Enets_2Etends @ tyop_2Erealax_2Ereal @ TA @ D @ E @ ( c_2Epair_2E_2C @ ( tyop_2Etopology_2Etopology @ tyop_2Erealax_2Ereal ) @ ( TA > TA > $o ) @ ( c_2Emetric_2Emtop @ tyop_2Erealax_2Ereal @ c_2Emetric_2Emr1 ) @ A ) ) )
         => ( c_2Enets_2Etends @ tyop_2Erealax_2Ereal @ TA
            @ ^ [F: TA] :
                ( c_2Erealax_2Ereal__add @ ( B @ F ) @ ( D @ F ) )
            @ ( c_2Erealax_2Ereal__add @ C @ E )
            @ ( c_2Epair_2E_2C @ ( tyop_2Etopology_2Etopology @ tyop_2Erealax_2Ereal ) @ ( TA > TA > $o ) @ ( c_2Emetric_2Emtop @ tyop_2Erealax_2Ereal @ c_2Emetric_2Emr1 ) @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(7,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(27,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(8,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(30,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(4,axiom,(
    ! [TA: $tType,A: tyop_2Emetric_2Emetric @ TA,B: TA] :
      ( c_2Enets_2Edorder @ TA @ ( c_2Enets_2Etendsto @ TA @ ( c_2Epair_2E_2C @ ( tyop_2Emetric_2Emetric @ TA ) @ TA @ A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Enets_2EDORDER__TENDSTO)).

thf(19,plain,(
    ! [TA: $tType,A: tyop_2Emetric_2Emetric @ TA,B: TA] :
      ( c_2Enets_2Edorder @ TA @ ( c_2Enets_2Etendsto @ TA @ ( c_2Epair_2E_2C @ ( tyop_2Emetric_2Emetric @ TA ) @ TA @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(11,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(47,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(65,plain,(
    $false ),
    inference(iprover,[status(thm)],[56,42,24,21,33,13,17,27,30,19,47])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.12/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.12/0.14  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.12/0.14  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.12/0.14  % CPULimit   : 300
% 0.12/0.14  % DateTime   : Wed Jul 31 07:15:13 EDT 2019
% 0.12/0.14  % CPUTime    : 
% 3.35/1.42  % [INFO] 	 Running in sequential loop mode. 
% 4.06/1.61  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.40/1.69  % [INFO] 	 iprover registered as external prover. 
% 4.40/1.69  % [INFO] 	 e registered as external prover. 
% 4.40/1.69  % [INFO] 	 cvc4 registered as external prover. 
% 4.58/1.69  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.58/1.75  % [INFO] 	 Found a conjecture and 10 axioms. Running axiom selection ... 
% 4.80/1.79  % [INFO] 	 Axiom selection finished. Selected 10 axioms (removed 0 axioms). 
% 4.92/1.84  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.91/2.56  % [INFO] 	 Killing All external provers ... 
% 6.91/2.57  % Time passed: 2298ms
% 6.91/2.57  % Effective reasoning time: 1144ms
% 6.91/2.57  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.91/2.57  % Axioms used in derivation (10): logicdef_2E_3D, thm_2Enets_2EDORDER__TENDSTO, thm_2Enets_2ENET__ADD, logicdef_2E_5C_2F, quantdef_2E_21, logicdef_2E_3D_3D_3E, thm_2Elim_2Etends__real__real, logicdef_2E_2F_5C, logicdef_2E_7E, quantdef_2E_3F
% 6.91/2.57  % No. of inferences in proof: 24
% 6.91/2.57  % No. of processed clauses: 1
% 6.91/2.57  % No. of generated clauses: 0
% 6.91/2.57  % No. of forward subsumed clauses: 0
% 6.91/2.57  % No. of backward subsumed clauses: 0
% 6.91/2.57  % No. of ground rewrite rules in store: 1
% 6.91/2.57  % No. of non-ground rewrite rules in store: 0
% 6.91/2.57  % No. of positive (non-rewrite) units in store: 0
% 6.91/2.57  % No. of negative (non-rewrite) units in store: 0
% 6.91/2.57  % No. of choice functions detected: 0
% 6.91/2.57  % No. of choice instantiations: 0
% 6.91/2.57  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2298 ms resp. 1144 ms w/o parsing
% 7.21/2.60  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.21/2.60  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.21/2.60  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 7.21/2.60  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 7.21/2.60  thf(c_2Epair_2E_2C_type, type, c_2Epair_2E_2C: !>[TA: $tType,TB: $tType]: (TA > (TB > (tyop_2Epair_2Eprod @ TA @ TB)))).
% 7.21/2.60  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 7.21/2.60  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 7.21/2.60  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 7.21/2.60  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 7.21/2.60  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 7.21/2.60  thf(c_2Enets_2Edorder_type, type, c_2Enets_2Edorder: !>[TA: $tType]: ((TA > (TA > $o)) > $o)).
% 7.21/2.60  thf(c_2Emetric_2Emr1_type, type, c_2Emetric_2Emr1: (tyop_2Emetric_2Emetric @ tyop_2Erealax_2Ereal)).
% 7.21/2.60  thf(c_2Emetric_2Emtop_type, type, c_2Emetric_2Emtop: !>[TA: $tType]: ((tyop_2Emetric_2Emetric @ TA) > (tyop_2Etopology_2Etopology @ TA))).
% 7.21/2.60  thf(c_2Erealax_2Ereal__add_type, type, c_2Erealax_2Ereal__add: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal))).
% 7.21/2.60  thf(c_2Enets_2Etends_type, type, c_2Enets_2Etends: !>[TA: $tType,TB: $tType]: ((TB > TA) > (TA > ((tyop_2Epair_2Eprod @ (tyop_2Etopology_2Etopology @ TA) @ (TB > (TB > $o))) > $o)))).
% 7.21/2.60  thf(c_2Elim_2Etends__real__real_type, type, c_2Elim_2Etends__real__real: ((tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal) > (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > $o)))).
% 7.21/2.60  thf(c_2Enets_2Etendsto_type, type, c_2Enets_2Etendsto: !>[TA: $tType]: ((tyop_2Epair_2Eprod @ (tyop_2Emetric_2Emetric @ TA) @ TA) > (TA > (TA > $o)))).
% 7.21/2.60  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 7.21/2.60  thf(12,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 7.21/2.60  thf(56,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 7.21/2.60  thf(10,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 7.21/2.60  thf(42,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 7.21/2.60  thf(6,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 7.21/2.60  thf(24,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 7.21/2.60  thf(5,axiom,((! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Elim_2Etends__real__real @ A @ B @ C) = (c_2Enets_2Etends @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B @ (c_2Epair_2E_2C @ (tyop_2Etopology_2Etopology @ tyop_2Erealax_2Ereal) @ (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > $o)) @ (c_2Emetric_2Emtop @ tyop_2Erealax_2Ereal @ c_2Emetric_2Emr1) @ (c_2Enets_2Etendsto @ tyop_2Erealax_2Ereal @ (c_2Epair_2E_2C @ (tyop_2Emetric_2Emetric @ tyop_2Erealax_2Ereal) @ tyop_2Erealax_2Ereal @ c_2Emetric_2Emr1 @ C))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Elim_2Etends__real__real)).
% 7.21/2.60  thf(21,plain,((! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Elim_2Etends__real__real @ (A) @ B @ C) = (c_2Enets_2Etends @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ (A) @ B @ (c_2Epair_2E_2C @ (tyop_2Etopology_2Etopology @ tyop_2Erealax_2Ereal) @ (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > $o)) @ (c_2Emetric_2Emtop @ tyop_2Erealax_2Ereal @ c_2Emetric_2Emr1) @ (c_2Enets_2Etendsto @ tyop_2Erealax_2Ereal @ (c_2Epair_2E_2C @ (tyop_2Emetric_2Emetric @ tyop_2Erealax_2Ereal) @ tyop_2Erealax_2Ereal @ c_2Emetric_2Emr1 @ C))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 7.21/2.60  thf(9,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 7.21/2.60  thf(33,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 7.21/2.60  thf(1,conjecture,((! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),B:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),C:tyop_2Erealax_2Ereal,D:tyop_2Erealax_2Ereal,E:tyop_2Erealax_2Ereal]: (((c_2Elim_2Etends__real__real @ A @ C @ E) & (c_2Elim_2Etends__real__real @ B @ D @ E)) => (c_2Elim_2Etends__real__real @ (^ [F:tyop_2Erealax_2Ereal]: (c_2Erealax_2Ereal__add @ (A @ F) @ (B @ F))) @ (c_2Erealax_2Ereal__add @ C @ D) @ E)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Elim_2ELIM__ADD)).
% 7.21/2.60  thf(2,negated_conjecture,((~ (! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),B:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),C:tyop_2Erealax_2Ereal,D:tyop_2Erealax_2Ereal,E:tyop_2Erealax_2Ereal]: (((c_2Elim_2Etends__real__real @ A @ C @ E) & (c_2Elim_2Etends__real__real @ B @ D @ E)) => (c_2Elim_2Etends__real__real @ (^ [F:tyop_2Erealax_2Ereal]: (c_2Erealax_2Ereal__add @ (A @ F) @ (B @ F))) @ (c_2Erealax_2Ereal__add @ C @ D) @ E))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.21/2.60  thf(13,plain,((~ (! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),B:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),C:tyop_2Erealax_2Ereal,D:tyop_2Erealax_2Ereal,E:tyop_2Erealax_2Ereal]: (((c_2Elim_2Etends__real__real @ (A) @ C @ E) & (c_2Elim_2Etends__real__real @ (B) @ D @ E)) => (c_2Elim_2Etends__real__real @ (^ [F:tyop_2Erealax_2Ereal]: (c_2Erealax_2Ereal__add @ (A @ F) @ (B @ F))) @ (c_2Erealax_2Ereal__add @ C @ D) @ E))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.21/2.60  thf(3,axiom,((! [TA: $tType]: (! [A:(TA > (TA > $o))]: ((c_2Enets_2Edorder @ TA @ A) => (! [B:(TA > tyop_2Erealax_2Ereal),C:tyop_2Erealax_2Ereal,D:(TA > tyop_2Erealax_2Ereal),E:tyop_2Erealax_2Ereal]: (((c_2Enets_2Etends @ tyop_2Erealax_2Ereal @ TA @ B @ C @ (c_2Epair_2E_2C @ (tyop_2Etopology_2Etopology @ tyop_2Erealax_2Ereal) @ (TA > (TA > $o)) @ (c_2Emetric_2Emtop @ tyop_2Erealax_2Ereal @ c_2Emetric_2Emr1) @ A)) & (c_2Enets_2Etends @ tyop_2Erealax_2Ereal @ TA @ D @ E @ (c_2Epair_2E_2C @ (tyop_2Etopology_2Etopology @ tyop_2Erealax_2Ereal) @ (TA > (TA > $o)) @ (c_2Emetric_2Emtop @ tyop_2Erealax_2Ereal @ c_2Emetric_2Emr1) @ A))) => (c_2Enets_2Etends @ tyop_2Erealax_2Ereal @ TA @ (^ [F:TA]: (c_2Erealax_2Ereal__add @ (B @ F) @ (D @ F))) @ (c_2Erealax_2Ereal__add @ C @ E) @ (c_2Epair_2E_2C @ (tyop_2Etopology_2Etopology @ tyop_2Erealax_2Ereal) @ (TA > (TA > $o)) @ (c_2Emetric_2Emtop @ tyop_2Erealax_2Ereal @ c_2Emetric_2Emr1) @ A)))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Enets_2ENET__ADD)).
% 7.21/2.60  thf(17,plain,((! [TA: $tType]: (! [A:(TA > (TA > $o))]: ((c_2Enets_2Edorder @ TA @ (A)) => (! [B:(TA > tyop_2Erealax_2Ereal),C:tyop_2Erealax_2Ereal,D:(TA > tyop_2Erealax_2Ereal),E:tyop_2Erealax_2Ereal]: (((c_2Enets_2Etends @ tyop_2Erealax_2Ereal @ TA @ (B) @ C @ (c_2Epair_2E_2C @ (tyop_2Etopology_2Etopology @ tyop_2Erealax_2Ereal) @ (TA > (TA > $o)) @ (c_2Emetric_2Emtop @ tyop_2Erealax_2Ereal @ c_2Emetric_2Emr1) @ (A))) & (c_2Enets_2Etends @ tyop_2Erealax_2Ereal @ TA @ (D) @ E @ (c_2Epair_2E_2C @ (tyop_2Etopology_2Etopology @ tyop_2Erealax_2Ereal) @ (TA > (TA > $o)) @ (c_2Emetric_2Emtop @ tyop_2Erealax_2Ereal @ c_2Emetric_2Emr1) @ (A)))) => (c_2Enets_2Etends @ tyop_2Erealax_2Ereal @ TA @ (^ [F:TA]: (c_2Erealax_2Ereal__add @ (B @ F) @ (D @ F))) @ (c_2Erealax_2Ereal__add @ C @ E) @ (c_2Epair_2E_2C @ (tyop_2Etopology_2Etopology @ tyop_2Erealax_2Ereal) @ (TA > (TA > $o)) @ (c_2Emetric_2Emtop @ tyop_2Erealax_2Ereal @ c_2Emetric_2Emr1) @ (A))))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.21/2.60  thf(7,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).
% 7.21/2.60  thf(27,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 7.21/2.60  thf(8,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 7.21/2.60  thf(30,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 7.21/2.60  thf(4,axiom,((! [TA: $tType]: (! [A:(tyop_2Emetric_2Emetric @ TA),B:TA]: (c_2Enets_2Edorder @ TA @ (c_2Enets_2Etendsto @ TA @ (c_2Epair_2E_2C @ (tyop_2Emetric_2Emetric @ TA) @ TA @ A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Enets_2EDORDER__TENDSTO)).
% 7.21/2.60  thf(19,plain,((! [TA: $tType]: (! [A:(tyop_2Emetric_2Emetric @ TA),B:TA]: (c_2Enets_2Edorder @ TA @ (c_2Enets_2Etendsto @ TA @ (c_2Epair_2E_2C @ (tyop_2Emetric_2Emetric @ TA) @ TA @ A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 7.21/2.60  thf(11,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 7.21/2.60  thf(47,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 7.21/2.60  thf(65,plain,($false),inference(iprover,[status(thm)],[56,42,24,21,33,13,17,27,30,19,47])).
% 7.21/2.60  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.21/2.60  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
