%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:42:18 EDT 2019

% Result     : Theorem 5.27s
% Output     : CNFRefutation 5.27s
% Verified   : 
% Statistics : Number of formulae       :   40 (  40 expanded)
%              Number of leaves         :   25 (  25 expanded)
%              Depth                    :    3
%              Number of atoms          :  172 ( 172 expanded)
%              Number of equality atoms :   39 (  39 expanded)
%              Maximal formula depth    :    8 (   5 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Etransc_2Eexp_type,type,(
    c_2Etransc_2Eexp: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Ereal_2Ereal__lte_type,type,(
    c_2Ereal_2Ereal__lte: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > $o )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $o > $o )).

thf(5,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( A = B )
      = ( B = A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__SYM__EQ)).

thf(24,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( A = B )
      = ( B = A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(7,axiom,(
    c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(29,plain,(
    c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(4,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal_2Ereal__lte @ A @ B )
        & ( c_2Ereal_2Ereal__lte @ B @ A ) )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__ANTISYM)).

thf(21,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal_2Ereal__lte @ A @ B )
        & ( c_2Ereal_2Ereal__lte @ B @ A ) )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(9,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(33,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(13,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(53,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(6,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( A = A )
      = c_2Ebool_2ET ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).

thf(27,plain,(
    ! [TA: $tType] : c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(11,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(39,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(12,axiom,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(48,plain,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(3,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__lte @ ( c_2Etransc_2Eexp @ A ) @ ( c_2Etransc_2Eexp @ B ) )
      = ( c_2Ereal_2Ereal__lte @ A @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Etransc_2EEXP__MONO__LE)).

thf(18,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__lte @ ( c_2Etransc_2Eexp @ A ) @ ( c_2Etransc_2Eexp @ B ) )
      = ( c_2Ereal_2Ereal__lte @ A @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(10,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(36,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(8,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(30,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(1,conjecture,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Etransc_2Eexp @ A )
        = ( c_2Etransc_2Eexp @ B ) )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Etransc_2EEXP__INJ)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
        ( ( ( c_2Etransc_2Eexp @ A )
          = ( c_2Etransc_2Eexp @ B ) )
        = ( A = B ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(15,plain,(
    ~ ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
        ( ( ( c_2Etransc_2Eexp @ A )
          = ( c_2Etransc_2Eexp @ B ) )
        = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(14,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(62,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(71,plain,(
    $false ),
    inference(iprover,[status(thm)],[24,29,21,33,53,27,39,48,18,36,30,15,62])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.00/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.12/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.12/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.12/0.13  % CPULimit   : 300
% 0.12/0.13  % DateTime   : Wed Jul 31 08:01:38 EDT 2019
% 0.12/0.13  % CPUTime    : 
% 2.22/1.16  % [INFO] 	 Running in sequential loop mode. 
% 3.21/1.34  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.43/1.40  % [INFO] 	 iprover registered as external prover. 
% 3.43/1.40  % [INFO] 	 e registered as external prover. 
% 3.43/1.40  % [INFO] 	 cvc4 registered as external prover. 
% 3.43/1.41  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.43/1.45  % [INFO] 	 Found a conjecture and 12 axioms. Running axiom selection ... 
% 3.69/1.48  % [INFO] 	 Axiom selection finished. Selected 12 axioms (removed 0 axioms). 
% 3.79/1.52  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 5.27/2.01  % [INFO] 	 Killing All external provers ... 
% 5.27/2.01  % Time passed: 1740ms
% 5.27/2.01  % Effective reasoning time: 851ms
% 5.27/2.01  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 5.27/2.01  % Axioms used in derivation (12): logicdef_2E_3D, thm_2Ebool_2EREFL__CLAUSE, thm_2Ereal_2EREAL__LE__ANTISYM, logicdef_2E_5C_2F, quantdef_2E_21, thm_2Ebool_2ETRUTH, logicdef_2E_3D_3D_3E, thm_2Ebool_2EEQ__SYM__EQ, logicdef_2E_2F_5C, logicdef_2E_7E, thm_2Etransc_2EEXP__MONO__LE, quantdef_2E_3F
% 5.27/2.01  % No. of inferences in proof: 28
% 5.27/2.01  % No. of processed clauses: 1
% 5.27/2.01  % No. of generated clauses: 0
% 5.27/2.01  % No. of forward subsumed clauses: 0
% 5.27/2.01  % No. of backward subsumed clauses: 0
% 5.27/2.01  % No. of ground rewrite rules in store: 1
% 5.27/2.01  % No. of non-ground rewrite rules in store: 0
% 5.27/2.01  % No. of positive (non-rewrite) units in store: 0
% 5.27/2.01  % No. of negative (non-rewrite) units in store: 0
% 5.27/2.01  % No. of choice functions detected: 0
% 5.27/2.01  % No. of choice instantiations: 0
% 5.27/2.01  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 1740 ms resp. 851 ms w/o parsing
% 5.27/2.04  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 5.27/2.04  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 5.27/2.04  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 5.27/2.04  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 5.27/2.04  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 5.27/2.04  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 5.27/2.04  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 5.27/2.04  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 5.27/2.04  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 5.27/2.04  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 5.27/2.04  thf(c_2Etransc_2Eexp_type, type, c_2Etransc_2Eexp: (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal)).
% 5.27/2.04  thf(c_2Ereal_2Ereal__lte_type, type, c_2Ereal_2Ereal__lte: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > $o))).
% 5.27/2.04  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 5.27/2.04  thf(5,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((A = B) = (B = A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__SYM__EQ)).
% 5.27/2.04  thf(24,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((A = B) = (B = A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 5.27/2.04  thf(7,axiom,(c_2Ebool_2ET),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).
% 5.27/2.04  thf(29,plain,(c_2Ebool_2ET),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 5.27/2.04  thf(4,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: (((c_2Ereal_2Ereal__lte @ A @ B) & (c_2Ereal_2Ereal__lte @ B @ A)) = (A = B)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__ANTISYM)).
% 5.27/2.04  thf(21,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: (((c_2Ereal_2Ereal__lte @ A @ B) & (c_2Ereal_2Ereal__lte @ B @ A)) = (A = B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 5.27/2.04  thf(9,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).
% 5.27/2.04  thf(33,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 5.27/2.04  thf(13,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 5.27/2.04  thf(53,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 5.27/2.04  thf(6,axiom,((! [TA: $tType]: (! [A:TA]: ((A = A) = c_2Ebool_2ET)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).
% 5.27/2.04  thf(27,plain,((! [TA: $tType]: (c_2Ebool_2ET))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 5.27/2.04  thf(11,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 5.27/2.04  thf(39,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 5.27/2.04  thf(12,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 5.27/2.04  thf(48,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 5.27/2.04  thf(3,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__lte @ (c_2Etransc_2Eexp @ A) @ (c_2Etransc_2Eexp @ B)) = (c_2Ereal_2Ereal__lte @ A @ B)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Etransc_2EEXP__MONO__LE)).
% 5.27/2.04  thf(18,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__lte @ (c_2Etransc_2Eexp @ A) @ (c_2Etransc_2Eexp @ B)) = (c_2Ereal_2Ereal__lte @ A @ B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 5.27/2.04  thf(10,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 5.27/2.04  thf(36,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 5.27/2.04  thf(8,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 5.27/2.04  thf(30,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 5.27/2.04  thf(1,conjecture,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: (((c_2Etransc_2Eexp @ A) = (c_2Etransc_2Eexp @ B)) = (A = B)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Etransc_2EEXP__INJ)).
% 5.27/2.04  thf(2,negated_conjecture,((~ (! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: (((c_2Etransc_2Eexp @ A) = (c_2Etransc_2Eexp @ B)) = (A = B))))),inference(neg_conjecture,[status(cth)],[1])).
% 5.27/2.04  thf(15,plain,((~ (! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: (((c_2Etransc_2Eexp @ A) = (c_2Etransc_2Eexp @ B)) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 5.27/2.04  thf(14,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 5.27/2.04  thf(62,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).
% 5.27/2.04  thf(71,plain,($false),inference(iprover,[status(thm)],[24,29,21,33,53,27,39,48,18,36,30,15,62])).
% 5.27/2.04  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 5.27/2.04  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
