%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:42:33 EDT 2019

% Result     : Theorem 6.46s
% Output     : CNFRefutation 6.46s
% Verified   : 
% Statistics : Number of formulae       :   22 (  34 expanded)
%              Number of leaves         :   13 (  17 expanded)
%              Depth                    :    4
%              Number of atoms          :  135 ( 375 expanded)
%              Number of equality atoms :    2 (   2 expanded)
%              Maximal formula depth    :   12 (   7 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Ebinary__ieee_2Efloat__is__finite_type,type,(
    c_2Ebinary__ieee_2Efloat__is__finite: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Ebinary__ieee_2Efloat @ TA @ TB ) > $o ) )).

thf(c_2Ebinary__ieee_2Efloat__is__infinite_type,type,(
    c_2Ebinary__ieee_2Efloat__is__infinite: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Ebinary__ieee_2Efloat @ TA @ TB ) > $o ) )).

thf(c_2Ebinary__ieee_2Efloat__is__nan_type,type,(
    c_2Ebinary__ieee_2Efloat__is__nan: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Ebinary__ieee_2Efloat @ TA @ TB ) > $o ) )).

thf(c_2Ebinary__ieee_2Efloat__is__normal_type,type,(
    c_2Ebinary__ieee_2Efloat__is__normal: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Ebinary__ieee_2Efloat @ TA @ TB ) > $o ) )).

thf(c_2Ebinary__ieee_2Efloat__is__subnormal_type,type,(
    c_2Ebinary__ieee_2Efloat__is__subnormal: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Ebinary__ieee_2Efloat @ TA @ TB ) > $o ) )).

thf(c_2Ebinary__ieee_2Efloat__is__zero_type,type,(
    c_2Ebinary__ieee_2Efloat__is__zero: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Ebinary__ieee_2Efloat @ TA @ TB ) > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(skt2_type,type,(
    skt2: $tType )).

thf(sk1_type,type,(
    sk1: ( tyop_2Ebinary__ieee_2Efloat @ skt1 @ skt2 ) )).

thf(1,conjecture,(
    ! [TA: $tType,TB: $tType,A: tyop_2Ebinary__ieee_2Efloat @ TA @ TB] :
      ( ( c_2Ebinary__ieee_2Efloat__is__nan @ TA @ TB @ A )
      | ( c_2Ebinary__ieee_2Efloat__is__infinite @ TA @ TB @ A )
      | ( c_2Ebinary__ieee_2Efloat__is__normal @ TA @ TB @ A )
      | ( c_2Ebinary__ieee_2Efloat__is__subnormal @ TA @ TB @ A )
      | ( c_2Ebinary__ieee_2Efloat__is__zero @ TA @ TB @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebinary__ieee_2Efloat__cases)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,TB: $tType,A: tyop_2Ebinary__ieee_2Efloat @ TA @ TB] :
        ( ( c_2Ebinary__ieee_2Efloat__is__nan @ TA @ TB @ A )
        | ( c_2Ebinary__ieee_2Efloat__is__infinite @ TA @ TB @ A )
        | ( c_2Ebinary__ieee_2Efloat__is__normal @ TA @ TB @ A )
        | ( c_2Ebinary__ieee_2Efloat__is__subnormal @ TA @ TB @ A )
        | ( c_2Ebinary__ieee_2Efloat__is__zero @ TA @ TB @ A ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(5,plain,(
    ~ ! [TA: $tType,TB: $tType,A: tyop_2Ebinary__ieee_2Efloat @ TA @ TB] :
        ( ( c_2Ebinary__ieee_2Efloat__is__nan @ TA @ TB @ A )
        | ( c_2Ebinary__ieee_2Efloat__is__infinite @ TA @ TB @ A )
        | ( c_2Ebinary__ieee_2Efloat__is__normal @ TA @ TB @ A )
        | ( c_2Ebinary__ieee_2Efloat__is__subnormal @ TA @ TB @ A )
        | ( c_2Ebinary__ieee_2Efloat__is__zero @ TA @ TB @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(6,plain,(
    ~ ( c_2Ebinary__ieee_2Efloat__is__subnormal @ skt1 @ skt2 @ sk1 ) ),
    inference(cnf,[status(esa)],[5])).

thf(9,plain,(
    ~ ( c_2Ebinary__ieee_2Efloat__is__zero @ skt1 @ skt2 @ sk1 ) ),
    inference(cnf,[status(esa)],[5])).

thf(4,axiom,(
    ! [TA: $tType,TB: $tType,A: tyop_2Ebinary__ieee_2Efloat @ TA @ TB] :
      ( ( c_2Ebinary__ieee_2Efloat__is__finite @ TA @ TB @ A )
      = ( ( c_2Ebinary__ieee_2Efloat__is__normal @ TA @ TB @ A )
        | ( c_2Ebinary__ieee_2Efloat__is__subnormal @ TA @ TB @ A )
        | ( c_2Ebinary__ieee_2Efloat__is__zero @ TA @ TB @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebinary__ieee_2Efloat__is__finite)).

thf(13,plain,(
    ! [TA: $tType,TB: $tType,A: tyop_2Ebinary__ieee_2Efloat @ TA @ TB] :
      ( ( c_2Ebinary__ieee_2Efloat__is__finite @ TA @ TB @ A )
      = ( ( c_2Ebinary__ieee_2Efloat__is__normal @ TA @ TB @ A )
        | ( c_2Ebinary__ieee_2Efloat__is__subnormal @ TA @ TB @ A )
        | ( c_2Ebinary__ieee_2Efloat__is__zero @ TA @ TB @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(7,plain,(
    ~ ( c_2Ebinary__ieee_2Efloat__is__normal @ skt1 @ skt2 @ sk1 ) ),
    inference(cnf,[status(esa)],[5])).

thf(3,axiom,(
    ! [TA: $tType,TB: $tType,A: tyop_2Ebinary__ieee_2Efloat @ TA @ TB] :
      ( ( c_2Ebinary__ieee_2Efloat__is__nan @ TA @ TB @ A )
      | ( c_2Ebinary__ieee_2Efloat__is__infinite @ TA @ TB @ A )
      | ( c_2Ebinary__ieee_2Efloat__is__finite @ TA @ TB @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebinary__ieee_2Efloat__cases__finite)).

thf(11,plain,(
    ! [TA: $tType,TB: $tType,A: tyop_2Ebinary__ieee_2Efloat @ TA @ TB] :
      ( ( c_2Ebinary__ieee_2Efloat__is__nan @ TA @ TB @ A )
      | ( c_2Ebinary__ieee_2Efloat__is__infinite @ TA @ TB @ A )
      | ( c_2Ebinary__ieee_2Efloat__is__finite @ TA @ TB @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(8,plain,(
    ~ ( c_2Ebinary__ieee_2Efloat__is__nan @ skt1 @ skt2 @ sk1 ) ),
    inference(cnf,[status(esa)],[5])).

thf(16,plain,(
    $false ),
    inference(iprover,[status(thm)],[5,6,9,13,7,11,8])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.10/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.10/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.10/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.10/0.13  % CPULimit   : 300
% 0.10/0.13  % DateTime   : Wed Jul 31 08:17:44 EDT 2019
% 0.10/0.13  % CPUTime    : 
% 3.50/1.38  % [INFO] 	 Running in sequential loop mode. 
% 4.16/1.56  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.50/1.62  % [INFO] 	 iprover registered as external prover. 
% 4.50/1.62  % [INFO] 	 e registered as external prover. 
% 4.50/1.62  % [INFO] 	 cvc4 registered as external prover. 
% 4.50/1.63  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.50/1.68  % [INFO] 	 Found a conjecture and 25 axioms. Running axiom selection ... 
% 4.84/1.72  % [INFO] 	 Axiom selection finished. Selected 2 axioms (removed 23 axioms). 
% 4.84/1.74  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.46/2.23  % [INFO] 	 Killing All external provers ... 
% 6.46/2.24  % Time passed: 1971ms
% 6.46/2.24  % Effective reasoning time: 853ms
% 6.46/2.24  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.46/2.24  % Axioms used in derivation (2): thm_2Ebinary__ieee_2Efloat__is__finite, thm_2Ebinary__ieee_2Efloat__cases__finite
% 6.46/2.24  % No. of inferences in proof: 12
% 6.46/2.24  % No. of processed clauses: 5
% 6.46/2.24  % No. of generated clauses: 0
% 6.46/2.24  % No. of forward subsumed clauses: 0
% 6.46/2.24  % No. of backward subsumed clauses: 0
% 6.46/2.24  % No. of ground rewrite rules in store: 5
% 6.46/2.24  % No. of non-ground rewrite rules in store: 0
% 6.46/2.24  % No. of positive (non-rewrite) units in store: 0
% 6.46/2.24  % No. of negative (non-rewrite) units in store: 0
% 6.46/2.24  % No. of choice functions detected: 0
% 6.46/2.24  % No. of choice instantiations: 0
% 6.46/2.24  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 1971 ms resp. 853 ms w/o parsing
% 6.46/2.26  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.46/2.26  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.46/2.26  thf(c_2Ebinary__ieee_2Efloat__is__finite_type, type, c_2Ebinary__ieee_2Efloat__is__finite: !>[TA: $tType,TB: $tType]: ((tyop_2Ebinary__ieee_2Efloat @ TA @ TB) > $o)).
% 6.46/2.26  thf(c_2Ebinary__ieee_2Efloat__is__infinite_type, type, c_2Ebinary__ieee_2Efloat__is__infinite: !>[TA: $tType,TB: $tType]: ((tyop_2Ebinary__ieee_2Efloat @ TA @ TB) > $o)).
% 6.46/2.26  thf(c_2Ebinary__ieee_2Efloat__is__nan_type, type, c_2Ebinary__ieee_2Efloat__is__nan: !>[TA: $tType,TB: $tType]: ((tyop_2Ebinary__ieee_2Efloat @ TA @ TB) > $o)).
% 6.46/2.26  thf(c_2Ebinary__ieee_2Efloat__is__normal_type, type, c_2Ebinary__ieee_2Efloat__is__normal: !>[TA: $tType,TB: $tType]: ((tyop_2Ebinary__ieee_2Efloat @ TA @ TB) > $o)).
% 6.46/2.26  thf(c_2Ebinary__ieee_2Efloat__is__subnormal_type, type, c_2Ebinary__ieee_2Efloat__is__subnormal: !>[TA: $tType,TB: $tType]: ((tyop_2Ebinary__ieee_2Efloat @ TA @ TB) > $o)).
% 6.46/2.26  thf(c_2Ebinary__ieee_2Efloat__is__zero_type, type, c_2Ebinary__ieee_2Efloat__is__zero: !>[TA: $tType,TB: $tType]: ((tyop_2Ebinary__ieee_2Efloat @ TA @ TB) > $o)).
% 6.46/2.26  thf(skt1_type, type, skt1: $tType).
% 6.46/2.26  thf(skt2_type, type, skt2: $tType).
% 6.46/2.26  thf(sk1_type, type, sk1: (tyop_2Ebinary__ieee_2Efloat @ skt1 @ skt2)).
% 6.46/2.26  thf(1,conjecture,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Ebinary__ieee_2Efloat @ TA @ TB)]: ((c_2Ebinary__ieee_2Efloat__is__nan @ TA @ TB @ A) | (c_2Ebinary__ieee_2Efloat__is__infinite @ TA @ TB @ A) | (c_2Ebinary__ieee_2Efloat__is__normal @ TA @ TB @ A) | (c_2Ebinary__ieee_2Efloat__is__subnormal @ TA @ TB @ A) | (c_2Ebinary__ieee_2Efloat__is__zero @ TA @ TB @ A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebinary__ieee_2Efloat__cases)).
% 6.46/2.26  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType]: (! [A:(tyop_2Ebinary__ieee_2Efloat @ TA @ TB)]: ((c_2Ebinary__ieee_2Efloat__is__nan @ TA @ TB @ A) | (c_2Ebinary__ieee_2Efloat__is__infinite @ TA @ TB @ A) | (c_2Ebinary__ieee_2Efloat__is__normal @ TA @ TB @ A) | (c_2Ebinary__ieee_2Efloat__is__subnormal @ TA @ TB @ A) | (c_2Ebinary__ieee_2Efloat__is__zero @ TA @ TB @ A)))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.46/2.26  thf(5,plain,((~ (! [TA: $tType,TB: $tType]: (! [A:(tyop_2Ebinary__ieee_2Efloat @ TA @ TB)]: ((c_2Ebinary__ieee_2Efloat__is__nan @ TA @ TB @ A) | (c_2Ebinary__ieee_2Efloat__is__infinite @ TA @ TB @ A) | (c_2Ebinary__ieee_2Efloat__is__normal @ TA @ TB @ A) | (c_2Ebinary__ieee_2Efloat__is__subnormal @ TA @ TB @ A) | (c_2Ebinary__ieee_2Efloat__is__zero @ TA @ TB @ A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.46/2.26  thf(6,plain,((~ (c_2Ebinary__ieee_2Efloat__is__subnormal @ skt1 @ skt2 @ sk1))),inference(cnf,[status(esa)],[5])).
% 6.46/2.26  thf(9,plain,((~ (c_2Ebinary__ieee_2Efloat__is__zero @ skt1 @ skt2 @ sk1))),inference(cnf,[status(esa)],[5])).
% 6.46/2.26  thf(4,axiom,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Ebinary__ieee_2Efloat @ TA @ TB)]: ((c_2Ebinary__ieee_2Efloat__is__finite @ TA @ TB @ A) = ((c_2Ebinary__ieee_2Efloat__is__normal @ TA @ TB @ A) | (c_2Ebinary__ieee_2Efloat__is__subnormal @ TA @ TB @ A) | (c_2Ebinary__ieee_2Efloat__is__zero @ TA @ TB @ A)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebinary__ieee_2Efloat__is__finite)).
% 6.46/2.26  thf(13,plain,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Ebinary__ieee_2Efloat @ TA @ TB)]: ((c_2Ebinary__ieee_2Efloat__is__finite @ TA @ TB @ A) = ((c_2Ebinary__ieee_2Efloat__is__normal @ TA @ TB @ A) | (c_2Ebinary__ieee_2Efloat__is__subnormal @ TA @ TB @ A) | (c_2Ebinary__ieee_2Efloat__is__zero @ TA @ TB @ A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 6.46/2.26  thf(7,plain,((~ (c_2Ebinary__ieee_2Efloat__is__normal @ skt1 @ skt2 @ sk1))),inference(cnf,[status(esa)],[5])).
% 6.46/2.26  thf(3,axiom,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Ebinary__ieee_2Efloat @ TA @ TB)]: ((c_2Ebinary__ieee_2Efloat__is__nan @ TA @ TB @ A) | (c_2Ebinary__ieee_2Efloat__is__infinite @ TA @ TB @ A) | (c_2Ebinary__ieee_2Efloat__is__finite @ TA @ TB @ A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebinary__ieee_2Efloat__cases__finite)).
% 6.46/2.26  thf(11,plain,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Ebinary__ieee_2Efloat @ TA @ TB)]: ((c_2Ebinary__ieee_2Efloat__is__nan @ TA @ TB @ A) | (c_2Ebinary__ieee_2Efloat__is__infinite @ TA @ TB @ A) | (c_2Ebinary__ieee_2Efloat__is__finite @ TA @ TB @ A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.46/2.26  thf(8,plain,((~ (c_2Ebinary__ieee_2Efloat__is__nan @ skt1 @ skt2 @ sk1))),inference(cnf,[status(esa)],[5])).
% 6.46/2.26  thf(16,plain,($false),inference(iprover,[status(thm)],[5,6,9,13,7,11,8])).
% 6.46/2.26  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.46/2.26  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
