%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:42:41 EDT 2019

% Result     : Theorem 40.82s
% Output     : CNFRefutation 40.82s
% Verified   : 
% Statistics : Number of formulae       :   38 (  53 expanded)
%              Number of leaves         :   13 (  17 expanded)
%              Depth                    :   13
%              Number of atoms          :  306 ( 465 expanded)
%              Number of equality atoms :   44 (  62 expanded)
%              Maximal formula depth    :   13 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Ebool_2ECOND_type,type,(
    c_2Ebool_2ECOND: 
      !>[TA: $tType] :
        ( $o > TA > TA > TA ) )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $o )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: skt1 )).

thf(sk2_type,type,(
    sk2: skt1 )).

thf(sk3_type,type,(
    sk3: skt1 )).

thf(sk4_type,type,(
    sk4: $o )).

thf(19,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B )
        = A )
      & ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B )
        = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ECOND__CLAUSES)).

thf(115,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B )
        = A )
      & ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(117,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B )
      = A ) ),
    inference(cnf,[status(esa)],[115])).

thf(119,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B )
      = A ) ),
    inference(lifteq,[status(thm)],[117])).

thf(3,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( A = A )
      = c_2Ebool_2ET ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).

thf(25,plain,(
    ! [TA: $tType] : c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(26,plain,(
    c_2Ebool_2ET ),
    inference(cnf,[status(esa)],[25])).

thf(760,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Ebool_2ECOND @ TA @ $true @ A @ B )
      = A ) ),
    inference(rewrite,[status(thm)],[119,26])).

thf(1,conjecture,(
    ! [TA: $tType,A: TA,B: TA,C: TA,D: $o] :
      ( ( c_2Ebool_2ECOND @ TA @ D @ C @ ( c_2Ebool_2ECOND @ TA @ D @ B @ A ) )
      = ( c_2Ebool_2ECOND @ TA @ D @ C @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2EHolSmt_2Er023)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: TA,B: TA,C: TA,D: $o] :
        ( ( c_2Ebool_2ECOND @ TA @ D @ C @ ( c_2Ebool_2ECOND @ TA @ D @ B @ A ) )
        = ( c_2Ebool_2ECOND @ TA @ D @ C @ A ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(22,plain,(
    ~ ! [TA: $tType,A: TA,B: TA,C: TA,D: $o] :
        ( ( c_2Ebool_2ECOND @ TA @ D @ C @ ( c_2Ebool_2ECOND @ TA @ D @ B @ A ) )
        = ( c_2Ebool_2ECOND @ TA @ D @ C @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(23,plain,(
    ( c_2Ebool_2ECOND @ skt1 @ sk4 @ sk3 @ ( c_2Ebool_2ECOND @ skt1 @ sk4 @ sk2 @ sk1 ) )
 != ( c_2Ebool_2ECOND @ skt1 @ sk4 @ sk3 @ sk1 ) ),
    inference(cnf,[status(esa)],[22])).

thf(24,plain,(
    ( c_2Ebool_2ECOND @ skt1 @ sk4 @ sk3 @ ( c_2Ebool_2ECOND @ skt1 @ sk4 @ sk2 @ sk1 ) )
 != ( c_2Ebool_2ECOND @ skt1 @ sk4 @ sk3 @ sk1 ) ),
    inference(lifteq,[status(thm)],[23])).

thf(116,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B )
      = B ) ),
    inference(cnf,[status(esa)],[115])).

thf(118,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B )
      = B ) ),
    inference(lifteq,[status(thm)],[116])).

thf(7,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
          & A )
        = A )
      & ( ( A
          & c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF
          & A )
        = c_2Ebool_2EF )
      & ( ( A
          & c_2Ebool_2EF )
        = c_2Ebool_2EF )
      & ( ( A
          & A )
        = A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EAND__CLAUSES)).

thf(38,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
          & A )
        = A )
      & ( ( A
          & c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF
          & A )
        = c_2Ebool_2EF )
      & ( ( A
          & c_2Ebool_2EF )
        = c_2Ebool_2EF ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(41,plain,
    ( ( ( c_2Ebool_2ET
        & $false )
      = $false )
    & ( ( $false
        & c_2Ebool_2ET )
      = $false )
    & ( ( c_2Ebool_2EF
        & $false )
      = c_2Ebool_2EF )
    & ( ( $false
        & c_2Ebool_2EF )
      = c_2Ebool_2EF ) ),
    inference(instance,[status(thm)],[38])).

thf(42,plain,(
    ~ c_2Ebool_2EF ),
    inference(simp,[status(thm)],[41])).

thf(629,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Ebool_2ECOND @ TA @ $false @ A @ B )
      = B ) ),
    inference(rewrite,[status(thm)],[118,42])).

thf(631,plain,(
    ! [B: skt1,A: skt1] :
      ( ( ( c_2Ebool_2ECOND @ skt1 @ sk4 @ sk3 @ B )
       != ( c_2Ebool_2ECOND @ skt1 @ sk4 @ sk3 @ sk1 ) )
      | ( ( c_2Ebool_2ECOND @ skt1 @ $false @ A @ B )
       != ( c_2Ebool_2ECOND @ skt1 @ sk4 @ sk2 @ sk1 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[629,24])).

thf(677,plain,(
    ! [B: skt1,A: skt1] :
      ( ( sk4 != sk4 )
      | ( sk3 != sk3 )
      | ( B != sk1 )
      | sk4
      | ( A != sk2 )
      | ( B != sk1 ) ) ),
    inference(simp,[status(thm)],[631])).

thf(685,plain,(
    sk4 ),
    inference(simp,[status(thm)],[677])).

thf(709,plain,(
    ( c_2Ebool_2ECOND @ skt1 @ $true @ sk3 @ ( c_2Ebool_2ECOND @ skt1 @ $true @ sk2 @ sk1 ) )
 != ( c_2Ebool_2ECOND @ skt1 @ $true @ sk3 @ sk1 ) ),
    inference(rewrite,[status(thm)],[24,685])).

thf(6326,plain,(
    ! [B: skt1,A: skt1] :
      ( ( A
       != ( c_2Ebool_2ECOND @ skt1 @ $true @ sk3 @ sk1 ) )
      | ( ( c_2Ebool_2ECOND @ skt1 @ $true @ A @ B )
       != ( c_2Ebool_2ECOND @ skt1 @ $true @ sk3 @ ( c_2Ebool_2ECOND @ skt1 @ $true @ sk2 @ sk1 ) ) ) ) ),
    inference(paramod_ordered,[status(thm)],[760,709])).

thf(6327,plain,(
    ( c_2Ebool_2ECOND @ skt1 @ $true @ sk3 @ sk1 )
 != sk3 ),
    inference(pattern_uni,[status(thm)],[6326:[bind(A,$thf(sk3)),bind(B,$thf(c_2Ebool_2ECOND @ skt1 @ $true @ sk2 @ sk1))]])).

thf(6406,plain,(
    ! [B: skt1,A: skt1] :
      ( ( A != sk3 )
      | ( ( c_2Ebool_2ECOND @ skt1 @ $true @ A @ B )
       != ( c_2Ebool_2ECOND @ skt1 @ $true @ sk3 @ sk1 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[760,6327])).

thf(6407,plain,(
    sk3 != sk3 ),
    inference(pattern_uni,[status(thm)],[6406:[bind(A,$thf(sk3)),bind(B,$thf(sk1))]])).

thf(6436,plain,(
    $false ),
    inference(simp,[status(thm)],[6407])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.03/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.03/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.03/0.13  % CPULimit   : 300
% 0.03/0.13  % DateTime   : Wed Jul 31 08:37:09 EDT 2019
% 0.03/0.13  % CPUTime    : 
% 3.64/1.52  % [INFO] 	 Running in sequential loop mode. 
% 4.49/1.71  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.84/1.77  % [INFO] 	 iprover registered as external prover. 
% 4.84/1.78  % [INFO] 	 e registered as external prover. 
% 4.84/1.78  % [INFO] 	 cvc4 registered as external prover. 
% 4.84/1.78  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.02/1.83  % [INFO] 	 Found a conjecture and 35 axioms. Running axiom selection ... 
% 5.02/1.88  % [INFO] 	 Axiom selection finished. Selected 19 axioms (removed 16 axioms). 
% 5.28/1.94  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 40.82/7.83  % [INFO] 	 Killing All external provers ... 
% 40.82/7.83  % Time passed: 7569ms
% 40.82/7.83  % Effective reasoning time: 6303ms
% 40.82/7.83  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 40.82/7.83  % Axioms used in derivation (3): thm_2Ebool_2ECOND__CLAUSES, thm_2Ebool_2EREFL__CLAUSE, thm_2Ebool_2EAND__CLAUSES
% 40.82/7.83  % No. of inferences in proof: 29
% 40.82/7.83  % No. of processed clauses: 46
% 40.82/7.83  % No. of generated clauses: 944
% 40.82/7.83  % No. of forward subsumed clauses: 80
% 40.82/7.83  % No. of backward subsumed clauses: 0
% 40.82/7.83  % No. of ground rewrite rules in store: 11
% 40.82/7.83  % No. of non-ground rewrite rules in store: 14
% 40.82/7.83  % No. of positive (non-rewrite) units in store: 2
% 40.82/7.83  % No. of negative (non-rewrite) units in store: 14
% 40.82/7.84  % No. of choice functions detected: 0
% 40.82/7.84  % No. of choice instantiations: 0
% 40.82/7.84  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 7569 ms resp. 6303 ms w/o parsing
% 40.82/7.85  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 40.82/7.85  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 40.82/7.85  thf(c_2Ebool_2ECOND_type, type, c_2Ebool_2ECOND: !>[TA: $tType]: ($o > (TA > (TA > TA)))).
% 40.82/7.85  thf(c_2Ebool_2EF_type, type, c_2Ebool_2EF: $o).
% 40.82/7.85  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 40.82/7.85  thf(skt1_type, type, skt1: $tType).
% 40.82/7.85  thf(sk1_type, type, sk1: skt1).
% 40.82/7.85  thf(sk2_type, type, sk2: skt1).
% 40.82/7.85  thf(sk3_type, type, sk3: skt1).
% 40.82/7.85  thf(sk4_type, type, sk4: $o).
% 40.82/7.85  thf(19,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: (((c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B) = A) & ((c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B) = B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ECOND__CLAUSES)).
% 40.82/7.85  thf(115,plain,((! [TA: $tType]: (! [A:TA,B:TA]: (((c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B) = A) & ((c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B) = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).
% 40.82/7.85  thf(117,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B) = A))),inference(cnf,[status(esa)],[115])).
% 40.82/7.85  thf(119,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B) = A))),inference(lifteq,[status(thm)],[117])).
% 40.82/7.85  thf(3,axiom,((! [TA: $tType]: (! [A:TA]: ((A = A) = c_2Ebool_2ET)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).
% 40.82/7.85  thf(25,plain,((! [TA: $tType]: (c_2Ebool_2ET))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 40.82/7.85  thf(26,plain,(c_2Ebool_2ET),inference(cnf,[status(esa)],[25])).
% 40.82/7.85  thf(760,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Ebool_2ECOND @ TA @ $true @ A @ B) = A))),inference(rewrite,[status(thm)],[119,26])).
% 40.82/7.85  thf(1,conjecture,((! [TA: $tType]: (! [A:TA,B:TA,C:TA,D:$o]: ((c_2Ebool_2ECOND @ TA @ D @ C @ (c_2Ebool_2ECOND @ TA @ D @ B @ A)) = (c_2Ebool_2ECOND @ TA @ D @ C @ A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2EHolSmt_2Er023)).
% 40.82/7.85  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:TA,B:TA,C:TA,D:$o]: ((c_2Ebool_2ECOND @ TA @ D @ C @ (c_2Ebool_2ECOND @ TA @ D @ B @ A)) = (c_2Ebool_2ECOND @ TA @ D @ C @ A)))))),inference(neg_conjecture,[status(cth)],[1])).
% 40.82/7.85  thf(22,plain,((~ (! [TA: $tType]: (! [A:TA,B:TA,C:TA,D:$o]: ((c_2Ebool_2ECOND @ TA @ D @ C @ (c_2Ebool_2ECOND @ TA @ D @ B @ A)) = (c_2Ebool_2ECOND @ TA @ D @ C @ A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 40.82/7.85  thf(23,plain,((~ ((c_2Ebool_2ECOND @ skt1 @ sk4 @ sk3 @ (c_2Ebool_2ECOND @ skt1 @ sk4 @ sk2 @ sk1)) = (c_2Ebool_2ECOND @ skt1 @ sk4 @ sk3 @ sk1)))),inference(cnf,[status(esa)],[22])).
% 40.82/7.85  thf(24,plain,(((c_2Ebool_2ECOND @ skt1 @ sk4 @ sk3 @ (c_2Ebool_2ECOND @ skt1 @ sk4 @ sk2 @ sk1)) != (c_2Ebool_2ECOND @ skt1 @ sk4 @ sk3 @ sk1))),inference(lifteq,[status(thm)],[23])).
% 40.82/7.85  thf(116,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B) = B))),inference(cnf,[status(esa)],[115])).
% 40.82/7.85  thf(118,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B) = B))),inference(lifteq,[status(thm)],[116])).
% 40.82/7.85  thf(7,axiom,((! [A:$o]: ((((c_2Ebool_2ET) & (A)) = A) & (((A) & (c_2Ebool_2ET)) = A) & (((c_2Ebool_2EF) & (A)) = c_2Ebool_2EF) & (((A) & (c_2Ebool_2EF)) = c_2Ebool_2EF) & (((A) & (A)) = A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EAND__CLAUSES)).
% 40.82/7.85  thf(38,plain,((! [A:$o]: ((((c_2Ebool_2ET) & (A)) = A) & (((A) & (c_2Ebool_2ET)) = A) & (((c_2Ebool_2EF) & (A)) = c_2Ebool_2EF) & (((A) & (c_2Ebool_2EF)) = c_2Ebool_2EF)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 40.82/7.85  thf(41,plain,(((((c_2Ebool_2ET) & ($false)) = $false) & ((($false) & (c_2Ebool_2ET)) = $false) & (((c_2Ebool_2EF) & ($false)) = c_2Ebool_2EF) & ((($false) & (c_2Ebool_2EF)) = c_2Ebool_2EF))),inference(instance,[status(thm)],[38])).
% 40.82/7.85  thf(42,plain,(~ (c_2Ebool_2EF)),inference(simp,[status(thm)],[41])).
% 40.82/7.85  thf(629,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Ebool_2ECOND @ TA @ $false @ A @ B) = B))),inference(rewrite,[status(thm)],[118,42])).
% 40.82/7.85  thf(631,plain,(! [B:skt1,A:skt1] : (((c_2Ebool_2ECOND @ skt1 @ sk4 @ sk3 @ B) != (c_2Ebool_2ECOND @ skt1 @ sk4 @ sk3 @ sk1)) | ((c_2Ebool_2ECOND @ skt1 @ $false @ A @ B) != (c_2Ebool_2ECOND @ skt1 @ sk4 @ sk2 @ sk1)))),inference(paramod_ordered,[status(thm)],[629,24])).
% 40.82/7.85  thf(677,plain,(! [B:skt1,A:skt1] : ((sk4 != sk4) | (sk3 != sk3) | (B != sk1) | sk4 | (A != sk2) | (B != sk1))),inference(simp,[status(thm)],[631])).
% 40.82/7.85  thf(685,plain,(sk4),inference(simp,[status(thm)],[677])).
% 40.82/7.85  thf(709,plain,(((c_2Ebool_2ECOND @ skt1 @ $true @ sk3 @ (c_2Ebool_2ECOND @ skt1 @ $true @ sk2 @ sk1)) != (c_2Ebool_2ECOND @ skt1 @ $true @ sk3 @ sk1))),inference(rewrite,[status(thm)],[24,685])).
% 40.82/7.85  thf(6326,plain,(! [B:skt1,A:skt1] : ((A != (c_2Ebool_2ECOND @ skt1 @ $true @ sk3 @ sk1)) | ((c_2Ebool_2ECOND @ skt1 @ $true @ A @ B) != (c_2Ebool_2ECOND @ skt1 @ $true @ sk3 @ (c_2Ebool_2ECOND @ skt1 @ $true @ sk2 @ sk1))))),inference(paramod_ordered,[status(thm)],[760,709])).
% 40.82/7.85  thf(6327,plain,(((c_2Ebool_2ECOND @ skt1 @ $true @ sk3 @ sk1) != sk3)),inference(pattern_uni,[status(thm)],[6326:[bind(A, $thf(sk3)),bind(B, $thf(c_2Ebool_2ECOND @ skt1 @ $true @ sk2 @ sk1))]])).
% 40.82/7.85  thf(6406,plain,(! [B:skt1,A:skt1] : ((A != sk3) | ((c_2Ebool_2ECOND @ skt1 @ $true @ A @ B) != (c_2Ebool_2ECOND @ skt1 @ $true @ sk3 @ sk1)))),inference(paramod_ordered,[status(thm)],[760,6327])).
% 40.82/7.85  thf(6407,plain,((sk3 != sk3)),inference(pattern_uni,[status(thm)],[6406:[bind(A, $thf(sk3)),bind(B, $thf(sk1))]])).
% 40.82/7.85  thf(6436,plain,($false),inference(simp,[status(thm)],[6407])).
% 40.82/7.85  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 40.82/7.85  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
