%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:43:06 EDT 2019

% Result     : Theorem 6.16s
% Output     : CNFRefutation 6.16s
% Verified   : 
% Statistics : Number of formulae       :   27 (  27 expanded)
%              Number of leaves         :   17 (  17 expanded)
%              Depth                    :    3
%              Number of atoms          :  166 ( 166 expanded)
%              Number of equality atoms :   33 (  33 expanded)
%              Maximal formula depth    :   11 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: 
      !>[TA: $tType,TB: $tType] :
        ( TA > TB > ( tyop_2Epair_2Eprod @ TA @ TB ) ) )).

thf(c_2Epair_2EFST_type,type,(
    c_2Epair_2EFST: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Epair_2Eprod @ TA @ TB ) > TA ) )).

thf(c_2Ecomplex_2EIM_type,type,(
    c_2Ecomplex_2EIM: ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal )).

thf(c_2Ecomplex_2ERE_type,type,(
    c_2Ecomplex_2ERE: ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal )).

thf(c_2Epair_2ESND_type,type,(
    c_2Epair_2ESND: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Epair_2Eprod @ TA @ TB ) > TB ) )).

thf(c_2Ecomplex_2Ecomplex__neg_type,type,(
    c_2Ecomplex_2Ecomplex__neg: ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) )).

thf(c_2Erealax_2Ereal__neg_type,type,(
    c_2Erealax_2Ereal__neg: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(1,conjecture,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal,B: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ecomplex_2Ecomplex__neg @ A )
        = B )
      = ( A
        = ( c_2Ecomplex_2Ecomplex__neg @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2ECOMPLEX__NEG__EQ)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal,B: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
        ( ( ( c_2Ecomplex_2Ecomplex__neg @ A )
          = B )
        = ( A
          = ( c_2Ecomplex_2Ecomplex__neg @ B ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(10,plain,(
    ~ ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal,B: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
        ( ( ( c_2Ecomplex_2Ecomplex__neg @ A )
          = B )
        = ( A
          = ( c_2Ecomplex_2Ecomplex__neg @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(7,axiom,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( c_2Epair_2ESND @ TA @ TB @ ( c_2Epair_2E_2C @ TA @ TB @ A @ B ) )
      = B ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2ESND)).

thf(25,plain,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( c_2Epair_2ESND @ TA @ TB @ ( c_2Epair_2E_2C @ TA @ TB @ A @ B ) )
      = B ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(8,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Erealax_2Ereal__neg @ A )
        = B )
      = ( A
        = ( c_2Erealax_2Ereal__neg @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__NEG__EQ)).

thf(28,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Erealax_2Ereal__neg @ A )
        = B )
      = ( A
        = ( c_2Erealax_2Ereal__neg @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(3,axiom,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( c_2Epair_2EFST @ TA @ TB @ ( c_2Epair_2E_2C @ TA @ TB @ A @ B ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2EFST)).

thf(13,plain,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( c_2Epair_2EFST @ TA @ TB @ ( c_2Epair_2E_2C @ TA @ TB @ A @ B ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(6,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2ERE @ A )
      = ( c_2Epair_2EFST @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2ERE)).

thf(22,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2ERE @ A )
      = ( c_2Epair_2EFST @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(4,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal,B: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( A = B )
      = ( ( ( c_2Ecomplex_2ERE @ A )
          = ( c_2Ecomplex_2ERE @ B ) )
        & ( ( c_2Ecomplex_2EIM @ A )
          = ( c_2Ecomplex_2EIM @ B ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2ECOMPLEX__RE__IM__EQ)).

thf(16,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal,B: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( A = B )
      = ( ( ( c_2Ecomplex_2ERE @ A )
          = ( c_2Ecomplex_2ERE @ B ) )
        & ( ( c_2Ecomplex_2EIM @ A )
          = ( c_2Ecomplex_2EIM @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(9,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2Ecomplex__neg @ A )
      = ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ ( c_2Erealax_2Ereal__neg @ ( c_2Ecomplex_2ERE @ A ) ) @ ( c_2Erealax_2Ereal__neg @ ( c_2Ecomplex_2EIM @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2Ecomplex__neg)).

thf(31,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2Ecomplex__neg @ A )
      = ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ ( c_2Erealax_2Ereal__neg @ ( c_2Ecomplex_2ERE @ A ) ) @ ( c_2Erealax_2Ereal__neg @ ( c_2Ecomplex_2EIM @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(5,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2EIM @ A )
      = ( c_2Epair_2ESND @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2EIM)).

thf(19,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2EIM @ A )
      = ( c_2Epair_2ESND @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(39,plain,(
    $false ),
    inference(e,[status(thm)],[10,25,28,13,22,16,31,19])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.06/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.06/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.06/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.06/0.13  % CPULimit   : 300
% 0.06/0.13  % DateTime   : Wed Jul 31 08:59:21 EDT 2019
% 0.06/0.13  % CPUTime    : 
% 3.14/1.35  % [INFO] 	 Running in sequential loop mode. 
% 4.07/1.57  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.27/1.63  % [INFO] 	 iprover registered as external prover. 
% 4.27/1.64  % [INFO] 	 e registered as external prover. 
% 4.27/1.64  % [INFO] 	 cvc4 registered as external prover. 
% 4.27/1.64  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.45/1.70  % [INFO] 	 Found a conjecture and 17 axioms. Running axiom selection ... 
% 4.45/1.75  % [INFO] 	 Axiom selection finished. Selected 7 axioms (removed 10 axioms). 
% 4.68/1.78  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.16/2.29  % [INFO] 	 Killing All external provers ... 
% 6.16/2.30  % Time passed: 2014ms
% 6.16/2.30  % Effective reasoning time: 938ms
% 6.16/2.30  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.16/2.30  % Axioms used in derivation (7): thm_2Ecomplex_2Ecomplex__neg, thm_2Epair_2ESND, thm_2Epair_2EFST, thm_2Ecomplex_2ERE, thm_2Ecomplex_2EIM, thm_2Ereal_2EREAL__NEG__EQ, thm_2Ecomplex_2ECOMPLEX__RE__IM__EQ
% 6.16/2.30  % No. of inferences in proof: 18
% 6.16/2.30  % No. of processed clauses: 1
% 6.16/2.30  % No. of generated clauses: 3
% 6.16/2.30  % No. of forward subsumed clauses: 0
% 6.16/2.30  % No. of backward subsumed clauses: 0
% 6.16/2.30  % No. of ground rewrite rules in store: 0
% 6.16/2.30  % No. of non-ground rewrite rules in store: 0
% 6.16/2.30  % No. of positive (non-rewrite) units in store: 0
% 6.16/2.30  % No. of negative (non-rewrite) units in store: 1
% 6.16/2.30  % No. of choice functions detected: 0
% 6.16/2.30  % No. of choice instantiations: 0
% 6.16/2.30  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2014 ms resp. 938 ms w/o parsing
% 6.16/2.32  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.16/2.32  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.16/2.32  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 6.16/2.32  thf(c_2Epair_2E_2C_type, type, c_2Epair_2E_2C: !>[TA: $tType,TB: $tType]: (TA > (TB > (tyop_2Epair_2Eprod @ TA @ TB)))).
% 6.16/2.32  thf(c_2Epair_2EFST_type, type, c_2Epair_2EFST: !>[TA: $tType,TB: $tType]: ((tyop_2Epair_2Eprod @ TA @ TB) > TA)).
% 6.16/2.32  thf(c_2Ecomplex_2EIM_type, type, c_2Ecomplex_2EIM: ((tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) > tyop_2Erealax_2Ereal)).
% 6.16/2.32  thf(c_2Ecomplex_2ERE_type, type, c_2Ecomplex_2ERE: ((tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) > tyop_2Erealax_2Ereal)).
% 6.16/2.32  thf(c_2Epair_2ESND_type, type, c_2Epair_2ESND: !>[TA: $tType,TB: $tType]: ((tyop_2Epair_2Eprod @ TA @ TB) > TB)).
% 6.16/2.32  thf(c_2Ecomplex_2Ecomplex__neg_type, type, c_2Ecomplex_2Ecomplex__neg: ((tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) > (tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal))).
% 6.16/2.32  thf(c_2Erealax_2Ereal__neg_type, type, c_2Erealax_2Ereal__neg: (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal)).
% 6.16/2.32  thf(1,conjecture,((! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal),B:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: (((c_2Ecomplex_2Ecomplex__neg @ A) = B) = (A = (c_2Ecomplex_2Ecomplex__neg @ B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2ECOMPLEX__NEG__EQ)).
% 6.16/2.32  thf(2,negated_conjecture,((~ (! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal),B:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: (((c_2Ecomplex_2Ecomplex__neg @ A) = B) = (A = (c_2Ecomplex_2Ecomplex__neg @ B)))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.16/2.32  thf(10,plain,((~ (! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal),B:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: (((c_2Ecomplex_2Ecomplex__neg @ A) = B) = (A = (c_2Ecomplex_2Ecomplex__neg @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.16/2.32  thf(7,axiom,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB]: ((c_2Epair_2ESND @ TA @ TB @ (c_2Epair_2E_2C @ TA @ TB @ A @ B)) = B)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2ESND)).
% 6.16/2.32  thf(25,plain,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB]: ((c_2Epair_2ESND @ TA @ TB @ (c_2Epair_2E_2C @ TA @ TB @ A @ B)) = B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 6.16/2.32  thf(8,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: (((c_2Erealax_2Ereal__neg @ A) = B) = (A = (c_2Erealax_2Ereal__neg @ B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__NEG__EQ)).
% 6.16/2.32  thf(28,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: (((c_2Erealax_2Ereal__neg @ A) = B) = (A = (c_2Erealax_2Ereal__neg @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 6.16/2.32  thf(3,axiom,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB]: ((c_2Epair_2EFST @ TA @ TB @ (c_2Epair_2E_2C @ TA @ TB @ A @ B)) = A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2EFST)).
% 6.16/2.32  thf(13,plain,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB]: ((c_2Epair_2EFST @ TA @ TB @ (c_2Epair_2E_2C @ TA @ TB @ A @ B)) = A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.16/2.32  thf(6,axiom,((! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((c_2Ecomplex_2ERE @ A) = (c_2Epair_2EFST @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2ERE)).
% 6.16/2.32  thf(22,plain,((! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((c_2Ecomplex_2ERE @ A) = (c_2Epair_2EFST @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 6.16/2.32  thf(4,axiom,((! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal),B:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((A = B) = (((c_2Ecomplex_2ERE @ A) = (c_2Ecomplex_2ERE @ B)) & ((c_2Ecomplex_2EIM @ A) = (c_2Ecomplex_2EIM @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2ECOMPLEX__RE__IM__EQ)).
% 6.16/2.32  thf(16,plain,((! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal),B:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((A = B) = (((c_2Ecomplex_2ERE @ A) = (c_2Ecomplex_2ERE @ B)) & ((c_2Ecomplex_2EIM @ A) = (c_2Ecomplex_2EIM @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 6.16/2.32  thf(9,axiom,((! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((c_2Ecomplex_2Ecomplex__neg @ A) = (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ (c_2Erealax_2Ereal__neg @ (c_2Ecomplex_2ERE @ A)) @ (c_2Erealax_2Ereal__neg @ (c_2Ecomplex_2EIM @ A)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2Ecomplex__neg)).
% 6.16/2.32  thf(31,plain,((! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((c_2Ecomplex_2Ecomplex__neg @ A) = (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ (c_2Erealax_2Ereal__neg @ (c_2Ecomplex_2ERE @ A)) @ (c_2Erealax_2Ereal__neg @ (c_2Ecomplex_2EIM @ A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 6.16/2.32  thf(5,axiom,((! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((c_2Ecomplex_2EIM @ A) = (c_2Epair_2ESND @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2EIM)).
% 6.16/2.32  thf(19,plain,((! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((c_2Ecomplex_2EIM @ A) = (c_2Epair_2ESND @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 6.16/2.32  thf(39,plain,($false),inference(e,[status(thm)],[10,25,28,13,22,16,31,19])).
% 6.16/2.32  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.16/2.32  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
