%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:43:12 EDT 2019

% Result     : Theorem 5.42s
% Output     : CNFRefutation 5.42s
% Verified   : 
% Statistics : Number of formulae       :   27 (  27 expanded)
%              Number of leaves         :   18 (  18 expanded)
%              Depth                    :    3
%              Number of atoms          :  142 ( 142 expanded)
%              Number of equality atoms :   27 (  27 expanded)
%              Maximal formula depth    :   11 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: 
      !>[TA: $tType,TB: $tType] :
        ( TA > TB > ( tyop_2Epair_2Eprod @ TA @ TB ) ) )).

thf(c_2Enum_2E0_type,type,(
    c_2Enum_2E0: tyop_2Enum_2Enum )).

thf(c_2Epair_2EFST_type,type,(
    c_2Epair_2EFST: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Epair_2Eprod @ TA @ TB ) > TA ) )).

thf(c_2Ecomplex_2EIM_type,type,(
    c_2Ecomplex_2EIM: ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal )).

thf(c_2Ecomplex_2ERE_type,type,(
    c_2Ecomplex_2ERE: ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal )).

thf(c_2Epair_2ESND_type,type,(
    c_2Epair_2ESND: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Epair_2Eprod @ TA @ TB ) > TB ) )).

thf(c_2Ecomplex_2Ecomplex__of__real_type,type,(
    c_2Ecomplex_2Ecomplex__of__real: tyop_2Erealax_2Ereal > ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) )).

thf(c_2Ereal_2Ereal__of__num_type,type,(
    c_2Ereal_2Ereal__of__num: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal )).

thf(7,axiom,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( c_2Epair_2ESND @ TA @ TB @ ( c_2Epair_2E_2C @ TA @ TB @ A @ B ) )
      = B ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2ESND)).

thf(24,plain,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( c_2Epair_2ESND @ TA @ TB @ ( c_2Epair_2E_2C @ TA @ TB @ A @ B ) )
      = B ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(6,axiom,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( c_2Epair_2EFST @ TA @ TB @ ( c_2Epair_2E_2C @ TA @ TB @ A @ B ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2EFST)).

thf(21,plain,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( c_2Epair_2EFST @ TA @ TB @ ( c_2Epair_2E_2C @ TA @ TB @ A @ B ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(1,conjecture,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ecomplex_2Ecomplex__of__real @ A )
        = ( c_2Ecomplex_2Ecomplex__of__real @ B ) )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2ECOMPLEX__OF__REAL__EQ)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
        ( ( ( c_2Ecomplex_2Ecomplex__of__real @ A )
          = ( c_2Ecomplex_2Ecomplex__of__real @ B ) )
        = ( A = B ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(9,plain,(
    ~ ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
        ( ( ( c_2Ecomplex_2Ecomplex__of__real @ A )
          = ( c_2Ecomplex_2Ecomplex__of__real @ B ) )
        = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(8,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2Ecomplex__of__real @ A )
      = ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2Ecomplex__of__real)).

thf(27,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2Ecomplex__of__real @ A )
      = ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(3,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal,B: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( A = B )
      = ( ( ( c_2Ecomplex_2ERE @ A )
          = ( c_2Ecomplex_2ERE @ B ) )
        & ( ( c_2Ecomplex_2EIM @ A )
          = ( c_2Ecomplex_2EIM @ B ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2ECOMPLEX__RE__IM__EQ)).

thf(12,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal,B: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( A = B )
      = ( ( ( c_2Ecomplex_2ERE @ A )
          = ( c_2Ecomplex_2ERE @ B ) )
        & ( ( c_2Ecomplex_2EIM @ A )
          = ( c_2Ecomplex_2EIM @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(5,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2EIM @ A )
      = ( c_2Epair_2ESND @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2EIM)).

thf(18,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2EIM @ A )
      = ( c_2Epair_2ESND @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(4,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2ERE @ A )
      = ( c_2Epair_2EFST @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2ERE)).

thf(15,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2ERE @ A )
      = ( c_2Epair_2EFST @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(34,plain,(
    $false ),
    inference(iprover,[status(thm)],[24,21,9,27,12,18,15])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.00/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.12/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.12/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.12/0.13  % CPULimit   : 300
% 0.12/0.13  % DateTime   : Wed Jul 31 09:06:09 EDT 2019
% 0.12/0.13  % CPUTime    : 
% 2.67/1.20  % [INFO] 	 Running in sequential loop mode. 
% 3.30/1.37  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.56/1.44  % [INFO] 	 iprover registered as external prover. 
% 3.56/1.44  % [INFO] 	 e registered as external prover. 
% 3.56/1.44  % [INFO] 	 cvc4 registered as external prover. 
% 3.56/1.44  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.88/1.49  % [INFO] 	 Found a conjecture and 17 axioms. Running axiom selection ... 
% 4.05/1.54  % [INFO] 	 Axiom selection finished. Selected 6 axioms (removed 11 axioms). 
% 4.05/1.56  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 5.42/2.00  % [INFO] 	 Killing All external provers ... 
% 5.42/2.00  % Time passed: 1734ms
% 5.42/2.00  % Effective reasoning time: 799ms
% 5.42/2.00  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 5.42/2.00  % Axioms used in derivation (6): thm_2Epair_2ESND, thm_2Epair_2EFST, thm_2Ecomplex_2ERE, thm_2Ecomplex_2EIM, thm_2Ecomplex_2Ecomplex__of__real, thm_2Ecomplex_2ECOMPLEX__RE__IM__EQ
% 5.42/2.00  % No. of inferences in proof: 16
% 5.42/2.00  % No. of processed clauses: 1
% 5.42/2.00  % No. of generated clauses: 2
% 5.42/2.00  % No. of forward subsumed clauses: 0
% 5.42/2.00  % No. of backward subsumed clauses: 0
% 5.42/2.00  % No. of ground rewrite rules in store: 0
% 5.42/2.00  % No. of non-ground rewrite rules in store: 0
% 5.42/2.00  % No. of positive (non-rewrite) units in store: 0
% 5.42/2.00  % No. of negative (non-rewrite) units in store: 1
% 5.42/2.00  % No. of choice functions detected: 0
% 5.42/2.00  % No. of choice instantiations: 0
% 5.42/2.00  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 1734 ms resp. 799 ms w/o parsing
% 5.42/2.03  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 5.42/2.03  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 5.42/2.03  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 5.42/2.03  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 5.42/2.03  thf(c_2Epair_2E_2C_type, type, c_2Epair_2E_2C: !>[TA: $tType,TB: $tType]: (TA > (TB > (tyop_2Epair_2Eprod @ TA @ TB)))).
% 5.42/2.03  thf(c_2Enum_2E0_type, type, c_2Enum_2E0: tyop_2Enum_2Enum).
% 5.42/2.03  thf(c_2Epair_2EFST_type, type, c_2Epair_2EFST: !>[TA: $tType,TB: $tType]: ((tyop_2Epair_2Eprod @ TA @ TB) > TA)).
% 5.42/2.03  thf(c_2Ecomplex_2EIM_type, type, c_2Ecomplex_2EIM: ((tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) > tyop_2Erealax_2Ereal)).
% 5.42/2.03  thf(c_2Ecomplex_2ERE_type, type, c_2Ecomplex_2ERE: ((tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) > tyop_2Erealax_2Ereal)).
% 5.42/2.03  thf(c_2Epair_2ESND_type, type, c_2Epair_2ESND: !>[TA: $tType,TB: $tType]: ((tyop_2Epair_2Eprod @ TA @ TB) > TB)).
% 5.42/2.03  thf(c_2Ecomplex_2Ecomplex__of__real_type, type, c_2Ecomplex_2Ecomplex__of__real: (tyop_2Erealax_2Ereal > (tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal))).
% 5.42/2.03  thf(c_2Ereal_2Ereal__of__num_type, type, c_2Ereal_2Ereal__of__num: (tyop_2Enum_2Enum > tyop_2Erealax_2Ereal)).
% 5.42/2.03  thf(7,axiom,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB]: ((c_2Epair_2ESND @ TA @ TB @ (c_2Epair_2E_2C @ TA @ TB @ A @ B)) = B)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2ESND)).
% 5.42/2.03  thf(24,plain,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB]: ((c_2Epair_2ESND @ TA @ TB @ (c_2Epair_2E_2C @ TA @ TB @ A @ B)) = B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 5.42/2.03  thf(6,axiom,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB]: ((c_2Epair_2EFST @ TA @ TB @ (c_2Epair_2E_2C @ TA @ TB @ A @ B)) = A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2EFST)).
% 5.42/2.03  thf(21,plain,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB]: ((c_2Epair_2EFST @ TA @ TB @ (c_2Epair_2E_2C @ TA @ TB @ A @ B)) = A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 5.42/2.03  thf(1,conjecture,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: (((c_2Ecomplex_2Ecomplex__of__real @ A) = (c_2Ecomplex_2Ecomplex__of__real @ B)) = (A = B)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2ECOMPLEX__OF__REAL__EQ)).
% 5.42/2.03  thf(2,negated_conjecture,((~ (! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: (((c_2Ecomplex_2Ecomplex__of__real @ A) = (c_2Ecomplex_2Ecomplex__of__real @ B)) = (A = B))))),inference(neg_conjecture,[status(cth)],[1])).
% 5.42/2.03  thf(9,plain,((~ (! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: (((c_2Ecomplex_2Ecomplex__of__real @ A) = (c_2Ecomplex_2Ecomplex__of__real @ B)) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 5.42/2.03  thf(8,axiom,((! [A:tyop_2Erealax_2Ereal]: ((c_2Ecomplex_2Ecomplex__of__real @ A) = (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2Ecomplex__of__real)).
% 5.42/2.03  thf(27,plain,((! [A:tyop_2Erealax_2Ereal]: ((c_2Ecomplex_2Ecomplex__of__real @ A) = (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 5.42/2.03  thf(3,axiom,((! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal),B:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((A = B) = (((c_2Ecomplex_2ERE @ A) = (c_2Ecomplex_2ERE @ B)) & ((c_2Ecomplex_2EIM @ A) = (c_2Ecomplex_2EIM @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2ECOMPLEX__RE__IM__EQ)).
% 5.42/2.03  thf(12,plain,((! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal),B:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((A = B) = (((c_2Ecomplex_2ERE @ A) = (c_2Ecomplex_2ERE @ B)) & ((c_2Ecomplex_2EIM @ A) = (c_2Ecomplex_2EIM @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 5.42/2.03  thf(5,axiom,((! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((c_2Ecomplex_2EIM @ A) = (c_2Epair_2ESND @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2EIM)).
% 5.42/2.03  thf(18,plain,((! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((c_2Ecomplex_2EIM @ A) = (c_2Epair_2ESND @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 5.42/2.03  thf(4,axiom,((! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((c_2Ecomplex_2ERE @ A) = (c_2Epair_2EFST @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2ERE)).
% 5.42/2.03  thf(15,plain,((! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((c_2Ecomplex_2ERE @ A) = (c_2Epair_2EFST @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 5.42/2.03  thf(34,plain,($false),inference(iprover,[status(thm)],[24,21,9,27,12,18,15])).
% 5.42/2.03  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 5.42/2.03  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
