%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:43:15 EDT 2019

% Result     : Theorem 5.09s
% Output     : CNFRefutation 5.26s
% Verified   : 
% Statistics : Number of formulae       :   44 (  44 expanded)
%              Number of leaves         :   28 (  28 expanded)
%              Depth                    :    3
%              Number of atoms          :  170 ( 170 expanded)
%              Number of equality atoms :   32 (  32 expanded)
%              Maximal formula depth    :    8 (   5 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Ecomplex_2Ecomplex__neg_type,type,(
    c_2Ecomplex_2Ecomplex__neg: ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) )).

thf(c_2Ecomplex_2Ecomplex__scalar__lmul_type,type,(
    c_2Ecomplex_2Ecomplex__scalar__lmul: tyop_2Erealax_2Ereal > ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) )).

thf(c_2Ecomplex_2Ecomplex__scalar__rmul_type,type,(
    c_2Ecomplex_2Ecomplex__scalar__rmul: ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal > ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) )).

thf(c_2Erealax_2Ereal__neg_type,type,(
    c_2Erealax_2Ereal__neg: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $o > $o )).

thf(14,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(56,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(12,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(42,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(5,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( A = B )
      = ( B = A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__SYM__EQ)).

thf(25,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( A = B )
      = ( B = A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(6,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( A = A )
      = c_2Ebool_2ET ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).

thf(28,plain,(
    ! [TA: $tType] : c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(9,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(33,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(15,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(65,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(8,axiom,(
    c_2Ebool_2ET ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(32,plain,(
    c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(4,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2Ecomplex__scalar__lmul @ A @ ( c_2Ecomplex_2Ecomplex__neg @ B ) )
      = ( c_2Ecomplex_2Ecomplex__scalar__lmul @ ( c_2Erealax_2Ereal__neg @ A ) @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2ECOMPLEX__NEG__SCALAR__LMUL)).

thf(22,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2Ecomplex__scalar__lmul @ A @ ( c_2Ecomplex_2Ecomplex__neg @ B ) )
      = ( c_2Ecomplex_2Ecomplex__scalar__lmul @ ( c_2Erealax_2Ereal__neg @ A ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(11,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(39,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(1,conjecture,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2Ecomplex__scalar__rmul @ ( c_2Ecomplex_2Ecomplex__neg @ B ) @ A )
      = ( c_2Ecomplex_2Ecomplex__scalar__rmul @ B @ ( c_2Erealax_2Ereal__neg @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2ECOMPLEX__NEG__SCALAR__RMUL)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Erealax_2Ereal,B: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
        ( ( c_2Ecomplex_2Ecomplex__scalar__rmul @ ( c_2Ecomplex_2Ecomplex__neg @ B ) @ A )
        = ( c_2Ecomplex_2Ecomplex__scalar__rmul @ B @ ( c_2Erealax_2Ereal__neg @ A ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(16,plain,(
    ~ ! [A: tyop_2Erealax_2Ereal,B: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
        ( ( c_2Ecomplex_2Ecomplex__scalar__rmul @ ( c_2Ecomplex_2Ecomplex__neg @ B ) @ A )
        = ( c_2Ecomplex_2Ecomplex__scalar__rmul @ B @ ( c_2Erealax_2Ereal__neg @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(10,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(36,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(7,axiom,(
    ! [TA: $tType,A: $o] :
      ( ( ! [B: TA] : A )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EFORALL__SIMP)).

thf(30,plain,(
    ! [TA: $tType] : $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(13,axiom,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(51,plain,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(3,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2Ecomplex__scalar__lmul @ A @ B )
      = ( c_2Ecomplex_2Ecomplex__scalar__rmul @ B @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2ECOMPLEX__SCALAR__MUL__COMM)).

thf(19,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2Ecomplex__scalar__lmul @ A @ B )
      = ( c_2Ecomplex_2Ecomplex__scalar__rmul @ B @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(74,plain,(
    $false ),
    inference(cvc4,[status(thm)],[56,42,25,28,33,65,32,22,39,16,36,30,51,19])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.06/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.06/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.06/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.06/0.12  % CPULimit   : 300
% 0.06/0.12  % DateTime   : Wed Jul 31 09:03:10 EDT 2019
% 0.06/0.13  % CPUTime    : 
% 2.32/1.11  % [INFO] 	 Running in sequential loop mode. 
% 3.12/1.30  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.33/1.36  % [INFO] 	 iprover registered as external prover. 
% 3.33/1.36  % [INFO] 	 e registered as external prover. 
% 3.33/1.36  % [INFO] 	 cvc4 registered as external prover. 
% 3.33/1.36  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.44/1.41  % [INFO] 	 Found a conjecture and 13 axioms. Running axiom selection ... 
% 3.64/1.44  % [INFO] 	 Axiom selection finished. Selected 13 axioms (removed 0 axioms). 
% 3.73/1.48  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 5.09/1.97  % [INFO] 	 Killing All external provers ... 
% 5.09/1.97  % Time passed: 1718ms
% 5.09/1.97  % Effective reasoning time: 858ms
% 5.09/1.98  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 5.09/1.98  % Axioms used in derivation (13): logicdef_2E_3D, thm_2Ebool_2EREFL__CLAUSE, logicdef_2E_5C_2F, quantdef_2E_21, thm_2Ebool_2ETRUTH, logicdef_2E_3D_3D_3E, thm_2Ecomplex_2ECOMPLEX__NEG__SCALAR__LMUL, thm_2Ebool_2EFORALL__SIMP, thm_2Ecomplex_2ECOMPLEX__SCALAR__MUL__COMM, thm_2Ebool_2EEQ__SYM__EQ, logicdef_2E_2F_5C, logicdef_2E_7E, quantdef_2E_3F
% 5.09/1.98  % No. of inferences in proof: 30
% 5.09/1.98  % No. of processed clauses: 1
% 5.09/1.98  % No. of generated clauses: 0
% 5.09/1.98  % No. of forward subsumed clauses: 0
% 5.09/1.98  % No. of backward subsumed clauses: 0
% 5.09/1.98  % No. of ground rewrite rules in store: 1
% 5.09/1.98  % No. of non-ground rewrite rules in store: 0
% 5.09/1.98  % No. of positive (non-rewrite) units in store: 0
% 5.09/1.98  % No. of negative (non-rewrite) units in store: 0
% 5.09/1.98  % No. of choice functions detected: 0
% 5.09/1.98  % No. of choice instantiations: 0
% 5.09/1.98  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 1718 ms resp. 858 ms w/o parsing
% 5.26/2.01  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 5.26/2.01  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 5.26/2.01  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 5.26/2.01  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 5.26/2.01  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 5.26/2.01  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 5.26/2.01  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 5.26/2.01  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 5.26/2.01  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 5.26/2.01  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 5.26/2.01  thf(c_2Ecomplex_2Ecomplex__neg_type, type, c_2Ecomplex_2Ecomplex__neg: ((tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) > (tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal))).
% 5.26/2.01  thf(c_2Ecomplex_2Ecomplex__scalar__lmul_type, type, c_2Ecomplex_2Ecomplex__scalar__lmul: (tyop_2Erealax_2Ereal > ((tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) > (tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)))).
% 5.26/2.01  thf(c_2Ecomplex_2Ecomplex__scalar__rmul_type, type, c_2Ecomplex_2Ecomplex__scalar__rmul: ((tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) > (tyop_2Erealax_2Ereal > (tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)))).
% 5.26/2.01  thf(c_2Erealax_2Ereal__neg_type, type, c_2Erealax_2Ereal__neg: (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal)).
% 5.26/2.01  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 5.26/2.01  thf(14,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 5.26/2.01  thf(56,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).
% 5.26/2.01  thf(12,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 5.26/2.01  thf(42,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 5.26/2.01  thf(5,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((A = B) = (B = A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__SYM__EQ)).
% 5.26/2.01  thf(25,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((A = B) = (B = A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 5.26/2.01  thf(6,axiom,((! [TA: $tType]: (! [A:TA]: ((A = A) = c_2Ebool_2ET)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).
% 5.26/2.01  thf(28,plain,((! [TA: $tType]: (c_2Ebool_2ET))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 5.26/2.01  thf(9,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 5.26/2.01  thf(33,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 5.26/2.01  thf(15,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 5.26/2.01  thf(65,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).
% 5.26/2.01  thf(8,axiom,(c_2Ebool_2ET),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).
% 5.26/2.01  thf(32,plain,(c_2Ebool_2ET),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 5.26/2.01  thf(4,axiom,((! [A:tyop_2Erealax_2Ereal,B:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((c_2Ecomplex_2Ecomplex__scalar__lmul @ A @ (c_2Ecomplex_2Ecomplex__neg @ B)) = (c_2Ecomplex_2Ecomplex__scalar__lmul @ (c_2Erealax_2Ereal__neg @ A) @ B)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2ECOMPLEX__NEG__SCALAR__LMUL)).
% 5.26/2.01  thf(22,plain,((! [A:tyop_2Erealax_2Ereal,B:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((c_2Ecomplex_2Ecomplex__scalar__lmul @ A @ (c_2Ecomplex_2Ecomplex__neg @ B)) = (c_2Ecomplex_2Ecomplex__scalar__lmul @ (c_2Erealax_2Ereal__neg @ A) @ B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 5.26/2.01  thf(11,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 5.26/2.01  thf(39,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 5.26/2.01  thf(1,conjecture,((! [A:tyop_2Erealax_2Ereal,B:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((c_2Ecomplex_2Ecomplex__scalar__rmul @ (c_2Ecomplex_2Ecomplex__neg @ B) @ A) = (c_2Ecomplex_2Ecomplex__scalar__rmul @ B @ (c_2Erealax_2Ereal__neg @ A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2ECOMPLEX__NEG__SCALAR__RMUL)).
% 5.26/2.01  thf(2,negated_conjecture,((~ (! [A:tyop_2Erealax_2Ereal,B:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((c_2Ecomplex_2Ecomplex__scalar__rmul @ (c_2Ecomplex_2Ecomplex__neg @ B) @ A) = (c_2Ecomplex_2Ecomplex__scalar__rmul @ B @ (c_2Erealax_2Ereal__neg @ A)))))),inference(neg_conjecture,[status(cth)],[1])).
% 5.26/2.01  thf(16,plain,((~ (! [A:tyop_2Erealax_2Ereal,B:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((c_2Ecomplex_2Ecomplex__scalar__rmul @ (c_2Ecomplex_2Ecomplex__neg @ B) @ A) = (c_2Ecomplex_2Ecomplex__scalar__rmul @ B @ (c_2Erealax_2Ereal__neg @ A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 5.26/2.01  thf(10,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).
% 5.26/2.01  thf(36,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 5.26/2.01  thf(7,axiom,((! [TA: $tType]: (! [A:$o]: ((! [B:TA]: (A)) = A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EFORALL__SIMP)).
% 5.26/2.01  thf(30,plain,((! [TA: $tType]: ($true))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 5.26/2.01  thf(13,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 5.26/2.01  thf(51,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 5.26/2.01  thf(3,axiom,((! [A:tyop_2Erealax_2Ereal,B:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((c_2Ecomplex_2Ecomplex__scalar__lmul @ A @ B) = (c_2Ecomplex_2Ecomplex__scalar__rmul @ B @ A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2ECOMPLEX__SCALAR__MUL__COMM)).
% 5.26/2.01  thf(19,plain,((! [A:tyop_2Erealax_2Ereal,B:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((c_2Ecomplex_2Ecomplex__scalar__lmul @ A @ B) = (c_2Ecomplex_2Ecomplex__scalar__rmul @ B @ A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 5.26/2.01  thf(74,plain,($false),inference(cvc4,[status(thm)],[56,42,25,28,33,65,32,22,39,16,36,30,51,19])).
% 5.26/2.01  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 5.26/2.01  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
