%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:43:23 EDT 2019

% Result     : Theorem 7.60s
% Output     : CNFRefutation 7.79s
% Verified   : 
% Statistics : Number of formulae       :   15 (  15 expanded)
%              Number of leaves         :   10 (  10 expanded)
%              Depth                    :    3
%              Number of atoms          :  133 ( 133 expanded)
%              Number of equality atoms :    2 (   2 expanded)
%              Maximal formula depth    :   13 (   8 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: 
      !>[TA: $tType,TB: $tType] :
        ( TA > TB > ( tyop_2Epair_2Eprod @ TA @ TB ) ) )).

thf(c_2Etransc_2Edivision_type,type,(
    c_2Etransc_2Edivision: ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > ( tyop_2Enum_2Enum > tyop_2Erealax_2Ereal ) > $o )).

thf(c_2Ereal_2Ereal__lte_type,type,(
    c_2Ereal_2Ereal__lte: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > $o )).

thf(c_2Etransc_2Etdiv_type,type,(
    c_2Etransc_2Etdiv: ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > ( tyop_2Epair_2Eprod @ ( tyop_2Enum_2Enum > tyop_2Erealax_2Ereal ) @ ( tyop_2Enum_2Enum > tyop_2Erealax_2Ereal ) ) > $o )).

thf(1,conjecture,(
    ! [A: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal,B: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,D: tyop_2Erealax_2Ereal] :
      ( ( c_2Etransc_2Etdiv @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ C @ D ) @ ( c_2Epair_2E_2C @ ( tyop_2Enum_2Enum > tyop_2Erealax_2Ereal ) @ ( tyop_2Enum_2Enum > tyop_2Erealax_2Ereal ) @ A @ B ) )
     => ( c_2Ereal_2Ereal__lte @ C @ D ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eintegral_2ETDIV__LE)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal,B: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,D: tyop_2Erealax_2Ereal] :
        ( ( c_2Etransc_2Etdiv @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ C @ D ) @ ( c_2Epair_2E_2C @ ( tyop_2Enum_2Enum > tyop_2Erealax_2Ereal ) @ ( tyop_2Enum_2Enum > tyop_2Erealax_2Ereal ) @ A @ B ) )
       => ( c_2Ereal_2Ereal__lte @ C @ D ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(5,plain,(
    ~ ! [A: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal,B: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,D: tyop_2Erealax_2Ereal] :
        ( ( c_2Etransc_2Etdiv @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ C @ D ) @ ( c_2Epair_2E_2C @ ( tyop_2Enum_2Enum > tyop_2Erealax_2Ereal ) @ ( tyop_2Enum_2Enum > tyop_2Erealax_2Ereal ) @ A @ B ) )
       => ( c_2Ereal_2Ereal__lte @ C @ D ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal,D: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal] :
      ( ( c_2Etransc_2Etdiv @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) @ ( c_2Epair_2E_2C @ ( tyop_2Enum_2Enum > tyop_2Erealax_2Ereal ) @ ( tyop_2Enum_2Enum > tyop_2Erealax_2Ereal ) @ C @ D ) )
      = ( ( c_2Etransc_2Edivision @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) @ C )
        & ! [E: tyop_2Enum_2Enum] :
            ( ( c_2Ereal_2Ereal__lte @ ( C @ E ) @ ( D @ E ) )
            & ( c_2Ereal_2Ereal__lte @ ( D @ E ) @ ( C @ ( c_2Enum_2ESUC @ E ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Etransc_2Etdiv)).

thf(8,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal,D: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal] :
      ( ( c_2Etransc_2Etdiv @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) @ ( c_2Epair_2E_2C @ ( tyop_2Enum_2Enum > tyop_2Erealax_2Ereal ) @ ( tyop_2Enum_2Enum > tyop_2Erealax_2Ereal ) @ C @ D ) )
      = ( ( c_2Etransc_2Edivision @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) @ C )
        & ! [E: tyop_2Enum_2Enum] :
            ( ( c_2Ereal_2Ereal__lte @ ( C @ E ) @ ( D @ E ) )
            & ( c_2Ereal_2Ereal__lte @ ( D @ E ) @ ( C @ ( c_2Enum_2ESUC @ E ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(4,axiom,(
    ! [A: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Etransc_2Edivision @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ B @ C ) @ A )
     => ( c_2Ereal_2Ereal__lte @ B @ C ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Etransc_2EDIVISION__LE)).

thf(11,plain,(
    ! [A: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Etransc_2Edivision @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ B @ C ) @ A )
     => ( c_2Ereal_2Ereal__lte @ B @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(13,plain,(
    $false ),
    inference(iprover,[status(thm)],[5,8,11])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.13/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.13/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.13/0.14  % CPULimit   : 300
% 0.13/0.14  % DateTime   : Wed Jul 31 09:24:05 EDT 2019
% 0.13/0.14  % CPUTime    : 
% 4.62/1.70  % [INFO] 	 Running in sequential loop mode. 
% 5.21/1.89  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 5.54/1.96  % [INFO] 	 iprover registered as external prover. 
% 5.54/1.96  % [INFO] 	 e registered as external prover. 
% 5.54/1.96  % [INFO] 	 cvc4 registered as external prover. 
% 5.54/1.96  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.88/2.02  % [INFO] 	 Found a conjecture and 39 axioms. Running axiom selection ... 
% 6.29/2.08  % [INFO] 	 Axiom selection finished. Selected 2 axioms (removed 37 axioms). 
% 6.37/2.10  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.60/2.56  % [INFO] 	 Killing All external provers ... 
% 7.60/2.56  % Time passed: 2289ms
% 7.60/2.56  % Effective reasoning time: 856ms
% 7.60/2.56  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.60/2.56  % Axioms used in derivation (2): thm_2Etransc_2Etdiv, thm_2Etransc_2EDIVISION__LE
% 7.60/2.56  % No. of inferences in proof: 8
% 7.60/2.56  % No. of processed clauses: 1
% 7.60/2.56  % No. of generated clauses: 0
% 7.60/2.56  % No. of forward subsumed clauses: 0
% 7.60/2.56  % No. of backward subsumed clauses: 0
% 7.60/2.56  % No. of ground rewrite rules in store: 1
% 7.60/2.56  % No. of non-ground rewrite rules in store: 0
% 7.60/2.56  % No. of positive (non-rewrite) units in store: 0
% 7.60/2.56  % No. of negative (non-rewrite) units in store: 0
% 7.60/2.56  % No. of choice functions detected: 0
% 7.60/2.56  % No. of choice instantiations: 0
% 7.60/2.56  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2289 ms resp. 856 ms w/o parsing
% 7.79/2.59  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.79/2.59  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.79/2.59  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 7.79/2.59  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 7.79/2.59  thf(c_2Epair_2E_2C_type, type, c_2Epair_2E_2C: !>[TA: $tType,TB: $tType]: (TA > (TB > (tyop_2Epair_2Eprod @ TA @ TB)))).
% 7.79/2.59  thf(c_2Etransc_2Edivision_type, type, c_2Etransc_2Edivision: ((tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) > ((tyop_2Enum_2Enum > tyop_2Erealax_2Ereal) > $o))).
% 7.79/2.59  thf(c_2Ereal_2Ereal__lte_type, type, c_2Ereal_2Ereal__lte: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > $o))).
% 7.79/2.59  thf(c_2Etransc_2Etdiv_type, type, c_2Etransc_2Etdiv: ((tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) > ((tyop_2Epair_2Eprod @ (tyop_2Enum_2Enum > tyop_2Erealax_2Ereal) @ (tyop_2Enum_2Enum > tyop_2Erealax_2Ereal)) > $o))).
% 7.79/2.59  thf(1,conjecture,((! [A:(tyop_2Enum_2Enum > tyop_2Erealax_2Ereal),B:(tyop_2Enum_2Enum > tyop_2Erealax_2Ereal),C:tyop_2Erealax_2Ereal,D:tyop_2Erealax_2Ereal]: ((c_2Etransc_2Etdiv @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ C @ D) @ (c_2Epair_2E_2C @ (tyop_2Enum_2Enum > tyop_2Erealax_2Ereal) @ (tyop_2Enum_2Enum > tyop_2Erealax_2Ereal) @ A @ B)) => (c_2Ereal_2Ereal__lte @ C @ D)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eintegral_2ETDIV__LE)).
% 7.79/2.59  thf(2,negated_conjecture,((~ (! [A:(tyop_2Enum_2Enum > tyop_2Erealax_2Ereal),B:(tyop_2Enum_2Enum > tyop_2Erealax_2Ereal),C:tyop_2Erealax_2Ereal,D:tyop_2Erealax_2Ereal]: ((c_2Etransc_2Etdiv @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ C @ D) @ (c_2Epair_2E_2C @ (tyop_2Enum_2Enum > tyop_2Erealax_2Ereal) @ (tyop_2Enum_2Enum > tyop_2Erealax_2Ereal) @ A @ B)) => (c_2Ereal_2Ereal__lte @ C @ D))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.79/2.59  thf(5,plain,((~ (! [A:(tyop_2Enum_2Enum > tyop_2Erealax_2Ereal),B:(tyop_2Enum_2Enum > tyop_2Erealax_2Ereal),C:tyop_2Erealax_2Ereal,D:tyop_2Erealax_2Ereal]: ((c_2Etransc_2Etdiv @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ C @ D) @ (c_2Epair_2E_2C @ (tyop_2Enum_2Enum > tyop_2Erealax_2Ereal) @ (tyop_2Enum_2Enum > tyop_2Erealax_2Ereal) @ (A) @ (B))) => (c_2Ereal_2Ereal__lte @ C @ D))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.79/2.59  thf(3,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:(tyop_2Enum_2Enum > tyop_2Erealax_2Ereal),D:(tyop_2Enum_2Enum > tyop_2Erealax_2Ereal)]: ((c_2Etransc_2Etdiv @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B) @ (c_2Epair_2E_2C @ (tyop_2Enum_2Enum > tyop_2Erealax_2Ereal) @ (tyop_2Enum_2Enum > tyop_2Erealax_2Ereal) @ C @ D)) = ((c_2Etransc_2Edivision @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B) @ C) & ! [E:tyop_2Enum_2Enum]: ((c_2Ereal_2Ereal__lte @ (C @ E) @ (D @ E)) & (c_2Ereal_2Ereal__lte @ (D @ E) @ (C @ (c_2Enum_2ESUC @ E)))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Etransc_2Etdiv)).
% 7.79/2.59  thf(8,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:(tyop_2Enum_2Enum > tyop_2Erealax_2Ereal),D:(tyop_2Enum_2Enum > tyop_2Erealax_2Ereal)]: ((c_2Etransc_2Etdiv @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B) @ (c_2Epair_2E_2C @ (tyop_2Enum_2Enum > tyop_2Erealax_2Ereal) @ (tyop_2Enum_2Enum > tyop_2Erealax_2Ereal) @ (C) @ (D))) = ((c_2Etransc_2Edivision @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B) @ (C)) & ! [E:tyop_2Enum_2Enum]: ((c_2Ereal_2Ereal__lte @ (C @ E) @ (D @ E)) & (c_2Ereal_2Ereal__lte @ (D @ E) @ (C @ (c_2Enum_2ESUC @ E)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.79/2.59  thf(4,axiom,((! [A:(tyop_2Enum_2Enum > tyop_2Erealax_2Ereal),B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Etransc_2Edivision @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ B @ C) @ A) => (c_2Ereal_2Ereal__lte @ B @ C)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Etransc_2EDIVISION__LE)).
% 7.79/2.59  thf(11,plain,((! [A:(tyop_2Enum_2Enum > tyop_2Erealax_2Ereal),B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Etransc_2Edivision @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ B @ C) @ (A)) => (c_2Ereal_2Ereal__lte @ B @ C)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 7.79/2.59  thf(13,plain,($false),inference(iprover,[status(thm)],[5,8,11])).
% 7.79/2.59  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.79/2.59  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
