%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:43:43 EDT 2019

% Result     : Theorem 9.04s
% Output     : CNFRefutation 9.23s
% Verified   : 
% Statistics : Number of formulae       :   31 (  36 expanded)
%              Number of leaves         :   20 (  22 expanded)
%              Depth                    :    5
%              Number of atoms          :  309 ( 397 expanded)
%              Number of equality atoms :   39 (  50 expanded)
%              Maximal formula depth    :   21 (   8 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(c_2Enum_2E0_type,type,(
    c_2Enum_2E0: tyop_2Enum_2Enum )).

thf(c_2Epred__set_2EDELETE_type,type,(
    c_2Epred__set_2EDELETE: 
      !>[TA: $tType] :
        ( ( TA > $o ) > TA > TA > $o ) )).

thf(c_2Epred__set_2EEMPTY_type,type,(
    c_2Epred__set_2EEMPTY: 
      !>[TA: $tType] :
        ( TA > $o ) )).

thf(c_2Eiterate_2EFINREC_type,type,(
    c_2Eiterate_2EFINREC: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > TB > TB ) > TB > ( TA > $o ) > TB > tyop_2Enum_2Enum > $o ) )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Epred__set_2EINSERT_type,type,(
    c_2Epred__set_2EINSERT: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > TA > $o ) )).

thf(c_2Enum_2ESUC_type,type,(
    c_2Enum_2ESUC: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(skt2_type,type,(
    skt2: $tType )).

thf(sk1_type,type,(
    sk1: skt1 > skt2 > skt2 )).

thf(sk2_type,type,(
    sk2: skt2 )).

thf(sk3_type,type,(
    sk3: skt1 > $o )).

thf(sk4_type,type,(
    sk4: skt2 )).

thf(3,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EINSERT @ TA @ B @ ( c_2Epred__set_2EEMPTY @ TA ) ) )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__SING)).

thf(10,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EINSERT @ TA @ B @ ( c_2Epred__set_2EEMPTY @ TA ) ) )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(6,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( c_2Epred__set_2EDELETE @ TA @ ( c_2Epred__set_2EINSERT @ TA @ A @ ( c_2Epred__set_2EEMPTY @ TA ) ) @ A )
      = ( c_2Epred__set_2EEMPTY @ TA ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2ESING__DELETE)).

thf(22,plain,(
    ! [TA: $tType,A: TA] :
      ( ( c_2Epred__set_2EDELETE @ TA @ ( c_2Epred__set_2EINSERT @ TA @ A @ ( c_2Epred__set_2EEMPTY @ TA ) ) @ A )
      = ( c_2Epred__set_2EEMPTY @ TA ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(23,plain,(
    ! [TA: $tType,A: TA] :
      ( ( c_2Epred__set_2EDELETE @ TA @ ( c_2Epred__set_2EINSERT @ TA @ A @ ( c_2Epred__set_2EEMPTY @ TA ) ) @ A )
      = ( c_2Epred__set_2EEMPTY @ TA ) ) ),
    inference(cnf,[status(esa)],[22])).

thf(24,plain,(
    ! [TA: $tType,A: TA] :
      ( ( c_2Epred__set_2EDELETE @ TA @ ( c_2Epred__set_2EINSERT @ TA @ A @ ( c_2Epred__set_2EEMPTY @ TA ) ) @ A )
      = ( c_2Epred__set_2EEMPTY @ TA ) ) ),
    inference(lifteq,[status(thm)],[23])).

thf(1,conjecture,(
    ! [TA: $tType,TB: $tType,A: TA > TB > TB,B: TB,C: TA > $o,D: TB] :
      ( ( c_2Eiterate_2EFINREC @ TA @ TB @ A @ B @ C @ D @ ( c_2Enum_2ESUC @ c_2Enum_2E0 ) )
      = ( ? [E: TA] :
            ( ( C
              = ( c_2Epred__set_2EINSERT @ TA @ E @ ( c_2Epred__set_2EEMPTY @ TA ) ) )
            & ( D
              = ( A @ E @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eiterate_2EFINREC__1__LEMMA)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,TB: $tType,A: TA > TB > TB,B: TB,C: TA > $o,D: TB] :
        ( ( c_2Eiterate_2EFINREC @ TA @ TB @ A @ B @ C @ D @ ( c_2Enum_2ESUC @ c_2Enum_2E0 ) )
        = ( ? [E: TA] :
              ( ( C
                = ( c_2Epred__set_2EINSERT @ TA @ E @ ( c_2Epred__set_2EEMPTY @ TA ) ) )
              & ( D
                = ( A @ E @ B ) ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(7,plain,(
    ~ ! [TA: $tType,TB: $tType,A: TA > TB > TB,B: TB,C: TA > $o,D: TB] :
        ( ( c_2Eiterate_2EFINREC @ TA @ TB @ A @ B @ C @ D @ ( c_2Enum_2ESUC @ c_2Enum_2E0 ) )
        = ( ? [E: TA] :
              ( ( C
                = ( c_2Epred__set_2EINSERT @ TA @ E @ ( c_2Epred__set_2EEMPTY @ TA ) ) )
              & ( D
                = ( A @ E @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(8,plain,(
    ( c_2Eiterate_2EFINREC @ skt1 @ skt2 @ sk1 @ sk2 @ sk3 @ sk4 @ ( c_2Enum_2ESUC @ c_2Enum_2E0 ) )
 != ( ? [A: skt1] :
        ( ( sk3
          = ( c_2Epred__set_2EINSERT @ skt1 @ A @ ( c_2Epred__set_2EEMPTY @ skt1 ) ) )
        & ( sk4
          = ( sk1 @ A @ sk2 ) ) ) ) ),
    inference(cnf,[status(esa)],[7])).

thf(9,plain,(
    ( c_2Eiterate_2EFINREC @ skt1 @ skt2 @ sk1 @ sk2 @ sk3 @ sk4 @ ( c_2Enum_2ESUC @ c_2Enum_2E0 ) )
 != ( ? [A: skt1] :
        ( ( sk3
          = ( c_2Epred__set_2EINSERT @ skt1 @ A @ ( c_2Epred__set_2EEMPTY @ skt1 ) ) )
        & ( sk4
          = ( sk1 @ A @ sk2 ) ) ) ) ),
    inference(lifteq,[status(thm)],[8])).

thf(4,axiom,(
    ! [TA: $tType,TB: $tType] :
      ( ! [A: TA > TB > TB,B: TB,C: TA > $o,D: TB] :
          ( ( c_2Eiterate_2EFINREC @ TA @ TB @ A @ B @ C @ D @ c_2Enum_2E0 )
          = ( ( C
              = ( c_2Epred__set_2EEMPTY @ TA ) )
            & ( D = B ) ) )
      & ! [A: TA > TB > TB,B: TB,C: TA > $o,D: TB,E: tyop_2Enum_2Enum] :
          ( ( c_2Eiterate_2EFINREC @ TA @ TB @ A @ B @ C @ D @ ( c_2Enum_2ESUC @ E ) )
          = ( ? [F: TA,G: TB] :
                ( ( c_2Ebool_2EIN @ TA @ F @ C )
                & ( c_2Eiterate_2EFINREC @ TA @ TB @ A @ B @ ( c_2Epred__set_2EDELETE @ TA @ C @ F ) @ G @ E )
                & ( D
                  = ( A @ F @ G ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eiterate_2EFINREC__def)).

thf(13,plain,(
    ! [TA: $tType,TB: $tType] :
      ( ! [A: TA > TB > TB,B: TB,C: TA > $o,D: TB] :
          ( ( c_2Eiterate_2EFINREC @ TA @ TB @ A @ B @ C @ D @ c_2Enum_2E0 )
          = ( ( C
              = ( c_2Epred__set_2EEMPTY @ TA ) )
            & ( D = B ) ) )
      & ! [A: TA > TB > TB,B: TB,C: TA > $o,D: TB,E: tyop_2Enum_2Enum] :
          ( ( c_2Eiterate_2EFINREC @ TA @ TB @ A @ B @ C @ D @ ( c_2Enum_2ESUC @ E ) )
          = ( ? [F: TA,G: TB] :
                ( ( c_2Ebool_2EIN @ TA @ F @ C )
                & ( c_2Eiterate_2EFINREC @ TA @ TB @ A @ B @ ( c_2Epred__set_2EDELETE @ TA @ C @ F ) @ G @ E )
                & ( D
                  = ( A @ F @ G ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(5,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA] :
      ( ( c_2Ebool_2EIN @ TA @ B @ A )
     => ( ( ( c_2Epred__set_2EDELETE @ TA @ A @ B )
          = ( c_2Epred__set_2EEMPTY @ TA ) )
        = ( A
          = ( c_2Epred__set_2EINSERT @ TA @ B @ ( c_2Epred__set_2EEMPTY @ TA ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EDELETE__EQ__SING)).

thf(19,plain,(
    ! [TA: $tType,A: TA > $o,B: TA] :
      ( ( c_2Ebool_2EIN @ TA @ B @ A )
     => ( ( ( c_2Epred__set_2EDELETE @ TA @ A @ B )
          = ( c_2Epred__set_2EEMPTY @ TA ) )
        = ( A
          = ( c_2Epred__set_2EINSERT @ TA @ B @ ( c_2Epred__set_2EEMPTY @ TA ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(39,plain,(
    $false ),
    inference(e,[status(thm)],[10,24,9,13,22,7,19])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.12/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.12/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.12/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.12/0.13  % CPULimit   : 300
% 0.12/0.13  % DateTime   : Wed Jul 31 09:57:58 EDT 2019
% 0.12/0.13  % CPUTime    : 
% 4.16/1.70  % [INFO] 	 Running in sequential loop mode. 
% 4.96/1.88  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 5.34/1.94  % [INFO] 	 iprover registered as external prover. 
% 5.34/1.94  % [INFO] 	 e registered as external prover. 
% 5.34/1.94  % [INFO] 	 cvc4 registered as external prover. 
% 5.34/1.95  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.70/2.01  % [INFO] 	 Found a conjecture and 38 axioms. Running axiom selection ... 
% 5.70/2.06  % [INFO] 	 Axiom selection finished. Selected 4 axioms (removed 34 axioms). 
% 6.11/2.09  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 9.04/2.89  % [INFO] 	 Killing All external provers ... 
% 9.04/2.90  % Time passed: 2622ms
% 9.04/2.90  % Effective reasoning time: 1192ms
% 9.04/2.90  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 9.04/2.90  % Axioms used in derivation (4): thm_2Epred__set_2EIN__SING, thm_2Epred__set_2ESING__DELETE, thm_2Eiterate_2EFINREC__def, thm_2Epred__set_2EDELETE__EQ__SING
% 9.04/2.90  % No. of inferences in proof: 16
% 9.04/2.90  % No. of processed clauses: 3
% 9.04/2.90  % No. of generated clauses: 6
% 9.04/2.90  % No. of forward subsumed clauses: 0
% 9.04/2.90  % No. of backward subsumed clauses: 0
% 9.04/2.90  % No. of ground rewrite rules in store: 0
% 9.04/2.90  % No. of non-ground rewrite rules in store: 1
% 9.04/2.90  % No. of positive (non-rewrite) units in store: 1
% 9.04/2.90  % No. of negative (non-rewrite) units in store: 1
% 9.04/2.90  % No. of choice functions detected: 0
% 9.04/2.90  % No. of choice instantiations: 0
% 9.04/2.90  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2622 ms resp. 1192 ms w/o parsing
% 9.23/2.93  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 9.23/2.93  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 9.23/2.93  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 9.23/2.93  thf(c_2Enum_2E0_type, type, c_2Enum_2E0: tyop_2Enum_2Enum).
% 9.23/2.93  thf(c_2Epred__set_2EDELETE_type, type, c_2Epred__set_2EDELETE: !>[TA: $tType]: ((TA > $o) > (TA > (TA > $o)))).
% 9.23/2.93  thf(c_2Epred__set_2EEMPTY_type, type, c_2Epred__set_2EEMPTY: !>[TA: $tType]: (TA > $o)).
% 9.23/2.93  thf(c_2Eiterate_2EFINREC_type, type, c_2Eiterate_2EFINREC: !>[TA: $tType,TB: $tType]: ((TA > (TB > TB)) > (TB > ((TA > $o) > (TB > (tyop_2Enum_2Enum > $o)))))).
% 9.23/2.93  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 9.23/2.93  thf(c_2Epred__set_2EINSERT_type, type, c_2Epred__set_2EINSERT: !>[TA: $tType]: (TA > ((TA > $o) > (TA > $o)))).
% 9.23/2.93  thf(c_2Enum_2ESUC_type, type, c_2Enum_2ESUC: (tyop_2Enum_2Enum > tyop_2Enum_2Enum)).
% 9.23/2.93  thf(skt1_type, type, skt1: $tType).
% 9.23/2.93  thf(skt2_type, type, skt2: $tType).
% 9.23/2.93  thf(sk1_type, type, sk1: (skt1 > (skt2 > skt2))).
% 9.23/2.93  thf(sk2_type, type, sk2: skt2).
% 9.23/2.93  thf(sk3_type, type, sk3: (skt1 > $o)).
% 9.23/2.93  thf(sk4_type, type, sk4: skt2).
% 9.23/2.93  thf(3,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EINSERT @ TA @ B @ (c_2Epred__set_2EEMPTY @ TA))) = (A = B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__SING)).
% 9.23/2.93  thf(10,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EINSERT @ TA @ B @ (c_2Epred__set_2EEMPTY @ TA))) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 9.23/2.93  thf(6,axiom,((! [TA: $tType]: (! [A:TA]: ((c_2Epred__set_2EDELETE @ TA @ (c_2Epred__set_2EINSERT @ TA @ A @ (c_2Epred__set_2EEMPTY @ TA)) @ A) = (c_2Epred__set_2EEMPTY @ TA))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2ESING__DELETE)).
% 9.23/2.93  thf(22,plain,((! [TA: $tType]: (! [A:TA]: ((c_2Epred__set_2EDELETE @ TA @ (c_2Epred__set_2EINSERT @ TA @ A @ (c_2Epred__set_2EEMPTY @ TA)) @ A) = (c_2Epred__set_2EEMPTY @ TA))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 9.23/2.93  thf(23,plain,(! [TA:$tType,A:TA] : (((c_2Epred__set_2EDELETE @ TA @ (c_2Epred__set_2EINSERT @ TA @ A @ (c_2Epred__set_2EEMPTY @ TA)) @ A) = (c_2Epred__set_2EEMPTY @ TA)))),inference(cnf,[status(esa)],[22])).
% 9.23/2.93  thf(24,plain,(! [TA:$tType,A:TA] : (((c_2Epred__set_2EDELETE @ TA @ (c_2Epred__set_2EINSERT @ TA @ A @ (c_2Epred__set_2EEMPTY @ TA)) @ A) = (c_2Epred__set_2EEMPTY @ TA)))),inference(lifteq,[status(thm)],[23])).
% 9.23/2.93  thf(1,conjecture,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TB > TB)),B:TB,C:(TA > $o),D:TB]: ((c_2Eiterate_2EFINREC @ TA @ TB @ A @ B @ C @ D @ (c_2Enum_2ESUC @ c_2Enum_2E0)) = (? [E:TA]: ((C = (c_2Epred__set_2EINSERT @ TA @ E @ (c_2Epred__set_2EEMPTY @ TA))) & (D = (A @ E @ B)))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eiterate_2EFINREC__1__LEMMA)).
% 9.23/2.93  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType]: (! [A:(TA > (TB > TB)),B:TB,C:(TA > $o),D:TB]: ((c_2Eiterate_2EFINREC @ TA @ TB @ A @ B @ C @ D @ (c_2Enum_2ESUC @ c_2Enum_2E0)) = (? [E:TA]: ((C = (c_2Epred__set_2EINSERT @ TA @ E @ (c_2Epred__set_2EEMPTY @ TA))) & (D = (A @ E @ B))))))))),inference(neg_conjecture,[status(cth)],[1])).
% 9.23/2.93  thf(7,plain,((~ (! [TA: $tType,TB: $tType]: (! [A:(TA > (TB > TB)),B:TB,C:(TA > $o),D:TB]: ((c_2Eiterate_2EFINREC @ TA @ TB @ (A) @ B @ (C) @ D @ (c_2Enum_2ESUC @ c_2Enum_2E0)) = (? [E:TA]: (((C) = (c_2Epred__set_2EINSERT @ TA @ E @ (c_2Epred__set_2EEMPTY @ TA))) & (D = (A @ E @ B))))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 9.23/2.93  thf(8,plain,((~ ((c_2Eiterate_2EFINREC @ skt1 @ skt2 @ (sk1) @ sk2 @ (sk3) @ sk4 @ (c_2Enum_2ESUC @ c_2Enum_2E0)) = (? [A:skt1]: (((sk3) = (c_2Epred__set_2EINSERT @ skt1 @ A @ (c_2Epred__set_2EEMPTY @ skt1))) & (sk4 = (sk1 @ A @ sk2))))))),inference(cnf,[status(esa)],[7])).
% 9.23/2.93  thf(9,plain,(((c_2Eiterate_2EFINREC @ skt1 @ skt2 @ (sk1) @ sk2 @ (sk3) @ sk4 @ (c_2Enum_2ESUC @ c_2Enum_2E0)) != (? [A:skt1]: (((sk3) = (c_2Epred__set_2EINSERT @ skt1 @ A @ (c_2Epred__set_2EEMPTY @ skt1))) & (sk4 = (sk1 @ A @ sk2)))))),inference(lifteq,[status(thm)],[8])).
% 9.23/2.93  thf(4,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TB > TB)),B:TB,C:(TA > $o),D:TB]: ((c_2Eiterate_2EFINREC @ TA @ TB @ A @ B @ C @ D @ c_2Enum_2E0) = ((C = (c_2Epred__set_2EEMPTY @ TA)) & (D = B))) & ! [A:(TA > (TB > TB)),B:TB,C:(TA > $o),D:TB,E:tyop_2Enum_2Enum]: ((c_2Eiterate_2EFINREC @ TA @ TB @ A @ B @ C @ D @ (c_2Enum_2ESUC @ E)) = (? [F:TA,G:TB]: ((c_2Ebool_2EIN @ TA @ F @ C) & (c_2Eiterate_2EFINREC @ TA @ TB @ A @ B @ (c_2Epred__set_2EDELETE @ TA @ C @ F) @ G @ E) & (D = (A @ F @ G)))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eiterate_2EFINREC__def)).
% 9.23/2.93  thf(13,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TB > TB)),B:TB,C:(TA > $o),D:TB]: ((c_2Eiterate_2EFINREC @ TA @ TB @ (A) @ B @ (C) @ D @ c_2Enum_2E0) = (((C) = (c_2Epred__set_2EEMPTY @ TA)) & (D = B))) & ! [A:(TA > (TB > TB)),B:TB,C:(TA > $o),D:TB,E:tyop_2Enum_2Enum]: ((c_2Eiterate_2EFINREC @ TA @ TB @ (A) @ B @ (C) @ D @ (c_2Enum_2ESUC @ E)) = (? [F:TA,G:TB]: ((c_2Ebool_2EIN @ TA @ F @ (C)) & (c_2Eiterate_2EFINREC @ TA @ TB @ (A) @ B @ (c_2Epred__set_2EDELETE @ TA @ C @ F) @ G @ E) & (D = (A @ F @ G)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 9.23/2.93  thf(5,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:TA]: ((c_2Ebool_2EIN @ TA @ B @ A) => (((c_2Epred__set_2EDELETE @ TA @ A @ B) = (c_2Epred__set_2EEMPTY @ TA)) = (A = (c_2Epred__set_2EINSERT @ TA @ B @ (c_2Epred__set_2EEMPTY @ TA)))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EDELETE__EQ__SING)).
% 9.23/2.93  thf(19,plain,((! [TA: $tType]: (! [A:(TA > $o),B:TA]: ((c_2Ebool_2EIN @ TA @ B @ (A)) => (((c_2Epred__set_2EDELETE @ TA @ A @ B) = (c_2Epred__set_2EEMPTY @ TA)) = ((A) = (c_2Epred__set_2EINSERT @ TA @ B @ (c_2Epred__set_2EEMPTY @ TA)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 9.23/2.93  thf(39,plain,($false),inference(e,[status(thm)],[10,24,9,13,22,7,19])).
% 9.23/2.93  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 9.23/2.93  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
