%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:43:43 EDT 2019

% Result     : Theorem 8.49s
% Output     : CNFRefutation 8.59s
% Verified   : 
% Statistics : Number of formulae       :   24 (  61 expanded)
%              Number of leaves         :   12 (  21 expanded)
%              Depth                    :    8
%              Number of atoms          :  121 ( 526 expanded)
%              Number of equality atoms :    9 (  18 expanded)
%              Maximal formula depth    :   13 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Epred__set_2EEMPTY_type,type,(
    c_2Epred__set_2EEMPTY: 
      !>[TA: $tType] :
        ( TA > $o ) )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Epred__set_2EINSERT_type,type,(
    c_2Epred__set_2EINSERT: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > TA > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: ( skt1 > $o ) > $o )).

thf(sk2_type,type,(
    sk2: skt1 > $o )).

thf(sk3_type,type,(
    sk3: 
      !>[TA: $tType] :
        ( ( TA > $o ) > TA ) )).

thf(sk4_type,type,(
    sk4: 
      !>[TA: $tType] :
        ( ( TA > $o ) > TA > $o ) )).

thf(sk5_type,type,(
    sk5: skt1 )).

thf(1,conjecture,(
    ! [TA: $tType,A: ( TA > $o ) > $o] :
      ( ( ( A @ ( c_2Epred__set_2EEMPTY @ TA ) )
        & ! [B: TA,C: TA > $o] :
            ( ~ ( c_2Ebool_2EIN @ TA @ B @ C )
           => ( A @ ( c_2Epred__set_2EINSERT @ TA @ B @ C ) ) ) )
     => ! [B: TA > $o] :
          ( A @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eiterate_2ESET__PROVE__CASES)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: ( TA > $o ) > $o] :
        ( ( ( A @ ( c_2Epred__set_2EEMPTY @ TA ) )
          & ! [B: TA,C: TA > $o] :
              ( ~ ( c_2Ebool_2EIN @ TA @ B @ C )
             => ( A @ ( c_2Epred__set_2EINSERT @ TA @ B @ C ) ) ) )
       => ! [B: TA > $o] :
            ( A @ B ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(4,plain,(
    ~ ! [TA: $tType,A: ( TA > $o ) > $o] :
        ( ( ( A @ ( c_2Epred__set_2EEMPTY @ TA ) )
          & ! [B: TA,C: TA > $o] :
              ( ~ ( c_2Ebool_2EIN @ TA @ B @ C )
             => ( A @ ( c_2Epred__set_2EINSERT @ TA @ B @ C ) ) ) )
       => ! [B: TA > $o] :
            ( A @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(5,plain,(
    ~ ( sk1 @ sk2 ) ),
    inference(cnf,[status(esa)],[4])).

thf(7,plain,(
    sk1 @ ( c_2Epred__set_2EEMPTY @ skt1 ) ),
    inference(cnf,[status(esa)],[4])).

thf(13,plain,(
    ( sk1 @ sk2 )
 != ( sk1 @ ( c_2Epred__set_2EEMPTY @ skt1 ) ) ),
    inference(paramod_ordered,[status(thm)],[7,5])).

thf(14,plain,(
    sk2
 != ( c_2Epred__set_2EEMPTY @ skt1 ) ),
    inference(simp,[status(thm)],[13])).

thf(3,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( A
        = ( c_2Epred__set_2EEMPTY @ TA ) )
      | ? [B: TA,C: TA > $o] :
          ( ( A
            = ( c_2Epred__set_2EINSERT @ TA @ B @ C ) )
          & ~ ( c_2Ebool_2EIN @ TA @ B @ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ESET__CASES)).

thf(8,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( A
        = ( c_2Epred__set_2EEMPTY @ TA ) )
      | ? [B: TA,C: TA > $o] :
          ( ( A
            = ( c_2Epred__set_2EINSERT @ TA @ B @ C ) )
          & ~ ( c_2Ebool_2EIN @ TA @ B @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(10,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( A
        = ( c_2Epred__set_2EEMPTY @ TA ) )
      | ~ ( c_2Ebool_2EIN @ TA @ ( sk3 @ TA @ A ) @ ( sk4 @ TA @ A ) ) ) ),
    inference(cnf,[status(esa)],[8])).

thf(12,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( A
        = ( c_2Epred__set_2EEMPTY @ TA ) )
      | ~ ( c_2Ebool_2EIN @ TA @ ( sk3 @ TA @ A ) @ ( sk4 @ TA @ A ) ) ) ),
    inference(lifteq,[status(thm)],[10])).

thf(15,plain,(
    ( sk2 @ sk5 )
 != ( c_2Epred__set_2EEMPTY @ skt1 @ sk5 ) ),
    inference(func_ext,[status(esa)],[14])).

thf(16,plain,
    ( ~ ( sk2 @ sk5 )
    | ~ ( c_2Epred__set_2EEMPTY @ skt1 @ sk5 ) ),
    inference(bool_ext,[status(thm)],[15])).

thf(45,plain,(
    $false ),
    inference(iprover,[status(thm)],[5,14,12,7,16,8,4,15])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.00/0.09  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.00/0.10  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.00/0.10  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.00/0.10  % CPULimit   : 300
% 0.00/0.10  % DateTime   : Wed Jul 31 10:00:04 EDT 2019
% 0.00/0.10  % CPUTime    : 
% 4.27/1.55  % [INFO] 	 Running in sequential loop mode. 
% 4.95/1.73  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 5.28/1.79  % [INFO] 	 iprover registered as external prover. 
% 5.28/1.79  % [INFO] 	 e registered as external prover. 
% 5.28/1.79  % [INFO] 	 cvc4 registered as external prover. 
% 5.28/1.80  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.50/1.85  % [INFO] 	 Found a conjecture and 44 axioms. Running axiom selection ... 
% 5.50/1.89  % [INFO] 	 Axiom selection finished. Selected 1 axioms (removed 43 axioms). 
% 5.50/1.90  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 8.49/2.69  % [INFO] 	 Killing All external provers ... 
% 8.49/2.69  % Time passed: 2448ms
% 8.49/2.69  % Effective reasoning time: 1133ms
% 8.49/2.69  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 8.49/2.69  % Axioms used in derivation (1): thm_2Epred__set_2ESET__CASES
% 8.49/2.69  % No. of inferences in proof: 14
% 8.49/2.69  % No. of processed clauses: 8
% 8.49/2.69  % No. of generated clauses: 10
% 8.49/2.69  % No. of forward subsumed clauses: 0
% 8.49/2.69  % No. of backward subsumed clauses: 0
% 8.49/2.69  % No. of ground rewrite rules in store: 3
% 8.49/2.69  % No. of non-ground rewrite rules in store: 0
% 8.49/2.69  % No. of positive (non-rewrite) units in store: 0
% 8.49/2.69  % No. of negative (non-rewrite) units in store: 2
% 8.49/2.69  % No. of choice functions detected: 0
% 8.49/2.69  % No. of choice instantiations: 0
% 8.49/2.69  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2448 ms resp. 1133 ms w/o parsing
% 8.59/2.71  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 8.59/2.71  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 8.59/2.71  thf(c_2Epred__set_2EEMPTY_type, type, c_2Epred__set_2EEMPTY: !>[TA: $tType]: (TA > $o)).
% 8.59/2.71  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 8.59/2.71  thf(c_2Epred__set_2EINSERT_type, type, c_2Epred__set_2EINSERT: !>[TA: $tType]: (TA > ((TA > $o) > (TA > $o)))).
% 8.59/2.71  thf(skt1_type, type, skt1: $tType).
% 8.59/2.71  thf(sk1_type, type, sk1: ((skt1 > $o) > $o)).
% 8.59/2.71  thf(sk2_type, type, sk2: (skt1 > $o)).
% 8.59/2.71  thf(sk3_type, type, sk3: !>[TA: $tType]: ((TA > $o) > TA)).
% 8.59/2.71  thf(sk4_type, type, sk4: !>[TA: $tType]: ((TA > $o) > (TA > $o))).
% 8.59/2.71  thf(sk5_type, type, sk5: skt1).
% 8.59/2.71  thf(1,conjecture,((! [TA: $tType]: (! [A:((TA > $o) > $o)]: (((A @ (c_2Epred__set_2EEMPTY @ TA)) & ! [B:TA,C:(TA > $o)]: ((~ (c_2Ebool_2EIN @ TA @ B @ C)) => (A @ (c_2Epred__set_2EINSERT @ TA @ B @ C)))) => (! [B:(TA > $o)]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eiterate_2ESET__PROVE__CASES)).
% 8.59/2.71  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:((TA > $o) > $o)]: (((A @ (c_2Epred__set_2EEMPTY @ TA)) & ! [B:TA,C:(TA > $o)]: ((~ (c_2Ebool_2EIN @ TA @ B @ C)) => (A @ (c_2Epred__set_2EINSERT @ TA @ B @ C)))) => (! [B:(TA > $o)]: (A @ B))))))),inference(neg_conjecture,[status(cth)],[1])).
% 8.59/2.71  thf(4,plain,((~ (! [TA: $tType]: (! [A:((TA > $o) > $o)]: (((A @ (c_2Epred__set_2EEMPTY @ TA)) & ! [B:TA,C:(TA > $o)]: ((~ (c_2Ebool_2EIN @ TA @ B @ (C))) => (A @ (c_2Epred__set_2EINSERT @ TA @ B @ C)))) => (! [B:(TA > $o)]: (A @ (B)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 8.59/2.71  thf(5,plain,((~ (sk1 @ (sk2)))),inference(cnf,[status(esa)],[4])).
% 8.59/2.71  thf(7,plain,((sk1 @ (c_2Epred__set_2EEMPTY @ skt1))),inference(cnf,[status(esa)],[4])).
% 8.59/2.71  thf(13,plain,(((sk1 @ (sk2)) != (sk1 @ (c_2Epred__set_2EEMPTY @ skt1)))),inference(paramod_ordered,[status(thm)],[7,5])).
% 8.59/2.71  thf(14,plain,(((sk2) != (c_2Epred__set_2EEMPTY @ skt1))),inference(simp,[status(thm)],[13])).
% 8.59/2.71  thf(3,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((A = (c_2Epred__set_2EEMPTY @ TA)) | ? [B:TA,C:(TA > $o)]: ((A = (c_2Epred__set_2EINSERT @ TA @ B @ C)) & ~ (c_2Ebool_2EIN @ TA @ B @ C)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ESET__CASES)).
% 8.59/2.71  thf(8,plain,((! [TA: $tType]: (! [A:(TA > $o)]: (((A) = (c_2Epred__set_2EEMPTY @ TA)) | ? [B:TA,C:(TA > $o)]: (((A) = (c_2Epred__set_2EINSERT @ TA @ B @ C)) & ~ (c_2Ebool_2EIN @ TA @ B @ (C))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 8.59/2.71  thf(10,plain,(! [TA:$tType,A:(TA > $o)] : (((A) = (c_2Epred__set_2EEMPTY @ TA)) | (~ (c_2Ebool_2EIN @ TA @ (sk3 @ TA @ (A)) @ (sk4 @ TA @ A))))),inference(cnf,[status(esa)],[8])).
% 8.59/2.71  thf(12,plain,(! [TA:$tType,A:(TA > $o)] : (((A) = (c_2Epred__set_2EEMPTY @ TA)) | (~ (c_2Ebool_2EIN @ TA @ (sk3 @ TA @ (A)) @ (sk4 @ TA @ A))))),inference(lifteq,[status(thm)],[10])).
% 8.59/2.71  thf(15,plain,(((sk2 @ sk5) != (c_2Epred__set_2EEMPTY @ skt1 @ sk5))),inference(func_ext,[status(esa)],[14])).
% 8.59/2.71  thf(16,plain,((~ (sk2 @ sk5)) | (~ (c_2Epred__set_2EEMPTY @ skt1 @ sk5))),inference(bool_ext,[status(thm)],[15])).
% 8.59/2.71  thf(45,plain,($false),inference(iprover,[status(thm)],[5,14,12,7,16,8,4,15])).
% 8.59/2.71  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 8.59/2.71  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
