%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:43:48 EDT 2019

% Result     : Theorem 6.98s
% Output     : CNFRefutation 6.98s
% Verified   : 
% Statistics : Number of formulae       :   29 (  34 expanded)
%              Number of leaves         :   18 (  20 expanded)
%              Depth                    :    5
%              Number of atoms          :  249 ( 305 expanded)
%              Number of equality atoms :   21 (  26 expanded)
%              Maximal formula depth    :   16 (   8 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(c_2Earithmetic_2E_2B_type,type,(
    c_2Earithmetic_2E_2B: tyop_2Enum_2Enum > tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Ebool_2ECOND_type,type,(
    c_2Ebool_2ECOND: 
      !>[TA: $tType] :
        ( $o > TA > TA > TA ) )).

thf(c_2Epred__set_2EFINITE_type,type,(
    c_2Epred__set_2EFINITE: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Eiterate_2EITSET_type,type,(
    c_2Eiterate_2EITSET: 
      !>[TA: $tType,TB: $tType] :
        ( ( TB > TA > TA ) > ( TB > $o ) > TA > TA ) )).

thf(c_2Eiterate_2Eiterate_type,type,(
    c_2Eiterate_2Eiterate: 
      !>[TA: $tType,TB: $tType] :
        ( ( TB > TB > TB ) > ( TA > $o ) > ( TA > TB ) > TB ) )).

thf(c_2Eiterate_2Eneutral_type,type,(
    c_2Eiterate_2Eneutral: 
      !>[TA: $tType] :
        ( ( TA > TA > TA ) > TA ) )).

thf(c_2Eiterate_2Ensum_type,type,(
    c_2Eiterate_2Ensum: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > tyop_2Enum_2Enum ) > tyop_2Enum_2Enum ) )).

thf(c_2Eiterate_2Esupport_type,type,(
    c_2Eiterate_2Esupport: 
      !>[TA: $tType,TB: $tType] :
        ( ( TB > TB > TB ) > ( TA > TB ) > ( TA > $o ) > TA > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: skt1 > tyop_2Enum_2Enum )).

thf(sk2_type,type,(
    sk2: skt1 > $o )).

thf(3,axiom,(
    ! [TA: $tType,A: $o,B: $o,C: TA,D: TA,E: TA,F: TA] :
      ( ( ( A = B )
        & ( B
         => ( C = D ) )
        & ( ~ B
         => ( E = F ) ) )
     => ( ( c_2Ebool_2ECOND @ TA @ A @ C @ E )
        = ( c_2Ebool_2ECOND @ TA @ B @ D @ F ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ECOND__CONG)).

thf(10,plain,(
    ! [TA: $tType,A: $o,B: $o,C: TA,D: TA,E: TA,F: TA] :
      ( ( ( A = B )
        & ( B
         => ( C = D ) )
        & ( ~ B
         => ( E = F ) ) )
     => ( ( c_2Ebool_2ECOND @ TA @ A @ C @ E )
        = ( c_2Ebool_2ECOND @ TA @ B @ D @ F ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(6,axiom,(
    ! [TA: $tType] :
      ( ( c_2Eiterate_2Ensum @ TA )
      = ( c_2Eiterate_2Eiterate @ TA @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eiterate_2Ensum__def)).

thf(29,plain,(
    ! [TA: $tType] :
      ( ( c_2Eiterate_2Ensum @ TA )
      = ( c_2Eiterate_2Eiterate @ TA @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(1,conjecture,(
    ! [TA: $tType,A: TA > tyop_2Enum_2Enum,B: TA > $o] :
      ( ( c_2Eiterate_2Ensum @ TA @ ( c_2Eiterate_2Esupport @ TA @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2B @ A @ B ) @ A )
      = ( c_2Eiterate_2Ensum @ TA @ B @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eiterate_2ENSUM__SUPPORT)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: TA > tyop_2Enum_2Enum,B: TA > $o] :
        ( ( c_2Eiterate_2Ensum @ TA @ ( c_2Eiterate_2Esupport @ TA @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2B @ A @ B ) @ A )
        = ( c_2Eiterate_2Ensum @ TA @ B @ A ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(7,plain,(
    ~ ! [TA: $tType,A: TA > tyop_2Enum_2Enum,B: TA > $o] :
        ( ( c_2Eiterate_2Ensum @ TA @ ( c_2Eiterate_2Esupport @ TA @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2B @ A @ B ) @ A )
        = ( c_2Eiterate_2Ensum @ TA @ B @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(8,plain,(
    ( c_2Eiterate_2Ensum @ skt1 @ ( c_2Eiterate_2Esupport @ skt1 @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2B @ sk1 @ sk2 ) @ sk1 )
 != ( c_2Eiterate_2Ensum @ skt1 @ sk2 @ sk1 ) ),
    inference(cnf,[status(esa)],[7])).

thf(9,plain,(
    ( c_2Eiterate_2Ensum @ skt1 @ ( c_2Eiterate_2Esupport @ skt1 @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2B @ sk1 @ sk2 ) @ sk1 )
 != ( c_2Eiterate_2Ensum @ skt1 @ sk2 @ sk1 ) ),
    inference(lifteq,[status(thm)],[8])).

thf(30,plain,(
    ! [TA: $tType] :
      ( ( c_2Eiterate_2Ensum @ TA )
      = ( c_2Eiterate_2Eiterate @ TA @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2B ) ) ),
    inference(cnf,[status(esa)],[29])).

thf(31,plain,(
    ! [TA: $tType] :
      ( ( c_2Eiterate_2Ensum @ TA )
      = ( c_2Eiterate_2Eiterate @ TA @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2B ) ) ),
    inference(lifteq,[status(thm)],[30])).

thf(5,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > TA > TA,B: TB > TA,C: TB > $o] :
      ( ( c_2Eiterate_2Esupport @ TB @ TA @ A @ B @ ( c_2Eiterate_2Esupport @ TB @ TA @ A @ B @ C ) )
      = ( c_2Eiterate_2Esupport @ TB @ TA @ A @ B @ C ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eiterate_2ESUPPORT__SUPPORT)).

thf(26,plain,(
    ! [TA: $tType,TB: $tType,A: TA > TA > TA,B: TB > TA,C: TB > $o] :
      ( ( c_2Eiterate_2Esupport @ TB @ TA @ A @ B @ ( c_2Eiterate_2Esupport @ TB @ TA @ A @ B @ C ) )
      = ( c_2Eiterate_2Esupport @ TB @ TA @ A @ B @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(4,axiom,(
    ! [TA: $tType,TB: $tType,A: TB > TB > TB,B: TA > $o,C: TA > TB] :
      ( ( c_2Eiterate_2Eiterate @ TA @ TB @ A @ B @ C )
      = ( c_2Ebool_2ECOND @ TB @ ( c_2Epred__set_2EFINITE @ TA @ ( c_2Eiterate_2Esupport @ TA @ TB @ A @ C @ B ) )
        @ ( c_2Eiterate_2EITSET @ TB @ TA
          @ ^ [D: TA] :
              ( A @ ( C @ D ) )
          @ ( c_2Eiterate_2Esupport @ TA @ TB @ A @ C @ B )
          @ ( c_2Eiterate_2Eneutral @ TB @ A ) )
        @ ( c_2Eiterate_2Eneutral @ TB @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eiterate_2Eiterate)).

thf(23,plain,(
    ! [TA: $tType,TB: $tType,A: TB > TB > TB,B: TA > $o,C: TA > TB] :
      ( ( c_2Eiterate_2Eiterate @ TA @ TB @ A @ B @ C )
      = ( c_2Ebool_2ECOND @ TB @ ( c_2Epred__set_2EFINITE @ TA @ ( c_2Eiterate_2Esupport @ TA @ TB @ A @ C @ B ) )
        @ ( c_2Eiterate_2EITSET @ TB @ TA
          @ ^ [D: TA] :
              ( A @ ( C @ D ) )
          @ ( c_2Eiterate_2Esupport @ TA @ TB @ A @ C @ B )
          @ ( c_2Eiterate_2Eneutral @ TB @ A ) )
        @ ( c_2Eiterate_2Eneutral @ TB @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(37,plain,(
    $false ),
    inference(e,[status(thm)],[10,29,9,7,31,26,23])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.12/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.12/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.12/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.12/0.13  % CPULimit   : 300
% 0.12/0.13  % DateTime   : Wed Jul 31 10:16:27 EDT 2019
% 0.12/0.13  % CPUTime    : 
% 2.80/1.23  % [INFO] 	 Running in sequential loop mode. 
% 3.52/1.41  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.91/1.48  % [INFO] 	 iprover registered as external prover. 
% 3.91/1.48  % [INFO] 	 e registered as external prover. 
% 3.91/1.48  % [INFO] 	 cvc4 registered as external prover. 
% 3.91/1.49  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.15/1.54  % [INFO] 	 Found a conjecture and 16 axioms. Running axiom selection ... 
% 4.15/1.59  % [INFO] 	 Axiom selection finished. Selected 4 axioms (removed 12 axioms). 
% 4.36/1.62  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.98/2.42  % [INFO] 	 Killing All external provers ... 
% 6.98/2.42  % Time passed: 2149ms
% 6.98/2.42  % Effective reasoning time: 1183ms
% 6.98/2.42  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.98/2.42  % Axioms used in derivation (4): thm_2Ebool_2ECOND__CONG, thm_2Eiterate_2Ensum__def, thm_2Eiterate_2ESUPPORT__SUPPORT, thm_2Eiterate_2Eiterate
% 6.98/2.42  % No. of inferences in proof: 16
% 6.98/2.42  % No. of processed clauses: 3
% 6.98/2.42  % No. of generated clauses: 4
% 6.98/2.42  % No. of forward subsumed clauses: 0
% 6.98/2.42  % No. of backward subsumed clauses: 0
% 6.98/2.42  % No. of ground rewrite rules in store: 0
% 6.98/2.42  % No. of non-ground rewrite rules in store: 0
% 6.98/2.42  % No. of positive (non-rewrite) units in store: 1
% 6.98/2.42  % No. of negative (non-rewrite) units in store: 2
% 6.98/2.42  % No. of choice functions detected: 0
% 6.98/2.42  % No. of choice instantiations: 0
% 6.98/2.42  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2149 ms resp. 1183 ms w/o parsing
% 6.98/2.46  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.98/2.46  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.98/2.46  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 6.98/2.46  thf(c_2Earithmetic_2E_2B_type, type, c_2Earithmetic_2E_2B: (tyop_2Enum_2Enum > (tyop_2Enum_2Enum > tyop_2Enum_2Enum))).
% 6.98/2.46  thf(c_2Ebool_2ECOND_type, type, c_2Ebool_2ECOND: !>[TA: $tType]: ($o > (TA > (TA > TA)))).
% 6.98/2.46  thf(c_2Epred__set_2EFINITE_type, type, c_2Epred__set_2EFINITE: !>[TA: $tType]: ((TA > $o) > $o)).
% 6.98/2.46  thf(c_2Eiterate_2EITSET_type, type, c_2Eiterate_2EITSET: !>[TA: $tType,TB: $tType]: ((TB > (TA > TA)) > ((TB > $o) > (TA > TA)))).
% 6.98/2.46  thf(c_2Eiterate_2Eiterate_type, type, c_2Eiterate_2Eiterate: !>[TA: $tType,TB: $tType]: ((TB > (TB > TB)) > ((TA > $o) > ((TA > TB) > TB)))).
% 6.98/2.46  thf(c_2Eiterate_2Eneutral_type, type, c_2Eiterate_2Eneutral: !>[TA: $tType]: ((TA > (TA > TA)) > TA)).
% 6.98/2.46  thf(c_2Eiterate_2Ensum_type, type, c_2Eiterate_2Ensum: !>[TA: $tType]: ((TA > $o) > ((TA > tyop_2Enum_2Enum) > tyop_2Enum_2Enum))).
% 6.98/2.46  thf(c_2Eiterate_2Esupport_type, type, c_2Eiterate_2Esupport: !>[TA: $tType,TB: $tType]: ((TB > (TB > TB)) > ((TA > TB) > ((TA > $o) > (TA > $o))))).
% 6.98/2.46  thf(skt1_type, type, skt1: $tType).
% 6.98/2.46  thf(sk1_type, type, sk1: (skt1 > tyop_2Enum_2Enum)).
% 6.98/2.46  thf(sk2_type, type, sk2: (skt1 > $o)).
% 6.98/2.46  thf(3,axiom,((! [TA: $tType]: (! [A:$o,B:$o,C:TA,D:TA,E:TA,F:TA]: (((A = B) & ((B) => (C = D)) & ((~ (B)) => (E = F))) => ((c_2Ebool_2ECOND @ TA @ A @ C @ E) = (c_2Ebool_2ECOND @ TA @ B @ D @ F)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ECOND__CONG)).
% 6.98/2.46  thf(10,plain,((! [TA: $tType]: (! [A:$o,B:$o,C:TA,D:TA,E:TA,F:TA]: (((A = B) & ((B) => (C = D)) & ((~ (B)) => (E = F))) => ((c_2Ebool_2ECOND @ TA @ A @ C @ E) = (c_2Ebool_2ECOND @ TA @ B @ D @ F)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.98/2.46  thf(6,axiom,((! [TA: $tType]: ((c_2Eiterate_2Ensum @ TA) = (c_2Eiterate_2Eiterate @ TA @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2B)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eiterate_2Ensum__def)).
% 6.98/2.46  thf(29,plain,((! [TA: $tType]: ((c_2Eiterate_2Ensum @ TA) = (c_2Eiterate_2Eiterate @ TA @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 6.98/2.46  thf(1,conjecture,((! [TA: $tType]: (! [A:(TA > tyop_2Enum_2Enum),B:(TA > $o)]: ((c_2Eiterate_2Ensum @ TA @ (c_2Eiterate_2Esupport @ TA @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2B @ A @ B) @ A) = (c_2Eiterate_2Ensum @ TA @ B @ A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eiterate_2ENSUM__SUPPORT)).
% 6.98/2.46  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:(TA > tyop_2Enum_2Enum),B:(TA > $o)]: ((c_2Eiterate_2Ensum @ TA @ (c_2Eiterate_2Esupport @ TA @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2B @ A @ B) @ A) = (c_2Eiterate_2Ensum @ TA @ B @ A)))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.98/2.46  thf(7,plain,((~ (! [TA: $tType]: (! [A:(TA > tyop_2Enum_2Enum),B:(TA > $o)]: ((c_2Eiterate_2Ensum @ TA @ (c_2Eiterate_2Esupport @ TA @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2B @ A @ B) @ (A)) = (c_2Eiterate_2Ensum @ TA @ (B) @ (A))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.98/2.46  thf(8,plain,((~ ((c_2Eiterate_2Ensum @ skt1 @ (c_2Eiterate_2Esupport @ skt1 @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2B @ sk1 @ sk2) @ (sk1)) = (c_2Eiterate_2Ensum @ skt1 @ (sk2) @ (sk1))))),inference(cnf,[status(esa)],[7])).
% 6.98/2.46  thf(9,plain,(((c_2Eiterate_2Ensum @ skt1 @ (c_2Eiterate_2Esupport @ skt1 @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2B @ sk1 @ sk2) @ (sk1)) != (c_2Eiterate_2Ensum @ skt1 @ (sk2) @ (sk1)))),inference(lifteq,[status(thm)],[8])).
% 6.98/2.46  thf(30,plain,(! [TA:$tType] : (((c_2Eiterate_2Ensum @ TA) = (c_2Eiterate_2Eiterate @ TA @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2B)))),inference(cnf,[status(esa)],[29])).
% 6.98/2.46  thf(31,plain,(! [TA:$tType] : (((c_2Eiterate_2Ensum @ TA) = (c_2Eiterate_2Eiterate @ TA @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2B)))),inference(lifteq,[status(thm)],[30])).
% 6.98/2.46  thf(5,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TA > TA)),B:(TB > TA),C:(TB > $o)]: ((c_2Eiterate_2Esupport @ TB @ TA @ A @ B @ (c_2Eiterate_2Esupport @ TB @ TA @ A @ B @ C)) = (c_2Eiterate_2Esupport @ TB @ TA @ A @ B @ C))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eiterate_2ESUPPORT__SUPPORT)).
% 6.98/2.46  thf(26,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TA > TA)),B:(TB > TA),C:(TB > $o)]: ((c_2Eiterate_2Esupport @ TB @ TA @ A @ B @ (c_2Eiterate_2Esupport @ TB @ TA @ A @ B @ C)) = (c_2Eiterate_2Esupport @ TB @ TA @ A @ B @ C))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 6.98/2.46  thf(4,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TB > (TB > TB)),B:(TA > $o),C:(TA > TB)]: ((c_2Eiterate_2Eiterate @ TA @ TB @ A @ B @ C) = (c_2Ebool_2ECOND @ TB @ (c_2Epred__set_2EFINITE @ TA @ (c_2Eiterate_2Esupport @ TA @ TB @ A @ C @ B)) @ (c_2Eiterate_2EITSET @ TB @ TA @ (^ [D:TA]: (A @ (C @ D))) @ (c_2Eiterate_2Esupport @ TA @ TB @ A @ C @ B) @ (c_2Eiterate_2Eneutral @ TB @ A)) @ (c_2Eiterate_2Eneutral @ TB @ A)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eiterate_2Eiterate)).
% 6.98/2.46  thf(23,plain,((! [TA: $tType,TB: $tType]: (! [A:(TB > (TB > TB)),B:(TA > $o),C:(TA > TB)]: ((c_2Eiterate_2Eiterate @ TA @ TB @ (A) @ (B) @ (C)) = (c_2Ebool_2ECOND @ TB @ (c_2Epred__set_2EFINITE @ TA @ (c_2Eiterate_2Esupport @ TA @ TB @ A @ C @ B)) @ (c_2Eiterate_2EITSET @ TB @ TA @ (^ [D:TA]: (A @ (C @ D))) @ (c_2Eiterate_2Esupport @ TA @ TB @ A @ C @ B) @ (c_2Eiterate_2Eneutral @ TB @ (A))) @ (c_2Eiterate_2Eneutral @ TB @ (A))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 6.98/2.46  thf(37,plain,($false),inference(e,[status(thm)],[10,29,9,7,31,26,23])).
% 6.98/2.46  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.98/2.46  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
