%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:43:49 EDT 2019

% Result     : Theorem 7.70s
% Output     : CNFRefutation 8.18s
% Verified   : 
% Statistics : Number of formulae       :   32 (  42 expanded)
%              Number of leaves         :   19 (  23 expanded)
%              Depth                    :    5
%              Number of atoms          :  215 ( 389 expanded)
%              Number of equality atoms :   19 (  35 expanded)
%              Maximal formula depth    :   17 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(c_2Earithmetic_2E_2B_type,type,(
    c_2Earithmetic_2E_2B: tyop_2Enum_2Enum > tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Enum_2E0_type,type,(
    c_2Enum_2E0: tyop_2Enum_2Enum )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Epred__set_2ESUBSET_type,type,(
    c_2Epred__set_2ESUBSET: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > $o ) > $o ) )).

thf(c_2Eiterate_2Eiterate_type,type,(
    c_2Eiterate_2Eiterate: 
      !>[TA: $tType,TB: $tType] :
        ( ( TB > TB > TB ) > ( TA > $o ) > ( TA > TB ) > TB ) )).

thf(c_2Eiterate_2Emonoidal_type,type,(
    c_2Eiterate_2Emonoidal: 
      !>[TA: $tType] :
        ( ( TA > TA > TA ) > $o ) )).

thf(c_2Eiterate_2Eneutral_type,type,(
    c_2Eiterate_2Eneutral: 
      !>[TA: $tType] :
        ( ( TA > TA > TA ) > TA ) )).

thf(c_2Eiterate_2Ensum_type,type,(
    c_2Eiterate_2Ensum: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > tyop_2Enum_2Enum ) > tyop_2Enum_2Enum ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: skt1 > tyop_2Enum_2Enum )).

thf(sk2_type,type,(
    sk2: skt1 > $o )).

thf(sk3_type,type,(
    sk3: skt1 > $o )).

thf(1,conjecture,(
    ! [TA: $tType,A: TA > tyop_2Enum_2Enum,B: TA > $o,C: TA > $o] :
      ( ( ( c_2Epred__set_2ESUBSET @ TA @ B @ C )
        & ! [D: TA] :
            ( ( ( c_2Ebool_2EIN @ TA @ D @ C )
              & ~ ( c_2Ebool_2EIN @ TA @ D @ B ) )
           => ( ( A @ D )
              = c_2Enum_2E0 ) ) )
     => ( ( c_2Eiterate_2Ensum @ TA @ C @ A )
        = ( c_2Eiterate_2Ensum @ TA @ B @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eiterate_2ENSUM__SUPERSET)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: TA > tyop_2Enum_2Enum,B: TA > $o,C: TA > $o] :
        ( ( ( c_2Epred__set_2ESUBSET @ TA @ B @ C )
          & ! [D: TA] :
              ( ( ( c_2Ebool_2EIN @ TA @ D @ C )
                & ~ ( c_2Ebool_2EIN @ TA @ D @ B ) )
             => ( ( A @ D )
                = c_2Enum_2E0 ) ) )
       => ( ( c_2Eiterate_2Ensum @ TA @ C @ A )
          = ( c_2Eiterate_2Ensum @ TA @ B @ A ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(7,plain,(
    ~ ! [TA: $tType,A: TA > tyop_2Enum_2Enum,B: TA > $o,C: TA > $o] :
        ( ( ( c_2Epred__set_2ESUBSET @ TA @ B @ C )
          & ! [D: TA] :
              ( ( ( c_2Ebool_2EIN @ TA @ D @ C )
                & ~ ( c_2Ebool_2EIN @ TA @ D @ B ) )
             => ( ( A @ D )
                = c_2Enum_2E0 ) ) )
       => ( ( c_2Eiterate_2Ensum @ TA @ C @ A )
          = ( c_2Eiterate_2Ensum @ TA @ B @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(10,plain,(
    c_2Epred__set_2ESUBSET @ skt1 @ sk2 @ sk3 ),
    inference(cnf,[status(esa)],[7])).

thf(4,axiom,(
    ! [TA: $tType] :
      ( ( c_2Eiterate_2Ensum @ TA )
      = ( c_2Eiterate_2Eiterate @ TA @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eiterate_2Ensum__def)).

thf(14,plain,(
    ! [TA: $tType] :
      ( ( c_2Eiterate_2Ensum @ TA )
      = ( c_2Eiterate_2Eiterate @ TA @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(3,axiom,(
    c_2Eiterate_2Emonoidal @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2B ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eiterate_2EMONOIDAL__ADD)).

thf(13,plain,(
    c_2Eiterate_2Emonoidal @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2B ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(5,axiom,
    ( ( c_2Eiterate_2Eneutral @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2B )
    = c_2Enum_2E0 ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eiterate_2ENEUTRAL__ADD)).

thf(17,plain,
    ( ( c_2Eiterate_2Eneutral @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2B )
    = c_2Enum_2E0 ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(18,plain,
    ( ( c_2Eiterate_2Eneutral @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2B )
    = c_2Enum_2E0 ),
    inference(lifteq,[status(thm)],[17])).

thf(15,plain,(
    ! [TA: $tType] :
      ( ( c_2Eiterate_2Ensum @ TA )
      = ( c_2Eiterate_2Eiterate @ TA @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2B ) ) ),
    inference(cnf,[status(esa)],[14])).

thf(16,plain,(
    ! [TA: $tType] :
      ( ( c_2Eiterate_2Ensum @ TA )
      = ( c_2Eiterate_2Eiterate @ TA @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2B ) ) ),
    inference(lifteq,[status(thm)],[15])).

thf(8,plain,(
    ( c_2Eiterate_2Ensum @ skt1 @ sk3 @ sk1 )
 != ( c_2Eiterate_2Ensum @ skt1 @ sk2 @ sk1 ) ),
    inference(cnf,[status(esa)],[7])).

thf(11,plain,(
    ( c_2Eiterate_2Ensum @ skt1 @ sk3 @ sk1 )
 != ( c_2Eiterate_2Ensum @ skt1 @ sk2 @ sk1 ) ),
    inference(lifteq,[status(thm)],[8])).

thf(6,axiom,(
    ! [TA: $tType,TB: $tType,A: TB > TB > TB] :
      ( ( c_2Eiterate_2Emonoidal @ TB @ A )
     => ! [B: TA > TB,C: TA > $o,D: TA > $o] :
          ( ( ( c_2Epred__set_2ESUBSET @ TA @ C @ D )
            & ! [E: TA] :
                ( ( ( c_2Ebool_2EIN @ TA @ E @ D )
                  & ~ ( c_2Ebool_2EIN @ TA @ E @ C ) )
               => ( ( B @ E )
                  = ( c_2Eiterate_2Eneutral @ TB @ A ) ) ) )
         => ( ( c_2Eiterate_2Eiterate @ TA @ TB @ A @ D @ B )
            = ( c_2Eiterate_2Eiterate @ TA @ TB @ A @ C @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eiterate_2EITERATE__SUPERSET)).

thf(19,plain,(
    ! [TA: $tType,TB: $tType,A: TB > TB > TB] :
      ( ( c_2Eiterate_2Emonoidal @ TB @ A )
     => ! [B: TA > TB,C: TA > $o,D: TA > $o] :
          ( ( ( c_2Epred__set_2ESUBSET @ TA @ C @ D )
            & ! [E: TA] :
                ( ( ( c_2Ebool_2EIN @ TA @ E @ D )
                  & ~ ( c_2Ebool_2EIN @ TA @ E @ C ) )
               => ( ( B @ E )
                  = ( c_2Eiterate_2Eneutral @ TB @ A ) ) ) )
         => ( ( c_2Eiterate_2Eiterate @ TA @ TB @ A @ D @ B )
            = ( c_2Eiterate_2Eiterate @ TA @ TB @ A @ C @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(31,plain,(
    $false ),
    inference(e,[status(thm)],[10,14,13,17,7,18,16,11,19])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.06/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.06/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.06/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.06/0.13  % CPULimit   : 300
% 0.06/0.13  % DateTime   : Wed Jul 31 10:18:00 EDT 2019
% 0.06/0.13  % CPUTime    : 
% 3.42/1.40  % [INFO] 	 Running in sequential loop mode. 
% 4.13/1.57  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.35/1.63  % [INFO] 	 iprover registered as external prover. 
% 4.35/1.64  % [INFO] 	 e registered as external prover. 
% 4.35/1.64  % [INFO] 	 cvc4 registered as external prover. 
% 4.35/1.64  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.81/1.70  % [INFO] 	 Found a conjecture and 23 axioms. Running axiom selection ... 
% 5.02/1.74  % [INFO] 	 Axiom selection finished. Selected 4 axioms (removed 19 axioms). 
% 5.11/1.77  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.70/2.54  % [INFO] 	 Killing All external provers ... 
% 7.70/2.55  % Time passed: 2279ms
% 7.70/2.55  % Effective reasoning time: 1140ms
% 7.70/2.55  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.70/2.55  % Axioms used in derivation (4): thm_2Eiterate_2Ensum__def, thm_2Eiterate_2EMONOIDAL__ADD, thm_2Eiterate_2ENEUTRAL__ADD, thm_2Eiterate_2EITERATE__SUPERSET
% 7.70/2.55  % No. of inferences in proof: 18
% 7.70/2.55  % No. of processed clauses: 6
% 7.70/2.55  % No. of generated clauses: 4
% 7.70/2.55  % No. of forward subsumed clauses: 0
% 7.70/2.55  % No. of backward subsumed clauses: 0
% 7.70/2.55  % No. of ground rewrite rules in store: 3
% 7.70/2.55  % No. of non-ground rewrite rules in store: 0
% 7.70/2.55  % No. of positive (non-rewrite) units in store: 1
% 7.70/2.55  % No. of negative (non-rewrite) units in store: 2
% 7.70/2.55  % No. of choice functions detected: 0
% 7.70/2.55  % No. of choice instantiations: 0
% 7.70/2.55  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2279 ms resp. 1140 ms w/o parsing
% 8.18/2.58  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 8.18/2.58  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 8.18/2.58  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 8.18/2.58  thf(c_2Earithmetic_2E_2B_type, type, c_2Earithmetic_2E_2B: (tyop_2Enum_2Enum > (tyop_2Enum_2Enum > tyop_2Enum_2Enum))).
% 8.18/2.58  thf(c_2Enum_2E0_type, type, c_2Enum_2E0: tyop_2Enum_2Enum).
% 8.18/2.58  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 8.18/2.58  thf(c_2Epred__set_2ESUBSET_type, type, c_2Epred__set_2ESUBSET: !>[TA: $tType]: ((TA > $o) > ((TA > $o) > $o))).
% 8.18/2.58  thf(c_2Eiterate_2Eiterate_type, type, c_2Eiterate_2Eiterate: !>[TA: $tType,TB: $tType]: ((TB > (TB > TB)) > ((TA > $o) > ((TA > TB) > TB)))).
% 8.18/2.58  thf(c_2Eiterate_2Emonoidal_type, type, c_2Eiterate_2Emonoidal: !>[TA: $tType]: ((TA > (TA > TA)) > $o)).
% 8.18/2.58  thf(c_2Eiterate_2Eneutral_type, type, c_2Eiterate_2Eneutral: !>[TA: $tType]: ((TA > (TA > TA)) > TA)).
% 8.18/2.58  thf(c_2Eiterate_2Ensum_type, type, c_2Eiterate_2Ensum: !>[TA: $tType]: ((TA > $o) > ((TA > tyop_2Enum_2Enum) > tyop_2Enum_2Enum))).
% 8.18/2.58  thf(skt1_type, type, skt1: $tType).
% 8.18/2.58  thf(sk1_type, type, sk1: (skt1 > tyop_2Enum_2Enum)).
% 8.18/2.58  thf(sk2_type, type, sk2: (skt1 > $o)).
% 8.18/2.58  thf(sk3_type, type, sk3: (skt1 > $o)).
% 8.18/2.58  thf(1,conjecture,((! [TA: $tType]: (! [A:(TA > tyop_2Enum_2Enum),B:(TA > $o),C:(TA > $o)]: (((c_2Epred__set_2ESUBSET @ TA @ B @ C) & ! [D:TA]: (((c_2Ebool_2EIN @ TA @ D @ C) & ~ (c_2Ebool_2EIN @ TA @ D @ B)) => ((A @ D) = c_2Enum_2E0))) => ((c_2Eiterate_2Ensum @ TA @ C @ A) = (c_2Eiterate_2Ensum @ TA @ B @ A)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eiterate_2ENSUM__SUPERSET)).
% 8.18/2.58  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:(TA > tyop_2Enum_2Enum),B:(TA > $o),C:(TA > $o)]: (((c_2Epred__set_2ESUBSET @ TA @ B @ C) & ! [D:TA]: (((c_2Ebool_2EIN @ TA @ D @ C) & ~ (c_2Ebool_2EIN @ TA @ D @ B)) => ((A @ D) = c_2Enum_2E0))) => ((c_2Eiterate_2Ensum @ TA @ C @ A) = (c_2Eiterate_2Ensum @ TA @ B @ A))))))),inference(neg_conjecture,[status(cth)],[1])).
% 8.18/2.58  thf(7,plain,((~ (! [TA: $tType]: (! [A:(TA > tyop_2Enum_2Enum),B:(TA > $o),C:(TA > $o)]: (((c_2Epred__set_2ESUBSET @ TA @ (B) @ (C)) & ! [D:TA]: (((c_2Ebool_2EIN @ TA @ D @ (C)) & ~ (c_2Ebool_2EIN @ TA @ D @ (B))) => ((A @ D) = c_2Enum_2E0))) => ((c_2Eiterate_2Ensum @ TA @ (C) @ (A)) = (c_2Eiterate_2Ensum @ TA @ (B) @ (A)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 8.18/2.58  thf(10,plain,((c_2Epred__set_2ESUBSET @ skt1 @ (sk2) @ (sk3))),inference(cnf,[status(esa)],[7])).
% 8.18/2.58  thf(4,axiom,((! [TA: $tType]: ((c_2Eiterate_2Ensum @ TA) = (c_2Eiterate_2Eiterate @ TA @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2B)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eiterate_2Ensum__def)).
% 8.18/2.58  thf(14,plain,((! [TA: $tType]: ((c_2Eiterate_2Ensum @ TA) = (c_2Eiterate_2Eiterate @ TA @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 8.18/2.58  thf(3,axiom,((c_2Eiterate_2Emonoidal @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2B)),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eiterate_2EMONOIDAL__ADD)).
% 8.18/2.58  thf(13,plain,((c_2Eiterate_2Emonoidal @ tyop_2Enum_2Enum @ (c_2Earithmetic_2E_2B))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 8.18/2.58  thf(5,axiom,(((c_2Eiterate_2Eneutral @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2B) = c_2Enum_2E0)),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eiterate_2ENEUTRAL__ADD)).
% 8.18/2.58  thf(17,plain,(((c_2Eiterate_2Eneutral @ tyop_2Enum_2Enum @ (c_2Earithmetic_2E_2B)) = c_2Enum_2E0)),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 8.18/2.58  thf(18,plain,(((c_2Eiterate_2Eneutral @ tyop_2Enum_2Enum @ (c_2Earithmetic_2E_2B)) = c_2Enum_2E0)),inference(lifteq,[status(thm)],[17])).
% 8.18/2.58  thf(15,plain,(! [TA:$tType] : (((c_2Eiterate_2Ensum @ TA) = (c_2Eiterate_2Eiterate @ TA @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2B)))),inference(cnf,[status(esa)],[14])).
% 8.18/2.58  thf(16,plain,(! [TA:$tType] : (((c_2Eiterate_2Ensum @ TA) = (c_2Eiterate_2Eiterate @ TA @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2B)))),inference(lifteq,[status(thm)],[15])).
% 8.18/2.58  thf(8,plain,((~ ((c_2Eiterate_2Ensum @ skt1 @ (sk3) @ (sk1)) = (c_2Eiterate_2Ensum @ skt1 @ (sk2) @ (sk1))))),inference(cnf,[status(esa)],[7])).
% 8.18/2.58  thf(11,plain,(((c_2Eiterate_2Ensum @ skt1 @ (sk3) @ (sk1)) != (c_2Eiterate_2Ensum @ skt1 @ (sk2) @ (sk1)))),inference(lifteq,[status(thm)],[8])).
% 8.18/2.58  thf(6,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TB > (TB > TB))]: ((c_2Eiterate_2Emonoidal @ TB @ A) => (! [B:(TA > TB),C:(TA > $o),D:(TA > $o)]: (((c_2Epred__set_2ESUBSET @ TA @ C @ D) & ! [E:TA]: (((c_2Ebool_2EIN @ TA @ E @ D) & ~ (c_2Ebool_2EIN @ TA @ E @ C)) => ((B @ E) = (c_2Eiterate_2Eneutral @ TB @ A)))) => ((c_2Eiterate_2Eiterate @ TA @ TB @ A @ D @ B) = (c_2Eiterate_2Eiterate @ TA @ TB @ A @ C @ B)))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eiterate_2EITERATE__SUPERSET)).
% 8.18/2.58  thf(19,plain,((! [TA: $tType,TB: $tType]: (! [A:(TB > (TB > TB))]: ((c_2Eiterate_2Emonoidal @ TB @ (A)) => (! [B:(TA > TB),C:(TA > $o),D:(TA > $o)]: (((c_2Epred__set_2ESUBSET @ TA @ (C) @ (D)) & ! [E:TA]: (((c_2Ebool_2EIN @ TA @ E @ (D)) & ~ (c_2Ebool_2EIN @ TA @ E @ (C))) => ((B @ E) = (c_2Eiterate_2Eneutral @ TB @ (A))))) => ((c_2Eiterate_2Eiterate @ TA @ TB @ (A) @ (D) @ (B)) = (c_2Eiterate_2Eiterate @ TA @ TB @ (A) @ (C) @ (B))))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 8.18/2.58  thf(31,plain,($false),inference(e,[status(thm)],[10,14,13,17,7,18,16,11,19])).
% 8.18/2.58  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 8.18/2.58  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
