%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:44:03 EDT 2019

% Result     : Theorem 6.62s
% Output     : CNFRefutation 6.62s
% Verified   : 
% Statistics : Number of formulae       :   22 (  25 expanded)
%              Number of leaves         :   15 (  16 expanded)
%              Depth                    :    4
%              Number of atoms          :  177 ( 258 expanded)
%              Number of equality atoms :    7 (  10 expanded)
%              Maximal formula depth    :   17 (   7 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(c_2Earithmetic_2E_2A_type,type,(
    c_2Earithmetic_2E_2A: tyop_2Enum_2Enum > tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Epred__set_2EDISJOINT_type,type,(
    c_2Epred__set_2EDISJOINT: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > $o ) > $o ) )).

thf(c_2Epred__set_2EFINITE_type,type,(
    c_2Epred__set_2EFINITE: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Epred__set_2EUNION_type,type,(
    c_2Epred__set_2EUNION: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > $o ) > TA > $o ) )).

thf(c_2Eiterate_2Eiterate_type,type,(
    c_2Eiterate_2Eiterate: 
      !>[TA: $tType,TB: $tType] :
        ( ( TB > TB > TB ) > ( TA > $o ) > ( TA > TB ) > TB ) )).

thf(c_2Eiterate_2Emonoidal_type,type,(
    c_2Eiterate_2Emonoidal: 
      !>[TA: $tType] :
        ( ( TA > TA > TA ) > $o ) )).

thf(c_2Eproduct_2Enproduct_type,type,(
    c_2Eproduct_2Enproduct: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > tyop_2Enum_2Enum ) > tyop_2Enum_2Enum ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk3_type,type,(
    sk3: skt1 > $o )).

thf(1,conjecture,(
    ! [TA: $tType,A: TA > tyop_2Enum_2Enum,B: TA > $o,C: TA > $o] :
      ( ( ( c_2Epred__set_2EFINITE @ TA @ B )
        & ( c_2Epred__set_2EFINITE @ TA @ C )
        & ( c_2Epred__set_2EDISJOINT @ TA @ B @ C ) )
     => ( ( c_2Eproduct_2Enproduct @ TA @ ( c_2Epred__set_2EUNION @ TA @ B @ C ) @ A )
        = ( c_2Earithmetic_2E_2A @ ( c_2Eproduct_2Enproduct @ TA @ B @ A ) @ ( c_2Eproduct_2Enproduct @ TA @ C @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eproduct_2ENPRODUCT__UNION)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: TA > tyop_2Enum_2Enum,B: TA > $o,C: TA > $o] :
        ( ( ( c_2Epred__set_2EFINITE @ TA @ B )
          & ( c_2Epred__set_2EFINITE @ TA @ C )
          & ( c_2Epred__set_2EDISJOINT @ TA @ B @ C ) )
       => ( ( c_2Eproduct_2Enproduct @ TA @ ( c_2Epred__set_2EUNION @ TA @ B @ C ) @ A )
          = ( c_2Earithmetic_2E_2A @ ( c_2Eproduct_2Enproduct @ TA @ B @ A ) @ ( c_2Eproduct_2Enproduct @ TA @ C @ A ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(6,plain,(
    ~ ! [TA: $tType,A: TA > tyop_2Enum_2Enum,B: TA > $o,C: TA > $o] :
        ( ( ( c_2Epred__set_2EFINITE @ TA @ B )
          & ( c_2Epred__set_2EFINITE @ TA @ C )
          & ( c_2Epred__set_2EDISJOINT @ TA @ B @ C ) )
       => ( ( c_2Eproduct_2Enproduct @ TA @ ( c_2Epred__set_2EUNION @ TA @ B @ C ) @ A )
          = ( c_2Earithmetic_2E_2A @ ( c_2Eproduct_2Enproduct @ TA @ B @ A ) @ ( c_2Eproduct_2Enproduct @ TA @ C @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(9,plain,(
    c_2Epred__set_2EFINITE @ skt1 @ sk3 ),
    inference(cnf,[status(esa)],[6])).

thf(4,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > TA > TA] :
      ( ( c_2Eiterate_2Emonoidal @ TA @ A )
     => ! [B: TB > TA,C: TB > $o,D: TB > $o] :
          ( ( ( c_2Epred__set_2EFINITE @ TB @ C )
            & ( c_2Epred__set_2EFINITE @ TB @ D )
            & ( c_2Epred__set_2EDISJOINT @ TB @ C @ D ) )
         => ( ( c_2Eiterate_2Eiterate @ TB @ TA @ A @ ( c_2Epred__set_2EUNION @ TB @ C @ D ) @ B )
            = ( A @ ( c_2Eiterate_2Eiterate @ TB @ TA @ A @ C @ B ) @ ( c_2Eiterate_2Eiterate @ TB @ TA @ A @ D @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eiterate_2EITERATE__UNION)).

thf(13,plain,(
    ! [TA: $tType,TB: $tType,A: TA > TA > TA] :
      ( ( c_2Eiterate_2Emonoidal @ TA @ A )
     => ! [B: TB > TA,C: TB > $o,D: TB > $o] :
          ( ( ( c_2Epred__set_2EFINITE @ TB @ C )
            & ( c_2Epred__set_2EFINITE @ TB @ D )
            & ( c_2Epred__set_2EDISJOINT @ TB @ C @ D ) )
         => ( ( c_2Eiterate_2Eiterate @ TB @ TA @ A @ ( c_2Epred__set_2EUNION @ TB @ C @ D ) @ B )
            = ( A @ ( c_2Eiterate_2Eiterate @ TB @ TA @ A @ C @ B ) @ ( c_2Eiterate_2Eiterate @ TB @ TA @ A @ D @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(3,axiom,(
    c_2Eiterate_2Emonoidal @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2A ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eiterate_2EMONOIDAL__MUL)).

thf(12,plain,(
    c_2Eiterate_2Emonoidal @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2A ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(5,axiom,(
    ! [TA: $tType] :
      ( ( c_2Eproduct_2Enproduct @ TA )
      = ( c_2Eiterate_2Eiterate @ TA @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eproduct_2Enproduct)).

thf(16,plain,(
    ! [TA: $tType] :
      ( ( c_2Eproduct_2Enproduct @ TA )
      = ( c_2Eiterate_2Eiterate @ TA @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(19,plain,(
    $false ),
    inference(e,[status(thm)],[6,9,13,12,16])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.10/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.10/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.10/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.10/0.13  % CPULimit   : 300
% 0.10/0.13  % DateTime   : Wed Jul 31 10:45:45 EDT 2019
% 0.10/0.13  % CPUTime    : 
% 3.00/1.24  % [INFO] 	 Running in sequential loop mode. 
% 3.66/1.41  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.98/1.47  % [INFO] 	 iprover registered as external prover. 
% 3.98/1.47  % [INFO] 	 e registered as external prover. 
% 3.98/1.47  % [INFO] 	 cvc4 registered as external prover. 
% 3.98/1.48  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.16/1.53  % [INFO] 	 Found a conjecture and 19 axioms. Running axiom selection ... 
% 4.31/1.57  % [INFO] 	 Axiom selection finished. Selected 3 axioms (removed 16 axioms). 
% 4.31/1.60  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.62/2.25  % [INFO] 	 Killing All external provers ... 
% 6.62/2.26  % Time passed: 1992ms
% 6.62/2.26  % Effective reasoning time: 1014ms
% 6.62/2.26  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.62/2.26  % Axioms used in derivation (3): thm_2Eiterate_2EITERATE__UNION, thm_2Eiterate_2EMONOIDAL__MUL, thm_2Eproduct_2Enproduct
% 6.62/2.26  % No. of inferences in proof: 11
% 6.62/2.26  % No. of processed clauses: 4
% 6.62/2.26  % No. of generated clauses: 0
% 6.62/2.26  % No. of forward subsumed clauses: 0
% 6.62/2.26  % No. of backward subsumed clauses: 0
% 6.62/2.26  % No. of ground rewrite rules in store: 4
% 6.62/2.26  % No. of non-ground rewrite rules in store: 0
% 6.62/2.26  % No. of positive (non-rewrite) units in store: 0
% 6.62/2.26  % No. of negative (non-rewrite) units in store: 0
% 6.62/2.26  % No. of choice functions detected: 0
% 6.62/2.26  % No. of choice instantiations: 0
% 6.62/2.26  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 1992 ms resp. 1014 ms w/o parsing
% 6.62/2.29  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.62/2.29  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.62/2.29  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 6.62/2.29  thf(c_2Earithmetic_2E_2A_type, type, c_2Earithmetic_2E_2A: (tyop_2Enum_2Enum > (tyop_2Enum_2Enum > tyop_2Enum_2Enum))).
% 6.62/2.29  thf(c_2Epred__set_2EDISJOINT_type, type, c_2Epred__set_2EDISJOINT: !>[TA: $tType]: ((TA > $o) > ((TA > $o) > $o))).
% 6.62/2.29  thf(c_2Epred__set_2EFINITE_type, type, c_2Epred__set_2EFINITE: !>[TA: $tType]: ((TA > $o) > $o)).
% 6.62/2.29  thf(c_2Epred__set_2EUNION_type, type, c_2Epred__set_2EUNION: !>[TA: $tType]: ((TA > $o) > ((TA > $o) > (TA > $o)))).
% 6.62/2.29  thf(c_2Eiterate_2Eiterate_type, type, c_2Eiterate_2Eiterate: !>[TA: $tType,TB: $tType]: ((TB > (TB > TB)) > ((TA > $o) > ((TA > TB) > TB)))).
% 6.62/2.29  thf(c_2Eiterate_2Emonoidal_type, type, c_2Eiterate_2Emonoidal: !>[TA: $tType]: ((TA > (TA > TA)) > $o)).
% 6.62/2.29  thf(c_2Eproduct_2Enproduct_type, type, c_2Eproduct_2Enproduct: !>[TA: $tType]: ((TA > $o) > ((TA > tyop_2Enum_2Enum) > tyop_2Enum_2Enum))).
% 6.62/2.29  thf(skt1_type, type, skt1: $tType).
% 6.62/2.29  thf(sk3_type, type, sk3: (skt1 > $o)).
% 6.62/2.29  thf(1,conjecture,((! [TA: $tType]: (! [A:(TA > tyop_2Enum_2Enum),B:(TA > $o),C:(TA > $o)]: (((c_2Epred__set_2EFINITE @ TA @ B) & (c_2Epred__set_2EFINITE @ TA @ C) & (c_2Epred__set_2EDISJOINT @ TA @ B @ C)) => ((c_2Eproduct_2Enproduct @ TA @ (c_2Epred__set_2EUNION @ TA @ B @ C) @ A) = (c_2Earithmetic_2E_2A @ (c_2Eproduct_2Enproduct @ TA @ B @ A) @ (c_2Eproduct_2Enproduct @ TA @ C @ A))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eproduct_2ENPRODUCT__UNION)).
% 6.62/2.29  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:(TA > tyop_2Enum_2Enum),B:(TA > $o),C:(TA > $o)]: (((c_2Epred__set_2EFINITE @ TA @ B) & (c_2Epred__set_2EFINITE @ TA @ C) & (c_2Epred__set_2EDISJOINT @ TA @ B @ C)) => ((c_2Eproduct_2Enproduct @ TA @ (c_2Epred__set_2EUNION @ TA @ B @ C) @ A) = (c_2Earithmetic_2E_2A @ (c_2Eproduct_2Enproduct @ TA @ B @ A) @ (c_2Eproduct_2Enproduct @ TA @ C @ A)))))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.62/2.29  thf(6,plain,((~ (! [TA: $tType]: (! [A:(TA > tyop_2Enum_2Enum),B:(TA > $o),C:(TA > $o)]: (((c_2Epred__set_2EFINITE @ TA @ (B)) & (c_2Epred__set_2EFINITE @ TA @ (C)) & (c_2Epred__set_2EDISJOINT @ TA @ (B) @ (C))) => ((c_2Eproduct_2Enproduct @ TA @ (c_2Epred__set_2EUNION @ TA @ B @ C) @ (A)) = (c_2Earithmetic_2E_2A @ (c_2Eproduct_2Enproduct @ TA @ (B) @ (A)) @ (c_2Eproduct_2Enproduct @ TA @ (C) @ (A))))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.62/2.29  thf(9,plain,((c_2Epred__set_2EFINITE @ skt1 @ (sk3))),inference(cnf,[status(esa)],[6])).
% 6.62/2.29  thf(4,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TA > TA))]: ((c_2Eiterate_2Emonoidal @ TA @ A) => (! [B:(TB > TA),C:(TB > $o),D:(TB > $o)]: (((c_2Epred__set_2EFINITE @ TB @ C) & (c_2Epred__set_2EFINITE @ TB @ D) & (c_2Epred__set_2EDISJOINT @ TB @ C @ D)) => ((c_2Eiterate_2Eiterate @ TB @ TA @ A @ (c_2Epred__set_2EUNION @ TB @ C @ D) @ B) = (A @ (c_2Eiterate_2Eiterate @ TB @ TA @ A @ C @ B) @ (c_2Eiterate_2Eiterate @ TB @ TA @ A @ D @ B))))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eiterate_2EITERATE__UNION)).
% 6.62/2.29  thf(13,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TA > TA))]: ((c_2Eiterate_2Emonoidal @ TA @ (A)) => (! [B:(TB > TA),C:(TB > $o),D:(TB > $o)]: (((c_2Epred__set_2EFINITE @ TB @ (C)) & (c_2Epred__set_2EFINITE @ TB @ (D)) & (c_2Epred__set_2EDISJOINT @ TB @ (C) @ (D))) => ((c_2Eiterate_2Eiterate @ TB @ TA @ (A) @ (c_2Epred__set_2EUNION @ TB @ C @ D) @ (B)) = (A @ (c_2Eiterate_2Eiterate @ TB @ TA @ (A) @ (C) @ (B)) @ (c_2Eiterate_2Eiterate @ TB @ TA @ (A) @ (D) @ (B)))))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 6.62/2.29  thf(3,axiom,((c_2Eiterate_2Emonoidal @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2A)),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eiterate_2EMONOIDAL__MUL)).
% 6.62/2.29  thf(12,plain,((c_2Eiterate_2Emonoidal @ tyop_2Enum_2Enum @ (c_2Earithmetic_2E_2A))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.62/2.29  thf(5,axiom,((! [TA: $tType]: ((c_2Eproduct_2Enproduct @ TA) = (c_2Eiterate_2Eiterate @ TA @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eproduct_2Enproduct)).
% 6.62/2.29  thf(16,plain,((! [TA: $tType]: ((c_2Eproduct_2Enproduct @ TA) = (c_2Eiterate_2Eiterate @ TA @ tyop_2Enum_2Enum @ c_2Earithmetic_2E_2A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 6.62/2.29  thf(19,plain,($false),inference(e,[status(thm)],[6,9,13,12,16])).
% 6.62/2.29  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.62/2.29  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
