%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:44:06 EDT 2019

% Result     : Theorem 7.13s
% Output     : CNFRefutation 7.23s
% Verified   : 
% Statistics : Number of formulae       :   62 (  83 expanded)
%              Number of leaves         :   33 (  40 expanded)
%              Depth                    :    7
%              Number of atoms          :  336 ( 639 expanded)
%              Number of equality atoms :   61 ( 125 expanded)
%              Maximal formula depth    :   15 (   5 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $o )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Eiterate_2Eiterate_type,type,(
    c_2Eiterate_2Eiterate: 
      !>[TA: $tType,TB: $tType] :
        ( ( TB > TB > TB ) > ( TA > $o ) > ( TA > TB ) > TB ) )).

thf(c_2Eiterate_2Emonoidal_type,type,(
    c_2Eiterate_2Emonoidal: 
      !>[TA: $tType] :
        ( ( TA > TA > TA ) > $o ) )).

thf(c_2Eproduct_2Eproduct_type,type,(
    c_2Eproduct_2Eproduct: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal ) )).

thf(c_2Erealax_2Ereal__mul_type,type,(
    c_2Erealax_2Ereal__mul: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $o > $o )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: skt1 > tyop_2Erealax_2Ereal )).

thf(sk2_type,type,(
    sk2: skt1 > tyop_2Erealax_2Ereal )).

thf(sk3_type,type,(
    sk3: skt1 > $o )).

thf(9,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(42,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(5,axiom,(
    ! [TA: $tType,TB: $tType,A: TB > TB > TB] :
      ( ( c_2Eiterate_2Emonoidal @ TB @ A )
     => ! [B: TA > TB,C: TA > TB,D: TA > $o] :
          ( ! [E: TA] :
              ( ( c_2Ebool_2EIN @ TA @ E @ D )
             => ( ( B @ E )
                = ( C @ E ) ) )
         => ( ( c_2Eiterate_2Eiterate @ TA @ TB @ A @ D @ B )
            = ( c_2Eiterate_2Eiterate @ TA @ TB @ A @ D @ C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eiterate_2EITERATE__EQ)).

thf(24,plain,(
    ! [TA: $tType,TB: $tType,A: TB > TB > TB] :
      ( ( c_2Eiterate_2Emonoidal @ TB @ A )
     => ! [B: TA > TB,C: TA > TB,D: TA > $o] :
          ( ! [E: TA] :
              ( ( c_2Ebool_2EIN @ TA @ E @ D )
             => ( ( B @ E )
                = ( C @ E ) ) )
         => ( ( c_2Eiterate_2Eiterate @ TA @ TB @ A @ D @ B )
            = ( c_2Eiterate_2Eiterate @ TA @ TB @ A @ D @ C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(11,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(48,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(51,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $true @ $false )
    = ( $true
     => $false ) ),
    inference(instance,[status(thm)],[48])).

thf(52,plain,(
    ~ ( c_2Emin_2E_3D_3D_3E @ $true @ $false ) ),
    inference(simp,[status(thm)],[51])).

thf(3,axiom,(
    ! [TA: $tType] :
      ( ( c_2Eproduct_2Eproduct @ TA )
      = ( c_2Eiterate_2Eiterate @ TA @ tyop_2Erealax_2Ereal @ c_2Erealax_2Ereal__mul ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eproduct_2Eproduct)).

thf(20,plain,(
    ! [TA: $tType] :
      ( ( c_2Eproduct_2Eproduct @ TA )
      = ( c_2Eiterate_2Eiterate @ TA @ tyop_2Erealax_2Ereal @ c_2Erealax_2Ereal__mul ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(12,axiom,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(57,plain,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(6,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).

thf(29,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(1,conjecture,(
    ! [TA: $tType,A: TA > tyop_2Erealax_2Ereal,B: TA > tyop_2Erealax_2Ereal,C: TA > $o] :
      ( ! [D: TA] :
          ( ( c_2Ebool_2EIN @ TA @ D @ C )
         => ( ( A @ D )
            = ( B @ D ) ) )
     => ( ( c_2Eproduct_2Eproduct @ TA @ C @ A )
        = ( c_2Eproduct_2Eproduct @ TA @ C @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eproduct_2EPRODUCT__EQ)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: TA > tyop_2Erealax_2Ereal,B: TA > tyop_2Erealax_2Ereal,C: TA > $o] :
        ( ! [D: TA] :
            ( ( c_2Ebool_2EIN @ TA @ D @ C )
           => ( ( A @ D )
              = ( B @ D ) ) )
       => ( ( c_2Eproduct_2Eproduct @ TA @ C @ A )
          = ( c_2Eproduct_2Eproduct @ TA @ C @ B ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(15,plain,(
    ~ ! [TA: $tType,A: TA > tyop_2Erealax_2Ereal,B: TA > tyop_2Erealax_2Ereal,C: TA > $o] :
        ( ! [D: TA] :
            ( ( c_2Ebool_2EIN @ TA @ D @ C )
           => ( ( A @ D )
              = ( B @ D ) ) )
       => ( ( c_2Eproduct_2Eproduct @ TA @ C @ A )
          = ( c_2Eproduct_2Eproduct @ TA @ C @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(16,plain,(
    ( c_2Eproduct_2Eproduct @ skt1 @ sk3 @ sk1 )
 != ( c_2Eproduct_2Eproduct @ skt1 @ sk3 @ sk2 ) ),
    inference(cnf,[status(esa)],[15])).

thf(18,plain,(
    ( c_2Eproduct_2Eproduct @ skt1 @ sk3 @ sk2 )
 != ( c_2Eproduct_2Eproduct @ skt1 @ sk3 @ sk1 ) ),
    inference(lifteq,[status(thm)],[16])).

thf(83,plain,
    ( ( sk3 != sk3 )
    | ( sk2 != sk1 ) ),
    inference(simp,[status(thm)],[18])).

thf(84,plain,(
    sk2 != sk1 ),
    inference(simp,[status(thm)],[83])).

thf(7,axiom,(
    c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(38,plain,(
    c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(30,plain,
    ( ( ( c_2Ebool_2ET = $true )
      = $true )
    & ( ( $true = c_2Ebool_2ET )
      = $true )
    & ( ( c_2Ebool_2EF = $true )
      = ( ~ $true ) )
    & ( ( $true = c_2Ebool_2EF )
      = ( ~ $true ) ) ),
    inference(instance,[status(thm)],[29])).

thf(31,plain,
    ( c_2Ebool_2ET
    & ~ c_2Ebool_2EF
    & ~ c_2Ebool_2EF ),
    inference(simp,[status(thm)],[30])).

thf(34,plain,(
    ~ c_2Ebool_2EF ),
    inference(cnf,[status(esa)],[31])).

thf(10,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(45,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(58,plain,
    ( ( c_2Ebool_2E_7E @ $true )
    = ( ~ $true ) ),
    inference(instance,[status(thm)],[57])).

thf(59,plain,(
    ~ ( c_2Ebool_2E_7E @ $true ) ),
    inference(simp,[status(thm)],[58])).

thf(14,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(71,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(8,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(39,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(35,plain,(
    c_2Ebool_2ET ),
    inference(cnf,[status(esa)],[31])).

thf(4,axiom,(
    c_2Eiterate_2Emonoidal @ tyop_2Erealax_2Ereal @ c_2Erealax_2Ereal__mul ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eiterate_2EMONOIDAL__REAL__MUL)).

thf(23,plain,(
    c_2Eiterate_2Emonoidal @ tyop_2Erealax_2Ereal @ c_2Erealax_2Ereal__mul ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(17,plain,(
    ! [A: skt1] :
      ( ~ ( c_2Ebool_2EIN @ skt1 @ A @ sk3 )
      | ( ( sk1 @ A )
        = ( sk2 @ A ) ) ) ),
    inference(cnf,[status(esa)],[15])).

thf(19,plain,(
    ! [A: skt1] :
      ( ( ( sk2 @ A )
        = ( sk1 @ A ) )
      | ~ ( c_2Ebool_2EIN @ skt1 @ A @ sk3 ) ) ),
    inference(lifteq,[status(thm)],[17])).

thf(13,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(62,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(86,plain,(
    $false ),
    inference(e,[status(thm)],[42,24,52,20,57,29,84,38,34,45,59,71,39,35,48,18,23,19,15,62])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.03/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.03/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.03/0.13  % CPULimit   : 300
% 0.03/0.13  % DateTime   : Wed Jul 31 10:51:56 EDT 2019
% 0.03/0.13  % CPUTime    : 
% 2.71/1.22  % [INFO] 	 Running in sequential loop mode. 
% 3.49/1.39  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.83/1.45  % [INFO] 	 iprover registered as external prover. 
% 3.83/1.45  % [INFO] 	 e registered as external prover. 
% 3.83/1.46  % [INFO] 	 cvc4 registered as external prover. 
% 3.83/1.46  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.98/1.51  % [INFO] 	 Found a conjecture and 12 axioms. Running axiom selection ... 
% 4.19/1.55  % [INFO] 	 Axiom selection finished. Selected 12 axioms (removed 0 axioms). 
% 4.26/1.58  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.87/2.39  % [INFO] 	 Killing All external provers ... 
% 6.87/2.40  % Time passed: 2131ms
% 6.87/2.40  % Effective reasoning time: 1173ms
% 6.87/2.40  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.13/2.40  % Axioms used in derivation (12): thm_2Eproduct_2Eproduct, logicdef_2E_3D, thm_2Ebool_2EEQ__CLAUSES, logicdef_2E_5C_2F, thm_2Eiterate_2EMONOIDAL__REAL__MUL, quantdef_2E_21, thm_2Ebool_2ETRUTH, thm_2Eiterate_2EITERATE__EQ, logicdef_2E_3D_3D_3E, logicdef_2E_2F_5C, logicdef_2E_7E, quantdef_2E_3F
% 7.13/2.40  % No. of inferences in proof: 42
% 7.13/2.40  % No. of processed clauses: 8
% 7.13/2.40  % No. of generated clauses: 2
% 7.13/2.40  % No. of forward subsumed clauses: 3
% 7.13/2.40  % No. of backward subsumed clauses: 0
% 7.13/2.40  % No. of ground rewrite rules in store: 5
% 7.13/2.40  % No. of non-ground rewrite rules in store: 0
% 7.13/2.40  % No. of positive (non-rewrite) units in store: 0
% 7.13/2.40  % No. of negative (non-rewrite) units in store: 2
% 7.13/2.40  % No. of choice functions detected: 0
% 7.13/2.40  % No. of choice instantiations: 0
% 7.13/2.40  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2131 ms resp. 1173 ms w/o parsing
% 7.23/2.44  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.23/2.44  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.23/2.44  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 7.23/2.44  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 7.23/2.44  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 7.23/2.44  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 7.23/2.44  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 7.23/2.44  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 7.23/2.44  thf(c_2Ebool_2EF_type, type, c_2Ebool_2EF: $o).
% 7.23/2.44  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 7.23/2.44  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 7.23/2.44  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 7.23/2.44  thf(c_2Eiterate_2Eiterate_type, type, c_2Eiterate_2Eiterate: !>[TA: $tType,TB: $tType]: ((TB > (TB > TB)) > ((TA > $o) > ((TA > TB) > TB)))).
% 7.23/2.44  thf(c_2Eiterate_2Emonoidal_type, type, c_2Eiterate_2Emonoidal: !>[TA: $tType]: ((TA > (TA > TA)) > $o)).
% 7.23/2.44  thf(c_2Eproduct_2Eproduct_type, type, c_2Eproduct_2Eproduct: !>[TA: $tType]: ((TA > $o) > ((TA > tyop_2Erealax_2Ereal) > tyop_2Erealax_2Ereal))).
% 7.23/2.44  thf(c_2Erealax_2Ereal__mul_type, type, c_2Erealax_2Ereal__mul: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal))).
% 7.23/2.44  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 7.23/2.44  thf(skt1_type, type, skt1: $tType).
% 7.23/2.44  thf(sk1_type, type, sk1: (skt1 > tyop_2Erealax_2Ereal)).
% 7.23/2.44  thf(sk2_type, type, sk2: (skt1 > tyop_2Erealax_2Ereal)).
% 7.23/2.44  thf(sk3_type, type, sk3: (skt1 > $o)).
% 7.23/2.44  thf(9,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).
% 7.23/2.44  thf(42,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 7.23/2.44  thf(5,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TB > (TB > TB))]: ((c_2Eiterate_2Emonoidal @ TB @ A) => (! [B:(TA > TB),C:(TA > TB),D:(TA > $o)]: ((! [E:TA]: ((c_2Ebool_2EIN @ TA @ E @ D) => ((B @ E) = (C @ E)))) => ((c_2Eiterate_2Eiterate @ TA @ TB @ A @ D @ B) = (c_2Eiterate_2Eiterate @ TA @ TB @ A @ D @ C)))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eiterate_2EITERATE__EQ)).
% 7.23/2.44  thf(24,plain,((! [TA: $tType,TB: $tType]: (! [A:(TB > (TB > TB))]: ((c_2Eiterate_2Emonoidal @ TB @ (A)) => (! [B:(TA > TB),C:(TA > TB),D:(TA > $o)]: ((! [E:TA]: ((c_2Ebool_2EIN @ TA @ E @ (D)) => ((B @ E) = (C @ E)))) => ((c_2Eiterate_2Eiterate @ TA @ TB @ (A) @ (D) @ (B)) = (c_2Eiterate_2Eiterate @ TA @ TB @ (A) @ (D) @ (C))))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 7.23/2.44  thf(11,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 7.23/2.44  thf(48,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 7.23/2.44  thf(51,plain,(((c_2Emin_2E_3D_3D_3E @ $true @ $false) = (($true) => ($false)))),inference(instance,[status(thm)],[48])).
% 7.23/2.44  thf(52,plain,((~ (c_2Emin_2E_3D_3D_3E @ $true @ $false))),inference(simp,[status(thm)],[51])).
% 7.23/2.44  thf(3,axiom,((! [TA: $tType]: ((c_2Eproduct_2Eproduct @ TA) = (c_2Eiterate_2Eiterate @ TA @ tyop_2Erealax_2Ereal @ c_2Erealax_2Ereal__mul)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eproduct_2Eproduct)).
% 7.23/2.44  thf(20,plain,((! [TA: $tType]: ((c_2Eproduct_2Eproduct @ TA) = (c_2Eiterate_2Eiterate @ TA @ tyop_2Erealax_2Ereal @ c_2Erealax_2Ereal__mul)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.23/2.44  thf(12,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 7.23/2.44  thf(57,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 7.23/2.44  thf(6,axiom,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).
% 7.23/2.44  thf(29,plain,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 7.23/2.44  thf(1,conjecture,((! [TA: $tType]: (! [A:(TA > tyop_2Erealax_2Ereal),B:(TA > tyop_2Erealax_2Ereal),C:(TA > $o)]: ((! [D:TA]: ((c_2Ebool_2EIN @ TA @ D @ C) => ((A @ D) = (B @ D)))) => ((c_2Eproduct_2Eproduct @ TA @ C @ A) = (c_2Eproduct_2Eproduct @ TA @ C @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eproduct_2EPRODUCT__EQ)).
% 7.23/2.44  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:(TA > tyop_2Erealax_2Ereal),B:(TA > tyop_2Erealax_2Ereal),C:(TA > $o)]: ((! [D:TA]: ((c_2Ebool_2EIN @ TA @ D @ C) => ((A @ D) = (B @ D)))) => ((c_2Eproduct_2Eproduct @ TA @ C @ A) = (c_2Eproduct_2Eproduct @ TA @ C @ B))))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.23/2.44  thf(15,plain,((~ (! [TA: $tType]: (! [A:(TA > tyop_2Erealax_2Ereal),B:(TA > tyop_2Erealax_2Ereal),C:(TA > $o)]: ((! [D:TA]: ((c_2Ebool_2EIN @ TA @ D @ (C)) => ((A @ D) = (B @ D)))) => ((c_2Eproduct_2Eproduct @ TA @ (C) @ (A)) = (c_2Eproduct_2Eproduct @ TA @ (C) @ (B)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.23/2.44  thf(16,plain,((~ ((c_2Eproduct_2Eproduct @ skt1 @ (sk3) @ (sk1)) = (c_2Eproduct_2Eproduct @ skt1 @ (sk3) @ (sk2))))),inference(cnf,[status(esa)],[15])).
% 7.23/2.44  thf(18,plain,(((c_2Eproduct_2Eproduct @ skt1 @ (sk3) @ (sk2)) != (c_2Eproduct_2Eproduct @ skt1 @ (sk3) @ (sk1)))),inference(lifteq,[status(thm)],[16])).
% 7.23/2.44  thf(83,plain,(((sk3) != (sk3)) | ((sk2) != (sk1))),inference(simp,[status(thm)],[18])).
% 7.23/2.44  thf(84,plain,(((sk2) != (sk1))),inference(simp,[status(thm)],[83])).
% 7.23/2.44  thf(7,axiom,(c_2Ebool_2ET),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).
% 7.23/2.44  thf(38,plain,(c_2Ebool_2ET),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 7.23/2.44  thf(30,plain,((((c_2Ebool_2ET = $true) = $true) & (($true = c_2Ebool_2ET) = $true) & ((c_2Ebool_2EF = $true) = (~ ($true))) & (($true = c_2Ebool_2EF) = (~ ($true))))),inference(instance,[status(thm)],[29])).
% 7.23/2.44  thf(31,plain,(((c_2Ebool_2ET) & ~ (c_2Ebool_2EF) & ~ (c_2Ebool_2EF))),inference(simp,[status(thm)],[30])).
% 7.23/2.44  thf(34,plain,(~ (c_2Ebool_2EF)),inference(cnf,[status(esa)],[31])).
% 7.23/2.44  thf(10,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 7.23/2.44  thf(45,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 7.23/2.44  thf(58,plain,(((c_2Ebool_2E_7E @ $true) = (~ ($true)))),inference(instance,[status(thm)],[57])).
% 7.23/2.44  thf(59,plain,((~ (c_2Ebool_2E_7E @ $true))),inference(simp,[status(thm)],[58])).
% 7.23/2.44  thf(14,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 7.23/2.44  thf(71,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).
% 7.23/2.44  thf(8,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 7.23/2.44  thf(39,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 7.23/2.44  thf(35,plain,(c_2Ebool_2ET),inference(cnf,[status(esa)],[31])).
% 7.23/2.44  thf(4,axiom,((c_2Eiterate_2Emonoidal @ tyop_2Erealax_2Ereal @ c_2Erealax_2Ereal__mul)),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eiterate_2EMONOIDAL__REAL__MUL)).
% 7.23/2.44  thf(23,plain,((c_2Eiterate_2Emonoidal @ tyop_2Erealax_2Ereal @ (c_2Erealax_2Ereal__mul))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 7.23/2.44  thf(17,plain,(! [A:skt1] : ((~ (c_2Ebool_2EIN @ skt1 @ A @ (sk3))) | ((sk1 @ A) = (sk2 @ A)))),inference(cnf,[status(esa)],[15])).
% 7.23/2.44  thf(19,plain,(! [A:skt1] : (((sk2 @ A) = (sk1 @ A)) | (~ (c_2Ebool_2EIN @ skt1 @ A @ (sk3))))),inference(lifteq,[status(thm)],[17])).
% 7.23/2.44  thf(13,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 7.23/2.44  thf(62,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 7.23/2.44  thf(86,plain,($false),inference(e,[status(thm)],[42,24,52,20,57,29,84,38,34,45,59,71,39,35,48,18,23,19,15,62])).
% 7.23/2.44  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.23/2.44  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
