%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:44:15 EDT 2019

% Result     : Theorem 8.70s
% Output     : CNFRefutation 8.70s
% Verified   : 
% Statistics : Number of formulae       :   22 (  35 expanded)
%              Number of leaves         :   10 (  14 expanded)
%              Depth                    :    5
%              Number of atoms          :  146 ( 232 expanded)
%              Number of equality atoms :   24 (  40 expanded)
%              Maximal formula depth    :   10 (   7 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Epred__set_2ESUBSET_type,type,(
    c_2Epred__set_2ESUBSET: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > $o ) > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: skt1 > $o )).

thf(sk2_type,type,(
    sk2: skt1 > $o )).

thf(1,conjecture,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( ( c_2Epred__set_2ESUBSET @ TA @ A @ B )
        & ( c_2Epred__set_2ESUBSET @ TA @ B @ A ) )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ESUBSET__ANTISYM__EQ)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: TA > $o,B: TA > $o] :
        ( ( ( c_2Epred__set_2ESUBSET @ TA @ A @ B )
          & ( c_2Epred__set_2ESUBSET @ TA @ B @ A ) )
        = ( A = B ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(6,plain,(
    ~ ! [TA: $tType,A: TA > $o,B: TA > $o] :
        ( ( ( c_2Epred__set_2ESUBSET @ TA @ A @ B )
          & ( c_2Epred__set_2ESUBSET @ TA @ B @ A ) )
        = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    ! [TA: $tType] :
      ( ( c_2Ebool_2EIN @ TA )
      = ( ^ [A: TA,B: TA > $o] :
            ( B @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EIN__DEF)).

thf(9,plain,(
    ! [TA: $tType] :
      ( ( c_2Ebool_2EIN @ TA )
      = ( ^ [A: TA,B: TA > $o] :
            ( B @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(4,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( A = B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
            = ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EEXTENSION)).

thf(12,plain,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( A = B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
            = ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(10,plain,(
    ! [TA: $tType] :
      ( ( c_2Ebool_2EIN @ TA )
      = ( ^ [A: TA,B: TA > $o] :
            ( B @ A ) ) ) ),
    inference(cnf,[status(esa)],[9])).

thf(11,plain,(
    ! [TA: $tType] :
      ( ( c_2Ebool_2EIN @ TA )
      = ( ^ [A: TA,B: TA > $o] :
            ( B @ A ) ) ) ),
    inference(lifteq,[status(thm)],[10])).

thf(18,plain,(
    ! [TA: $tType,A: TA] :
      ( ( c_2Ebool_2EIN @ TA @ A )
      = ( ^ [B: TA > $o] :
            ( B @ A ) ) ) ),
    inference(func_ext,[status(esa)],[11])).

thf(7,plain,(
    ( ( c_2Epred__set_2ESUBSET @ skt1 @ sk1 @ sk2 )
    & ( c_2Epred__set_2ESUBSET @ skt1 @ sk2 @ sk1 ) )
 != ( sk1 = sk2 ) ),
    inference(cnf,[status(esa)],[6])).

thf(8,plain,(
    ( ( c_2Epred__set_2ESUBSET @ skt1 @ sk1 @ sk2 )
    & ( c_2Epred__set_2ESUBSET @ skt1 @ sk2 @ sk1 ) )
 != ( sk1 = sk2 ) ),
    inference(lifteq,[status(thm)],[7])).

thf(19,plain,(
    ! [TA: $tType,B: TA > $o,A: TA] :
      ( ( c_2Ebool_2EIN @ TA @ A @ B )
      = ( B @ A ) ) ),
    inference(func_ext,[status(esa)],[11])).

thf(5,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( c_2Epred__set_2ESUBSET @ TA @ A @ B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
           => ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ESUBSET__DEF)).

thf(15,plain,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( c_2Epred__set_2ESUBSET @ TA @ A @ B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
           => ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(43,plain,(
    $false ),
    inference(iprover,[status(thm)],[6,9,12,18,11,8,19,15])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.13/0.14  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.13/0.14  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.13/0.14  % CPULimit   : 300
% 0.13/0.14  % DateTime   : Wed Jul 31 11:48:28 EDT 2019
% 0.13/0.14  % CPUTime    : 
% 3.75/1.47  % [INFO] 	 Running in sequential loop mode. 
% 4.47/1.66  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.69/1.73  % [INFO] 	 iprover registered as external prover. 
% 4.69/1.73  % [INFO] 	 e registered as external prover. 
% 4.69/1.73  % [INFO] 	 cvc4 registered as external prover. 
% 4.69/1.74  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.11/1.79  % [INFO] 	 Found a conjecture and 35 axioms. Running axiom selection ... 
% 5.37/1.83  % [INFO] 	 Axiom selection finished. Selected 3 axioms (removed 32 axioms). 
% 5.37/1.85  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 8.70/2.75  % [INFO] 	 Killing All external provers ... 
% 8.70/2.76  % Time passed: 2487ms
% 8.70/2.76  % Effective reasoning time: 1286ms
% 8.70/2.76  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 8.70/2.76  % Axioms used in derivation (3): thm_2Ebool_2EIN__DEF, thm_2Epred__set_2EEXTENSION, thm_2Epred__set_2ESUBSET__DEF
% 8.70/2.76  % No. of inferences in proof: 16
% 8.70/2.76  % No. of processed clauses: 5
% 8.70/2.76  % No. of generated clauses: 14
% 8.70/2.76  % No. of forward subsumed clauses: 0
% 8.70/2.76  % No. of backward subsumed clauses: 0
% 8.70/2.76  % No. of ground rewrite rules in store: 0
% 8.70/2.76  % No. of non-ground rewrite rules in store: 0
% 8.70/2.76  % No. of positive (non-rewrite) units in store: 3
% 8.70/2.76  % No. of negative (non-rewrite) units in store: 1
% 8.70/2.76  % No. of choice functions detected: 0
% 8.70/2.76  % No. of choice instantiations: 0
% 8.70/2.76  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2487 ms resp. 1286 ms w/o parsing
% 8.70/2.78  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 8.70/2.78  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 8.70/2.78  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 8.70/2.78  thf(c_2Epred__set_2ESUBSET_type, type, c_2Epred__set_2ESUBSET: !>[TA: $tType]: ((TA > $o) > ((TA > $o) > $o))).
% 8.70/2.78  thf(skt1_type, type, skt1: $tType).
% 8.70/2.78  thf(sk1_type, type, sk1: (skt1 > $o)).
% 8.70/2.78  thf(sk2_type, type, sk2: (skt1 > $o)).
% 8.70/2.78  thf(1,conjecture,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: (((c_2Epred__set_2ESUBSET @ TA @ A @ B) & (c_2Epred__set_2ESUBSET @ TA @ B @ A)) = (A = B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ESUBSET__ANTISYM__EQ)).
% 8.70/2.78  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: (((c_2Epred__set_2ESUBSET @ TA @ A @ B) & (c_2Epred__set_2ESUBSET @ TA @ B @ A)) = (A = B)))))),inference(neg_conjecture,[status(cth)],[1])).
% 8.70/2.78  thf(6,plain,((~ (! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: (((c_2Epred__set_2ESUBSET @ TA @ (A) @ (B)) & (c_2Epred__set_2ESUBSET @ TA @ (B) @ (A))) = ((A) = (B))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 8.70/2.78  thf(3,axiom,((! [TA: $tType]: ((c_2Ebool_2EIN @ TA) = (^ [A:TA,B:(TA > $o)]: (B @ A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EIN__DEF)).
% 8.70/2.78  thf(9,plain,((! [TA: $tType]: ((c_2Ebool_2EIN @ TA) = (^ [A:TA,B:(TA > $o)]: (B @ A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 8.70/2.78  thf(4,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((A = B) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ A) = (c_2Ebool_2EIN @ TA @ C @ B))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EEXTENSION)).
% 8.70/2.78  thf(12,plain,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: (((A) = (B)) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (A)) = (c_2Ebool_2EIN @ TA @ C @ (B)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 8.70/2.78  thf(10,plain,(! [TA:$tType] : (((c_2Ebool_2EIN @ TA) = (^ [A:TA,B:(TA > $o)]: (B @ A))))),inference(cnf,[status(esa)],[9])).
% 8.70/2.78  thf(11,plain,(! [TA:$tType] : (((c_2Ebool_2EIN @ TA) = (^ [A:TA,B:(TA > $o)]: (B @ A))))),inference(lifteq,[status(thm)],[10])).
% 8.70/2.78  thf(18,plain,(! [TA:$tType,A:TA] : (((c_2Ebool_2EIN @ TA @ A) = (^ [B:(TA > $o)]: (B @ A))))),inference(func_ext,[status(esa)],[11])).
% 8.70/2.78  thf(7,plain,((~ (((c_2Epred__set_2ESUBSET @ skt1 @ (sk1) @ (sk2)) & (c_2Epred__set_2ESUBSET @ skt1 @ (sk2) @ (sk1))) = ((sk1) = (sk2))))),inference(cnf,[status(esa)],[6])).
% 8.70/2.78  thf(8,plain,((((c_2Epred__set_2ESUBSET @ skt1 @ (sk1) @ (sk2)) & (c_2Epred__set_2ESUBSET @ skt1 @ (sk2) @ (sk1))) != ((sk1) = (sk2)))),inference(lifteq,[status(thm)],[7])).
% 8.70/2.78  thf(19,plain,(! [TA:$tType,B:(TA > $o),A:TA] : (((c_2Ebool_2EIN @ TA @ A @ (B)) = (B @ A)))),inference(func_ext,[status(esa)],[11])).
% 8.70/2.78  thf(5,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((c_2Epred__set_2ESUBSET @ TA @ A @ B) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ A) => (c_2Ebool_2EIN @ TA @ C @ B))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ESUBSET__DEF)).
% 8.70/2.78  thf(15,plain,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((c_2Epred__set_2ESUBSET @ TA @ (A) @ (B)) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (A)) => (c_2Ebool_2EIN @ TA @ C @ (B)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 8.70/2.78  thf(43,plain,($false),inference(iprover,[status(thm)],[6,9,12,18,11,8,19,15])).
% 8.70/2.78  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 8.70/2.78  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
