%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:44:30 EDT 2019

% Result     : Theorem 7.88s
% Output     : CNFRefutation 7.88s
% Verified   : 
% Statistics : Number of formulae       :   47 (  47 expanded)
%              Number of leaves         :   29 (  29 expanded)
%              Depth                    :    3
%              Number of atoms          :  353 ( 353 expanded)
%              Number of equality atoms :   24 (  24 expanded)
%              Maximal formula depth    :   12 (   7 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: 
      !>[TA: $tType,TB: $tType] :
        ( TA > TB > ( tyop_2Epair_2Eprod @ TA @ TB ) ) )).

thf(c_2Ereal__topology_2EDist_type,type,(
    c_2Ereal__topology_2EDist: ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Epred__set_2ESUBSET_type,type,(
    c_2Epred__set_2ESUBSET: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > $o ) > $o ) )).

thf(c_2Ereal__topology_2Ecball_type,type,(
    c_2Ereal__topology_2Ecball: ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal > $o )).

thf(c_2Erealax_2Ereal__add_type,type,(
    c_2Erealax_2Ereal__add: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Erealax_2Ereal__lt_type,type,(
    c_2Erealax_2Ereal__lt: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > $o )).

thf(c_2Ereal_2Ereal__lte_type,type,(
    c_2Ereal_2Ereal__lte: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > $o )).

thf(c_2Erealax_2Ereal__neg_type,type,(
    c_2Erealax_2Ereal__neg: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Ereal__topology_2Esphere_type,type,(
    c_2Ereal__topology_2Esphere: ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal > $o )).

thf(11,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ B @ A )
      = ( ~ ( c_2Ereal_2Ereal__lte @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2Ereal__lt)).

thf(42,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ B @ A )
      = ( ~ ( c_2Ereal_2Ereal__lte @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(9,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal_2Ereal__lte @ A @ B )
        & ( c_2Erealax_2Ereal__lt @ B @ C ) )
     => ( c_2Erealax_2Ereal__lt @ A @ C ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LET__TRANS)).

thf(37,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal_2Ereal__lte @ A @ B )
        & ( c_2Erealax_2Ereal__lt @ B @ C ) )
     => ( c_2Erealax_2Ereal__lt @ A @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(3,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ ( c_2Erealax_2Ereal__add @ A @ B ) @ ( c_2Erealax_2Ereal__add @ A @ C ) )
      = ( c_2Erealax_2Ereal__lt @ B @ C ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LT__LADD)).

thf(20,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ ( c_2Erealax_2Ereal__add @ A @ B ) @ ( c_2Erealax_2Ereal__add @ A @ C ) )
      = ( c_2Erealax_2Ereal__lt @ B @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(17,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( c_2Epred__set_2ESUBSET @ TA @ A @ B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
           => ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ESUBSET__DEF)).

thf(57,plain,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( c_2Epred__set_2ESUBSET @ TA @ A @ B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
           => ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(6,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__neg @ ( c_2Erealax_2Ereal__neg @ A ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__NEG__NEG)).

thf(28,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__neg @ ( c_2Erealax_2Ereal__neg @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(8,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal_2Ereal__lte @ A @ B )
        & ( c_2Ereal_2Ereal__lte @ B @ A ) )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__ANTISYM)).

thf(34,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal_2Ereal__lte @ A @ B )
        & ( c_2Ereal_2Ereal__lte @ B @ A ) )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(12,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal_2Ereal__lte @ A @ B )
        & ( c_2Ereal_2Ereal__lte @ B @ C ) )
     => ( c_2Ereal_2Ereal__lte @ A @ C ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__TRANS)).

thf(45,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal_2Ereal__lte @ A @ B )
        & ( c_2Ereal_2Ereal__lte @ B @ C ) )
     => ( c_2Ereal_2Ereal__lte @ A @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(16,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ ( c_2Ereal__topology_2Ecball @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C ) ) )
      = ( c_2Ereal_2Ereal__lte @ ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) ) @ C ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2EIN__CBALL)).

thf(54,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ ( c_2Ereal__topology_2Ecball @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C ) ) )
      = ( c_2Ereal_2Ereal__lte @ ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) ) @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(14,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__lte @ B @ C )
     => ( c_2Ereal_2Ereal__lte @ ( c_2Erealax_2Ereal__add @ A @ B ) @ ( c_2Erealax_2Ereal__add @ A @ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__LADD__IMP)).

thf(49,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__lte @ B @ C )
     => ( c_2Ereal_2Ereal__lte @ ( c_2Erealax_2Ereal__add @ A @ B ) @ ( c_2Erealax_2Ereal__add @ A @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(10,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__lte @ ( c_2Erealax_2Ereal__neg @ A ) @ ( c_2Erealax_2Ereal__neg @ B ) )
      = ( c_2Ereal_2Ereal__lte @ B @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__NEG2)).

thf(39,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__lte @ ( c_2Erealax_2Ereal__neg @ A ) @ ( c_2Erealax_2Ereal__neg @ B ) )
      = ( c_2Ereal_2Ereal__lte @ B @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(1,conjecture,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ ( c_2Ereal__topology_2Esphere @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) ) @ ( c_2Ereal__topology_2Ecball @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ESPHERE__SUBSET__CBALL)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
        ( c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ ( c_2Ereal__topology_2Esphere @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) ) @ ( c_2Ereal__topology_2Ecball @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(18,plain,(
    ~ ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
        ( c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ ( c_2Ereal__topology_2Esphere @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) ) @ ( c_2Ereal__topology_2Ecball @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(7,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add @ A @ B )
      = ( c_2Erealax_2Ereal__add @ B @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__SYM)).

thf(31,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add @ A @ B )
      = ( c_2Erealax_2Ereal__add @ B @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(5,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Erealax_2Ereal__lt @ A @ B )
        & ( c_2Erealax_2Ereal__lt @ B @ C ) )
     => ( c_2Erealax_2Ereal__lt @ A @ C ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LT__TRANS)).

thf(26,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Erealax_2Ereal__lt @ A @ B )
        & ( c_2Erealax_2Ereal__lt @ B @ C ) )
     => ( c_2Erealax_2Ereal__lt @ A @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(4,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add @ A @ ( c_2Erealax_2Ereal__add @ B @ C ) )
      = ( c_2Erealax_2Ereal__add @ ( c_2Erealax_2Ereal__add @ A @ B ) @ C ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__ASSOC)).

thf(23,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add @ A @ ( c_2Erealax_2Ereal__add @ B @ C ) )
      = ( c_2Erealax_2Ereal__add @ ( c_2Erealax_2Ereal__add @ A @ B ) @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(15,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ ( c_2Ereal__topology_2Esphere @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C ) ) )
      = ( ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) )
        = C ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2EIN__SPHERE)).

thf(51,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ ( c_2Ereal__topology_2Esphere @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C ) ) )
      = ( ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) )
        = C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(13,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Erealax_2Ereal__lt @ A @ B )
        & ( c_2Ereal_2Ereal__lte @ B @ C ) )
     => ( c_2Erealax_2Ereal__lt @ A @ C ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LTE__TRANS)).

thf(47,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Erealax_2Ereal__lt @ A @ B )
        & ( c_2Ereal_2Ereal__lte @ B @ C ) )
     => ( c_2Erealax_2Ereal__lt @ A @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(62,plain,(
    $false ),
    inference(iprover,[status(thm)],[42,37,20,57,28,34,45,54,49,39,18,31,26,23,51,47])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.06/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.06/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.06/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.06/0.12  % CPULimit   : 300
% 0.06/0.12  % DateTime   : Wed Jul 31 12:29:42 EDT 2019
% 0.06/0.13  % CPUTime    : 
% 4.67/1.69  % [INFO] 	 Running in sequential loop mode. 
% 5.28/1.87  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 5.45/1.94  % [INFO] 	 iprover registered as external prover. 
% 5.45/1.94  % [INFO] 	 e registered as external prover. 
% 5.45/1.94  % [INFO] 	 cvc4 registered as external prover. 
% 5.45/1.94  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.52/2.00  % [INFO] 	 Found a conjecture and 56 axioms. Running axiom selection ... 
% 5.67/2.06  % [INFO] 	 Axiom selection finished. Selected 15 axioms (removed 41 axioms). 
% 5.76/2.09  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.88/2.79  % [INFO] 	 Killing All external provers ... 
% 7.88/2.80  % Time passed: 2530ms
% 7.88/2.80  % Effective reasoning time: 1098ms
% 7.88/2.80  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.88/2.80  % Axioms used in derivation (15): thm_2Ereal_2EREAL__LT__TRANS, thm_2Ereal__topology_2EIN__SPHERE, thm_2Ereal_2EREAL__NEG__NEG, thm_2Ereal_2Ereal__lt, thm_2Ereal_2EREAL__LE__ANTISYM, thm_2Ereal_2EREAL__LE__NEG2, thm_2Ereal_2EREAL__LTE__TRANS, thm_2Ereal__topology_2EIN__CBALL, thm_2Ereal_2EREAL__LET__TRANS, thm_2Ereal_2EREAL__LE__LADD__IMP, thm_2Ereal_2EREAL__ADD__SYM, thm_2Ereal_2EREAL__ADD__ASSOC, thm_2Epred__set_2ESUBSET__DEF, thm_2Ereal_2EREAL__LT__LADD, thm_2Ereal_2EREAL__LE__TRANS
% 7.88/2.80  % No. of inferences in proof: 34
% 7.88/2.80  % No. of processed clauses: 1
% 7.88/2.80  % No. of generated clauses: 0
% 7.88/2.80  % No. of forward subsumed clauses: 0
% 7.88/2.80  % No. of backward subsumed clauses: 0
% 7.88/2.80  % No. of ground rewrite rules in store: 0
% 7.88/2.80  % No. of non-ground rewrite rules in store: 1
% 7.88/2.80  % No. of positive (non-rewrite) units in store: 0
% 7.88/2.80  % No. of negative (non-rewrite) units in store: 0
% 7.88/2.80  % No. of choice functions detected: 0
% 7.88/2.80  % No. of choice instantiations: 0
% 7.88/2.80  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2530 ms resp. 1098 ms w/o parsing
% 7.88/2.83  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.88/2.83  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.88/2.83  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 7.88/2.83  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 7.88/2.83  thf(c_2Epair_2E_2C_type, type, c_2Epair_2E_2C: !>[TA: $tType,TB: $tType]: (TA > (TB > (tyop_2Epair_2Eprod @ TA @ TB)))).
% 7.88/2.83  thf(c_2Ereal__topology_2EDist_type, type, c_2Ereal__topology_2EDist: ((tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) > tyop_2Erealax_2Ereal)).
% 7.88/2.83  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 7.88/2.83  thf(c_2Epred__set_2ESUBSET_type, type, c_2Epred__set_2ESUBSET: !>[TA: $tType]: ((TA > $o) > ((TA > $o) > $o))).
% 7.88/2.83  thf(c_2Ereal__topology_2Ecball_type, type, c_2Ereal__topology_2Ecball: ((tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) > (tyop_2Erealax_2Ereal > $o))).
% 7.88/2.83  thf(c_2Erealax_2Ereal__add_type, type, c_2Erealax_2Ereal__add: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal))).
% 7.88/2.83  thf(c_2Erealax_2Ereal__lt_type, type, c_2Erealax_2Ereal__lt: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > $o))).
% 7.88/2.83  thf(c_2Ereal_2Ereal__lte_type, type, c_2Ereal_2Ereal__lte: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > $o))).
% 7.88/2.83  thf(c_2Erealax_2Ereal__neg_type, type, c_2Erealax_2Ereal__neg: (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal)).
% 7.88/2.83  thf(c_2Ereal__topology_2Esphere_type, type, c_2Ereal__topology_2Esphere: ((tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) > (tyop_2Erealax_2Ereal > $o))).
% 7.88/2.83  thf(11,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ B @ A) = (~ (c_2Ereal_2Ereal__lte @ A @ B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2Ereal__lt)).
% 7.88/2.83  thf(42,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ B @ A) = (~ (c_2Ereal_2Ereal__lte @ A @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 7.88/2.83  thf(9,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: (((c_2Ereal_2Ereal__lte @ A @ B) & (c_2Erealax_2Ereal__lt @ B @ C)) => (c_2Erealax_2Ereal__lt @ A @ C)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LET__TRANS)).
% 7.88/2.83  thf(37,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: (((c_2Ereal_2Ereal__lte @ A @ B) & (c_2Erealax_2Ereal__lt @ B @ C)) => (c_2Erealax_2Ereal__lt @ A @ C)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 7.88/2.83  thf(3,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ (c_2Erealax_2Ereal__add @ A @ B) @ (c_2Erealax_2Ereal__add @ A @ C)) = (c_2Erealax_2Ereal__lt @ B @ C)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LT__LADD)).
% 7.88/2.83  thf(20,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ (c_2Erealax_2Ereal__add @ A @ B) @ (c_2Erealax_2Ereal__add @ A @ C)) = (c_2Erealax_2Ereal__lt @ B @ C)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.88/2.83  thf(17,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((c_2Epred__set_2ESUBSET @ TA @ A @ B) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ A) => (c_2Ebool_2EIN @ TA @ C @ B))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ESUBSET__DEF)).
% 7.88/2.83  thf(57,plain,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((c_2Epred__set_2ESUBSET @ TA @ (A) @ (B)) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (A)) => (c_2Ebool_2EIN @ TA @ C @ (B)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).
% 7.88/2.83  thf(6,axiom,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__neg @ (c_2Erealax_2Ereal__neg @ A)) = A))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__NEG__NEG)).
% 7.88/2.83  thf(28,plain,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__neg @ (c_2Erealax_2Ereal__neg @ A)) = A))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 7.88/2.83  thf(8,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: (((c_2Ereal_2Ereal__lte @ A @ B) & (c_2Ereal_2Ereal__lte @ B @ A)) = (A = B)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__ANTISYM)).
% 7.88/2.83  thf(34,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: (((c_2Ereal_2Ereal__lte @ A @ B) & (c_2Ereal_2Ereal__lte @ B @ A)) = (A = B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 7.88/2.83  thf(12,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: (((c_2Ereal_2Ereal__lte @ A @ B) & (c_2Ereal_2Ereal__lte @ B @ C)) => (c_2Ereal_2Ereal__lte @ A @ C)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__TRANS)).
% 7.88/2.83  thf(45,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: (((c_2Ereal_2Ereal__lte @ A @ B) & (c_2Ereal_2Ereal__lte @ B @ C)) => (c_2Ereal_2Ereal__lte @ A @ C)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 7.88/2.83  thf(16,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (c_2Ereal__topology_2Ecball @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C))) = (c_2Ereal_2Ereal__lte @ (c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B)) @ C)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2EIN__CBALL)).
% 7.88/2.83  thf(54,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (c_2Ereal__topology_2Ecball @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C))) = (c_2Ereal_2Ereal__lte @ (c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B)) @ C)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).
% 7.88/2.83  thf(14,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__lte @ B @ C) => (c_2Ereal_2Ereal__lte @ (c_2Erealax_2Ereal__add @ A @ B) @ (c_2Erealax_2Ereal__add @ A @ C))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__LADD__IMP)).
% 7.88/2.83  thf(49,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__lte @ B @ C) => (c_2Ereal_2Ereal__lte @ (c_2Erealax_2Ereal__add @ A @ B) @ (c_2Erealax_2Ereal__add @ A @ C))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).
% 7.88/2.83  thf(10,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__lte @ (c_2Erealax_2Ereal__neg @ A) @ (c_2Erealax_2Ereal__neg @ B)) = (c_2Ereal_2Ereal__lte @ B @ A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__NEG2)).
% 7.88/2.83  thf(39,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__lte @ (c_2Erealax_2Ereal__neg @ A) @ (c_2Erealax_2Ereal__neg @ B)) = (c_2Ereal_2Ereal__lte @ B @ A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 7.88/2.83  thf(1,conjecture,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: (c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ (c_2Ereal__topology_2Esphere @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B)) @ (c_2Ereal__topology_2Ecball @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ESPHERE__SUBSET__CBALL)).
% 7.88/2.83  thf(2,negated_conjecture,((~ (! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: (c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ (c_2Ereal__topology_2Esphere @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B)) @ (c_2Ereal__topology_2Ecball @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B)))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.88/2.83  thf(18,plain,((~ (! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: (c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ (c_2Ereal__topology_2Esphere @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B)) @ (c_2Ereal__topology_2Ecball @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.88/2.83  thf(7,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__add @ A @ B) = (c_2Erealax_2Ereal__add @ B @ A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__SYM)).
% 7.88/2.83  thf(31,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__add @ A @ B) = (c_2Erealax_2Ereal__add @ B @ A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 7.88/2.83  thf(5,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: (((c_2Erealax_2Ereal__lt @ A @ B) & (c_2Erealax_2Ereal__lt @ B @ C)) => (c_2Erealax_2Ereal__lt @ A @ C)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LT__TRANS)).
% 7.88/2.83  thf(26,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: (((c_2Erealax_2Ereal__lt @ A @ B) & (c_2Erealax_2Ereal__lt @ B @ C)) => (c_2Erealax_2Ereal__lt @ A @ C)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 7.88/2.83  thf(4,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__add @ A @ (c_2Erealax_2Ereal__add @ B @ C)) = (c_2Erealax_2Ereal__add @ (c_2Erealax_2Ereal__add @ A @ B) @ C)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__ASSOC)).
% 7.88/2.83  thf(23,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__add @ A @ (c_2Erealax_2Ereal__add @ B @ C)) = (c_2Erealax_2Ereal__add @ (c_2Erealax_2Ereal__add @ A @ B) @ C)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 7.88/2.83  thf(15,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (c_2Ereal__topology_2Esphere @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C))) = ((c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B)) = C)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2EIN__SPHERE)).
% 7.88/2.83  thf(51,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (c_2Ereal__topology_2Esphere @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C))) = ((c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B)) = C)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).
% 7.88/2.83  thf(13,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: (((c_2Erealax_2Ereal__lt @ A @ B) & (c_2Ereal_2Ereal__lte @ B @ C)) => (c_2Erealax_2Ereal__lt @ A @ C)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LTE__TRANS)).
% 7.88/2.83  thf(47,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: (((c_2Erealax_2Ereal__lt @ A @ B) & (c_2Ereal_2Ereal__lte @ B @ C)) => (c_2Erealax_2Ereal__lt @ A @ C)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 7.88/2.83  thf(62,plain,($false),inference(iprover,[status(thm)],[42,37,20,57,28,34,45,54,49,39,18,31,26,23,51,47])).
% 7.88/2.83  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.88/2.83  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
