%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:44:30 EDT 2019

% Result     : Theorem 7.11s
% Output     : CNFRefutation 7.24s
% Verified   : 
% Statistics : Number of formulae       :   18 (  18 expanded)
%              Number of leaves         :   12 (  12 expanded)
%              Depth                    :    3
%              Number of atoms          :  132 ( 132 expanded)
%              Number of equality atoms :    4 (   4 expanded)
%              Maximal formula depth    :   13 (   8 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: 
      !>[TA: $tType,TB: $tType] :
        ( TA > TB > ( tyop_2Epair_2Eprod @ TA @ TB ) ) )).

thf(c_2Ereal__topology_2EDist_type,type,(
    c_2Ereal__topology_2EDist: ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Epred__set_2ESUBSET_type,type,(
    c_2Epred__set_2ESUBSET: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > $o ) > $o ) )).

thf(c_2Ereal__topology_2Ecball_type,type,(
    c_2Ereal__topology_2Ecball: ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal > $o )).

thf(c_2Ereal_2Ereal__lte_type,type,(
    c_2Ereal_2Ereal__lte: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > $o )).

thf(1,conjecture,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__lte @ B @ C )
     => ( c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ ( c_2Ereal__topology_2Ecball @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) ) @ ( c_2Ereal__topology_2Ecball @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ESUBSET__CBALL)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
        ( ( c_2Ereal_2Ereal__lte @ B @ C )
       => ( c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ ( c_2Ereal__topology_2Ecball @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) ) @ ( c_2Ereal__topology_2Ecball @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(6,plain,(
    ~ ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
        ( ( c_2Ereal_2Ereal__lte @ B @ C )
       => ( c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ ( c_2Ereal__topology_2Ecball @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) ) @ ( c_2Ereal__topology_2Ecball @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal_2Ereal__lte @ A @ B )
        & ( c_2Ereal_2Ereal__lte @ B @ C ) )
     => ( c_2Ereal_2Ereal__lte @ A @ C ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__TRANS)).

thf(9,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal_2Ereal__lte @ A @ B )
        & ( c_2Ereal_2Ereal__lte @ B @ C ) )
     => ( c_2Ereal_2Ereal__lte @ A @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(4,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ ( c_2Ereal__topology_2Ecball @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C ) ) )
      = ( c_2Ereal_2Ereal__lte @ ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) ) @ C ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2EIN__CBALL)).

thf(11,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ ( c_2Ereal__topology_2Ecball @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C ) ) )
      = ( c_2Ereal_2Ereal__lte @ ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) ) @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(5,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( c_2Epred__set_2ESUBSET @ TA @ A @ B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
           => ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2ESUBSET__DEF)).

thf(14,plain,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( c_2Epred__set_2ESUBSET @ TA @ A @ B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
           => ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(17,plain,(
    $false ),
    inference(iprover,[status(thm)],[6,9,11,14])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.07/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.07/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.07/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.07/0.13  % CPULimit   : 300
% 0.07/0.13  % DateTime   : Wed Jul 31 12:27:00 EDT 2019
% 0.07/0.13  % CPUTime    : 
% 3.82/1.52  % [INFO] 	 Running in sequential loop mode. 
% 4.73/1.70  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 5.05/1.76  % [INFO] 	 iprover registered as external prover. 
% 5.05/1.76  % [INFO] 	 e registered as external prover. 
% 5.05/1.77  % [INFO] 	 cvc4 registered as external prover. 
% 5.12/1.77  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.35/1.82  % [INFO] 	 Found a conjecture and 33 axioms. Running axiom selection ... 
% 5.47/1.87  % [INFO] 	 Axiom selection finished. Selected 3 axioms (removed 30 axioms). 
% 5.47/1.89  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.11/2.36  % [INFO] 	 Killing All external provers ... 
% 7.11/2.37  % Time passed: 2095ms
% 7.11/2.37  % Effective reasoning time: 839ms
% 7.11/2.37  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.11/2.37  % Axioms used in derivation (3): thm_2Ereal_2EREAL__LE__TRANS, thm_2Ereal__topology_2EIN__CBALL, thm_2Epred__set_2ESUBSET__DEF
% 7.11/2.37  % No. of inferences in proof: 10
% 7.11/2.37  % No. of processed clauses: 1
% 7.11/2.37  % No. of generated clauses: 0
% 7.11/2.37  % No. of forward subsumed clauses: 0
% 7.11/2.37  % No. of backward subsumed clauses: 0
% 7.11/2.37  % No. of ground rewrite rules in store: 1
% 7.11/2.37  % No. of non-ground rewrite rules in store: 0
% 7.11/2.37  % No. of positive (non-rewrite) units in store: 0
% 7.11/2.37  % No. of negative (non-rewrite) units in store: 0
% 7.11/2.37  % No. of choice functions detected: 0
% 7.11/2.37  % No. of choice instantiations: 0
% 7.11/2.37  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2095 ms resp. 839 ms w/o parsing
% 7.24/2.40  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.24/2.40  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.24/2.40  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 7.24/2.40  thf(c_2Epair_2E_2C_type, type, c_2Epair_2E_2C: !>[TA: $tType,TB: $tType]: (TA > (TB > (tyop_2Epair_2Eprod @ TA @ TB)))).
% 7.24/2.40  thf(c_2Ereal__topology_2EDist_type, type, c_2Ereal__topology_2EDist: ((tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) > tyop_2Erealax_2Ereal)).
% 7.24/2.40  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 7.24/2.40  thf(c_2Epred__set_2ESUBSET_type, type, c_2Epred__set_2ESUBSET: !>[TA: $tType]: ((TA > $o) > ((TA > $o) > $o))).
% 7.24/2.40  thf(c_2Ereal__topology_2Ecball_type, type, c_2Ereal__topology_2Ecball: ((tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) > (tyop_2Erealax_2Ereal > $o))).
% 7.24/2.40  thf(c_2Ereal_2Ereal__lte_type, type, c_2Ereal_2Ereal__lte: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > $o))).
% 7.24/2.40  thf(1,conjecture,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__lte @ B @ C) => (c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ (c_2Ereal__topology_2Ecball @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B)) @ (c_2Ereal__topology_2Ecball @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ESUBSET__CBALL)).
% 7.24/2.40  thf(2,negated_conjecture,((~ (! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__lte @ B @ C) => (c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ (c_2Ereal__topology_2Ecball @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B)) @ (c_2Ereal__topology_2Ecball @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C))))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.24/2.40  thf(6,plain,((~ (! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__lte @ B @ C) => (c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ (c_2Ereal__topology_2Ecball @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B)) @ (c_2Ereal__topology_2Ecball @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.24/2.40  thf(3,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: (((c_2Ereal_2Ereal__lte @ A @ B) & (c_2Ereal_2Ereal__lte @ B @ C)) => (c_2Ereal_2Ereal__lte @ A @ C)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__TRANS)).
% 7.24/2.40  thf(9,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: (((c_2Ereal_2Ereal__lte @ A @ B) & (c_2Ereal_2Ereal__lte @ B @ C)) => (c_2Ereal_2Ereal__lte @ A @ C)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.24/2.40  thf(4,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (c_2Ereal__topology_2Ecball @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C))) = (c_2Ereal_2Ereal__lte @ (c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B)) @ C)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2EIN__CBALL)).
% 7.24/2.40  thf(11,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (c_2Ereal__topology_2Ecball @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C))) = (c_2Ereal_2Ereal__lte @ (c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B)) @ C)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 7.24/2.40  thf(5,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((c_2Epred__set_2ESUBSET @ TA @ A @ B) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ A) => (c_2Ebool_2EIN @ TA @ C @ B))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2ESUBSET__DEF)).
% 7.24/2.40  thf(14,plain,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((c_2Epred__set_2ESUBSET @ TA @ (A) @ (B)) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (A)) => (c_2Ebool_2EIN @ TA @ C @ (B)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 7.24/2.40  thf(17,plain,($false),inference(iprover,[status(thm)],[6,9,11,14])).
% 7.24/2.40  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.24/2.40  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
