%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:44:35 EDT 2019

% Result     : Theorem 52.32s
% Output     : CNFRefutation 52.32s
% Verified   : 
% Statistics : Number of formulae       :   28 (  28 expanded)
%              Number of leaves         :   17 (  17 expanded)
%              Depth                    :    3
%              Number of atoms          :  191 ( 191 expanded)
%              Number of equality atoms :   19 (  19 expanded)
%              Maximal formula depth    :   10 (   7 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Epred__set_2EEMPTY_type,type,(
    c_2Epred__set_2EEMPTY: 
      !>[TA: $tType] :
        ( TA > $o ) )).

thf(c_2Epred__set_2EFINITE_type,type,(
    c_2Epred__set_2EFINITE: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Epred__set_2EINSERT_type,type,(
    c_2Epred__set_2EINSERT: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > TA > $o ) )).

thf(c_2Epred__set_2EUNION_type,type,(
    c_2Epred__set_2EUNION: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > $o ) > TA > $o ) )).

thf(c_2Ereal__topology_2Elimit__point__of_type,type,(
    c_2Ereal__topology_2Elimit__point__of: tyop_2Erealax_2Ereal > ( tyop_2Erealax_2Ereal > $o ) > $o )).

thf(7,axiom,(
    ! [TA: $tType,A: TA,B: TA,C: TA > $o] :
      ( ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EINSERT @ TA @ B @ C ) )
      = ( ( A = B )
        | ( c_2Ebool_2EIN @ TA @ A @ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__INSERT)).

thf(25,plain,(
    ! [TA: $tType,A: TA,B: TA,C: TA > $o] :
      ( ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EINSERT @ TA @ B @ C ) )
      = ( ( A = B )
        | ( c_2Ebool_2EIN @ TA @ A @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(3,axiom,(
    ! [TA: $tType] :
      ( ( c_2Ebool_2EIN @ TA )
      = ( ^ [A: TA,B: TA > $o] :
            ( B @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EIN__DEF)).

thf(14,plain,(
    ! [TA: $tType] :
      ( ( c_2Ebool_2EIN @ TA )
      = ( ^ [A: TA,B: TA > $o] :
            ( B @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(5,axiom,(
    ! [TA: $tType,A: TA] :
      ~ ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EEMPTY @ TA ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ENOT__IN__EMPTY)).

thf(20,plain,(
    ! [TA: $tType,A: TA] :
      ~ ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EEMPTY @ TA ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(8,axiom,(
    ! [TA: $tType,A: TA] :
      ( c_2Epred__set_2EFINITE @ TA @ ( c_2Epred__set_2EINSERT @ TA @ A @ ( c_2Epred__set_2EEMPTY @ TA ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EFINITE__SING)).

thf(28,plain,(
    ! [TA: $tType,A: TA] :
      ( c_2Epred__set_2EFINITE @ TA @ ( c_2Epred__set_2EINSERT @ TA @ A @ ( c_2Epred__set_2EEMPTY @ TA ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(4,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( A = B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
            = ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EEXTENSION)).

thf(17,plain,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( A = B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
            = ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(6,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA > $o,C: TA] :
      ( ( c_2Ebool_2EIN @ TA @ C @ ( c_2Epred__set_2EUNION @ TA @ A @ B ) )
      = ( ( c_2Ebool_2EIN @ TA @ C @ A )
        | ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__UNION)).

thf(22,plain,(
    ! [TA: $tType,A: TA > $o,B: TA > $o,C: TA] :
      ( ( c_2Ebool_2EIN @ TA @ C @ ( c_2Epred__set_2EUNION @ TA @ A @ B ) )
      = ( ( c_2Ebool_2EIN @ TA @ C @ A )
        | ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(10,axiom,(
    ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal > $o,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal__topology_2Elimit__point__of @ C @ ( c_2Epred__set_2EUNION @ tyop_2Erealax_2Ereal @ A @ B ) )
      = ( ( c_2Ereal__topology_2Elimit__point__of @ C @ A )
        | ( c_2Ereal__topology_2Elimit__point__of @ C @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ELIMIT__POINT__UNION)).

thf(39,plain,(
    ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal > $o,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal__topology_2Elimit__point__of @ C @ ( c_2Epred__set_2EUNION @ tyop_2Erealax_2Ereal @ A @ B ) )
      = ( ( c_2Ereal__topology_2Elimit__point__of @ C @ A )
        | ( c_2Ereal__topology_2Elimit__point__of @ C @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(1,conjecture,(
    ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal__topology_2Elimit__point__of @ B @ ( c_2Epred__set_2EINSERT @ tyop_2Erealax_2Ereal @ C @ A ) )
      = ( c_2Ereal__topology_2Elimit__point__of @ B @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ELIMPT__INSERT)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
        ( ( c_2Ereal__topology_2Elimit__point__of @ B @ ( c_2Epred__set_2EINSERT @ tyop_2Erealax_2Ereal @ C @ A ) )
        = ( c_2Ereal__topology_2Elimit__point__of @ B @ A ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(11,plain,(
    ~ ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
        ( ( c_2Ereal__topology_2Elimit__point__of @ B @ ( c_2Epred__set_2EINSERT @ tyop_2Erealax_2Ereal @ C @ A ) )
        = ( c_2Ereal__topology_2Elimit__point__of @ B @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(9,axiom,(
    ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Epred__set_2EFINITE @ tyop_2Erealax_2Ereal @ A )
     => ~ ( c_2Ereal__topology_2Elimit__point__of @ B @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ELIMIT__POINT__FINITE)).

thf(30,plain,(
    ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Epred__set_2EFINITE @ tyop_2Erealax_2Ereal @ A )
     => ~ ( c_2Ereal__topology_2Elimit__point__of @ B @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(3468,plain,(
    $false ),
    inference(cvc4,[status(thm)],[25,14,20,28,17,22,39,11,30])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.03/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.03/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.03/0.13  % CPULimit   : 300
% 0.03/0.13  % DateTime   : Wed Jul 31 12:41:28 EDT 2019
% 0.03/0.13  % CPUTime    : 
% 2.64/1.18  % [INFO] 	 Running in sequential loop mode. 
% 3.24/1.35  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.51/1.41  % [INFO] 	 iprover registered as external prover. 
% 3.51/1.42  % [INFO] 	 e registered as external prover. 
% 3.51/1.42  % [INFO] 	 cvc4 registered as external prover. 
% 3.51/1.42  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.94/1.47  % [INFO] 	 Found a conjecture and 22 axioms. Running axiom selection ... 
% 4.07/1.51  % [INFO] 	 Axiom selection finished. Selected 8 axioms (removed 14 axioms). 
% 4.25/1.55  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 52.32/9.94  % [INFO] 	 Killing All external provers ... 
% 52.32/9.95  % Time passed: 9679ms
% 52.32/9.95  % Effective reasoning time: 8760ms
% 52.32/9.95  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 52.32/9.95  % Axioms used in derivation (8): thm_2Epred__set_2EIN__UNION, thm_2Ebool_2EIN__DEF, thm_2Epred__set_2EIN__INSERT, thm_2Epred__set_2EFINITE__SING, thm_2Ereal__topology_2ELIMIT__POINT__UNION, thm_2Epred__set_2ENOT__IN__EMPTY, thm_2Epred__set_2EEXTENSION, thm_2Ereal__topology_2ELIMIT__POINT__FINITE
% 52.32/9.95  % No. of inferences in proof: 20
% 52.32/9.95  % No. of processed clauses: 69
% 52.32/9.95  % No. of generated clauses: 1041
% 52.32/9.95  % No. of forward subsumed clauses: 14
% 52.32/9.95  % No. of backward subsumed clauses: 4
% 52.32/9.95  % No. of ground rewrite rules in store: 0
% 52.32/9.95  % No. of non-ground rewrite rules in store: 10
% 52.32/9.95  % No. of positive (non-rewrite) units in store: 9
% 52.32/9.95  % No. of negative (non-rewrite) units in store: 24
% 52.32/9.95  % No. of choice functions detected: 0
% 52.32/9.95  % No. of choice instantiations: 0
% 52.32/9.95  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 9679 ms resp. 8760 ms w/o parsing
% 52.32/9.99  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 52.32/9.99  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 52.32/9.99  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 52.32/9.99  thf(c_2Epred__set_2EEMPTY_type, type, c_2Epred__set_2EEMPTY: !>[TA: $tType]: (TA > $o)).
% 52.32/9.99  thf(c_2Epred__set_2EFINITE_type, type, c_2Epred__set_2EFINITE: !>[TA: $tType]: ((TA > $o) > $o)).
% 52.32/9.99  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 52.32/9.99  thf(c_2Epred__set_2EINSERT_type, type, c_2Epred__set_2EINSERT: !>[TA: $tType]: (TA > ((TA > $o) > (TA > $o)))).
% 52.32/9.99  thf(c_2Epred__set_2EUNION_type, type, c_2Epred__set_2EUNION: !>[TA: $tType]: ((TA > $o) > ((TA > $o) > (TA > $o)))).
% 52.32/9.99  thf(c_2Ereal__topology_2Elimit__point__of_type, type, c_2Ereal__topology_2Elimit__point__of: (tyop_2Erealax_2Ereal > ((tyop_2Erealax_2Ereal > $o) > $o))).
% 52.32/9.99  thf(7,axiom,((! [TA: $tType]: (! [A:TA,B:TA,C:(TA > $o)]: ((c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EINSERT @ TA @ B @ C)) = ((A = B) | (c_2Ebool_2EIN @ TA @ A @ C)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__INSERT)).
% 52.32/9.99  thf(25,plain,((! [TA: $tType]: (! [A:TA,B:TA,C:(TA > $o)]: ((c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EINSERT @ TA @ B @ C)) = ((A = B) | (c_2Ebool_2EIN @ TA @ A @ (C))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 52.32/9.99  thf(3,axiom,((! [TA: $tType]: ((c_2Ebool_2EIN @ TA) = (^ [A:TA,B:(TA > $o)]: (B @ A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EIN__DEF)).
% 52.32/9.99  thf(14,plain,((! [TA: $tType]: ((c_2Ebool_2EIN @ TA) = (^ [A:TA,B:(TA > $o)]: (B @ A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 52.32/9.99  thf(5,axiom,((! [TA: $tType]: (! [A:TA]: ~ (c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EEMPTY @ TA))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ENOT__IN__EMPTY)).
% 52.32/9.99  thf(20,plain,((! [TA: $tType]: (! [A:TA]: ~ (c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EEMPTY @ TA))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 52.32/9.99  thf(8,axiom,((! [TA: $tType]: (! [A:TA]: (c_2Epred__set_2EFINITE @ TA @ (c_2Epred__set_2EINSERT @ TA @ A @ (c_2Epred__set_2EEMPTY @ TA)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EFINITE__SING)).
% 52.32/9.99  thf(28,plain,((! [TA: $tType]: (! [A:TA]: (c_2Epred__set_2EFINITE @ TA @ (c_2Epred__set_2EINSERT @ TA @ A @ (c_2Epred__set_2EEMPTY @ TA)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 52.32/9.99  thf(4,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((A = B) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ A) = (c_2Ebool_2EIN @ TA @ C @ B))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EEXTENSION)).
% 52.32/9.99  thf(17,plain,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: (((A) = (B)) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (A)) = (c_2Ebool_2EIN @ TA @ C @ (B)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 52.32/9.99  thf(6,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o),C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (c_2Epred__set_2EUNION @ TA @ A @ B)) = ((c_2Ebool_2EIN @ TA @ C @ A) | (c_2Ebool_2EIN @ TA @ C @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__UNION)).
% 52.32/9.99  thf(22,plain,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o),C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (c_2Epred__set_2EUNION @ TA @ A @ B)) = ((c_2Ebool_2EIN @ TA @ C @ (A)) | (c_2Ebool_2EIN @ TA @ C @ (B))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 52.32/9.99  thf(10,axiom,((! [A:(tyop_2Erealax_2Ereal > $o),B:(tyop_2Erealax_2Ereal > $o),C:tyop_2Erealax_2Ereal]: ((c_2Ereal__topology_2Elimit__point__of @ C @ (c_2Epred__set_2EUNION @ tyop_2Erealax_2Ereal @ A @ B)) = ((c_2Ereal__topology_2Elimit__point__of @ C @ A) | (c_2Ereal__topology_2Elimit__point__of @ C @ B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ELIMIT__POINT__UNION)).
% 52.32/9.99  thf(39,plain,((! [A:(tyop_2Erealax_2Ereal > $o),B:(tyop_2Erealax_2Ereal > $o),C:tyop_2Erealax_2Ereal]: ((c_2Ereal__topology_2Elimit__point__of @ C @ (c_2Epred__set_2EUNION @ tyop_2Erealax_2Ereal @ A @ B)) = ((c_2Ereal__topology_2Elimit__point__of @ C @ (A)) | (c_2Ereal__topology_2Elimit__point__of @ C @ (B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 52.32/9.99  thf(1,conjecture,((! [A:(tyop_2Erealax_2Ereal > $o),B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Ereal__topology_2Elimit__point__of @ B @ (c_2Epred__set_2EINSERT @ tyop_2Erealax_2Ereal @ C @ A)) = (c_2Ereal__topology_2Elimit__point__of @ B @ A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ELIMPT__INSERT)).
% 52.32/9.99  thf(2,negated_conjecture,((~ (! [A:(tyop_2Erealax_2Ereal > $o),B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Ereal__topology_2Elimit__point__of @ B @ (c_2Epred__set_2EINSERT @ tyop_2Erealax_2Ereal @ C @ A)) = (c_2Ereal__topology_2Elimit__point__of @ B @ A))))),inference(neg_conjecture,[status(cth)],[1])).
% 52.32/9.99  thf(11,plain,((~ (! [A:(tyop_2Erealax_2Ereal > $o),B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Ereal__topology_2Elimit__point__of @ B @ (c_2Epred__set_2EINSERT @ tyop_2Erealax_2Ereal @ C @ A)) = (c_2Ereal__topology_2Elimit__point__of @ B @ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 52.32/9.99  thf(9,axiom,((! [A:(tyop_2Erealax_2Ereal > $o),B:tyop_2Erealax_2Ereal]: ((c_2Epred__set_2EFINITE @ tyop_2Erealax_2Ereal @ A) => (~ (c_2Ereal__topology_2Elimit__point__of @ B @ A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ELIMIT__POINT__FINITE)).
% 52.32/9.99  thf(30,plain,((! [A:(tyop_2Erealax_2Ereal > $o),B:tyop_2Erealax_2Ereal]: ((c_2Epred__set_2EFINITE @ tyop_2Erealax_2Ereal @ (A)) => (~ (c_2Ereal__topology_2Elimit__point__of @ B @ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 52.32/9.99  thf(3468,plain,($false),inference(cvc4,[status(thm)],[25,14,20,28,17,22,39,11,30])).
% 52.32/9.99  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 52.32/9.99  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
