%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:44:58 EDT 2019

% Result     : Theorem 6.03s
% Output     : CNFRefutation 6.38s
% Verified   : 
% Statistics : Number of formulae       :   16 (  16 expanded)
%              Number of leaves         :   12 (  12 expanded)
%              Depth                    :    3
%              Number of atoms          :  122 ( 122 expanded)
%              Number of equality atoms :    5 (   5 expanded)
%              Maximal formula depth    :   20 (   7 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: 
      !>[TA: $tType,TB: $tType] :
        ( TA > TB > ( tyop_2Epair_2Eprod @ TA @ TB ) ) )).

thf(c_2Enum_2E0_type,type,(
    c_2Enum_2E0: tyop_2Enum_2Enum )).

thf(c_2Ereal__topology_2EDist_type,type,(
    c_2Ereal__topology_2EDist: ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Ereal__topology_2Econtinuous__on_type,type,(
    c_2Ereal__topology_2Econtinuous__on: ( tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal ) > ( tyop_2Erealax_2Ereal > $o ) > $o )).

thf(c_2Erealax_2Ereal__lt_type,type,(
    c_2Erealax_2Ereal__lt: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > $o )).

thf(c_2Ereal_2Ereal__of__num_type,type,(
    c_2Ereal_2Ereal__of__num: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal )).

thf(1,conjecture,(
    ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal > $o] :
      ( ( ! [D: tyop_2Erealax_2Ereal] :
            ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ D @ C )
           => ( ( A @ D )
              = ( B @ D ) ) )
        & ( c_2Ereal__topology_2Econtinuous__on @ A @ C ) )
     => ( c_2Ereal__topology_2Econtinuous__on @ B @ C ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECONTINUOUS__ON__EQ)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal > $o] :
        ( ( ! [D: tyop_2Erealax_2Ereal] :
              ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ D @ C )
             => ( ( A @ D )
                = ( B @ D ) ) )
          & ( c_2Ereal__topology_2Econtinuous__on @ A @ C ) )
       => ( c_2Ereal__topology_2Econtinuous__on @ B @ C ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(4,plain,(
    ~ ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal > $o] :
        ( ( ! [D: tyop_2Erealax_2Ereal] :
              ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ D @ C )
             => ( ( A @ D )
                = ( B @ D ) ) )
          & ( c_2Ereal__topology_2Econtinuous__on @ A @ C ) )
       => ( c_2Ereal__topology_2Econtinuous__on @ B @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal > $o] :
      ( ( c_2Ereal__topology_2Econtinuous__on @ A @ B )
      = ( ! [C: tyop_2Erealax_2Ereal] :
            ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ B )
           => ! [D: tyop_2Erealax_2Ereal] :
                ( ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ D )
               => ? [E: tyop_2Erealax_2Ereal] :
                    ( ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ E )
                    & ! [F: tyop_2Erealax_2Ereal] :
                        ( ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ F @ B )
                          & ( c_2Erealax_2Ereal__lt @ ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ F @ C ) ) @ E ) )
                       => ( c_2Erealax_2Ereal__lt @ ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ ( A @ F ) @ ( A @ C ) ) ) @ D ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2Econtinuous__on)).

thf(9,plain,(
    ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal > $o] :
      ( ( c_2Ereal__topology_2Econtinuous__on @ A @ B )
      = ( ! [C: tyop_2Erealax_2Ereal] :
            ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ B )
           => ! [D: tyop_2Erealax_2Ereal] :
                ( ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ D )
               => ? [E: tyop_2Erealax_2Ereal] :
                    ( ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ E )
                    & ! [F: tyop_2Erealax_2Ereal] :
                        ( ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ F @ B )
                          & ( c_2Erealax_2Ereal__lt @ ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ F @ C ) ) @ E ) )
                       => ( c_2Erealax_2Ereal__lt @ ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ ( A @ F ) @ ( A @ C ) ) ) @ D ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(12,plain,(
    $false ),
    inference(e,[status(thm)],[4,9])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.11/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.11/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.11/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.11/0.13  % CPULimit   : 300
% 0.11/0.13  % DateTime   : Wed Jul 31 13:29:06 EDT 2019
% 0.11/0.13  % CPUTime    : 
% 3.31/1.32  % [INFO] 	 Running in sequential loop mode. 
% 4.00/1.50  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.30/1.56  % [INFO] 	 iprover registered as external prover. 
% 4.30/1.56  % [INFO] 	 e registered as external prover. 
% 4.30/1.57  % [INFO] 	 cvc4 registered as external prover. 
% 4.30/1.57  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.61/1.62  % [INFO] 	 Found a conjecture and 17 axioms. Running axiom selection ... 
% 4.61/1.66  % [INFO] 	 Axiom selection finished. Selected 1 axioms (removed 16 axioms). 
% 4.90/1.69  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.03/2.14  % [INFO] 	 Killing All external provers ... 
% 6.03/2.14  % Time passed: 1868ms
% 6.03/2.14  % Effective reasoning time: 812ms
% 6.03/2.14  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.03/2.14  % Axioms used in derivation (1): thm_2Ereal__topology_2Econtinuous__on
% 6.03/2.14  % No. of inferences in proof: 6
% 6.03/2.14  % No. of processed clauses: 1
% 6.03/2.14  % No. of generated clauses: 0
% 6.03/2.14  % No. of forward subsumed clauses: 0
% 6.03/2.14  % No. of backward subsumed clauses: 0
% 6.03/2.14  % No. of ground rewrite rules in store: 1
% 6.03/2.14  % No. of non-ground rewrite rules in store: 0
% 6.03/2.14  % No. of positive (non-rewrite) units in store: 0
% 6.03/2.14  % No. of negative (non-rewrite) units in store: 0
% 6.03/2.14  % No. of choice functions detected: 0
% 6.03/2.14  % No. of choice instantiations: 0
% 6.03/2.14  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 1868 ms resp. 812 ms w/o parsing
% 6.38/2.17  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.38/2.17  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.38/2.17  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 6.38/2.17  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 6.38/2.17  thf(c_2Epair_2E_2C_type, type, c_2Epair_2E_2C: !>[TA: $tType,TB: $tType]: (TA > (TB > (tyop_2Epair_2Eprod @ TA @ TB)))).
% 6.38/2.17  thf(c_2Enum_2E0_type, type, c_2Enum_2E0: tyop_2Enum_2Enum).
% 6.38/2.17  thf(c_2Ereal__topology_2EDist_type, type, c_2Ereal__topology_2EDist: ((tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) > tyop_2Erealax_2Ereal)).
% 6.38/2.17  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 6.38/2.17  thf(c_2Ereal__topology_2Econtinuous__on_type, type, c_2Ereal__topology_2Econtinuous__on: ((tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal) > ((tyop_2Erealax_2Ereal > $o) > $o))).
% 6.38/2.17  thf(c_2Erealax_2Ereal__lt_type, type, c_2Erealax_2Ereal__lt: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > $o))).
% 6.38/2.17  thf(c_2Ereal_2Ereal__of__num_type, type, c_2Ereal_2Ereal__of__num: (tyop_2Enum_2Enum > tyop_2Erealax_2Ereal)).
% 6.38/2.17  thf(1,conjecture,((! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),B:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),C:(tyop_2Erealax_2Ereal > $o)]: ((! [D:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ D @ C) => ((A @ D) = (B @ D))) & (c_2Ereal__topology_2Econtinuous__on @ A @ C)) => (c_2Ereal__topology_2Econtinuous__on @ B @ C)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECONTINUOUS__ON__EQ)).
% 6.38/2.17  thf(2,negated_conjecture,((~ (! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),B:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),C:(tyop_2Erealax_2Ereal > $o)]: ((! [D:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ D @ C) => ((A @ D) = (B @ D))) & (c_2Ereal__topology_2Econtinuous__on @ A @ C)) => (c_2Ereal__topology_2Econtinuous__on @ B @ C))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.38/2.17  thf(4,plain,((~ (! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),B:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),C:(tyop_2Erealax_2Ereal > $o)]: ((! [D:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ D @ (C)) => ((A @ D) = (B @ D))) & (c_2Ereal__topology_2Econtinuous__on @ (A) @ (C))) => (c_2Ereal__topology_2Econtinuous__on @ (B) @ (C)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.38/2.17  thf(3,axiom,((! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),B:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ereal__topology_2Econtinuous__on @ A @ B) = (! [C:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ B) => (! [D:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ D) => (? [E:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ E) & ! [F:tyop_2Erealax_2Ereal]: (((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ F @ B) & (c_2Erealax_2Ereal__lt @ (c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ F @ C)) @ E)) => (c_2Erealax_2Ereal__lt @ (c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ (A @ F) @ (A @ C))) @ D))))))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2Econtinuous__on)).
% 6.38/2.17  thf(9,plain,((! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),B:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ereal__topology_2Econtinuous__on @ (A) @ (B)) = (! [C:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ (B)) => (! [D:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ D) => (? [E:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ E) & ! [F:tyop_2Erealax_2Ereal]: (((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ F @ (B)) & (c_2Erealax_2Ereal__lt @ (c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ F @ C)) @ E)) => (c_2Erealax_2Ereal__lt @ (c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ (A @ F) @ (A @ C))) @ D))))))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.38/2.17  thf(12,plain,($false),inference(e,[status(thm)],[4,9])).
% 6.38/2.17  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.38/2.17  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
