%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:45:00 EDT 2019

% Result     : Theorem 5.54s
% Output     : CNFRefutation 6.02s
% Verified   : 
% Statistics : Number of formulae       :   16 (  16 expanded)
%              Number of leaves         :   11 (  11 expanded)
%              Depth                    :    3
%              Number of atoms          :   77 (  77 expanded)
%              Number of equality atoms :    2 (   2 expanded)
%              Maximal formula depth    :   10 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Ereal_2Eabs_type,type,(
    c_2Ereal_2Eabs: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Ereal__topology_2Eat_type,type,(
    c_2Ereal__topology_2Eat: tyop_2Erealax_2Ereal > ( tyop_2Ereal__topology_2Enet @ tyop_2Erealax_2Ereal ) )).

thf(c_2Ereal__topology_2Econtinuous_type,type,(
    c_2Ereal__topology_2Econtinuous: 
      !>[TA: $tType] :
        ( ( TA > tyop_2Erealax_2Ereal ) > ( tyop_2Ereal__topology_2Enet @ TA ) > $o ) )).

thf(c_2Ereal__topology_2Econtinuous__on_type,type,(
    c_2Ereal__topology_2Econtinuous__on: ( tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal ) > ( tyop_2Erealax_2Ereal > $o ) > $o )).

thf(c_2Ereal__topology_2Ewithin_type,type,(
    c_2Ereal__topology_2Ewithin: 
      !>[TA: $tType] :
        ( ( tyop_2Ereal__topology_2Enet @ TA ) > ( TA > $o ) > ( tyop_2Ereal__topology_2Enet @ TA ) ) )).

thf(1,conjecture,(
    ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal > $o] :
      ( ( c_2Ereal__topology_2Econtinuous__on @ A @ B )
     => ( c_2Ereal__topology_2Econtinuous__on
        @ ^ [C: tyop_2Erealax_2Ereal] :
            ( c_2Ereal_2Eabs @ ( A @ C ) )
        @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECONTINUOUS__ON__ABS)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal > $o] :
        ( ( c_2Ereal__topology_2Econtinuous__on @ A @ B )
       => ( c_2Ereal__topology_2Econtinuous__on
          @ ^ [C: tyop_2Erealax_2Ereal] :
              ( c_2Ereal_2Eabs @ ( A @ C ) )
          @ B ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(5,plain,(
    ~ ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal > $o] :
        ( ( c_2Ereal__topology_2Econtinuous__on @ A @ B )
       => ( c_2Ereal__topology_2Econtinuous__on
          @ ^ [C: tyop_2Erealax_2Ereal] :
              ( c_2Ereal_2Eabs @ ( A @ C ) )
          @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    ! [TA: $tType,A: TA > tyop_2Erealax_2Ereal,B: tyop_2Ereal__topology_2Enet @ TA] :
      ( ( c_2Ereal__topology_2Econtinuous @ TA @ A @ B )
     => ( c_2Ereal__topology_2Econtinuous @ TA
        @ ^ [C: TA] :
            ( c_2Ereal_2Eabs @ ( A @ C ) )
        @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECONTINUOUS__ABS)).

thf(8,plain,(
    ! [TA: $tType,A: TA > tyop_2Erealax_2Ereal,B: tyop_2Ereal__topology_2Enet @ TA] :
      ( ( c_2Ereal__topology_2Econtinuous @ TA @ A @ B )
     => ( c_2Ereal__topology_2Econtinuous @ TA
        @ ^ [C: TA] :
            ( c_2Ereal_2Eabs @ ( A @ C ) )
        @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(4,axiom,(
    ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal > $o] :
      ( ( c_2Ereal__topology_2Econtinuous__on @ A @ B )
      = ( ! [C: tyop_2Erealax_2Ereal] :
            ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ B )
           => ( c_2Ereal__topology_2Econtinuous @ tyop_2Erealax_2Ereal @ A @ ( c_2Ereal__topology_2Ewithin @ tyop_2Erealax_2Ereal @ ( c_2Ereal__topology_2Eat @ C ) @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECONTINUOUS__ON__EQ__CONTINUOUS__WITHIN)).

thf(10,plain,(
    ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal > $o] :
      ( ( c_2Ereal__topology_2Econtinuous__on @ A @ B )
      = ( ! [C: tyop_2Erealax_2Ereal] :
            ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ B )
           => ( c_2Ereal__topology_2Econtinuous @ tyop_2Erealax_2Ereal @ A @ ( c_2Ereal__topology_2Ewithin @ tyop_2Erealax_2Ereal @ ( c_2Ereal__topology_2Eat @ C ) @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(13,plain,(
    $false ),
    inference(iprover,[status(thm)],[5,8,10])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.03/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.03/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.03/0.12  % CPULimit   : 300
% 0.03/0.12  % DateTime   : Wed Jul 31 13:30:46 EDT 2019
% 0.03/0.13  % CPUTime    : 
% 2.74/1.23  % [INFO] 	 Running in sequential loop mode. 
% 3.50/1.41  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.90/1.47  % [INFO] 	 iprover registered as external prover. 
% 3.90/1.47  % [INFO] 	 e registered as external prover. 
% 3.90/1.47  % [INFO] 	 cvc4 registered as external prover. 
% 3.90/1.47  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.04/1.52  % [INFO] 	 Found a conjecture and 16 axioms. Running axiom selection ... 
% 4.27/1.57  % [INFO] 	 Axiom selection finished. Selected 2 axioms (removed 14 axioms). 
% 4.27/1.58  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 5.54/2.06  % [INFO] 	 Killing All external provers ... 
% 5.54/2.07  % Time passed: 1803ms
% 5.54/2.07  % Effective reasoning time: 834ms
% 5.54/2.07  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 5.54/2.07  % Axioms used in derivation (2): thm_2Ereal__topology_2ECONTINUOUS__ABS, thm_2Ereal__topology_2ECONTINUOUS__ON__EQ__CONTINUOUS__WITHIN
% 5.54/2.07  % No. of inferences in proof: 8
% 5.54/2.07  % No. of processed clauses: 1
% 5.54/2.07  % No. of generated clauses: 0
% 5.54/2.07  % No. of forward subsumed clauses: 0
% 5.54/2.07  % No. of backward subsumed clauses: 0
% 5.54/2.07  % No. of ground rewrite rules in store: 1
% 5.54/2.07  % No. of non-ground rewrite rules in store: 0
% 5.54/2.07  % No. of positive (non-rewrite) units in store: 0
% 5.54/2.07  % No. of negative (non-rewrite) units in store: 0
% 5.54/2.07  % No. of choice functions detected: 0
% 5.54/2.07  % No. of choice instantiations: 0
% 5.54/2.07  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 1803 ms resp. 834 ms w/o parsing
% 6.02/2.09  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.02/2.09  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.02/2.09  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 6.02/2.09  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 6.02/2.09  thf(c_2Ereal_2Eabs_type, type, c_2Ereal_2Eabs: (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal)).
% 6.02/2.09  thf(c_2Ereal__topology_2Eat_type, type, c_2Ereal__topology_2Eat: (tyop_2Erealax_2Ereal > (tyop_2Ereal__topology_2Enet @ tyop_2Erealax_2Ereal))).
% 6.02/2.09  thf(c_2Ereal__topology_2Econtinuous_type, type, c_2Ereal__topology_2Econtinuous: !>[TA: $tType]: ((TA > tyop_2Erealax_2Ereal) > ((tyop_2Ereal__topology_2Enet @ TA) > $o))).
% 6.02/2.09  thf(c_2Ereal__topology_2Econtinuous__on_type, type, c_2Ereal__topology_2Econtinuous__on: ((tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal) > ((tyop_2Erealax_2Ereal > $o) > $o))).
% 6.02/2.09  thf(c_2Ereal__topology_2Ewithin_type, type, c_2Ereal__topology_2Ewithin: !>[TA: $tType]: ((tyop_2Ereal__topology_2Enet @ TA) > ((TA > $o) > (tyop_2Ereal__topology_2Enet @ TA)))).
% 6.02/2.09  thf(1,conjecture,((! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),B:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ereal__topology_2Econtinuous__on @ A @ B) => (c_2Ereal__topology_2Econtinuous__on @ (^ [C:tyop_2Erealax_2Ereal]: (c_2Ereal_2Eabs @ (A @ C))) @ B)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECONTINUOUS__ON__ABS)).
% 6.02/2.09  thf(2,negated_conjecture,((~ (! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),B:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ereal__topology_2Econtinuous__on @ A @ B) => (c_2Ereal__topology_2Econtinuous__on @ (^ [C:tyop_2Erealax_2Ereal]: (c_2Ereal_2Eabs @ (A @ C))) @ B))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.02/2.09  thf(5,plain,((~ (! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),B:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ereal__topology_2Econtinuous__on @ (A) @ (B)) => (c_2Ereal__topology_2Econtinuous__on @ (^ [C:tyop_2Erealax_2Ereal]: (c_2Ereal_2Eabs @ (A @ C))) @ (B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.02/2.09  thf(3,axiom,((! [TA: $tType]: (! [A:(TA > tyop_2Erealax_2Ereal),B:(tyop_2Ereal__topology_2Enet @ TA)]: ((c_2Ereal__topology_2Econtinuous @ TA @ A @ B) => (c_2Ereal__topology_2Econtinuous @ TA @ (^ [C:TA]: (c_2Ereal_2Eabs @ (A @ C))) @ B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECONTINUOUS__ABS)).
% 6.02/2.09  thf(8,plain,((! [TA: $tType]: (! [A:(TA > tyop_2Erealax_2Ereal),B:(tyop_2Ereal__topology_2Enet @ TA)]: ((c_2Ereal__topology_2Econtinuous @ TA @ (A) @ B) => (c_2Ereal__topology_2Econtinuous @ TA @ (^ [C:TA]: (c_2Ereal_2Eabs @ (A @ C))) @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.02/2.09  thf(4,axiom,((! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),B:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ereal__topology_2Econtinuous__on @ A @ B) = (! [C:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ B) => (c_2Ereal__topology_2Econtinuous @ tyop_2Erealax_2Ereal @ A @ (c_2Ereal__topology_2Ewithin @ tyop_2Erealax_2Ereal @ (c_2Ereal__topology_2Eat @ C) @ B))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECONTINUOUS__ON__EQ__CONTINUOUS__WITHIN)).
% 6.02/2.09  thf(10,plain,((! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),B:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ereal__topology_2Econtinuous__on @ (A) @ (B)) = (! [C:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ (B)) => (c_2Ereal__topology_2Econtinuous @ tyop_2Erealax_2Ereal @ (A) @ (c_2Ereal__topology_2Ewithin @ tyop_2Erealax_2Ereal @ (c_2Ereal__topology_2Eat @ C) @ (B)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 6.02/2.09  thf(13,plain,($false),inference(iprover,[status(thm)],[5,8,10])).
% 6.02/2.09  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.02/2.09  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
