%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:45:06 EDT 2019

% Result     : Theorem 7.33s
% Output     : CNFRefutation 7.33s
% Verified   : 
% Statistics : Number of formulae       :   21 (  21 expanded)
%              Number of leaves         :   14 (  14 expanded)
%              Depth                    :    3
%              Number of atoms          :  166 ( 166 expanded)
%              Number of equality atoms :    4 (   4 expanded)
%              Maximal formula depth    :   13 (   7 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Epred__set_2ESUBSET_type,type,(
    c_2Epred__set_2ESUBSET: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > $o ) > $o ) )).

thf(c_2Ereal__topology_2Ecauchy_type,type,(
    c_2Ereal__topology_2Ecauchy: ( tyop_2Enum_2Enum > tyop_2Erealax_2Ereal ) > $o )).

thf(c_2Ereal__topology_2Eclosure_type,type,(
    c_2Ereal__topology_2Eclosure: ( tyop_2Erealax_2Ereal > $o ) > tyop_2Erealax_2Ereal > $o )).

thf(c_2Ereal__topology_2Econtinuous__on_type,type,(
    c_2Ereal__topology_2Econtinuous__on: ( tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal ) > ( tyop_2Erealax_2Ereal > $o ) > $o )).

thf(c_2Ecombin_2Eo_type,type,(
    c_2Ecombin_2Eo: 
      !>[TA: $tType,TB: $tType,TC: $tType] :
        ( ( TC > TB ) > ( TA > TC ) > TA > TB ) )).

thf(3,axiom,(
    ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal > $o,C: tyop_2Erealax_2Ereal > $o] :
      ( ( ( c_2Ereal__topology_2Econtinuous__on @ A @ B )
        & ( c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ C @ B ) )
     => ( c_2Ereal__topology_2Econtinuous__on @ A @ C ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECONTINUOUS__ON__SUBSET)).

thf(10,plain,(
    ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal > $o,C: tyop_2Erealax_2Ereal > $o] :
      ( ( ( c_2Ereal__topology_2Econtinuous__on @ A @ B )
        & ( c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ C @ B ) )
     => ( c_2Ereal__topology_2Econtinuous__on @ A @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(6,axiom,(
    ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal > $o] :
      ( ( ! [D: tyop_2Erealax_2Ereal] :
            ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ D @ C )
           => ( ( A @ D )
              = ( B @ D ) ) )
        & ( c_2Ereal__topology_2Econtinuous__on @ A @ C ) )
     => ( c_2Ereal__topology_2Econtinuous__on @ B @ C ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECONTINUOUS__ON__EQ)).

thf(28,plain,(
    ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal > $o] :
      ( ( ! [D: tyop_2Erealax_2Ereal] :
            ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ D @ C )
           => ( ( A @ D )
              = ( B @ D ) ) )
        & ( c_2Ereal__topology_2Econtinuous__on @ A @ C ) )
     => ( c_2Ereal__topology_2Econtinuous__on @ B @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(4,axiom,(
    ! [A: tyop_2Erealax_2Ereal > $o] :
      ( c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ A @ ( c_2Ereal__topology_2Eclosure @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECLOSURE__SUBSET)).

thf(12,plain,(
    ! [A: tyop_2Erealax_2Ereal > $o] :
      ( c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ A @ ( c_2Ereal__topology_2Eclosure @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(1,conjecture,(
    ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal > $o] :
      ( ! [C: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal] :
          ( ( ( c_2Ereal__topology_2Ecauchy @ C )
            & ! [D: tyop_2Enum_2Enum] :
                ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ ( C @ D ) @ B ) )
         => ( c_2Ereal__topology_2Ecauchy @ ( c_2Ecombin_2Eo @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C ) ) )
     => ( c_2Ereal__topology_2Econtinuous__on @ A @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECAUCHY__CONTINUOUS__IMP__CONTINUOUS)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal > $o] :
        ( ! [C: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal] :
            ( ( ( c_2Ereal__topology_2Ecauchy @ C )
              & ! [D: tyop_2Enum_2Enum] :
                  ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ ( C @ D ) @ B ) )
           => ( c_2Ereal__topology_2Ecauchy @ ( c_2Ecombin_2Eo @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C ) ) )
       => ( c_2Ereal__topology_2Econtinuous__on @ A @ B ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(7,plain,(
    ~ ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal > $o] :
        ( ! [C: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal] :
            ( ( ( c_2Ereal__topology_2Ecauchy @ C )
              & ! [D: tyop_2Enum_2Enum] :
                  ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ ( C @ D ) @ B ) )
           => ( c_2Ereal__topology_2Ecauchy @ ( c_2Ecombin_2Eo @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C ) ) )
       => ( c_2Ereal__topology_2Econtinuous__on @ A @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(5,axiom,(
    ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal > $o] :
      ( ! [C: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal] :
          ( ( ( c_2Ereal__topology_2Ecauchy @ C )
            & ! [D: tyop_2Enum_2Enum] :
                ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ ( C @ D ) @ B ) )
         => ( c_2Ereal__topology_2Ecauchy @ ( c_2Ecombin_2Eo @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C ) ) )
     => ? [C: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal] :
          ( ( c_2Ereal__topology_2Econtinuous__on @ C @ ( c_2Ereal__topology_2Eclosure @ B ) )
          & ! [D: tyop_2Erealax_2Ereal] :
              ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ D @ B )
             => ( ( C @ D )
                = ( A @ D ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECAUCHY__CONTINUOUS__EXTENDS__TO__CLOSURE)).

thf(16,plain,(
    ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal > $o] :
      ( ! [C: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal] :
          ( ( ( c_2Ereal__topology_2Ecauchy @ C )
            & ! [D: tyop_2Enum_2Enum] :
                ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ ( C @ D ) @ B ) )
         => ( c_2Ereal__topology_2Ecauchy @ ( c_2Ecombin_2Eo @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C ) ) )
     => ? [C: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal] :
          ( ( c_2Ereal__topology_2Econtinuous__on @ C @ ( c_2Ereal__topology_2Eclosure @ B ) )
          & ! [D: tyop_2Erealax_2Ereal] :
              ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ D @ B )
             => ( ( C @ D )
                = ( A @ D ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(32,plain,(
    $false ),
    inference(e,[status(thm)],[10,28,12,7,16])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.07/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.07/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.07/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.07/0.13  % CPULimit   : 300
% 0.07/0.13  % DateTime   : Wed Jul 31 14:06:06 EDT 2019
% 0.07/0.13  % CPUTime    : 
% 4.31/1.57  % [INFO] 	 Running in sequential loop mode. 
% 4.77/1.74  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 5.07/1.80  % [INFO] 	 iprover registered as external prover. 
% 5.07/1.80  % [INFO] 	 e registered as external prover. 
% 5.07/1.80  % [INFO] 	 cvc4 registered as external prover. 
% 5.07/1.80  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.46/1.86  % [INFO] 	 Found a conjecture and 39 axioms. Running axiom selection ... 
% 5.46/1.90  % [INFO] 	 Axiom selection finished. Selected 4 axioms (removed 35 axioms). 
% 5.46/1.92  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.33/2.46  % [INFO] 	 Killing All external provers ... 
% 7.33/2.46  % Time passed: 2187ms
% 7.33/2.46  % Effective reasoning time: 890ms
% 7.33/2.46  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.33/2.46  % Axioms used in derivation (4): thm_2Ereal__topology_2ECONTINUOUS__ON__SUBSET, thm_2Ereal__topology_2ECONTINUOUS__ON__EQ, thm_2Ereal__topology_2ECLOSURE__SUBSET, thm_2Ereal__topology_2ECAUCHY__CONTINUOUS__EXTENDS__TO__CLOSURE
% 7.33/2.46  % No. of inferences in proof: 12
% 7.33/2.46  % No. of processed clauses: 1
% 7.33/2.46  % No. of generated clauses: 0
% 7.33/2.46  % No. of forward subsumed clauses: 0
% 7.33/2.46  % No. of backward subsumed clauses: 0
% 7.33/2.46  % No. of ground rewrite rules in store: 1
% 7.33/2.46  % No. of non-ground rewrite rules in store: 0
% 7.33/2.46  % No. of positive (non-rewrite) units in store: 0
% 7.33/2.46  % No. of negative (non-rewrite) units in store: 0
% 7.33/2.46  % No. of choice functions detected: 0
% 7.33/2.46  % No. of choice instantiations: 0
% 7.33/2.46  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2187 ms resp. 890 ms w/o parsing
% 7.33/2.49  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.33/2.49  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.33/2.49  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 7.33/2.49  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 7.33/2.49  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 7.33/2.49  thf(c_2Epred__set_2ESUBSET_type, type, c_2Epred__set_2ESUBSET: !>[TA: $tType]: ((TA > $o) > ((TA > $o) > $o))).
% 7.33/2.49  thf(c_2Ereal__topology_2Ecauchy_type, type, c_2Ereal__topology_2Ecauchy: ((tyop_2Enum_2Enum > tyop_2Erealax_2Ereal) > $o)).
% 7.33/2.49  thf(c_2Ereal__topology_2Eclosure_type, type, c_2Ereal__topology_2Eclosure: ((tyop_2Erealax_2Ereal > $o) > (tyop_2Erealax_2Ereal > $o))).
% 7.33/2.49  thf(c_2Ereal__topology_2Econtinuous__on_type, type, c_2Ereal__topology_2Econtinuous__on: ((tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal) > ((tyop_2Erealax_2Ereal > $o) > $o))).
% 7.33/2.49  thf(c_2Ecombin_2Eo_type, type, c_2Ecombin_2Eo: !>[TA: $tType,TB: $tType,TC: $tType]: ((TC > TB) > ((TA > TC) > (TA > TB)))).
% 7.33/2.49  thf(3,axiom,((! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),B:(tyop_2Erealax_2Ereal > $o),C:(tyop_2Erealax_2Ereal > $o)]: (((c_2Ereal__topology_2Econtinuous__on @ A @ B) & (c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ C @ B)) => (c_2Ereal__topology_2Econtinuous__on @ A @ C)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECONTINUOUS__ON__SUBSET)).
% 7.33/2.49  thf(10,plain,((! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),B:(tyop_2Erealax_2Ereal > $o),C:(tyop_2Erealax_2Ereal > $o)]: (((c_2Ereal__topology_2Econtinuous__on @ (A) @ (B)) & (c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ (C) @ (B))) => (c_2Ereal__topology_2Econtinuous__on @ (A) @ (C))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.33/2.49  thf(6,axiom,((! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),B:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),C:(tyop_2Erealax_2Ereal > $o)]: ((! [D:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ D @ C) => ((A @ D) = (B @ D))) & (c_2Ereal__topology_2Econtinuous__on @ A @ C)) => (c_2Ereal__topology_2Econtinuous__on @ B @ C)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECONTINUOUS__ON__EQ)).
% 7.33/2.49  thf(28,plain,((! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),B:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),C:(tyop_2Erealax_2Ereal > $o)]: ((! [D:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ D @ (C)) => ((A @ D) = (B @ D))) & (c_2Ereal__topology_2Econtinuous__on @ (A) @ (C))) => (c_2Ereal__topology_2Econtinuous__on @ (B) @ (C))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 7.33/2.49  thf(4,axiom,((! [A:(tyop_2Erealax_2Ereal > $o)]: (c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ A @ (c_2Ereal__topology_2Eclosure @ A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECLOSURE__SUBSET)).
% 7.33/2.49  thf(12,plain,((! [A:(tyop_2Erealax_2Ereal > $o)]: (c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ (A) @ (c_2Ereal__topology_2Eclosure @ A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 7.33/2.49  thf(1,conjecture,((! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),B:(tyop_2Erealax_2Ereal > $o)]: ((! [C:(tyop_2Enum_2Enum > tyop_2Erealax_2Ereal)]: (((c_2Ereal__topology_2Ecauchy @ C) & ! [D:tyop_2Enum_2Enum]: (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ (C @ D) @ B)) => (c_2Ereal__topology_2Ecauchy @ (c_2Ecombin_2Eo @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C)))) => (c_2Ereal__topology_2Econtinuous__on @ A @ B)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECAUCHY__CONTINUOUS__IMP__CONTINUOUS)).
% 7.33/2.49  thf(2,negated_conjecture,((~ (! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),B:(tyop_2Erealax_2Ereal > $o)]: ((! [C:(tyop_2Enum_2Enum > tyop_2Erealax_2Ereal)]: (((c_2Ereal__topology_2Ecauchy @ C) & ! [D:tyop_2Enum_2Enum]: (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ (C @ D) @ B)) => (c_2Ereal__topology_2Ecauchy @ (c_2Ecombin_2Eo @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C)))) => (c_2Ereal__topology_2Econtinuous__on @ A @ B))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.33/2.49  thf(7,plain,((~ (! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),B:(tyop_2Erealax_2Ereal > $o)]: ((! [C:(tyop_2Enum_2Enum > tyop_2Erealax_2Ereal)]: (((c_2Ereal__topology_2Ecauchy @ (C)) & ! [D:tyop_2Enum_2Enum]: (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ (C @ D) @ (B))) => (c_2Ereal__topology_2Ecauchy @ (c_2Ecombin_2Eo @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C)))) => (c_2Ereal__topology_2Econtinuous__on @ (A) @ (B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.33/2.49  thf(5,axiom,((! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),B:(tyop_2Erealax_2Ereal > $o)]: ((! [C:(tyop_2Enum_2Enum > tyop_2Erealax_2Ereal)]: (((c_2Ereal__topology_2Ecauchy @ C) & ! [D:tyop_2Enum_2Enum]: (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ (C @ D) @ B)) => (c_2Ereal__topology_2Ecauchy @ (c_2Ecombin_2Eo @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C)))) => (? [C:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal)]: ((c_2Ereal__topology_2Econtinuous__on @ C @ (c_2Ereal__topology_2Eclosure @ B)) & ! [D:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ D @ B) => ((C @ D) = (A @ D)))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECAUCHY__CONTINUOUS__EXTENDS__TO__CLOSURE)).
% 7.33/2.49  thf(16,plain,((! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),B:(tyop_2Erealax_2Ereal > $o)]: ((! [C:(tyop_2Enum_2Enum > tyop_2Erealax_2Ereal)]: (((c_2Ereal__topology_2Ecauchy @ (C)) & ! [D:tyop_2Enum_2Enum]: (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ (C @ D) @ (B))) => (c_2Ereal__topology_2Ecauchy @ (c_2Ecombin_2Eo @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C)))) => (? [C:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal)]: ((c_2Ereal__topology_2Econtinuous__on @ (C) @ (c_2Ereal__topology_2Eclosure @ B)) & ! [D:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ D @ (B)) => ((C @ D) = (A @ D)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 7.33/2.49  thf(32,plain,($false),inference(e,[status(thm)],[10,28,12,7,16])).
% 7.33/2.49  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.33/2.49  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
