%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:45:07 EDT 2019

% Result     : Theorem 6.98s
% Output     : CNFRefutation 6.98s
% Verified   : 
% Statistics : Number of formulae       :   21 (  21 expanded)
%              Number of leaves         :   16 (  16 expanded)
%              Depth                    :    3
%              Number of atoms          :  198 ( 198 expanded)
%              Number of equality atoms :   12 (  12 expanded)
%              Maximal formula depth    :   19 (   8 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: 
      !>[TA: $tType,TB: $tType] :
        ( TA > TB > ( tyop_2Epair_2Eprod @ TA @ TB ) ) )).

thf(c_2Enum_2E0_type,type,(
    c_2Enum_2E0: tyop_2Enum_2Enum )).

thf(c_2Ereal__topology_2EDist_type,type,(
    c_2Ereal__topology_2EDist: ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Ereal__topology_2Eat_type,type,(
    c_2Ereal__topology_2Eat: tyop_2Erealax_2Ereal > ( tyop_2Ereal__topology_2Enet @ tyop_2Erealax_2Ereal ) )).

thf(c_2Ereal__topology_2Econtinuous_type,type,(
    c_2Ereal__topology_2Econtinuous: 
      !>[TA: $tType] :
        ( ( TA > tyop_2Erealax_2Ereal ) > ( tyop_2Ereal__topology_2Enet @ TA ) > $o ) )).

thf(c_2Ereal__topology_2Econtinuous__on_type,type,(
    c_2Ereal__topology_2Econtinuous__on: ( tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal ) > ( tyop_2Erealax_2Ereal > $o ) > $o )).

thf(c_2Erealax_2Ereal__lt_type,type,(
    c_2Erealax_2Ereal__lt: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > $o )).

thf(c_2Ereal_2Ereal__of__num_type,type,(
    c_2Ereal_2Ereal__of__num: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal )).

thf(c_2Ereal__topology_2Ewithin_type,type,(
    c_2Ereal__topology_2Ewithin: 
      !>[TA: $tType] :
        ( ( tyop_2Ereal__topology_2Enet @ TA ) > ( TA > $o ) > ( tyop_2Ereal__topology_2Enet @ TA ) ) )).

thf(1,conjecture,(
    ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal > $o,D: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal__topology_2Econtinuous__on @ A @ C )
        & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ C )
        & ( ( A @ B )
         != D ) )
     => ? [E: tyop_2Erealax_2Ereal] :
          ( ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ E )
          & ! [F: tyop_2Erealax_2Ereal] :
              ( ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ F @ C )
                & ( c_2Erealax_2Ereal__lt @ ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ B @ F ) ) @ E ) )
             => ( ( A @ F )
               != D ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECONTINUOUS__ON__AVOID)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal > $o,D: tyop_2Erealax_2Ereal] :
        ( ( ( c_2Ereal__topology_2Econtinuous__on @ A @ C )
          & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ C )
          & ( ( A @ B )
           != D ) )
       => ? [E: tyop_2Erealax_2Ereal] :
            ( ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ E )
            & ! [F: tyop_2Erealax_2Ereal] :
                ( ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ F @ C )
                  & ( c_2Erealax_2Ereal__lt @ ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ B @ F ) ) @ E ) )
               => ( ( A @ F )
                 != D ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(5,plain,(
    ~ ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal > $o,D: tyop_2Erealax_2Ereal] :
        ( ( ( c_2Ereal__topology_2Econtinuous__on @ A @ C )
          & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ C )
          & ( ( A @ B )
           != D ) )
       => ? [E: tyop_2Erealax_2Ereal] :
            ( ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ E )
            & ! [F: tyop_2Erealax_2Ereal] :
                ( ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ F @ C )
                  & ( c_2Erealax_2Ereal__lt @ ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ B @ F ) ) @ E ) )
               => ( ( A @ F )
                 != D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal > $o] :
      ( ( c_2Ereal__topology_2Econtinuous__on @ A @ B )
      = ( ! [C: tyop_2Erealax_2Ereal] :
            ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ B )
           => ( c_2Ereal__topology_2Econtinuous @ tyop_2Erealax_2Ereal @ A @ ( c_2Ereal__topology_2Ewithin @ tyop_2Erealax_2Ereal @ ( c_2Ereal__topology_2Eat @ C ) @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECONTINUOUS__ON__EQ__CONTINUOUS__WITHIN)).

thf(14,plain,(
    ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal > $o] :
      ( ( c_2Ereal__topology_2Econtinuous__on @ A @ B )
      = ( ! [C: tyop_2Erealax_2Ereal] :
            ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ B )
           => ( c_2Ereal__topology_2Econtinuous @ tyop_2Erealax_2Ereal @ A @ ( c_2Ereal__topology_2Ewithin @ tyop_2Erealax_2Ereal @ ( c_2Ereal__topology_2Eat @ C ) @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(4,axiom,(
    ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal > $o,D: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal__topology_2Econtinuous @ tyop_2Erealax_2Ereal @ A @ ( c_2Ereal__topology_2Ewithin @ tyop_2Erealax_2Ereal @ ( c_2Ereal__topology_2Eat @ B ) @ C ) )
        & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ C )
        & ( ( A @ B )
         != D ) )
     => ? [E: tyop_2Erealax_2Ereal] :
          ( ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ E )
          & ! [F: tyop_2Erealax_2Ereal] :
              ( ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ F @ C )
                & ( c_2Erealax_2Ereal__lt @ ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ B @ F ) ) @ E ) )
             => ( ( A @ F )
               != D ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECONTINUOUS__WITHIN__AVOID)).

thf(17,plain,(
    ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal > $o,D: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal__topology_2Econtinuous @ tyop_2Erealax_2Ereal @ A @ ( c_2Ereal__topology_2Ewithin @ tyop_2Erealax_2Ereal @ ( c_2Ereal__topology_2Eat @ B ) @ C ) )
        & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ C )
        & ( ( A @ B )
         != D ) )
     => ? [E: tyop_2Erealax_2Ereal] :
          ( ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ E )
          & ! [F: tyop_2Erealax_2Ereal] :
              ( ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ F @ C )
                & ( c_2Erealax_2Ereal__lt @ ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ B @ F ) ) @ E ) )
             => ( ( A @ F )
               != D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(23,plain,(
    $false ),
    inference(e,[status(thm)],[5,14,17])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.07/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.07/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.07/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.07/0.13  % CPULimit   : 300
% 0.07/0.13  % DateTime   : Wed Jul 31 14:03:10 EDT 2019
% 0.07/0.13  % CPUTime    : 
% 3.42/1.42  % [INFO] 	 Running in sequential loop mode. 
% 4.43/1.61  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.43/1.67  % [INFO] 	 iprover registered as external prover. 
% 4.43/1.67  % [INFO] 	 e registered as external prover. 
% 4.43/1.67  % [INFO] 	 cvc4 registered as external prover. 
% 4.43/1.68  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.78/1.74  % [INFO] 	 Found a conjecture and 15 axioms. Running axiom selection ... 
% 5.14/1.79  % [INFO] 	 Axiom selection finished. Selected 2 axioms (removed 13 axioms). 
% 5.14/1.81  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.98/2.34  % [INFO] 	 Killing All external provers ... 
% 6.98/2.35  % Time passed: 2073ms
% 6.98/2.35  % Effective reasoning time: 918ms
% 6.98/2.35  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.98/2.35  % Axioms used in derivation (2): thm_2Ereal__topology_2ECONTINUOUS__ON__EQ__CONTINUOUS__WITHIN, thm_2Ereal__topology_2ECONTINUOUS__WITHIN__AVOID
% 6.98/2.35  % No. of inferences in proof: 8
% 6.98/2.35  % No. of processed clauses: 1
% 6.98/2.35  % No. of generated clauses: 0
% 6.98/2.35  % No. of forward subsumed clauses: 0
% 6.98/2.35  % No. of backward subsumed clauses: 0
% 6.98/2.35  % No. of ground rewrite rules in store: 1
% 6.98/2.35  % No. of non-ground rewrite rules in store: 0
% 6.98/2.35  % No. of positive (non-rewrite) units in store: 0
% 6.98/2.35  % No. of negative (non-rewrite) units in store: 0
% 6.98/2.35  % No. of choice functions detected: 0
% 6.98/2.35  % No. of choice instantiations: 0
% 6.98/2.35  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2073 ms resp. 918 ms w/o parsing
% 6.98/2.38  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.98/2.38  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.98/2.38  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 6.98/2.38  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 6.98/2.38  thf(c_2Epair_2E_2C_type, type, c_2Epair_2E_2C: !>[TA: $tType,TB: $tType]: (TA > (TB > (tyop_2Epair_2Eprod @ TA @ TB)))).
% 6.98/2.38  thf(c_2Enum_2E0_type, type, c_2Enum_2E0: tyop_2Enum_2Enum).
% 6.98/2.38  thf(c_2Ereal__topology_2EDist_type, type, c_2Ereal__topology_2EDist: ((tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) > tyop_2Erealax_2Ereal)).
% 6.98/2.38  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 6.98/2.38  thf(c_2Ereal__topology_2Eat_type, type, c_2Ereal__topology_2Eat: (tyop_2Erealax_2Ereal > (tyop_2Ereal__topology_2Enet @ tyop_2Erealax_2Ereal))).
% 6.98/2.38  thf(c_2Ereal__topology_2Econtinuous_type, type, c_2Ereal__topology_2Econtinuous: !>[TA: $tType]: ((TA > tyop_2Erealax_2Ereal) > ((tyop_2Ereal__topology_2Enet @ TA) > $o))).
% 6.98/2.38  thf(c_2Ereal__topology_2Econtinuous__on_type, type, c_2Ereal__topology_2Econtinuous__on: ((tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal) > ((tyop_2Erealax_2Ereal > $o) > $o))).
% 6.98/2.38  thf(c_2Erealax_2Ereal__lt_type, type, c_2Erealax_2Ereal__lt: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > $o))).
% 6.98/2.38  thf(c_2Ereal_2Ereal__of__num_type, type, c_2Ereal_2Ereal__of__num: (tyop_2Enum_2Enum > tyop_2Erealax_2Ereal)).
% 6.98/2.38  thf(c_2Ereal__topology_2Ewithin_type, type, c_2Ereal__topology_2Ewithin: !>[TA: $tType]: ((tyop_2Ereal__topology_2Enet @ TA) > ((TA > $o) > (tyop_2Ereal__topology_2Enet @ TA)))).
% 6.98/2.38  thf(1,conjecture,((! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),B:tyop_2Erealax_2Ereal,C:(tyop_2Erealax_2Ereal > $o),D:tyop_2Erealax_2Ereal]: (((c_2Ereal__topology_2Econtinuous__on @ A @ C) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ C) & ~ ((A @ B) = D)) => (? [E:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ E) & ! [F:tyop_2Erealax_2Ereal]: (((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ F @ C) & (c_2Erealax_2Ereal__lt @ (c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ B @ F)) @ E)) => (~ ((A @ F) = D)))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECONTINUOUS__ON__AVOID)).
% 6.98/2.38  thf(2,negated_conjecture,((~ (! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),B:tyop_2Erealax_2Ereal,C:(tyop_2Erealax_2Ereal > $o),D:tyop_2Erealax_2Ereal]: (((c_2Ereal__topology_2Econtinuous__on @ A @ C) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ C) & ~ ((A @ B) = D)) => (? [E:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ E) & ! [F:tyop_2Erealax_2Ereal]: (((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ F @ C) & (c_2Erealax_2Ereal__lt @ (c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ B @ F)) @ E)) => (~ ((A @ F) = D))))))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.98/2.38  thf(5,plain,((~ (! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),B:tyop_2Erealax_2Ereal,C:(tyop_2Erealax_2Ereal > $o),D:tyop_2Erealax_2Ereal]: (((c_2Ereal__topology_2Econtinuous__on @ (A) @ (C)) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (C)) & ~ ((A @ B) = D)) => (? [E:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ E) & ! [F:tyop_2Erealax_2Ereal]: (((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ F @ (C)) & (c_2Erealax_2Ereal__lt @ (c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ B @ F)) @ E)) => (~ ((A @ F) = D))))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.98/2.38  thf(3,axiom,((! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),B:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ereal__topology_2Econtinuous__on @ A @ B) = (! [C:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ B) => (c_2Ereal__topology_2Econtinuous @ tyop_2Erealax_2Ereal @ A @ (c_2Ereal__topology_2Ewithin @ tyop_2Erealax_2Ereal @ (c_2Ereal__topology_2Eat @ C) @ B))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECONTINUOUS__ON__EQ__CONTINUOUS__WITHIN)).
% 6.98/2.38  thf(14,plain,((! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),B:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ereal__topology_2Econtinuous__on @ (A) @ (B)) = (! [C:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ (B)) => (c_2Ereal__topology_2Econtinuous @ tyop_2Erealax_2Ereal @ (A) @ (c_2Ereal__topology_2Ewithin @ tyop_2Erealax_2Ereal @ (c_2Ereal__topology_2Eat @ C) @ (B)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.98/2.38  thf(4,axiom,((! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),B:tyop_2Erealax_2Ereal,C:(tyop_2Erealax_2Ereal > $o),D:tyop_2Erealax_2Ereal]: (((c_2Ereal__topology_2Econtinuous @ tyop_2Erealax_2Ereal @ A @ (c_2Ereal__topology_2Ewithin @ tyop_2Erealax_2Ereal @ (c_2Ereal__topology_2Eat @ B) @ C)) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ C) & ~ ((A @ B) = D)) => (? [E:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ E) & ! [F:tyop_2Erealax_2Ereal]: (((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ F @ C) & (c_2Erealax_2Ereal__lt @ (c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ B @ F)) @ E)) => (~ ((A @ F) = D)))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECONTINUOUS__WITHIN__AVOID)).
% 6.98/2.38  thf(17,plain,((! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),B:tyop_2Erealax_2Ereal,C:(tyop_2Erealax_2Ereal > $o),D:tyop_2Erealax_2Ereal]: (((c_2Ereal__topology_2Econtinuous @ tyop_2Erealax_2Ereal @ (A) @ (c_2Ereal__topology_2Ewithin @ tyop_2Erealax_2Ereal @ (c_2Ereal__topology_2Eat @ B) @ (C))) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (C)) & ~ ((A @ B) = D)) => (? [E:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ E) & ! [F:tyop_2Erealax_2Ereal]: (((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ F @ (C)) & (c_2Erealax_2Ereal__lt @ (c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ B @ F)) @ E)) => (~ ((A @ F) = D)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 6.98/2.38  thf(23,plain,($false),inference(e,[status(thm)],[5,14,17])).
% 6.98/2.38  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.98/2.38  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
