%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:45:09 EDT 2019

% Result     : Theorem 7.10s
% Output     : CNFRefutation 7.10s
% Verified   : 
% Statistics : Number of formulae       :   28 (  28 expanded)
%              Number of leaves         :   18 (  18 expanded)
%              Depth                    :    3
%              Number of atoms          :  214 ( 214 expanded)
%              Number of equality atoms :   42 (  42 expanded)
%              Maximal formula depth    :   13 (   7 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: 
      !>[TA: $tType,TB: $tType] :
        ( TA > TB > ( tyop_2Epair_2Eprod @ TA @ TB ) ) )).

thf(c_2Epred__set_2EEMPTY_type,type,(
    c_2Epred__set_2EEMPTY: 
      !>[TA: $tType] :
        ( TA > $o ) )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $o )).

thf(c_2Epred__set_2EGSPEC_type,type,(
    c_2Epred__set_2EGSPEC: 
      !>[TA: $tType,TB: $tType] :
        ( ( TB > ( tyop_2Epair_2Eprod @ TA @ $o ) ) > TA > $o ) )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(c_2Ereal__topology_2Ecomponents_type,type,(
    c_2Ereal__topology_2Ecomponents: ( tyop_2Erealax_2Ereal > $o ) > ( tyop_2Erealax_2Ereal > $o ) > $o )).

thf(c_2Ereal__topology_2Econnected__component_type,type,(
    c_2Ereal__topology_2Econnected__component: ( tyop_2Erealax_2Ereal > $o ) > tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > $o )).

thf(1,conjecture,(
    ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal > $o] :
      ( ( c_2Ebool_2EIN @ ( tyop_2Erealax_2Ereal > $o ) @ B @ ( c_2Ereal__topology_2Ecomponents @ A ) )
     => ( B
       != ( c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2EIN__COMPONENTS__NONEMPTY)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal > $o] :
        ( ( c_2Ebool_2EIN @ ( tyop_2Erealax_2Ereal > $o ) @ B @ ( c_2Ereal__topology_2Ecomponents @ A ) )
       => ( B
         != ( c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(10,plain,(
    ~ ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal > $o] :
        ( ( c_2Ebool_2EIN @ ( tyop_2Erealax_2Ereal > $o ) @ B @ ( c_2Ereal__topology_2Ecomponents @ A ) )
       => ( B
         != ( c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(14,plain,(
    c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(8,axiom,(
    ! [TA: $tType,TB: $tType,A: TB > ( tyop_2Epair_2Eprod @ TA @ $o ),B: TA] :
      ( ( c_2Ebool_2EIN @ TA @ B @ ( c_2Epred__set_2EGSPEC @ TA @ TB @ A ) )
      = ( ? [C: TB] :
            ( ( c_2Epair_2E_2C @ TA @ $o @ B @ c_2Ebool_2ET )
            = ( A @ C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EGSPECIFICATION)).

thf(41,plain,(
    ! [TA: $tType,TB: $tType,A: TB > ( tyop_2Epair_2Eprod @ TA @ $o ),B: TA] :
      ( ( c_2Ebool_2EIN @ TA @ B @ ( c_2Epred__set_2EGSPEC @ TA @ TB @ A ) )
      = ( ? [C: TB] :
            ( ( c_2Epair_2E_2C @ TA @ $o @ B @ c_2Ebool_2ET )
            = ( A @ C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(7,axiom,(
    ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal__topology_2Econnected__component @ A @ B )
        = ( c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal ) )
      = ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECONNECTED__COMPONENT__EQ__EMPTY)).

thf(32,plain,(
    ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal__topology_2Econnected__component @ A @ B )
        = ( c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal ) )
      = ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(9,axiom,(
    ! [A: tyop_2Erealax_2Ereal > $o] :
      ( ( c_2Ereal__topology_2Ecomponents @ A )
      = ( c_2Epred__set_2EGSPEC @ ( tyop_2Erealax_2Ereal > $o ) @ tyop_2Erealax_2Ereal
        @ ^ [B: tyop_2Erealax_2Ereal] :
            ( c_2Epair_2E_2C @ ( tyop_2Erealax_2Ereal > $o ) @ $o @ ( c_2Ereal__topology_2Econnected__component @ A @ B ) @ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2Ecomponents)).

thf(44,plain,(
    ! [A: tyop_2Erealax_2Ereal > $o] :
      ( ( c_2Ereal__topology_2Ecomponents @ A )
      = ( c_2Epred__set_2EGSPEC @ ( tyop_2Erealax_2Ereal > $o ) @ tyop_2Erealax_2Ereal
        @ ^ [B: tyop_2Erealax_2Ereal] :
            ( c_2Epair_2E_2C @ ( tyop_2Erealax_2Ereal > $o ) @ $o @ ( c_2Ereal__topology_2Econnected__component @ A @ B ) @ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(5,axiom,
    ( ! [A: $o] : ( ( ~ ~ A ) = A )
    & ( ( ~ c_2Ebool_2ET ) = c_2Ebool_2EF )
    & ( ( ~ c_2Ebool_2EF ) = c_2Ebool_2ET ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ENOT__CLAUSES)).

thf(18,plain,
    ( ( ( ~ c_2Ebool_2ET ) = c_2Ebool_2EF )
    & ( ( ~ c_2Ebool_2EF ) = c_2Ebool_2ET ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(6,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).

thf(23,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(4,axiom,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB,C: TA,D: TB] :
      ( ( ( c_2Epair_2E_2C @ TA @ TB @ A @ B )
        = ( c_2Epair_2E_2C @ TA @ TB @ C @ D ) )
      = ( ( A = C )
        & ( B = D ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2ECLOSED__PAIR__EQ)).

thf(15,plain,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB,C: TA,D: TB] :
      ( ( ( c_2Epair_2E_2C @ TA @ TB @ A @ B )
        = ( c_2Epair_2E_2C @ TA @ TB @ C @ D ) )
      = ( ( A = C )
        & ( B = D ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(51,plain,(
    $false ),
    inference(e,[status(thm)],[10,14,41,32,44,18,23,15])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.09/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.09/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.09/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.09/0.13  % CPULimit   : 300
% 0.09/0.13  % DateTime   : Wed Jul 31 14:09:40 EDT 2019
% 0.09/0.13  % CPUTime    : 
% 3.25/1.40  % [INFO] 	 Running in sequential loop mode. 
% 3.90/1.58  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.28/1.65  % [INFO] 	 iprover registered as external prover. 
% 4.28/1.65  % [INFO] 	 e registered as external prover. 
% 4.28/1.65  % [INFO] 	 cvc4 registered as external prover. 
% 4.28/1.65  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.53/1.71  % [INFO] 	 Found a conjecture and 17 axioms. Running axiom selection ... 
% 4.53/1.75  % [INFO] 	 Axiom selection finished. Selected 7 axioms (removed 10 axioms). 
% 4.81/1.79  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.10/2.53  % [INFO] 	 Killing All external provers ... 
% 7.10/2.54  % Time passed: 2282ms
% 7.10/2.54  % Effective reasoning time: 1135ms
% 7.10/2.54  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.10/2.54  % Axioms used in derivation (7): thm_2Ebool_2ENOT__CLAUSES, thm_2Ebool_2EEQ__CLAUSES, thm_2Ereal__topology_2ECONNECTED__COMPONENT__EQ__EMPTY, thm_2Epred__set_2EGSPECIFICATION, thm_2Ebool_2ETRUTH, thm_2Epair_2ECLOSED__PAIR__EQ, thm_2Ereal__topology_2Ecomponents
% 7.10/2.54  % No. of inferences in proof: 18
% 7.10/2.54  % No. of processed clauses: 1
% 7.10/2.54  % No. of generated clauses: 0
% 7.10/2.54  % No. of forward subsumed clauses: 0
% 7.10/2.54  % No. of backward subsumed clauses: 0
% 7.10/2.54  % No. of ground rewrite rules in store: 1
% 7.10/2.54  % No. of non-ground rewrite rules in store: 0
% 7.10/2.54  % No. of positive (non-rewrite) units in store: 0
% 7.10/2.54  % No. of negative (non-rewrite) units in store: 0
% 7.10/2.54  % No. of choice functions detected: 0
% 7.10/2.54  % No. of choice instantiations: 0
% 7.10/2.54  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2282 ms resp. 1135 ms w/o parsing
% 7.10/2.57  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.10/2.57  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.10/2.57  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 7.10/2.57  thf(c_2Epair_2E_2C_type, type, c_2Epair_2E_2C: !>[TA: $tType,TB: $tType]: (TA > (TB > (tyop_2Epair_2Eprod @ TA @ TB)))).
% 7.10/2.57  thf(c_2Epred__set_2EEMPTY_type, type, c_2Epred__set_2EEMPTY: !>[TA: $tType]: (TA > $o)).
% 7.10/2.57  thf(c_2Ebool_2EF_type, type, c_2Ebool_2EF: $o).
% 7.10/2.57  thf(c_2Epred__set_2EGSPEC_type, type, c_2Epred__set_2EGSPEC: !>[TA: $tType,TB: $tType]: ((TB > (tyop_2Epair_2Eprod @ TA @ $o)) > (TA > $o))).
% 7.10/2.57  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 7.10/2.57  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 7.10/2.57  thf(c_2Ereal__topology_2Ecomponents_type, type, c_2Ereal__topology_2Ecomponents: ((tyop_2Erealax_2Ereal > $o) > ((tyop_2Erealax_2Ereal > $o) > $o))).
% 7.10/2.57  thf(c_2Ereal__topology_2Econnected__component_type, type, c_2Ereal__topology_2Econnected__component: ((tyop_2Erealax_2Ereal > $o) > (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > $o)))).
% 7.10/2.57  thf(1,conjecture,((! [A:(tyop_2Erealax_2Ereal > $o),B:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ebool_2EIN @ (tyop_2Erealax_2Ereal > $o) @ B @ (c_2Ereal__topology_2Ecomponents @ A)) => (~ (B = (c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2EIN__COMPONENTS__NONEMPTY)).
% 7.10/2.57  thf(2,negated_conjecture,((~ (! [A:(tyop_2Erealax_2Ereal > $o),B:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ebool_2EIN @ (tyop_2Erealax_2Ereal > $o) @ B @ (c_2Ereal__topology_2Ecomponents @ A)) => (~ (B = (c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal))))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.10/2.57  thf(10,plain,((~ (! [A:(tyop_2Erealax_2Ereal > $o),B:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ebool_2EIN @ (tyop_2Erealax_2Ereal > $o) @ (B) @ (c_2Ereal__topology_2Ecomponents @ A)) => (~ ((B) = (c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.10/2.57  thf(3,axiom,(c_2Ebool_2ET),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).
% 7.10/2.57  thf(14,plain,(c_2Ebool_2ET),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.10/2.57  thf(8,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TB > (tyop_2Epair_2Eprod @ TA @ $o)),B:TA]: ((c_2Ebool_2EIN @ TA @ B @ (c_2Epred__set_2EGSPEC @ TA @ TB @ A)) = (? [C:TB]: ((c_2Epair_2E_2C @ TA @ $o @ B @ c_2Ebool_2ET) = (A @ C))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EGSPECIFICATION)).
% 7.10/2.57  thf(41,plain,((! [TA: $tType,TB: $tType]: (! [A:(TB > (tyop_2Epair_2Eprod @ TA @ $o)),B:TA]: ((c_2Ebool_2EIN @ TA @ B @ (c_2Epred__set_2EGSPEC @ TA @ TB @ A)) = (? [C:TB]: ((c_2Epair_2E_2C @ TA @ $o @ B @ c_2Ebool_2ET) = (A @ C))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 7.10/2.57  thf(7,axiom,((! [A:(tyop_2Erealax_2Ereal > $o),B:tyop_2Erealax_2Ereal]: (((c_2Ereal__topology_2Econnected__component @ A @ B) = (c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal)) = (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECONNECTED__COMPONENT__EQ__EMPTY)).
% 7.10/2.57  thf(32,plain,((! [A:(tyop_2Erealax_2Ereal > $o),B:tyop_2Erealax_2Ereal]: (((c_2Ereal__topology_2Econnected__component @ A @ B) = (c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal)) = (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 7.10/2.57  thf(9,axiom,((! [A:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ereal__topology_2Ecomponents @ A) = (c_2Epred__set_2EGSPEC @ (tyop_2Erealax_2Ereal > $o) @ tyop_2Erealax_2Ereal @ (^ [B:tyop_2Erealax_2Ereal]: (c_2Epair_2E_2C @ (tyop_2Erealax_2Ereal > $o) @ $o @ (c_2Ereal__topology_2Econnected__component @ A @ B) @ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2Ecomponents)).
% 7.10/2.57  thf(44,plain,((! [A:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ereal__topology_2Ecomponents @ A) = (c_2Epred__set_2EGSPEC @ (tyop_2Erealax_2Ereal > $o) @ tyop_2Erealax_2Ereal @ (^ [B:tyop_2Erealax_2Ereal]: (c_2Epair_2E_2C @ (tyop_2Erealax_2Ereal > $o) @ $o @ (c_2Ereal__topology_2Econnected__component @ A @ B) @ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 7.10/2.57  thf(5,axiom,((! [A:$o]: ((~ (~ (A))) = A) & ((~ (c_2Ebool_2ET)) = c_2Ebool_2EF) & ((~ (c_2Ebool_2EF)) = c_2Ebool_2ET))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ENOT__CLAUSES)).
% 7.10/2.57  thf(18,plain,((((~ (c_2Ebool_2ET)) = c_2Ebool_2EF) & ((~ (c_2Ebool_2EF)) = c_2Ebool_2ET))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 7.10/2.57  thf(6,axiom,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).
% 7.10/2.57  thf(23,plain,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 7.10/2.57  thf(4,axiom,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB,C:TA,D:TB]: (((c_2Epair_2E_2C @ TA @ TB @ A @ B) = (c_2Epair_2E_2C @ TA @ TB @ C @ D)) = ((A = C) & (B = D)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2ECLOSED__PAIR__EQ)).
% 7.10/2.57  thf(15,plain,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB,C:TA,D:TB]: (((c_2Epair_2E_2C @ TA @ TB @ A @ B) = (c_2Epair_2E_2C @ TA @ TB @ C @ D)) = ((A = C) & (B = D)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 7.10/2.57  thf(51,plain,($false),inference(e,[status(thm)],[10,14,41,32,44,18,23,15])).
% 7.10/2.57  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.10/2.57  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
