%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:45:10 EDT 2019

% Result     : Theorem 7.50s
% Output     : CNFRefutation 7.50s
% Verified   : 
% Statistics : Number of formulae       :   20 (  20 expanded)
%              Number of leaves         :   13 (  13 expanded)
%              Depth                    :    3
%              Number of atoms          :  101 ( 101 expanded)
%              Number of equality atoms :    2 (   2 expanded)
%              Maximal formula depth    :   10 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Ereal__topology_2EClosed_type,type,(
    c_2Ereal__topology_2EClosed: ( tyop_2Erealax_2Ereal > $o ) > $o )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Epred__set_2ESUBSET_type,type,(
    c_2Epred__set_2ESUBSET: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > $o ) > $o ) )).

thf(c_2Ereal__topology_2Ebounded__def_type,type,(
    c_2Ereal__topology_2Ebounded__def: ( tyop_2Erealax_2Ereal > $o ) > $o )).

thf(c_2Ereal__topology_2Ecompact_type,type,(
    c_2Ereal__topology_2Ecompact: ( tyop_2Erealax_2Ereal > $o ) > $o )).

thf(c_2Ereal__topology_2Ecomponents_type,type,(
    c_2Ereal__topology_2Ecomponents: ( tyop_2Erealax_2Ereal > $o ) > ( tyop_2Erealax_2Ereal > $o ) > $o )).

thf(6,axiom,(
    ! [A: tyop_2Erealax_2Ereal > $o] :
      ( ( c_2Ereal__topology_2Ecompact @ A )
      = ( ( c_2Ereal__topology_2Ebounded__def @ A )
        & ( c_2Ereal__topology_2EClosed @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECOMPACT__EQ__BOUNDED__CLOSED)).

thf(56,plain,(
    ! [A: tyop_2Erealax_2Ereal > $o] :
      ( ( c_2Ereal__topology_2Ecompact @ A )
      = ( ( c_2Ereal__topology_2Ebounded__def @ A )
        & ( c_2Ereal__topology_2EClosed @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(5,axiom,(
    ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal > $o] :
      ( ( ( c_2Ereal__topology_2EClosed @ A )
        & ( c_2Ebool_2EIN @ ( tyop_2Erealax_2Ereal > $o ) @ B @ ( c_2Ereal__topology_2Ecomponents @ A ) ) )
     => ( c_2Ereal__topology_2EClosed @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECLOSED__COMPONENTS)).

thf(42,plain,(
    ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal > $o] :
      ( ( ( c_2Ereal__topology_2EClosed @ A )
        & ( c_2Ebool_2EIN @ ( tyop_2Erealax_2Ereal > $o ) @ B @ ( c_2Ereal__topology_2Ecomponents @ A ) ) )
     => ( c_2Ereal__topology_2EClosed @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(4,axiom,(
    ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal > $o] :
      ( ( ( c_2Ereal__topology_2Ebounded__def @ B )
        & ( c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ A @ B ) )
     => ( c_2Ereal__topology_2Ebounded__def @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2EBOUNDED__SUBSET)).

thf(25,plain,(
    ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal > $o] :
      ( ( ( c_2Ereal__topology_2Ebounded__def @ B )
        & ( c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ A @ B ) )
     => ( c_2Ereal__topology_2Ebounded__def @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(1,conjecture,(
    ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal > $o] :
      ( ( ( c_2Ereal__topology_2Ecompact @ A )
        & ( c_2Ebool_2EIN @ ( tyop_2Erealax_2Ereal > $o ) @ B @ ( c_2Ereal__topology_2Ecomponents @ A ) ) )
     => ( c_2Ereal__topology_2Ecompact @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECOMPACT__COMPONENTS)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal > $o] :
        ( ( ( c_2Ereal__topology_2Ecompact @ A )
          & ( c_2Ebool_2EIN @ ( tyop_2Erealax_2Ereal > $o ) @ B @ ( c_2Ereal__topology_2Ecomponents @ A ) ) )
       => ( c_2Ereal__topology_2Ecompact @ B ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(7,plain,(
    ~ ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal > $o] :
        ( ( ( c_2Ereal__topology_2Ecompact @ A )
          & ( c_2Ebool_2EIN @ ( tyop_2Erealax_2Ereal > $o ) @ B @ ( c_2Ereal__topology_2Ecomponents @ A ) ) )
       => ( c_2Ereal__topology_2Ecompact @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal > $o] :
      ( ( c_2Ebool_2EIN @ ( tyop_2Erealax_2Ereal > $o ) @ B @ ( c_2Ereal__topology_2Ecomponents @ A ) )
     => ( c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ B @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2EIN__COMPONENTS__SUBSET)).

thf(11,plain,(
    ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal > $o] :
      ( ( c_2Ebool_2EIN @ ( tyop_2Erealax_2Ereal > $o ) @ B @ ( c_2Ereal__topology_2Ecomponents @ A ) )
     => ( c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ B @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(63,plain,(
    $false ),
    inference(iprover,[status(thm)],[56,42,25,7,11])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.03/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.03/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.03/0.13  % CPULimit   : 300
% 0.03/0.13  % DateTime   : Wed Jul 31 14:10:39 EDT 2019
% 0.03/0.13  % CPUTime    : 
% 4.20/1.55  % [INFO] 	 Running in sequential loop mode. 
% 4.77/1.73  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 5.20/1.80  % [INFO] 	 iprover registered as external prover. 
% 5.20/1.80  % [INFO] 	 e registered as external prover. 
% 5.20/1.80  % [INFO] 	 cvc4 registered as external prover. 
% 5.20/1.81  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.37/1.86  % [INFO] 	 Found a conjecture and 33 axioms. Running axiom selection ... 
% 5.37/1.90  % [INFO] 	 Axiom selection finished. Selected 4 axioms (removed 29 axioms). 
% 5.37/1.92  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.13/2.52  % [INFO] 	 Killing All external provers ... 
% 7.50/2.53  % Time passed: 2258ms
% 7.50/2.53  % Effective reasoning time: 973ms
% 7.50/2.53  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.50/2.53  % Axioms used in derivation (4): thm_2Ereal__topology_2ECOMPACT__EQ__BOUNDED__CLOSED, thm_2Ereal__topology_2ECLOSED__COMPONENTS, thm_2Ereal__topology_2EBOUNDED__SUBSET, thm_2Ereal__topology_2EIN__COMPONENTS__SUBSET
% 7.50/2.53  % No. of inferences in proof: 12
% 7.50/2.53  % No. of processed clauses: 1
% 7.50/2.53  % No. of generated clauses: 0
% 7.50/2.53  % No. of forward subsumed clauses: 0
% 7.50/2.53  % No. of backward subsumed clauses: 0
% 7.50/2.53  % No. of ground rewrite rules in store: 1
% 7.50/2.53  % No. of non-ground rewrite rules in store: 0
% 7.50/2.53  % No. of positive (non-rewrite) units in store: 0
% 7.50/2.53  % No. of negative (non-rewrite) units in store: 0
% 7.50/2.53  % No. of choice functions detected: 0
% 7.50/2.53  % No. of choice instantiations: 0
% 7.50/2.53  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2258 ms resp. 973 ms w/o parsing
% 7.50/2.55  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.50/2.55  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.50/2.55  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 7.50/2.55  thf(c_2Ereal__topology_2EClosed_type, type, c_2Ereal__topology_2EClosed: ((tyop_2Erealax_2Ereal > $o) > $o)).
% 7.50/2.55  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 7.50/2.55  thf(c_2Epred__set_2ESUBSET_type, type, c_2Epred__set_2ESUBSET: !>[TA: $tType]: ((TA > $o) > ((TA > $o) > $o))).
% 7.50/2.55  thf(c_2Ereal__topology_2Ebounded__def_type, type, c_2Ereal__topology_2Ebounded__def: ((tyop_2Erealax_2Ereal > $o) > $o)).
% 7.50/2.55  thf(c_2Ereal__topology_2Ecompact_type, type, c_2Ereal__topology_2Ecompact: ((tyop_2Erealax_2Ereal > $o) > $o)).
% 7.50/2.55  thf(c_2Ereal__topology_2Ecomponents_type, type, c_2Ereal__topology_2Ecomponents: ((tyop_2Erealax_2Ereal > $o) > ((tyop_2Erealax_2Ereal > $o) > $o))).
% 7.50/2.55  thf(6,axiom,((! [A:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ereal__topology_2Ecompact @ A) = ((c_2Ereal__topology_2Ebounded__def @ A) & (c_2Ereal__topology_2EClosed @ A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECOMPACT__EQ__BOUNDED__CLOSED)).
% 7.50/2.55  thf(56,plain,((! [A:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ereal__topology_2Ecompact @ (A)) = ((c_2Ereal__topology_2Ebounded__def @ (A)) & (c_2Ereal__topology_2EClosed @ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 7.50/2.55  thf(5,axiom,((! [A:(tyop_2Erealax_2Ereal > $o),B:(tyop_2Erealax_2Ereal > $o)]: (((c_2Ereal__topology_2EClosed @ A) & (c_2Ebool_2EIN @ (tyop_2Erealax_2Ereal > $o) @ B @ (c_2Ereal__topology_2Ecomponents @ A))) => (c_2Ereal__topology_2EClosed @ B)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECLOSED__COMPONENTS)).
% 7.50/2.55  thf(42,plain,((! [A:(tyop_2Erealax_2Ereal > $o),B:(tyop_2Erealax_2Ereal > $o)]: (((c_2Ereal__topology_2EClosed @ (A)) & (c_2Ebool_2EIN @ (tyop_2Erealax_2Ereal > $o) @ (B) @ (c_2Ereal__topology_2Ecomponents @ A))) => (c_2Ereal__topology_2EClosed @ (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 7.50/2.55  thf(4,axiom,((! [A:(tyop_2Erealax_2Ereal > $o),B:(tyop_2Erealax_2Ereal > $o)]: (((c_2Ereal__topology_2Ebounded__def @ B) & (c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ A @ B)) => (c_2Ereal__topology_2Ebounded__def @ A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2EBOUNDED__SUBSET)).
% 7.50/2.55  thf(25,plain,((! [A:(tyop_2Erealax_2Ereal > $o),B:(tyop_2Erealax_2Ereal > $o)]: (((c_2Ereal__topology_2Ebounded__def @ (B)) & (c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ (A) @ (B))) => (c_2Ereal__topology_2Ebounded__def @ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 7.50/2.55  thf(1,conjecture,((! [A:(tyop_2Erealax_2Ereal > $o),B:(tyop_2Erealax_2Ereal > $o)]: (((c_2Ereal__topology_2Ecompact @ A) & (c_2Ebool_2EIN @ (tyop_2Erealax_2Ereal > $o) @ B @ (c_2Ereal__topology_2Ecomponents @ A))) => (c_2Ereal__topology_2Ecompact @ B)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECOMPACT__COMPONENTS)).
% 7.50/2.55  thf(2,negated_conjecture,((~ (! [A:(tyop_2Erealax_2Ereal > $o),B:(tyop_2Erealax_2Ereal > $o)]: (((c_2Ereal__topology_2Ecompact @ A) & (c_2Ebool_2EIN @ (tyop_2Erealax_2Ereal > $o) @ B @ (c_2Ereal__topology_2Ecomponents @ A))) => (c_2Ereal__topology_2Ecompact @ B))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.50/2.55  thf(7,plain,((~ (! [A:(tyop_2Erealax_2Ereal > $o),B:(tyop_2Erealax_2Ereal > $o)]: (((c_2Ereal__topology_2Ecompact @ (A)) & (c_2Ebool_2EIN @ (tyop_2Erealax_2Ereal > $o) @ (B) @ (c_2Ereal__topology_2Ecomponents @ A))) => (c_2Ereal__topology_2Ecompact @ (B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.50/2.55  thf(3,axiom,((! [A:(tyop_2Erealax_2Ereal > $o),B:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ebool_2EIN @ (tyop_2Erealax_2Ereal > $o) @ B @ (c_2Ereal__topology_2Ecomponents @ A)) => (c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ B @ A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2EIN__COMPONENTS__SUBSET)).
% 7.50/2.55  thf(11,plain,((! [A:(tyop_2Erealax_2Ereal > $o),B:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ebool_2EIN @ (tyop_2Erealax_2Ereal > $o) @ (B) @ (c_2Ereal__topology_2Ecomponents @ A)) => (c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ (B) @ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.50/2.55  thf(63,plain,($false),inference(iprover,[status(thm)],[56,42,25,7,11])).
% 7.50/2.55  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.50/2.55  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
