%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:45:14 EDT 2019

% Result     : Theorem 6.46s
% Output     : CNFRefutation 6.92s
% Verified   : 
% Statistics : Number of formulae       :   49 (  49 expanded)
%              Number of leaves         :   33 (  33 expanded)
%              Depth                    :    3
%              Number of atoms          :  405 ( 405 expanded)
%              Number of equality atoms :   32 (  32 expanded)
%              Maximal formula depth    :   15 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: 
      !>[TA: $tType,TB: $tType] :
        ( TA > TB > ( tyop_2Epair_2Eprod @ TA @ TB ) ) )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ereal__topology_2ECLOSED__interval_type,type,(
    c_2Ereal__topology_2ECLOSED__interval: ( tyop_2Elist_2Elist @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) ) > tyop_2Erealax_2Ereal > $o )).

thf(c_2Elist_2ECONS_type,type,(
    c_2Elist_2ECONS: 
      !>[TA: $tType] :
        ( TA > ( tyop_2Elist_2Elist @ TA ) > ( tyop_2Elist_2Elist @ TA ) ) )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $o )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Elist_2ENIL_type,type,(
    c_2Elist_2ENIL: 
      !>[TA: $tType] :
        ( tyop_2Elist_2Elist @ TA ) )).

thf(c_2Ereal__topology_2EOPEN__interval_type,type,(
    c_2Ereal__topology_2EOPEN__interval: ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal > $o )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Erealax_2Ereal__lt_type,type,(
    c_2Erealax_2Ereal__lt: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > $o )).

thf(c_2Ereal_2Ereal__lte_type,type,(
    c_2Ereal_2Ereal__lte: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > $o )).

thf(c_2Erealax_2Ereal__neg_type,type,(
    c_2Erealax_2Ereal__neg: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $o > $o )).

thf(13,axiom,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(69,plain,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(8,axiom,(
    ! [A: $o,B: $o] :
      ( ( A
       => B )
     => ( ( B
         => A )
       => ( A = B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__ANTISYM__AX)).

thf(42,plain,(
    ! [A: $o,B: $o] :
      ( ( A
       => B )
     => ( ( B
         => A )
       => ( A = B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(7,axiom,(
    ! [A: $o] :
      ( c_2Ebool_2EF
     => A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EFALSITY)).

thf(37,plain,(
    ! [A: $o] :
      ( c_2Ebool_2EF
     => A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(11,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(57,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(5,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ ( c_2Erealax_2Ereal__neg @ A ) @ ( c_2Erealax_2Ereal__neg @ B ) )
      = ( c_2Erealax_2Ereal__lt @ B @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LT__NEG)).

thf(29,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ ( c_2Erealax_2Ereal__neg @ A ) @ ( c_2Erealax_2Ereal__neg @ B ) )
      = ( c_2Erealax_2Ereal__lt @ B @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(14,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(74,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(12,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(60,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(6,axiom,(
    ! [A: $o] :
      ( ~ A
     => ( A
       => c_2Ebool_2EF ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EF__IMP)).

thf(32,plain,(
    ! [A: $o] :
      ( ~ A
     => ( A
       => c_2Ebool_2EF ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(10,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(54,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(1,conjecture,
    ( ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
        ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ ( c_2Erealax_2Ereal__neg @ C ) @ ( c_2Ereal__topology_2ECLOSED__interval @ ( c_2Elist_2ECONS @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ ( c_2Erealax_2Ereal__neg @ B ) @ ( c_2Erealax_2Ereal__neg @ A ) ) @ ( c_2Elist_2ENIL @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) ) ) ) )
        = ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ ( c_2Ereal__topology_2ECLOSED__interval @ ( c_2Elist_2ECONS @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) @ ( c_2Elist_2ENIL @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) ) ) ) ) )
    & ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
        ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ ( c_2Erealax_2Ereal__neg @ C ) @ ( c_2Ereal__topology_2EOPEN__interval @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ ( c_2Erealax_2Ereal__neg @ B ) @ ( c_2Erealax_2Ereal__neg @ A ) ) ) )
        = ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ ( c_2Ereal__topology_2EOPEN__interval @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2EIN__INTERVAL__REFLECT)).

thf(2,negated_conjecture,(
    ~ ( ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
          ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ ( c_2Erealax_2Ereal__neg @ C ) @ ( c_2Ereal__topology_2ECLOSED__interval @ ( c_2Elist_2ECONS @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ ( c_2Erealax_2Ereal__neg @ B ) @ ( c_2Erealax_2Ereal__neg @ A ) ) @ ( c_2Elist_2ENIL @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) ) ) ) )
          = ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ ( c_2Ereal__topology_2ECLOSED__interval @ ( c_2Elist_2ECONS @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) @ ( c_2Elist_2ENIL @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) ) ) ) ) )
      & ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
          ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ ( c_2Erealax_2Ereal__neg @ C ) @ ( c_2Ereal__topology_2EOPEN__interval @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ ( c_2Erealax_2Ereal__neg @ B ) @ ( c_2Erealax_2Ereal__neg @ A ) ) ) )
          = ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ ( c_2Ereal__topology_2EOPEN__interval @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(16,plain,(
    ~ ( ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
          ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ ( c_2Erealax_2Ereal__neg @ C ) @ ( c_2Ereal__topology_2ECLOSED__interval @ ( c_2Elist_2ECONS @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ ( c_2Erealax_2Ereal__neg @ B ) @ ( c_2Erealax_2Ereal__neg @ A ) ) @ ( c_2Elist_2ENIL @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) ) ) ) )
          = ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ ( c_2Ereal__topology_2ECLOSED__interval @ ( c_2Elist_2ECONS @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) @ ( c_2Elist_2ENIL @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) ) ) ) ) )
      & ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
          ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ ( c_2Erealax_2Ereal__neg @ C ) @ ( c_2Ereal__topology_2EOPEN__interval @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ ( c_2Erealax_2Ereal__neg @ B ) @ ( c_2Erealax_2Ereal__neg @ A ) ) ) )
          = ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ ( c_2Ereal__topology_2EOPEN__interval @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(4,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__lte @ ( c_2Erealax_2Ereal__neg @ A ) @ ( c_2Erealax_2Ereal__neg @ B ) )
      = ( c_2Ereal_2Ereal__lte @ B @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__NEG)).

thf(26,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__lte @ ( c_2Erealax_2Ereal__neg @ A ) @ ( c_2Erealax_2Ereal__neg @ B ) )
      = ( c_2Ereal_2Ereal__lte @ B @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(9,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(51,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(3,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ ( c_2Ereal__topology_2EOPEN__interval @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ C @ B ) ) )
        = ( ( c_2Erealax_2Ereal__lt @ C @ A )
          & ( c_2Erealax_2Ereal__lt @ A @ B ) ) )
      & ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ ( c_2Ereal__topology_2ECLOSED__interval @ ( c_2Elist_2ECONS @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ C @ B ) @ ( c_2Elist_2ENIL @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) ) ) ) )
        = ( ( c_2Ereal_2Ereal__lte @ C @ A )
          & ( c_2Ereal_2Ereal__lte @ A @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2EIN__INTERVAL)).

thf(19,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ ( c_2Ereal__topology_2EOPEN__interval @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ C @ B ) ) )
        = ( ( c_2Erealax_2Ereal__lt @ C @ A )
          & ( c_2Erealax_2Ereal__lt @ A @ B ) ) )
      & ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ ( c_2Ereal__topology_2ECLOSED__interval @ ( c_2Elist_2ECONS @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ C @ B ) @ ( c_2Elist_2ENIL @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) ) ) ) )
        = ( ( c_2Ereal_2Ereal__lte @ C @ A )
          & ( c_2Ereal_2Ereal__lte @ A @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(15,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(83,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(92,plain,(
    $false ),
    inference(iprover,[status(thm)],[69,42,37,57,29,74,60,32,54,16,26,51,19,83])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.11/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.11/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.11/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.11/0.12  % CPULimit   : 300
% 0.11/0.12  % DateTime   : Wed Jul 31 14:39:36 EDT 2019
% 0.11/0.13  % CPUTime    : 
% 3.31/1.38  % [INFO] 	 Running in sequential loop mode. 
% 4.19/1.56  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.19/1.62  % [INFO] 	 iprover registered as external prover. 
% 4.19/1.63  % [INFO] 	 e registered as external prover. 
% 4.19/1.63  % [INFO] 	 cvc4 registered as external prover. 
% 4.50/1.63  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.70/1.70  % [INFO] 	 Found a conjecture and 13 axioms. Running axiom selection ... 
% 4.70/1.73  % [INFO] 	 Axiom selection finished. Selected 13 axioms (removed 0 axioms). 
% 4.70/1.76  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.46/2.36  % [INFO] 	 Killing All external provers ... 
% 6.46/2.37  % Time passed: 2108ms
% 6.46/2.37  % Effective reasoning time: 981ms
% 6.46/2.37  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.46/2.37  % Axioms used in derivation (13): logicdef_2E_3D, thm_2Ebool_2EIMP__ANTISYM__AX, logicdef_2E_5C_2F, thm_2Ebool_2EFALSITY, thm_2Ereal_2EREAL__LE__NEG, thm_2Ereal_2EREAL__LT__NEG, quantdef_2E_21, thm_2Ebool_2EF__IMP, thm_2Ereal__topology_2EIN__INTERVAL, logicdef_2E_3D_3D_3E, logicdef_2E_2F_5C, logicdef_2E_7E, quantdef_2E_3F
% 6.46/2.37  % No. of inferences in proof: 30
% 6.46/2.37  % No. of processed clauses: 1
% 6.46/2.37  % No. of generated clauses: 0
% 6.46/2.37  % No. of forward subsumed clauses: 0
% 6.46/2.37  % No. of backward subsumed clauses: 0
% 6.46/2.37  % No. of ground rewrite rules in store: 1
% 6.46/2.37  % No. of non-ground rewrite rules in store: 0
% 6.46/2.37  % No. of positive (non-rewrite) units in store: 0
% 6.46/2.37  % No. of negative (non-rewrite) units in store: 0
% 6.46/2.37  % No. of choice functions detected: 0
% 6.46/2.37  % No. of choice instantiations: 0
% 6.46/2.37  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2108 ms resp. 981 ms w/o parsing
% 6.92/2.41  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.92/2.41  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.92/2.41  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 6.92/2.41  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 6.92/2.41  thf(c_2Epair_2E_2C_type, type, c_2Epair_2E_2C: !>[TA: $tType,TB: $tType]: (TA > (TB > (tyop_2Epair_2Eprod @ TA @ TB)))).
% 6.92/2.41  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 6.92/2.41  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 6.92/2.41  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 6.92/2.41  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 6.92/2.41  thf(c_2Ereal__topology_2ECLOSED__interval_type, type, c_2Ereal__topology_2ECLOSED__interval: ((tyop_2Elist_2Elist @ (tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)) > (tyop_2Erealax_2Ereal > $o))).
% 6.92/2.41  thf(c_2Elist_2ECONS_type, type, c_2Elist_2ECONS: !>[TA: $tType]: (TA > ((tyop_2Elist_2Elist @ TA) > (tyop_2Elist_2Elist @ TA)))).
% 6.92/2.41  thf(c_2Ebool_2EF_type, type, c_2Ebool_2EF: $o).
% 6.92/2.41  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 6.92/2.41  thf(c_2Elist_2ENIL_type, type, c_2Elist_2ENIL: !>[TA: $tType]: (tyop_2Elist_2Elist @ TA)).
% 6.92/2.41  thf(c_2Ereal__topology_2EOPEN__interval_type, type, c_2Ereal__topology_2EOPEN__interval: ((tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) > (tyop_2Erealax_2Ereal > $o))).
% 6.92/2.41  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 6.92/2.41  thf(c_2Erealax_2Ereal__lt_type, type, c_2Erealax_2Ereal__lt: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > $o))).
% 6.92/2.41  thf(c_2Ereal_2Ereal__lte_type, type, c_2Ereal_2Ereal__lte: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > $o))).
% 6.92/2.41  thf(c_2Erealax_2Ereal__neg_type, type, c_2Erealax_2Ereal__neg: (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal)).
% 6.92/2.41  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 6.92/2.41  thf(13,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 6.92/2.41  thf(69,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 6.92/2.41  thf(8,axiom,((! [A:$o,B:$o]: (((A) => (B)) => (((B) => (A)) => (A = B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__ANTISYM__AX)).
% 6.92/2.41  thf(42,plain,((! [A:$o,B:$o]: (((A) => (B)) => (((B) => (A)) => (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 6.92/2.41  thf(7,axiom,((! [A:$o]: ((c_2Ebool_2EF) => (A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EFALSITY)).
% 6.92/2.41  thf(37,plain,((! [A:$o]: ((c_2Ebool_2EF) => (A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 6.92/2.41  thf(11,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 6.92/2.41  thf(57,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 6.92/2.41  thf(5,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ (c_2Erealax_2Ereal__neg @ A) @ (c_2Erealax_2Ereal__neg @ B)) = (c_2Erealax_2Ereal__lt @ B @ A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LT__NEG)).
% 6.92/2.41  thf(29,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ (c_2Erealax_2Ereal__neg @ A) @ (c_2Erealax_2Ereal__neg @ B)) = (c_2Erealax_2Ereal__lt @ B @ A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 6.92/2.41  thf(14,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 6.92/2.41  thf(74,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).
% 6.92/2.41  thf(12,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 6.92/2.41  thf(60,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 6.92/2.41  thf(6,axiom,((! [A:$o]: ((~ (A)) => ((A) => (c_2Ebool_2EF))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EF__IMP)).
% 6.92/2.41  thf(32,plain,((! [A:$o]: ((~ (A)) => ((A) => (c_2Ebool_2EF))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 6.92/2.41  thf(10,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).
% 6.92/2.41  thf(54,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 6.92/2.41  thf(1,conjecture,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ (c_2Erealax_2Ereal__neg @ C) @ (c_2Ereal__topology_2ECLOSED__interval @ (c_2Elist_2ECONS @ (tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ (c_2Erealax_2Ereal__neg @ B) @ (c_2Erealax_2Ereal__neg @ A)) @ (c_2Elist_2ENIL @ (tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal))))) = (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ (c_2Ereal__topology_2ECLOSED__interval @ (c_2Elist_2ECONS @ (tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B) @ (c_2Elist_2ENIL @ (tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)))))) & ! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ (c_2Erealax_2Ereal__neg @ C) @ (c_2Ereal__topology_2EOPEN__interval @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ (c_2Erealax_2Ereal__neg @ B) @ (c_2Erealax_2Ereal__neg @ A)))) = (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ (c_2Ereal__topology_2EOPEN__interval @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2EIN__INTERVAL__REFLECT)).
% 6.92/2.41  thf(2,negated_conjecture,((~ (! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ (c_2Erealax_2Ereal__neg @ C) @ (c_2Ereal__topology_2ECLOSED__interval @ (c_2Elist_2ECONS @ (tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ (c_2Erealax_2Ereal__neg @ B) @ (c_2Erealax_2Ereal__neg @ A)) @ (c_2Elist_2ENIL @ (tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal))))) = (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ (c_2Ereal__topology_2ECLOSED__interval @ (c_2Elist_2ECONS @ (tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B) @ (c_2Elist_2ENIL @ (tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)))))) & ! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ (c_2Erealax_2Ereal__neg @ C) @ (c_2Ereal__topology_2EOPEN__interval @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ (c_2Erealax_2Ereal__neg @ B) @ (c_2Erealax_2Ereal__neg @ A)))) = (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ (c_2Ereal__topology_2EOPEN__interval @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B))))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.92/2.41  thf(16,plain,((~ (! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ (c_2Erealax_2Ereal__neg @ C) @ (c_2Ereal__topology_2ECLOSED__interval @ (c_2Elist_2ECONS @ (tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ (c_2Erealax_2Ereal__neg @ B) @ (c_2Erealax_2Ereal__neg @ A)) @ (c_2Elist_2ENIL @ (tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal))))) = (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ (c_2Ereal__topology_2ECLOSED__interval @ (c_2Elist_2ECONS @ (tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B) @ (c_2Elist_2ENIL @ (tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)))))) & ! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ (c_2Erealax_2Ereal__neg @ C) @ (c_2Ereal__topology_2EOPEN__interval @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ (c_2Erealax_2Ereal__neg @ B) @ (c_2Erealax_2Ereal__neg @ A)))) = (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ (c_2Ereal__topology_2EOPEN__interval @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.92/2.41  thf(4,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__lte @ (c_2Erealax_2Ereal__neg @ A) @ (c_2Erealax_2Ereal__neg @ B)) = (c_2Ereal_2Ereal__lte @ B @ A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__NEG)).
% 6.92/2.41  thf(26,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__lte @ (c_2Erealax_2Ereal__neg @ A) @ (c_2Erealax_2Ereal__neg @ B)) = (c_2Ereal_2Ereal__lte @ B @ A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 6.92/2.41  thf(9,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 6.92/2.41  thf(51,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 6.92/2.41  thf(3,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: (((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (c_2Ereal__topology_2EOPEN__interval @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ C @ B))) = ((c_2Erealax_2Ereal__lt @ C @ A) & (c_2Erealax_2Ereal__lt @ A @ B))) & ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (c_2Ereal__topology_2ECLOSED__interval @ (c_2Elist_2ECONS @ (tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ C @ B) @ (c_2Elist_2ENIL @ (tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal))))) = ((c_2Ereal_2Ereal__lte @ C @ A) & (c_2Ereal_2Ereal__lte @ A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2EIN__INTERVAL)).
% 6.92/2.41  thf(19,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: (((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (c_2Ereal__topology_2EOPEN__interval @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ C @ B))) = ((c_2Erealax_2Ereal__lt @ C @ A) & (c_2Erealax_2Ereal__lt @ A @ B))) & ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (c_2Ereal__topology_2ECLOSED__interval @ (c_2Elist_2ECONS @ (tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ C @ B) @ (c_2Elist_2ENIL @ (tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal))))) = ((c_2Ereal_2Ereal__lte @ C @ A) & (c_2Ereal_2Ereal__lte @ A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.92/2.41  thf(15,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 6.92/2.41  thf(83,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).
% 6.92/2.41  thf(92,plain,($false),inference(iprover,[status(thm)],[69,42,37,57,29,74,60,32,54,16,26,51,19,83])).
% 6.92/2.41  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.92/2.41  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
