%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:45:20 EDT 2019

% Result     : Theorem 72.48s
% Output     : CNFRefutation 72.59s
% Verified   : 
% Statistics : Number of formulae       :   20 (  20 expanded)
%              Number of leaves         :   13 (  13 expanded)
%              Depth                    :    3
%              Number of atoms          :  321 ( 321 expanded)
%              Number of equality atoms :   31 (  31 expanded)
%              Maximal formula depth    :   16 (   9 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: 
      !>[TA: $tType,TB: $tType] :
        ( TA > TB > ( tyop_2Epair_2Eprod @ TA @ TB ) ) )).

thf(c_2Epred__set_2EIMAGE_type,type,(
    c_2Epred__set_2EIMAGE: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > TB ) > ( TA > $o ) > TB > $o ) )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Ereal__topology_2Econtinuous__on_type,type,(
    c_2Ereal__topology_2Econtinuous__on: ( tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal ) > ( tyop_2Erealax_2Ereal > $o ) > $o )).

thf(c_2Ereal__topology_2Ehomeomorphic_type,type,(
    c_2Ereal__topology_2Ehomeomorphic: ( tyop_2Erealax_2Ereal > $o ) > ( tyop_2Erealax_2Ereal > $o ) > $o )).

thf(c_2Ereal__topology_2Ehomeomorphism_type,type,(
    c_2Ereal__topology_2Ehomeomorphism: ( tyop_2Epair_2Eprod @ ( tyop_2Erealax_2Ereal > $o ) @ ( tyop_2Erealax_2Ereal > $o ) ) > ( tyop_2Epair_2Eprod @ ( tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal ) @ ( tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal ) ) > $o )).

thf(3,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( A = B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
            = ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EEXTENSION)).

thf(10,plain,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( A = B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
            = ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(6,axiom,(
    ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal > $o] :
      ( ( c_2Ereal__topology_2Ehomeomorphic @ A @ B )
      = ( ? [C: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,D: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal] :
            ( c_2Ereal__topology_2Ehomeomorphism @ ( c_2Epair_2E_2C @ ( tyop_2Erealax_2Ereal > $o ) @ ( tyop_2Erealax_2Ereal > $o ) @ A @ B ) @ ( c_2Epair_2E_2C @ ( tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal ) @ ( tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal ) @ C @ D ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2Ehomeomorphic)).

thf(37,plain,(
    ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal > $o] :
      ( ( c_2Ereal__topology_2Ehomeomorphic @ A @ B )
      = ( ? [C: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,D: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal] :
            ( c_2Ereal__topology_2Ehomeomorphism @ ( c_2Epair_2E_2C @ ( tyop_2Erealax_2Ereal > $o ) @ ( tyop_2Erealax_2Ereal > $o ) @ A @ B ) @ ( c_2Epair_2E_2C @ ( tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal ) @ ( tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal ) @ C @ D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(4,axiom,(
    ! [TA: $tType,TB: $tType,A: TB,B: TA > $o,C: TA > TB] :
      ( ( c_2Ebool_2EIN @ TB @ A @ ( c_2Epred__set_2EIMAGE @ TA @ TB @ C @ B ) )
      = ( ? [D: TA] :
            ( ( A
              = ( C @ D ) )
            & ( c_2Ebool_2EIN @ TA @ D @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__IMAGE)).

thf(13,plain,(
    ! [TA: $tType,TB: $tType,A: TB,B: TA > $o,C: TA > TB] :
      ( ( c_2Ebool_2EIN @ TB @ A @ ( c_2Epred__set_2EIMAGE @ TA @ TB @ C @ B ) )
      = ( ? [D: TA] :
            ( ( A
              = ( C @ D ) )
            & ( c_2Ebool_2EIN @ TA @ D @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(1,conjecture,(
    ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal > $o] :
      ( ( c_2Ereal__topology_2Ehomeomorphic @ A @ B )
      = ( ? [C: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,D: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal] :
            ( ! [E: tyop_2Erealax_2Ereal] :
                ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ E @ A )
               => ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ ( C @ E ) @ B )
                  & ( ( D @ ( C @ E ) )
                    = E ) ) )
            & ! [E: tyop_2Erealax_2Ereal] :
                ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ E @ B )
               => ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ ( D @ E ) @ A )
                  & ( ( C @ ( D @ E ) )
                    = E ) ) )
            & ( c_2Ereal__topology_2Econtinuous__on @ C @ A )
            & ( c_2Ereal__topology_2Econtinuous__on @ D @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2EHOMEOMORPHIC__MINIMAL)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal > $o] :
        ( ( c_2Ereal__topology_2Ehomeomorphic @ A @ B )
        = ( ? [C: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,D: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal] :
              ( ! [E: tyop_2Erealax_2Ereal] :
                  ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ E @ A )
                 => ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ ( C @ E ) @ B )
                    & ( ( D @ ( C @ E ) )
                      = E ) ) )
              & ! [E: tyop_2Erealax_2Ereal] :
                  ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ E @ B )
                 => ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ ( D @ E ) @ A )
                    & ( ( C @ ( D @ E ) )
                      = E ) ) )
              & ( c_2Ereal__topology_2Econtinuous__on @ C @ A )
              & ( c_2Ereal__topology_2Econtinuous__on @ D @ B ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(7,plain,(
    ~ ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal > $o] :
        ( ( c_2Ereal__topology_2Ehomeomorphic @ A @ B )
        = ( ? [C: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,D: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal] :
              ( ! [E: tyop_2Erealax_2Ereal] :
                  ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ E @ A )
                 => ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ ( C @ E ) @ B )
                    & ( ( D @ ( C @ E ) )
                      = E ) ) )
              & ! [E: tyop_2Erealax_2Ereal] :
                  ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ E @ B )
                 => ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ ( D @ E ) @ A )
                    & ( ( C @ ( D @ E ) )
                      = E ) ) )
              & ( c_2Ereal__topology_2Econtinuous__on @ C @ A )
              & ( c_2Ereal__topology_2Econtinuous__on @ D @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(5,axiom,(
    ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal > $o,C: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,D: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal__topology_2Ehomeomorphism @ ( c_2Epair_2E_2C @ ( tyop_2Erealax_2Ereal > $o ) @ ( tyop_2Erealax_2Ereal > $o ) @ A @ B ) @ ( c_2Epair_2E_2C @ ( tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal ) @ ( tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal ) @ C @ D ) )
      = ( ! [E: tyop_2Erealax_2Ereal] :
            ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ E @ A )
           => ( ( D @ ( C @ E ) )
              = E ) )
        & ( ( c_2Epred__set_2EIMAGE @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ C @ A )
          = B )
        & ( c_2Ereal__topology_2Econtinuous__on @ C @ A )
        & ! [E: tyop_2Erealax_2Ereal] :
            ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ E @ B )
           => ( ( C @ ( D @ E ) )
              = E ) )
        & ( ( c_2Epred__set_2EIMAGE @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ D @ B )
          = A )
        & ( c_2Ereal__topology_2Econtinuous__on @ D @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2Ehomeomorphism)).

thf(16,plain,(
    ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal > $o,C: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,D: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal__topology_2Ehomeomorphism @ ( c_2Epair_2E_2C @ ( tyop_2Erealax_2Ereal > $o ) @ ( tyop_2Erealax_2Ereal > $o ) @ A @ B ) @ ( c_2Epair_2E_2C @ ( tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal ) @ ( tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal ) @ C @ D ) )
      = ( ! [E: tyop_2Erealax_2Ereal] :
            ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ E @ A )
           => ( ( D @ ( C @ E ) )
              = E ) )
        & ( ( c_2Epred__set_2EIMAGE @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ C @ A )
          = B )
        & ( c_2Ereal__topology_2Econtinuous__on @ C @ A )
        & ! [E: tyop_2Erealax_2Ereal] :
            ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ E @ B )
           => ( ( C @ ( D @ E ) )
              = E ) )
        & ( ( c_2Epred__set_2EIMAGE @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ D @ B )
          = A )
        & ( c_2Ereal__topology_2Econtinuous__on @ D @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(2423,plain,(
    $false ),
    inference(e,[status(thm)],[10,37,13,7,16])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.10/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.10/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.10/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.10/0.13  % CPULimit   : 300
% 0.10/0.13  % DateTime   : Wed Jul 31 14:53:45 EDT 2019
% 0.10/0.13  % CPUTime    : 
% 5.31/1.86  % [INFO] 	 Running in sequential loop mode. 
% 6.02/2.06  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 6.51/2.12  % [INFO] 	 iprover registered as external prover. 
% 6.51/2.12  % [INFO] 	 e registered as external prover. 
% 6.51/2.13  % [INFO] 	 cvc4 registered as external prover. 
% 6.51/2.13  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 6.51/2.19  % [INFO] 	 Found a conjecture and 56 axioms. Running axiom selection ... 
% 6.90/2.23  % [INFO] 	 Axiom selection finished. Selected 4 axioms (removed 52 axioms). 
% 6.90/2.26  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 72.48/16.26  % [INFO] 	 Killing All external provers ... 
% 72.48/16.26  % Time passed: 15991ms
% 72.48/16.26  % Effective reasoning time: 14397ms
% 72.48/16.26  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 72.48/16.26  % Axioms used in derivation (4): thm_2Epred__set_2EEXTENSION, thm_2Ereal__topology_2Ehomeomorphic, thm_2Epred__set_2EIN__IMAGE, thm_2Ereal__topology_2Ehomeomorphism
% 72.48/16.26  % No. of inferences in proof: 12
% 72.48/16.26  % No. of processed clauses: 40
% 72.48/16.26  % No. of generated clauses: 980
% 72.48/16.26  % No. of forward subsumed clauses: 0
% 72.48/16.26  % No. of backward subsumed clauses: 0
% 72.48/16.26  % No. of ground rewrite rules in store: 0
% 72.48/16.26  % No. of non-ground rewrite rules in store: 0
% 72.48/16.26  % No. of positive (non-rewrite) units in store: 14
% 72.48/16.26  % No. of negative (non-rewrite) units in store: 7
% 72.48/16.27  % No. of choice functions detected: 0
% 72.48/16.27  % No. of choice instantiations: 0
% 72.48/16.27  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 15991 ms resp. 14397 ms w/o parsing
% 72.59/16.31  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 72.59/16.31  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 72.59/16.31  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 72.59/16.31  thf(c_2Epair_2E_2C_type, type, c_2Epair_2E_2C: !>[TA: $tType,TB: $tType]: (TA > (TB > (tyop_2Epair_2Eprod @ TA @ TB)))).
% 72.59/16.31  thf(c_2Epred__set_2EIMAGE_type, type, c_2Epred__set_2EIMAGE: !>[TA: $tType,TB: $tType]: ((TA > TB) > ((TA > $o) > (TB > $o)))).
% 72.59/16.31  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 72.59/16.31  thf(c_2Ereal__topology_2Econtinuous__on_type, type, c_2Ereal__topology_2Econtinuous__on: ((tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal) > ((tyop_2Erealax_2Ereal > $o) > $o))).
% 72.59/16.31  thf(c_2Ereal__topology_2Ehomeomorphic_type, type, c_2Ereal__topology_2Ehomeomorphic: ((tyop_2Erealax_2Ereal > $o) > ((tyop_2Erealax_2Ereal > $o) > $o))).
% 72.59/16.31  thf(c_2Ereal__topology_2Ehomeomorphism_type, type, c_2Ereal__topology_2Ehomeomorphism: ((tyop_2Epair_2Eprod @ (tyop_2Erealax_2Ereal > $o) @ (tyop_2Erealax_2Ereal > $o)) > ((tyop_2Epair_2Eprod @ (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal) @ (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal)) > $o))).
% 72.59/16.31  thf(3,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((A = B) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ A) = (c_2Ebool_2EIN @ TA @ C @ B))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EEXTENSION)).
% 72.59/16.31  thf(10,plain,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: (((A) = (B)) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (A)) = (c_2Ebool_2EIN @ TA @ C @ (B)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 72.59/16.31  thf(6,axiom,((! [A:(tyop_2Erealax_2Ereal > $o),B:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ereal__topology_2Ehomeomorphic @ A @ B) = (? [C:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),D:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal)]: (c_2Ereal__topology_2Ehomeomorphism @ (c_2Epair_2E_2C @ (tyop_2Erealax_2Ereal > $o) @ (tyop_2Erealax_2Ereal > $o) @ A @ B) @ (c_2Epair_2E_2C @ (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal) @ (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal) @ C @ D)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2Ehomeomorphic)).
% 72.59/16.31  thf(37,plain,((! [A:(tyop_2Erealax_2Ereal > $o),B:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ereal__topology_2Ehomeomorphic @ (A) @ (B)) = (? [C:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),D:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal)]: (c_2Ereal__topology_2Ehomeomorphism @ (c_2Epair_2E_2C @ (tyop_2Erealax_2Ereal > $o) @ (tyop_2Erealax_2Ereal > $o) @ (A) @ (B)) @ (c_2Epair_2E_2C @ (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal) @ (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal) @ (C) @ (D))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 72.59/16.31  thf(4,axiom,((! [TA: $tType,TB: $tType]: (! [A:TB,B:(TA > $o),C:(TA > TB)]: ((c_2Ebool_2EIN @ TB @ A @ (c_2Epred__set_2EIMAGE @ TA @ TB @ C @ B)) = (? [D:TA]: ((A = (C @ D)) & (c_2Ebool_2EIN @ TA @ D @ B))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__IMAGE)).
% 72.59/16.31  thf(13,plain,((! [TA: $tType,TB: $tType]: (! [A:TB,B:(TA > $o),C:(TA > TB)]: ((c_2Ebool_2EIN @ TB @ A @ (c_2Epred__set_2EIMAGE @ TA @ TB @ C @ B)) = (? [D:TA]: ((A = (C @ D)) & (c_2Ebool_2EIN @ TA @ D @ (B)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 72.59/16.31  thf(1,conjecture,((! [A:(tyop_2Erealax_2Ereal > $o),B:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ereal__topology_2Ehomeomorphic @ A @ B) = (? [C:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),D:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal)]: (! [E:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ E @ A) => ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ (C @ E) @ B) & ((D @ (C @ E)) = E))) & ! [E:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ E @ B) => ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ (D @ E) @ A) & ((C @ (D @ E)) = E))) & (c_2Ereal__topology_2Econtinuous__on @ C @ A) & (c_2Ereal__topology_2Econtinuous__on @ D @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2EHOMEOMORPHIC__MINIMAL)).
% 72.59/16.31  thf(2,negated_conjecture,((~ (! [A:(tyop_2Erealax_2Ereal > $o),B:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ereal__topology_2Ehomeomorphic @ A @ B) = (? [C:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),D:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal)]: (! [E:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ E @ A) => ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ (C @ E) @ B) & ((D @ (C @ E)) = E))) & ! [E:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ E @ B) => ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ (D @ E) @ A) & ((C @ (D @ E)) = E))) & (c_2Ereal__topology_2Econtinuous__on @ C @ A) & (c_2Ereal__topology_2Econtinuous__on @ D @ B))))))),inference(neg_conjecture,[status(cth)],[1])).
% 72.59/16.31  thf(7,plain,((~ (! [A:(tyop_2Erealax_2Ereal > $o),B:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ereal__topology_2Ehomeomorphic @ (A) @ (B)) = (? [C:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),D:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal)]: (! [E:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ E @ (A)) => ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ (C @ E) @ (B)) & ((D @ (C @ E)) = E))) & ! [E:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ E @ (B)) => ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ (D @ E) @ (A)) & ((C @ (D @ E)) = E))) & (c_2Ereal__topology_2Econtinuous__on @ (C) @ (A)) & (c_2Ereal__topology_2Econtinuous__on @ (D) @ (B)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 72.59/16.31  thf(5,axiom,((! [A:(tyop_2Erealax_2Ereal > $o),B:(tyop_2Erealax_2Ereal > $o),C:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),D:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal)]: ((c_2Ereal__topology_2Ehomeomorphism @ (c_2Epair_2E_2C @ (tyop_2Erealax_2Ereal > $o) @ (tyop_2Erealax_2Ereal > $o) @ A @ B) @ (c_2Epair_2E_2C @ (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal) @ (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal) @ C @ D)) = (! [E:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ E @ A) => ((D @ (C @ E)) = E)) & ((c_2Epred__set_2EIMAGE @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ C @ A) = B) & (c_2Ereal__topology_2Econtinuous__on @ C @ A) & ! [E:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ E @ B) => ((C @ (D @ E)) = E)) & ((c_2Epred__set_2EIMAGE @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ D @ B) = A) & (c_2Ereal__topology_2Econtinuous__on @ D @ B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2Ehomeomorphism)).
% 72.59/16.31  thf(16,plain,((! [A:(tyop_2Erealax_2Ereal > $o),B:(tyop_2Erealax_2Ereal > $o),C:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),D:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal)]: ((c_2Ereal__topology_2Ehomeomorphism @ (c_2Epair_2E_2C @ (tyop_2Erealax_2Ereal > $o) @ (tyop_2Erealax_2Ereal > $o) @ (A) @ (B)) @ (c_2Epair_2E_2C @ (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal) @ (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal) @ (C) @ (D))) = (! [E:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ E @ (A)) => ((D @ (C @ E)) = E)) & ((c_2Epred__set_2EIMAGE @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ C @ A) = (B)) & (c_2Ereal__topology_2Econtinuous__on @ (C) @ (A)) & ! [E:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ E @ (B)) => ((C @ (D @ E)) = E)) & ((c_2Epred__set_2EIMAGE @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ D @ B) = (A)) & (c_2Ereal__topology_2Econtinuous__on @ (D) @ (B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 72.59/16.31  thf(2423,plain,($false),inference(e,[status(thm)],[10,37,13,7,16])).
% 72.59/16.31  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 72.59/16.31  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
