%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:45:21 EDT 2019

% Result     : Theorem 6.30s
% Output     : CNFRefutation 6.58s
% Verified   : 
% Statistics : Number of formulae       :   46 (  46 expanded)
%              Number of leaves         :   32 (  32 expanded)
%              Depth                    :    3
%              Number of atoms          :  320 ( 320 expanded)
%              Number of equality atoms :   33 (  33 expanded)
%              Maximal formula depth    :   15 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: 
      !>[TA: $tType,TB: $tType] :
        ( TA > TB > ( tyop_2Epair_2Eprod @ TA @ TB ) ) )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Enum_2E0_type,type,(
    c_2Enum_2E0: tyop_2Enum_2Enum )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $o )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Ereal__topology_2Eball_type,type,(
    c_2Ereal__topology_2Eball: ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal > $o )).

thf(c_2Ereal__topology_2Ecball_type,type,(
    c_2Ereal__topology_2Ecball: ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal > $o )).

thf(c_2Ereal__topology_2Ehomeomorphic_type,type,(
    c_2Ereal__topology_2Ehomeomorphic: ( tyop_2Erealax_2Ereal > $o ) > ( tyop_2Erealax_2Ereal > $o ) > $o )).

thf(c_2Erealax_2Ereal__lt_type,type,(
    c_2Erealax_2Ereal__lt: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > $o )).

thf(c_2Ereal_2Ereal__of__num_type,type,(
    c_2Ereal_2Ereal__of__num: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal )).

thf(c_2Ereal__topology_2Esphere_type,type,(
    c_2Ereal__topology_2Esphere: ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal > $o )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $o > $o )).

thf(9,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(42,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(4,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).

thf(24,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(1,conjecture,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,D: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ C )
        & ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ D ) )
     => ( c_2Ereal__topology_2Ehomeomorphic @ ( c_2Ereal__topology_2Eball @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C ) ) @ ( c_2Ereal__topology_2Eball @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ B @ D ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2EHOMEOMORPHIC__BALLS)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,D: tyop_2Erealax_2Ereal] :
        ( ( ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ C )
          & ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ D ) )
       => ( c_2Ereal__topology_2Ehomeomorphic @ ( c_2Ereal__topology_2Eball @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C ) ) @ ( c_2Ereal__topology_2Eball @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ B @ D ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(14,plain,(
    ~ ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,D: tyop_2Erealax_2Ereal] :
        ( ( ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ C )
          & ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ D ) )
       => ( c_2Ereal__topology_2Ehomeomorphic @ ( c_2Ereal__topology_2Eball @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C ) ) @ ( c_2Ereal__topology_2Eball @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ B @ D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(5,axiom,(
    ! [TA: $tType,A: $o] :
      ( ( ! [B: TA] : A )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EFORALL__SIMP)).

thf(33,plain,(
    ! [TA: $tType] : $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(10,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(45,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(12,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(59,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(11,axiom,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(54,plain,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(8,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(39,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(6,axiom,(
    c_2Ebool_2ET ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(35,plain,(
    c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(3,axiom,
    ( ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,D: tyop_2Erealax_2Ereal] :
        ( ( ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ C )
          & ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ D ) )
       => ( c_2Ereal__topology_2Ehomeomorphic @ ( c_2Ereal__topology_2Eball @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C ) ) @ ( c_2Ereal__topology_2Eball @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ B @ D ) ) ) )
    & ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,D: tyop_2Erealax_2Ereal] :
        ( ( ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ C )
          & ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ D ) )
       => ( c_2Ereal__topology_2Ehomeomorphic @ ( c_2Ereal__topology_2Ecball @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C ) ) @ ( c_2Ereal__topology_2Ecball @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ B @ D ) ) ) )
    & ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,D: tyop_2Erealax_2Ereal] :
        ( ( ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ C )
          & ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ D ) )
       => ( c_2Ereal__topology_2Ehomeomorphic @ ( c_2Ereal__topology_2Esphere @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C ) ) @ ( c_2Ereal__topology_2Esphere @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ B @ D ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2EHOMEOMORPHIC__BALLS__CBALL__SPHERE)).

thf(18,plain,
    ( ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,D: tyop_2Erealax_2Ereal] :
        ( ( ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ C )
          & ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ D ) )
       => ( c_2Ereal__topology_2Ehomeomorphic @ ( c_2Ereal__topology_2Eball @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C ) ) @ ( c_2Ereal__topology_2Eball @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ B @ D ) ) ) )
    & ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,D: tyop_2Erealax_2Ereal] :
        ( ( ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ C )
          & ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ D ) )
       => ( c_2Ereal__topology_2Ehomeomorphic @ ( c_2Ereal__topology_2Ecball @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C ) ) @ ( c_2Ereal__topology_2Ecball @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ B @ D ) ) ) )
    & ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,D: tyop_2Erealax_2Ereal] :
        ( ( ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ C )
          & ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ D ) )
       => ( c_2Ereal__topology_2Ehomeomorphic @ ( c_2Ereal__topology_2Esphere @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C ) ) @ ( c_2Ereal__topology_2Esphere @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ B @ D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(7,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(36,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(13,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(68,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(78,plain,(
    $false ),
    inference(cvc4,[status(thm)],[42,24,14,33,45,59,54,39,35,18,36,68])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.00/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.13/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.13/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.13/0.13  % CPULimit   : 300
% 0.13/0.13  % DateTime   : Wed Jul 31 15:00:56 EDT 2019
% 0.13/0.13  % CPUTime    : 
% 2.91/1.29  % [INFO] 	 Running in sequential loop mode. 
% 3.92/1.48  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.18/1.54  % [INFO] 	 iprover registered as external prover. 
% 4.18/1.54  % [INFO] 	 e registered as external prover. 
% 4.18/1.54  % [INFO] 	 cvc4 registered as external prover. 
% 4.18/1.55  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.18/1.61  % [INFO] 	 Found a conjecture and 11 axioms. Running axiom selection ... 
% 4.51/1.64  % [INFO] 	 Axiom selection finished. Selected 11 axioms (removed 0 axioms). 
% 4.51/1.68  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.30/2.29  % [INFO] 	 Killing All external provers ... 
% 6.30/2.29  % Time passed: 2021ms
% 6.30/2.29  % Effective reasoning time: 989ms
% 6.30/2.29  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.30/2.29  % Axioms used in derivation (11): logicdef_2E_3D, thm_2Ebool_2EEQ__CLAUSES, logicdef_2E_5C_2F, quantdef_2E_21, thm_2Ebool_2ETRUTH, logicdef_2E_3D_3D_3E, thm_2Ereal__topology_2EHOMEOMORPHIC__BALLS__CBALL__SPHERE, thm_2Ebool_2EFORALL__SIMP, logicdef_2E_2F_5C, logicdef_2E_7E, quantdef_2E_3F
% 6.30/2.29  % No. of inferences in proof: 26
% 6.30/2.29  % No. of processed clauses: 2
% 6.30/2.29  % No. of generated clauses: 0
% 6.30/2.29  % No. of forward subsumed clauses: 1
% 6.30/2.29  % No. of backward subsumed clauses: 0
% 6.30/2.29  % No. of ground rewrite rules in store: 2
% 6.30/2.29  % No. of non-ground rewrite rules in store: 0
% 6.30/2.29  % No. of positive (non-rewrite) units in store: 0
% 6.30/2.29  % No. of negative (non-rewrite) units in store: 0
% 6.30/2.29  % No. of choice functions detected: 0
% 6.30/2.29  % No. of choice instantiations: 0
% 6.30/2.29  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2021 ms resp. 989 ms w/o parsing
% 6.58/2.32  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.58/2.32  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.58/2.32  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 6.58/2.32  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 6.58/2.32  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 6.58/2.32  thf(c_2Epair_2E_2C_type, type, c_2Epair_2E_2C: !>[TA: $tType,TB: $tType]: (TA > (TB > (tyop_2Epair_2Eprod @ TA @ TB)))).
% 6.58/2.32  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 6.58/2.32  thf(c_2Enum_2E0_type, type, c_2Enum_2E0: tyop_2Enum_2Enum).
% 6.58/2.32  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 6.58/2.32  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 6.58/2.32  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 6.58/2.32  thf(c_2Ebool_2EF_type, type, c_2Ebool_2EF: $o).
% 6.58/2.32  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 6.58/2.32  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 6.58/2.32  thf(c_2Ereal__topology_2Eball_type, type, c_2Ereal__topology_2Eball: ((tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) > (tyop_2Erealax_2Ereal > $o))).
% 6.58/2.32  thf(c_2Ereal__topology_2Ecball_type, type, c_2Ereal__topology_2Ecball: ((tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) > (tyop_2Erealax_2Ereal > $o))).
% 6.58/2.32  thf(c_2Ereal__topology_2Ehomeomorphic_type, type, c_2Ereal__topology_2Ehomeomorphic: ((tyop_2Erealax_2Ereal > $o) > ((tyop_2Erealax_2Ereal > $o) > $o))).
% 6.58/2.32  thf(c_2Erealax_2Ereal__lt_type, type, c_2Erealax_2Ereal__lt: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > $o))).
% 6.58/2.32  thf(c_2Ereal_2Ereal__of__num_type, type, c_2Ereal_2Ereal__of__num: (tyop_2Enum_2Enum > tyop_2Erealax_2Ereal)).
% 6.58/2.32  thf(c_2Ereal__topology_2Esphere_type, type, c_2Ereal__topology_2Esphere: ((tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) > (tyop_2Erealax_2Ereal > $o))).
% 6.58/2.32  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 6.58/2.32  thf(9,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 6.58/2.32  thf(42,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 6.58/2.32  thf(4,axiom,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).
% 6.58/2.32  thf(24,plain,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 6.58/2.32  thf(1,conjecture,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal,D:tyop_2Erealax_2Ereal]: (((c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ C) & (c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ D)) => (c_2Ereal__topology_2Ehomeomorphic @ (c_2Ereal__topology_2Eball @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C)) @ (c_2Ereal__topology_2Eball @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ B @ D)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2EHOMEOMORPHIC__BALLS)).
% 6.58/2.32  thf(2,negated_conjecture,((~ (! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal,D:tyop_2Erealax_2Ereal]: (((c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ C) & (c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ D)) => (c_2Ereal__topology_2Ehomeomorphic @ (c_2Ereal__topology_2Eball @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C)) @ (c_2Ereal__topology_2Eball @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ B @ D))))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.58/2.32  thf(14,plain,((~ (! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal,D:tyop_2Erealax_2Ereal]: (((c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ C) & (c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ D)) => (c_2Ereal__topology_2Ehomeomorphic @ (c_2Ereal__topology_2Eball @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C)) @ (c_2Ereal__topology_2Eball @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ B @ D))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.58/2.32  thf(5,axiom,((! [TA: $tType]: (! [A:$o]: ((! [B:TA]: (A)) = A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EFORALL__SIMP)).
% 6.58/2.32  thf(33,plain,((! [TA: $tType]: ($true))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 6.58/2.32  thf(10,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 6.58/2.32  thf(45,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 6.58/2.32  thf(12,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 6.58/2.32  thf(59,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 6.58/2.32  thf(11,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 6.58/2.32  thf(54,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 6.58/2.32  thf(8,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).
% 6.58/2.32  thf(39,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 6.58/2.32  thf(6,axiom,(c_2Ebool_2ET),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).
% 6.58/2.32  thf(35,plain,(c_2Ebool_2ET),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 6.58/2.32  thf(3,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal,D:tyop_2Erealax_2Ereal]: (((c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ C) & (c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ D)) => (c_2Ereal__topology_2Ehomeomorphic @ (c_2Ereal__topology_2Eball @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C)) @ (c_2Ereal__topology_2Eball @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ B @ D)))) & ! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal,D:tyop_2Erealax_2Ereal]: (((c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ C) & (c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ D)) => (c_2Ereal__topology_2Ehomeomorphic @ (c_2Ereal__topology_2Ecball @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C)) @ (c_2Ereal__topology_2Ecball @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ B @ D)))) & ! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal,D:tyop_2Erealax_2Ereal]: (((c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ C) & (c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ D)) => (c_2Ereal__topology_2Ehomeomorphic @ (c_2Ereal__topology_2Esphere @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C)) @ (c_2Ereal__topology_2Esphere @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ B @ D)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2EHOMEOMORPHIC__BALLS__CBALL__SPHERE)).
% 6.58/2.32  thf(18,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal,D:tyop_2Erealax_2Ereal]: (((c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ C) & (c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ D)) => (c_2Ereal__topology_2Ehomeomorphic @ (c_2Ereal__topology_2Eball @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C)) @ (c_2Ereal__topology_2Eball @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ B @ D)))) & ! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal,D:tyop_2Erealax_2Ereal]: (((c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ C) & (c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ D)) => (c_2Ereal__topology_2Ehomeomorphic @ (c_2Ereal__topology_2Ecball @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C)) @ (c_2Ereal__topology_2Ecball @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ B @ D)))) & ! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal,D:tyop_2Erealax_2Ereal]: (((c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ C) & (c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ D)) => (c_2Ereal__topology_2Ehomeomorphic @ (c_2Ereal__topology_2Esphere @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C)) @ (c_2Ereal__topology_2Esphere @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ B @ D)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.58/2.32  thf(7,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 6.58/2.32  thf(36,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 6.58/2.32  thf(13,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 6.58/2.32  thf(68,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 6.58/2.32  thf(78,plain,($false),inference(cvc4,[status(thm)],[42,24,14,33,45,59,54,39,35,18,36,68])).
% 6.58/2.32  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.58/2.32  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
