%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:45:22 EDT 2019

% Result     : Theorem 5.77s
% Output     : CNFRefutation 5.77s
% Verified   : 
% Statistics : Number of formulae       :   19 (  19 expanded)
%              Number of leaves         :   12 (  12 expanded)
%              Depth                    :    3
%              Number of atoms          :   79 (  79 expanded)
%              Number of equality atoms :    5 (   5 expanded)
%              Maximal formula depth    :    9 (   5 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Epred__set_2EEMPTY_type,type,(
    c_2Epred__set_2EEMPTY: 
      !>[TA: $tType] :
        ( TA > $o ) )).

thf(c_2Epred__set_2EFINITE_type,type,(
    c_2Epred__set_2EFINITE: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ereal__topology_2EOpen_type,type,(
    c_2Ereal__topology_2EOpen: ( tyop_2Erealax_2Ereal > $o ) > $o )).

thf(c_2Epred__set_2ESUBSET_type,type,(
    c_2Epred__set_2ESUBSET: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > $o ) > $o ) )).

thf(c_2Ereal__topology_2Einterior_type,type,(
    c_2Ereal__topology_2Einterior: ( tyop_2Erealax_2Ereal > $o ) > tyop_2Erealax_2Ereal > $o )).

thf(6,axiom,(
    ! [A: tyop_2Erealax_2Ereal > $o] :
      ( ( ( c_2Epred__set_2EFINITE @ tyop_2Erealax_2Ereal @ A )
        & ( A
         != ( c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal ) ) )
     => ~ ( c_2Ereal__topology_2EOpen @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2EFINITE__IMP__NOT__OPEN)).

thf(21,plain,(
    ! [A: tyop_2Erealax_2Ereal > $o] :
      ( ( ( c_2Epred__set_2EFINITE @ tyop_2Erealax_2Ereal @ A )
        & ( A
         != ( c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal ) ) )
     => ~ ( c_2Ereal__topology_2EOpen @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(1,conjecture,(
    ! [A: tyop_2Erealax_2Ereal > $o] :
      ( ( c_2Epred__set_2EFINITE @ tyop_2Erealax_2Ereal @ A )
     => ( ( c_2Ereal__topology_2Einterior @ A )
        = ( c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2EEMPTY__INTERIOR__FINITE)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Erealax_2Ereal > $o] :
        ( ( c_2Epred__set_2EFINITE @ tyop_2Erealax_2Ereal @ A )
       => ( ( c_2Ereal__topology_2Einterior @ A )
          = ( c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(7,plain,(
    ~ ! [A: tyop_2Erealax_2Ereal > $o] :
        ( ( c_2Epred__set_2EFINITE @ tyop_2Erealax_2Ereal @ A )
       => ( ( c_2Ereal__topology_2Einterior @ A )
          = ( c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    ! [A: tyop_2Erealax_2Ereal > $o] :
      ( c_2Ereal__topology_2EOpen @ ( c_2Ereal__topology_2Einterior @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2EOPEN__INTERIOR)).

thf(11,plain,(
    ! [A: tyop_2Erealax_2Ereal > $o] :
      ( c_2Ereal__topology_2EOpen @ ( c_2Ereal__topology_2Einterior @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(5,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( ( c_2Epred__set_2EFINITE @ TA @ A )
        & ( c_2Epred__set_2ESUBSET @ TA @ B @ A ) )
     => ( c_2Epred__set_2EFINITE @ TA @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ESUBSET__FINITE__I)).

thf(19,plain,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( ( c_2Epred__set_2EFINITE @ TA @ A )
        & ( c_2Epred__set_2ESUBSET @ TA @ B @ A ) )
     => ( c_2Epred__set_2EFINITE @ TA @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(4,axiom,(
    ! [A: tyop_2Erealax_2Ereal > $o] :
      ( c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ ( c_2Ereal__topology_2Einterior @ A ) @ A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2EINTERIOR__SUBSET)).

thf(15,plain,(
    ! [A: tyop_2Erealax_2Ereal > $o] :
      ( c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ ( c_2Ereal__topology_2Einterior @ A ) @ A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(30,plain,(
    $false ),
    inference(iprover,[status(thm)],[21,7,11,19,15])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.11/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.11/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.11/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.11/0.13  % CPULimit   : 300
% 0.11/0.13  % DateTime   : Wed Jul 31 15:08:42 EDT 2019
% 0.11/0.13  % CPUTime    : 
% 2.70/1.28  % [INFO] 	 Running in sequential loop mode. 
% 3.35/1.45  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.85/1.51  % [INFO] 	 iprover registered as external prover. 
% 3.85/1.52  % [INFO] 	 e registered as external prover. 
% 3.85/1.52  % [INFO] 	 cvc4 registered as external prover. 
% 3.85/1.52  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.97/1.57  % [INFO] 	 Found a conjecture and 16 axioms. Running axiom selection ... 
% 3.97/1.61  % [INFO] 	 Axiom selection finished. Selected 4 axioms (removed 12 axioms). 
% 4.38/1.63  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 5.70/2.08  % [INFO] 	 Killing All external provers ... 
% 5.77/2.09  % Time passed: 1819ms
% 5.77/2.09  % Effective reasoning time: 801ms
% 5.77/2.09  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 5.77/2.09  % Axioms used in derivation (4): thm_2Ereal__topology_2EFINITE__IMP__NOT__OPEN, thm_2Ereal__topology_2EOPEN__INTERIOR, thm_2Epred__set_2ESUBSET__FINITE__I, thm_2Ereal__topology_2EINTERIOR__SUBSET
% 5.77/2.09  % No. of inferences in proof: 12
% 5.77/2.09  % No. of processed clauses: 1
% 5.77/2.09  % No. of generated clauses: 0
% 5.77/2.09  % No. of forward subsumed clauses: 0
% 5.77/2.09  % No. of backward subsumed clauses: 0
% 5.77/2.09  % No. of ground rewrite rules in store: 1
% 5.77/2.09  % No. of non-ground rewrite rules in store: 0
% 5.77/2.09  % No. of positive (non-rewrite) units in store: 0
% 5.77/2.09  % No. of negative (non-rewrite) units in store: 0
% 5.77/2.09  % No. of choice functions detected: 0
% 5.77/2.09  % No. of choice instantiations: 0
% 5.77/2.09  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 1819 ms resp. 801 ms w/o parsing
% 5.77/2.12  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 5.77/2.12  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 5.77/2.12  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 5.77/2.12  thf(c_2Epred__set_2EEMPTY_type, type, c_2Epred__set_2EEMPTY: !>[TA: $tType]: (TA > $o)).
% 5.77/2.12  thf(c_2Epred__set_2EFINITE_type, type, c_2Epred__set_2EFINITE: !>[TA: $tType]: ((TA > $o) > $o)).
% 5.77/2.12  thf(c_2Ereal__topology_2EOpen_type, type, c_2Ereal__topology_2EOpen: ((tyop_2Erealax_2Ereal > $o) > $o)).
% 5.77/2.12  thf(c_2Epred__set_2ESUBSET_type, type, c_2Epred__set_2ESUBSET: !>[TA: $tType]: ((TA > $o) > ((TA > $o) > $o))).
% 5.77/2.12  thf(c_2Ereal__topology_2Einterior_type, type, c_2Ereal__topology_2Einterior: ((tyop_2Erealax_2Ereal > $o) > (tyop_2Erealax_2Ereal > $o))).
% 5.77/2.12  thf(6,axiom,((! [A:(tyop_2Erealax_2Ereal > $o)]: (((c_2Epred__set_2EFINITE @ tyop_2Erealax_2Ereal @ A) & ~ (A = (c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal))) => (~ (c_2Ereal__topology_2EOpen @ A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2EFINITE__IMP__NOT__OPEN)).
% 5.77/2.12  thf(21,plain,((! [A:(tyop_2Erealax_2Ereal > $o)]: (((c_2Epred__set_2EFINITE @ tyop_2Erealax_2Ereal @ (A)) & ~ ((A) = (c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal))) => (~ (c_2Ereal__topology_2EOpen @ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 5.77/2.12  thf(1,conjecture,((! [A:(tyop_2Erealax_2Ereal > $o)]: ((c_2Epred__set_2EFINITE @ tyop_2Erealax_2Ereal @ A) => ((c_2Ereal__topology_2Einterior @ A) = (c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2EEMPTY__INTERIOR__FINITE)).
% 5.77/2.12  thf(2,negated_conjecture,((~ (! [A:(tyop_2Erealax_2Ereal > $o)]: ((c_2Epred__set_2EFINITE @ tyop_2Erealax_2Ereal @ A) => ((c_2Ereal__topology_2Einterior @ A) = (c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal)))))),inference(neg_conjecture,[status(cth)],[1])).
% 5.77/2.12  thf(7,plain,((~ (! [A:(tyop_2Erealax_2Ereal > $o)]: ((c_2Epred__set_2EFINITE @ tyop_2Erealax_2Ereal @ (A)) => ((c_2Ereal__topology_2Einterior @ A) = (c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 5.77/2.12  thf(3,axiom,((! [A:(tyop_2Erealax_2Ereal > $o)]: (c_2Ereal__topology_2EOpen @ (c_2Ereal__topology_2Einterior @ A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2EOPEN__INTERIOR)).
% 5.77/2.12  thf(11,plain,((! [A:(tyop_2Erealax_2Ereal > $o)]: (c_2Ereal__topology_2EOpen @ (c_2Ereal__topology_2Einterior @ A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 5.77/2.12  thf(5,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: (((c_2Epred__set_2EFINITE @ TA @ A) & (c_2Epred__set_2ESUBSET @ TA @ B @ A)) => (c_2Epred__set_2EFINITE @ TA @ B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ESUBSET__FINITE__I)).
% 5.77/2.12  thf(19,plain,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: (((c_2Epred__set_2EFINITE @ TA @ (A)) & (c_2Epred__set_2ESUBSET @ TA @ (B) @ (A))) => (c_2Epred__set_2EFINITE @ TA @ (B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 5.77/2.12  thf(4,axiom,((! [A:(tyop_2Erealax_2Ereal > $o)]: (c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ (c_2Ereal__topology_2Einterior @ A) @ A))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2EINTERIOR__SUBSET)).
% 5.77/2.12  thf(15,plain,((! [A:(tyop_2Erealax_2Ereal > $o)]: (c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ (c_2Ereal__topology_2Einterior @ A) @ (A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 5.77/2.12  thf(30,plain,($false),inference(iprover,[status(thm)],[21,7,11,19,15])).
% 5.77/2.12  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 5.77/2.12  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
