%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:45:31 EDT 2019

% Result     : Theorem 26.48s
% Output     : CNFRefutation 26.48s
% Verified   : 
% Statistics : Number of formulae       :   35 (  35 expanded)
%              Number of leaves         :   23 (  23 expanded)
%              Depth                    :    3
%              Number of atoms          :  304 ( 304 expanded)
%              Number of equality atoms :   29 (  29 expanded)
%              Maximal formula depth    :   20 (   8 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: 
      !>[TA: $tType,TB: $tType] :
        ( TA > TB > ( tyop_2Epair_2Eprod @ TA @ TB ) ) )).

thf(c_2Enum_2E0_type,type,(
    c_2Enum_2E0: tyop_2Enum_2Enum )).

thf(c_2Epred__set_2EDISJOINT_type,type,(
    c_2Epred__set_2EDISJOINT: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > $o ) > $o ) )).

thf(c_2Ereal__topology_2EDist_type,type,(
    c_2Ereal__topology_2EDist: ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal )).

thf(c_2Epred__set_2EEMPTY_type,type,(
    c_2Epred__set_2EEMPTY: 
      !>[TA: $tType] :
        ( TA > $o ) )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Epred__set_2EINTER_type,type,(
    c_2Epred__set_2EINTER: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > $o ) > TA > $o ) )).

thf(c_2Ereal_2Ereal__lte_type,type,(
    c_2Ereal_2Ereal__lte: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > $o )).

thf(c_2Ereal_2Ereal__of__num_type,type,(
    c_2Ereal_2Ereal__of__num: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal )).

thf(c_2Ereal__topology_2Esetdist_type,type,(
    c_2Ereal__topology_2Esetdist: ( tyop_2Epair_2Eprod @ ( tyop_2Erealax_2Ereal > $o ) @ ( tyop_2Erealax_2Ereal > $o ) ) > tyop_2Erealax_2Ereal )).

thf(6,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA > $o,C: TA] :
      ( ( c_2Ebool_2EIN @ TA @ C @ ( c_2Epred__set_2EINTER @ TA @ A @ B ) )
      = ( ( c_2Ebool_2EIN @ TA @ C @ A )
        & ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__INTER)).

thf(24,plain,(
    ! [TA: $tType,A: TA > $o,B: TA > $o,C: TA] :
      ( ( c_2Ebool_2EIN @ TA @ C @ ( c_2Epred__set_2EINTER @ TA @ A @ B ) )
      = ( ( c_2Ebool_2EIN @ TA @ C @ A )
        & ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(5,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( A = B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
            = ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EEXTENSION)).

thf(21,plain,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( A = B )
      = ( ! [C: TA] :
            ( ( c_2Ebool_2EIN @ TA @ C @ A )
            = ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(11,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ A ) )
      = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2EDIST__REFL)).

thf(105,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ A ) )
      = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(7,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( c_2Epred__set_2EDISJOINT @ TA @ A @ B )
      = ( ( c_2Epred__set_2EINTER @ TA @ A @ B )
        = ( c_2Epred__set_2EEMPTY @ TA ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EDISJOINT__DEF)).

thf(27,plain,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( ( c_2Epred__set_2EDISJOINT @ TA @ A @ B )
      = ( ( c_2Epred__set_2EINTER @ TA @ A @ B )
        = ( c_2Epred__set_2EEMPTY @ TA ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(1,conjecture,(
    ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal > $o] :
      ( ~ ( c_2Epred__set_2EDISJOINT @ tyop_2Erealax_2Ereal @ A @ B )
     => ( ( c_2Ereal__topology_2Esetdist @ ( c_2Epair_2E_2C @ ( tyop_2Erealax_2Ereal > $o ) @ ( tyop_2Erealax_2Ereal > $o ) @ A @ B ) )
        = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ESETDIST__ZERO)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal > $o] :
        ( ~ ( c_2Epred__set_2EDISJOINT @ tyop_2Erealax_2Ereal @ A @ B )
       => ( ( c_2Ereal__topology_2Esetdist @ ( c_2Epair_2E_2C @ ( tyop_2Erealax_2Ereal > $o ) @ ( tyop_2Erealax_2Ereal > $o ) @ A @ B ) )
          = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(12,plain,(
    ~ ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal > $o] :
        ( ~ ( c_2Epred__set_2EDISJOINT @ tyop_2Erealax_2Ereal @ A @ B )
       => ( ( c_2Ereal__topology_2Esetdist @ ( c_2Epair_2E_2C @ ( tyop_2Erealax_2Ereal > $o ) @ ( tyop_2Erealax_2Ereal > $o ) @ A @ B ) )
          = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(10,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2EDIST__POS__LE)).

thf(103,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(3,axiom,(
    ! [TA: $tType] :
      ( ( c_2Ebool_2EIN @ TA )
      = ( ^ [A: TA,B: TA > $o] :
            ( B @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EIN__DEF)).

thf(16,plain,(
    ! [TA: $tType] :
      ( ( c_2Ebool_2EIN @ TA )
      = ( ^ [A: TA,B: TA > $o] :
            ( B @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(8,axiom,(
    ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal > $o,C: tyop_2Erealax_2Ereal,D: tyop_2Erealax_2Ereal,E: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ A )
        & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ D @ B )
        & ( ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ C @ D ) )
          = E )
        & ! [F: tyop_2Erealax_2Ereal,G: tyop_2Erealax_2Ereal] :
            ( ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ F @ A )
              & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ G @ B ) )
           => ( c_2Ereal_2Ereal__lte @ ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ C @ D ) ) @ ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ F @ G ) ) ) ) )
     => ( ( c_2Ereal__topology_2Esetdist @ ( c_2Epair_2E_2C @ ( tyop_2Erealax_2Ereal > $o ) @ ( tyop_2Erealax_2Ereal > $o ) @ A @ B ) )
        = E ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ESETDIST__UNIQUE)).

thf(30,plain,(
    ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal > $o,C: tyop_2Erealax_2Ereal,D: tyop_2Erealax_2Ereal,E: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ A )
        & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ D @ B )
        & ( ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ C @ D ) )
          = E )
        & ! [F: tyop_2Erealax_2Ereal,G: tyop_2Erealax_2Ereal] :
            ( ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ F @ A )
              & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ G @ B ) )
           => ( c_2Ereal_2Ereal__lte @ ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ C @ D ) ) @ ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ F @ G ) ) ) ) )
     => ( ( c_2Ereal__topology_2Esetdist @ ( c_2Epair_2E_2C @ ( tyop_2Erealax_2Ereal > $o ) @ ( tyop_2Erealax_2Ereal > $o ) @ A @ B ) )
        = E ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(4,axiom,(
    ! [TA: $tType,A: TA] :
      ~ ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EEMPTY @ TA ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2ENOT__IN__EMPTY)).

thf(19,plain,(
    ! [TA: $tType,A: TA] :
      ~ ( c_2Ebool_2EIN @ TA @ A @ ( c_2Epred__set_2EEMPTY @ TA ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(9,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) )
        = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2EDIST__EQ__0)).

thf(100,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) )
        = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(626,plain,(
    $false ),
    inference(e,[status(thm)],[24,21,105,27,12,103,16,30,19,100])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.00/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.11/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.11/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.11/0.13  % CPULimit   : 300
% 0.11/0.13  % DateTime   : Wed Jul 31 15:39:30 EDT 2019
% 0.11/0.13  % CPUTime    : 
% 4.78/1.75  % [INFO] 	 Running in sequential loop mode. 
% 5.66/1.93  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 6.02/1.99  % [INFO] 	 iprover registered as external prover. 
% 6.02/1.99  % [INFO] 	 e registered as external prover. 
% 6.02/1.99  % [INFO] 	 cvc4 registered as external prover. 
% 6.02/2.00  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 6.02/2.05  % [INFO] 	 Found a conjecture and 50 axioms. Running axiom selection ... 
% 6.50/2.10  % [INFO] 	 Axiom selection finished. Selected 9 axioms (removed 41 axioms). 
% 6.62/2.13  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 26.48/5.36  % [INFO] 	 Killing All external provers ... 
% 26.48/5.36  % Time passed: 5093ms
% 26.48/5.36  % Effective reasoning time: 3605ms
% 26.48/5.36  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 26.48/5.36  % Axioms used in derivation (9): thm_2Ebool_2EIN__DEF, thm_2Ereal__topology_2EDIST__EQ__0, thm_2Epred__set_2EDISJOINT__DEF, thm_2Epred__set_2ENOT__IN__EMPTY, thm_2Epred__set_2EEXTENSION, thm_2Ereal__topology_2EDIST__REFL, thm_2Epred__set_2EIN__INTER, thm_2Ereal__topology_2EDIST__POS__LE, thm_2Ereal__topology_2ESETDIST__UNIQUE
% 26.48/5.36  % No. of inferences in proof: 22
% 26.48/5.36  % No. of processed clauses: 20
% 26.48/5.36  % No. of generated clauses: 160
% 26.48/5.36  % No. of forward subsumed clauses: 6
% 26.48/5.36  % No. of backward subsumed clauses: 2
% 26.48/5.36  % No. of ground rewrite rules in store: 3
% 26.48/5.36  % No. of non-ground rewrite rules in store: 5
% 26.48/5.36  % No. of positive (non-rewrite) units in store: 8
% 26.48/5.36  % No. of negative (non-rewrite) units in store: 2
% 26.48/5.36  % No. of choice functions detected: 0
% 26.48/5.36  % No. of choice instantiations: 0
% 26.48/5.36  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 5093 ms resp. 3605 ms w/o parsing
% 26.48/5.39  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 26.48/5.39  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 26.48/5.39  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 26.48/5.39  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 26.48/5.39  thf(c_2Epair_2E_2C_type, type, c_2Epair_2E_2C: !>[TA: $tType,TB: $tType]: (TA > (TB > (tyop_2Epair_2Eprod @ TA @ TB)))).
% 26.48/5.39  thf(c_2Enum_2E0_type, type, c_2Enum_2E0: tyop_2Enum_2Enum).
% 26.48/5.39  thf(c_2Epred__set_2EDISJOINT_type, type, c_2Epred__set_2EDISJOINT: !>[TA: $tType]: ((TA > $o) > ((TA > $o) > $o))).
% 26.48/5.39  thf(c_2Ereal__topology_2EDist_type, type, c_2Ereal__topology_2EDist: ((tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) > tyop_2Erealax_2Ereal)).
% 26.48/5.39  thf(c_2Epred__set_2EEMPTY_type, type, c_2Epred__set_2EEMPTY: !>[TA: $tType]: (TA > $o)).
% 26.48/5.39  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 26.48/5.39  thf(c_2Epred__set_2EINTER_type, type, c_2Epred__set_2EINTER: !>[TA: $tType]: ((TA > $o) > ((TA > $o) > (TA > $o)))).
% 26.48/5.39  thf(c_2Ereal_2Ereal__lte_type, type, c_2Ereal_2Ereal__lte: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > $o))).
% 26.48/5.39  thf(c_2Ereal_2Ereal__of__num_type, type, c_2Ereal_2Ereal__of__num: (tyop_2Enum_2Enum > tyop_2Erealax_2Ereal)).
% 26.48/5.39  thf(c_2Ereal__topology_2Esetdist_type, type, c_2Ereal__topology_2Esetdist: ((tyop_2Epair_2Eprod @ (tyop_2Erealax_2Ereal > $o) @ (tyop_2Erealax_2Ereal > $o)) > tyop_2Erealax_2Ereal)).
% 26.48/5.39  thf(6,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o),C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (c_2Epred__set_2EINTER @ TA @ A @ B)) = ((c_2Ebool_2EIN @ TA @ C @ A) & (c_2Ebool_2EIN @ TA @ C @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__INTER)).
% 26.48/5.39  thf(24,plain,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o),C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (c_2Epred__set_2EINTER @ TA @ A @ B)) = ((c_2Ebool_2EIN @ TA @ C @ (A)) & (c_2Ebool_2EIN @ TA @ C @ (B))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 26.48/5.39  thf(5,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((A = B) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ A) = (c_2Ebool_2EIN @ TA @ C @ B))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EEXTENSION)).
% 26.48/5.39  thf(21,plain,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: (((A) = (B)) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (A)) = (c_2Ebool_2EIN @ TA @ C @ (B)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 26.48/5.39  thf(11,axiom,((! [A:tyop_2Erealax_2Ereal]: ((c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ A)) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2EDIST__REFL)).
% 26.48/5.39  thf(105,plain,((! [A:tyop_2Erealax_2Ereal]: ((c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ A)) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 26.48/5.39  thf(7,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((c_2Epred__set_2EDISJOINT @ TA @ A @ B) = ((c_2Epred__set_2EINTER @ TA @ A @ B) = (c_2Epred__set_2EEMPTY @ TA)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EDISJOINT__DEF)).
% 26.48/5.39  thf(27,plain,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((c_2Epred__set_2EDISJOINT @ TA @ (A) @ (B)) = ((c_2Epred__set_2EINTER @ TA @ A @ B) = (c_2Epred__set_2EEMPTY @ TA)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 26.48/5.39  thf(1,conjecture,((! [A:(tyop_2Erealax_2Ereal > $o),B:(tyop_2Erealax_2Ereal > $o)]: ((~ (c_2Epred__set_2EDISJOINT @ tyop_2Erealax_2Ereal @ A @ B)) => ((c_2Ereal__topology_2Esetdist @ (c_2Epair_2E_2C @ (tyop_2Erealax_2Ereal > $o) @ (tyop_2Erealax_2Ereal > $o) @ A @ B)) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ESETDIST__ZERO)).
% 26.48/5.39  thf(2,negated_conjecture,((~ (! [A:(tyop_2Erealax_2Ereal > $o),B:(tyop_2Erealax_2Ereal > $o)]: ((~ (c_2Epred__set_2EDISJOINT @ tyop_2Erealax_2Ereal @ A @ B)) => ((c_2Ereal__topology_2Esetdist @ (c_2Epair_2E_2C @ (tyop_2Erealax_2Ereal > $o) @ (tyop_2Erealax_2Ereal > $o) @ A @ B)) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)))))),inference(neg_conjecture,[status(cth)],[1])).
% 26.48/5.39  thf(12,plain,((~ (! [A:(tyop_2Erealax_2Ereal > $o),B:(tyop_2Erealax_2Ereal > $o)]: ((~ (c_2Epred__set_2EDISJOINT @ tyop_2Erealax_2Ereal @ (A) @ (B))) => ((c_2Ereal__topology_2Esetdist @ (c_2Epair_2E_2C @ (tyop_2Erealax_2Ereal > $o) @ (tyop_2Erealax_2Ereal > $o) @ (A) @ (B))) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 26.48/5.39  thf(10,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ (c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2EDIST__POS__LE)).
% 26.48/5.39  thf(103,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ (c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 26.48/5.39  thf(3,axiom,((! [TA: $tType]: ((c_2Ebool_2EIN @ TA) = (^ [A:TA,B:(TA > $o)]: (B @ A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EIN__DEF)).
% 26.48/5.39  thf(16,plain,((! [TA: $tType]: ((c_2Ebool_2EIN @ TA) = (^ [A:TA,B:(TA > $o)]: (B @ A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 26.48/5.39  thf(8,axiom,((! [A:(tyop_2Erealax_2Ereal > $o),B:(tyop_2Erealax_2Ereal > $o),C:tyop_2Erealax_2Ereal,D:tyop_2Erealax_2Ereal,E:tyop_2Erealax_2Ereal]: (((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ A) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ D @ B) & ((c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ C @ D)) = E) & ! [F:tyop_2Erealax_2Ereal,G:tyop_2Erealax_2Ereal]: (((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ F @ A) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ G @ B)) => (c_2Ereal_2Ereal__lte @ (c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ C @ D)) @ (c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ F @ G))))) => ((c_2Ereal__topology_2Esetdist @ (c_2Epair_2E_2C @ (tyop_2Erealax_2Ereal > $o) @ (tyop_2Erealax_2Ereal > $o) @ A @ B)) = E)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ESETDIST__UNIQUE)).
% 26.48/5.39  thf(30,plain,((! [A:(tyop_2Erealax_2Ereal > $o),B:(tyop_2Erealax_2Ereal > $o),C:tyop_2Erealax_2Ereal,D:tyop_2Erealax_2Ereal,E:tyop_2Erealax_2Ereal]: (((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ (A)) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ D @ (B)) & ((c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ C @ D)) = E) & ! [F:tyop_2Erealax_2Ereal,G:tyop_2Erealax_2Ereal]: (((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ F @ (A)) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ G @ (B))) => (c_2Ereal_2Ereal__lte @ (c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ C @ D)) @ (c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ F @ G))))) => ((c_2Ereal__topology_2Esetdist @ (c_2Epair_2E_2C @ (tyop_2Erealax_2Ereal > $o) @ (tyop_2Erealax_2Ereal > $o) @ (A) @ (B))) = E)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 26.48/5.39  thf(4,axiom,((! [TA: $tType]: (! [A:TA]: ~ (c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EEMPTY @ TA))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2ENOT__IN__EMPTY)).
% 26.48/5.39  thf(19,plain,((! [TA: $tType]: (! [A:TA]: ~ (c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EEMPTY @ TA))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 26.48/5.39  thf(9,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: (((c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B)) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)) = (A = B)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2EDIST__EQ__0)).
% 26.48/5.39  thf(100,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: (((c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B)) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)) = (A = B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 26.48/5.39  thf(626,plain,($false),inference(e,[status(thm)],[24,21,105,27,12,103,16,30,19,100])).
% 26.48/5.39  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 26.48/5.39  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
