%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:43:24 EDT 2019

% Result     : Theorem 83.46s
% Output     : CNFRefutation 83.60s
% Verified   : 
% Statistics : Number of formulae       :  356 (5418 expanded)
%              Number of leaves         :   28 ( 791 expanded)
%              Depth                    :   33
%              Number of atoms          : 4143 (56350 expanded)
%              Number of equality atoms :  412 (5165 expanded)
%              Maximal formula depth    :   14 (   7 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Ebool_2ECOND_type,type,(
    c_2Ebool_2ECOND: 
      !>[TA: $tType] :
        ( $o > TA > TA > TA ) )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $o )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(c_2Ereal_2Emin_type,type,(
    c_2Ereal_2Emin: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Erealax_2Ereal__lt_type,type,(
    c_2Erealax_2Ereal__lt: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > $o )).

thf(c_2Ereal_2Ereal__lte_type,type,(
    c_2Ereal_2Ereal__lte: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > $o )).

thf(sk1_type,type,(
    sk1: tyop_2Erealax_2Ereal )).

thf(sk2_type,type,(
    sk2: tyop_2Erealax_2Ereal )).

thf(sk3_type,type,(
    sk3: tyop_2Erealax_2Ereal )).

thf(17,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( ~ ( c_2Ereal_2Ereal__lte @ A @ B ) )
      = ( c_2Erealax_2Ereal__lt @ B @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__NOT__LE)).

thf(100,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( ~ ( c_2Ereal_2Ereal__lte @ A @ B ) )
      = ( c_2Erealax_2Ereal__lt @ B @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(101,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ~ ( c_2Ereal_2Ereal__lte @ A @ B ) )
      = ( c_2Erealax_2Ereal__lt @ B @ A ) ) ),
    inference(cnf,[status(esa)],[100])).

thf(102,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ~ ( c_2Ereal_2Ereal__lte @ A @ B ) )
      = ( c_2Erealax_2Ereal__lt @ B @ A ) ) ),
    inference(lifteq,[status(thm)],[101])).

thf(1,conjecture,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ C @ ( c_2Ereal_2Emin @ A @ B ) )
      = ( ( c_2Erealax_2Ereal__lt @ C @ A )
        & ( c_2Erealax_2Ereal__lt @ C @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eintegral_2EREAL__LT__MIN)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
        ( ( c_2Erealax_2Ereal__lt @ C @ ( c_2Ereal_2Emin @ A @ B ) )
        = ( ( c_2Erealax_2Ereal__lt @ C @ A )
          & ( c_2Erealax_2Ereal__lt @ C @ B ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(19,plain,(
    ~ ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
        ( ( c_2Erealax_2Ereal__lt @ C @ ( c_2Ereal_2Emin @ A @ B ) )
        = ( ( c_2Erealax_2Ereal__lt @ C @ A )
          & ( c_2Erealax_2Ereal__lt @ C @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(20,plain,(
    ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) )
 != ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    & ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) ) ),
    inference(cnf,[status(esa)],[19])).

thf(21,plain,(
    ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) )
 != ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    & ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) ) ),
    inference(lifteq,[status(thm)],[20])).

thf(190,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ( ~ ( c_2Ereal_2Ereal__lte @ A @ B ) )
       != ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
          & ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) ) )
      | ( ( c_2Erealax_2Ereal__lt @ B @ A )
       != ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) ) ) ),
    inference(paramod_ordered,[status(thm)],[102,21])).

thf(191,plain,(
    ( ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 ) )
 != ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    & ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) ) ),
    inference(pattern_uni,[status(thm)],[190:[bind(A,$thf(c_2Ereal_2Emin @ sk1 @ sk2)),bind(B,$thf(sk3))]])).

thf(213,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ( ~ ( c_2Ereal_2Ereal__lte @ A @ B )
          & ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) )
       != ( ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 ) ) )
      | ( ( c_2Erealax_2Ereal__lt @ B @ A )
       != ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[102,191])).

thf(214,plain,(
    ( ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
    & ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) )
 != ( ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 ) ) ),
    inference(pattern_uni,[status(thm)],[213:[bind(A,$thf(sk1)),bind(B,$thf(sk3))]])).

thf(234,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Erealax_2Ereal__lt @ B @ A )
       != ( ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
          & ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) ) )
      | ( ( ~ ( c_2Ereal_2Ereal__lte @ A @ B ) )
       != ( ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 ) ) ) ) ),
    inference(paramod_ordered,[status(thm)],[102,214])).

thf(235,plain,(
    ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) )
 != ( ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
    & ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) ) ),
    inference(pattern_uni,[status(thm)],[234:[bind(A,$thf(c_2Ereal_2Emin @ sk1 @ sk2)),bind(B,$thf(sk3))]])).

thf(337,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) )
    | ( ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
      & ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) ) ),
    inference(bool_ext,[status(thm)],[235])).

thf(365,plain,
    ( ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
    | ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) ),
    inference(cnf,[status(esa)],[337])).

thf(14,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B )
        = A )
      & ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B )
        = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ECOND__CLAUSES)).

thf(90,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B )
        = A )
      & ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(92,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B )
      = A ) ),
    inference(cnf,[status(esa)],[90])).

thf(94,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B )
      = A ) ),
    inference(lifteq,[status(thm)],[92])).

thf(3,axiom,(
    c_2Ebool_2ET ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(22,plain,(
    c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(177,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Ebool_2ECOND @ TA @ $true @ A @ B )
      = A ) ),
    inference(rewrite,[status(thm)],[94,22])).

thf(91,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B )
      = B ) ),
    inference(cnf,[status(esa)],[90])).

thf(93,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B )
      = B ) ),
    inference(lifteq,[status(thm)],[91])).

thf(7,axiom,(
    ! [A: $o] :
      ( c_2Ebool_2EF
     => A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EFALSITY)).

thf(38,plain,(
    ! [A: $o] :
      ( c_2Ebool_2EF
     => A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(41,plain,
    ( c_2Ebool_2EF
   => $false ),
    inference(instance,[status(thm)],[38])).

thf(42,plain,(
    ~ c_2Ebool_2EF ),
    inference(simp,[status(thm)],[41])).

thf(176,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Ebool_2ECOND @ TA @ $false @ A @ B )
      = B ) ),
    inference(rewrite,[status(thm)],[93,42])).

thf(15,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Emin @ A @ B )
      = ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ A @ B ) @ A @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal_2Emin__def)).

thf(95,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Emin @ A @ B )
      = ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ A @ B ) @ A @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(96,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Emin @ A @ B )
      = ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ A @ B ) @ A @ B ) ) ),
    inference(cnf,[status(esa)],[95])).

thf(97,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Emin @ A @ B )
      = ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ A @ B ) @ A @ B ) ) ),
    inference(lifteq,[status(thm)],[96])).

thf(111,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
      & ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) ) ),
    inference(bool_ext,[status(thm)],[21])).

thf(113,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) ),
    inference(cnf,[status(esa)],[111])).

thf(318,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
      | ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ A @ B ) @ A @ B ) )
      | ( ( c_2Ereal_2Emin @ A @ B )
       != ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[97,113])).

thf(319,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) @ sk1 @ sk2 ) ) ),
    inference(pattern_uni,[status(thm)],[318:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(1133,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
      | ( c_2Erealax_2Ereal__lt @ sk3 @ B )
      | ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $false @ A @ B )
       != ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) @ sk1 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[176,319])).

thf(1181,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
      | ( c_2Erealax_2Ereal__lt @ sk3 @ B )
      | ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
      | ( A != sk1 )
      | ( B != sk2 ) ) ),
    inference(simp,[status(thm)],[1133])).

thf(1212,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) ),
    inference(simp,[status(thm)],[1181])).

thf(1213,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) ),
    inference(simp,[status(thm)],[1212])).

thf(1245,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2 ) )
    | ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
     != ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) ) ),
    inference(paramod_ordered,[status(thm)],[1213,319])).

thf(1246,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2 ) ) ),
    inference(pattern_uni,[status(thm)],[1245:[]])).

thf(1723,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
      | ~ ( c_2Ereal_2Ereal__lte @ A @ B )
      | ( ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2 ) )
       != ( c_2Erealax_2Ereal__lt @ B @ A ) ) ) ),
    inference(paramod_ordered,[status(thm)],[1246,102])).

thf(1724,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2 ) @ sk3 ) ),
    inference(pattern_uni,[status(thm)],[1723:[bind(A,$thf(c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2)),bind(B,$thf(sk3))]])).

thf(5895,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
      | ~ ( c_2Ereal_2Ereal__lte @ A @ sk3 )
      | ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ A @ B )
       != ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[177,1724])).

thf(5896,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 ) ),
    inference(pattern_uni,[status(thm)],[5895:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(184,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ~ ( c_2Ereal_2Ereal__lte @ A @ B )
      | ( c_2Erealax_2Ereal__lt @ B @ A ) ) ),
    inference(bool_ext,[status(thm)],[102])).

thf(205,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ B @ A )
      | ( c_2Ereal_2Ereal__lte @ A @ B ) ) ),
    inference(cnf,[status(esa)],[184])).

thf(323,plain,(
    ! [D: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( A
        = ( c_2Ereal_2Emin @ C @ D ) )
      | ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ A @ B )
       != ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ C @ D ) @ C @ D ) ) ) ),
    inference(paramod_ordered,[status(thm)],[177,97])).

thf(330,plain,(
    ! [D: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( A
        = ( c_2Ereal_2Emin @ C @ D ) )
      | ~ ( c_2Ereal_2Ereal__lte @ C @ D )
      | ( A != C )
      | ( B != D ) ) ),
    inference(simp,[status(thm)],[323])).

thf(334,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal_2Emin @ A @ B )
        = A )
      | ~ ( c_2Ereal_2Ereal__lte @ A @ B ) ) ),
    inference(simp,[status(thm)],[330])).

thf(114,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) ),
    inference(cnf,[status(esa)],[111])).

thf(262,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) )
     != ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 ) )
    | ~ $true ),
    inference(eqfactor_ordered,[status(thm)],[114])).

thf(270,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ( sk3 != sk3 )
    | ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk1 ) ),
    inference(simp,[status(thm)],[262])).

thf(274,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk1 ) ),
    inference(simp,[status(thm)],[270])).

thf(110,plain,
    ( ~ ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) )
    | ~ ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
        & ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) ) ),
    inference(bool_ext,[status(thm)],[21])).

thf(112,plain,
    ( ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ~ ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) ),
    inference(cnf,[status(esa)],[110])).

thf(133,plain,
    ( ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) )
     != ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 ) )
    | ~ $true ),
    inference(eqfactor_ordered,[status(thm)],[112])).

thf(136,plain,
    ( ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ( sk3 != sk3 )
    | ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk1 ) ),
    inference(simp,[status(thm)],[133])).

thf(142,plain,
    ( ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk1 ) ),
    inference(simp,[status(thm)],[136])).

thf(2857,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk1 )
    | ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
     != ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 ) ) ),
    inference(paramod_ordered,[status(thm)],[274,142])).

thf(2858,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk1 )
    | ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) ),
    inference(pattern_uni,[status(thm)],[2857:[]])).

thf(2902,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
       != sk1 )
      | ( c_2Ereal_2Ereal__lte @ A @ B )
      | ( ( c_2Erealax_2Ereal__lt @ B @ A )
       != ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[102,2858])).

thf(2903,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk1 )
    | ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 ) ),
    inference(pattern_uni,[status(thm)],[2902:[bind(A,$thf(sk2)),bind(B,$thf(sk3))]])).

thf(16088,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ereal_2Ereal__lte @ A @ B )
      | ( A != sk1 )
      | ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 )
      | ( ( c_2Ereal_2Emin @ A @ B )
       != ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[334,2903])).

thf(16089,plain,
    ( ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
    | ( sk1 != sk1 )
    | ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 ) ),
    inference(pattern_uni,[status(thm)],[16088:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(16175,plain,
    ( ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
    | ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 ) ),
    inference(simp,[status(thm)],[16089])).

thf(16242,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ B @ A )
      | ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 )
      | ( ( c_2Ereal_2Ereal__lte @ A @ B )
       != ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[205,16175])).

thf(16243,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 )
    | ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 ) ),
    inference(pattern_uni,[status(thm)],[16242:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(345,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ( ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
          & ~ ( c_2Ereal_2Ereal__lte @ A @ B ) )
       != ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) )
      | ( ( c_2Erealax_2Ereal__lt @ B @ A )
       != ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[102,235])).

thf(346,plain,(
    ( ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
    & ~ ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 ) )
 != ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) ),
    inference(pattern_uni,[status(thm)],[345:[bind(A,$thf(sk2)),bind(B,$thf(sk3))]])).

thf(463,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ~ ( ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
        & ~ ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 ) )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) )
     != ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[114,346])).

thf(464,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ~ ( ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
        & ~ ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 ) ) ),
    inference(pattern_uni,[status(thm)],[463:[]])).

thf(472,plain,
    ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
    | ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 )
    | ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 ) ),
    inference(cnf,[status(esa)],[464])).

thf(1743,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
      | ( c_2Erealax_2Ereal__lt @ sk3 @ A )
      | ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ A @ B )
       != ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[177,1246])).

thf(1744,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 ) ),
    inference(pattern_uni,[status(thm)],[1743:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(1855,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
      | ~ ( c_2Ereal_2Ereal__lte @ A @ B )
      | ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
       != ( c_2Erealax_2Ereal__lt @ B @ A ) ) ) ),
    inference(paramod_ordered,[status(thm)],[1744,102])).

thf(1856,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ~ ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 ) ),
    inference(pattern_uni,[status(thm)],[1855:[bind(A,$thf(sk2)),bind(B,$thf(sk3))]])).

thf(2530,plain,
    ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
    | ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ( ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 )
     != ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 ) ) ),
    inference(paramod_ordered,[status(thm)],[472,1856])).

thf(2531,plain,
    ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
    | ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 ) ),
    inference(pattern_uni,[status(thm)],[2530:[]])).

thf(2559,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
      | ( ( c_2Ereal_2Emin @ A @ B )
        = ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ A @ B ) )
      | ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
       != ( c_2Ereal_2Ereal__lte @ A @ B ) ) ) ),
    inference(paramod_ordered,[status(thm)],[2531,97])).

thf(2560,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ( ( c_2Ereal_2Emin @ sk1 @ sk3 )
      = ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk3 ) ) ),
    inference(pattern_uni,[status(thm)],[2559:[bind(A,$thf(sk1)),bind(B,$thf(sk3))]])).

thf(117,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) )
     != ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) )
    | ~ $true ),
    inference(eqfactor_ordered,[status(thm)],[113])).

thf(119,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ( sk3 != sk3 )
    | ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk2 ) ),
    inference(simp,[status(thm)],[117])).

thf(121,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk2 ) ),
    inference(simp,[status(thm)],[119])).

thf(134,plain,
    ( ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) )
     != ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) )
    | ~ $true ),
    inference(eqfactor_ordered,[status(thm)],[112])).

thf(138,plain,
    ( ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ( sk3 != sk3 )
    | ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk2 ) ),
    inference(simp,[status(thm)],[134])).

thf(140,plain,
    ( ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk2 ) ),
    inference(simp,[status(thm)],[138])).

thf(155,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk2 )
    | ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
     != ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) ) ),
    inference(paramod_ordered,[status(thm)],[121,140])).

thf(156,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk2 )
    | ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 ) ),
    inference(pattern_uni,[status(thm)],[155:[]])).

thf(306,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ A @ B ) @ A @ B )
       != sk2 )
      | ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
      | ( ( c_2Ereal_2Emin @ A @ B )
       != ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[97,156])).

thf(307,plain,
    ( ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) @ sk1 @ sk2 )
     != sk2 )
    | ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 ) ),
    inference(pattern_uni,[status(thm)],[306:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(7910,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( B != sk2 )
      | ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
      | ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $false @ A @ B )
       != ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) @ sk1 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[176,307])).

thf(7945,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
      | ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
      | ( A != sk1 )
      | ( sk2 != sk2 ) ) ),
    inference(simp,[status(thm)],[7910])).

thf(7959,plain,
    ( ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) ),
    inference(simp,[status(thm)],[7945])).

thf(8004,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk3 )
      = ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk3 ) )
    | ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
     != ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 ) ) ),
    inference(paramod_ordered,[status(thm)],[2560,7959])).

thf(8005,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk3 )
      = ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk3 ) )
    | ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) ),
    inference(pattern_uni,[status(thm)],[8004:[]])).

thf(324,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
      | ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ A @ B ) @ A @ B ) )
      | ( ( c_2Ereal_2Emin @ A @ B )
       != ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[97,114])).

thf(325,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) @ sk1 @ sk2 ) ) ),
    inference(pattern_uni,[status(thm)],[324:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(3786,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
      | ( c_2Erealax_2Ereal__lt @ sk3 @ A )
      | ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ A @ B )
       != ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) @ sk1 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[177,325])).

thf(3837,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
      | ( c_2Erealax_2Ereal__lt @ sk3 @ A )
      | ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
      | ( A != sk1 )
      | ( B != sk2 ) ) ),
    inference(simp,[status(thm)],[3786])).

thf(3891,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) ),
    inference(simp,[status(thm)],[3837])).

thf(3892,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) ),
    inference(simp,[status(thm)],[3891])).

thf(6054,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ B @ A )
      | ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
      | ( ( c_2Ereal_2Ereal__lte @ A @ B )
       != ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[205,3892])).

thf(6055,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 )
    | ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 ) ),
    inference(pattern_uni,[status(thm)],[6054:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(6141,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
     != ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 ) )
    | ~ $true ),
    inference(eqfactor_ordered,[status(thm)],[6055])).

thf(6177,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
     != ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 ) ) ),
    inference(simp,[status(thm)],[6141])).

thf(215,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
          & ~ ( c_2Ereal_2Ereal__lte @ A @ B ) )
       != ( ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 ) ) )
      | ( ( c_2Erealax_2Ereal__lt @ B @ A )
       != ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[102,191])).

thf(216,plain,(
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    & ~ ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 ) )
 != ( ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 ) ) ),
    inference(pattern_uni,[status(thm)],[215:[bind(A,$thf(sk2)),bind(B,$thf(sk3))]])).

thf(378,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ( ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ A @ B ) @ A @ B ) @ sk3 ) )
       != ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
          & ~ ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 ) ) )
      | ( ( c_2Ereal_2Emin @ A @ B )
       != ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[97,216])).

thf(379,plain,(
    ( ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) @ sk1 @ sk2 ) @ sk3 ) )
 != ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    & ~ ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 ) ) ),
    inference(pattern_uni,[status(thm)],[378:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(269,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) )
     != ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 ) ) ),
    inference(simp,[status(thm)],[262])).

thf(313,plain,(
    ! [D: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( B
        = ( c_2Ereal_2Emin @ C @ D ) )
      | ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $false @ A @ B )
       != ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ C @ D ) @ C @ D ) ) ) ),
    inference(paramod_ordered,[status(thm)],[176,97])).

thf(329,plain,(
    ! [D: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( B
        = ( c_2Ereal_2Emin @ C @ D ) )
      | ( c_2Ereal_2Ereal__lte @ C @ D )
      | ( A != C )
      | ( B != D ) ) ),
    inference(simp,[status(thm)],[313])).

thf(332,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal_2Emin @ A @ B )
        = B )
      | ( c_2Ereal_2Ereal__lte @ A @ B ) ) ),
    inference(simp,[status(thm)],[329])).

thf(1228,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
      | ~ ( c_2Erealax_2Ereal__lt @ B @ A )
      | ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
       != ( c_2Ereal_2Ereal__lte @ A @ B ) ) ) ),
    inference(paramod_ordered,[status(thm)],[1213,102])).

thf(1229,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ~ ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 ) ),
    inference(pattern_uni,[status(thm)],[1228:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(1305,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 )
      | ~ ( c_2Ereal_2Ereal__lte @ A @ B )
      | ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
       != ( c_2Erealax_2Ereal__lt @ B @ A ) ) ) ),
    inference(paramod_ordered,[status(thm)],[1229,102])).

thf(1306,plain,
    ( ~ ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 )
    | ~ ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 ) ),
    inference(pattern_uni,[status(thm)],[1305:[bind(A,$thf(sk2)),bind(B,$thf(sk3))]])).

thf(13840,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal_2Emin @ A @ B )
        = B )
      | ~ ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 )
      | ( ( c_2Ereal_2Ereal__lte @ A @ B )
       != ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[332,1306])).

thf(13841,plain,
    ( ( ( c_2Ereal_2Emin @ sk2 @ sk3 )
      = sk3 )
    | ~ ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 ) ),
    inference(pattern_uni,[status(thm)],[13840:[bind(A,$thf(sk2)),bind(B,$thf(sk3))]])).

thf(10,axiom,(
    ! [A: $o] :
      ( ( A
       => c_2Ebool_2EF )
     => ~ A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__F)).

thf(57,plain,(
    ! [A: $o] :
      ( ( A
       => c_2Ebool_2EF )
     => ~ A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(320,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
      | ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
      | ~ ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ A @ B ) @ A @ B ) )
      | ( ( c_2Ereal_2Emin @ A @ B )
       != ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[97,112])).

thf(321,plain,
    ( ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ~ ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) @ sk1 @ sk2 ) ) ),
    inference(pattern_uni,[status(thm)],[320:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(229,plain,
    ( ( ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
      & ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) )
    | ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 ) ),
    inference(bool_ext,[status(thm)],[214])).

thf(244,plain,
    ( ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 )
    | ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 ) ),
    inference(cnf,[status(esa)],[229])).

thf(480,plain,
    ( ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
    | ( ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 )
     != ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 ) )
    | ~ $true ),
    inference(eqfactor_ordered,[status(thm)],[244])).

thf(483,plain,
    ( ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
    | ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk1 )
    | ( sk3 != sk3 ) ),
    inference(simp,[status(thm)],[480])).

thf(485,plain,
    ( ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
    | ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk1 ) ),
    inference(simp,[status(thm)],[483])).

thf(486,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
      | ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ A @ B ) @ A @ B )
       != sk1 )
      | ( ( c_2Ereal_2Emin @ A @ B )
       != ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[97,485])).

thf(487,plain,
    ( ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
    | ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) @ sk1 @ sk2 )
     != sk1 ) ),
    inference(pattern_uni,[status(thm)],[486:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(12266,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
      | ( A != sk1 )
      | ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ A @ B )
       != ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) @ sk1 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[177,487])).

thf(12318,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
      | ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
      | ( sk1 != sk1 )
      | ( A != sk2 ) ) ),
    inference(simp,[status(thm)],[12266])).

thf(12341,plain,
    ( ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
    | ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) ),
    inference(simp,[status(thm)],[12318])).

thf(12412,plain,
    ( ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
    | ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
     != ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) )
    | ~ $true ),
    inference(eqfactor_ordered,[status(thm)],[12341])).

thf(12436,plain,
    ( ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
    | ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
     != ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) ) ),
    inference(simp,[status(thm)],[12412])).

thf(347,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ A @ B ) @ A @ B ) )
       != ( ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
          & ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) ) )
      | ( ( c_2Ereal_2Emin @ A @ B )
       != ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[97,235])).

thf(348,plain,(
    ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) @ sk1 @ sk2 ) )
 != ( ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
    & ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) ) ),
    inference(pattern_uni,[status(thm)],[347:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(370,plain,
    ( ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
      & ~ ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 ) )
    | ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 ) ),
    inference(bool_ext,[status(thm)],[216])).

thf(397,plain,
    ( ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 )
    | ~ ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 ) ),
    inference(cnf,[status(esa)],[370])).

thf(8000,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
      | ~ ( c_2Erealax_2Ereal__lt @ B @ A )
      | ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
       != ( c_2Ereal_2Ereal__lte @ A @ B ) ) ) ),
    inference(paramod_ordered,[status(thm)],[7959,102])).

thf(8001,plain,
    ( ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ~ ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 ) ),
    inference(pattern_uni,[status(thm)],[8000:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(8002,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__lte @ A @ B )
      | ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
      | ( ( c_2Erealax_2Ereal__lt @ B @ A )
       != ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[102,7959])).

thf(8003,plain,
    ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
    | ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) ),
    inference(pattern_uni,[status(thm)],[8002:[bind(A,$thf(sk1)),bind(B,$thf(sk3))]])).

thf(236,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ( ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
          & ~ ( c_2Ereal_2Ereal__lte @ A @ B ) )
       != ( ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 ) ) )
      | ( ( c_2Erealax_2Ereal__lt @ B @ A )
       != ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[102,214])).

thf(237,plain,(
    ( ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
    & ~ ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 ) )
 != ( ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 ) ) ),
    inference(pattern_uni,[status(thm)],[236:[bind(A,$thf(sk2)),bind(B,$thf(sk3))]])).

thf(8361,plain,
    ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
    | ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 )
    | ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
     != ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 ) ) ),
    inference(paramod_ordered,[status(thm)],[8003,237])).

thf(8362,plain,
    ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
    | ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 ) ),
    inference(pattern_uni,[status(thm)],[8361:[]])).

thf(1693,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__lte @ A @ B )
      | ~ ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 )
      | ( ( c_2Erealax_2Ereal__lt @ B @ A )
       != ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[102,1306])).

thf(1694,plain,
    ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
    | ~ ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 ) ),
    inference(pattern_uni,[status(thm)],[1693:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(2981,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk1 )
    | ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
    | ( ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 )
     != ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 ) ) ),
    inference(paramod_ordered,[status(thm)],[2903,1694])).

thf(2982,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk1 )
    | ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) ),
    inference(pattern_uni,[status(thm)],[2981:[]])).

thf(200,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
      | ( c_2Ereal_2Ereal__lte @ A @ B )
      | ~ ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) )
      | ( ( c_2Erealax_2Ereal__lt @ B @ A )
       != ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[102,112])).

thf(201,plain,
    ( ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 )
    | ~ ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) ),
    inference(pattern_uni,[status(thm)],[200:[bind(A,$thf(sk2)),bind(B,$thf(sk3))]])).

thf(16258,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 )
    | ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
     != ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) ) ),
    inference(paramod_ordered,[status(thm)],[1213,16175])).

thf(16259,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 ) ),
    inference(pattern_uni,[status(thm)],[16258:[]])).

thf(8236,plain,
    ( ~ ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
     != ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 ) )
    | ~ $true ),
    inference(eqfactor_ordered,[status(thm)],[8001])).

thf(8263,plain,
    ( ~ ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
     != ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 ) ) ),
    inference(simp,[status(thm)],[8236])).

thf(10364,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__lte @ A @ B )
      | ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
       != ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 ) )
      | ( ( c_2Erealax_2Ereal__lt @ B @ A )
       != ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[102,8263])).

thf(10365,plain,
    ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
     != ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 ) ) ),
    inference(pattern_uni,[status(thm)],[10364:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(12384,plain,
    ( ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
     != ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 ) )
    | ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
    | ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
     != ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) ) ),
    inference(paramod_ordered,[status(thm)],[10365,12341])).

thf(12385,plain,
    ( ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
     != ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 ) )
    | ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 ) ),
    inference(pattern_uni,[status(thm)],[12384:[]])).

thf(5,axiom,(
    ! [A: $o] :
      ( A
     => ( ~ A
       => c_2Ebool_2EF ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esat_2EAND__INV__IMP)).

thf(28,plain,(
    ! [A: $o] :
      ( A
     => ( ~ A
       => c_2Ebool_2EF ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(137,plain,
    ( ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) )
     != ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) ) ),
    inference(simp,[status(thm)],[134])).

thf(6086,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 )
      | ~ ( c_2Ereal_2Ereal__lte @ A @ B )
      | ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
       != ( c_2Erealax_2Ereal__lt @ B @ A ) ) ) ),
    inference(paramod_ordered,[status(thm)],[6055,102])).

thf(6087,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 )
    | ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 ) ),
    inference(pattern_uni,[status(thm)],[6086:[bind(A,$thf(sk1)),bind(B,$thf(sk3))]])).

thf(13970,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal_2Emin @ A @ B )
        = B )
      | ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 )
      | ( ( c_2Ereal_2Ereal__lte @ A @ B )
       != ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[332,6087])).

thf(13971,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk3 )
      = sk3 )
    | ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 ) ),
    inference(pattern_uni,[status(thm)],[13970:[bind(A,$thf(sk1)),bind(B,$thf(sk3))]])).

thf(6,axiom,(
    ! [A: $o] :
      ( ( ~ A
       => c_2Ebool_2EF )
     => ( ( A
         => c_2Ebool_2EF )
       => c_2Ebool_2EF ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esat_2EAND__INV2)).

thf(33,plain,(
    ! [A: $o] :
      ( ( ~ A
       => c_2Ebool_2EF )
     => ( ( A
         => c_2Ebool_2EF )
       => c_2Ebool_2EF ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(6095,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 )
    | ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk2 )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
     != ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 ) ) ),
    inference(paramod_ordered,[status(thm)],[6055,156])).

thf(6096,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 )
    | ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk2 ) ),
    inference(pattern_uni,[status(thm)],[6095:[]])).

thf(207,plain,
    ( ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
      & ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) ) ),
    inference(bool_ext,[status(thm)],[191])).

thf(224,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 ) ),
    inference(cnf,[status(esa)],[207])).

thf(186,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ereal_2Ereal__lte @ A @ B )
      | ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
       != sk2 )
      | ( ( c_2Erealax_2Ereal__lt @ B @ A )
       != ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[102,121])).

thf(187,plain,
    ( ~ ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 )
    | ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk2 ) ),
    inference(pattern_uni,[status(thm)],[186:[bind(A,$thf(sk2)),bind(B,$thf(sk3))]])).

thf(316,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 )
      | ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ A @ B ) @ A @ B )
       != sk2 )
      | ( ( c_2Ereal_2Emin @ A @ B )
       != ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[97,187])).

thf(317,plain,
    ( ~ ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 )
    | ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) @ sk1 @ sk2 )
     != sk2 ) ),
    inference(pattern_uni,[status(thm)],[316:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(374,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Erealax_2Ereal__lt @ B @ A )
       != ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
          & ~ ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 ) ) )
      | ( ( ~ ( c_2Ereal_2Ereal__lte @ A @ B ) )
       != ( ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 ) ) ) ) ),
    inference(paramod_ordered,[status(thm)],[102,216])).

thf(375,plain,(
    ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) )
 != ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    & ~ ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 ) ) ),
    inference(pattern_uni,[status(thm)],[374:[bind(A,$thf(c_2Ereal_2Emin @ sk1 @ sk2)),bind(B,$thf(sk3))]])).

thf(2972,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk1 )
    | ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) )
    | ( ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 )
     != ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 ) ) ),
    inference(paramod_ordered,[status(thm)],[2903,375])).

thf(2973,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk1 )
    | ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) ),
    inference(pattern_uni,[status(thm)],[2972:[]])).

thf(8407,plain,
    ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
    | ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
     != ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) )
    | ~ $true ),
    inference(eqfactor_ordered,[status(thm)],[8003])).

thf(8429,plain,
    ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
    | ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
     != ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) ) ),
    inference(simp,[status(thm)],[8407])).

thf(192,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
       != sk2 )
      | ( c_2Ereal_2Ereal__lte @ A @ B )
      | ( ( c_2Erealax_2Ereal__lt @ B @ A )
       != ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[102,156])).

thf(193,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk2 )
    | ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 ) ),
    inference(pattern_uni,[status(thm)],[192:[bind(A,$thf(sk1)),bind(B,$thf(sk3))]])).

thf(7997,plain,
    ( ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2 )
     != sk2 )
    | ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
     != ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) ) ),
    inference(paramod_ordered,[status(thm)],[7959,307])).

thf(7998,plain,
    ( ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2 )
     != sk2 ) ),
    inference(pattern_uni,[status(thm)],[7997:[]])).

thf(685,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ( ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ A @ B ) @ A @ B ) @ sk3 ) )
       != ( ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
          & ~ ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 ) ) )
      | ( ( c_2Ereal_2Emin @ A @ B )
       != ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[97,237])).

thf(686,plain,(
    ( ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) @ sk1 @ sk2 ) @ sk3 ) )
 != ( ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
    & ~ ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 ) ) ),
    inference(pattern_uni,[status(thm)],[685:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(488,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk2 )
    | ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk1 )
    | ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
     != ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 ) ) ),
    inference(paramod_ordered,[status(thm)],[193,485])).

thf(489,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk2 )
    | ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk1 ) ),
    inference(pattern_uni,[status(thm)],[488:[]])).

thf(1230,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
      | ( ( c_2Ereal_2Emin @ A @ B )
        = ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ A @ B ) )
      | ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
       != ( c_2Ereal_2Ereal__lte @ A @ B ) ) ) ),
    inference(paramod_ordered,[status(thm)],[1213,97])).

thf(1231,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
      = ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2 ) ) ),
    inference(pattern_uni,[status(thm)],[1230:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(456,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ A @ B ) @ A @ B ) )
       != ( ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
          & ~ ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 ) ) )
      | ( ( c_2Ereal_2Emin @ A @ B )
       != ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[97,346])).

thf(457,plain,(
    ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) @ sk1 @ sk2 ) )
 != ( ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
    & ~ ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 ) ) ),
    inference(pattern_uni,[status(thm)],[456:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(310,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
       != sk2 )
      | ( ( c_2Ereal_2Emin @ A @ B )
        = ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ A @ B ) )
      | ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
       != ( c_2Ereal_2Ereal__lte @ A @ B ) ) ) ),
    inference(paramod_ordered,[status(thm)],[193,97])).

thf(311,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk2 )
    | ( ( c_2Ereal_2Emin @ sk1 @ sk3 )
      = ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk3 ) ) ),
    inference(pattern_uni,[status(thm)],[310:[bind(A,$thf(sk1)),bind(B,$thf(sk3))]])).

thf(13878,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal_2Emin @ A @ B )
        = B )
      | ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
      | ( ( c_2Ereal_2Ereal__lte @ A @ B )
       != ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[332,1856])).

thf(13879,plain,
    ( ( ( c_2Ereal_2Emin @ sk2 @ sk3 )
      = sk3 )
    | ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 ) ),
    inference(pattern_uni,[status(thm)],[13878:[bind(A,$thf(sk2)),bind(B,$thf(sk3))]])).

thf(422,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ A @ B ) @ A @ B ) )
       != ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
          & ~ ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 ) ) )
      | ( ( c_2Ereal_2Emin @ A @ B )
       != ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[97,375])).

thf(423,plain,(
    ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) @ sk1 @ sk2 ) )
 != ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    & ~ ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 ) ) ),
    inference(pattern_uni,[status(thm)],[422:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(285,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk2 )
    | ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 )
    | ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
     != ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 ) ) ),
    inference(paramod_ordered,[status(thm)],[193,214])).

thf(286,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk2 )
    | ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 ) ),
    inference(pattern_uni,[status(thm)],[285:[]])).

thf(118,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) )
     != ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) ) ),
    inference(simp,[status(thm)],[117])).

thf(3899,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
     != ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) ) ),
    inference(paramod_ordered,[status(thm)],[2531,3892])).

thf(3910,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ( sk1 != sk1 )
    | ( sk3 != sk2 ) ),
    inference(simp,[status(thm)],[3899])).

thf(3911,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ( sk3 != sk2 ) ),
    inference(simp,[status(thm)],[3910])).

thf(3929,plain,
    ( ( sk3 != sk2 )
    | ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk2 )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
     != ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 ) ) ),
    inference(paramod_ordered,[status(thm)],[3911,156])).

thf(3930,plain,
    ( ( sk3 != sk2 )
    | ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk2 ) ),
    inference(pattern_uni,[status(thm)],[3929:[]])).

thf(4204,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( sk3 != sk2 )
      | ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ A @ B ) @ A @ B )
       != sk2 )
      | ( ( c_2Ereal_2Emin @ A @ B )
       != ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[97,3930])).

thf(4205,plain,
    ( ( sk3 != sk2 )
    | ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) @ sk1 @ sk2 )
     != sk2 ) ),
    inference(pattern_uni,[status(thm)],[4204:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(7144,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( sk3 != sk2 )
      | ( B != sk2 )
      | ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $false @ A @ B )
       != ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) @ sk1 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[176,4205])).

thf(7154,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( sk3 != sk2 )
      | ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
      | ( A != sk1 )
      | ( sk2 != sk2 ) ) ),
    inference(simp,[status(thm)],[7144])).

thf(7169,plain,
    ( ( sk3 != sk2 )
    | ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) ),
    inference(simp,[status(thm)],[7154])).

thf(6178,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 )
    | ( sk3 != sk2 )
    | ( sk1 != sk1 ) ),
    inference(simp,[status(thm)],[6141])).

thf(6197,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 )
    | ( sk3 != sk2 ) ),
    inference(simp,[status(thm)],[6178])).

thf(6235,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( sk3 != sk2 )
      | ~ ( c_2Ereal_2Ereal__lte @ A @ B )
      | ( ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 )
       != ( c_2Erealax_2Ereal__lt @ B @ A ) ) ) ),
    inference(paramod_ordered,[status(thm)],[6197,102])).

thf(6236,plain,
    ( ( sk3 != sk2 )
    | ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) ),
    inference(pattern_uni,[status(thm)],[6235:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(7179,plain,
    ( ( sk3 != sk2 )
    | ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
     != ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) ) ),
    inference(paramod_ordered,[status(thm)],[7169,6236])).

thf(7180,plain,(
    sk3 != sk2 ),
    inference(pattern_uni,[status(thm)],[7179:[]])).

thf(185,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ereal_2Ereal__lte @ A @ B )
      | ~ ( c_2Erealax_2Ereal__lt @ B @ A ) ) ),
    inference(bool_ext,[status(thm)],[102])).

thf(204,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Erealax_2Ereal__lt @ B @ A )
      | ~ ( c_2Ereal_2Ereal__lte @ A @ B ) ) ),
    inference(cnf,[status(esa)],[185])).

thf(12399,plain,
    ( ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
    | ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
     != ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) ) ),
    inference(paramod_ordered,[status(thm)],[7959,12341])).

thf(12400,plain,
    ( ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 ) ),
    inference(pattern_uni,[status(thm)],[12399:[]])).

thf(349,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk2 )
    | ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) )
    | ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
     != ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 ) ) ),
    inference(paramod_ordered,[status(thm)],[193,235])).

thf(350,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk2 )
    | ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) ),
    inference(pattern_uni,[status(thm)],[349:[]])).

thf(1759,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2 ) )
     != ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) )
    | ~ $true ),
    inference(eqfactor_ordered,[status(thm)],[1246])).

thf(1777,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ( sk3 != sk3 )
    | ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2 )
     != sk2 ) ),
    inference(simp,[status(thm)],[1759])).

thf(1838,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2 )
     != sk2 ) ),
    inference(simp,[status(thm)],[1777])).

thf(4227,plain,
    ( ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2 )
     != sk2 )
    | ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk1 )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
     != ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) ) ),
    inference(paramod_ordered,[status(thm)],[1838,2858])).

thf(4228,plain,
    ( ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2 )
     != sk2 )
    | ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk1 ) ),
    inference(pattern_uni,[status(thm)],[4227:[]])).

thf(13,axiom,(
    ! [A: $o,B: $o] :
      ( ( ~ ( ~ B
            | A )
       => c_2Ebool_2EF )
      = ( B
       => ( ~ A
         => c_2Ebool_2EF ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esat_2EOR__DUAL3)).

thf(81,plain,(
    ! [A: $o,B: $o] :
      ( ( ~ ( ~ B
            | A )
       => c_2Ebool_2EF )
      = ( B
       => ( ~ A
         => c_2Ebool_2EF ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(8192,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__lte @ A @ B )
      | ~ ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 )
      | ( ( c_2Erealax_2Ereal__lt @ B @ A )
       != ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[102,8001])).

thf(8193,plain,
    ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
    | ~ ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 ) ),
    inference(pattern_uni,[status(thm)],[8192:[bind(A,$thf(sk1)),bind(B,$thf(sk3))]])).

thf(8687,plain,
    ( ~ ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 )
    | ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) )
    | ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
     != ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 ) ) ),
    inference(paramod_ordered,[status(thm)],[8193,365])).

thf(8688,plain,
    ( ~ ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 )
    | ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) ),
    inference(pattern_uni,[status(thm)],[8687:[]])).

thf(16,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Erealax_2Ereal__lt @ A @ B )
        & ( c_2Erealax_2Ereal__lt @ B @ C ) )
     => ( c_2Erealax_2Ereal__lt @ A @ C ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LT__TRANS)).

thf(98,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Erealax_2Ereal__lt @ A @ B )
        & ( c_2Erealax_2Ereal__lt @ B @ C ) )
     => ( c_2Erealax_2Ereal__lt @ A @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(302,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
      | ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ A @ B ) @ A @ B )
       != sk2 )
      | ( ( c_2Ereal_2Emin @ A @ B )
       != ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[97,121])).

thf(303,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) @ sk1 @ sk2 )
     != sk2 ) ),
    inference(pattern_uni,[status(thm)],[302:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(16008,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ereal_2Ereal__lte @ A @ B )
      | ( A != sk1 )
      | ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
      | ( ( c_2Ereal_2Emin @ A @ B )
       != ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[334,2858])).

thf(16009,plain,
    ( ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
    | ( sk1 != sk1 )
    | ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) ),
    inference(pattern_uni,[status(thm)],[16008:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(16177,plain,
    ( ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
    | ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) ),
    inference(simp,[status(thm)],[16009])).

thf(18,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Erealax_2Ereal__lt @ A @ B )
        & ( c_2Ereal_2Ereal__lte @ B @ C ) )
     => ( c_2Erealax_2Ereal__lt @ A @ C ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LTE__TRANS)).

thf(103,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Erealax_2Ereal__lt @ A @ B )
        & ( c_2Ereal_2Ereal__lte @ B @ C ) )
     => ( c_2Erealax_2Ereal__lt @ A @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(135,plain,
    ( ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) )
     != ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 ) ) ),
    inference(simp,[status(thm)],[133])).

thf(413,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
      & ~ ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 ) ) ),
    inference(bool_ext,[status(thm)],[375])).

thf(438,plain,
    ( ~ ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 )
    | ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) ),
    inference(cnf,[status(esa)],[413])).

thf(170,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk2 )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
     != ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 ) ) ),
    inference(paramod_ordered,[status(thm)],[121,156])).

thf(172,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk2 )
    | ( sk3 != sk3 )
    | ( sk2 != sk1 ) ),
    inference(simp,[status(thm)],[170])).

thf(174,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk2 )
    | ( sk2 != sk1 ) ),
    inference(simp,[status(thm)],[172])).

thf(300,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ A @ B ) @ A @ B )
       != sk2 )
      | ( sk2 != sk1 )
      | ( ( c_2Ereal_2Emin @ A @ B )
       != ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[97,174])).

thf(301,plain,
    ( ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) @ sk1 @ sk2 )
     != sk2 )
    | ( sk2 != sk1 ) ),
    inference(pattern_uni,[status(thm)],[300:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(4790,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( B != sk2 )
      | ( sk2 != sk1 )
      | ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $false @ A @ B )
       != ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) @ sk1 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[176,301])).

thf(4801,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( sk2 != sk1 )
      | ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
      | ( A != sk1 )
      | ( sk2 != sk2 ) ) ),
    inference(simp,[status(thm)],[4790])).

thf(4810,plain,
    ( ( sk2 != sk1 )
    | ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) ),
    inference(simp,[status(thm)],[4801])).

thf(4794,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( A != sk2 )
      | ( sk2 != sk1 )
      | ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ A @ B )
       != ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) @ sk1 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[177,301])).

thf(4804,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( sk2 != sk1 )
      | ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
      | ( sk2 != sk1 )
      | ( A != sk2 ) ) ),
    inference(simp,[status(thm)],[4794])).

thf(4808,plain,
    ( ( sk2 != sk1 )
    | ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) ),
    inference(simp,[status(thm)],[4804])).

thf(4858,plain,
    ( ( sk2 != sk1 )
    | ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
     != ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) ) ),
    inference(paramod_ordered,[status(thm)],[4810,4808])).

thf(4859,plain,(
    sk2 != sk1 ),
    inference(pattern_uni,[status(thm)],[4858:[]])).

thf(9,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).

thf(48,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(326,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ( ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ A @ B ) @ A @ B ) @ sk3 ) )
       != ( ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
          & ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) ) )
      | ( ( c_2Ereal_2Emin @ A @ B )
       != ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[97,214])).

thf(327,plain,(
    ( ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) @ sk1 @ sk2 ) @ sk3 ) )
 != ( ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
    & ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) ) ),
    inference(pattern_uni,[status(thm)],[326:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(371,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk2 )
    | ( ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 )
     != ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 ) )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
     != ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 ) ) ),
    inference(paramod_ordered,[status(thm)],[121,216])).

thf(386,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk2 )
    | ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk2 )
    | ( sk3 != sk3 )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
     != ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 ) ) ),
    inference(simp,[status(thm)],[371])).

thf(409,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk2 )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
     != ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 ) ) ),
    inference(simp,[status(thm)],[386])).

thf(198,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__lte @ A @ B )
      | ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
      | ~ ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) )
      | ( ( c_2Erealax_2Ereal__lt @ B @ A )
       != ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[102,112])).

thf(199,plain,
    ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
    | ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ~ ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) ),
    inference(pattern_uni,[status(thm)],[198:[bind(A,$thf(sk1)),bind(B,$thf(sk3))]])).

thf(8070,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 )
    | ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
     != ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 ) ) ),
    inference(paramod_ordered,[status(thm)],[6055,7959])).

thf(8071,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 )
    | ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) ),
    inference(pattern_uni,[status(thm)],[8070:[]])).

thf(8551,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 )
      | ( ( c_2Ereal_2Emin @ A @ B )
        = ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ A @ B ) )
      | ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
       != ( c_2Ereal_2Ereal__lte @ A @ B ) ) ) ),
    inference(paramod_ordered,[status(thm)],[8071,97])).

thf(8552,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 )
    | ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
      = ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2 ) ) ),
    inference(pattern_uni,[status(thm)],[8551:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(10716,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
      = ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2 ) )
    | ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
    | ( ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 )
     != ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 ) ) ),
    inference(paramod_ordered,[status(thm)],[8552,8193])).

thf(10717,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
      = ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2 ) )
    | ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 ) ),
    inference(pattern_uni,[status(thm)],[10716:[]])).

thf(8326,plain,
    ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
    | ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) )
    | ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
     != ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 ) ) ),
    inference(paramod_ordered,[status(thm)],[8003,365])).

thf(8327,plain,
    ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
    | ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) ),
    inference(pattern_uni,[status(thm)],[8326:[]])).

thf(10991,plain,
    ( ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
     != ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 ) )
    | ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
     != ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) ) ),
    inference(paramod_ordered,[status(thm)],[10365,3892])).

thf(10992,plain,
    ( ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
     != ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 ) )
    | ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 ) ),
    inference(pattern_uni,[status(thm)],[10991:[]])).

thf(12,axiom,(
    ! [A: $o,B: $o] :
      ( ( ~ ( B
            | A )
       => c_2Ebool_2EF )
      = ( ( B
         => c_2Ebool_2EF )
       => ( ~ A
         => c_2Ebool_2EF ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esat_2EOR__DUAL2)).

thf(72,plain,(
    ! [A: $o,B: $o] :
      ( ( ~ ( B
            | A )
       => c_2Ebool_2EF )
      = ( ( B
         => c_2Ebool_2EF )
       => ( ~ A
         => c_2Ebool_2EF ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(8733,plain,
    ( ~ ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 )
    | ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 )
    | ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
     != ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 ) ) ),
    inference(paramod_ordered,[status(thm)],[8193,237])).

thf(8734,plain,
    ( ~ ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 )
    | ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 ) ),
    inference(pattern_uni,[status(thm)],[8733:[]])).

thf(2938,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk1 )
    | ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 )
    | ( ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 )
     != ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 ) ) ),
    inference(paramod_ordered,[status(thm)],[2903,216])).

thf(2939,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk1 )
    | ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 ) ),
    inference(pattern_uni,[status(thm)],[2938:[]])).

thf(12401,plain,
    ( ~ ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 )
    | ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
    | ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
     != ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 ) ) ),
    inference(paramod_ordered,[status(thm)],[8193,12341])).

thf(12402,plain,
    ( ~ ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 )
    | ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) ),
    inference(pattern_uni,[status(thm)],[12401:[]])).

thf(8,axiom,
    ( ! [A: $o] : ( ( ~ ~ A ) = A )
    & ( ( ~ c_2Ebool_2ET ) = c_2Ebool_2EF )
    & ( ( ~ c_2Ebool_2EF ) = c_2Ebool_2ET ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ENOT__CLAUSES)).

thf(43,plain,
    ( ( ( ~ c_2Ebool_2ET ) = c_2Ebool_2EF )
    & ( ( ~ c_2Ebool_2EF ) = c_2Ebool_2ET ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(4216,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2 )
       != sk2 )
      | ~ ( c_2Ereal_2Ereal__lte @ A @ B )
      | ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
       != ( c_2Erealax_2Ereal__lt @ B @ A ) ) ) ),
    inference(paramod_ordered,[status(thm)],[1838,102])).

thf(4217,plain,
    ( ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2 )
     != sk2 )
    | ~ ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 ) ),
    inference(pattern_uni,[status(thm)],[4216:[bind(A,$thf(sk2)),bind(B,$thf(sk3))]])).

thf(230,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk2 )
    | ( ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 )
     != ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 ) )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
     != ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) ) ),
    inference(paramod_ordered,[status(thm)],[121,214])).

thf(231,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk2 )
    | ( ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 )
     != ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 ) ) ),
    inference(pattern_uni,[status(thm)],[230:[]])).

thf(99,plain,(
    ! [C: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Erealax_2Ereal__lt @ A @ B )
      | ~ ( c_2Erealax_2Ereal__lt @ B @ C )
      | ( c_2Erealax_2Ereal__lt @ A @ C ) ) ),
    inference(cnf,[status(esa)],[98])).

thf(202,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
      | ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
      | ( c_2Ereal_2Ereal__lte @ A @ B )
      | ( ( c_2Erealax_2Ereal__lt @ B @ A )
       != ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) ) ) ),
    inference(paramod_ordered,[status(thm)],[102,112])).

thf(203,plain,
    ( ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 ) ),
    inference(pattern_uni,[status(thm)],[202:[bind(A,$thf(c_2Ereal_2Emin @ sk1 @ sk2)),bind(B,$thf(sk3))]])).

thf(8956,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 )
    | ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2 )
     != sk2 )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
     != ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 ) ) ),
    inference(paramod_ordered,[status(thm)],[6055,7998])).

thf(8957,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 )
    | ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2 )
     != sk2 ) ),
    inference(pattern_uni,[status(thm)],[8956:[]])).

thf(104,plain,(
    ! [C: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Erealax_2Ereal__lt @ A @ B )
      | ~ ( c_2Ereal_2Ereal__lte @ B @ C )
      | ( c_2Erealax_2Ereal__lt @ A @ C ) ) ),
    inference(cnf,[status(esa)],[103])).

thf(2918,plain,
    ( ~ ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 )
    | ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk1 )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
     != ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) ) ),
    inference(paramod_ordered,[status(thm)],[1229,2858])).

thf(2919,plain,
    ( ~ ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 )
    | ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk1 ) ),
    inference(pattern_uni,[status(thm)],[2918:[]])).

thf(677,plain,
    ( ~ ( ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
        & ~ ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 ) )
    | ~ ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 ) ),
    inference(bool_ext,[status(thm)],[237])).

thf(699,plain,
    ( ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 )
    | ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
    | ( c_2Ereal_2Ereal__lte @ sk2 @ sk3 ) ),
    inference(cnf,[status(esa)],[677])).

thf(4,axiom,(
    ! [A: $o] :
      ( ~ A
     => ( A
       => c_2Ebool_2EF ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EF__IMP)).

thf(23,plain,(
    ! [A: $o] :
      ( ~ A
     => ( A
       => c_2Ebool_2EF ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(8340,plain,
    ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
    | ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) @ sk1 @ sk2 ) )
    | ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
     != ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 ) ) ),
    inference(paramod_ordered,[status(thm)],[8003,348])).

thf(8341,plain,
    ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
    | ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) @ sk1 @ sk2 ) ) ),
    inference(pattern_uni,[status(thm)],[8340:[]])).

thf(314,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ( ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ A @ B ) @ A @ B ) @ sk3 ) )
       != ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
          & ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) ) )
      | ( ( c_2Ereal_2Emin @ A @ B )
       != ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[97,191])).

thf(315,plain,(
    ( ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) @ sk1 @ sk2 ) @ sk3 ) )
 != ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    & ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) ) ),
    inference(pattern_uni,[status(thm)],[314:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(9766,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2 )
       != sk2 )
      | ~ ( c_2Ereal_2Ereal__lte @ A @ B )
      | ( ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 )
       != ( c_2Erealax_2Ereal__lt @ B @ A ) ) ) ),
    inference(paramod_ordered,[status(thm)],[8957,102])).

thf(9767,plain,
    ( ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2 )
     != sk2 )
    | ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) ),
    inference(pattern_uni,[status(thm)],[9766:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(8932,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__lte @ A @ B )
      | ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2 )
       != sk2 )
      | ( ( c_2Erealax_2Ereal__lt @ B @ A )
       != ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[102,7998])).

thf(8933,plain,
    ( ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
    | ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2 )
     != sk2 ) ),
    inference(pattern_uni,[status(thm)],[8932:[bind(A,$thf(sk1)),bind(B,$thf(sk3))]])).

thf(304,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ A @ B ) @ A @ B ) )
       != ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
          & ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) ) )
      | ( ( c_2Ereal_2Emin @ A @ B )
       != ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[97,21])).

thf(305,plain,(
    ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) @ sk1 @ sk2 ) )
 != ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    & ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) ) ),
    inference(pattern_uni,[status(thm)],[304:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(209,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk2 )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
     != ( ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 ) ) )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
     != ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) ) ),
    inference(paramod_ordered,[status(thm)],[121,191])).

thf(210,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk2 )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
     != ( ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 ) ) ) ),
    inference(pattern_uni,[status(thm)],[209:[]])).

thf(228,plain,
    ( ~ ( ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
        & ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) )
    | ~ ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 ) ),
    inference(bool_ext,[status(thm)],[214])).

thf(242,plain,
    ( ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 )
    | ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
    | ~ ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) ),
    inference(cnf,[status(esa)],[228])).

thf(13818,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal_2Emin @ A @ B )
        = B )
      | ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 )
      | ( ( c_2Ereal_2Ereal__lte @ A @ B )
       != ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[332,12436])).

thf(13819,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk3 )
      = sk3 )
    | ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) ),
    inference(pattern_uni,[status(thm)],[13818:[bind(A,$thf(sk1)),bind(B,$thf(sk3))]])).

thf(194,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
      | ~ ( c_2Ereal_2Ereal__lte @ A @ B )
      | ( ( c_2Erealax_2Ereal__lt @ B @ A )
       != ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) ) ) ),
    inference(paramod_ordered,[status(thm)],[102,113])).

thf(195,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 ) ),
    inference(pattern_uni,[status(thm)],[194:[bind(A,$thf(c_2Ereal_2Emin @ sk1 @ sk2)),bind(B,$thf(sk3))]])).

thf(13786,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal_2Emin @ A @ B )
        = B )
      | ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
      | ( ( c_2Ereal_2Ereal__lte @ A @ B )
       != ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[332,5896])).

thf(13787,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk3 )
      = sk3 )
    | ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 ) ),
    inference(pattern_uni,[status(thm)],[13786:[bind(A,$thf(sk1)),bind(B,$thf(sk3))]])).

thf(6557,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
       != sk2 )
      | ~ ( c_2Ereal_2Ereal__lte @ A @ B )
      | ( ( c_2Erealax_2Ereal__lt @ sk2 @ sk1 )
       != ( c_2Erealax_2Ereal__lt @ B @ A ) ) ) ),
    inference(paramod_ordered,[status(thm)],[6096,102])).

thf(6558,plain,
    ( ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk2 )
    | ~ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) ),
    inference(pattern_uni,[status(thm)],[6557:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(11,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
         => A )
        = A )
      & ( ( A
         => c_2Ebool_2ET )
        = c_2Ebool_2ET )
      & ( ( c_2Ebool_2EF
         => A )
        = c_2Ebool_2ET )
      & ( ( A
         => A )
        = c_2Ebool_2ET )
      & ( ( A
         => c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__CLAUSES)).

thf(62,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
         => A )
        = A )
      & ( ( A
         => c_2Ebool_2ET )
        = c_2Ebool_2ET )
      & ( ( c_2Ebool_2EF
         => A )
        = c_2Ebool_2ET )
      & c_2Ebool_2ET
      & ( ( A
         => c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(217,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
     != ( ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 ) ) )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) )
     != ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 ) ) ),
    inference(paramod_ordered,[status(thm)],[113,191])).

thf(219,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
     != ( ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 ) ) )
    | ( sk3 != sk3 )
    | ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk1 ) ),
    inference(simp,[status(thm)],[217])).

thf(227,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
     != ( ~ ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Emin @ sk1 @ sk2 ) @ sk3 ) ) )
    | ( ( c_2Ereal_2Emin @ sk1 @ sk2 )
     != sk1 ) ),
    inference(simp,[status(thm)],[219])).

thf(308,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ A @ B ) @ A @ B )
       != sk2 )
      | ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 )
      | ( ( c_2Ereal_2Emin @ A @ B )
       != ( c_2Ereal_2Emin @ sk1 @ sk2 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[97,193])).

thf(309,plain,
    ( ( ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__lte @ sk1 @ sk2 ) @ sk1 @ sk2 )
     != sk2 )
    | ( c_2Ereal_2Ereal__lte @ sk1 @ sk3 ) ),
    inference(pattern_uni,[status(thm)],[308:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(1893,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
     != ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 ) )
    | ~ $true ),
    inference(eqfactor_ordered,[status(thm)],[1744])).

thf(1912,plain,
    ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 )
    | ( ( c_2Erealax_2Ereal__lt @ sk3 @ sk2 )
     != ( c_2Erealax_2Ereal__lt @ sk3 @ sk1 ) ) ),
    inference(simp,[status(thm)],[1893])).

thf(30753,plain,(
    $false ),
    inference(iprover,[status(thm)],[365,5896,16243,8005,6177,379,269,42,1724,2531,13841,325,57,216,321,485,12436,121,348,397,8001,8362,2982,307,1306,201,102,334,16259,12385,2560,28,38,21,137,13971,33,97,6096,224,317,156,2973,1856,2858,8429,193,7998,686,489,1744,1231,457,1246,237,244,205,311,13879,375,176,423,191,22,286,118,7180,204,12400,350,187,113,4228,274,81,8688,98,303,16177,6087,103,1838,1213,135,12341,438,1694,487,112,4859,48,8003,8263,95,327,409,199,177,10717,10365,8071,8327,2903,10992,72,8734,2939,8552,12402,43,4217,231,99,203,8957,104,2919,699,319,114,7959,23,235,346,214,8341,6055,315,8193,1229,9767,3892,19,8933,305,210,242,13819,16175,195,13787,6558,332,62,90,227,309,1912,100])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.07/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.07/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.07/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.07/0.13  % CPULimit   : 300
% 0.07/0.13  % DateTime   : Wed Jul 31 09:22:45 EDT 2019
% 0.07/0.13  % CPUTime    : 
% 4.07/1.57  % [INFO] 	 Running in sequential loop mode. 
% 4.85/1.76  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 5.12/1.82  % [INFO] 	 iprover registered as external prover. 
% 5.12/1.82  % [INFO] 	 e registered as external prover. 
% 5.12/1.82  % [INFO] 	 cvc4 registered as external prover. 
% 5.12/1.83  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.28/1.87  % [INFO] 	 Found a conjecture and 35 axioms. Running axiom selection ... 
% 5.28/1.93  % [INFO] 	 Axiom selection finished. Selected 16 axioms (removed 19 axioms). 
% 5.64/1.97  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 83.46/18.00  % [INFO] 	 Killing All external provers ... 
% 83.46/18.00  % Time passed: 17734ms
% 83.46/18.00  % Effective reasoning time: 16421ms
% 83.46/18.00  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 83.46/18.00  % Axioms used in derivation (16): thm_2Ebool_2ENOT__CLAUSES, thm_2Ereal_2EREAL__LT__TRANS, thm_2Esat_2EAND__INV__IMP, thm_2Esat_2EOR__DUAL3, thm_2Ebool_2EEQ__CLAUSES, thm_2Ebool_2EIMP__F, thm_2Ereal_2Emin__def, thm_2Ebool_2EFALSITY, thm_2Ebool_2ECOND__CLAUSES, thm_2Ebool_2EIMP__CLAUSES, thm_2Ereal_2EREAL__LTE__TRANS, thm_2Ebool_2ETRUTH, thm_2Ebool_2EF__IMP, thm_2Esat_2EAND__INV2, thm_2Esat_2EOR__DUAL2, thm_2Ereal_2EREAL__NOT__LE
% 83.46/18.00  % No. of inferences in proof: 345
% 83.46/18.00  % No. of processed clauses: 163
% 83.46/18.00  % No. of generated clauses: 11358
% 83.46/18.00  % No. of forward subsumed clauses: 485
% 83.46/18.00  % No. of backward subsumed clauses: 36
% 83.46/18.00  % No. of ground rewrite rules in store: 2
% 83.46/18.00  % No. of non-ground rewrite rules in store: 2
% 83.46/18.00  % No. of positive (non-rewrite) units in store: 2
% 83.46/18.00  % No. of negative (non-rewrite) units in store: 18
% 83.46/18.00  % No. of choice functions detected: 0
% 83.46/18.00  % No. of choice instantiations: 0
% 83.46/18.00  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 17734 ms resp. 16421 ms w/o parsing
% 83.60/18.07  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 83.60/18.07  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 83.60/18.07  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 83.60/18.07  thf(c_2Ebool_2ECOND_type, type, c_2Ebool_2ECOND: !>[TA: $tType]: ($o > (TA > (TA > TA)))).
% 83.60/18.07  thf(c_2Ebool_2EF_type, type, c_2Ebool_2EF: $o).
% 83.60/18.07  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 83.60/18.07  thf(c_2Ereal_2Emin_type, type, c_2Ereal_2Emin: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal))).
% 83.60/18.07  thf(c_2Erealax_2Ereal__lt_type, type, c_2Erealax_2Ereal__lt: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > $o))).
% 83.60/18.07  thf(c_2Ereal_2Ereal__lte_type, type, c_2Ereal_2Ereal__lte: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > $o))).
% 83.60/18.07  thf(sk1_type, type, sk1: tyop_2Erealax_2Ereal).
% 83.60/18.07  thf(sk2_type, type, sk2: tyop_2Erealax_2Ereal).
% 83.60/18.07  thf(sk3_type, type, sk3: tyop_2Erealax_2Ereal).
% 83.60/18.07  thf(17,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((~ (c_2Ereal_2Ereal__lte @ A @ B)) = (c_2Erealax_2Ereal__lt @ B @ A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__NOT__LE)).
% 83.60/18.07  thf(100,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((~ (c_2Ereal_2Ereal__lte @ A @ B)) = (c_2Erealax_2Ereal__lt @ B @ A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).
% 83.60/18.07  thf(101,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((~ (c_2Ereal_2Ereal__lte @ A @ B)) = (c_2Erealax_2Ereal__lt @ B @ A)))),inference(cnf,[status(esa)],[100])).
% 83.60/18.07  thf(102,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((~ (c_2Ereal_2Ereal__lte @ A @ B)) = (c_2Erealax_2Ereal__lt @ B @ A)))),inference(lifteq,[status(thm)],[101])).
% 83.60/18.07  thf(1,conjecture,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ C @ (c_2Ereal_2Emin @ A @ B)) = ((c_2Erealax_2Ereal__lt @ C @ A) & (c_2Erealax_2Ereal__lt @ C @ B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eintegral_2EREAL__LT__MIN)).
% 83.60/18.07  thf(2,negated_conjecture,((~ (! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ C @ (c_2Ereal_2Emin @ A @ B)) = ((c_2Erealax_2Ereal__lt @ C @ A) & (c_2Erealax_2Ereal__lt @ C @ B)))))),inference(neg_conjecture,[status(cth)],[1])).
% 83.60/18.07  thf(19,plain,((~ (! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ C @ (c_2Ereal_2Emin @ A @ B)) = ((c_2Erealax_2Ereal__lt @ C @ A) & (c_2Erealax_2Ereal__lt @ C @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 83.60/18.07  thf(20,plain,((~ ((c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2)) = ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) & (c_2Erealax_2Ereal__lt @ sk3 @ sk2))))),inference(cnf,[status(esa)],[19])).
% 83.60/18.07  thf(21,plain,(((c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2)) != ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) & (c_2Erealax_2Ereal__lt @ sk3 @ sk2)))),inference(lifteq,[status(thm)],[20])).
% 83.60/18.07  thf(190,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((~ (c_2Ereal_2Ereal__lte @ A @ B)) != ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) & (c_2Erealax_2Ereal__lt @ sk3 @ sk2))) | ((c_2Erealax_2Ereal__lt @ B @ A) != (c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2))))),inference(paramod_ordered,[status(thm)],[102,21])).
% 83.60/18.07  thf(191,plain,(((~ (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3)) != ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) & (c_2Erealax_2Ereal__lt @ sk3 @ sk2)))),inference(pattern_uni,[status(thm)],[190:[bind(A, $thf(c_2Ereal_2Emin @ sk1 @ sk2)),bind(B, $thf(sk3))]])).
% 83.60/18.07  thf(213,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((~ (c_2Ereal_2Ereal__lte @ A @ B) & (c_2Erealax_2Ereal__lt @ sk3 @ sk2)) != (~ (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3))) | ((c_2Erealax_2Ereal__lt @ B @ A) != (c_2Erealax_2Ereal__lt @ sk3 @ sk1)))),inference(paramod_ordered,[status(thm)],[102,191])).
% 83.60/18.07  thf(214,plain,(((~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3) & (c_2Erealax_2Ereal__lt @ sk3 @ sk2)) != (~ (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3)))),inference(pattern_uni,[status(thm)],[213:[bind(A, $thf(sk1)),bind(B, $thf(sk3))]])).
% 83.60/18.07  thf(234,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((c_2Erealax_2Ereal__lt @ B @ A) != (~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3) & (c_2Erealax_2Ereal__lt @ sk3 @ sk2))) | ((~ (c_2Ereal_2Ereal__lte @ A @ B)) != (~ (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3))))),inference(paramod_ordered,[status(thm)],[102,214])).
% 83.60/18.07  thf(235,plain,(((c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2)) != (~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3) & (c_2Erealax_2Ereal__lt @ sk3 @ sk2)))),inference(pattern_uni,[status(thm)],[234:[bind(A, $thf(c_2Ereal_2Emin @ sk1 @ sk2)),bind(B, $thf(sk3))]])).
% 83.60/18.07  thf(337,plain,((c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2)) | (~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3) & (c_2Erealax_2Ereal__lt @ sk3 @ sk2))),inference(bool_ext,[status(thm)],[235])).
% 83.60/18.07  thf(365,plain,((~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3)) | (c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2))),inference(cnf,[status(esa)],[337])).
% 83.60/18.07  thf(14,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: (((c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B) = A) & ((c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B) = B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ECOND__CLAUSES)).
% 83.60/18.07  thf(90,plain,((! [TA: $tType]: (! [A:TA,B:TA]: (((c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B) = A) & ((c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B) = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).
% 83.60/18.07  thf(92,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B) = A))),inference(cnf,[status(esa)],[90])).
% 83.60/18.07  thf(94,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B) = A))),inference(lifteq,[status(thm)],[92])).
% 83.60/18.07  thf(3,axiom,(c_2Ebool_2ET),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).
% 83.60/18.07  thf(22,plain,(c_2Ebool_2ET),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 83.60/18.07  thf(177,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Ebool_2ECOND @ TA @ $true @ A @ B) = A))),inference(rewrite,[status(thm)],[94,22])).
% 83.60/18.07  thf(91,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B) = B))),inference(cnf,[status(esa)],[90])).
% 83.60/18.07  thf(93,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B) = B))),inference(lifteq,[status(thm)],[91])).
% 83.60/18.07  thf(7,axiom,((! [A:$o]: ((c_2Ebool_2EF) => (A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EFALSITY)).
% 83.60/18.07  thf(38,plain,((! [A:$o]: ((c_2Ebool_2EF) => (A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 83.60/18.07  thf(41,plain,(((c_2Ebool_2EF) => ($false))),inference(instance,[status(thm)],[38])).
% 83.60/18.07  thf(42,plain,(~ (c_2Ebool_2EF)),inference(simp,[status(thm)],[41])).
% 83.60/18.07  thf(176,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Ebool_2ECOND @ TA @ $false @ A @ B) = B))),inference(rewrite,[status(thm)],[93,42])).
% 83.60/18.07  thf(15,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Emin @ A @ B) = (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ A @ B) @ A @ B)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal_2Emin__def)).
% 83.60/18.07  thf(95,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Emin @ A @ B) = (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ A @ B) @ A @ B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).
% 83.60/18.07  thf(96,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((c_2Ereal_2Emin @ A @ B) = (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ A @ B) @ A @ B)))),inference(cnf,[status(esa)],[95])).
% 83.60/18.07  thf(97,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((c_2Ereal_2Emin @ A @ B) = (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ A @ B) @ A @ B)))),inference(lifteq,[status(thm)],[96])).
% 83.60/18.07  thf(111,plain,((c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2)) | ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) & (c_2Erealax_2Ereal__lt @ sk3 @ sk2))),inference(bool_ext,[status(thm)],[21])).
% 83.60/18.07  thf(113,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk2) | (c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2))),inference(cnf,[status(esa)],[111])).
% 83.60/18.07  thf(318,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((c_2Erealax_2Ereal__lt @ sk3 @ sk2) | (c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ A @ B) @ A @ B)) | ((c_2Ereal_2Emin @ A @ B) != (c_2Ereal_2Emin @ sk1 @ sk2)))),inference(paramod_ordered,[status(thm)],[97,113])).
% 83.60/18.07  thf(319,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk2) | (c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ sk1 @ sk2) @ sk1 @ sk2))),inference(pattern_uni,[status(thm)],[318:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 83.60/18.07  thf(1133,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((c_2Erealax_2Ereal__lt @ sk3 @ sk2) | (c_2Erealax_2Ereal__lt @ sk3 @ B) | ((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $false @ A @ B) != (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ sk1 @ sk2) @ sk1 @ sk2)))),inference(paramod_ordered,[status(thm)],[176,319])).
% 83.60/18.07  thf(1181,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((c_2Erealax_2Ereal__lt @ sk3 @ sk2) | (c_2Erealax_2Ereal__lt @ sk3 @ B) | (c_2Ereal_2Ereal__lte @ sk1 @ sk2) | (A != sk1) | (B != sk2))),inference(simp,[status(thm)],[1133])).
% 83.60/18.07  thf(1212,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk2) | (c_2Erealax_2Ereal__lt @ sk3 @ sk2) | (c_2Ereal_2Ereal__lte @ sk1 @ sk2)),inference(simp,[status(thm)],[1181])).
% 83.60/18.07  thf(1213,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk2) | (c_2Ereal_2Ereal__lte @ sk1 @ sk2)),inference(simp,[status(thm)],[1212])).
% 83.60/18.07  thf(1245,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk2) | (c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2)) | ((c_2Ereal_2Ereal__lte @ sk1 @ sk2) != (c_2Ereal_2Ereal__lte @ sk1 @ sk2))),inference(paramod_ordered,[status(thm)],[1213,319])).
% 83.60/18.07  thf(1246,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk2) | (c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2))),inference(pattern_uni,[status(thm)],[1245:[]])).
% 83.60/18.07  thf(1723,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((c_2Erealax_2Ereal__lt @ sk3 @ sk2) | (~ (c_2Ereal_2Ereal__lte @ A @ B)) | ((c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2)) != (c_2Erealax_2Ereal__lt @ B @ A)))),inference(paramod_ordered,[status(thm)],[1246,102])).
% 83.60/18.07  thf(1724,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk2) | (~ (c_2Ereal_2Ereal__lte @ (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2) @ sk3))),inference(pattern_uni,[status(thm)],[1723:[bind(A, $thf(c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2)),bind(B, $thf(sk3))]])).
% 83.60/18.07  thf(5895,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((c_2Erealax_2Ereal__lt @ sk3 @ sk2) | (~ (c_2Ereal_2Ereal__lte @ A @ sk3)) | ((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ A @ B) != (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2)))),inference(paramod_ordered,[status(thm)],[177,1724])).
% 83.60/18.07  thf(5896,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk2) | (~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3))),inference(pattern_uni,[status(thm)],[5895:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 83.60/18.07  thf(184,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (~ (c_2Ereal_2Ereal__lte @ A @ B))) | (c_2Erealax_2Ereal__lt @ B @ A))),inference(bool_ext,[status(thm)],[102])).
% 83.60/18.07  thf(205,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((c_2Erealax_2Ereal__lt @ B @ A) | (c_2Ereal_2Ereal__lte @ A @ B))),inference(cnf,[status(esa)],[184])).
% 83.60/18.07  thf(323,plain,(! [D:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((A = (c_2Ereal_2Emin @ C @ D)) | ((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ A @ B) != (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ C @ D) @ C @ D)))),inference(paramod_ordered,[status(thm)],[177,97])).
% 83.60/18.07  thf(330,plain,(! [D:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((A = (c_2Ereal_2Emin @ C @ D)) | (~ (c_2Ereal_2Ereal__lte @ C @ D)) | (A != C) | (B != D))),inference(simp,[status(thm)],[323])).
% 83.60/18.07  thf(334,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((c_2Ereal_2Emin @ A @ B) = A) | (~ (c_2Ereal_2Ereal__lte @ A @ B)))),inference(simp,[status(thm)],[330])).
% 83.60/18.07  thf(114,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk1) | (c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2))),inference(cnf,[status(esa)],[111])).
% 83.60/18.07  thf(262,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk1) | ((c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2)) != (c_2Erealax_2Ereal__lt @ sk3 @ sk1)) | ~ ($true)),inference(eqfactor_ordered,[status(thm)],[114])).
% 83.60/18.07  thf(270,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk1) | (sk3 != sk3) | ((c_2Ereal_2Emin @ sk1 @ sk2) != sk1)),inference(simp,[status(thm)],[262])).
% 83.60/18.07  thf(274,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk1) | ((c_2Ereal_2Emin @ sk1 @ sk2) != sk1)),inference(simp,[status(thm)],[270])).
% 83.60/18.07  thf(110,plain,((~ (c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2))) | (~ ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) & (c_2Erealax_2Ereal__lt @ sk3 @ sk2)))),inference(bool_ext,[status(thm)],[21])).
% 83.60/18.07  thf(112,plain,((~ (c_2Erealax_2Ereal__lt @ sk3 @ sk1)) | (~ (c_2Erealax_2Ereal__lt @ sk3 @ sk2)) | (~ (c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2)))),inference(cnf,[status(esa)],[110])).
% 83.60/18.07  thf(133,plain,((~ (c_2Erealax_2Ereal__lt @ sk3 @ sk1)) | (~ (c_2Erealax_2Ereal__lt @ sk3 @ sk2)) | ((c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2)) != (c_2Erealax_2Ereal__lt @ sk3 @ sk1)) | ~ ($true)),inference(eqfactor_ordered,[status(thm)],[112])).
% 83.60/18.07  thf(136,plain,((~ (c_2Erealax_2Ereal__lt @ sk3 @ sk1)) | (~ (c_2Erealax_2Ereal__lt @ sk3 @ sk2)) | (sk3 != sk3) | ((c_2Ereal_2Emin @ sk1 @ sk2) != sk1)),inference(simp,[status(thm)],[133])).
% 83.60/18.07  thf(142,plain,((~ (c_2Erealax_2Ereal__lt @ sk3 @ sk1)) | (~ (c_2Erealax_2Ereal__lt @ sk3 @ sk2)) | ((c_2Ereal_2Emin @ sk1 @ sk2) != sk1)),inference(simp,[status(thm)],[136])).
% 83.60/18.07  thf(2857,plain,(((c_2Ereal_2Emin @ sk1 @ sk2) != sk1) | (~ (c_2Erealax_2Ereal__lt @ sk3 @ sk2)) | ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) != (c_2Erealax_2Ereal__lt @ sk3 @ sk1))),inference(paramod_ordered,[status(thm)],[274,142])).
% 83.60/18.07  thf(2858,plain,(((c_2Ereal_2Emin @ sk1 @ sk2) != sk1) | (~ (c_2Erealax_2Ereal__lt @ sk3 @ sk2))),inference(pattern_uni,[status(thm)],[2857:[]])).
% 83.60/18.07  thf(2902,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((c_2Ereal_2Emin @ sk1 @ sk2) != sk1) | (c_2Ereal_2Ereal__lte @ A @ B) | ((c_2Erealax_2Ereal__lt @ B @ A) != (c_2Erealax_2Ereal__lt @ sk3 @ sk2)))),inference(paramod_ordered,[status(thm)],[102,2858])).
% 83.60/18.07  thf(2903,plain,(((c_2Ereal_2Emin @ sk1 @ sk2) != sk1) | (c_2Ereal_2Ereal__lte @ sk2 @ sk3)),inference(pattern_uni,[status(thm)],[2902:[bind(A, $thf(sk2)),bind(B, $thf(sk3))]])).
% 83.60/18.07  thf(16088,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Ereal_2Ereal__lte @ A @ B)) | (A != sk1) | (c_2Ereal_2Ereal__lte @ sk2 @ sk3) | ((c_2Ereal_2Emin @ A @ B) != (c_2Ereal_2Emin @ sk1 @ sk2)))),inference(paramod_ordered,[status(thm)],[334,2903])).
% 83.60/18.07  thf(16089,plain,((~ (c_2Ereal_2Ereal__lte @ sk1 @ sk2)) | (sk1 != sk1) | (c_2Ereal_2Ereal__lte @ sk2 @ sk3)),inference(pattern_uni,[status(thm)],[16088:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 83.60/18.07  thf(16175,plain,((~ (c_2Ereal_2Ereal__lte @ sk1 @ sk2)) | (c_2Ereal_2Ereal__lte @ sk2 @ sk3)),inference(simp,[status(thm)],[16089])).
% 83.60/18.07  thf(16242,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((c_2Erealax_2Ereal__lt @ B @ A) | (c_2Ereal_2Ereal__lte @ sk2 @ sk3) | ((c_2Ereal_2Ereal__lte @ A @ B) != (c_2Ereal_2Ereal__lte @ sk1 @ sk2)))),inference(paramod_ordered,[status(thm)],[205,16175])).
% 83.60/18.07  thf(16243,plain,((c_2Erealax_2Ereal__lt @ sk2 @ sk1) | (c_2Ereal_2Ereal__lte @ sk2 @ sk3)),inference(pattern_uni,[status(thm)],[16242:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 83.60/18.07  thf(345,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3) & ~ (c_2Ereal_2Ereal__lte @ A @ B)) != (c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2))) | ((c_2Erealax_2Ereal__lt @ B @ A) != (c_2Erealax_2Ereal__lt @ sk3 @ sk2)))),inference(paramod_ordered,[status(thm)],[102,235])).
% 83.60/18.07  thf(346,plain,(((~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3) & ~ (c_2Ereal_2Ereal__lte @ sk2 @ sk3)) != (c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2)))),inference(pattern_uni,[status(thm)],[345:[bind(A, $thf(sk2)),bind(B, $thf(sk3))]])).
% 83.60/18.07  thf(463,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk1) | (~ (~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3) & ~ (c_2Ereal_2Ereal__lte @ sk2 @ sk3))) | ((c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2)) != (c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2)))),inference(paramod_ordered,[status(thm)],[114,346])).
% 83.60/18.07  thf(464,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk1) | (~ (~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3) & ~ (c_2Ereal_2Ereal__lte @ sk2 @ sk3)))),inference(pattern_uni,[status(thm)],[463:[]])).
% 83.60/18.07  thf(472,plain,((c_2Ereal_2Ereal__lte @ sk1 @ sk3) | (c_2Ereal_2Ereal__lte @ sk2 @ sk3) | (c_2Erealax_2Ereal__lt @ sk3 @ sk1)),inference(cnf,[status(esa)],[464])).
% 83.60/18.07  thf(1743,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((c_2Erealax_2Ereal__lt @ sk3 @ sk2) | (c_2Erealax_2Ereal__lt @ sk3 @ A) | ((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ A @ B) != (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2)))),inference(paramod_ordered,[status(thm)],[177,1246])).
% 83.60/18.07  thf(1744,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk2) | (c_2Erealax_2Ereal__lt @ sk3 @ sk1)),inference(pattern_uni,[status(thm)],[1743:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 83.60/18.07  thf(1855,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) | (~ (c_2Ereal_2Ereal__lte @ A @ B)) | ((c_2Erealax_2Ereal__lt @ sk3 @ sk2) != (c_2Erealax_2Ereal__lt @ B @ A)))),inference(paramod_ordered,[status(thm)],[1744,102])).
% 83.60/18.07  thf(1856,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk1) | (~ (c_2Ereal_2Ereal__lte @ sk2 @ sk3))),inference(pattern_uni,[status(thm)],[1855:[bind(A, $thf(sk2)),bind(B, $thf(sk3))]])).
% 83.60/18.07  thf(2530,plain,((c_2Ereal_2Ereal__lte @ sk1 @ sk3) | (c_2Erealax_2Ereal__lt @ sk3 @ sk1) | ((c_2Ereal_2Ereal__lte @ sk2 @ sk3) != (c_2Ereal_2Ereal__lte @ sk2 @ sk3))),inference(paramod_ordered,[status(thm)],[472,1856])).
% 83.60/18.07  thf(2531,plain,((c_2Ereal_2Ereal__lte @ sk1 @ sk3) | (c_2Erealax_2Ereal__lt @ sk3 @ sk1)),inference(pattern_uni,[status(thm)],[2530:[]])).
% 83.60/18.07  thf(2559,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) | ((c_2Ereal_2Emin @ A @ B) = (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ A @ B)) | ((c_2Ereal_2Ereal__lte @ sk1 @ sk3) != (c_2Ereal_2Ereal__lte @ A @ B)))),inference(paramod_ordered,[status(thm)],[2531,97])).
% 83.60/18.07  thf(2560,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk1) | ((c_2Ereal_2Emin @ sk1 @ sk3) = (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk3))),inference(pattern_uni,[status(thm)],[2559:[bind(A, $thf(sk1)),bind(B, $thf(sk3))]])).
% 83.60/18.07  thf(117,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk2) | ((c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2)) != (c_2Erealax_2Ereal__lt @ sk3 @ sk2)) | ~ ($true)),inference(eqfactor_ordered,[status(thm)],[113])).
% 83.60/18.07  thf(119,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk2) | (sk3 != sk3) | ((c_2Ereal_2Emin @ sk1 @ sk2) != sk2)),inference(simp,[status(thm)],[117])).
% 83.60/18.07  thf(121,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk2) | ((c_2Ereal_2Emin @ sk1 @ sk2) != sk2)),inference(simp,[status(thm)],[119])).
% 83.60/18.07  thf(134,plain,((~ (c_2Erealax_2Ereal__lt @ sk3 @ sk1)) | (~ (c_2Erealax_2Ereal__lt @ sk3 @ sk2)) | ((c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2)) != (c_2Erealax_2Ereal__lt @ sk3 @ sk2)) | ~ ($true)),inference(eqfactor_ordered,[status(thm)],[112])).
% 83.60/18.07  thf(138,plain,((~ (c_2Erealax_2Ereal__lt @ sk3 @ sk1)) | (~ (c_2Erealax_2Ereal__lt @ sk3 @ sk2)) | (sk3 != sk3) | ((c_2Ereal_2Emin @ sk1 @ sk2) != sk2)),inference(simp,[status(thm)],[134])).
% 83.60/18.07  thf(140,plain,((~ (c_2Erealax_2Ereal__lt @ sk3 @ sk1)) | (~ (c_2Erealax_2Ereal__lt @ sk3 @ sk2)) | ((c_2Ereal_2Emin @ sk1 @ sk2) != sk2)),inference(simp,[status(thm)],[138])).
% 83.60/18.07  thf(155,plain,(((c_2Ereal_2Emin @ sk1 @ sk2) != sk2) | (~ (c_2Erealax_2Ereal__lt @ sk3 @ sk1)) | ((c_2Erealax_2Ereal__lt @ sk3 @ sk2) != (c_2Erealax_2Ereal__lt @ sk3 @ sk2))),inference(paramod_ordered,[status(thm)],[121,140])).
% 83.60/18.07  thf(156,plain,(((c_2Ereal_2Emin @ sk1 @ sk2) != sk2) | (~ (c_2Erealax_2Ereal__lt @ sk3 @ sk1))),inference(pattern_uni,[status(thm)],[155:[]])).
% 83.60/18.07  thf(306,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ A @ B) @ A @ B) != sk2) | (~ (c_2Erealax_2Ereal__lt @ sk3 @ sk1)) | ((c_2Ereal_2Emin @ A @ B) != (c_2Ereal_2Emin @ sk1 @ sk2)))),inference(paramod_ordered,[status(thm)],[97,156])).
% 83.60/18.07  thf(307,plain,(((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ sk1 @ sk2) @ sk1 @ sk2) != sk2) | (~ (c_2Erealax_2Ereal__lt @ sk3 @ sk1))),inference(pattern_uni,[status(thm)],[306:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 83.60/18.07  thf(7910,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((B != sk2) | (~ (c_2Erealax_2Ereal__lt @ sk3 @ sk1)) | ((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $false @ A @ B) != (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ sk1 @ sk2) @ sk1 @ sk2)))),inference(paramod_ordered,[status(thm)],[176,307])).
% 83.60/18.07  thf(7945,plain,(! [A:tyop_2Erealax_2Ereal] : ((~ (c_2Erealax_2Ereal__lt @ sk3 @ sk1)) | (c_2Ereal_2Ereal__lte @ sk1 @ sk2) | (A != sk1) | (sk2 != sk2))),inference(simp,[status(thm)],[7910])).
% 83.60/18.07  thf(7959,plain,((~ (c_2Erealax_2Ereal__lt @ sk3 @ sk1)) | (c_2Ereal_2Ereal__lte @ sk1 @ sk2)),inference(simp,[status(thm)],[7945])).
% 83.60/18.07  thf(8004,plain,(((c_2Ereal_2Emin @ sk1 @ sk3) = (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk3)) | (c_2Ereal_2Ereal__lte @ sk1 @ sk2) | ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) != (c_2Erealax_2Ereal__lt @ sk3 @ sk1))),inference(paramod_ordered,[status(thm)],[2560,7959])).
% 83.60/18.07  thf(8005,plain,(((c_2Ereal_2Emin @ sk1 @ sk3) = (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk3)) | (c_2Ereal_2Ereal__lte @ sk1 @ sk2)),inference(pattern_uni,[status(thm)],[8004:[]])).
% 83.60/18.07  thf(324,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) | (c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ A @ B) @ A @ B)) | ((c_2Ereal_2Emin @ A @ B) != (c_2Ereal_2Emin @ sk1 @ sk2)))),inference(paramod_ordered,[status(thm)],[97,114])).
% 83.60/18.07  thf(325,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk1) | (c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ sk1 @ sk2) @ sk1 @ sk2))),inference(pattern_uni,[status(thm)],[324:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 83.60/18.07  thf(3786,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) | (c_2Erealax_2Ereal__lt @ sk3 @ A) | ((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ A @ B) != (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ sk1 @ sk2) @ sk1 @ sk2)))),inference(paramod_ordered,[status(thm)],[177,325])).
% 83.60/18.07  thf(3837,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) | (c_2Erealax_2Ereal__lt @ sk3 @ A) | (~ (c_2Ereal_2Ereal__lte @ sk1 @ sk2)) | (A != sk1) | (B != sk2))),inference(simp,[status(thm)],[3786])).
% 83.60/18.07  thf(3891,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk1) | (c_2Erealax_2Ereal__lt @ sk3 @ sk1) | (~ (c_2Ereal_2Ereal__lte @ sk1 @ sk2))),inference(simp,[status(thm)],[3837])).
% 83.60/18.07  thf(3892,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk1) | (~ (c_2Ereal_2Ereal__lte @ sk1 @ sk2))),inference(simp,[status(thm)],[3891])).
% 83.60/18.07  thf(6054,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((c_2Erealax_2Ereal__lt @ B @ A) | (c_2Erealax_2Ereal__lt @ sk3 @ sk1) | ((c_2Ereal_2Ereal__lte @ A @ B) != (c_2Ereal_2Ereal__lte @ sk1 @ sk2)))),inference(paramod_ordered,[status(thm)],[205,3892])).
% 83.60/18.07  thf(6055,plain,((c_2Erealax_2Ereal__lt @ sk2 @ sk1) | (c_2Erealax_2Ereal__lt @ sk3 @ sk1)),inference(pattern_uni,[status(thm)],[6054:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 83.60/18.07  thf(6141,plain,((c_2Erealax_2Ereal__lt @ sk2 @ sk1) | ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) != (c_2Erealax_2Ereal__lt @ sk2 @ sk1)) | ~ ($true)),inference(eqfactor_ordered,[status(thm)],[6055])).
% 83.60/18.07  thf(6177,plain,((c_2Erealax_2Ereal__lt @ sk2 @ sk1) | ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) != (c_2Erealax_2Ereal__lt @ sk2 @ sk1))),inference(simp,[status(thm)],[6141])).
% 83.60/18.08  thf(215,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((((c_2Erealax_2Ereal__lt @ sk3 @ sk1) & ~ (c_2Ereal_2Ereal__lte @ A @ B)) != (~ (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3))) | ((c_2Erealax_2Ereal__lt @ B @ A) != (c_2Erealax_2Ereal__lt @ sk3 @ sk2)))),inference(paramod_ordered,[status(thm)],[102,191])).
% 83.60/18.08  thf(216,plain,((((c_2Erealax_2Ereal__lt @ sk3 @ sk1) & ~ (c_2Ereal_2Ereal__lte @ sk2 @ sk3)) != (~ (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3)))),inference(pattern_uni,[status(thm)],[215:[bind(A, $thf(sk2)),bind(B, $thf(sk3))]])).
% 83.60/18.08  thf(378,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((~ (c_2Ereal_2Ereal__lte @ (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ A @ B) @ A @ B) @ sk3)) != ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) & ~ (c_2Ereal_2Ereal__lte @ sk2 @ sk3))) | ((c_2Ereal_2Emin @ A @ B) != (c_2Ereal_2Emin @ sk1 @ sk2)))),inference(paramod_ordered,[status(thm)],[97,216])).
% 83.60/18.08  thf(379,plain,(((~ (c_2Ereal_2Ereal__lte @ (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ sk1 @ sk2) @ sk1 @ sk2) @ sk3)) != ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) & ~ (c_2Ereal_2Ereal__lte @ sk2 @ sk3)))),inference(pattern_uni,[status(thm)],[378:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 83.60/18.08  thf(269,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk1) | ((c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2)) != (c_2Erealax_2Ereal__lt @ sk3 @ sk1))),inference(simp,[status(thm)],[262])).
% 83.60/18.08  thf(313,plain,(! [D:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((B = (c_2Ereal_2Emin @ C @ D)) | ((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $false @ A @ B) != (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ C @ D) @ C @ D)))),inference(paramod_ordered,[status(thm)],[176,97])).
% 83.60/18.08  thf(329,plain,(! [D:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((B = (c_2Ereal_2Emin @ C @ D)) | (c_2Ereal_2Ereal__lte @ C @ D) | (A != C) | (B != D))),inference(simp,[status(thm)],[313])).
% 83.60/18.08  thf(332,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((c_2Ereal_2Emin @ A @ B) = B) | (c_2Ereal_2Ereal__lte @ A @ B))),inference(simp,[status(thm)],[329])).
% 83.60/18.08  thf(1228,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((c_2Erealax_2Ereal__lt @ sk3 @ sk2) | (~ (c_2Erealax_2Ereal__lt @ B @ A)) | ((c_2Ereal_2Ereal__lte @ sk1 @ sk2) != (c_2Ereal_2Ereal__lte @ A @ B)))),inference(paramod_ordered,[status(thm)],[1213,102])).
% 83.60/18.08  thf(1229,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk2) | (~ (c_2Erealax_2Ereal__lt @ sk2 @ sk1))),inference(pattern_uni,[status(thm)],[1228:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 83.60/18.08  thf(1305,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Erealax_2Ereal__lt @ sk2 @ sk1)) | (~ (c_2Ereal_2Ereal__lte @ A @ B)) | ((c_2Erealax_2Ereal__lt @ sk3 @ sk2) != (c_2Erealax_2Ereal__lt @ B @ A)))),inference(paramod_ordered,[status(thm)],[1229,102])).
% 83.60/18.08  thf(1306,plain,((~ (c_2Erealax_2Ereal__lt @ sk2 @ sk1)) | (~ (c_2Ereal_2Ereal__lte @ sk2 @ sk3))),inference(pattern_uni,[status(thm)],[1305:[bind(A, $thf(sk2)),bind(B, $thf(sk3))]])).
% 83.60/18.08  thf(13840,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((c_2Ereal_2Emin @ A @ B) = B) | (~ (c_2Erealax_2Ereal__lt @ sk2 @ sk1)) | ((c_2Ereal_2Ereal__lte @ A @ B) != (c_2Ereal_2Ereal__lte @ sk2 @ sk3)))),inference(paramod_ordered,[status(thm)],[332,1306])).
% 83.60/18.08  thf(13841,plain,(((c_2Ereal_2Emin @ sk2 @ sk3) = sk3) | (~ (c_2Erealax_2Ereal__lt @ sk2 @ sk1))),inference(pattern_uni,[status(thm)],[13840:[bind(A, $thf(sk2)),bind(B, $thf(sk3))]])).
% 83.60/18.08  thf(10,axiom,((! [A:$o]: (((A) => (c_2Ebool_2EF)) => (~ (A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__F)).
% 83.60/18.08  thf(57,plain,((! [A:$o]: (((A) => (c_2Ebool_2EF)) => (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 83.60/18.08  thf(320,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Erealax_2Ereal__lt @ sk3 @ sk1)) | (~ (c_2Erealax_2Ereal__lt @ sk3 @ sk2)) | (~ (c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ A @ B) @ A @ B))) | ((c_2Ereal_2Emin @ A @ B) != (c_2Ereal_2Emin @ sk1 @ sk2)))),inference(paramod_ordered,[status(thm)],[97,112])).
% 83.60/18.08  thf(321,plain,((~ (c_2Erealax_2Ereal__lt @ sk3 @ sk1)) | (~ (c_2Erealax_2Ereal__lt @ sk3 @ sk2)) | (~ (c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ sk1 @ sk2) @ sk1 @ sk2)))),inference(pattern_uni,[status(thm)],[320:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 83.60/18.08  thf(229,plain,((~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3) & (c_2Erealax_2Ereal__lt @ sk3 @ sk2)) | (~ (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3))),inference(bool_ext,[status(thm)],[214])).
% 83.60/18.08  thf(244,plain,((~ (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3)) | (~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3))),inference(cnf,[status(esa)],[229])).
% 83.60/18.08  thf(480,plain,((~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3)) | ((c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3) != (c_2Ereal_2Ereal__lte @ sk1 @ sk3)) | ~ ($true)),inference(eqfactor_ordered,[status(thm)],[244])).
% 83.60/18.08  thf(483,plain,((~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3)) | ((c_2Ereal_2Emin @ sk1 @ sk2) != sk1) | (sk3 != sk3)),inference(simp,[status(thm)],[480])).
% 83.60/18.08  thf(485,plain,((~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3)) | ((c_2Ereal_2Emin @ sk1 @ sk2) != sk1)),inference(simp,[status(thm)],[483])).
% 83.60/18.08  thf(486,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3)) | ((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ A @ B) @ A @ B) != sk1) | ((c_2Ereal_2Emin @ A @ B) != (c_2Ereal_2Emin @ sk1 @ sk2)))),inference(paramod_ordered,[status(thm)],[97,485])).
% 83.60/18.08  thf(487,plain,((~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3)) | ((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ sk1 @ sk2) @ sk1 @ sk2) != sk1)),inference(pattern_uni,[status(thm)],[486:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 83.60/18.08  thf(12266,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3)) | (A != sk1) | ((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ A @ B) != (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ sk1 @ sk2) @ sk1 @ sk2)))),inference(paramod_ordered,[status(thm)],[177,487])).
% 83.60/18.08  thf(12318,plain,(! [A:tyop_2Erealax_2Ereal] : ((~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3)) | (~ (c_2Ereal_2Ereal__lte @ sk1 @ sk2)) | (sk1 != sk1) | (A != sk2))),inference(simp,[status(thm)],[12266])).
% 83.60/18.08  thf(12341,plain,((~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3)) | (~ (c_2Ereal_2Ereal__lte @ sk1 @ sk2))),inference(simp,[status(thm)],[12318])).
% 83.60/18.08  thf(12412,plain,((~ (c_2Ereal_2Ereal__lte @ sk1 @ sk2)) | ((c_2Ereal_2Ereal__lte @ sk1 @ sk3) != (c_2Ereal_2Ereal__lte @ sk1 @ sk2)) | ~ ($true)),inference(eqfactor_ordered,[status(thm)],[12341])).
% 83.60/18.08  thf(12436,plain,((~ (c_2Ereal_2Ereal__lte @ sk1 @ sk2)) | ((c_2Ereal_2Ereal__lte @ sk1 @ sk3) != (c_2Ereal_2Ereal__lte @ sk1 @ sk2))),inference(simp,[status(thm)],[12412])).
% 83.60/18.08  thf(347,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ A @ B) @ A @ B)) != (~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3) & (c_2Erealax_2Ereal__lt @ sk3 @ sk2))) | ((c_2Ereal_2Emin @ A @ B) != (c_2Ereal_2Emin @ sk1 @ sk2)))),inference(paramod_ordered,[status(thm)],[97,235])).
% 83.60/18.08  thf(348,plain,(((c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ sk1 @ sk2) @ sk1 @ sk2)) != (~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3) & (c_2Erealax_2Ereal__lt @ sk3 @ sk2)))),inference(pattern_uni,[status(thm)],[347:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 83.60/18.08  thf(370,plain,(((c_2Erealax_2Ereal__lt @ sk3 @ sk1) & ~ (c_2Ereal_2Ereal__lte @ sk2 @ sk3)) | (~ (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3))),inference(bool_ext,[status(thm)],[216])).
% 83.60/18.08  thf(397,plain,((~ (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3)) | (~ (c_2Ereal_2Ereal__lte @ sk2 @ sk3))),inference(cnf,[status(esa)],[370])).
% 83.60/18.08  thf(8000,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Erealax_2Ereal__lt @ sk3 @ sk1)) | (~ (c_2Erealax_2Ereal__lt @ B @ A)) | ((c_2Ereal_2Ereal__lte @ sk1 @ sk2) != (c_2Ereal_2Ereal__lte @ A @ B)))),inference(paramod_ordered,[status(thm)],[7959,102])).
% 83.60/18.08  thf(8001,plain,((~ (c_2Erealax_2Ereal__lt @ sk3 @ sk1)) | (~ (c_2Erealax_2Ereal__lt @ sk2 @ sk1))),inference(pattern_uni,[status(thm)],[8000:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 83.60/18.08  thf(8002,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((c_2Ereal_2Ereal__lte @ A @ B) | (c_2Ereal_2Ereal__lte @ sk1 @ sk2) | ((c_2Erealax_2Ereal__lt @ B @ A) != (c_2Erealax_2Ereal__lt @ sk3 @ sk1)))),inference(paramod_ordered,[status(thm)],[102,7959])).
% 83.60/18.08  thf(8003,plain,((c_2Ereal_2Ereal__lte @ sk1 @ sk3) | (c_2Ereal_2Ereal__lte @ sk1 @ sk2)),inference(pattern_uni,[status(thm)],[8002:[bind(A, $thf(sk1)),bind(B, $thf(sk3))]])).
% 83.60/18.08  thf(236,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3) & ~ (c_2Ereal_2Ereal__lte @ A @ B)) != (~ (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3))) | ((c_2Erealax_2Ereal__lt @ B @ A) != (c_2Erealax_2Ereal__lt @ sk3 @ sk2)))),inference(paramod_ordered,[status(thm)],[102,214])).
% 83.60/18.08  thf(237,plain,(((~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3) & ~ (c_2Ereal_2Ereal__lte @ sk2 @ sk3)) != (~ (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3)))),inference(pattern_uni,[status(thm)],[236:[bind(A, $thf(sk2)),bind(B, $thf(sk3))]])).
% 83.60/18.08  thf(8361,plain,((c_2Ereal_2Ereal__lte @ sk1 @ sk2) | (~ (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3)) | ((c_2Ereal_2Ereal__lte @ sk1 @ sk3) != (c_2Ereal_2Ereal__lte @ sk1 @ sk3))),inference(paramod_ordered,[status(thm)],[8003,237])).
% 83.60/18.08  thf(8362,plain,((c_2Ereal_2Ereal__lte @ sk1 @ sk2) | (~ (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3))),inference(pattern_uni,[status(thm)],[8361:[]])).
% 83.60/18.08  thf(1693,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((c_2Ereal_2Ereal__lte @ A @ B) | (~ (c_2Ereal_2Ereal__lte @ sk2 @ sk3)) | ((c_2Erealax_2Ereal__lt @ B @ A) != (c_2Erealax_2Ereal__lt @ sk2 @ sk1)))),inference(paramod_ordered,[status(thm)],[102,1306])).
% 83.60/18.08  thf(1694,plain,((c_2Ereal_2Ereal__lte @ sk1 @ sk2) | (~ (c_2Ereal_2Ereal__lte @ sk2 @ sk3))),inference(pattern_uni,[status(thm)],[1693:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 83.60/18.08  thf(2981,plain,(((c_2Ereal_2Emin @ sk1 @ sk2) != sk1) | (c_2Ereal_2Ereal__lte @ sk1 @ sk2) | ((c_2Ereal_2Ereal__lte @ sk2 @ sk3) != (c_2Ereal_2Ereal__lte @ sk2 @ sk3))),inference(paramod_ordered,[status(thm)],[2903,1694])).
% 83.60/18.08  thf(2982,plain,(((c_2Ereal_2Emin @ sk1 @ sk2) != sk1) | (c_2Ereal_2Ereal__lte @ sk1 @ sk2)),inference(pattern_uni,[status(thm)],[2981:[]])).
% 83.60/18.08  thf(200,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Erealax_2Ereal__lt @ sk3 @ sk1)) | (c_2Ereal_2Ereal__lte @ A @ B) | (~ (c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2))) | ((c_2Erealax_2Ereal__lt @ B @ A) != (c_2Erealax_2Ereal__lt @ sk3 @ sk2)))),inference(paramod_ordered,[status(thm)],[102,112])).
% 83.60/18.08  thf(201,plain,((~ (c_2Erealax_2Ereal__lt @ sk3 @ sk1)) | (c_2Ereal_2Ereal__lte @ sk2 @ sk3) | (~ (c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2)))),inference(pattern_uni,[status(thm)],[200:[bind(A, $thf(sk2)),bind(B, $thf(sk3))]])).
% 83.60/18.08  thf(16258,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk2) | (c_2Ereal_2Ereal__lte @ sk2 @ sk3) | ((c_2Ereal_2Ereal__lte @ sk1 @ sk2) != (c_2Ereal_2Ereal__lte @ sk1 @ sk2))),inference(paramod_ordered,[status(thm)],[1213,16175])).
% 83.60/18.08  thf(16259,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk2) | (c_2Ereal_2Ereal__lte @ sk2 @ sk3)),inference(pattern_uni,[status(thm)],[16258:[]])).
% 83.60/18.08  thf(8236,plain,((~ (c_2Erealax_2Ereal__lt @ sk2 @ sk1)) | ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) != (c_2Erealax_2Ereal__lt @ sk2 @ sk1)) | ~ ($true)),inference(eqfactor_ordered,[status(thm)],[8001])).
% 83.60/18.08  thf(8263,plain,((~ (c_2Erealax_2Ereal__lt @ sk2 @ sk1)) | ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) != (c_2Erealax_2Ereal__lt @ sk2 @ sk1))),inference(simp,[status(thm)],[8236])).
% 83.60/18.08  thf(10364,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((c_2Ereal_2Ereal__lte @ A @ B) | ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) != (c_2Erealax_2Ereal__lt @ sk2 @ sk1)) | ((c_2Erealax_2Ereal__lt @ B @ A) != (c_2Erealax_2Ereal__lt @ sk2 @ sk1)))),inference(paramod_ordered,[status(thm)],[102,8263])).
% 83.60/18.08  thf(10365,plain,((c_2Ereal_2Ereal__lte @ sk1 @ sk2) | ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) != (c_2Erealax_2Ereal__lt @ sk2 @ sk1))),inference(pattern_uni,[status(thm)],[10364:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 83.60/18.08  thf(12384,plain,(((c_2Erealax_2Ereal__lt @ sk3 @ sk1) != (c_2Erealax_2Ereal__lt @ sk2 @ sk1)) | (~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3)) | ((c_2Ereal_2Ereal__lte @ sk1 @ sk2) != (c_2Ereal_2Ereal__lte @ sk1 @ sk2))),inference(paramod_ordered,[status(thm)],[10365,12341])).
% 83.60/18.08  thf(12385,plain,(((c_2Erealax_2Ereal__lt @ sk3 @ sk1) != (c_2Erealax_2Ereal__lt @ sk2 @ sk1)) | (~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3))),inference(pattern_uni,[status(thm)],[12384:[]])).
% 83.60/18.08  thf(5,axiom,((! [A:$o]: ((A) => ((~ (A)) => (c_2Ebool_2EF))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esat_2EAND__INV__IMP)).
% 83.60/18.08  thf(28,plain,((! [A:$o]: ((A) => ((~ (A)) => (c_2Ebool_2EF))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 83.60/18.08  thf(137,plain,((~ (c_2Erealax_2Ereal__lt @ sk3 @ sk1)) | (~ (c_2Erealax_2Ereal__lt @ sk3 @ sk2)) | ((c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2)) != (c_2Erealax_2Ereal__lt @ sk3 @ sk2))),inference(simp,[status(thm)],[134])).
% 83.60/18.08  thf(6086,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((c_2Erealax_2Ereal__lt @ sk2 @ sk1) | (~ (c_2Ereal_2Ereal__lte @ A @ B)) | ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) != (c_2Erealax_2Ereal__lt @ B @ A)))),inference(paramod_ordered,[status(thm)],[6055,102])).
% 83.60/18.08  thf(6087,plain,((c_2Erealax_2Ereal__lt @ sk2 @ sk1) | (~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3))),inference(pattern_uni,[status(thm)],[6086:[bind(A, $thf(sk1)),bind(B, $thf(sk3))]])).
% 83.60/18.08  thf(13970,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((c_2Ereal_2Emin @ A @ B) = B) | (c_2Erealax_2Ereal__lt @ sk2 @ sk1) | ((c_2Ereal_2Ereal__lte @ A @ B) != (c_2Ereal_2Ereal__lte @ sk1 @ sk3)))),inference(paramod_ordered,[status(thm)],[332,6087])).
% 83.60/18.08  thf(13971,plain,(((c_2Ereal_2Emin @ sk1 @ sk3) = sk3) | (c_2Erealax_2Ereal__lt @ sk2 @ sk1)),inference(pattern_uni,[status(thm)],[13970:[bind(A, $thf(sk1)),bind(B, $thf(sk3))]])).
% 83.60/18.08  thf(6,axiom,((! [A:$o]: (((~ (A)) => (c_2Ebool_2EF)) => (((A) => (c_2Ebool_2EF)) => (c_2Ebool_2EF))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esat_2EAND__INV2)).
% 83.60/18.08  thf(33,plain,((! [A:$o]: (((~ (A)) => (c_2Ebool_2EF)) => (((A) => (c_2Ebool_2EF)) => (c_2Ebool_2EF))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 83.60/18.08  thf(6095,plain,((c_2Erealax_2Ereal__lt @ sk2 @ sk1) | ((c_2Ereal_2Emin @ sk1 @ sk2) != sk2) | ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) != (c_2Erealax_2Ereal__lt @ sk3 @ sk1))),inference(paramod_ordered,[status(thm)],[6055,156])).
% 83.60/18.08  thf(6096,plain,((c_2Erealax_2Ereal__lt @ sk2 @ sk1) | ((c_2Ereal_2Emin @ sk1 @ sk2) != sk2)),inference(pattern_uni,[status(thm)],[6095:[]])).
% 83.60/18.08  thf(207,plain,((~ (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3)) | ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) & (c_2Erealax_2Ereal__lt @ sk3 @ sk2))),inference(bool_ext,[status(thm)],[191])).
% 83.60/18.08  thf(224,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk1) | (~ (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3))),inference(cnf,[status(esa)],[207])).
% 83.60/18.08  thf(186,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Ereal_2Ereal__lte @ A @ B)) | ((c_2Ereal_2Emin @ sk1 @ sk2) != sk2) | ((c_2Erealax_2Ereal__lt @ B @ A) != (c_2Erealax_2Ereal__lt @ sk3 @ sk2)))),inference(paramod_ordered,[status(thm)],[102,121])).
% 83.60/18.08  thf(187,plain,((~ (c_2Ereal_2Ereal__lte @ sk2 @ sk3)) | ((c_2Ereal_2Emin @ sk1 @ sk2) != sk2)),inference(pattern_uni,[status(thm)],[186:[bind(A, $thf(sk2)),bind(B, $thf(sk3))]])).
% 83.60/18.08  thf(316,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Ereal_2Ereal__lte @ sk2 @ sk3)) | ((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ A @ B) @ A @ B) != sk2) | ((c_2Ereal_2Emin @ A @ B) != (c_2Ereal_2Emin @ sk1 @ sk2)))),inference(paramod_ordered,[status(thm)],[97,187])).
% 83.60/18.08  thf(317,plain,((~ (c_2Ereal_2Ereal__lte @ sk2 @ sk3)) | ((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ sk1 @ sk2) @ sk1 @ sk2) != sk2)),inference(pattern_uni,[status(thm)],[316:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 83.60/18.08  thf(374,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((c_2Erealax_2Ereal__lt @ B @ A) != ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) & ~ (c_2Ereal_2Ereal__lte @ sk2 @ sk3))) | ((~ (c_2Ereal_2Ereal__lte @ A @ B)) != (~ (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3))))),inference(paramod_ordered,[status(thm)],[102,216])).
% 83.60/18.08  thf(375,plain,(((c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2)) != ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) & ~ (c_2Ereal_2Ereal__lte @ sk2 @ sk3)))),inference(pattern_uni,[status(thm)],[374:[bind(A, $thf(c_2Ereal_2Emin @ sk1 @ sk2)),bind(B, $thf(sk3))]])).
% 83.60/18.08  thf(2972,plain,(((c_2Ereal_2Emin @ sk1 @ sk2) != sk1) | (c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2)) | ((c_2Ereal_2Ereal__lte @ sk2 @ sk3) != (c_2Ereal_2Ereal__lte @ sk2 @ sk3))),inference(paramod_ordered,[status(thm)],[2903,375])).
% 83.60/18.08  thf(2973,plain,(((c_2Ereal_2Emin @ sk1 @ sk2) != sk1) | (c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2))),inference(pattern_uni,[status(thm)],[2972:[]])).
% 83.60/18.08  thf(8407,plain,((c_2Ereal_2Ereal__lte @ sk1 @ sk2) | ((c_2Ereal_2Ereal__lte @ sk1 @ sk3) != (c_2Ereal_2Ereal__lte @ sk1 @ sk2)) | ~ ($true)),inference(eqfactor_ordered,[status(thm)],[8003])).
% 83.60/18.08  thf(8429,plain,((c_2Ereal_2Ereal__lte @ sk1 @ sk2) | ((c_2Ereal_2Ereal__lte @ sk1 @ sk3) != (c_2Ereal_2Ereal__lte @ sk1 @ sk2))),inference(simp,[status(thm)],[8407])).
% 83.60/18.08  thf(192,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((c_2Ereal_2Emin @ sk1 @ sk2) != sk2) | (c_2Ereal_2Ereal__lte @ A @ B) | ((c_2Erealax_2Ereal__lt @ B @ A) != (c_2Erealax_2Ereal__lt @ sk3 @ sk1)))),inference(paramod_ordered,[status(thm)],[102,156])).
% 83.60/18.08  thf(193,plain,(((c_2Ereal_2Emin @ sk1 @ sk2) != sk2) | (c_2Ereal_2Ereal__lte @ sk1 @ sk3)),inference(pattern_uni,[status(thm)],[192:[bind(A, $thf(sk1)),bind(B, $thf(sk3))]])).
% 83.60/18.08  thf(7997,plain,((~ (c_2Erealax_2Ereal__lt @ sk3 @ sk1)) | ((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2) != sk2) | ((c_2Ereal_2Ereal__lte @ sk1 @ sk2) != (c_2Ereal_2Ereal__lte @ sk1 @ sk2))),inference(paramod_ordered,[status(thm)],[7959,307])).
% 83.60/18.08  thf(7998,plain,((~ (c_2Erealax_2Ereal__lt @ sk3 @ sk1)) | ((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2) != sk2)),inference(pattern_uni,[status(thm)],[7997:[]])).
% 83.60/18.08  thf(685,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((~ (c_2Ereal_2Ereal__lte @ (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ A @ B) @ A @ B) @ sk3)) != (~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3) & ~ (c_2Ereal_2Ereal__lte @ sk2 @ sk3))) | ((c_2Ereal_2Emin @ A @ B) != (c_2Ereal_2Emin @ sk1 @ sk2)))),inference(paramod_ordered,[status(thm)],[97,237])).
% 83.60/18.08  thf(686,plain,(((~ (c_2Ereal_2Ereal__lte @ (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ sk1 @ sk2) @ sk1 @ sk2) @ sk3)) != (~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3) & ~ (c_2Ereal_2Ereal__lte @ sk2 @ sk3)))),inference(pattern_uni,[status(thm)],[685:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 83.60/18.08  thf(488,plain,(((c_2Ereal_2Emin @ sk1 @ sk2) != sk2) | ((c_2Ereal_2Emin @ sk1 @ sk2) != sk1) | ((c_2Ereal_2Ereal__lte @ sk1 @ sk3) != (c_2Ereal_2Ereal__lte @ sk1 @ sk3))),inference(paramod_ordered,[status(thm)],[193,485])).
% 83.60/18.08  thf(489,plain,(((c_2Ereal_2Emin @ sk1 @ sk2) != sk2) | ((c_2Ereal_2Emin @ sk1 @ sk2) != sk1)),inference(pattern_uni,[status(thm)],[488:[]])).
% 83.60/18.08  thf(1230,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((c_2Erealax_2Ereal__lt @ sk3 @ sk2) | ((c_2Ereal_2Emin @ A @ B) = (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ A @ B)) | ((c_2Ereal_2Ereal__lte @ sk1 @ sk2) != (c_2Ereal_2Ereal__lte @ A @ B)))),inference(paramod_ordered,[status(thm)],[1213,97])).
% 83.60/18.08  thf(1231,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk2) | ((c_2Ereal_2Emin @ sk1 @ sk2) = (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2))),inference(pattern_uni,[status(thm)],[1230:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 83.60/18.08  thf(456,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ A @ B) @ A @ B)) != (~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3) & ~ (c_2Ereal_2Ereal__lte @ sk2 @ sk3))) | ((c_2Ereal_2Emin @ A @ B) != (c_2Ereal_2Emin @ sk1 @ sk2)))),inference(paramod_ordered,[status(thm)],[97,346])).
% 83.60/18.08  thf(457,plain,(((c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ sk1 @ sk2) @ sk1 @ sk2)) != (~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3) & ~ (c_2Ereal_2Ereal__lte @ sk2 @ sk3)))),inference(pattern_uni,[status(thm)],[456:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 83.60/18.08  thf(310,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((c_2Ereal_2Emin @ sk1 @ sk2) != sk2) | ((c_2Ereal_2Emin @ A @ B) = (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ A @ B)) | ((c_2Ereal_2Ereal__lte @ sk1 @ sk3) != (c_2Ereal_2Ereal__lte @ A @ B)))),inference(paramod_ordered,[status(thm)],[193,97])).
% 83.60/18.08  thf(311,plain,(((c_2Ereal_2Emin @ sk1 @ sk2) != sk2) | ((c_2Ereal_2Emin @ sk1 @ sk3) = (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk3))),inference(pattern_uni,[status(thm)],[310:[bind(A, $thf(sk1)),bind(B, $thf(sk3))]])).
% 83.60/18.08  thf(13878,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((c_2Ereal_2Emin @ A @ B) = B) | (c_2Erealax_2Ereal__lt @ sk3 @ sk1) | ((c_2Ereal_2Ereal__lte @ A @ B) != (c_2Ereal_2Ereal__lte @ sk2 @ sk3)))),inference(paramod_ordered,[status(thm)],[332,1856])).
% 83.60/18.08  thf(13879,plain,(((c_2Ereal_2Emin @ sk2 @ sk3) = sk3) | (c_2Erealax_2Ereal__lt @ sk3 @ sk1)),inference(pattern_uni,[status(thm)],[13878:[bind(A, $thf(sk2)),bind(B, $thf(sk3))]])).
% 83.60/18.08  thf(422,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ A @ B) @ A @ B)) != ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) & ~ (c_2Ereal_2Ereal__lte @ sk2 @ sk3))) | ((c_2Ereal_2Emin @ A @ B) != (c_2Ereal_2Emin @ sk1 @ sk2)))),inference(paramod_ordered,[status(thm)],[97,375])).
% 83.60/18.08  thf(423,plain,(((c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ sk1 @ sk2) @ sk1 @ sk2)) != ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) & ~ (c_2Ereal_2Ereal__lte @ sk2 @ sk3)))),inference(pattern_uni,[status(thm)],[422:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 83.60/18.08  thf(285,plain,(((c_2Ereal_2Emin @ sk1 @ sk2) != sk2) | (~ (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3)) | ((c_2Ereal_2Ereal__lte @ sk1 @ sk3) != (c_2Ereal_2Ereal__lte @ sk1 @ sk3))),inference(paramod_ordered,[status(thm)],[193,214])).
% 83.60/18.08  thf(286,plain,(((c_2Ereal_2Emin @ sk1 @ sk2) != sk2) | (~ (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3))),inference(pattern_uni,[status(thm)],[285:[]])).
% 83.60/18.08  thf(118,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk2) | ((c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2)) != (c_2Erealax_2Ereal__lt @ sk3 @ sk2))),inference(simp,[status(thm)],[117])).
% 83.60/18.08  thf(3899,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk1) | ((c_2Ereal_2Ereal__lte @ sk1 @ sk3) != (c_2Ereal_2Ereal__lte @ sk1 @ sk2))),inference(paramod_ordered,[status(thm)],[2531,3892])).
% 83.60/18.08  thf(3910,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk1) | (sk1 != sk1) | (sk3 != sk2)),inference(simp,[status(thm)],[3899])).
% 83.60/18.08  thf(3911,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk1) | (sk3 != sk2)),inference(simp,[status(thm)],[3910])).
% 83.60/18.08  thf(3929,plain,((sk3 != sk2) | ((c_2Ereal_2Emin @ sk1 @ sk2) != sk2) | ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) != (c_2Erealax_2Ereal__lt @ sk3 @ sk1))),inference(paramod_ordered,[status(thm)],[3911,156])).
% 83.60/18.08  thf(3930,plain,((sk3 != sk2) | ((c_2Ereal_2Emin @ sk1 @ sk2) != sk2)),inference(pattern_uni,[status(thm)],[3929:[]])).
% 83.60/18.08  thf(4204,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((sk3 != sk2) | ((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ A @ B) @ A @ B) != sk2) | ((c_2Ereal_2Emin @ A @ B) != (c_2Ereal_2Emin @ sk1 @ sk2)))),inference(paramod_ordered,[status(thm)],[97,3930])).
% 83.60/18.08  thf(4205,plain,((sk3 != sk2) | ((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ sk1 @ sk2) @ sk1 @ sk2) != sk2)),inference(pattern_uni,[status(thm)],[4204:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 83.60/18.08  thf(7144,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((sk3 != sk2) | (B != sk2) | ((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $false @ A @ B) != (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ sk1 @ sk2) @ sk1 @ sk2)))),inference(paramod_ordered,[status(thm)],[176,4205])).
% 83.60/18.08  thf(7154,plain,(! [A:tyop_2Erealax_2Ereal] : ((sk3 != sk2) | (c_2Ereal_2Ereal__lte @ sk1 @ sk2) | (A != sk1) | (sk2 != sk2))),inference(simp,[status(thm)],[7144])).
% 83.60/18.08  thf(7169,plain,((sk3 != sk2) | (c_2Ereal_2Ereal__lte @ sk1 @ sk2)),inference(simp,[status(thm)],[7154])).
% 83.60/18.08  thf(6178,plain,((c_2Erealax_2Ereal__lt @ sk2 @ sk1) | (sk3 != sk2) | (sk1 != sk1)),inference(simp,[status(thm)],[6141])).
% 83.60/18.08  thf(6197,plain,((c_2Erealax_2Ereal__lt @ sk2 @ sk1) | (sk3 != sk2)),inference(simp,[status(thm)],[6178])).
% 83.60/18.08  thf(6235,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((sk3 != sk2) | (~ (c_2Ereal_2Ereal__lte @ A @ B)) | ((c_2Erealax_2Ereal__lt @ sk2 @ sk1) != (c_2Erealax_2Ereal__lt @ B @ A)))),inference(paramod_ordered,[status(thm)],[6197,102])).
% 83.60/18.08  thf(6236,plain,((sk3 != sk2) | (~ (c_2Ereal_2Ereal__lte @ sk1 @ sk2))),inference(pattern_uni,[status(thm)],[6235:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 83.60/18.08  thf(7179,plain,((sk3 != sk2) | ((c_2Ereal_2Ereal__lte @ sk1 @ sk2) != (c_2Ereal_2Ereal__lte @ sk1 @ sk2))),inference(paramod_ordered,[status(thm)],[7169,6236])).
% 83.60/18.08  thf(7180,plain,((sk3 != sk2)),inference(pattern_uni,[status(thm)],[7179:[]])).
% 83.60/18.08  thf(185,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Ereal_2Ereal__lte @ A @ B)) | (~ (c_2Erealax_2Ereal__lt @ B @ A)))),inference(bool_ext,[status(thm)],[102])).
% 83.60/18.08  thf(204,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Erealax_2Ereal__lt @ B @ A)) | (~ (c_2Ereal_2Ereal__lte @ A @ B)))),inference(cnf,[status(esa)],[185])).
% 83.60/18.08  thf(12399,plain,((~ (c_2Erealax_2Ereal__lt @ sk3 @ sk1)) | (~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3)) | ((c_2Ereal_2Ereal__lte @ sk1 @ sk2) != (c_2Ereal_2Ereal__lte @ sk1 @ sk2))),inference(paramod_ordered,[status(thm)],[7959,12341])).
% 83.60/18.08  thf(12400,plain,((~ (c_2Erealax_2Ereal__lt @ sk3 @ sk1)) | (~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3))),inference(pattern_uni,[status(thm)],[12399:[]])).
% 83.60/18.08  thf(349,plain,(((c_2Ereal_2Emin @ sk1 @ sk2) != sk2) | (c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2)) | ((c_2Ereal_2Ereal__lte @ sk1 @ sk3) != (c_2Ereal_2Ereal__lte @ sk1 @ sk3))),inference(paramod_ordered,[status(thm)],[193,235])).
% 83.60/18.08  thf(350,plain,(((c_2Ereal_2Emin @ sk1 @ sk2) != sk2) | (c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2))),inference(pattern_uni,[status(thm)],[349:[]])).
% 83.60/18.08  thf(1759,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk2) | ((c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2)) != (c_2Erealax_2Ereal__lt @ sk3 @ sk2)) | ~ ($true)),inference(eqfactor_ordered,[status(thm)],[1246])).
% 83.60/18.08  thf(1777,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk2) | (sk3 != sk3) | ((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2) != sk2)),inference(simp,[status(thm)],[1759])).
% 83.60/18.08  thf(1838,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk2) | ((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2) != sk2)),inference(simp,[status(thm)],[1777])).
% 83.60/18.08  thf(4227,plain,(((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2) != sk2) | ((c_2Ereal_2Emin @ sk1 @ sk2) != sk1) | ((c_2Erealax_2Ereal__lt @ sk3 @ sk2) != (c_2Erealax_2Ereal__lt @ sk3 @ sk2))),inference(paramod_ordered,[status(thm)],[1838,2858])).
% 83.60/18.08  thf(4228,plain,(((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2) != sk2) | ((c_2Ereal_2Emin @ sk1 @ sk2) != sk1)),inference(pattern_uni,[status(thm)],[4227:[]])).
% 83.60/18.08  thf(13,axiom,((! [A:$o,B:$o]: (((~ (~ (B) | (A))) => (c_2Ebool_2EF)) = ((B) => ((~ (A)) => (c_2Ebool_2EF)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esat_2EOR__DUAL3)).
% 83.60/18.08  thf(81,plain,((! [A:$o,B:$o]: (((~ (~ (B) | (A))) => (c_2Ebool_2EF)) = ((B) => ((~ (A)) => (c_2Ebool_2EF)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 83.60/18.08  thf(8192,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((c_2Ereal_2Ereal__lte @ A @ B) | (~ (c_2Erealax_2Ereal__lt @ sk2 @ sk1)) | ((c_2Erealax_2Ereal__lt @ B @ A) != (c_2Erealax_2Ereal__lt @ sk3 @ sk1)))),inference(paramod_ordered,[status(thm)],[102,8001])).
% 83.60/18.08  thf(8193,plain,((c_2Ereal_2Ereal__lte @ sk1 @ sk3) | (~ (c_2Erealax_2Ereal__lt @ sk2 @ sk1))),inference(pattern_uni,[status(thm)],[8192:[bind(A, $thf(sk1)),bind(B, $thf(sk3))]])).
% 83.60/18.08  thf(8687,plain,((~ (c_2Erealax_2Ereal__lt @ sk2 @ sk1)) | (c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2)) | ((c_2Ereal_2Ereal__lte @ sk1 @ sk3) != (c_2Ereal_2Ereal__lte @ sk1 @ sk3))),inference(paramod_ordered,[status(thm)],[8193,365])).
% 83.60/18.08  thf(8688,plain,((~ (c_2Erealax_2Ereal__lt @ sk2 @ sk1)) | (c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2))),inference(pattern_uni,[status(thm)],[8687:[]])).
% 83.60/18.08  thf(16,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: (((c_2Erealax_2Ereal__lt @ A @ B) & (c_2Erealax_2Ereal__lt @ B @ C)) => (c_2Erealax_2Ereal__lt @ A @ C)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LT__TRANS)).
% 83.60/18.08  thf(98,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: (((c_2Erealax_2Ereal__lt @ A @ B) & (c_2Erealax_2Ereal__lt @ B @ C)) => (c_2Erealax_2Ereal__lt @ A @ C)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).
% 83.60/18.08  thf(302,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((c_2Erealax_2Ereal__lt @ sk3 @ sk2) | ((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ A @ B) @ A @ B) != sk2) | ((c_2Ereal_2Emin @ A @ B) != (c_2Ereal_2Emin @ sk1 @ sk2)))),inference(paramod_ordered,[status(thm)],[97,121])).
% 83.60/18.08  thf(303,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk2) | ((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ sk1 @ sk2) @ sk1 @ sk2) != sk2)),inference(pattern_uni,[status(thm)],[302:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 83.60/18.08  thf(16008,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Ereal_2Ereal__lte @ A @ B)) | (A != sk1) | (~ (c_2Erealax_2Ereal__lt @ sk3 @ sk2)) | ((c_2Ereal_2Emin @ A @ B) != (c_2Ereal_2Emin @ sk1 @ sk2)))),inference(paramod_ordered,[status(thm)],[334,2858])).
% 83.60/18.08  thf(16009,plain,((~ (c_2Ereal_2Ereal__lte @ sk1 @ sk2)) | (sk1 != sk1) | (~ (c_2Erealax_2Ereal__lt @ sk3 @ sk2))),inference(pattern_uni,[status(thm)],[16008:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 83.60/18.08  thf(16177,plain,((~ (c_2Ereal_2Ereal__lte @ sk1 @ sk2)) | (~ (c_2Erealax_2Ereal__lt @ sk3 @ sk2))),inference(simp,[status(thm)],[16009])).
% 83.60/18.08  thf(18,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: (((c_2Erealax_2Ereal__lt @ A @ B) & (c_2Ereal_2Ereal__lte @ B @ C)) => (c_2Erealax_2Ereal__lt @ A @ C)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LTE__TRANS)).
% 83.60/18.08  thf(103,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: (((c_2Erealax_2Ereal__lt @ A @ B) & (c_2Ereal_2Ereal__lte @ B @ C)) => (c_2Erealax_2Ereal__lt @ A @ C)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).
% 83.60/18.08  thf(135,plain,((~ (c_2Erealax_2Ereal__lt @ sk3 @ sk1)) | (~ (c_2Erealax_2Ereal__lt @ sk3 @ sk2)) | ((c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2)) != (c_2Erealax_2Ereal__lt @ sk3 @ sk1))),inference(simp,[status(thm)],[133])).
% 83.60/18.08  thf(413,plain,((c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2)) | ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) & ~ (c_2Ereal_2Ereal__lte @ sk2 @ sk3))),inference(bool_ext,[status(thm)],[375])).
% 83.60/18.08  thf(438,plain,((~ (c_2Ereal_2Ereal__lte @ sk2 @ sk3)) | (c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2))),inference(cnf,[status(esa)],[413])).
% 83.60/18.08  thf(170,plain,(((c_2Ereal_2Emin @ sk1 @ sk2) != sk2) | ((c_2Erealax_2Ereal__lt @ sk3 @ sk2) != (c_2Erealax_2Ereal__lt @ sk3 @ sk1))),inference(paramod_ordered,[status(thm)],[121,156])).
% 83.60/18.08  thf(172,plain,(((c_2Ereal_2Emin @ sk1 @ sk2) != sk2) | (sk3 != sk3) | (sk2 != sk1)),inference(simp,[status(thm)],[170])).
% 83.60/18.08  thf(174,plain,(((c_2Ereal_2Emin @ sk1 @ sk2) != sk2) | (sk2 != sk1)),inference(simp,[status(thm)],[172])).
% 83.60/18.08  thf(300,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ A @ B) @ A @ B) != sk2) | (sk2 != sk1) | ((c_2Ereal_2Emin @ A @ B) != (c_2Ereal_2Emin @ sk1 @ sk2)))),inference(paramod_ordered,[status(thm)],[97,174])).
% 83.60/18.08  thf(301,plain,(((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ sk1 @ sk2) @ sk1 @ sk2) != sk2) | (sk2 != sk1)),inference(pattern_uni,[status(thm)],[300:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 83.60/18.08  thf(4790,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((B != sk2) | (sk2 != sk1) | ((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $false @ A @ B) != (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ sk1 @ sk2) @ sk1 @ sk2)))),inference(paramod_ordered,[status(thm)],[176,301])).
% 83.60/18.08  thf(4801,plain,(! [A:tyop_2Erealax_2Ereal] : ((sk2 != sk1) | (c_2Ereal_2Ereal__lte @ sk1 @ sk2) | (A != sk1) | (sk2 != sk2))),inference(simp,[status(thm)],[4790])).
% 83.60/18.08  thf(4810,plain,((sk2 != sk1) | (c_2Ereal_2Ereal__lte @ sk1 @ sk2)),inference(simp,[status(thm)],[4801])).
% 83.60/18.08  thf(4794,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((A != sk2) | (sk2 != sk1) | ((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ A @ B) != (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ sk1 @ sk2) @ sk1 @ sk2)))),inference(paramod_ordered,[status(thm)],[177,301])).
% 83.60/18.08  thf(4804,plain,(! [A:tyop_2Erealax_2Ereal] : ((sk2 != sk1) | (~ (c_2Ereal_2Ereal__lte @ sk1 @ sk2)) | (sk2 != sk1) | (A != sk2))),inference(simp,[status(thm)],[4794])).
% 83.60/18.08  thf(4808,plain,((sk2 != sk1) | (~ (c_2Ereal_2Ereal__lte @ sk1 @ sk2))),inference(simp,[status(thm)],[4804])).
% 83.60/18.08  thf(4858,plain,((sk2 != sk1) | ((c_2Ereal_2Ereal__lte @ sk1 @ sk2) != (c_2Ereal_2Ereal__lte @ sk1 @ sk2))),inference(paramod_ordered,[status(thm)],[4810,4808])).
% 83.60/18.08  thf(4859,plain,((sk2 != sk1)),inference(pattern_uni,[status(thm)],[4858:[]])).
% 83.60/18.08  thf(9,axiom,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).
% 83.60/18.08  thf(48,plain,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 83.60/18.08  thf(326,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((~ (c_2Ereal_2Ereal__lte @ (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ A @ B) @ A @ B) @ sk3)) != (~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3) & (c_2Erealax_2Ereal__lt @ sk3 @ sk2))) | ((c_2Ereal_2Emin @ A @ B) != (c_2Ereal_2Emin @ sk1 @ sk2)))),inference(paramod_ordered,[status(thm)],[97,214])).
% 83.60/18.08  thf(327,plain,(((~ (c_2Ereal_2Ereal__lte @ (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ sk1 @ sk2) @ sk1 @ sk2) @ sk3)) != (~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3) & (c_2Erealax_2Ereal__lt @ sk3 @ sk2)))),inference(pattern_uni,[status(thm)],[326:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 83.60/18.08  thf(371,plain,(((c_2Ereal_2Emin @ sk1 @ sk2) != sk2) | ((c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3) != (c_2Ereal_2Ereal__lte @ sk2 @ sk3)) | ((c_2Erealax_2Ereal__lt @ sk3 @ sk2) != (c_2Erealax_2Ereal__lt @ sk3 @ sk1))),inference(paramod_ordered,[status(thm)],[121,216])).
% 83.60/18.08  thf(386,plain,(((c_2Ereal_2Emin @ sk1 @ sk2) != sk2) | ((c_2Ereal_2Emin @ sk1 @ sk2) != sk2) | (sk3 != sk3) | ((c_2Erealax_2Ereal__lt @ sk3 @ sk2) != (c_2Erealax_2Ereal__lt @ sk3 @ sk1))),inference(simp,[status(thm)],[371])).
% 83.60/18.08  thf(409,plain,(((c_2Ereal_2Emin @ sk1 @ sk2) != sk2) | ((c_2Erealax_2Ereal__lt @ sk3 @ sk2) != (c_2Erealax_2Ereal__lt @ sk3 @ sk1))),inference(simp,[status(thm)],[386])).
% 83.60/18.08  thf(198,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((c_2Ereal_2Ereal__lte @ A @ B) | (~ (c_2Erealax_2Ereal__lt @ sk3 @ sk2)) | (~ (c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2))) | ((c_2Erealax_2Ereal__lt @ B @ A) != (c_2Erealax_2Ereal__lt @ sk3 @ sk1)))),inference(paramod_ordered,[status(thm)],[102,112])).
% 83.60/18.08  thf(199,plain,((c_2Ereal_2Ereal__lte @ sk1 @ sk3) | (~ (c_2Erealax_2Ereal__lt @ sk3 @ sk2)) | (~ (c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2)))),inference(pattern_uni,[status(thm)],[198:[bind(A, $thf(sk1)),bind(B, $thf(sk3))]])).
% 83.60/18.08  thf(8070,plain,((c_2Erealax_2Ereal__lt @ sk2 @ sk1) | (c_2Ereal_2Ereal__lte @ sk1 @ sk2) | ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) != (c_2Erealax_2Ereal__lt @ sk3 @ sk1))),inference(paramod_ordered,[status(thm)],[6055,7959])).
% 83.60/18.08  thf(8071,plain,((c_2Erealax_2Ereal__lt @ sk2 @ sk1) | (c_2Ereal_2Ereal__lte @ sk1 @ sk2)),inference(pattern_uni,[status(thm)],[8070:[]])).
% 83.60/18.08  thf(8551,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((c_2Erealax_2Ereal__lt @ sk2 @ sk1) | ((c_2Ereal_2Emin @ A @ B) = (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ A @ B)) | ((c_2Ereal_2Ereal__lte @ sk1 @ sk2) != (c_2Ereal_2Ereal__lte @ A @ B)))),inference(paramod_ordered,[status(thm)],[8071,97])).
% 83.60/18.08  thf(8552,plain,((c_2Erealax_2Ereal__lt @ sk2 @ sk1) | ((c_2Ereal_2Emin @ sk1 @ sk2) = (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2))),inference(pattern_uni,[status(thm)],[8551:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 83.60/18.08  thf(10716,plain,(((c_2Ereal_2Emin @ sk1 @ sk2) = (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2)) | (c_2Ereal_2Ereal__lte @ sk1 @ sk3) | ((c_2Erealax_2Ereal__lt @ sk2 @ sk1) != (c_2Erealax_2Ereal__lt @ sk2 @ sk1))),inference(paramod_ordered,[status(thm)],[8552,8193])).
% 83.60/18.08  thf(10717,plain,(((c_2Ereal_2Emin @ sk1 @ sk2) = (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2)) | (c_2Ereal_2Ereal__lte @ sk1 @ sk3)),inference(pattern_uni,[status(thm)],[10716:[]])).
% 83.60/18.08  thf(8326,plain,((c_2Ereal_2Ereal__lte @ sk1 @ sk2) | (c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2)) | ((c_2Ereal_2Ereal__lte @ sk1 @ sk3) != (c_2Ereal_2Ereal__lte @ sk1 @ sk3))),inference(paramod_ordered,[status(thm)],[8003,365])).
% 83.60/18.08  thf(8327,plain,((c_2Ereal_2Ereal__lte @ sk1 @ sk2) | (c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2))),inference(pattern_uni,[status(thm)],[8326:[]])).
% 83.60/18.08  thf(10991,plain,(((c_2Erealax_2Ereal__lt @ sk3 @ sk1) != (c_2Erealax_2Ereal__lt @ sk2 @ sk1)) | (c_2Erealax_2Ereal__lt @ sk3 @ sk1) | ((c_2Ereal_2Ereal__lte @ sk1 @ sk2) != (c_2Ereal_2Ereal__lte @ sk1 @ sk2))),inference(paramod_ordered,[status(thm)],[10365,3892])).
% 83.60/18.08  thf(10992,plain,(((c_2Erealax_2Ereal__lt @ sk3 @ sk1) != (c_2Erealax_2Ereal__lt @ sk2 @ sk1)) | (c_2Erealax_2Ereal__lt @ sk3 @ sk1)),inference(pattern_uni,[status(thm)],[10991:[]])).
% 83.60/18.08  thf(12,axiom,((! [A:$o,B:$o]: (((~ ((B) | (A))) => (c_2Ebool_2EF)) = (((B) => (c_2Ebool_2EF)) => ((~ (A)) => (c_2Ebool_2EF)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esat_2EOR__DUAL2)).
% 83.60/18.08  thf(72,plain,((! [A:$o,B:$o]: (((~ ((B) | (A))) => (c_2Ebool_2EF)) = (((B) => (c_2Ebool_2EF)) => ((~ (A)) => (c_2Ebool_2EF)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 83.60/18.08  thf(8733,plain,((~ (c_2Erealax_2Ereal__lt @ sk2 @ sk1)) | (~ (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3)) | ((c_2Ereal_2Ereal__lte @ sk1 @ sk3) != (c_2Ereal_2Ereal__lte @ sk1 @ sk3))),inference(paramod_ordered,[status(thm)],[8193,237])).
% 83.60/18.08  thf(8734,plain,((~ (c_2Erealax_2Ereal__lt @ sk2 @ sk1)) | (~ (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3))),inference(pattern_uni,[status(thm)],[8733:[]])).
% 83.60/18.08  thf(2938,plain,(((c_2Ereal_2Emin @ sk1 @ sk2) != sk1) | (~ (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3)) | ((c_2Ereal_2Ereal__lte @ sk2 @ sk3) != (c_2Ereal_2Ereal__lte @ sk2 @ sk3))),inference(paramod_ordered,[status(thm)],[2903,216])).
% 83.60/18.08  thf(2939,plain,(((c_2Ereal_2Emin @ sk1 @ sk2) != sk1) | (~ (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3))),inference(pattern_uni,[status(thm)],[2938:[]])).
% 83.60/18.08  thf(12401,plain,((~ (c_2Erealax_2Ereal__lt @ sk2 @ sk1)) | (~ (c_2Ereal_2Ereal__lte @ sk1 @ sk2)) | ((c_2Ereal_2Ereal__lte @ sk1 @ sk3) != (c_2Ereal_2Ereal__lte @ sk1 @ sk3))),inference(paramod_ordered,[status(thm)],[8193,12341])).
% 83.60/18.08  thf(12402,plain,((~ (c_2Erealax_2Ereal__lt @ sk2 @ sk1)) | (~ (c_2Ereal_2Ereal__lte @ sk1 @ sk2))),inference(pattern_uni,[status(thm)],[12401:[]])).
% 83.60/18.08  thf(8,axiom,((! [A:$o]: ((~ (~ (A))) = A) & ((~ (c_2Ebool_2ET)) = c_2Ebool_2EF) & ((~ (c_2Ebool_2EF)) = c_2Ebool_2ET))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ENOT__CLAUSES)).
% 83.60/18.08  thf(43,plain,((((~ (c_2Ebool_2ET)) = c_2Ebool_2EF) & ((~ (c_2Ebool_2EF)) = c_2Ebool_2ET))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 83.60/18.08  thf(4216,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2) != sk2) | (~ (c_2Ereal_2Ereal__lte @ A @ B)) | ((c_2Erealax_2Ereal__lt @ sk3 @ sk2) != (c_2Erealax_2Ereal__lt @ B @ A)))),inference(paramod_ordered,[status(thm)],[1838,102])).
% 83.60/18.08  thf(4217,plain,(((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2) != sk2) | (~ (c_2Ereal_2Ereal__lte @ sk2 @ sk3))),inference(pattern_uni,[status(thm)],[4216:[bind(A, $thf(sk2)),bind(B, $thf(sk3))]])).
% 83.60/18.08  thf(230,plain,(((c_2Ereal_2Emin @ sk1 @ sk2) != sk2) | ((c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3) != (c_2Ereal_2Ereal__lte @ sk1 @ sk3)) | ((c_2Erealax_2Ereal__lt @ sk3 @ sk2) != (c_2Erealax_2Ereal__lt @ sk3 @ sk2))),inference(paramod_ordered,[status(thm)],[121,214])).
% 83.60/18.08  thf(231,plain,(((c_2Ereal_2Emin @ sk1 @ sk2) != sk2) | ((c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3) != (c_2Ereal_2Ereal__lte @ sk1 @ sk3))),inference(pattern_uni,[status(thm)],[230:[]])).
% 83.60/18.08  thf(99,plain,(! [C:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Erealax_2Ereal__lt @ A @ B)) | (~ (c_2Erealax_2Ereal__lt @ B @ C)) | (c_2Erealax_2Ereal__lt @ A @ C))),inference(cnf,[status(esa)],[98])).
% 83.60/18.08  thf(202,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Erealax_2Ereal__lt @ sk3 @ sk1)) | (~ (c_2Erealax_2Ereal__lt @ sk3 @ sk2)) | (c_2Ereal_2Ereal__lte @ A @ B) | ((c_2Erealax_2Ereal__lt @ B @ A) != (c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2))))),inference(paramod_ordered,[status(thm)],[102,112])).
% 83.60/18.08  thf(203,plain,((~ (c_2Erealax_2Ereal__lt @ sk3 @ sk1)) | (~ (c_2Erealax_2Ereal__lt @ sk3 @ sk2)) | (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3)),inference(pattern_uni,[status(thm)],[202:[bind(A, $thf(c_2Ereal_2Emin @ sk1 @ sk2)),bind(B, $thf(sk3))]])).
% 83.60/18.08  thf(8956,plain,((c_2Erealax_2Ereal__lt @ sk2 @ sk1) | ((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2) != sk2) | ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) != (c_2Erealax_2Ereal__lt @ sk3 @ sk1))),inference(paramod_ordered,[status(thm)],[6055,7998])).
% 83.60/18.08  thf(8957,plain,((c_2Erealax_2Ereal__lt @ sk2 @ sk1) | ((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2) != sk2)),inference(pattern_uni,[status(thm)],[8956:[]])).
% 83.60/18.08  thf(104,plain,(! [C:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Erealax_2Ereal__lt @ A @ B)) | (~ (c_2Ereal_2Ereal__lte @ B @ C)) | (c_2Erealax_2Ereal__lt @ A @ C))),inference(cnf,[status(esa)],[103])).
% 83.60/18.08  thf(2918,plain,((~ (c_2Erealax_2Ereal__lt @ sk2 @ sk1)) | ((c_2Ereal_2Emin @ sk1 @ sk2) != sk1) | ((c_2Erealax_2Ereal__lt @ sk3 @ sk2) != (c_2Erealax_2Ereal__lt @ sk3 @ sk2))),inference(paramod_ordered,[status(thm)],[1229,2858])).
% 83.60/18.08  thf(2919,plain,((~ (c_2Erealax_2Ereal__lt @ sk2 @ sk1)) | ((c_2Ereal_2Emin @ sk1 @ sk2) != sk1)),inference(pattern_uni,[status(thm)],[2918:[]])).
% 83.60/18.08  thf(677,plain,((~ (~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3) & ~ (c_2Ereal_2Ereal__lte @ sk2 @ sk3))) | (~ (~ (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3)))),inference(bool_ext,[status(thm)],[237])).
% 83.60/18.08  thf(699,plain,((c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3) | (c_2Ereal_2Ereal__lte @ sk1 @ sk3) | (c_2Ereal_2Ereal__lte @ sk2 @ sk3)),inference(cnf,[status(esa)],[677])).
% 83.60/18.08  thf(4,axiom,((! [A:$o]: ((~ (A)) => ((A) => (c_2Ebool_2EF))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EF__IMP)).
% 83.60/18.08  thf(23,plain,((! [A:$o]: ((~ (A)) => ((A) => (c_2Ebool_2EF))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 83.60/18.08  thf(8340,plain,((c_2Ereal_2Ereal__lte @ sk1 @ sk2) | (c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ sk1 @ sk2) @ sk1 @ sk2)) | ((c_2Ereal_2Ereal__lte @ sk1 @ sk3) != (c_2Ereal_2Ereal__lte @ sk1 @ sk3))),inference(paramod_ordered,[status(thm)],[8003,348])).
% 83.60/18.08  thf(8341,plain,((c_2Ereal_2Ereal__lte @ sk1 @ sk2) | (c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ sk1 @ sk2) @ sk1 @ sk2))),inference(pattern_uni,[status(thm)],[8340:[]])).
% 83.60/18.08  thf(314,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((~ (c_2Ereal_2Ereal__lte @ (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ A @ B) @ A @ B) @ sk3)) != ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) & (c_2Erealax_2Ereal__lt @ sk3 @ sk2))) | ((c_2Ereal_2Emin @ A @ B) != (c_2Ereal_2Emin @ sk1 @ sk2)))),inference(paramod_ordered,[status(thm)],[97,191])).
% 83.60/18.08  thf(315,plain,(((~ (c_2Ereal_2Ereal__lte @ (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ sk1 @ sk2) @ sk1 @ sk2) @ sk3)) != ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) & (c_2Erealax_2Ereal__lt @ sk3 @ sk2)))),inference(pattern_uni,[status(thm)],[314:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 83.60/18.08  thf(9766,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2) != sk2) | (~ (c_2Ereal_2Ereal__lte @ A @ B)) | ((c_2Erealax_2Ereal__lt @ sk2 @ sk1) != (c_2Erealax_2Ereal__lt @ B @ A)))),inference(paramod_ordered,[status(thm)],[8957,102])).
% 83.60/18.08  thf(9767,plain,(((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2) != sk2) | (~ (c_2Ereal_2Ereal__lte @ sk1 @ sk2))),inference(pattern_uni,[status(thm)],[9766:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 83.60/18.08  thf(8932,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((c_2Ereal_2Ereal__lte @ A @ B) | ((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2) != sk2) | ((c_2Erealax_2Ereal__lt @ B @ A) != (c_2Erealax_2Ereal__lt @ sk3 @ sk1)))),inference(paramod_ordered,[status(thm)],[102,7998])).
% 83.60/18.08  thf(8933,plain,((c_2Ereal_2Ereal__lte @ sk1 @ sk3) | ((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ $true @ sk1 @ sk2) != sk2)),inference(pattern_uni,[status(thm)],[8932:[bind(A, $thf(sk1)),bind(B, $thf(sk3))]])).
% 83.60/18.08  thf(304,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ A @ B) @ A @ B)) != ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) & (c_2Erealax_2Ereal__lt @ sk3 @ sk2))) | ((c_2Ereal_2Emin @ A @ B) != (c_2Ereal_2Emin @ sk1 @ sk2)))),inference(paramod_ordered,[status(thm)],[97,21])).
% 83.60/18.08  thf(305,plain,(((c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ sk1 @ sk2) @ sk1 @ sk2)) != ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) & (c_2Erealax_2Ereal__lt @ sk3 @ sk2)))),inference(pattern_uni,[status(thm)],[304:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 83.60/18.08  thf(209,plain,(((c_2Ereal_2Emin @ sk1 @ sk2) != sk2) | ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) != (~ (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3))) | ((c_2Erealax_2Ereal__lt @ sk3 @ sk2) != (c_2Erealax_2Ereal__lt @ sk3 @ sk2))),inference(paramod_ordered,[status(thm)],[121,191])).
% 83.60/18.08  thf(210,plain,(((c_2Ereal_2Emin @ sk1 @ sk2) != sk2) | ((c_2Erealax_2Ereal__lt @ sk3 @ sk1) != (~ (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3)))),inference(pattern_uni,[status(thm)],[209:[]])).
% 83.60/18.08  thf(228,plain,((~ (~ (c_2Ereal_2Ereal__lte @ sk1 @ sk3) & (c_2Erealax_2Ereal__lt @ sk3 @ sk2))) | (~ (~ (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3)))),inference(bool_ext,[status(thm)],[214])).
% 83.60/18.08  thf(242,plain,((c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3) | (c_2Ereal_2Ereal__lte @ sk1 @ sk3) | (~ (c_2Erealax_2Ereal__lt @ sk3 @ sk2))),inference(cnf,[status(esa)],[228])).
% 83.60/18.08  thf(13818,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((c_2Ereal_2Emin @ A @ B) = B) | (~ (c_2Ereal_2Ereal__lte @ sk1 @ sk2)) | ((c_2Ereal_2Ereal__lte @ A @ B) != (c_2Ereal_2Ereal__lte @ sk1 @ sk3)))),inference(paramod_ordered,[status(thm)],[332,12436])).
% 83.60/18.08  thf(13819,plain,(((c_2Ereal_2Emin @ sk1 @ sk3) = sk3) | (~ (c_2Ereal_2Ereal__lte @ sk1 @ sk2))),inference(pattern_uni,[status(thm)],[13818:[bind(A, $thf(sk1)),bind(B, $thf(sk3))]])).
% 83.60/18.08  thf(194,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((c_2Erealax_2Ereal__lt @ sk3 @ sk2) | (~ (c_2Ereal_2Ereal__lte @ A @ B)) | ((c_2Erealax_2Ereal__lt @ B @ A) != (c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2))))),inference(paramod_ordered,[status(thm)],[102,113])).
% 83.60/18.08  thf(195,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk2) | (~ (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3))),inference(pattern_uni,[status(thm)],[194:[bind(A, $thf(c_2Ereal_2Emin @ sk1 @ sk2)),bind(B, $thf(sk3))]])).
% 83.60/18.08  thf(13786,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((c_2Ereal_2Emin @ A @ B) = B) | (c_2Erealax_2Ereal__lt @ sk3 @ sk2) | ((c_2Ereal_2Ereal__lte @ A @ B) != (c_2Ereal_2Ereal__lte @ sk1 @ sk3)))),inference(paramod_ordered,[status(thm)],[332,5896])).
% 83.60/18.08  thf(13787,plain,(((c_2Ereal_2Emin @ sk1 @ sk3) = sk3) | (c_2Erealax_2Ereal__lt @ sk3 @ sk2)),inference(pattern_uni,[status(thm)],[13786:[bind(A, $thf(sk1)),bind(B, $thf(sk3))]])).
% 83.60/18.08  thf(6557,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((c_2Ereal_2Emin @ sk1 @ sk2) != sk2) | (~ (c_2Ereal_2Ereal__lte @ A @ B)) | ((c_2Erealax_2Ereal__lt @ sk2 @ sk1) != (c_2Erealax_2Ereal__lt @ B @ A)))),inference(paramod_ordered,[status(thm)],[6096,102])).
% 83.60/18.08  thf(6558,plain,(((c_2Ereal_2Emin @ sk1 @ sk2) != sk2) | (~ (c_2Ereal_2Ereal__lte @ sk1 @ sk2))),inference(pattern_uni,[status(thm)],[6557:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 83.60/18.08  thf(11,axiom,((! [A:$o]: ((((c_2Ebool_2ET) => (A)) = A) & (((A) => (c_2Ebool_2ET)) = c_2Ebool_2ET) & (((c_2Ebool_2EF) => (A)) = c_2Ebool_2ET) & (((A) => (A)) = c_2Ebool_2ET) & (((A) => (c_2Ebool_2EF)) = (~ (A)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__CLAUSES)).
% 83.60/18.08  thf(62,plain,((! [A:$o]: ((((c_2Ebool_2ET) => (A)) = A) & (((A) => (c_2Ebool_2ET)) = c_2Ebool_2ET) & (((c_2Ebool_2EF) => (A)) = c_2Ebool_2ET) & (c_2Ebool_2ET) & (((A) => (c_2Ebool_2EF)) = (~ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 83.60/18.08  thf(217,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk2) | ((c_2Erealax_2Ereal__lt @ sk3 @ sk2) != (~ (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3))) | ((c_2Erealax_2Ereal__lt @ sk3 @ (c_2Ereal_2Emin @ sk1 @ sk2)) != (c_2Erealax_2Ereal__lt @ sk3 @ sk1))),inference(paramod_ordered,[status(thm)],[113,191])).
% 83.60/18.08  thf(219,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk2) | ((c_2Erealax_2Ereal__lt @ sk3 @ sk2) != (~ (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3))) | (sk3 != sk3) | ((c_2Ereal_2Emin @ sk1 @ sk2) != sk1)),inference(simp,[status(thm)],[217])).
% 83.60/18.08  thf(227,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk2) | ((c_2Erealax_2Ereal__lt @ sk3 @ sk2) != (~ (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Emin @ sk1 @ sk2) @ sk3))) | ((c_2Ereal_2Emin @ sk1 @ sk2) != sk1)),inference(simp,[status(thm)],[219])).
% 83.60/18.08  thf(308,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ A @ B) @ A @ B) != sk2) | (c_2Ereal_2Ereal__lte @ sk1 @ sk3) | ((c_2Ereal_2Emin @ A @ B) != (c_2Ereal_2Emin @ sk1 @ sk2)))),inference(paramod_ordered,[status(thm)],[97,193])).
% 83.60/18.08  thf(309,plain,(((c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Ereal_2Ereal__lte @ sk1 @ sk2) @ sk1 @ sk2) != sk2) | (c_2Ereal_2Ereal__lte @ sk1 @ sk3)),inference(pattern_uni,[status(thm)],[308:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 83.60/18.08  thf(1893,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk1) | ((c_2Erealax_2Ereal__lt @ sk3 @ sk2) != (c_2Erealax_2Ereal__lt @ sk3 @ sk1)) | ~ ($true)),inference(eqfactor_ordered,[status(thm)],[1744])).
% 83.60/18.08  thf(1912,plain,((c_2Erealax_2Ereal__lt @ sk3 @ sk1) | ((c_2Erealax_2Ereal__lt @ sk3 @ sk2) != (c_2Erealax_2Ereal__lt @ sk3 @ sk1))),inference(simp,[status(thm)],[1893])).
% 83.60/18.08  thf(30753,plain,($false),inference(iprover,[status(thm)],[365,5896,16243,8005,6177,379,269,42,1724,2531,13841,325,57,216,321,485,12436,121,348,397,8001,8362,2982,307,1306,201,102,334,16259,12385,2560,28,38,21,137,13971,33,97,6096,224,317,156,2973,1856,2858,8429,193,7998,686,489,1744,1231,457,1246,237,244,205,311,13879,375,176,423,191,22,286,118,7180,204,12400,350,187,113,4228,274,81,8688,98,303,16177,6087,103,1838,1213,135,12341,438,1694,487,112,4859,48,8003,8263,95,327,409,199,177,10717,10365,8071,8327,2903,10992,72,8734,2939,8552,12402,43,4217,231,99,203,8957,104,2919,699,319,114,7959,23,235,346,214,8341,6055,315,8193,1229,9767,3892,19,8933,305,210,242,13819,16175,195,13787,6558,332,62,90,227,309,1912,100])).
% 83.60/18.08  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 83.60/18.08  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
