%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:45:09 EDT 2019

% Result     : Theorem 38.10s
% Output     : CNFRefutation 38.11s
% Verified   : 
% Statistics : Number of formulae       :  213 (2131 expanded)
%              Number of leaves         :   28 ( 331 expanded)
%              Depth                    :   25
%              Number of atoms          : 2737 (22717 expanded)
%              Number of equality atoms :  231 (2362 expanded)
%              Maximal formula depth    :   13 (   8 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Epred__set_2EEMPTY_type,type,(
    c_2Epred__set_2EEMPTY: 
      !>[TA: $tType] :
        ( TA > $o ) )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $o )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Ereal__topology_2Econnected__component_type,type,(
    c_2Ereal__topology_2Econnected__component: ( tyop_2Erealax_2Ereal > $o ) > tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > $o )).

thf(sk1_type,type,(
    sk1: tyop_2Erealax_2Ereal > $o )).

thf(sk2_type,type,(
    sk2: tyop_2Erealax_2Ereal )).

thf(sk3_type,type,(
    sk3: tyop_2Erealax_2Ereal )).

thf(sk4_type,type,(
    sk4: $o )).

thf(sk5_type,type,(
    sk5: tyop_2Erealax_2Ereal )).

thf(sk8_type,type,(
    sk8: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(sk12_type,type,(
    sk12: tyop_2Erealax_2Ereal )).

thf(sk13_type,type,(
    sk13: tyop_2Erealax_2Ereal )).

thf(11,axiom,(
    ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal__topology_2Econnected__component @ A @ B @ C )
     => ( c_2Ereal__topology_2Econnected__component @ A @ C @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECONNECTED__COMPONENT__SYM)).

thf(65,plain,(
    ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal__topology_2Econnected__component @ A @ B @ C )
     => ( c_2Ereal__topology_2Econnected__component @ A @ C @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(67,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal__topology_2Econnected__component
        @ ^ [C: tyop_2Erealax_2Ereal] : $false
        @ A
        @ B )
     => ( c_2Ereal__topology_2Econnected__component
        @ ^ [C: tyop_2Erealax_2Ereal] : $false
        @ B
        @ A ) ) ),
    inference(instance,[status(thm)],[65])).

thf(69,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ereal__topology_2Econnected__component
          @ ^ [C: tyop_2Erealax_2Ereal] : $false
          @ A
          @ B )
      | ( c_2Ereal__topology_2Econnected__component
        @ ^ [C: tyop_2Erealax_2Ereal] : $false
        @ B
        @ A ) ) ),
    inference(cnf,[status(esa)],[67])).

thf(1,conjecture,(
    ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal__topology_2Econnected__component @ A @ B )
        = ( c_2Ereal__topology_2Econnected__component @ A @ C ) )
      = ( ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A )
          & ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ A ) )
        | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A )
          & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ A )
          & ( c_2Ereal__topology_2Econnected__component @ A @ B @ C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECONNECTED__COMPONENT__EQ__EQ)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
        ( ( ( c_2Ereal__topology_2Econnected__component @ A @ B )
          = ( c_2Ereal__topology_2Econnected__component @ A @ C ) )
        = ( ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A )
            & ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ A ) )
          | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A )
            & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ A )
            & ( c_2Ereal__topology_2Econnected__component @ A @ B @ C ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(16,plain,(
    ~ ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
        ( ( ( c_2Ereal__topology_2Econnected__component @ A @ B )
          = ( c_2Ereal__topology_2Econnected__component @ A @ C ) )
        = ( ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A )
            & ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ A ) )
          | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A )
            & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ A )
            & ( c_2Ereal__topology_2Econnected__component @ A @ B @ C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(17,plain,(
    ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 )
    = ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 ) )
 != ( ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
      & ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 ) )
    | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
      & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
      & ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 ) ) ) ),
    inference(cnf,[status(esa)],[16])).

thf(18,plain,(
    ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 )
    = ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 ) )
 != ( ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
      & ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 ) )
    | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
      & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
      & ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 ) ) ) ),
    inference(lifteq,[status(thm)],[17])).

thf(104,plain,
    ( ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 )
      = ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 ) )
    | ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
      & ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 ) )
    | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
      & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
      & ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 ) ) ),
    inference(bool_ext,[status(thm)],[18])).

thf(106,plain,
    ( ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
      = ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 ) )
    | ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
      & ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 ) )
    | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
      & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
      & ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 ) ) ),
    inference(lifteq,[status(thm)],[104])).

thf(109,plain,
    ( ~ sk4
    | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
    | ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
      = ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 ) ) ),
    inference(cnf,[status(esa)],[106])).

thf(133,plain,
    ( ~ sk4
    | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
    | ~ ( ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
          & ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 ) )
        | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
          & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
          & ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 ) ) )
    | ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
     != ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 ) ) ),
    inference(paramod_ordered,[status(thm)],[109,18])).

thf(134,plain,
    ( ~ sk4
    | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
    | ~ ( ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
          & ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 ) )
        | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
          & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
          & ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 ) ) ) ),
    inference(pattern_uni,[status(thm)],[133:[]])).

thf(140,plain,
    ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
    | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
    | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
    | ~ sk4 ),
    inference(cnf,[status(esa)],[134])).

thf(143,plain,
    ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
    | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
    | ~ sk4 ),
    inference(simp,[status(thm)],[140])).

thf(12,axiom,(
    ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal__topology_2Econnected__component @ A @ B )
        = ( c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal ) )
      = ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECONNECTED__COMPONENT__EQ__EMPTY)).

thf(71,plain,(
    ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal__topology_2Econnected__component @ A @ B )
        = ( c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal ) )
      = ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(76,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal > $o] :
      ( ( ( c_2Ereal__topology_2Econnected__component @ A @ B )
        = ( c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal ) )
      = ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A ) ) ) ),
    inference(cnf,[status(esa)],[71])).

thf(79,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal > $o] :
      ( ( ( c_2Ereal__topology_2Econnected__component @ A @ B )
        = ( c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal ) )
      = ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A ) ) ) ),
    inference(lifteq,[status(thm)],[76])).

thf(10,axiom,(
    ! [TA: $tType] :
      ( ( c_2Epred__set_2EEMPTY @ TA )
      = ( ^ [A: TA] : c_2Ebool_2EF ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EEMPTY__DEF)).

thf(62,plain,(
    ! [TA: $tType] :
      ( ( c_2Epred__set_2EEMPTY @ TA )
      = ( ^ [A: TA] : c_2Ebool_2EF ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(63,plain,(
    ! [TA: $tType] :
      ( ( c_2Epred__set_2EEMPTY @ TA )
      = ( ^ [A: TA] : c_2Ebool_2EF ) ) ),
    inference(cnf,[status(esa)],[62])).

thf(64,plain,(
    ! [TA: $tType] :
      ( ( c_2Epred__set_2EEMPTY @ TA )
      = ( ^ [A: TA] : c_2Ebool_2EF ) ) ),
    inference(lifteq,[status(thm)],[63])).

thf(6,axiom,(
    ! [A: $o] :
      ( c_2Ebool_2EF
     => A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EFALSITY)).

thf(34,plain,(
    ! [A: $o] :
      ( c_2Ebool_2EF
     => A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(37,plain,
    ( c_2Ebool_2EF
   => $false ),
    inference(instance,[status(thm)],[34])).

thf(38,plain,(
    ~ c_2Ebool_2EF ),
    inference(simp,[status(thm)],[37])).

thf(99,plain,(
    ! [TA: $tType] :
      ( ( c_2Epred__set_2EEMPTY @ TA )
      = ( ^ [A: TA] : $false ) ) ),
    inference(rewrite,[status(thm)],[64,38])).

thf(100,plain,(
    ! [TA: $tType,A: TA] :
      ~ ( c_2Epred__set_2EEMPTY @ TA @ A ) ),
    inference(func_ext,[status(esa)],[99])).

thf(307,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal > $o] :
      ( ( ( c_2Ereal__topology_2Econnected__component @ A @ B )
        = ( ^ [C: tyop_2Erealax_2Ereal] : $false ) )
      = ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A ) ) ) ),
    inference(rewrite,[status(thm)],[79,100])).

thf(333,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal > $o] :
      ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
      | ~ sk4
      | ( ( c_2Ereal__topology_2Econnected__component @ A @ B )
       != ( ^ [C: tyop_2Erealax_2Ereal] : $false ) )
      | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
       != ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A ) ) ) ),
    inference(paramod_ordered,[status(thm)],[143,307])).

thf(334,plain,
    ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
    | ~ sk4
    | ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
     != ( ^ [A: tyop_2Erealax_2Ereal] : $false ) ) ),
    inference(pattern_uni,[status(thm)],[333:[bind(A,$thf(sk1)),bind(B,$thf(sk3))]])).

thf(336,plain,
    ( ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
     != ( ^ [A: tyop_2Erealax_2Ereal] : $false ) )
    | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
    | ~ sk4 ),
    inference(lifteq,[status(thm)],[334])).

thf(1665,plain,
    ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 @ sk12 )
    | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
    | ~ sk4 ),
    inference(func_ext,[status(esa)],[336])).

thf(14,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal > $o,C: tyop_2Erealax_2Ereal,D: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal__topology_2Econnected__component @ B @ C @ D )
        & ( c_2Ereal__topology_2Econnected__component @ B @ D @ A ) )
     => ( c_2Ereal__topology_2Econnected__component @ B @ C @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECONNECTED__COMPONENT__TRANS)).

thf(86,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal > $o,C: tyop_2Erealax_2Ereal,D: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal__topology_2Econnected__component @ B @ C @ D )
        & ( c_2Ereal__topology_2Econnected__component @ B @ D @ A ) )
     => ( c_2Ereal__topology_2Econnected__component @ B @ C @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(87,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal > $o,C: tyop_2Erealax_2Ereal] :
      ( ? [D: tyop_2Erealax_2Ereal] :
          ( ( c_2Ereal__topology_2Econnected__component @ B @ C @ D )
          & ( c_2Ereal__topology_2Econnected__component @ B @ D @ A ) )
     => ( c_2Ereal__topology_2Econnected__component @ B @ C @ A ) ) ),
    inference(miniscope,[status(thm)],[86])).

thf(88,plain,(
    ! [D: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal > $o,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ereal__topology_2Econnected__component @ B @ C @ D )
      | ~ ( c_2Ereal__topology_2Econnected__component @ B @ D @ A )
      | ( c_2Ereal__topology_2Econnected__component @ B @ C @ A ) ) ),
    inference(cnf,[status(esa)],[87])).

thf(103,plain,
    ( ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 )
     != ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 ) )
    | ~ ( ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
          & ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 ) )
        | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
          & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
          & ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 ) ) ) ),
    inference(bool_ext,[status(thm)],[18])).

thf(105,plain,
    ( ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
     != ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 ) )
    | ~ ( ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
          & ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 ) )
        | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
          & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
          & ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 ) ) ) ),
    inference(lifteq,[status(thm)],[103])).

thf(107,plain,
    ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
    | ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
    | ~ ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 )
    | ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
     != ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 ) ) ),
    inference(cnf,[status(esa)],[105])).

thf(115,plain,
    ( ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 @ sk5 )
     != ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk5 ) )
    | ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
    | ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
    | ~ ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 ) ),
    inference(func_ext,[status(esa)],[107])).

thf(72,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [B: tyop_2Erealax_2Ereal] : $true
          @ A )
        = ( c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal ) )
      = ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
            @ ^ [B: tyop_2Erealax_2Ereal] : $true ) ) ) ),
    inference(instance,[status(thm)],[71])).

thf(74,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [B: tyop_2Erealax_2Ereal] : $true
          @ A )
        = ( c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal ) )
      = ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
            @ ^ [B: tyop_2Erealax_2Ereal] : $true ) ) ) ),
    inference(cnf,[status(esa)],[72])).

thf(77,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [B: tyop_2Erealax_2Ereal] : $true
          @ A )
        = ( c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal ) )
      = ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
            @ ^ [B: tyop_2Erealax_2Ereal] : $true ) ) ) ),
    inference(lifteq,[status(thm)],[74])).

thf(117,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [B: tyop_2Erealax_2Ereal] : $true
          @ A )
        = ( ^ [B: tyop_2Erealax_2Ereal] : $false ) )
      = ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
            @ ^ [B: tyop_2Erealax_2Ereal] : $true ) ) ) ),
    inference(rewrite,[status(thm)],[77,100])).

thf(118,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [B: tyop_2Erealax_2Ereal] : $true
          @ A )
       != ( ^ [B: tyop_2Erealax_2Ereal] : $false ) )
      | ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
          @ ^ [B: tyop_2Erealax_2Ereal] : $true ) ) ),
    inference(bool_ext,[status(thm)],[117])).

thf(123,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [B: tyop_2Erealax_2Ereal] : $true
          @ A )
       != ( ^ [B: tyop_2Erealax_2Ereal] : $false ) )
      | ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
          @ ^ [B: tyop_2Erealax_2Ereal] : $true ) ) ),
    inference(lifteq,[status(thm)],[118])).

thf(129,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
          @ ^ [B: tyop_2Erealax_2Ereal] : $true )
      | ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [B: tyop_2Erealax_2Ereal] : $true
          @ A )
       != ( ^ [B: tyop_2Erealax_2Ereal] : $false ) ) ) ),
    inference(cnf,[status(esa)],[123])).

thf(1026,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal__topology_2Econnected__component
        @ ^ [B: tyop_2Erealax_2Ereal] : $true
        @ A
        @ ( sk8 @ A ) )
      | ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
          @ ^ [B: tyop_2Erealax_2Ereal] : $true ) ) ),
    inference(func_ext,[status(esa)],[129])).

thf(15,axiom,(
    ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal__topology_2Econnected__component @ A @ B @ C )
      = ( c_2Ereal__topology_2Econnected__component @ A @ C @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECONNECTED__COMPONENT__SYM__EQ)).

thf(89,plain,(
    ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal__topology_2Econnected__component @ A @ B @ C )
      = ( c_2Ereal__topology_2Econnected__component @ A @ C @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(90,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal__topology_2Econnected__component
        @ ^ [C: tyop_2Erealax_2Ereal] : $true
        @ A
        @ B )
      = ( c_2Ereal__topology_2Econnected__component
        @ ^ [C: tyop_2Erealax_2Ereal] : $true
        @ B
        @ A ) ) ),
    inference(instance,[status(thm)],[89])).

thf(92,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal__topology_2Econnected__component
        @ ^ [C: tyop_2Erealax_2Ereal] : $true
        @ A
        @ B )
      = ( c_2Ereal__topology_2Econnected__component
        @ ^ [C: tyop_2Erealax_2Ereal] : $true
        @ B
        @ A ) ) ),
    inference(cnf,[status(esa)],[90])).

thf(95,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal__topology_2Econnected__component
        @ ^ [C: tyop_2Erealax_2Ereal] : $true
        @ A
        @ B )
      = ( c_2Ereal__topology_2Econnected__component
        @ ^ [C: tyop_2Erealax_2Ereal] : $true
        @ B
        @ A ) ) ),
    inference(lifteq,[status(thm)],[92])).

thf(119,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [B: tyop_2Erealax_2Ereal] : $true
          @ A )
        = ( ^ [B: tyop_2Erealax_2Ereal] : $false ) )
      | ~ ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
            @ ^ [B: tyop_2Erealax_2Ereal] : $true ) ) ),
    inference(bool_ext,[status(thm)],[117])).

thf(124,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [B: tyop_2Erealax_2Ereal] : $true
          @ A )
        = ( ^ [B: tyop_2Erealax_2Ereal] : $false ) )
      | ~ ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
            @ ^ [B: tyop_2Erealax_2Ereal] : $true ) ) ),
    inference(lifteq,[status(thm)],[119])).

thf(128,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
        @ ^ [B: tyop_2Erealax_2Ereal] : $true )
      | ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [B: tyop_2Erealax_2Ereal] : $true
          @ A )
        = ( ^ [B: tyop_2Erealax_2Ereal] : $false ) ) ) ),
    inference(cnf,[status(esa)],[124])).

thf(382,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ereal__topology_2Econnected__component
          @ ^ [C: tyop_2Erealax_2Ereal] : $true
          @ A
          @ B )
      | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
        @ ^ [C: tyop_2Erealax_2Ereal] : $true ) ) ),
    inference(func_ext,[status(esa)],[128])).

thf(1447,plain,(
    ! [D: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ereal__topology_2Econnected__component
          @ ^ [E: tyop_2Erealax_2Ereal] : $true
          @ A
          @ B )
      | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C
        @ ^ [E: tyop_2Erealax_2Ereal] : $true )
      | ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [E: tyop_2Erealax_2Ereal] : $true
          @ B
          @ A )
       != ( c_2Ereal__topology_2Econnected__component
          @ ^ [E: tyop_2Erealax_2Ereal] : $true
          @ C
          @ D ) ) ) ),
    inference(paramod_ordered,[status(thm)],[95,382])).

thf(1448,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ereal__topology_2Econnected__component
          @ ^ [C: tyop_2Erealax_2Ereal] : $true
          @ A
          @ B )
      | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B
        @ ^ [C: tyop_2Erealax_2Ereal] : $true ) ) ),
    inference(pattern_uni,[status(thm)],[1447:[bind(A,$thf(A)),bind(B,$thf(B)),bind(C,$thf(B)),bind(D,$thf(A))]])).

thf(2339,plain,(
    ! [C: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
          @ ^ [D: tyop_2Erealax_2Ereal] : $true )
      | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C
        @ ^ [D: tyop_2Erealax_2Ereal] : $true )
      | ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [D: tyop_2Erealax_2Ereal] : $true
          @ A
          @ ( sk8 @ A ) )
       != ( c_2Ereal__topology_2Econnected__component
          @ ^ [D: tyop_2Erealax_2Ereal] : $true
          @ B
          @ C ) ) ) ),
    inference(paramod_ordered,[status(thm)],[1026,1448])).

thf(2340,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
          @ ^ [B: tyop_2Erealax_2Ereal] : $true )
      | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ ( sk8 @ A )
        @ ^ [B: tyop_2Erealax_2Ereal] : $true ) ) ),
    inference(pattern_uni,[status(thm)],[2339:[bind(A,$thf(D)),bind(B,$thf(D)),bind(C,$thf(sk8 @ D))]])).

thf(2389,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
          @ ^ [B: tyop_2Erealax_2Ereal] : $true )
      | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ ( sk8 @ A )
        @ ^ [B: tyop_2Erealax_2Ereal] : $true ) ) ),
    inference(simp,[status(thm)],[2340])).

thf(2515,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
          @ ^ [C: tyop_2Erealax_2Ereal] : $true )
      | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ ( sk8 @ B )
        @ ^ [C: tyop_2Erealax_2Ereal] : $true )
      | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ ( sk8 @ A )
          @ ^ [C: tyop_2Erealax_2Ereal] : $true )
       != ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B
          @ ^ [C: tyop_2Erealax_2Ereal] : $true ) ) ) ),
    inference(paramod_ordered,[status(thm)],[2389,2389])).

thf(2516,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
          @ ^ [B: tyop_2Erealax_2Ereal] : $true )
      | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ ( sk8 @ ( sk8 @ A ) )
        @ ^ [B: tyop_2Erealax_2Ereal] : $true ) ) ),
    inference(pattern_uni,[status(thm)],[2515:[bind(A,$thf(C)),bind(B,$thf(sk8 @ C))]])).

thf(2555,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
          @ ^ [B: tyop_2Erealax_2Ereal] : $true )
      | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ ( sk8 @ ( sk8 @ A ) )
        @ ^ [B: tyop_2Erealax_2Ereal] : $true ) ) ),
    inference(simp,[status(thm)],[2516])).

thf(2497,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
          @ ^ [C: tyop_2Erealax_2Ereal] : $true )
      | ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [C: tyop_2Erealax_2Ereal] : $true
          @ B )
       != ( ^ [C: tyop_2Erealax_2Ereal] : $false ) )
      | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ ( sk8 @ A )
          @ ^ [C: tyop_2Erealax_2Ereal] : $true )
       != ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B
          @ ^ [C: tyop_2Erealax_2Ereal] : $true ) ) ) ),
    inference(paramod_ordered,[status(thm)],[2389,117])).

thf(2498,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
          @ ^ [B: tyop_2Erealax_2Ereal] : $true )
      | ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [B: tyop_2Erealax_2Ereal] : $true
          @ ( sk8 @ A ) )
       != ( ^ [B: tyop_2Erealax_2Ereal] : $false ) ) ) ),
    inference(pattern_uni,[status(thm)],[2497:[bind(A,$thf(C)),bind(B,$thf(sk8 @ C))]])).

thf(2527,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [B: tyop_2Erealax_2Ereal] : $true
          @ ( sk8 @ A ) )
       != ( ^ [B: tyop_2Erealax_2Ereal] : $false ) )
      | ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
          @ ^ [B: tyop_2Erealax_2Ereal] : $true ) ) ),
    inference(lifteq,[status(thm)],[2498])).

thf(2554,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [B: tyop_2Erealax_2Ereal] : $true
          @ ( sk8 @ A ) )
       != ( ^ [B: tyop_2Erealax_2Ereal] : $false ) )
      | ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
          @ ^ [B: tyop_2Erealax_2Ereal] : $true ) ) ),
    inference(simp,[status(thm)],[2527])).

thf(2634,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
          @ ^ [C: tyop_2Erealax_2Ereal] : $true )
      | ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [C: tyop_2Erealax_2Ereal] : $true
          @ ( sk8 @ B ) )
       != ( ^ [C: tyop_2Erealax_2Ereal] : $false ) )
      | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ ( sk8 @ ( sk8 @ A ) )
          @ ^ [C: tyop_2Erealax_2Ereal] : $true )
       != ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B
          @ ^ [C: tyop_2Erealax_2Ereal] : $true ) ) ) ),
    inference(paramod_ordered,[status(thm)],[2555,2554])).

thf(2635,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
          @ ^ [B: tyop_2Erealax_2Ereal] : $true )
      | ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [B: tyop_2Erealax_2Ereal] : $true
          @ ( sk8 @ ( sk8 @ ( sk8 @ A ) ) ) )
       != ( ^ [B: tyop_2Erealax_2Ereal] : $false ) ) ) ),
    inference(pattern_uni,[status(thm)],[2634:[bind(A,$thf(D)),bind(B,$thf(sk8 @ ( sk8 @ D )))]])).

thf(2676,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
          @ ^ [B: tyop_2Erealax_2Ereal] : $true )
      | ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [B: tyop_2Erealax_2Ereal] : $true
          @ ( sk8 @ ( sk8 @ ( sk8 @ A ) ) ) )
       != ( ^ [B: tyop_2Erealax_2Ereal] : $false ) ) ) ),
    inference(simp,[status(thm)],[2635])).

thf(4,axiom,(
    ! [A: $o] :
      ( A
     => ( ~ A
       => c_2Ebool_2EF ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EAND__INV__IMP)).

thf(24,plain,(
    ! [A: $o] :
      ( A
     => ( ~ A
       => c_2Ebool_2EF ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(331,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal > $o] :
      ( ( ( ( ( ( c_2Ereal__topology_2Econnected__component @ A @ B )
              = ( ^ [C: tyop_2Erealax_2Ereal] : $false ) )
            & ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 ) )
          | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
            & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
            & ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 ) ) )
       != ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 )
          = ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 ) ) )
      | ( ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A ) )
       != ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 ) ) ) ) ),
    inference(paramod_ordered,[status(thm)],[307,18])).

thf(332,plain,(
    ( ( ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 )
        = ( ^ [A: tyop_2Erealax_2Ereal] : $false ) )
      & ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 ) )
    | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
      & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
      & ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 ) ) )
 != ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 )
    = ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 ) ) ),
    inference(pattern_uni,[status(thm)],[331:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(667,plain,
    ( ~ sk4
    | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
    | ~ ( ( ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 )
            = ( ^ [A: tyop_2Erealax_2Ereal] : $false ) )
          & ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 ) )
        | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
          & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
          & ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 ) ) )
    | ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
     != ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 ) ) ),
    inference(paramod_ordered,[status(thm)],[109,332])).

thf(668,plain,
    ( ~ sk4
    | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
    | ~ ( ( ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 )
            = ( ^ [A: tyop_2Erealax_2Ereal] : $false ) )
          & ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 ) )
        | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
          & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
          & ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 ) ) ) ),
    inference(pattern_uni,[status(thm)],[667:[]])).

thf(715,plain,
    ( ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 )
     != ( ^ [A: tyop_2Erealax_2Ereal] : $false ) )
    | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
    | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
    | ~ sk4 ),
    inference(cnf,[status(esa)],[668])).

thf(718,plain,
    ( ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 )
     != ( ^ [A: tyop_2Erealax_2Ereal] : $false ) )
    | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
    | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
    | ~ sk4 ),
    inference(lifteq,[status(thm)],[715])).

thf(719,plain,
    ( ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 )
     != ( ^ [A: tyop_2Erealax_2Ereal] : $false ) )
    | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
    | ~ sk4 ),
    inference(simp,[status(thm)],[718])).

thf(110,plain,
    ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
    | sk4
    | ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
      = ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 ) ) ),
    inference(cnf,[status(esa)],[106])).

thf(120,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
              @ ^ [B: tyop_2Erealax_2Ereal] : $true ) )
       != ( ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
            & ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 ) )
          | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
            & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
            & ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 ) ) ) )
      | ( ( ( c_2Ereal__topology_2Econnected__component
            @ ^ [B: tyop_2Erealax_2Ereal] : $true
            @ A )
          = ( ^ [B: tyop_2Erealax_2Ereal] : $false ) )
       != ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 )
          = ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 ) ) ) ) ),
    inference(paramod_ordered,[status(thm)],[117,18])).

thf(125,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
              @ ^ [B: tyop_2Erealax_2Ereal] : $true ) )
       != ( ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
            & ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 ) )
          | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
            & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
            & ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 ) ) ) )
      | ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [B: tyop_2Erealax_2Ereal] : $true
          @ A )
       != ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 ) )
      | ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
       != ( ^ [B: tyop_2Erealax_2Ereal] : $false ) ) ) ),
    inference(simp,[status(thm)],[120])).

thf(91,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal__topology_2Econnected__component
        @ ^ [C: tyop_2Erealax_2Ereal] : $false
        @ A
        @ B )
      = ( c_2Ereal__topology_2Econnected__component
        @ ^ [C: tyop_2Erealax_2Ereal] : $false
        @ B
        @ A ) ) ),
    inference(instance,[status(thm)],[89])).

thf(93,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal__topology_2Econnected__component
        @ ^ [C: tyop_2Erealax_2Ereal] : $false
        @ A
        @ B )
      = ( c_2Ereal__topology_2Econnected__component
        @ ^ [C: tyop_2Erealax_2Ereal] : $false
        @ B
        @ A ) ) ),
    inference(cnf,[status(esa)],[91])).

thf(96,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal__topology_2Econnected__component
        @ ^ [C: tyop_2Erealax_2Ereal] : $false
        @ A
        @ B )
      = ( c_2Ereal__topology_2Econnected__component
        @ ^ [C: tyop_2Erealax_2Ereal] : $false
        @ B
        @ A ) ) ),
    inference(lifteq,[status(thm)],[93])).

thf(73,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [B: tyop_2Erealax_2Ereal] : $false
          @ A )
        = ( c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal ) )
      = ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
            @ ^ [B: tyop_2Erealax_2Ereal] : $false ) ) ) ),
    inference(instance,[status(thm)],[71])).

thf(75,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [B: tyop_2Erealax_2Ereal] : $false
          @ A )
        = ( c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal ) )
      = ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
            @ ^ [B: tyop_2Erealax_2Ereal] : $false ) ) ) ),
    inference(cnf,[status(esa)],[73])).

thf(78,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [B: tyop_2Erealax_2Ereal] : $false
          @ A )
        = ( c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal ) )
      = ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
            @ ^ [B: tyop_2Erealax_2Ereal] : $false ) ) ) ),
    inference(lifteq,[status(thm)],[75])).

thf(181,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [B: tyop_2Erealax_2Ereal] : $false
          @ A )
        = ( ^ [B: tyop_2Erealax_2Ereal] : $false ) )
      = ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
            @ ^ [B: tyop_2Erealax_2Ereal] : $false ) ) ) ),
    inference(rewrite,[status(thm)],[78,100])).

thf(183,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [B: tyop_2Erealax_2Ereal] : $false
          @ A )
        = ( ^ [B: tyop_2Erealax_2Ereal] : $false ) )
      | ~ ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
            @ ^ [B: tyop_2Erealax_2Ereal] : $false ) ) ),
    inference(bool_ext,[status(thm)],[181])).

thf(195,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [B: tyop_2Erealax_2Ereal] : $false
          @ A )
        = ( ^ [B: tyop_2Erealax_2Ereal] : $false ) )
      | ~ ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
            @ ^ [B: tyop_2Erealax_2Ereal] : $false ) ) ),
    inference(lifteq,[status(thm)],[183])).

thf(205,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
        @ ^ [B: tyop_2Erealax_2Ereal] : $false )
      | ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [B: tyop_2Erealax_2Ereal] : $false
          @ A )
        = ( ^ [B: tyop_2Erealax_2Ereal] : $false ) ) ) ),
    inference(cnf,[status(esa)],[195])).

thf(1057,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ereal__topology_2Econnected__component
          @ ^ [C: tyop_2Erealax_2Ereal] : $false
          @ A
          @ B )
      | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
        @ ^ [C: tyop_2Erealax_2Ereal] : $false ) ) ),
    inference(func_ext,[status(esa)],[205])).

thf(1469,plain,(
    ! [D: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ereal__topology_2Econnected__component
          @ ^ [E: tyop_2Erealax_2Ereal] : $false
          @ A
          @ B )
      | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C
        @ ^ [E: tyop_2Erealax_2Ereal] : $false )
      | ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [E: tyop_2Erealax_2Ereal] : $false
          @ B
          @ A )
       != ( c_2Ereal__topology_2Econnected__component
          @ ^ [E: tyop_2Erealax_2Ereal] : $false
          @ C
          @ D ) ) ) ),
    inference(paramod_ordered,[status(thm)],[69,1057])).

thf(1470,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ereal__topology_2Econnected__component
          @ ^ [C: tyop_2Erealax_2Ereal] : $false
          @ A
          @ B )
      | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B
        @ ^ [C: tyop_2Erealax_2Ereal] : $false ) ) ),
    inference(pattern_uni,[status(thm)],[1469:[bind(A,$thf(A)),bind(B,$thf(B)),bind(C,$thf(B)),bind(D,$thf(A))]])).

thf(1831,plain,(
    ! [D: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ereal__topology_2Econnected__component
          @ ^ [E: tyop_2Erealax_2Ereal] : $false
          @ B
          @ A )
      | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ D
        @ ^ [E: tyop_2Erealax_2Ereal] : $false )
      | ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [E: tyop_2Erealax_2Ereal] : $false
          @ A
          @ B )
       != ( c_2Ereal__topology_2Econnected__component
          @ ^ [E: tyop_2Erealax_2Ereal] : $false
          @ C
          @ D ) ) ) ),
    inference(paramod_ordered,[status(thm)],[96,1470])).

thf(1832,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ereal__topology_2Econnected__component
          @ ^ [C: tyop_2Erealax_2Ereal] : $false
          @ B
          @ A )
      | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B
        @ ^ [C: tyop_2Erealax_2Ereal] : $false ) ) ),
    inference(pattern_uni,[status(thm)],[1831:[bind(A,$thf(A)),bind(B,$thf(B)),bind(C,$thf(A)),bind(D,$thf(B))]])).

thf(329,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal > $o] :
      ( ( ( ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
            & ( ( c_2Ereal__topology_2Econnected__component @ A @ B )
              = ( ^ [C: tyop_2Erealax_2Ereal] : $false ) ) )
          | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
            & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
            & ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 ) ) )
       != ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 )
          = ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 ) ) )
      | ( ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A ) )
       != ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 ) ) ) ) ),
    inference(paramod_ordered,[status(thm)],[307,18])).

thf(330,plain,(
    ( ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
      & ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
        = ( ^ [A: tyop_2Erealax_2Ereal] : $false ) ) )
    | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
      & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
      & ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 ) ) )
 != ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 )
    = ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 ) ) ),
    inference(pattern_uni,[status(thm)],[329:[bind(A,$thf(sk1)),bind(B,$thf(sk3))]])).

thf(569,plain,
    ( ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
      & ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
        = ( ^ [A: tyop_2Erealax_2Ereal] : $false ) ) )
    | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
      & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
      & ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 ) )
    | ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 )
      = ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 ) ) ),
    inference(bool_ext,[status(thm)],[330])).

thf(606,plain,
    ( ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
      = ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 ) )
    | ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
      & ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
        = ( ^ [A: tyop_2Erealax_2Ereal] : $false ) ) )
    | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
      & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
      & ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 ) ) ),
    inference(lifteq,[status(thm)],[569])).

thf(629,plain,
    ( ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
      = ( ^ [A: tyop_2Erealax_2Ereal] : $false ) )
    | sk4
    | ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
      = ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 ) ) ),
    inference(cnf,[status(esa)],[606])).

thf(634,plain,
    ( ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
      = ( ^ [A: tyop_2Erealax_2Ereal] : $false ) )
    | sk4
    | ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
      = ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 ) ) ),
    inference(lifteq,[status(thm)],[629])).

thf(852,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal > $o] :
      ( ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
        = ( ^ [C: tyop_2Erealax_2Ereal] : $false ) )
      | sk4
      | ( ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 )
          = ( ^ [C: tyop_2Erealax_2Ereal] : $false ) )
        = ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A ) ) )
      | ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
       != ( c_2Ereal__topology_2Econnected__component @ A @ B ) ) ) ),
    inference(paramod_ordered,[status(thm)],[634,307])).

thf(853,plain,
    ( ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
      = ( ^ [A: tyop_2Erealax_2Ereal] : $false ) )
    | sk4
    | ( ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 )
        = ( ^ [A: tyop_2Erealax_2Ereal] : $false ) )
      = ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 ) ) ) ),
    inference(pattern_uni,[status(thm)],[852:[bind(A,$thf(sk1)),bind(B,$thf(sk3))]])).

thf(5,axiom,(
    ! [A: $o] :
      ( ( ~ A
       => c_2Ebool_2EF )
     => ( ( A
         => c_2Ebool_2EF )
       => c_2Ebool_2EF ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EAND__INV2)).

thf(29,plain,(
    ! [A: $o] :
      ( ( ~ A
       => c_2Ebool_2EF )
     => ( ( A
         => c_2Ebool_2EF )
       => c_2Ebool_2EF ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(13,axiom,(
    ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A )
     => ( c_2Ereal__topology_2Econnected__component @ A @ B @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECONNECTED__COMPONENT__REFL)).

thf(80,plain,(
    ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A )
     => ( c_2Ereal__topology_2Econnected__component @ A @ B @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(82,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
        @ ^ [B: tyop_2Erealax_2Ereal] : $false )
     => ( c_2Ereal__topology_2Econnected__component
        @ ^ [B: tyop_2Erealax_2Ereal] : $false
        @ A
        @ A ) ) ),
    inference(instance,[status(thm)],[80])).

thf(84,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
          @ ^ [B: tyop_2Erealax_2Ereal] : $false )
      | ( c_2Ereal__topology_2Econnected__component
        @ ^ [B: tyop_2Erealax_2Ereal] : $false
        @ A
        @ A ) ) ),
    inference(cnf,[status(esa)],[82])).

thf(85,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal > $o] :
      ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A )
      | ( c_2Ereal__topology_2Econnected__component @ A @ B @ B ) ) ),
    inference(cnf,[status(esa)],[80])).

thf(114,plain,
    ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
    | ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
    | ~ ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 )
    | ( ( ^ [A: tyop_2Erealax_2Ereal] : sk1 )
     != ( ^ [A: tyop_2Erealax_2Ereal] : sk1 ) )
    | ( ( ^ [A: tyop_2Erealax_2Ereal] : sk3 )
     != ( ^ [A: tyop_2Erealax_2Ereal] : sk2 ) )
    | ( ( ^ [A: tyop_2Erealax_2Ereal] : A )
     != ( ^ [A: tyop_2Erealax_2Ereal] : A ) ) ),
    inference(simp,[status(thm)],[107])).

thf(116,plain,
    ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
    | ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
    | ~ ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 )
    | ( ( ^ [A: tyop_2Erealax_2Ereal] : sk3 )
     != ( ^ [A: tyop_2Erealax_2Ereal] : sk2 ) ) ),
    inference(simp,[status(thm)],[114])).

thf(341,plain,
    ( ( sk3 != sk2 )
    | ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
    | ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
    | ~ ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 ) ),
    inference(func_ext,[status(esa)],[116])).

thf(1583,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal > $o] :
      ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A )
      | ( sk3 != sk2 )
      | ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
      | ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
      | ( ( c_2Ereal__topology_2Econnected__component @ A @ B @ B )
       != ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[85,341])).

thf(1593,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal > $o] :
      ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A )
      | ( sk3 != sk2 )
      | ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
      | ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
      | ( A != sk1 )
      | ( B != sk2 )
      | ( B != sk3 ) ) ),
    inference(simp,[status(thm)],[1583])).

thf(1618,plain,
    ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
    | ( sk3 != sk2 )
    | ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
    | ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 ) ),
    inference(simp,[status(thm)],[1593])).

thf(1619,plain,
    ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
    | ( sk3 != sk2 )
    | ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 ) ),
    inference(simp,[status(thm)],[1618])).

thf(2012,plain,
    ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
    | ( sk3 != sk2 )
    | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
     != ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 ) )
    | ~ $true ),
    inference(eqfactor_ordered,[status(thm)],[1619])).

thf(2015,plain,
    ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
    | ( sk3 != sk2 )
    | ( sk3 != sk2 )
    | ( sk1 != sk1 ) ),
    inference(simp,[status(thm)],[2012])).

thf(2017,plain,
    ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
    | ( sk3 != sk2 ) ),
    inference(simp,[status(thm)],[2015])).

thf(70,plain,(
    ! [C: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal > $o] :
      ( ~ ( c_2Ereal__topology_2Econnected__component @ A @ B @ C )
      | ( c_2Ereal__topology_2Econnected__component @ A @ C @ B ) ) ),
    inference(cnf,[status(esa)],[65])).

thf(94,plain,(
    ! [C: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal > $o] :
      ( ( c_2Ereal__topology_2Econnected__component @ A @ B @ C )
      = ( c_2Ereal__topology_2Econnected__component @ A @ C @ B ) ) ),
    inference(cnf,[status(esa)],[89])).

thf(97,plain,(
    ! [C: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal > $o] :
      ( ( c_2Ereal__topology_2Econnected__component @ A @ B @ C )
      = ( c_2Ereal__topology_2Econnected__component @ A @ C @ B ) ) ),
    inference(lifteq,[status(thm)],[94])).

thf(9,axiom,(
    ! [A: $o,B: $o] :
      ( ( ~ ( ~ B
            | A )
       => c_2Ebool_2EF )
      = ( B
       => ( ~ A
         => c_2Ebool_2EF ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EOR__DUAL3)).

thf(53,plain,(
    ! [A: $o,B: $o] :
      ( ( ~ ( ~ B
            | A )
       => c_2Ebool_2EF )
      = ( B
       => ( ~ A
         => c_2Ebool_2EF ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(1445,plain,(
    ! [D: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ereal__topology_2Econnected__component
          @ ^ [E: tyop_2Erealax_2Ereal] : $true
          @ B
          @ A )
      | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C
        @ ^ [E: tyop_2Erealax_2Ereal] : $true )
      | ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [E: tyop_2Erealax_2Ereal] : $true
          @ A
          @ B )
       != ( c_2Ereal__topology_2Econnected__component
          @ ^ [E: tyop_2Erealax_2Ereal] : $true
          @ C
          @ D ) ) ) ),
    inference(paramod_ordered,[status(thm)],[95,382])).

thf(1446,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ereal__topology_2Econnected__component
          @ ^ [C: tyop_2Erealax_2Ereal] : $true
          @ B
          @ A )
      | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
        @ ^ [C: tyop_2Erealax_2Ereal] : $true ) ) ),
    inference(pattern_uni,[status(thm)],[1445:[bind(A,$thf(A)),bind(B,$thf(B)),bind(C,$thf(A)),bind(D,$thf(B))]])).

thf(653,plain,
    ( ( ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 )
        = ( ^ [A: tyop_2Erealax_2Ereal] : $false ) )
      & ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 ) )
    | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
      & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
      & ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 ) )
    | ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 )
      = ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 ) ) ),
    inference(bool_ext,[status(thm)],[332])).

thf(689,plain,
    ( ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
      = ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 ) )
    | ( ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 )
        = ( ^ [A: tyop_2Erealax_2Ereal] : $false ) )
      & ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 ) )
    | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
      & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
      & ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 ) ) ),
    inference(lifteq,[status(thm)],[653])).

thf(712,plain,
    ( ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 )
      = ( ^ [A: tyop_2Erealax_2Ereal] : $false ) )
    | sk4
    | ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
      = ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 ) ) ),
    inference(cnf,[status(esa)],[689])).

thf(732,plain,
    ( ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 )
      = ( ^ [A: tyop_2Erealax_2Ereal] : $false ) )
    | sk4
    | ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
      = ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 ) ) ),
    inference(lifteq,[status(thm)],[712])).

thf(8,axiom,(
    ! [A: $o,B: $o] :
      ( ( ~ ( B
            | A )
       => c_2Ebool_2EF )
      = ( ( B
         => c_2Ebool_2EF )
       => ( ~ A
         => c_2Ebool_2EF ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EOR__DUAL2)).

thf(44,plain,(
    ! [A: $o,B: $o] :
      ( ( ~ ( B
            | A )
       => c_2Ebool_2EF )
      = ( ( B
         => c_2Ebool_2EF )
       => ( ~ A
         => c_2Ebool_2EF ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(182,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [B: tyop_2Erealax_2Ereal] : $false
          @ A )
       != ( ^ [B: tyop_2Erealax_2Ereal] : $false ) )
      | ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
          @ ^ [B: tyop_2Erealax_2Ereal] : $false ) ) ),
    inference(bool_ext,[status(thm)],[181])).

thf(194,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [B: tyop_2Erealax_2Ereal] : $false
          @ A )
       != ( ^ [B: tyop_2Erealax_2Ereal] : $false ) )
      | ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
          @ ^ [B: tyop_2Erealax_2Ereal] : $false ) ) ),
    inference(lifteq,[status(thm)],[182])).

thf(204,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
          @ ^ [B: tyop_2Erealax_2Ereal] : $false )
      | ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [B: tyop_2Erealax_2Ereal] : $false
          @ A )
       != ( ^ [B: tyop_2Erealax_2Ereal] : $false ) ) ) ),
    inference(cnf,[status(esa)],[194])).

thf(2630,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
          @ ^ [C: tyop_2Erealax_2Ereal] : $true )
      | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ ( sk8 @ B )
        @ ^ [C: tyop_2Erealax_2Ereal] : $true )
      | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ ( sk8 @ ( sk8 @ A ) )
          @ ^ [C: tyop_2Erealax_2Ereal] : $true )
       != ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B
          @ ^ [C: tyop_2Erealax_2Ereal] : $true ) ) ) ),
    inference(paramod_ordered,[status(thm)],[2555,2389])).

thf(2631,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
          @ ^ [B: tyop_2Erealax_2Ereal] : $true )
      | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ ( sk8 @ ( sk8 @ ( sk8 @ A ) ) )
        @ ^ [B: tyop_2Erealax_2Ereal] : $true ) ) ),
    inference(pattern_uni,[status(thm)],[2630:[bind(A,$thf(D)),bind(B,$thf(sk8 @ ( sk8 @ D )))]])).

thf(2679,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
          @ ^ [B: tyop_2Erealax_2Ereal] : $true )
      | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ ( sk8 @ ( sk8 @ ( sk8 @ A ) ) )
        @ ^ [B: tyop_2Erealax_2Ereal] : $true ) ) ),
    inference(simp,[status(thm)],[2631])).

thf(113,plain,
    ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
    | sk4
    | ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
      = ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 ) ) ),
    inference(cnf,[status(esa)],[106])).

thf(7,axiom,(
    ! [A: $o] :
      ( ( A
       => c_2Ebool_2EF )
     => ~ A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__F)).

thf(39,plain,(
    ! [A: $o] :
      ( ( A
       => c_2Ebool_2EF )
     => ~ A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(869,plain,
    ( ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
      = ( ^ [A: tyop_2Erealax_2Ereal] : $false ) )
    | sk4
    | ~ ( ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
          & ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 ) )
        | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
          & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
          & ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 ) ) )
    | ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
     != ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 ) ) ),
    inference(paramod_ordered,[status(thm)],[634,18])).

thf(870,plain,
    ( ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
      = ( ^ [A: tyop_2Erealax_2Ereal] : $false ) )
    | sk4
    | ~ ( ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
          & ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 ) )
        | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
          & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
          & ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 ) ) ) ),
    inference(pattern_uni,[status(thm)],[869:[]])).

thf(890,plain,
    ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
    | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
    | sk4
    | ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
      = ( ^ [A: tyop_2Erealax_2Ereal] : $false ) ) ),
    inference(cnf,[status(esa)],[870])).

thf(2579,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
          @ ^ [C: tyop_2Erealax_2Ereal] : $true )
      | ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [C: tyop_2Erealax_2Ereal] : $true
          @ ( sk8 @ B ) )
       != ( ^ [C: tyop_2Erealax_2Ereal] : $false ) )
      | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ ( sk8 @ A )
          @ ^ [C: tyop_2Erealax_2Ereal] : $true )
       != ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B
          @ ^ [C: tyop_2Erealax_2Ereal] : $true ) ) ) ),
    inference(paramod_ordered,[status(thm)],[2389,2554])).

thf(2580,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
          @ ^ [B: tyop_2Erealax_2Ereal] : $true )
      | ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [B: tyop_2Erealax_2Ereal] : $true
          @ ( sk8 @ ( sk8 @ A ) ) )
       != ( ^ [B: tyop_2Erealax_2Ereal] : $false ) ) ) ),
    inference(pattern_uni,[status(thm)],[2579:[bind(A,$thf(C)),bind(B,$thf(sk8 @ C))]])).

thf(2593,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
          @ ^ [B: tyop_2Erealax_2Ereal] : $true )
      | ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [B: tyop_2Erealax_2Ereal] : $true
          @ ( sk8 @ ( sk8 @ A ) ) )
       != ( ^ [B: tyop_2Erealax_2Ereal] : $false ) ) ) ),
    inference(simp,[status(thm)],[2580])).

thf(108,plain,
    ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
    | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
    | ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
     != ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 ) ) ),
    inference(cnf,[status(esa)],[105])).

thf(2841,plain,
    ( ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
      = ( ^ [A: tyop_2Erealax_2Ereal] : $false ) )
    | sk4
    | ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 )
      = ( ^ [A: tyop_2Erealax_2Ereal] : $false ) )
    | ~ ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 ) ),
    inference(bool_ext,[status(thm)],[853])).

thf(2911,plain,
    ( ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 )
      = ( ^ [A: tyop_2Erealax_2Ereal] : $false ) )
    | ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
      = ( ^ [A: tyop_2Erealax_2Ereal] : $false ) )
    | sk4
    | ~ ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 ) ),
    inference(lifteq,[status(thm)],[2841])).

thf(2924,plain,
    ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
    | sk4
    | ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
      = ( ^ [A: tyop_2Erealax_2Ereal] : $false ) )
    | ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 )
      = ( ^ [A: tyop_2Erealax_2Ereal] : $false ) ) ),
    inference(cnf,[status(esa)],[2911])).

thf(3324,plain,
    ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
    | sk4
    | ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 )
      = ( ^ [A: tyop_2Erealax_2Ereal] : $false ) )
    | ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
     != ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 ) ) ),
    inference(paramod_ordered,[status(thm)],[2924,732])).

thf(3325,plain,
    ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
    | sk4
    | ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 )
      = ( ^ [A: tyop_2Erealax_2Ereal] : $false ) ) ),
    inference(pattern_uni,[status(thm)],[3324:[]])).

thf(154,plain,
    ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
    | ~ sk4
    | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
     != ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 ) )
    | ~ $true ),
    inference(eqfactor_ordered,[status(thm)],[143])).

thf(158,plain,
    ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
    | ~ sk4
    | ( sk3 != sk2 )
    | ( sk1 != sk1 ) ),
    inference(simp,[status(thm)],[154])).

thf(168,plain,
    ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
    | ~ sk4
    | ( sk3 != sk2 ) ),
    inference(simp,[status(thm)],[158])).

thf(421,plain,
    ( ~ sk4
    | ( sk3 != sk2 )
    | ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
    | ~ ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 )
    | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
     != ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 ) ) ),
    inference(paramod_ordered,[status(thm)],[168,341])).

thf(422,plain,
    ( ~ sk4
    | ( sk3 != sk2 )
    | ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
    | ~ ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 ) ),
    inference(pattern_uni,[status(thm)],[421:[]])).

thf(815,plain,
    ( ~ sk4
    | ( sk3 != sk2 )
    | ~ ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 )
    | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
     != ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 ) ) ),
    inference(paramod_ordered,[status(thm)],[168,422])).

thf(820,plain,
    ( ~ sk4
    | ( sk3 != sk2 )
    | ~ ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 )
    | ( sk3 != sk2 )
    | ( sk1 != sk1 ) ),
    inference(simp,[status(thm)],[815])).

thf(826,plain,
    ( ~ sk4
    | ( sk3 != sk2 )
    | ~ ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 ) ),
    inference(simp,[status(thm)],[820])).

thf(1564,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal > $o] :
      ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A )
      | ~ sk4
      | ( sk3 != sk2 )
      | ( ( c_2Ereal__topology_2Econnected__component @ A @ B @ B )
       != ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[85,826])).

thf(1589,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal > $o] :
      ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A )
      | ~ sk4
      | ( sk3 != sk2 )
      | ( A != sk1 )
      | ( B != sk2 )
      | ( B != sk3 ) ) ),
    inference(simp,[status(thm)],[1564])).

thf(1610,plain,
    ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
    | ~ sk4
    | ( sk3 != sk2 ) ),
    inference(simp,[status(thm)],[1589])).

thf(1661,plain,
    ( ~ sk4
    | ( sk3 != sk2 )
    | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
     != ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 ) ) ),
    inference(paramod_ordered,[status(thm)],[168,1610])).

thf(1662,plain,
    ( ~ sk4
    | ( sk3 != sk2 ) ),
    inference(pattern_uni,[status(thm)],[1661:[]])).

thf(112,plain,
    ( ~ sk4
    | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
    | ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
      = ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 ) ) ),
    inference(cnf,[status(esa)],[106])).

thf(1515,plain,(
    ! [D: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ereal__topology_2Econnected__component
          @ ^ [E: tyop_2Erealax_2Ereal] : $true
          @ B
          @ A )
      | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C
        @ ^ [E: tyop_2Erealax_2Ereal] : $true )
      | ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [E: tyop_2Erealax_2Ereal] : $true
          @ A
          @ B )
       != ( c_2Ereal__topology_2Econnected__component
          @ ^ [E: tyop_2Erealax_2Ereal] : $true
          @ D
          @ C ) ) ) ),
    inference(paramod_ordered,[status(thm)],[95,1446])).

thf(1516,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ereal__topology_2Econnected__component
          @ ^ [C: tyop_2Erealax_2Ereal] : $true
          @ B
          @ A )
      | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B
        @ ^ [C: tyop_2Erealax_2Ereal] : $true ) ) ),
    inference(pattern_uni,[status(thm)],[1515:[bind(A,$thf(A)),bind(B,$thf(B)),bind(C,$thf(B)),bind(D,$thf(A))]])).

thf(4092,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal > $o] :
      ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
      | sk4
      | ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A )
      | ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 )
       != ( c_2Ereal__topology_2Econnected__component @ A @ B ) ) ) ),
    inference(paramod_ordered,[status(thm)],[3325,307])).

thf(4093,plain,
    ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
    | sk4
    | ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 ) ),
    inference(pattern_uni,[status(thm)],[4092:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(1480,plain,(
    ! [D: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ereal__topology_2Econnected__component
          @ ^ [E: tyop_2Erealax_2Ereal] : $false
          @ B
          @ A )
      | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C
        @ ^ [E: tyop_2Erealax_2Ereal] : $false )
      | ( ( c_2Ereal__topology_2Econnected__component
          @ ^ [E: tyop_2Erealax_2Ereal] : $false
          @ A
          @ B )
       != ( c_2Ereal__topology_2Econnected__component
          @ ^ [E: tyop_2Erealax_2Ereal] : $false
          @ C
          @ D ) ) ) ),
    inference(paramod_ordered,[status(thm)],[96,1057])).

thf(1481,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ereal__topology_2Econnected__component
          @ ^ [C: tyop_2Erealax_2Ereal] : $false
          @ B
          @ A )
      | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
        @ ^ [C: tyop_2Erealax_2Ereal] : $false ) ) ),
    inference(pattern_uni,[status(thm)],[1480:[bind(A,$thf(A)),bind(B,$thf(B)),bind(C,$thf(A)),bind(D,$thf(B))]])).

thf(2604,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
          @ ^ [C: tyop_2Erealax_2Ereal] : $true )
      | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ ( sk8 @ ( sk8 @ B ) )
        @ ^ [C: tyop_2Erealax_2Ereal] : $true )
      | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ ( sk8 @ ( sk8 @ A ) )
          @ ^ [C: tyop_2Erealax_2Ereal] : $true )
       != ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B
          @ ^ [C: tyop_2Erealax_2Ereal] : $true ) ) ) ),
    inference(paramod_ordered,[status(thm)],[2555,2555])).

thf(2605,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
          @ ^ [B: tyop_2Erealax_2Ereal] : $true )
      | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ ( sk8 @ ( sk8 @ ( sk8 @ ( sk8 @ A ) ) ) )
        @ ^ [B: tyop_2Erealax_2Ereal] : $true ) ) ),
    inference(pattern_uni,[status(thm)],[2604:[bind(A,$thf(D)),bind(B,$thf(sk8 @ ( sk8 @ D )))]])).

thf(2683,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
          @ ^ [B: tyop_2Erealax_2Ereal] : $true )
      | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ ( sk8 @ ( sk8 @ ( sk8 @ ( sk8 @ A ) ) ) )
        @ ^ [B: tyop_2Erealax_2Ereal] : $true ) ) ),
    inference(simp,[status(thm)],[2605])).

thf(1577,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal > $o] :
      ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
      | ~ sk4
      | ( c_2Ereal__topology_2Econnected__component @ A @ B @ B )
      | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
       != ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A ) ) ) ),
    inference(paramod_ordered,[status(thm)],[143,85])).

thf(1578,plain,
    ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
    | ~ sk4
    | ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 @ sk3 ) ),
    inference(pattern_uni,[status(thm)],[1577:[bind(A,$thf(sk1)),bind(B,$thf(sk3))]])).

thf(3,axiom,(
    ! [A: $o] :
      ( ~ A
     => ( A
       => c_2Ebool_2EF ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EF__IMP)).

thf(19,plain,(
    ! [A: $o] :
      ( ~ A
     => ( A
       => c_2Ebool_2EF ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(121,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( ( ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
            & ( ( c_2Ereal__topology_2Econnected__component
                @ ^ [B: tyop_2Erealax_2Ereal] : $true
                @ A )
              = ( ^ [B: tyop_2Erealax_2Ereal] : $false ) ) )
          | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
            & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
            & ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 ) ) )
       != ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 )
          = ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 ) ) )
      | ( ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
              @ ^ [B: tyop_2Erealax_2Ereal] : $true ) )
       != ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 ) ) ) ) ),
    inference(paramod_ordered,[status(thm)],[117,18])).

thf(126,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( ( ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
            & ( ( c_2Ereal__topology_2Econnected__component
                @ ^ [B: tyop_2Erealax_2Ereal] : $true
                @ A )
              = ( ^ [B: tyop_2Erealax_2Ereal] : $false ) ) )
          | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
            & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
            & ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 ) ) )
       != ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 )
          = ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 ) ) )
      | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
          @ ^ [B: tyop_2Erealax_2Ereal] : $true )
       != ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 ) ) ) ),
    inference(simp,[status(thm)],[121])).

thf(574,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal > $o] :
      ( ( ( ( ( ( c_2Ereal__topology_2Econnected__component @ A @ B )
              = ( ^ [C: tyop_2Erealax_2Ereal] : $false ) )
            & ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
              = ( ^ [C: tyop_2Erealax_2Ereal] : $false ) ) )
          | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
            & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
            & ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 ) ) )
       != ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 )
          = ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 ) ) )
      | ( ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A ) )
       != ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 ) ) ) ) ),
    inference(paramod_ordered,[status(thm)],[307,330])).

thf(575,plain,(
    ( ( ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 )
        = ( ^ [A: tyop_2Erealax_2Ereal] : $false ) )
      & ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
        = ( ^ [A: tyop_2Erealax_2Ereal] : $false ) ) )
    | ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ sk1 )
      & ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
      & ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 ) ) )
 != ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 )
    = ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 ) ) ),
    inference(pattern_uni,[status(thm)],[574:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(66,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal__topology_2Econnected__component
        @ ^ [C: tyop_2Erealax_2Ereal] : $true
        @ A
        @ B )
     => ( c_2Ereal__topology_2Econnected__component
        @ ^ [C: tyop_2Erealax_2Ereal] : $true
        @ B
        @ A ) ) ),
    inference(instance,[status(thm)],[65])).

thf(68,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ereal__topology_2Econnected__component
          @ ^ [C: tyop_2Erealax_2Ereal] : $true
          @ A
          @ B )
      | ( c_2Ereal__topology_2Econnected__component
        @ ^ [C: tyop_2Erealax_2Ereal] : $true
        @ B
        @ A ) ) ),
    inference(cnf,[status(esa)],[66])).

thf(111,plain,
    ( ~ sk4
    | ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk3 )
    | ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk3 )
      = ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 ) ) ),
    inference(cnf,[status(esa)],[106])).

thf(81,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
        @ ^ [B: tyop_2Erealax_2Ereal] : $true )
     => ( c_2Ereal__topology_2Econnected__component
        @ ^ [B: tyop_2Erealax_2Ereal] : $true
        @ A
        @ A ) ) ),
    inference(instance,[status(thm)],[80])).

thf(83,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ~ ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A
          @ ^ [B: tyop_2Erealax_2Ereal] : $true )
      | ( c_2Ereal__topology_2Econnected__component
        @ ^ [B: tyop_2Erealax_2Ereal] : $true
        @ A
        @ A ) ) ),
    inference(cnf,[status(esa)],[81])).

thf(1945,plain,
    ( ( c_2Ereal__topology_2Econnected__component @ sk1 @ sk2 @ sk13 )
    | ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ sk1 )
    | ~ sk4 ),
    inference(func_ext,[status(esa)],[719])).

thf(5131,plain,(
    $false ),
    inference(e,[status(thm)],[69,1665,88,115,2676,24,719,110,125,1832,853,29,2555,84,2017,634,89,116,307,117,85,1470,1057,38,70,65,97,53,109,1446,96,129,128,205,1026,34,732,44,204,71,382,181,86,2679,113,39,890,2593,108,330,3325,80,1662,112,1516,18,95,16,336,4093,143,1448,2389,2554,1481,2683,1578,19,107,126,332,575,68,62,111,83,1945,100])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.03/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.03/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.03/0.13  % CPULimit   : 300
% 0.03/0.13  % DateTime   : Wed Jul 31 14:11:24 EDT 2019
% 0.03/0.13  % CPUTime    : 
% 4.33/1.64  % [INFO] 	 Running in sequential loop mode. 
% 5.08/1.81  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 5.20/1.87  % [INFO] 	 iprover registered as external prover. 
% 5.20/1.87  % [INFO] 	 e registered as external prover. 
% 5.20/1.87  % [INFO] 	 cvc4 registered as external prover. 
% 5.20/1.87  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.58/1.93  % [INFO] 	 Found a conjecture and 45 axioms. Running axiom selection ... 
% 5.58/1.97  % [INFO] 	 Axiom selection finished. Selected 13 axioms (removed 32 axioms). 
% 5.88/2.00  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 38.10/8.90  % [INFO] 	 Killing All external provers ... 
% 38.10/8.90  % Time passed: 8623ms
% 38.10/8.90  % Effective reasoning time: 7252ms
% 38.10/8.90  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 38.10/8.90  % Axioms used in derivation (13): thm_2Esat_2EAND__INV__IMP, thm_2Esat_2EOR__DUAL3, thm_2Ereal__topology_2ECONNECTED__COMPONENT__REFL, thm_2Ereal__topology_2ECONNECTED__COMPONENT__SYM__EQ, thm_2Ebool_2EIMP__F, thm_2Ereal__topology_2ECONNECTED__COMPONENT__EQ__EMPTY, thm_2Ebool_2EFALSITY, thm_2Epred__set_2EEMPTY__DEF, thm_2Ebool_2EF__IMP, thm_2Esat_2EAND__INV2, thm_2Ereal__topology_2ECONNECTED__COMPONENT__SYM, thm_2Ereal__topology_2ECONNECTED__COMPONENT__TRANS, thm_2Esat_2EOR__DUAL2
% 38.10/8.90  % No. of inferences in proof: 199
% 38.10/8.90  % No. of processed clauses: 65
% 38.10/8.90  % No. of generated clauses: 1650
% 38.10/8.90  % No. of forward subsumed clauses: 68
% 38.10/8.90  % No. of backward subsumed clauses: 15
% 38.10/8.90  % No. of ground rewrite rules in store: 1
% 38.10/8.90  % No. of non-ground rewrite rules in store: 1
% 38.10/8.90  % No. of positive (non-rewrite) units in store: 6
% 38.10/8.90  % No. of negative (non-rewrite) units in store: 4
% 38.10/8.90  % No. of choice functions detected: 0
% 38.10/8.90  % No. of choice instantiations: 0
% 38.10/8.90  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 8623 ms resp. 7252 ms w/o parsing
% 38.11/8.99  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 38.11/8.99  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 38.11/8.99  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 38.11/8.99  thf(c_2Epred__set_2EEMPTY_type, type, c_2Epred__set_2EEMPTY: !>[TA: $tType]: (TA > $o)).
% 38.11/8.99  thf(c_2Ebool_2EF_type, type, c_2Ebool_2EF: $o).
% 38.11/8.99  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 38.11/8.99  thf(c_2Ereal__topology_2Econnected__component_type, type, c_2Ereal__topology_2Econnected__component: ((tyop_2Erealax_2Ereal > $o) > (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > $o)))).
% 38.11/8.99  thf(sk1_type, type, sk1: (tyop_2Erealax_2Ereal > $o)).
% 38.11/8.99  thf(sk2_type, type, sk2: tyop_2Erealax_2Ereal).
% 38.11/8.99  thf(sk3_type, type, sk3: tyop_2Erealax_2Ereal).
% 38.11/8.99  thf(sk4_type, type, sk4: $o).
% 38.11/8.99  thf(sk5_type, type, sk5: tyop_2Erealax_2Ereal).
% 38.11/8.99  thf(sk8_type, type, sk8: (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal)).
% 38.11/8.99  thf(sk12_type, type, sk12: tyop_2Erealax_2Ereal).
% 38.11/8.99  thf(sk13_type, type, sk13: tyop_2Erealax_2Ereal).
% 38.11/8.99  thf(11,axiom,((! [A:(tyop_2Erealax_2Ereal > $o),B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Ereal__topology_2Econnected__component @ A @ B @ C) => (c_2Ereal__topology_2Econnected__component @ A @ C @ B)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECONNECTED__COMPONENT__SYM)).
% 38.11/8.99  thf(65,plain,((! [A:(tyop_2Erealax_2Ereal > $o),B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Ereal__topology_2Econnected__component @ (A) @ B @ C) => (c_2Ereal__topology_2Econnected__component @ (A) @ C @ B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 38.11/8.99  thf(67,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal__topology_2Econnected__component @ (^ [C:tyop_2Erealax_2Ereal]: ($false)) @ A @ B) => (c_2Ereal__topology_2Econnected__component @ (^ [C:tyop_2Erealax_2Ereal]: ($false)) @ B @ A)))),inference(instance,[status(thm)],[65])).
% 38.11/8.99  thf(69,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Ereal__topology_2Econnected__component @ (^ [C:tyop_2Erealax_2Ereal]: ($false)) @ A @ B)) | (c_2Ereal__topology_2Econnected__component @ (^ [C:tyop_2Erealax_2Ereal]: ($false)) @ B @ A))),inference(cnf,[status(esa)],[67])).
% 38.11/8.99  thf(1,conjecture,((! [A:(tyop_2Erealax_2Ereal > $o),B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: (((c_2Ereal__topology_2Econnected__component @ A @ B) = (c_2Ereal__topology_2Econnected__component @ A @ C)) = ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A) & ~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ A)) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ A) & (c_2Ereal__topology_2Econnected__component @ A @ B @ C)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECONNECTED__COMPONENT__EQ__EQ)).
% 38.11/8.99  thf(2,negated_conjecture,((~ (! [A:(tyop_2Erealax_2Ereal > $o),B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: (((c_2Ereal__topology_2Econnected__component @ A @ B) = (c_2Ereal__topology_2Econnected__component @ A @ C)) = ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A) & ~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ A)) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ A) & (c_2Ereal__topology_2Econnected__component @ A @ B @ C))))))),inference(neg_conjecture,[status(cth)],[1])).
% 38.11/8.99  thf(16,plain,((~ (! [A:(tyop_2Erealax_2Ereal > $o),B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: (((c_2Ereal__topology_2Econnected__component @ A @ B) = (c_2Ereal__topology_2Econnected__component @ A @ C)) = ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (A)) & ~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ (A))) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (A)) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ (A)) & (c_2Ereal__topology_2Econnected__component @ (A) @ B @ C))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 38.11/8.99  thf(17,plain,((~ (((c_2Ereal__topology_2Econnected__component @ sk1 @ sk2) = (c_2Ereal__topology_2Econnected__component @ sk1 @ sk3)) = ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & ~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1))) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) & (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3)))))),inference(cnf,[status(esa)],[16])).
% 38.11/8.99  thf(18,plain,((((c_2Ereal__topology_2Econnected__component @ sk1 @ sk2) = (c_2Ereal__topology_2Econnected__component @ sk1 @ sk3)) != ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & ~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1))) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) & (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3))))),inference(lifteq,[status(thm)],[17])).
% 38.11/8.99  thf(104,plain,(((c_2Ereal__topology_2Econnected__component @ sk1 @ sk2) = (c_2Ereal__topology_2Econnected__component @ sk1 @ sk3)) | ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & ~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1))) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) & (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3)))),inference(bool_ext,[status(thm)],[18])).
% 38.11/8.99  thf(106,plain,(((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) = (c_2Ereal__topology_2Econnected__component @ sk1 @ sk2)) | ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & ~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1))) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) & (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3)))),inference(lifteq,[status(thm)],[104])).
% 38.11/8.99  thf(109,plain,(~ (sk4) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) | ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) = (c_2Ereal__topology_2Econnected__component @ sk1 @ sk2))),inference(cnf,[status(esa)],[106])).
% 38.11/8.99  thf(133,plain,(~ (sk4) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) | (~ ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & ~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1))) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) & (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3)))) | ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) != (c_2Ereal__topology_2Econnected__component @ sk1 @ sk3))),inference(paramod_ordered,[status(thm)],[109,18])).
% 38.11/8.99  thf(134,plain,(~ (sk4) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) | (~ ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & ~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1))) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) & (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3))))),inference(pattern_uni,[status(thm)],[133:[]])).
% 38.11/8.99  thf(140,plain,((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) | ~ (sk4)),inference(cnf,[status(esa)],[134])).
% 38.11/8.99  thf(143,plain,((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) | ~ (sk4)),inference(simp,[status(thm)],[140])).
% 38.11/8.99  thf(12,axiom,((! [A:(tyop_2Erealax_2Ereal > $o),B:tyop_2Erealax_2Ereal]: (((c_2Ereal__topology_2Econnected__component @ A @ B) = (c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal)) = (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECONNECTED__COMPONENT__EQ__EMPTY)).
% 38.11/8.99  thf(71,plain,((! [A:(tyop_2Erealax_2Ereal > $o),B:tyop_2Erealax_2Ereal]: (((c_2Ereal__topology_2Econnected__component @ A @ B) = (c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal)) = (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 38.11/8.99  thf(76,plain,(! [B:tyop_2Erealax_2Ereal,A:(tyop_2Erealax_2Ereal > $o)] : ((((c_2Ereal__topology_2Econnected__component @ A @ B) = (c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal)) = (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (A)))))),inference(cnf,[status(esa)],[71])).
% 38.11/8.99  thf(79,plain,(! [B:tyop_2Erealax_2Ereal,A:(tyop_2Erealax_2Ereal > $o)] : ((((c_2Ereal__topology_2Econnected__component @ A @ B) = (c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal)) = (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (A)))))),inference(lifteq,[status(thm)],[76])).
% 38.11/8.99  thf(10,axiom,((! [TA: $tType]: ((c_2Epred__set_2EEMPTY @ TA) = (^ [A:TA]: (c_2Ebool_2EF))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EEMPTY__DEF)).
% 38.11/8.99  thf(62,plain,((! [TA: $tType]: ((c_2Epred__set_2EEMPTY @ TA) = (^ [A:TA]: (c_2Ebool_2EF))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 38.11/8.99  thf(63,plain,(! [TA:$tType] : (((c_2Epred__set_2EEMPTY @ TA) = (^ [A:TA]: (c_2Ebool_2EF))))),inference(cnf,[status(esa)],[62])).
% 38.11/8.99  thf(64,plain,(! [TA:$tType] : (((c_2Epred__set_2EEMPTY @ TA) = (^ [A:TA]: (c_2Ebool_2EF))))),inference(lifteq,[status(thm)],[63])).
% 38.11/8.99  thf(6,axiom,((! [A:$o]: ((c_2Ebool_2EF) => (A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EFALSITY)).
% 38.11/8.99  thf(34,plain,((! [A:$o]: ((c_2Ebool_2EF) => (A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 38.11/8.99  thf(37,plain,(((c_2Ebool_2EF) => ($false))),inference(instance,[status(thm)],[34])).
% 38.11/8.99  thf(38,plain,(~ (c_2Ebool_2EF)),inference(simp,[status(thm)],[37])).
% 38.11/8.99  thf(99,plain,(! [TA:$tType] : (((c_2Epred__set_2EEMPTY @ TA) = (^ [A:TA]: ($false))))),inference(rewrite,[status(thm)],[64,38])).
% 38.11/8.99  thf(100,plain,(! [TA:$tType,A:TA] : ((~ (c_2Epred__set_2EEMPTY @ TA @ A)))),inference(func_ext,[status(esa)],[99])).
% 38.11/8.99  thf(307,plain,(! [B:tyop_2Erealax_2Ereal,A:(tyop_2Erealax_2Ereal > $o)] : ((((c_2Ereal__topology_2Econnected__component @ A @ B) = (^ [C:tyop_2Erealax_2Ereal]: ($false))) = (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (A)))))),inference(rewrite,[status(thm)],[79,100])).
% 38.11/8.99  thf(333,plain,(! [B:tyop_2Erealax_2Ereal,A:(tyop_2Erealax_2Ereal > $o)] : ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) | ~ (sk4) | (~ ((c_2Ereal__topology_2Econnected__component @ A @ B) = (^ [C:tyop_2Erealax_2Ereal]: ($false)))) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) != (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (A))))),inference(paramod_ordered,[status(thm)],[143,307])).
% 38.11/8.99  thf(334,plain,((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) | ~ (sk4) | (~ ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) = (^ [A:tyop_2Erealax_2Ereal]: ($false))))),inference(pattern_uni,[status(thm)],[333:[bind(A, $thf(sk1)),bind(B, $thf(sk3))]])).
% 38.11/8.99  thf(336,plain,(((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) != (^ [A:tyop_2Erealax_2Ereal]: ($false))) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) | ~ (sk4)),inference(lifteq,[status(thm)],[334])).
% 38.11/8.99  thf(1665,plain,((c_2Ereal__topology_2Econnected__component @ (sk1) @ sk3 @ sk12) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) | ~ (sk4)),inference(func_ext,[status(esa)],[336])).
% 38.11/8.99  thf(14,axiom,((! [A:tyop_2Erealax_2Ereal,B:(tyop_2Erealax_2Ereal > $o),C:tyop_2Erealax_2Ereal,D:tyop_2Erealax_2Ereal]: (((c_2Ereal__topology_2Econnected__component @ B @ C @ D) & (c_2Ereal__topology_2Econnected__component @ B @ D @ A)) => (c_2Ereal__topology_2Econnected__component @ B @ C @ A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECONNECTED__COMPONENT__TRANS)).
% 38.11/8.99  thf(86,plain,((! [A:tyop_2Erealax_2Ereal,B:(tyop_2Erealax_2Ereal > $o),C:tyop_2Erealax_2Ereal,D:tyop_2Erealax_2Ereal]: (((c_2Ereal__topology_2Econnected__component @ (B) @ C @ D) & (c_2Ereal__topology_2Econnected__component @ (B) @ D @ A)) => (c_2Ereal__topology_2Econnected__component @ (B) @ C @ A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).
% 38.11/8.99  thf(87,plain,((! [A:tyop_2Erealax_2Ereal,B:(tyop_2Erealax_2Ereal > $o),C:tyop_2Erealax_2Ereal]: ((? [D:tyop_2Erealax_2Ereal]: ((c_2Ereal__topology_2Econnected__component @ (B) @ C @ D) & (c_2Ereal__topology_2Econnected__component @ (B) @ D @ A))) => (c_2Ereal__topology_2Econnected__component @ (B) @ C @ A)))),inference(miniscope,[status(thm)],[86])).
% 38.11/8.99  thf(88,plain,(! [D:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal,B:(tyop_2Erealax_2Ereal > $o),A:tyop_2Erealax_2Ereal] : ((~ (c_2Ereal__topology_2Econnected__component @ (B) @ C @ D)) | (~ (c_2Ereal__topology_2Econnected__component @ (B) @ D @ A)) | (c_2Ereal__topology_2Econnected__component @ (B) @ C @ A))),inference(cnf,[status(esa)],[87])).
% 38.11/8.99  thf(103,plain,((~ ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk2) = (c_2Ereal__topology_2Econnected__component @ sk1 @ sk3))) | (~ ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & ~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1))) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) & (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3))))),inference(bool_ext,[status(thm)],[18])).
% 38.11/8.99  thf(105,plain,(((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) != (c_2Ereal__topology_2Econnected__component @ sk1 @ sk2)) | (~ ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & ~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1))) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) & (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3))))),inference(lifteq,[status(thm)],[103])).
% 38.11/8.99  thf(107,plain,((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1))) | (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1))) | (~ (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3)) | ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) != (c_2Ereal__topology_2Econnected__component @ sk1 @ sk2))),inference(cnf,[status(esa)],[105])).
% 38.11/8.99  thf(115,plain,(((c_2Ereal__topology_2Econnected__component @ (sk1) @ sk3 @ sk5) != (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk5)) | (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1))) | (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1))) | (~ (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3))),inference(func_ext,[status(esa)],[107])).
% 38.11/8.99  thf(72,plain,((! [A:tyop_2Erealax_2Ereal]: (((c_2Ereal__topology_2Econnected__component @ (^ [B:tyop_2Erealax_2Ereal]: ($true)) @ A) = (c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal)) = (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($true))))))),inference(instance,[status(thm)],[71])).
% 38.11/8.99  thf(74,plain,(! [A:tyop_2Erealax_2Ereal] : ((((c_2Ereal__topology_2Econnected__component @ (^ [B:tyop_2Erealax_2Ereal]: ($true)) @ A) = (c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal)) = (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($true))))))),inference(cnf,[status(esa)],[72])).
% 38.11/8.99  thf(77,plain,(! [A:tyop_2Erealax_2Ereal] : ((((c_2Ereal__topology_2Econnected__component @ (^ [B:tyop_2Erealax_2Ereal]: ($true)) @ A) = (c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal)) = (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($true))))))),inference(lifteq,[status(thm)],[74])).
% 38.11/8.99  thf(117,plain,(! [A:tyop_2Erealax_2Ereal] : ((((c_2Ereal__topology_2Econnected__component @ (^ [B:tyop_2Erealax_2Ereal]: ($true)) @ A) = (^ [B:tyop_2Erealax_2Ereal]: ($false))) = (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($true))))))),inference(rewrite,[status(thm)],[77,100])).
% 38.11/8.99  thf(118,plain,(! [A:tyop_2Erealax_2Ereal] : ((~ ((c_2Ereal__topology_2Econnected__component @ (^ [B:tyop_2Erealax_2Ereal]: ($true)) @ A) = (^ [B:tyop_2Erealax_2Ereal]: ($false)))) | (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($true)))))),inference(bool_ext,[status(thm)],[117])).
% 38.11/8.99  thf(123,plain,(! [A:tyop_2Erealax_2Ereal] : (((c_2Ereal__topology_2Econnected__component @ (^ [B:tyop_2Erealax_2Ereal]: ($true)) @ A) != (^ [B:tyop_2Erealax_2Ereal]: ($false))) | (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($true)))))),inference(lifteq,[status(thm)],[118])).
% 38.11/8.99  thf(129,plain,(! [A:tyop_2Erealax_2Ereal] : ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($true)))) | ((c_2Ereal__topology_2Econnected__component @ (^ [B:tyop_2Erealax_2Ereal]: ($true)) @ A) != (^ [B:tyop_2Erealax_2Ereal]: ($false))))),inference(cnf,[status(esa)],[123])).
% 38.11/8.99  thf(1026,plain,(! [A:tyop_2Erealax_2Ereal] : ((c_2Ereal__topology_2Econnected__component @ (^ [B:tyop_2Erealax_2Ereal]: ($true)) @ A @ (sk8 @ A)) | (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($true)))))),inference(func_ext,[status(esa)],[129])).
% 38.11/8.99  thf(15,axiom,((! [A:(tyop_2Erealax_2Ereal > $o),B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Ereal__topology_2Econnected__component @ A @ B @ C) = (c_2Ereal__topology_2Econnected__component @ A @ C @ B)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECONNECTED__COMPONENT__SYM__EQ)).
% 38.11/8.99  thf(89,plain,((! [A:(tyop_2Erealax_2Ereal > $o),B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Ereal__topology_2Econnected__component @ (A) @ B @ C) = (c_2Ereal__topology_2Econnected__component @ (A) @ C @ B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).
% 38.11/8.99  thf(90,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal__topology_2Econnected__component @ (^ [C:tyop_2Erealax_2Ereal]: ($true)) @ A @ B) = (c_2Ereal__topology_2Econnected__component @ (^ [C:tyop_2Erealax_2Ereal]: ($true)) @ B @ A)))),inference(instance,[status(thm)],[89])).
% 38.11/8.99  thf(92,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((c_2Ereal__topology_2Econnected__component @ (^ [C:tyop_2Erealax_2Ereal]: ($true)) @ A @ B) = (c_2Ereal__topology_2Econnected__component @ (^ [C:tyop_2Erealax_2Ereal]: ($true)) @ B @ A)))),inference(cnf,[status(esa)],[90])).
% 38.11/8.99  thf(95,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((c_2Ereal__topology_2Econnected__component @ (^ [C:tyop_2Erealax_2Ereal]: ($true)) @ A @ B) = (c_2Ereal__topology_2Econnected__component @ (^ [C:tyop_2Erealax_2Ereal]: ($true)) @ B @ A)))),inference(lifteq,[status(thm)],[92])).
% 38.11/8.99  thf(119,plain,(! [A:tyop_2Erealax_2Ereal] : (((c_2Ereal__topology_2Econnected__component @ (^ [B:tyop_2Erealax_2Ereal]: ($true)) @ A) = (^ [B:tyop_2Erealax_2Ereal]: ($false))) | (~ (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($true))))))),inference(bool_ext,[status(thm)],[117])).
% 38.11/8.99  thf(124,plain,(! [A:tyop_2Erealax_2Ereal] : (((c_2Ereal__topology_2Econnected__component @ (^ [B:tyop_2Erealax_2Ereal]: ($true)) @ A) = (^ [B:tyop_2Erealax_2Ereal]: ($false))) | (~ (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($true))))))),inference(lifteq,[status(thm)],[119])).
% 38.11/8.99  thf(128,plain,(! [A:tyop_2Erealax_2Ereal] : ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($true))) | ((c_2Ereal__topology_2Econnected__component @ (^ [B:tyop_2Erealax_2Ereal]: ($true)) @ A) = (^ [B:tyop_2Erealax_2Ereal]: ($false))))),inference(cnf,[status(esa)],[124])).
% 38.11/8.99  thf(382,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Ereal__topology_2Econnected__component @ (^ [C:tyop_2Erealax_2Ereal]: ($true)) @ A @ B)) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [C:tyop_2Erealax_2Ereal]: ($true))))),inference(func_ext,[status(esa)],[128])).
% 38.11/8.99  thf(1447,plain,(! [D:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Ereal__topology_2Econnected__component @ (^ [E:tyop_2Erealax_2Ereal]: ($true)) @ A @ B)) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ (^ [E:tyop_2Erealax_2Ereal]: ($true))) | ((c_2Ereal__topology_2Econnected__component @ (^ [E:tyop_2Erealax_2Ereal]: ($true)) @ B @ A) != (c_2Ereal__topology_2Econnected__component @ (^ [E:tyop_2Erealax_2Ereal]: ($true)) @ C @ D)))),inference(paramod_ordered,[status(thm)],[95,382])).
% 38.11/8.99  thf(1448,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Ereal__topology_2Econnected__component @ (^ [C:tyop_2Erealax_2Ereal]: ($true)) @ A @ B)) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (^ [C:tyop_2Erealax_2Ereal]: ($true))))),inference(pattern_uni,[status(thm)],[1447:[bind(A, $thf(A)),bind(B, $thf(B)),bind(C, $thf(B)),bind(D, $thf(A))]])).
% 38.11/8.99  thf(2339,plain,(! [C:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [D:tyop_2Erealax_2Ereal]: ($true)))) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ (^ [D:tyop_2Erealax_2Ereal]: ($true))) | ((c_2Ereal__topology_2Econnected__component @ (^ [D:tyop_2Erealax_2Ereal]: ($true)) @ A @ (sk8 @ A)) != (c_2Ereal__topology_2Econnected__component @ (^ [D:tyop_2Erealax_2Ereal]: ($true)) @ B @ C)))),inference(paramod_ordered,[status(thm)],[1026,1448])).
% 38.11/8.99  thf(2340,plain,(! [A:tyop_2Erealax_2Ereal] : ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($true)))) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ (sk8 @ A) @ (^ [B:tyop_2Erealax_2Ereal]: ($true))))),inference(pattern_uni,[status(thm)],[2339:[bind(A, $thf(D)),bind(B, $thf(D)),bind(C, $thf(sk8 @ D))]])).
% 38.11/8.99  thf(2389,plain,(! [A:tyop_2Erealax_2Ereal] : ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($true)))) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ (sk8 @ A) @ (^ [B:tyop_2Erealax_2Ereal]: ($true))))),inference(simp,[status(thm)],[2340])).
% 38.11/8.99  thf(2515,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [C:tyop_2Erealax_2Ereal]: ($true)))) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ (sk8 @ B) @ (^ [C:tyop_2Erealax_2Ereal]: ($true))) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ (sk8 @ A) @ (^ [C:tyop_2Erealax_2Ereal]: ($true))) != (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (^ [C:tyop_2Erealax_2Ereal]: ($true)))))),inference(paramod_ordered,[status(thm)],[2389,2389])).
% 38.11/8.99  thf(2516,plain,(! [A:tyop_2Erealax_2Ereal] : ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($true)))) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ (sk8 @ (sk8 @ A)) @ (^ [B:tyop_2Erealax_2Ereal]: ($true))))),inference(pattern_uni,[status(thm)],[2515:[bind(A, $thf(C)),bind(B, $thf(sk8 @ C))]])).
% 38.11/8.99  thf(2555,plain,(! [A:tyop_2Erealax_2Ereal] : ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($true)))) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ (sk8 @ (sk8 @ A)) @ (^ [B:tyop_2Erealax_2Ereal]: ($true))))),inference(simp,[status(thm)],[2516])).
% 38.11/8.99  thf(2497,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [C:tyop_2Erealax_2Ereal]: ($true)))) | (~ ((c_2Ereal__topology_2Econnected__component @ (^ [C:tyop_2Erealax_2Ereal]: ($true)) @ B) = (^ [C:tyop_2Erealax_2Ereal]: ($false)))) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ (sk8 @ A) @ (^ [C:tyop_2Erealax_2Ereal]: ($true))) != (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (^ [C:tyop_2Erealax_2Ereal]: ($true)))))),inference(paramod_ordered,[status(thm)],[2389,117])).
% 38.11/8.99  thf(2498,plain,(! [A:tyop_2Erealax_2Ereal] : ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($true)))) | (~ ((c_2Ereal__topology_2Econnected__component @ (^ [B:tyop_2Erealax_2Ereal]: ($true)) @ (sk8 @ A)) = (^ [B:tyop_2Erealax_2Ereal]: ($false)))))),inference(pattern_uni,[status(thm)],[2497:[bind(A, $thf(C)),bind(B, $thf(sk8 @ C))]])).
% 38.11/8.99  thf(2527,plain,(! [A:tyop_2Erealax_2Ereal] : (((c_2Ereal__topology_2Econnected__component @ (^ [B:tyop_2Erealax_2Ereal]: ($true)) @ (sk8 @ A)) != (^ [B:tyop_2Erealax_2Ereal]: ($false))) | (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($true)))))),inference(lifteq,[status(thm)],[2498])).
% 38.11/8.99  thf(2554,plain,(! [A:tyop_2Erealax_2Ereal] : (((c_2Ereal__topology_2Econnected__component @ (^ [B:tyop_2Erealax_2Ereal]: ($true)) @ (sk8 @ A)) != (^ [B:tyop_2Erealax_2Ereal]: ($false))) | (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($true)))))),inference(simp,[status(thm)],[2527])).
% 38.11/8.99  thf(2634,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [C:tyop_2Erealax_2Ereal]: ($true)))) | ((c_2Ereal__topology_2Econnected__component @ (^ [C:tyop_2Erealax_2Ereal]: ($true)) @ (sk8 @ B)) != (^ [C:tyop_2Erealax_2Ereal]: ($false))) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ (sk8 @ (sk8 @ A)) @ (^ [C:tyop_2Erealax_2Ereal]: ($true))) != (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (^ [C:tyop_2Erealax_2Ereal]: ($true)))))),inference(paramod_ordered,[status(thm)],[2555,2554])).
% 38.11/8.99  thf(2635,plain,(! [A:tyop_2Erealax_2Ereal] : ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($true)))) | ((c_2Ereal__topology_2Econnected__component @ (^ [B:tyop_2Erealax_2Ereal]: ($true)) @ (sk8 @ (sk8 @ (sk8 @ A)))) != (^ [B:tyop_2Erealax_2Ereal]: ($false))))),inference(pattern_uni,[status(thm)],[2634:[bind(A, $thf(D)),bind(B, $thf(sk8 @ (sk8 @ D)))]])).
% 38.11/8.99  thf(2676,plain,(! [A:tyop_2Erealax_2Ereal] : ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($true)))) | ((c_2Ereal__topology_2Econnected__component @ (^ [B:tyop_2Erealax_2Ereal]: ($true)) @ (sk8 @ (sk8 @ (sk8 @ A)))) != (^ [B:tyop_2Erealax_2Ereal]: ($false))))),inference(simp,[status(thm)],[2635])).
% 38.11/8.99  thf(4,axiom,((! [A:$o]: ((A) => ((~ (A)) => (c_2Ebool_2EF))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EAND__INV__IMP)).
% 38.11/8.99  thf(24,plain,((! [A:$o]: ((A) => ((~ (A)) => (c_2Ebool_2EF))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 38.11/8.99  thf(331,plain,(! [B:tyop_2Erealax_2Ereal,A:(tyop_2Erealax_2Ereal > $o)] : ((((((c_2Ereal__topology_2Econnected__component @ A @ B) = (^ [C:tyop_2Erealax_2Ereal]: ($false))) & ~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1))) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) & (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3))) != ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk2) = (c_2Ereal__topology_2Econnected__component @ sk1 @ sk3))) | ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (A))) != (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)))))),inference(paramod_ordered,[status(thm)],[307,18])).
% 38.11/8.99  thf(332,plain,((((((c_2Ereal__topology_2Econnected__component @ sk1 @ sk2) = (^ [A:tyop_2Erealax_2Ereal]: ($false))) & ~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1))) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) & (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3))) != ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk2) = (c_2Ereal__topology_2Econnected__component @ sk1 @ sk3)))),inference(pattern_uni,[status(thm)],[331:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 38.11/8.99  thf(667,plain,(~ (sk4) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) | (~ ((((c_2Ereal__topology_2Econnected__component @ sk1 @ sk2) = (^ [A:tyop_2Erealax_2Ereal]: ($false))) & ~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1))) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) & (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3)))) | ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) != (c_2Ereal__topology_2Econnected__component @ sk1 @ sk3))),inference(paramod_ordered,[status(thm)],[109,332])).
% 38.11/8.99  thf(668,plain,(~ (sk4) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) | (~ ((((c_2Ereal__topology_2Econnected__component @ sk1 @ sk2) = (^ [A:tyop_2Erealax_2Ereal]: ($false))) & ~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1))) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) & (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3))))),inference(pattern_uni,[status(thm)],[667:[]])).
% 38.11/8.99  thf(715,plain,((~ ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk2) = (^ [A:tyop_2Erealax_2Ereal]: ($false)))) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) | ~ (sk4)),inference(cnf,[status(esa)],[668])).
% 38.11/8.99  thf(718,plain,(((c_2Ereal__topology_2Econnected__component @ sk1 @ sk2) != (^ [A:tyop_2Erealax_2Ereal]: ($false))) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) | ~ (sk4)),inference(lifteq,[status(thm)],[715])).
% 38.11/8.99  thf(719,plain,(((c_2Ereal__topology_2Econnected__component @ sk1 @ sk2) != (^ [A:tyop_2Erealax_2Ereal]: ($false))) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) | ~ (sk4)),inference(simp,[status(thm)],[718])).
% 38.11/8.99  thf(110,plain,((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1))) | sk4 | ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) = (c_2Ereal__topology_2Econnected__component @ sk1 @ sk2))),inference(cnf,[status(esa)],[106])).
% 38.11/8.99  thf(120,plain,(! [A:tyop_2Erealax_2Ereal] : (((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($true)))) != ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & ~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1))) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) & (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3)))) | (((c_2Ereal__topology_2Econnected__component @ (^ [B:tyop_2Erealax_2Ereal]: ($true)) @ A) = (^ [B:tyop_2Erealax_2Ereal]: ($false))) != ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk2) = (c_2Ereal__topology_2Econnected__component @ sk1 @ sk3))))),inference(paramod_ordered,[status(thm)],[117,18])).
% 38.11/8.99  thf(125,plain,(! [A:tyop_2Erealax_2Ereal] : (((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($true)))) != ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & ~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1))) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) & (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3)))) | ((c_2Ereal__topology_2Econnected__component @ (^ [B:tyop_2Erealax_2Ereal]: ($true)) @ A) != (c_2Ereal__topology_2Econnected__component @ sk1 @ sk2)) | ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) != (^ [B:tyop_2Erealax_2Ereal]: ($false))))),inference(simp,[status(thm)],[120])).
% 38.11/8.99  thf(91,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal__topology_2Econnected__component @ (^ [C:tyop_2Erealax_2Ereal]: ($false)) @ A @ B) = (c_2Ereal__topology_2Econnected__component @ (^ [C:tyop_2Erealax_2Ereal]: ($false)) @ B @ A)))),inference(instance,[status(thm)],[89])).
% 38.11/8.99  thf(93,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((c_2Ereal__topology_2Econnected__component @ (^ [C:tyop_2Erealax_2Ereal]: ($false)) @ A @ B) = (c_2Ereal__topology_2Econnected__component @ (^ [C:tyop_2Erealax_2Ereal]: ($false)) @ B @ A)))),inference(cnf,[status(esa)],[91])).
% 38.11/8.99  thf(96,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((c_2Ereal__topology_2Econnected__component @ (^ [C:tyop_2Erealax_2Ereal]: ($false)) @ A @ B) = (c_2Ereal__topology_2Econnected__component @ (^ [C:tyop_2Erealax_2Ereal]: ($false)) @ B @ A)))),inference(lifteq,[status(thm)],[93])).
% 38.11/8.99  thf(73,plain,((! [A:tyop_2Erealax_2Ereal]: (((c_2Ereal__topology_2Econnected__component @ (^ [B:tyop_2Erealax_2Ereal]: ($false)) @ A) = (c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal)) = (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($false))))))),inference(instance,[status(thm)],[71])).
% 38.11/8.99  thf(75,plain,(! [A:tyop_2Erealax_2Ereal] : ((((c_2Ereal__topology_2Econnected__component @ (^ [B:tyop_2Erealax_2Ereal]: ($false)) @ A) = (c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal)) = (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($false))))))),inference(cnf,[status(esa)],[73])).
% 38.11/8.99  thf(78,plain,(! [A:tyop_2Erealax_2Ereal] : ((((c_2Ereal__topology_2Econnected__component @ (^ [B:tyop_2Erealax_2Ereal]: ($false)) @ A) = (c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal)) = (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($false))))))),inference(lifteq,[status(thm)],[75])).
% 38.11/8.99  thf(181,plain,(! [A:tyop_2Erealax_2Ereal] : ((((c_2Ereal__topology_2Econnected__component @ (^ [B:tyop_2Erealax_2Ereal]: ($false)) @ A) = (^ [B:tyop_2Erealax_2Ereal]: ($false))) = (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($false))))))),inference(rewrite,[status(thm)],[78,100])).
% 38.11/8.99  thf(183,plain,(! [A:tyop_2Erealax_2Ereal] : (((c_2Ereal__topology_2Econnected__component @ (^ [B:tyop_2Erealax_2Ereal]: ($false)) @ A) = (^ [B:tyop_2Erealax_2Ereal]: ($false))) | (~ (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($false))))))),inference(bool_ext,[status(thm)],[181])).
% 38.11/8.99  thf(195,plain,(! [A:tyop_2Erealax_2Ereal] : (((c_2Ereal__topology_2Econnected__component @ (^ [B:tyop_2Erealax_2Ereal]: ($false)) @ A) = (^ [B:tyop_2Erealax_2Ereal]: ($false))) | (~ (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($false))))))),inference(lifteq,[status(thm)],[183])).
% 38.11/8.99  thf(205,plain,(! [A:tyop_2Erealax_2Ereal] : ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($false))) | ((c_2Ereal__topology_2Econnected__component @ (^ [B:tyop_2Erealax_2Ereal]: ($false)) @ A) = (^ [B:tyop_2Erealax_2Ereal]: ($false))))),inference(cnf,[status(esa)],[195])).
% 38.11/8.99  thf(1057,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Ereal__topology_2Econnected__component @ (^ [C:tyop_2Erealax_2Ereal]: ($false)) @ A @ B)) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [C:tyop_2Erealax_2Ereal]: ($false))))),inference(func_ext,[status(esa)],[205])).
% 38.11/8.99  thf(1469,plain,(! [D:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Ereal__topology_2Econnected__component @ (^ [E:tyop_2Erealax_2Ereal]: ($false)) @ A @ B)) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ (^ [E:tyop_2Erealax_2Ereal]: ($false))) | ((c_2Ereal__topology_2Econnected__component @ (^ [E:tyop_2Erealax_2Ereal]: ($false)) @ B @ A) != (c_2Ereal__topology_2Econnected__component @ (^ [E:tyop_2Erealax_2Ereal]: ($false)) @ C @ D)))),inference(paramod_ordered,[status(thm)],[69,1057])).
% 38.11/8.99  thf(1470,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Ereal__topology_2Econnected__component @ (^ [C:tyop_2Erealax_2Ereal]: ($false)) @ A @ B)) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (^ [C:tyop_2Erealax_2Ereal]: ($false))))),inference(pattern_uni,[status(thm)],[1469:[bind(A, $thf(A)),bind(B, $thf(B)),bind(C, $thf(B)),bind(D, $thf(A))]])).
% 38.11/8.99  thf(1831,plain,(! [D:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Ereal__topology_2Econnected__component @ (^ [E:tyop_2Erealax_2Ereal]: ($false)) @ B @ A)) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ D @ (^ [E:tyop_2Erealax_2Ereal]: ($false))) | ((c_2Ereal__topology_2Econnected__component @ (^ [E:tyop_2Erealax_2Ereal]: ($false)) @ A @ B) != (c_2Ereal__topology_2Econnected__component @ (^ [E:tyop_2Erealax_2Ereal]: ($false)) @ C @ D)))),inference(paramod_ordered,[status(thm)],[96,1470])).
% 38.11/8.99  thf(1832,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Ereal__topology_2Econnected__component @ (^ [C:tyop_2Erealax_2Ereal]: ($false)) @ B @ A)) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (^ [C:tyop_2Erealax_2Ereal]: ($false))))),inference(pattern_uni,[status(thm)],[1831:[bind(A, $thf(A)),bind(B, $thf(B)),bind(C, $thf(A)),bind(D, $thf(B))]])).
% 38.11/8.99  thf(329,plain,(! [B:tyop_2Erealax_2Ereal,A:(tyop_2Erealax_2Ereal > $o)] : ((((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & ((c_2Ereal__topology_2Econnected__component @ A @ B) = (^ [C:tyop_2Erealax_2Ereal]: ($false)))) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) & (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3))) != ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk2) = (c_2Ereal__topology_2Econnected__component @ sk1 @ sk3))) | ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (A))) != (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)))))),inference(paramod_ordered,[status(thm)],[307,18])).
% 38.11/8.99  thf(330,plain,((((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) = (^ [A:tyop_2Erealax_2Ereal]: ($false)))) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) & (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3))) != ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk2) = (c_2Ereal__topology_2Econnected__component @ sk1 @ sk3)))),inference(pattern_uni,[status(thm)],[329:[bind(A, $thf(sk1)),bind(B, $thf(sk3))]])).
% 38.11/8.99  thf(569,plain,(((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) = (^ [A:tyop_2Erealax_2Ereal]: ($false)))) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) & (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3))) | ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk2) = (c_2Ereal__topology_2Econnected__component @ sk1 @ sk3))),inference(bool_ext,[status(thm)],[330])).
% 38.11/8.99  thf(606,plain,(((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) = (c_2Ereal__topology_2Econnected__component @ sk1 @ sk2)) | ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) = (^ [A:tyop_2Erealax_2Ereal]: ($false)))) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) & (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3)))),inference(lifteq,[status(thm)],[569])).
% 38.11/8.99  thf(629,plain,(((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) = (^ [A:tyop_2Erealax_2Ereal]: ($false))) | sk4 | ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) = (c_2Ereal__topology_2Econnected__component @ sk1 @ sk2))),inference(cnf,[status(esa)],[606])).
% 38.11/8.99  thf(634,plain,(((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) = (^ [A:tyop_2Erealax_2Ereal]: ($false))) | sk4 | ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) = (c_2Ereal__topology_2Econnected__component @ sk1 @ sk2))),inference(lifteq,[status(thm)],[629])).
% 38.11/8.99  thf(852,plain,(! [B:tyop_2Erealax_2Ereal,A:(tyop_2Erealax_2Ereal > $o)] : (((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) = (^ [C:tyop_2Erealax_2Ereal]: ($false))) | sk4 | (((c_2Ereal__topology_2Econnected__component @ sk1 @ sk2) = (^ [C:tyop_2Erealax_2Ereal]: ($false))) = (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (A)))) | ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) != (c_2Ereal__topology_2Econnected__component @ A @ B)))),inference(paramod_ordered,[status(thm)],[634,307])).
% 38.11/8.99  thf(853,plain,(((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) = (^ [A:tyop_2Erealax_2Ereal]: ($false))) | sk4 | (((c_2Ereal__topology_2Econnected__component @ sk1 @ sk2) = (^ [A:tyop_2Erealax_2Ereal]: ($false))) = (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1))))),inference(pattern_uni,[status(thm)],[852:[bind(A, $thf(sk1)),bind(B, $thf(sk3))]])).
% 38.11/8.99  thf(5,axiom,((! [A:$o]: (((~ (A)) => (c_2Ebool_2EF)) => (((A) => (c_2Ebool_2EF)) => (c_2Ebool_2EF))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EAND__INV2)).
% 38.11/8.99  thf(29,plain,((! [A:$o]: (((~ (A)) => (c_2Ebool_2EF)) => (((A) => (c_2Ebool_2EF)) => (c_2Ebool_2EF))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 38.11/8.99  thf(13,axiom,((! [A:(tyop_2Erealax_2Ereal > $o),B:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ A) => (c_2Ereal__topology_2Econnected__component @ A @ B @ B)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECONNECTED__COMPONENT__REFL)).
% 38.11/8.99  thf(80,plain,((! [A:(tyop_2Erealax_2Ereal > $o),B:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (A)) => (c_2Ereal__topology_2Econnected__component @ (A) @ B @ B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 38.11/8.99  thf(82,plain,((! [A:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($false))) => (c_2Ereal__topology_2Econnected__component @ (^ [B:tyop_2Erealax_2Ereal]: ($false)) @ A @ A)))),inference(instance,[status(thm)],[80])).
% 38.11/8.99  thf(84,plain,(! [A:tyop_2Erealax_2Ereal] : ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($false)))) | (c_2Ereal__topology_2Econnected__component @ (^ [B:tyop_2Erealax_2Ereal]: ($false)) @ A @ A))),inference(cnf,[status(esa)],[82])).
% 38.11/8.99  thf(85,plain,(! [B:tyop_2Erealax_2Ereal,A:(tyop_2Erealax_2Ereal > $o)] : ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (A))) | (c_2Ereal__topology_2Econnected__component @ (A) @ B @ B))),inference(cnf,[status(esa)],[80])).
% 38.11/8.99  thf(114,plain,((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1))) | (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1))) | (~ (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3)) | ((^ [A:tyop_2Erealax_2Ereal]: (sk1)) != (^ [A:tyop_2Erealax_2Ereal]: (sk1))) | ((^ [A:tyop_2Erealax_2Ereal]: (sk3)) != (^ [A:tyop_2Erealax_2Ereal]: (sk2))) | ((^ [A:tyop_2Erealax_2Ereal]: (A)) != (^ [A:tyop_2Erealax_2Ereal]: (A)))),inference(simp,[status(thm)],[107])).
% 38.11/8.99  thf(116,plain,((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1))) | (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1))) | (~ (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3)) | ((^ [A:tyop_2Erealax_2Ereal]: (sk3)) != (^ [A:tyop_2Erealax_2Ereal]: (sk2)))),inference(simp,[status(thm)],[114])).
% 38.11/8.99  thf(341,plain,((sk3 != sk2) | (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1))) | (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1))) | (~ (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3))),inference(func_ext,[status(esa)],[116])).
% 38.11/8.99  thf(1583,plain,(! [B:tyop_2Erealax_2Ereal,A:(tyop_2Erealax_2Ereal > $o)] : ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (A))) | (sk3 != sk2) | (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1))) | (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1))) | ((c_2Ereal__topology_2Econnected__component @ (A) @ B @ B) != (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3)))),inference(paramod_ordered,[status(thm)],[85,341])).
% 38.11/8.99  thf(1593,plain,(! [B:tyop_2Erealax_2Ereal,A:(tyop_2Erealax_2Ereal > $o)] : ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (A))) | (sk3 != sk2) | (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1))) | (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1))) | ((A) != (sk1)) | (B != sk2) | (B != sk3))),inference(simp,[status(thm)],[1583])).
% 38.11/8.99  thf(1618,plain,((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1))) | (sk3 != sk2) | (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1))) | (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)))),inference(simp,[status(thm)],[1593])).
% 38.11/8.99  thf(1619,plain,((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1))) | (sk3 != sk2) | (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)))),inference(simp,[status(thm)],[1618])).
% 38.11/8.99  thf(2012,plain,((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1))) | (sk3 != sk2) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) != (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1))) | ~ ($true)),inference(eqfactor_ordered,[status(thm)],[1619])).
% 38.11/8.99  thf(2015,plain,((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1))) | (sk3 != sk2) | (sk3 != sk2) | ((sk1) != (sk1))),inference(simp,[status(thm)],[2012])).
% 38.11/8.99  thf(2017,plain,((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1))) | (sk3 != sk2)),inference(simp,[status(thm)],[2015])).
% 38.11/8.99  thf(70,plain,(! [C:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,A:(tyop_2Erealax_2Ereal > $o)] : ((~ (c_2Ereal__topology_2Econnected__component @ (A) @ B @ C)) | (c_2Ereal__topology_2Econnected__component @ (A) @ C @ B))),inference(cnf,[status(esa)],[65])).
% 38.11/8.99  thf(94,plain,(! [C:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,A:(tyop_2Erealax_2Ereal > $o)] : (((c_2Ereal__topology_2Econnected__component @ (A) @ B @ C) = (c_2Ereal__topology_2Econnected__component @ (A) @ C @ B)))),inference(cnf,[status(esa)],[89])).
% 38.11/8.99  thf(97,plain,(! [C:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,A:(tyop_2Erealax_2Ereal > $o)] : (((c_2Ereal__topology_2Econnected__component @ (A) @ B @ C) = (c_2Ereal__topology_2Econnected__component @ (A) @ C @ B)))),inference(lifteq,[status(thm)],[94])).
% 38.11/8.99  thf(9,axiom,((! [A:$o,B:$o]: (((~ (~ (B) | (A))) => (c_2Ebool_2EF)) = ((B) => ((~ (A)) => (c_2Ebool_2EF)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EOR__DUAL3)).
% 38.11/8.99  thf(53,plain,((! [A:$o,B:$o]: (((~ (~ (B) | (A))) => (c_2Ebool_2EF)) = ((B) => ((~ (A)) => (c_2Ebool_2EF)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 38.11/8.99  thf(1445,plain,(! [D:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Ereal__topology_2Econnected__component @ (^ [E:tyop_2Erealax_2Ereal]: ($true)) @ B @ A)) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ (^ [E:tyop_2Erealax_2Ereal]: ($true))) | ((c_2Ereal__topology_2Econnected__component @ (^ [E:tyop_2Erealax_2Ereal]: ($true)) @ A @ B) != (c_2Ereal__topology_2Econnected__component @ (^ [E:tyop_2Erealax_2Ereal]: ($true)) @ C @ D)))),inference(paramod_ordered,[status(thm)],[95,382])).
% 38.11/8.99  thf(1446,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Ereal__topology_2Econnected__component @ (^ [C:tyop_2Erealax_2Ereal]: ($true)) @ B @ A)) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [C:tyop_2Erealax_2Ereal]: ($true))))),inference(pattern_uni,[status(thm)],[1445:[bind(A, $thf(A)),bind(B, $thf(B)),bind(C, $thf(A)),bind(D, $thf(B))]])).
% 38.11/8.99  thf(653,plain,(((((c_2Ereal__topology_2Econnected__component @ sk1 @ sk2) = (^ [A:tyop_2Erealax_2Ereal]: ($false))) & ~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1))) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) & (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3))) | ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk2) = (c_2Ereal__topology_2Econnected__component @ sk1 @ sk3))),inference(bool_ext,[status(thm)],[332])).
% 38.11/8.99  thf(689,plain,(((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) = (c_2Ereal__topology_2Econnected__component @ sk1 @ sk2)) | ((((c_2Ereal__topology_2Econnected__component @ sk1 @ sk2) = (^ [A:tyop_2Erealax_2Ereal]: ($false))) & ~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1))) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) & (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3)))),inference(lifteq,[status(thm)],[653])).
% 38.11/8.99  thf(712,plain,(((c_2Ereal__topology_2Econnected__component @ sk1 @ sk2) = (^ [A:tyop_2Erealax_2Ereal]: ($false))) | sk4 | ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) = (c_2Ereal__topology_2Econnected__component @ sk1 @ sk2))),inference(cnf,[status(esa)],[689])).
% 38.11/8.99  thf(732,plain,(((c_2Ereal__topology_2Econnected__component @ sk1 @ sk2) = (^ [A:tyop_2Erealax_2Ereal]: ($false))) | sk4 | ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) = (c_2Ereal__topology_2Econnected__component @ sk1 @ sk2))),inference(lifteq,[status(thm)],[712])).
% 38.11/8.99  thf(8,axiom,((! [A:$o,B:$o]: (((~ ((B) | (A))) => (c_2Ebool_2EF)) = (((B) => (c_2Ebool_2EF)) => ((~ (A)) => (c_2Ebool_2EF)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EOR__DUAL2)).
% 38.11/8.99  thf(44,plain,((! [A:$o,B:$o]: (((~ ((B) | (A))) => (c_2Ebool_2EF)) = (((B) => (c_2Ebool_2EF)) => ((~ (A)) => (c_2Ebool_2EF)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 38.11/8.99  thf(182,plain,(! [A:tyop_2Erealax_2Ereal] : ((~ ((c_2Ereal__topology_2Econnected__component @ (^ [B:tyop_2Erealax_2Ereal]: ($false)) @ A) = (^ [B:tyop_2Erealax_2Ereal]: ($false)))) | (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($false)))))),inference(bool_ext,[status(thm)],[181])).
% 38.11/8.99  thf(194,plain,(! [A:tyop_2Erealax_2Ereal] : (((c_2Ereal__topology_2Econnected__component @ (^ [B:tyop_2Erealax_2Ereal]: ($false)) @ A) != (^ [B:tyop_2Erealax_2Ereal]: ($false))) | (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($false)))))),inference(lifteq,[status(thm)],[182])).
% 38.11/8.99  thf(204,plain,(! [A:tyop_2Erealax_2Ereal] : ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($false)))) | ((c_2Ereal__topology_2Econnected__component @ (^ [B:tyop_2Erealax_2Ereal]: ($false)) @ A) != (^ [B:tyop_2Erealax_2Ereal]: ($false))))),inference(cnf,[status(esa)],[194])).
% 38.11/8.99  thf(2630,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [C:tyop_2Erealax_2Ereal]: ($true)))) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ (sk8 @ B) @ (^ [C:tyop_2Erealax_2Ereal]: ($true))) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ (sk8 @ (sk8 @ A)) @ (^ [C:tyop_2Erealax_2Ereal]: ($true))) != (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (^ [C:tyop_2Erealax_2Ereal]: ($true)))))),inference(paramod_ordered,[status(thm)],[2555,2389])).
% 38.11/8.99  thf(2631,plain,(! [A:tyop_2Erealax_2Ereal] : ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($true)))) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ (sk8 @ (sk8 @ (sk8 @ A))) @ (^ [B:tyop_2Erealax_2Ereal]: ($true))))),inference(pattern_uni,[status(thm)],[2630:[bind(A, $thf(D)),bind(B, $thf(sk8 @ (sk8 @ D)))]])).
% 38.11/8.99  thf(2679,plain,(! [A:tyop_2Erealax_2Ereal] : ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($true)))) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ (sk8 @ (sk8 @ (sk8 @ A))) @ (^ [B:tyop_2Erealax_2Ereal]: ($true))))),inference(simp,[status(thm)],[2631])).
% 38.11/8.99  thf(113,plain,((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1))) | sk4 | ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) = (c_2Ereal__topology_2Econnected__component @ sk1 @ sk2))),inference(cnf,[status(esa)],[106])).
% 38.11/8.99  thf(7,axiom,((! [A:$o]: (((A) => (c_2Ebool_2EF)) => (~ (A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__F)).
% 38.11/8.99  thf(39,plain,((! [A:$o]: (((A) => (c_2Ebool_2EF)) => (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 38.11/8.99  thf(869,plain,(((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) = (^ [A:tyop_2Erealax_2Ereal]: ($false))) | sk4 | (~ ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & ~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1))) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) & (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3)))) | ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) != (c_2Ereal__topology_2Econnected__component @ sk1 @ sk3))),inference(paramod_ordered,[status(thm)],[634,18])).
% 38.11/8.99  thf(870,plain,(((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) = (^ [A:tyop_2Erealax_2Ereal]: ($false))) | sk4 | (~ ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & ~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1))) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) & (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3))))),inference(pattern_uni,[status(thm)],[869:[]])).
% 38.11/8.99  thf(890,plain,((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) | sk4 | ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) = (^ [A:tyop_2Erealax_2Ereal]: ($false)))),inference(cnf,[status(esa)],[870])).
% 38.11/8.99  thf(2579,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [C:tyop_2Erealax_2Ereal]: ($true)))) | ((c_2Ereal__topology_2Econnected__component @ (^ [C:tyop_2Erealax_2Ereal]: ($true)) @ (sk8 @ B)) != (^ [C:tyop_2Erealax_2Ereal]: ($false))) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ (sk8 @ A) @ (^ [C:tyop_2Erealax_2Ereal]: ($true))) != (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (^ [C:tyop_2Erealax_2Ereal]: ($true)))))),inference(paramod_ordered,[status(thm)],[2389,2554])).
% 38.11/8.99  thf(2580,plain,(! [A:tyop_2Erealax_2Ereal] : ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($true)))) | ((c_2Ereal__topology_2Econnected__component @ (^ [B:tyop_2Erealax_2Ereal]: ($true)) @ (sk8 @ (sk8 @ A))) != (^ [B:tyop_2Erealax_2Ereal]: ($false))))),inference(pattern_uni,[status(thm)],[2579:[bind(A, $thf(C)),bind(B, $thf(sk8 @ C))]])).
% 38.11/8.99  thf(2593,plain,(! [A:tyop_2Erealax_2Ereal] : ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($true)))) | ((c_2Ereal__topology_2Econnected__component @ (^ [B:tyop_2Erealax_2Ereal]: ($true)) @ (sk8 @ (sk8 @ A))) != (^ [B:tyop_2Erealax_2Ereal]: ($false))))),inference(simp,[status(thm)],[2580])).
% 38.11/8.99  thf(108,plain,((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) | ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) != (c_2Ereal__topology_2Econnected__component @ sk1 @ sk2))),inference(cnf,[status(esa)],[105])).
% 38.11/8.99  thf(2841,plain,(((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) = (^ [A:tyop_2Erealax_2Ereal]: ($false))) | sk4 | ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk2) = (^ [A:tyop_2Erealax_2Ereal]: ($false))) | (~ (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1))))),inference(bool_ext,[status(thm)],[853])).
% 38.11/8.99  thf(2911,plain,(((c_2Ereal__topology_2Econnected__component @ sk1 @ sk2) = (^ [A:tyop_2Erealax_2Ereal]: ($false))) | ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) = (^ [A:tyop_2Erealax_2Ereal]: ($false))) | sk4 | (~ (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1))))),inference(lifteq,[status(thm)],[2841])).
% 38.11/8.99  thf(2924,plain,((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) | sk4 | ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) = (^ [A:tyop_2Erealax_2Ereal]: ($false))) | ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk2) = (^ [A:tyop_2Erealax_2Ereal]: ($false)))),inference(cnf,[status(esa)],[2911])).
% 38.11/8.99  thf(3324,plain,((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) | sk4 | ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk2) = (^ [A:tyop_2Erealax_2Ereal]: ($false))) | ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) != (c_2Ereal__topology_2Econnected__component @ sk1 @ sk3))),inference(paramod_ordered,[status(thm)],[2924,732])).
% 38.11/8.99  thf(3325,plain,((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) | sk4 | ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk2) = (^ [A:tyop_2Erealax_2Ereal]: ($false)))),inference(pattern_uni,[status(thm)],[3324:[]])).
% 38.11/8.99  thf(154,plain,((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) | ~ (sk4) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) != (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1))) | ~ ($true)),inference(eqfactor_ordered,[status(thm)],[143])).
% 38.11/8.99  thf(158,plain,((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) | ~ (sk4) | (sk3 != sk2) | ((sk1) != (sk1))),inference(simp,[status(thm)],[154])).
% 38.11/8.99  thf(168,plain,((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) | ~ (sk4) | (sk3 != sk2)),inference(simp,[status(thm)],[158])).
% 38.11/8.99  thf(421,plain,(~ (sk4) | (sk3 != sk2) | (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1))) | (~ (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3)) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) != (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)))),inference(paramod_ordered,[status(thm)],[168,341])).
% 38.11/8.99  thf(422,plain,(~ (sk4) | (sk3 != sk2) | (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1))) | (~ (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3))),inference(pattern_uni,[status(thm)],[421:[]])).
% 38.11/8.99  thf(815,plain,(~ (sk4) | (sk3 != sk2) | (~ (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3)) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) != (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)))),inference(paramod_ordered,[status(thm)],[168,422])).
% 38.11/8.99  thf(820,plain,(~ (sk4) | (sk3 != sk2) | (~ (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3)) | (sk3 != sk2) | ((sk1) != (sk1))),inference(simp,[status(thm)],[815])).
% 38.11/8.99  thf(826,plain,(~ (sk4) | (sk3 != sk2) | (~ (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3))),inference(simp,[status(thm)],[820])).
% 38.11/8.99  thf(1564,plain,(! [B:tyop_2Erealax_2Ereal,A:(tyop_2Erealax_2Ereal > $o)] : ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (A))) | ~ (sk4) | (sk3 != sk2) | ((c_2Ereal__topology_2Econnected__component @ (A) @ B @ B) != (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3)))),inference(paramod_ordered,[status(thm)],[85,826])).
% 38.11/8.99  thf(1589,plain,(! [B:tyop_2Erealax_2Ereal,A:(tyop_2Erealax_2Ereal > $o)] : ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (A))) | ~ (sk4) | (sk3 != sk2) | ((A) != (sk1)) | (B != sk2) | (B != sk3))),inference(simp,[status(thm)],[1564])).
% 38.11/8.99  thf(1610,plain,((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1))) | ~ (sk4) | (sk3 != sk2)),inference(simp,[status(thm)],[1589])).
% 38.11/8.99  thf(1661,plain,(~ (sk4) | (sk3 != sk2) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) != (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)))),inference(paramod_ordered,[status(thm)],[168,1610])).
% 38.11/8.99  thf(1662,plain,(~ (sk4) | (sk3 != sk2)),inference(pattern_uni,[status(thm)],[1661:[]])).
% 38.11/8.99  thf(112,plain,(~ (sk4) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) | ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) = (c_2Ereal__topology_2Econnected__component @ sk1 @ sk2))),inference(cnf,[status(esa)],[106])).
% 38.11/8.99  thf(1515,plain,(! [D:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Ereal__topology_2Econnected__component @ (^ [E:tyop_2Erealax_2Ereal]: ($true)) @ B @ A)) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ (^ [E:tyop_2Erealax_2Ereal]: ($true))) | ((c_2Ereal__topology_2Econnected__component @ (^ [E:tyop_2Erealax_2Ereal]: ($true)) @ A @ B) != (c_2Ereal__topology_2Econnected__component @ (^ [E:tyop_2Erealax_2Ereal]: ($true)) @ D @ C)))),inference(paramod_ordered,[status(thm)],[95,1446])).
% 38.11/8.99  thf(1516,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Ereal__topology_2Econnected__component @ (^ [C:tyop_2Erealax_2Ereal]: ($true)) @ B @ A)) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (^ [C:tyop_2Erealax_2Ereal]: ($true))))),inference(pattern_uni,[status(thm)],[1515:[bind(A, $thf(A)),bind(B, $thf(B)),bind(C, $thf(B)),bind(D, $thf(A))]])).
% 38.11/8.99  thf(4092,plain,(! [B:tyop_2Erealax_2Ereal,A:(tyop_2Erealax_2Ereal > $o)] : ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) | sk4 | (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (A))) | ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk2) != (c_2Ereal__topology_2Econnected__component @ A @ B)))),inference(paramod_ordered,[status(thm)],[3325,307])).
% 38.11/8.99  thf(4093,plain,((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) | sk4 | (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)))),inference(pattern_uni,[status(thm)],[4092:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 38.11/8.99  thf(1480,plain,(! [D:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Ereal__topology_2Econnected__component @ (^ [E:tyop_2Erealax_2Ereal]: ($false)) @ B @ A)) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ C @ (^ [E:tyop_2Erealax_2Ereal]: ($false))) | ((c_2Ereal__topology_2Econnected__component @ (^ [E:tyop_2Erealax_2Ereal]: ($false)) @ A @ B) != (c_2Ereal__topology_2Econnected__component @ (^ [E:tyop_2Erealax_2Ereal]: ($false)) @ C @ D)))),inference(paramod_ordered,[status(thm)],[96,1057])).
% 38.11/8.99  thf(1481,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Ereal__topology_2Econnected__component @ (^ [C:tyop_2Erealax_2Ereal]: ($false)) @ B @ A)) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [C:tyop_2Erealax_2Ereal]: ($false))))),inference(pattern_uni,[status(thm)],[1480:[bind(A, $thf(A)),bind(B, $thf(B)),bind(C, $thf(A)),bind(D, $thf(B))]])).
% 38.11/8.99  thf(2604,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [C:tyop_2Erealax_2Ereal]: ($true)))) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ (sk8 @ (sk8 @ B)) @ (^ [C:tyop_2Erealax_2Ereal]: ($true))) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ (sk8 @ (sk8 @ A)) @ (^ [C:tyop_2Erealax_2Ereal]: ($true))) != (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (^ [C:tyop_2Erealax_2Ereal]: ($true)))))),inference(paramod_ordered,[status(thm)],[2555,2555])).
% 38.11/8.99  thf(2605,plain,(! [A:tyop_2Erealax_2Ereal] : ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($true)))) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ (sk8 @ (sk8 @ (sk8 @ (sk8 @ A)))) @ (^ [B:tyop_2Erealax_2Ereal]: ($true))))),inference(pattern_uni,[status(thm)],[2604:[bind(A, $thf(D)),bind(B, $thf(sk8 @ (sk8 @ D)))]])).
% 38.11/8.99  thf(2683,plain,(! [A:tyop_2Erealax_2Ereal] : ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($true)))) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ (sk8 @ (sk8 @ (sk8 @ (sk8 @ A)))) @ (^ [B:tyop_2Erealax_2Ereal]: ($true))))),inference(simp,[status(thm)],[2605])).
% 38.11/8.99  thf(1577,plain,(! [B:tyop_2Erealax_2Ereal,A:(tyop_2Erealax_2Ereal > $o)] : ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) | ~ (sk4) | (c_2Ereal__topology_2Econnected__component @ (A) @ B @ B) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) != (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (A))))),inference(paramod_ordered,[status(thm)],[143,85])).
% 38.11/8.99  thf(1578,plain,((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) | ~ (sk4) | (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk3 @ sk3)),inference(pattern_uni,[status(thm)],[1577:[bind(A, $thf(sk1)),bind(B, $thf(sk3))]])).
% 38.11/8.99  thf(3,axiom,((! [A:$o]: ((~ (A)) => ((A) => (c_2Ebool_2EF))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EF__IMP)).
% 38.11/8.99  thf(19,plain,((! [A:$o]: ((~ (A)) => ((A) => (c_2Ebool_2EF))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 38.11/8.99  thf(121,plain,(! [A:tyop_2Erealax_2Ereal] : ((((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & ((c_2Ereal__topology_2Econnected__component @ (^ [B:tyop_2Erealax_2Ereal]: ($true)) @ A) = (^ [B:tyop_2Erealax_2Ereal]: ($false)))) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) & (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3))) != ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk2) = (c_2Ereal__topology_2Econnected__component @ sk1 @ sk3))) | ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($true)))) != (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)))))),inference(paramod_ordered,[status(thm)],[117,18])).
% 38.11/8.99  thf(126,plain,(! [A:tyop_2Erealax_2Ereal] : ((((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & ((c_2Ereal__topology_2Econnected__component @ (^ [B:tyop_2Erealax_2Ereal]: ($true)) @ A) = (^ [B:tyop_2Erealax_2Ereal]: ($false)))) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) & (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3))) != ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk2) = (c_2Ereal__topology_2Econnected__component @ sk1 @ sk3))) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($true))) != (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1))))),inference(simp,[status(thm)],[121])).
% 38.11/8.99  thf(574,plain,(! [B:tyop_2Erealax_2Ereal,A:(tyop_2Erealax_2Ereal > $o)] : ((((((c_2Ereal__topology_2Econnected__component @ A @ B) = (^ [C:tyop_2Erealax_2Ereal]: ($false))) & ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) = (^ [C:tyop_2Erealax_2Ereal]: ($false)))) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) & (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3))) != ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk2) = (c_2Ereal__topology_2Econnected__component @ sk1 @ sk3))) | ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ B @ (A))) != (~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)))))),inference(paramod_ordered,[status(thm)],[307,330])).
% 38.11/8.99  thf(575,plain,((((((c_2Ereal__topology_2Econnected__component @ sk1 @ sk2) = (^ [A:tyop_2Erealax_2Ereal]: ($false))) & ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) = (^ [A:tyop_2Erealax_2Ereal]: ($false)))) | ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk2 @ (sk1)) & (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) & (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3))) != ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk2) = (c_2Ereal__topology_2Econnected__component @ sk1 @ sk3)))),inference(pattern_uni,[status(thm)],[574:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 38.11/8.99  thf(66,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal__topology_2Econnected__component @ (^ [C:tyop_2Erealax_2Ereal]: ($true)) @ A @ B) => (c_2Ereal__topology_2Econnected__component @ (^ [C:tyop_2Erealax_2Ereal]: ($true)) @ B @ A)))),inference(instance,[status(thm)],[65])).
% 38.11/8.99  thf(68,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((~ (c_2Ereal__topology_2Econnected__component @ (^ [C:tyop_2Erealax_2Ereal]: ($true)) @ A @ B)) | (c_2Ereal__topology_2Econnected__component @ (^ [C:tyop_2Erealax_2Ereal]: ($true)) @ B @ A))),inference(cnf,[status(esa)],[66])).
% 38.11/8.99  thf(111,plain,(~ (sk4) | (c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk3) | ((c_2Ereal__topology_2Econnected__component @ sk1 @ sk3) = (c_2Ereal__topology_2Econnected__component @ sk1 @ sk2))),inference(cnf,[status(esa)],[106])).
% 38.11/8.99  thf(81,plain,((! [A:tyop_2Erealax_2Ereal]: ((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($true))) => (c_2Ereal__topology_2Econnected__component @ (^ [B:tyop_2Erealax_2Ereal]: ($true)) @ A @ A)))),inference(instance,[status(thm)],[80])).
% 38.11/8.99  thf(83,plain,(! [A:tyop_2Erealax_2Ereal] : ((~ (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ A @ (^ [B:tyop_2Erealax_2Ereal]: ($true)))) | (c_2Ereal__topology_2Econnected__component @ (^ [B:tyop_2Erealax_2Ereal]: ($true)) @ A @ A))),inference(cnf,[status(esa)],[81])).
% 38.11/8.99  thf(1945,plain,((c_2Ereal__topology_2Econnected__component @ (sk1) @ sk2 @ sk13) | (c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ sk3 @ (sk1)) | ~ (sk4)),inference(func_ext,[status(esa)],[719])).
% 38.11/8.99  thf(5131,plain,($false),inference(e,[status(thm)],[69,1665,88,115,2676,24,719,110,125,1832,853,29,2555,84,2017,634,89,116,307,117,85,1470,1057,38,70,65,97,53,109,1446,96,129,128,205,1026,34,732,44,204,71,382,181,86,2679,113,39,890,2593,108,330,3325,80,1662,112,1516,18,95,16,336,4093,143,1448,2389,2554,1481,2683,1578,19,107,126,332,575,68,62,111,83,1945,100])).
% 38.11/8.99  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 38.11/8.99  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
